/* This script contains constants for each global flag used in the game. Fill them in as you go along! */

/* New flags */
/*Flags we do not want to use 
	//Flags we DON'T want to reset - 
	//global flag # 61 (learned password) so the portullius works
	//global flag # 442 - quenton seance
	//global flag # 749 Set when the Magic Storm spell is cast:
	//const int MAGIC_STORM_SPELL					= 0x02ED;
	//global flag # 30  Used the armageddon spell - const int CAST_ARMAGEDDON = 0x1E; 
*/


enum main_quest_flags
{
	INTRO = 1000,
	START_OF_GAME = 1001,
	
	ASKED_NYSTUL_ABOUT_BOOK	 = 1002,
	ASKED_NYSTUL_ABOUT_ORB	 = 1003,
	
	
	//Mantras learned:
	LEARNED_MANTRA_VALOR = 1004,
	LEARNED_MANTRA_SACRIFICE = 1005,
	LEARNED_MANTRA_JUSTICE = 1006,
	LEARNED_MANTRA_COMPASSION = 1007, //Kenneth, Lady  Nan
	LEARNED_MANTRA_SPIRITUALITY = 1008,
	LEARNED_MANTRA_HONESTY = 1009,
	LEARNED_MANTRA_HUMILITY = 1010,
	LEARNED_MANTRA_HONOR = 1011,
	
	//Shrines freed: 

	SACRIFICE_FREED = 1012,
	COMPASSION_FREED = 1013,
	VALOR_FREED	= 1014,
	JUSTICE_FREED = 1015,
	SPIRITUALITY_FREED = 1016,
	HONOR_FREED = 1017,
	HUMILITY_FREED = 1018,
	HONESTY_FREED = 1019,

	//Used when you meditate at shrines so you don't get duplicate Karma
	MEDITATE_COMPASSION    = 1020,
	MEDITATE_VALOR		   = 1021,
	MEDITATE_HONESTY	   = 1022,
	MEDITATE_JUSTICE	   = 1023,
	MEDITATE_HUMILITY	   = 1024,
	MEDITATE_HONOR		   = 1025,
	MEDITATE_SPIRITUALITY  = 1026,
	MEDITATE_SACRIFICE	   = 1027,

	
	
//	ASKED_MARIAH_ABOUT_BOOK  = 1028,
//	MARIAH_READ_TABLET 		= 1029, //Triggers convo about book of prophesies with Sin Vraal
	


	JOINED_THIEVES_GUILD	= 1030, 
	
	
	READ_GARGISH_SCROLL = 1031, //Set when double clicked John's scroll
	WEARING_AMULET_SUBMISSION = 1032, //checks to see if you are wearing the gargoyle amulet
	SUBMITTED_TO_DRAXINUSOM = 1033, 
	
	ASK_TO_SUBMIT 		= 1034, //valkadesh says to submit, you ask Naxatilor and Draxinosum
	
	
	PAPA_HAS_CUBE = 1035, //set by Myles or Mama when asked about cellar
	TOLD_ABOUT_CUBE = 1036, //set true when told about cube by Caretaker or visiting cyclops basement
							//and needing key
	
	
	//gargoyle shrine flags
	LEARNED_MANTRA_CONTROL = 1037,
	LEARNED_MANTRA_DILIGENCE = 1038,
	LEARNED_MANTRA_PASSION = 1039,

	START_CODEX_QUEST		= 1040, //given by Naxitilor
	FINAL_QUEST_GIVEN 		= 1041, //final codex quest by altar of singularity

	//determines which stones you put into the vortex cube
	MOONSTONE1				= 1050,
	MOONSTONE2				= 1051, 
	MOONSTONE3				= 1052,
	MOONSTONE4				= 1053,
	MOONSTONE5				= 1054,
	MOONSTONE6				= 1055,
	MOONSTONE7 				= 1056,
	MOONSTONE8				= 1057, 
	
	

	VORTEX_CUBE_FULL		= 1058, //set once all stones are put in
	HUMAN_LENS_PLACED		= 1059, 
	GARG_LENS_PLACED		= 1060





};

enum town_flags
{

//YEW
	
	LENORA_GAVE_LETTER = 1070,
	ASKEDABOUTPERMISSION = 1071,
	GOT_BOSKIN_CELL_KEY = 1072,
	BOSKINCHILDREN = 1073,
	BOSKINPISSED = 1074,
	BOSKINLIES = 1075,
	BEN_FRIEND = 1076,
	FREEBOSKIN = 1077,
	BOSKINDENIED = 1078,
	LEARNED_ABOUT_NICODEMUS = 1079, //set by several npcs about "enchanter near Yew"
	
//Britain / Castle British
	VIRTUE_STONES = 1100, //for Mandrake quest
	ASKEDABOUTFREITAG = 1101, //Kytyn - used to open up conversation with Gertan in Cove
	ASKEDARIANAABOUTRUNE = 1102,
	ASKED_THOLDEN_ABOUT_RUNE = 1103,
	ASKED_PARENTS_PERMISSION = 1104, //Anya
	LEARNED_RUNE_COMPASSION = 1105,
	MR_NOSE	= 1106,

	BOUGHTTRIPLEXBOW = 1107,
	ASKEDABOUTTRIPLEXBOW = 1108, //Gwenno

	GOT_DUCK = 1109, //Daros in the sewers
	
	ASKED_LAZEENA_ABOUT_ARTAGEL = 1110, // Sidequest - Ask her about Artagel, can talk to him about Lazena
	ARTAGEL_IS_ALIVE = 1111, //can now tell Lazenna he's alive
	
//Skara Brae
	QUENTON_START = 1120, //quenton quest
	ASKED_LENORA_ABOUT_MURDER = 1121, //used in Michael / Quenton quest
	LEARNED_ABOUT_QUENTON =	1122, //set by Gideon when you learn what happened to open up convo flags on everyone else
		
	LEARNED_ABOUT_SEANCE = 1123, //learned from Dezana
	LEARNED_SEANCE = 1124,
	SEANCE_QUENTON = 0x01BA, //0442
	LEARNED_MICHAEL_NAME = 1125,
	MICHAEL_PISSED = 1126,
	MARNEY_SAVED = 1127,
	FAILED_QUENTON_QUEST = 1128,
	RINALDO_BACK = 1129,
	STARTED_INVESTIGATION = 1130,
	MARNEY_GONE = 1131, //set when you screw up and Marney left with Michael. Bad ending
	MICHAEL_AT_DOCKS = 1132, //
	READ_MICHAELS_SCROLL = 1133,
	QUENTON_MURDER_SOLVED = 1134,
	MICHAEL_TO_SKARA = 1135, //
	RENTHAR_TELLS_RINALDO = 1136, //Renthar tells Rinaldo of Michael's safehouse location. Will set a timer to move Michael 
	MICHAEL_CAPTURED	= 1137, //Michael is now at the cell awaiting his fate. Set when Renthar is with you and you kill Michael
	MICHAEL_TIMER_SET   = 1138,
	MARNEY_PISSED 		= 1139, //Marney was allowed to go with Michael by accident and holds a grudge against the Avatar
	RENTHAR_IN_PARTY	= 1140, //Renthar is in the party now, used to keep him from staying too long
	STIVIUS_SAW_MICHAEL = 1141, //when you catch Stivius in a lie and he admits.  Can tell Rinaldo now. 
	MICHAEL_SHIP_BUILT 	= 1142, //Michael's ship is built
	
//MINOC
	ASKED_SELGANOR_ABOUT_RUNE = 1150,
	LEARNED_STONES = 1151,
	JOINED_ARTISANS_GUILD = 1152,
	SELGANOR_GAVE_RUNE = 1153,
	LEARNED_ABOUT_BALLOONIST = 1154,  // where do I set this flag?!	
	
//Trinsic	
	LEARNED_WHITSABERS_SECRET = 1170, //Sandy?
	TALKEDTOHOMERABOUTMAP = 1171, //Homer
	WHITSABER_MAD = 1172,
	WHITSABER_KNOWS = 1173,
	WHITSABER_GAVE_MAP = 1174,
	KEEP_WHITSABERS_SECRET = 1175,	


//Moonglow	
 //Lycaeum flags - set to randomize Quest books,
	BOOKS_ARE_RANDOMIZED = 1190,
	MANTRA_BOOK_PLACED = 1191, 
	OZ_SNILWITS_BOOKS_PLACED = 1192,
	FOUND_OZ_BOOK = 1193,
	LEARNED_ABOUT_TABLET = 1194,
	ASK_ABOUT_BEYVIN = 1195, //when asked Agnar about rune
	
	ASKED_MARIAH_ABOUT_BOOK  = 1196,
	MARIAH_READ_TABLET 		= 1197, //Triggers convo about book of prophesies with Sin Vraal
	ASKED_MARIAH_ABOUT_TABLET = 1198, //asked about silver tablet, can talk to Zoltan about it now
	ASK_THARIAND_ABOUT_SHRINE = 1199, //talked to Mariah about the shrine
	
//Buccaneer's Den
	GAVE_HOMER_STORMCLOAK = 1200, 
	FIND_STORMCLOAK = 1201, 
	LEARNED_ABOUT_GUILD	= 1202, 
	RETIRE_PHOENIX	= 1203,
	
//Jhelom

	BRAWLING = 1210, //used for Bucs den brawling convos
	//Used in valor quest
	AVATAR_IS_SHERRY = 1211, 
	LEARNED_ABOUT_SHERRY = 1212, //when ask Lyssandra in Jhelom about rune
	GOT_VALOR_RUNE	= 1213,
	ASK_NOMAAN_ABOUT_RUNE = 1214, //set by Zellivan
	
//Serpents Hold


	JOINED_OSS		= 1220, 
	ASK_JOIN_OSS	= 1221, //after join oss, can use again	
	TRAINED_WITH_LOUBET	= 1223,
	MAKE_SERPENT_SHIELD	= 1224, //when you ask Koranda to join OSS, you can ask Gherick to make shield
	
//Empath Abbey
	GAVE_MOLE_SHOVEL = 1230, //Empath abbey sidequest
	GLENGRAPES = 1231
	
	

};


enum new_misc_flags
{
	
	/* Used for Gypsy schedules */
	GYPSY_TIMER_STARTED = 1300,
	DAY_ONE = 1301,
	DAY_TWO = 1302,
	DAY_THREE = 1303,
	DAY_FOUR = 1304,
	DAY_FIVE = 1305,
	DAY_SIX = 1306,
	DAY_SEVEN = 1307,
	
	CHAOS_SWORD_EQUIPPED = 1308,
	
	ASK_ABOUT_DUCK = 1309,
	KADOR_SAD = 1310,	

	//Drudgeworth Quest
	READ_LEAFLET		= 1311,
	ASKED_PRIDGARM_ABOUT_DRUDGEY = 1312,
	ASK_ANDREA_ABOUT_DRUDGEY = 1313,
	HELP_DRUDGEWORTH = 1314, // set once you agree to help Drudgeworth after speaking to him in the mirror. Also sets Lucy convo flag on Chuckles
	CHUCKLES_WAITS = 1315, //set after you confront Chuckles about LUcy.  has him wait at 3am by mirror in Blue Boar
	CHUCKLES_CREMATED = 1316, //set when you cremate Chuckles body, so you can bring his ashes to Drudgeworth
	CHUCKLES_KILLED = 1317, //set when you script kill him in front of the mirror
	CHUCKLES_SECRET = 1318, //set when you "let Chuckles go", will open up convo option on LB
	MET_DRUDGEWORTH = 1319, //when you double click mirror.  Will trigger a prompt after reading the book for the first time. 
	TATTLED_ON_CHUCKLES = 1320, //tattled on Chcukles to LB
	
	MOONGLOW_HOUSE_CLEAN = 1321, //after house is purchased in moonglow, egg will clean it up next time you enter
	
	//Map is overworld
	MAP_IS_OVERWORLD = 2045, //for leaveParty function
	
	//flag if you want songs to play after converstations such as original. 
	PLAY_ORIGINAL_TRACKS = 2046,
	
	//flag to use Ankh as debugging tool
	DEBUG = 2047,

	IOLO_HATES_HORSEFLESH 	= 1330, //set once Iolo eats the horseflesh


	SOLVED_CHUCKLES_QUEST = 1331,//when you read the last scroll on the run around quest. 

	//INNKEEPER FLAGS
	INN_PEYTON = 1340,
	INN_DORIS	= 1341, //890 - true if rented room from Doris

	//DUNGEON FLAGS
	SWITCH_WRONG = 1350,
	SWITCH_WRONG_2 = 1351,

	SWITCH_CONTROL = 1352,
	SWITCH_BASEMENT = 1353,
	
	SWITCH_TOMBKINGS =  1354, //used to remove barrier in tomb of kings when switch is flipped


//Gargoyles
	HALL_OF_KNOWLEDGE = 1370, //set when Naxatilor asks you to read the book of ritual
	READ_BOOK_RITUAL	= 1371, // for karma if you lie to Naxatilor
	SIXTH_MEMBER_LEAVES = 1372, 

	GET_HUMAN_LENS 		= 1373,
	MET_MONDAIN = 1374,
	MET_MINAX = 1375,
	MET_EXODUS = 1376,

	MET_ALTAR_SINGULARITY = 1377,


	MADE_BALLOON = 1378, //set by scroll code when balloon has been made

	BALLOON_IS_FLYING = 1379,
	LEARNED_ABOUT_FLYING = 1380,


	READ_BALLOON_PLANS = 1381,  //sets flag to ask weavers about silk bag/thread/cloth

	


	


		
	LEARNED_ABOUT_CAPT_JOHNE  = 1382, //set by Zoltan once you ask him of Silver Tablet

	LEARNED_ABOUT_HYTHLOTH = 1383, 
	


	

	GOT_ARMAGEDDON = 1384, //set when Armageddon spell received from Wisp
	GET_WISP_INFO = 1385, //set when Wisps ask for information, you can get the book of lost mantras
	WISPS_GAVE_GOLD = 1386, //Wisps either gave you information or gold

	JAANA_IN_PARTY = 1387,
	SHERRY_IN_PARTY = 1388,
	IOLO_IN_PARTY = 1389,
	ASK_KADOR_TRICKS = 1390,


	LEARNEDGYPSYSSTOLEMAP = 1400,
	REFUSED_WANDA_SEX	= 1401,
	ARTUROSIS = 1402, //set by Culham in Jhelom when asked about gypsy story
	WANDA_TIRED		= 1403,
	DURING_WANDA_CUTSCENE =  1404,
	DURING_ANDREAS_CUTSCENE = 1405,
	ASKED_ABOUT_SACRIFICE_MANTRA = 1406,
	LENS = 1407, //Dale in Minoc makes Lens
	MET_ELAD	= 1408, //bucs den 881
	LEONNA_IN_PARTY		= 1409,
	LEODON_IN_PARTY		= 1410,
	FENTRISSA_SOLD_OUT	= 1411,

	MET_CAPTAIN_JOHNE = 1411,

	
	
	SEGGALLION_IN_PARTY	= 1412,
	LEARNED_OF_CAPT_JOHNE = 1413,


	 
	//Used for orb of the moons locations 
	FOUND_CONTROL = 1414,
	FOUND_PASSION = 1415, 
	FOUND_DILIGENCE = 1416,
	FOUND_SLAB = 1417
	

};



/* Original game flags */

//Who the player has met. BG used global flags for this because the Met flag didn't exist.
enum met_flags
{
//	MET_JULIA			= 0x1B,
	MET_LORD_BRITISH	= 0x98,
	MET_FINNIGAN		= 0x4C,
	MET_NYSTUL			= 0x99,
	MET_CHUCKLES		= 0x9A,
	MET_CANDICE			= 0xAA,
	MET_GORDON			= 0xBB,
	MET_GLADSTONE		= 0x110
};

//Flags used by the starting murder investigation quest
enum trinsic_murder_flags
{
//	GOT_CHRISTOPHERS_KEY		= 0x3C,
	GOT_TRINSIC_PASSWORD		= 0x3D,
	NEEDS_TRINSIC_PASSWORD		= 0x42,
	UNLOCKED_CHRISTOPHERS_CHEST	= 0x3E,

	KNOWS_ABOUT_CHRISTOPERS_ARGUMENT	= 0x3F,
	REFUSED_MURDER_INVESTIGATION		= 0x59,
	EXPECTED_TO_LOOK_IN_STABLES			= 0x5A,
	REPORTED_CHRISTOPHERS_KEY			= 0x48,
	CAN_GIVE_MURDER_REPORT				= 0x5B,
	STARTED_MURDER_REPORT				= 0x5D,
	LEARNED_ABOUT_CROWN_JEWEL			= 0x40,
	LEARNED_ABOUT_HOOK					= 0x43,
	FINISHED_MURDER_INVESTIGATION		= 0x44,
	WAITING_FOR_INVESTIGATION_PAYMENT	= 0x45
};

//Broken the tetrahedron generator that screws up magic. This affects most conversations with wizards.
const int BROKE_TETRAHEDRON = 0x03;

//Used the armageddon spell
const int CAST_ARMAGEDDON = 0x1E;


//Flags used in conversation with Lord British
enum lb_conversation_flags
{
	WESTON_FREED					= 0xCC,
	ASKED_LB_ABOUT_ORB							= 0xDD,
	ASKED_LB_ABOUT_MAGIC			= 0x66,
	LEARNED_ABOUT_BRITAIN_MURDER	= 0xD1, //allows you to ask Patterson about it
	ASKED_LB_ABOUT_HEAL				= 0xD3,
	LEARNED_ABOUT_BLACKROCK			= 0x65,	//allows you to ask Rudyom about it?
	ASKED_LB_ABOUT_GUARDIAN			= 0xD4,	//stops you ever asking him again (yes, plaster over those plot-holes)
	LB_REWARDED_FOR_FV				= 0x30D	//Received Lord British's reward for completing the Forge of Virtue
};

//Flags used in conversation with Julia
enum julia_conversation_flags
{
	ASKED_JULIA_TO_LEAVE			= 0x101,
	JULIA_IN_PARTY				= 0x108,
	KATRINA_IN_PARTY			= 0x121
};

//Flags used in Minoc conversations to do with the sawmill murder
enum minoc_murder_flags
{
	LEARNED_ABOUT_MINOC_MURDER		= 0x11F
};

//Flags used by the Owen's Monument quest
enum owen_monument_flags
{
//	COMPLETED_OWENS_QUEST		= 0xF7,
	LEARNED_ABOUT_PLANS			= 0x10B,
	OWENS_PLANS_ARE_UNSAFE		= 0xFD
};

//Batlin has buggered off (after you talk to him with the cube in your possession)
const int BATLIN_MISSING = 0xDA;

//Heard that Patterson is having an affair with Candice
const int HEARD_ABOUT_PATTERSONS_AFFAIR = 0x80;

//Heard about the Inner Voice
//const int HEARD_ABOUT_VOICE = 0x8C;