void desk_item shape#(675) ()
{
	const int SHAPE_PARROT = 1263;
	const int FRAME_GLASS = 15;
	const int SHAPE_BROKEN_DISH = 546;
	const int FRAME_NYSTUL = 1;
	
	var frame = UI_get_item_frame(item); 
	var target_shape;
	var target_frame;
	
	if (event == DOUBLECLICK) 
	{
	
		if (frame == 0) //gavel
		{
			var target = UI_click_on_item();
			var targetframe = UI_get_item_frame(target);
			target_shape = UI_get_item_shape(target);
			UI_error_message("targetframe is " + targetframe);
			
			if (targetframe == 10) //parrot
			{
				//parrot is hit, flies off perch.  Bad Avatar!
				UI_play_sound_effect(15);
				UI_set_item_frame(target, 21);//set item to empty perch
				
				//create parrot at perch
				var position = UI_get_object_position(target);
				
				//create Shape
				var parrot = UI_create_new_object2(SHAPE_PARROT, position);

					
				UI_item_say(parrot, "Squawk! You'll pay for that!");
				
				//set parrot in combat mode
				UI_set_alignment(parrot, EVIL);
				UI_set_schedule_type(parrot, IN_COMBAT);
		
		
			}
			
			if (target_shape == SHAPE_CRYSTAL_BALL && targetframe == 1) //Nystul's crystal ball
			{
				UI_error_message("Hitting crystal ball with hammer");
				UI_close_gumps2();
				
				var crystal_ball = UI_find_nearest(AVATAR, SHAPE_CRYSTAL_BALL, QUALITY_ANY, FRAME_NYSTUL);
				UI_set_item_shape(crystal_ball, SHAPE_BROKEN_DISH);
				UI_set_item_frame(crystal_ball, FRAME_GLASS);
				UI_play_sound_effect(37);
				script AVATAR after 6 ticks
				{
					call teleportToCheatRoom;
				
				};
				
			
			}
			else
				desk_item.original();
			
		}
		else
			desk_item.original();
	
	
	}
	else
		desk_item.original();
}