//0xbc is trap egg, set something on, all attacks





void Intro 0xD07() //3335
{
	
	if (event == EGG)
	{
		
		UI_error_message("Cutsene intro begin");
   		script item 
		{	
			//wait 5;
			//call GenericPaletteUnfade;
			call intro1;
		};
		UI_remove_item(item);

	}
}
void gypsyIntro 0xD08()//3336
{
	var avatarpos = [0184, 0696];	
	if (event == EGG)
	{
		//Avatar should not have sword yet
		UI_remove_party_items(1, SHAPE_SWORD, QUALITY_ANY, FRAME_ANY);
		UI_remove_party_items(1, SHAPE_SWORD, QUALITY_ANY, FRAME_ANY);
		
		//make sure music flag is on to play tracks after convo ends.  Can be turned off via ankh.
		gflags[PLAY_ORIGINAL_TRACKS] = true;
		
		UI_remove_item(item);
		//run to path 1
		AVATAR->set_item_flag(BG_DONT_MOVE);
		UI_si_path_run_usecode(AVATAR, [avatarpos], DOUBLECLICK, GYPSYWOMAN, Gypsy, true);
		
	}
}

void GypsyTravel 3002() //put in the castle. 
{
	//Start game at 5:58am Day 1.
		
	if (event == EGG)
	{
		//get day via game day intrinsic
		var game_day = UI_game_day();
	
		//convert to 'day of the week' for gypsy schedules
		var day = game_day - ((game_day / 7) * 7);
		
		UI_error_message("Gameday is " + game_day + ", day of week is " + day);
		
		//adjust gypsy / Mandrake's schedules according to day. 
		gypsySchedule(day);
		
		UI_run_schedule(MANDRAKE);
		UI_run_schedule(TAYNITH);
		UI_run_schedule(KARINA);
		UI_run_schedule(ZOLTAN);
		UI_run_schedule(KADOR);
		
		//make sure Blaine isn't in party first, so it doesn't mess with anything
		if (!inParty(BLAINE))
			UI_run_schedule(BLAINE);
	
	
		//Unrelated to gypsy travel, but doing some extra cleanup just in case-
		// if BRAWLING flag is still somehow set from Jhelom or Bucs, clear it. (this happens sometimes?)
		if (gflags[BRAWLING])
			gflags[BRAWLING] = false;
	
	}
} 

/*  DISABLED
void IntroPartTwo 3003()
{
	if (event == EGG)
	{
//	script item {	call beginCutsceneIntro2, MOONGATE_WANES2;};
	}
} 

void IntroPartThree 3004()
{
	if (event == EGG)
	{
//	script item {	call beginCutsceneIntro3, AVATAR_FREE;};
	}
} 
*/

// egg that is in the Moonglow house, after you purchase, it will clean it up the next time you show up.
void cleanHouse 3004()
{
	var garbage; 
	var quality = UI_get_item_quality(item);
	
	if (event == EGG)
	{
		if (quality == 1)
		{
			//house isn't clean yet
			if (!gflags[MOONGLOW_HOUSE_CLEAN])
			{
				randomPartyBark("@Wow, what a mess..@");
				gflags[MOONGLOW_HOUSE_CLEAN] = true;
				UI_remove_item(item);
			}
		}	
		else
		{
		
			if (gflags[MOONGLOW_HOUSE_CLEAN])
			{
				//find items to remove: bloodstains/cobwebs
				var bloodstains = UI_find_nearby(item, 912, 8, MASK_TRANSLUCENT);
				var cobwebs = UI_find_nearby(item, 667, 8, MASK_TRANSLUCENT);

				//clean up bloodstains (shape 912)
				for (garbage in bloodstains) //delete each bloodstain
					UI_remove_item(garbage);
				
				//clean up cobwebs
				for (garbage in cobwebs) //delete each cobweb
					UI_remove_item(garbage);
					
				//remove egg	
				UI_remove_item(item);	
			}
		
		}
	
	}

}



//in front of Beyvin's crypt - gives you xp if you leave it and karma
void leaveFlowers 3005()
{
	if (event == EGG) 
	{
		UI_close_gumps();
	
		var flowers = UI_find_nearby(item, SHAPE_PLANT, 10, MASK_NONE);
		var num_flowers = UI_get_array_size(flowers);
		
		//flowers found, check for daffodils
		var count = 0;
		var flower_frame;
		var flower;
		if (num_flowers > 1)
		{
			for (flower in flowers)
			{
				flower_frame = UI_get_item_frame(flower);
				if (flower_frame == FRAME_DAFFODIL)
					count += 1;


			}			
		
			//Daffodils seemed to be placed and not just moving one plant.  give XP and delete egg
			if (count > 1)
			{
				giveExperience(30);
				
				addKarma(10);
				
								
				UI_remove_item(item);
			
			}
		
		}
		else
			return;
	}
} 


//egg that will check the condition for starting the brawl	
void StartJhelomBrawl 3006()
{
	if (event == EGG) 
	{
		var eggQuality = UI_get_item_quality(item);
		var hour = UI_game_hour();

		if (eggQuality == 0)
		{
		
			if (hour >= 21 && !gflags[BRAWLING]) //9pm
			{
				gflags[BRAWLING] = true;
				UI_error_message("Hour is " + hour + " , calling brawl engine");
				UI_play_music(25, 0);
				script item
				{
					call BrawlEngineJhelom;
				};
					
				
				
			}
			else
				UI_play_music(20, 0);
		}
		else if (eggQuality == 1) //Bucs Den Brawling
		{
		
			if (hour >= 0 && hour <=3) //0-3am
			{
				
				UI_error_message("Hour is " + hour + " , calling brawl engine");
				UI_play_music(25);
				script item
				{
					call BrawlEngineBucsDen;
				};
					
				
				
			}
			else
				UI_play_music(20);
		}
		else
			abort;
	}

}

void attackAvatar 3007()
{
	if (event == EGG)
	{
		var skeleton_list = UI_find_nearby_avatar(528);
		var skeleton;
		
		for (skeleton in skeleton_list)
			UI_set_schedule_type(skeleton, IN_COMBAT);
			
		if (isNearby(MORGOTH))
			UI_set_schedule_type(MORGOTH, IN_COMBAT);
	}	
	
}

void ShaminoKnowsDungeons 3008() //
{
	var quality = UI_get_item_quality(item);
	var msg;
	
	if (quality == 0)
		msg = "This is the Dungeon of Deceit.";
	else if (quality == 1)
		msg = "This is the Dungeon of Despise.";	
	else if (quality == 2)
		msg = "This is the Dungeon of Destard.";	
	else if (quality == 3)
		msg = "This is Hythloth.";		
	else if (quality == 4)
		msg = "This is the Dungeon of Shame.";			
	else if (quality == 5)
		msg = "This is the Spider Cave.";	
	else if (quality == 6)
		msg = "This is the Swamp Cave.";		
	else if (quality == 7)
		msg = "This is the Cyclops Cave.";	
	else if (quality == 8)
		msg = "This is the Dungeon of Wrong.";	
	else if (quality == 9)
		msg = "This is the Dungeon of Covetous.";	
	else if (quality == 10)
		msg = "This is Buccaneer's Cave.";
	else if (quality == 11)
		msg  = "This is Heroes Hole.";
	else if (quality == 12)
	{
		
		msg = "I don't think we're in Britannia anymore..";
		UI_error_message("flags set to visit Garg world via orb of moons");
		gflags[FOUND_CONTROL] = true;
		gflags[FOUND_PASSION] = true;
		gflags[FOUND_DILIGENCE] = true;
		gflags[FOUND_SLAB] = true;
	
		UI_remove_item(item);
	}
		
	if (event == EGG && inParty(SHAMINO))
		UI_item_say(SHAMINO, msg);
	else
		return;
	
}


void TrinsicSched 3010()
{
	var hour;		
	var minute;
	
	if (event == EGG)
	{
		hour = UI_game_hour();
		minute = UI_game_minute();
	
		if (hour == 11)	//11am			
		{
			IMMANUELLE->move_object([0x4d1, 0x8c7, 0x0]);
			UI_set_schedule_type(IMMANUELLE, STANDTHERE);
			IMMANUELLE->set_item_frame_rot(32);

			WHITSABER->move_object([0x4e8, 0x8d2, 0x0]);
			UI_set_schedule_type(WHITSABER, EAT_AT_INN);
		}

		if (hour == 13)	//1pm			
		{
			WHITSABER->move_object([0x51e, 0x8e7, 0x2]);
			UI_set_schedule_type(WHITSABER, WANDER);
		}
		
		if (hour == 14)	//2pm			
		{
			IMMANUELLE->move_object([0x4bb, 0x9a7, 0x0]);
			UI_set_schedule_type(IMMANUELLE, LOITER);
		

		}

		if (hour == 19)	//7pm			
		{
			WHITSABER->move_object([0x4a8, 0x8e6, 0x0]);
			UI_set_schedule_type(WHITSABER, SLEEP);
		}


		if (hour == 20)	//8pm			
		{
			IMMANUELLE->move_object([0x4cf, 0x9a7, 0x0]);
			UI_set_schedule_type(IMMANUELLE, SLEEP);
	
		}

	}


}





//3016 used in quenton sidequest egg file
/* //disabled for now
void bell 3017()
{
	var hour = UI_game_hour();
	var minute = UI_game_minute();
	var frame = UI_get_item_frame(DAVER);
	var schedule = UI_get_schedule_type(DAVER);
	var bell = UI_find_nearest(item, SHAPE_BELL, 30); 


	if ((event == EGG) && (isNearby(DAVER)))
	{
		item->bellringer();
	
	
	}
	
}
	
*/

//used in front of Blue boar mirror. Makes sure Chuckles is there if flag is set when told to go there, and the time is right
void chucklesDeath 3017()
{
	var hour = UI_game_hour();
	var minute = UI_game_minute();
	var mirror_location = [1200, 1251, 0];
	
	//var ghost_location = [1200, 1250, 0];
	
	if (event == EGG)
	{
		
		//time is between midnight and 6am, and you strongarmed Chuckles into waiting at the tavern by mentioning "Lucy"
		if (hour < 6 && gflags[CHUCKLES_WAITS]) //moves Chuckles in front of the mirror
		{
			if (canTalk(CHUCKLES)) //checks to see if he's able to be there.  If you killed him already, no point.
			{
				CHUCKLES->move_object([mirror_location]);
				UI_set_schedule_type(CHUCKLES, WAIT);
				UI_set_item_frame(CHUCKLES, 16);
				UI_set_item_flag(CHUCKLES, SI_ZOMBIE); //to verify Chuckles is by the mirror
			}
			else
				return; 
		}
		else if (gflags[CHUCKLES_KILLED]) //already killed Chuckles, clean up egg
		{
			UI_remove_item(item);

		}
		else
		{
			if (UI_get_item_flag(CHUCKLES, SI_ZOMBIE))
				UI_clear_item_flag(CHUCKLES, SI_ZOMBIE); //means he's not by the mirror anymore or time is wrong
				
			//var ghost = UI_find_object(FIND_ON_SCREEN, SHAPE_GHOST, QUALITY_ANY, FRAME_ANY);
			UI_set_schedule_type(CHUCKLES, WANDER);
			
			//if (ghost)
			//	UI_remove_item(ghost);
			
			
			return;
		}
	}
	else
		return;
}







void GwennoSched 3018()
{
	var hour = UI_game_hour();
	var minute = UI_game_minute();
	
	if (event == EGG && !inParty(GWENNO))
	{
		
		if (hour == 14)	//2pm			
		{
			GWENNO->move_object([0x6e7, 0x137, 0x0]);
			UI_set_schedule_type(GWENNO, LOITER);
	
		}

							
		if (hour == 16)	//4pm			
		{
			GWENNO->move_object([0x75c, 0x00f5, 0x1]);											
			UI_set_schedule_type(GWENNO, MAJOR_SIT);
	
		}

		if (hour == 17)	//5pm			
		{
			GWENNO->move_object([0x75c, 0x00f5, 0x1]);											
			UI_set_schedule_type(GWENNO, MAJOR_SIT);
		}

				
	}

}



void GwennoPlayflute 3019()
{
	if ((event == EGG) && (isNearby(GWENNO)))
	{
		if (UI_get_schedule_type(GWENNO) == STANDTHERE)
		{
			UI_play_music(29, GWENNO);
			script GWENNO
			{
				actor frame standing;    face south;               wait 1;
				repeat 25{
					actor frame 30;				wait 1;
					actor frame 31;				wait 1;
					actor frame 30;				wait 1;
					actor frame 31;				wait 1;
				};
					
			};

			
		}
		else return;
	}			

}


//sets up the cutscene when you get the rune of Honesty
void GetRuneHonesty 3020()
{

	if (event == EGG)
	{
		var door = UI_find_nearest(AVATAR, 270, 10);
		UI_close_gumps();
		if (UI_find_object(PARTY, SHAPE_RUNE,QUALITY_ANY, FRAME_HONESTY))
		{
			UI_close_gumps();
			door->set_item_frame(12);
			giveExperience(50);
			AVATAR->set_item_flag(BG_DONT_MOVE);
			script item after 3 ticks 
			{ 
				call getRuneHonesty, GOT_RUNE;
			};	
			UI_remove_item(item);

		}					
		else
			return;
			
	}			



}

//this is put in the Lycaeum to randomize the important books that give rewards

void randomizeQuestBooks 3021()
{
	if ((event == EGG) && (!gflags[BOOKS_ARE_RANDOMIZED]) || (gflags[DEBUG]))
	{
		//get array of all books in 9x9 chunk radius
		var books = UI_find_nearby_avatar(SHAPE_BOOK);
		
		//amount of books found 
		var num_books = UI_get_array_size([books]);
		UI_error_message(num_books + " books found by randomizeQuestBooks egg.");

		//get random number for books
		var rand1 = UI_get_random(num_books);
		var rand2 = UI_get_random(num_books);
		
		
		//make sure both rolls are different
		var tries = 0; //max amount of tries before while loop break so no infinite loop
		while (rand1 == rand2 && tries < 15)
		{
			//reroll rand2
			rand2 = UI_get_random(num_books);
		
			tries += 1;
		}
		//Wizard of Oz - give to LB for gems
		UI_set_item_quality(books[rand1], 6);

		//Book of Mantras - give to Wisps for tons of gold nuggets
		UI_set_item_quality(books[rand2], 29);

		//set flag
		gflags[BOOKS_ARE_RANDOMIZED] = true;
		
		//remove egg
		UI_remove_item(item);
	}
	else
		return;
}


//Egg to make sure Michael is where he is supposed to be. 
void MoveMichael 3023()
{
	var quality = UI_get_item_quality(item);
	if (event == EGG)
	{
		if (quality == 0)
		{
			if (gflags[MICHAEL_CAPTURED])
				UI_remove_item(item);
				
			else if (!gflags[MARNEY_SAVED] || !gflags[MARNEY_GONE] && (!isNearby(MICHAEL) && !gflags[STARTED_INVESTIGATION]))
			{
				//if Michael not nearby and is on WAIT, it will clear it.
				if (UI_get_schedule_type(MICHAEL, WAIT))
				{
					UI_error_message("MICHAEL is in WAIT schedule but shouldn't be.  Moving now.");
					UI_set_schedule_type(MICHAEL, LOITER); 
					UI_move_object(MICHAEL, [0630, 1387], true);
					UI_run_schedule(MICHAEL); 
					UI_set_schedule_type(MICHAEL, LOITER); 
				
				}
			
			}
			else
				return;
		}
		else if (quality == 1) //kill Rinaldo
		{
			UI_move_object(RINALDO, [0759, 0424, 0]);	
			UI_set_schedule_type(RINALDO, WAIT);
			UI_apply_damage(127, 127, NORMAL_DAMAGE, RINALDO);
		
		//	UI_move_object(PIRATE_THUG, [0759, 0424, 0]);	
			
			UI_remove_item(item);
		}
			
	}	
}

void GuardsPlayTrumpet 3024()
{
	if ((event == EGG) && (!gflags[INTRO]))
	{

		if ((isNearby(NYSTUL)) && (UI_get_schedule_type(NYSTUL) == STANDTHERE))
		{
			NYSTUL->set_item_frame_rot(48);
			GEOFFREY->set_item_frame_rot(32);
		}

		if (isNearby(PALACE_GUARD1))
		{
			if (UI_get_schedule_type(PALACE_GUARD1) == STANDTHERE)
			{
				UI_play_music(24, PALACE_GUARD1);
				script PALACE_GUARD1
				{
					actor frame standing;    face east;     wait 1;
					repeat 3
					{
						actor frame 62;				wait 6;
						actor frame 63;				wait 13;
						actor frame 62;				wait 11;
						actor frame 63;				wait 3;
						actor frame 62;				wait 3;
					};
					actor frame standing;    face east;     wait 1;
				};
			}
		}
		if (isNearby(PALACE_GUARD2))
		{
			if (UI_get_schedule_type(PALACE_GUARD2) == STANDTHERE)
			{
				UI_play_music(24, PALACE_GUARD2);
				script PALACE_GUARD2
				{
					actor frame standing;    face west;     wait 1;
					repeat 3{
					actor frame 62;				wait 6;
					actor frame 63;				wait 13;
					actor frame 62;				wait 11;
					actor frame 63;				wait 3;
					actor frame 62;				wait 3;
						};
					actor frame standing;    face west;     wait 1;
				};
			}
		}



	}

}

void BritishGoesBerzerk 3025()
{
	if (event == EGG)
	{
		if (isNearby(LORD_BRITISH))
		{
			UI_close_gumps();
			UI_remove_item(item);
			script LORD_BRITISH after 2 ticks
			{
				say "@My fork!!!@";
			};
			UI_set_alignment(LORD_BRITISH, EVIL);
			UI_set_schedule_type(LORD_BRITISH, IN_COMBAT);

			UI_set_oppressor(LORD_BRITISH, AVATAR);
			UI_set_item_flag(LORD_BRITISH, PETRA); //LB peed off
			
			UI_remove_item(item);
		}

	}

}

void BritishGoesCalm 3026() //
{
	if (UI_get_item_flag(LORD_BRITISH, PETRA))
	{
		UI_clear_item_flag(LORD_BRITISH, PETRA);
		UI_set_alignment(LORD_BRITISH, NEUTRAL);
		UI_run_schedule(LORD_BRITISH);
		UI_remove_item(item);
	}
	else
		return;
}

void restartGame object#() ()
{
	UI_restart_game();
}

void ChucklesTeleports object#() ()
{
	UI_restart_game();
}


void ChucklesGetsCheaters 3027() //finisht his!!!!
{
	var bark;
	var addnumber = UI_get_npc_id(AVATAR);

	if ((!gflags[INTRO]) && (event == EGG))
	{
		UI_set_item_flag(AVATAR, BG_DONT_MOVE);
		AVATAR.say("@I can't move?@");
		AVATAR.hide();
		UI_clone(CHUCKLES);
		
		CHUCKLES.say("@Ho eyo he hum, o' Virtuous one! Didn't want to play the Game?!@");
		CHUCKLES.say("@Fancy meeting thee here, an area you cannot enter under normal circumstances... Say, are thou a cheater, Avatar?*@");
		CHUCKLES.say("@Of course you are!@*");
		CHUCKLES.say("@And what shall we do with thee, Cheatatar?@");
		CHUCKLES.say("@Tis certain thou aren't serious about saving Britannia, teleporting around in places ye shouldn't be.@");
		CHUCKLES.say("@And in fact, I knowest thou killed me and reloaded thy game before! Admit it! You never liked me!@");
		CHUCKLES.say("@What, thou dost not remember shooting me with a cannon? Or exploding me with a powder keg? Or ramming thy sword into my belly? Well, Chuckles remembers!@");
		CHUCKLES.say("@Chuckles also remembers the time thou didst ransack the castle and smite Lord British with a glass sword!@");	
		CHUCKLES.say("@So, now you answer mine question. You never liked me, did you?@");
			
		var options = ["I liked you..", "Ok I admit it"];
		var options2 = ["what?"];	

				//Start of regular conversation tree
			converse(options)
			{
				case "I liked you..":
					CHUCKLES.say("@Really? Then why didn't you laugh at my joke about Dupre being like a horseshoe? That joke was GOLD, thou bastard!!@*");
					CHUCKLES.say("@It was a comedic masterpiece!! Apparently humour isn't a virtue!@");
					CHUCKLES.say("@But nay, Chuckles isn't mad. In fact, Chuckles is downright giddy. And dost thou know what a giddy Chuckles feels like doing?@");
					CHUCKLES.say("@Chuckles just might cut thee a break. In fact, I've been working on some new jokes. Would'st thou like to hear one?@");
					AVATAR.say("Before you could protest, Chuckles responds for you.");
					AVATAR.hide();
					CHUCKLES.say("@Thou wouldst? Of course, I knew ye would! What a pal! Ho eyo he hum, here it comes!@");
					CHUCKLES.say("@Say, Avatar old chum, There's someone at thy door! Knock Knock!....this is where thou sayest 'Who's there?' Cheatatar!@");
					AVATAR.say("@Uh... who's there?@");
					AVATAR.hide();
					CHUCKLES.say("@Boo...@");
					AVATAR.say("@...boo...who?@");
					AVATAR.hide();
					CHUCKLES.say("@Boo Hoo goes the Avatar because now Chuckles is going to torment thee for eternity!@");
					CHUCKLES.say("@Cheatatar, old chap, thou hast time for one more joke? Listen to a joke from your dear friend Chuckles?@");
					CHUCKLES.say("@Ok, here it comes!@");
					CHUCKLES.say("@Cheaters say what?@");
				converse(options2)
				{
					case "what?":
						var addnumber = UI_get_npc_id(AVATAR);
						if (UI_get_npc_id(AVATAR) >= 10)
						{
							CHUCKLES.say("@Ho Ho Ho, Hee Hee Heeee, that was a riot!@");
							CHUCKLES.say("@Hast thou learned a lesson against thy cheating ways, Cheatatar?@");
							CHUCKLES.say("@Didst thy dear old friend Chuckles the Jester teach thee that cheaters never win?@");
							CHUCKLES.say("@Remember this day, Avatar. Next time thou contemplates killing me and leaving my carcass on Lord British's carpet...@");
							CHUCKLES.say("@...I'll remember it all. Chuckles remembers!!@");
							CHUCKLES.say("@Now, go to sleep, dear Avatar, with visions of Chuckles dancing in thy head!@");
							CHUCKLES.say("@Ho eyo he hum! Teedledee dee, hee hum!@");
							UI_start_speech(21);
							UI_fade_palette(600, 0, false);
							break;
							script AVATAR after 110 ticks
							{
								call restartGame;
							};
						}				
							else 
							{
								say("@Hee hee! Ho ho!@*");
								UI_set_npc_id(AVATAR, addnumber + 1);
							}
					case "test":
						say("@Ooops, didn't work.@");
						break;
							
				}
				
			case "Ok I admit it":
				CHUCKLES.say("@I knew it!! Thou wer't jealous of mine comedic talents!@");
				CHUCKLES.say("@And thou wer't jealous of my better looking costume!@");
				CHUCKLES.say("@And thou never liked my jokes!@");
				CHUCKLES.say("@So Avatar, old buddy old pal, doest thou not like Chuckles?@");
				CHUCKLES.say("@Is one Chuckles too much for thee?@");
				CHUCKLES.say("@Well Cheatatar, dear sweet Cheatatar?@");
				script AVATAR after 60 ticks
				{
					call ChucklesTeleports;
				};
				break;
			}//end converse options
	}
	else return;
}
				
				
			
void UnfreezeLB 3028()
{
				
	if (!gflags[INTRO])
	{
		UI_set_schedule_type(NYSTUL, STANDTHERE);
		UI_set_schedule_type(GEOFFREY, STANDTHERE);
		UI_set_schedule_type(LORD_BRITISH, MAJOR_SIT);
	}
}
	
void DragonAttack 3029()
{
	var dragon_list = UI_find_nearby_avatar(504); //dragon shape
	UI_close_gumps();
	if (event == EGG)
	{
		UI_close_gumps();
		UI_close_gump();
		for (npc in dragon_list)
		{
			UI_close_gumps();
			npc->set_schedule_type(IN_COMBAT);	
		}
	}
}

void WrongEgg1 3030()
{
	const int SHAPE_LEVER = 787;
	const int SHAPE_LOCKED_WALL = 828;
	var door = UI_find_nearest(WRONG, SHAPE_LOCKED_WALL, 25); //locked "wall" door shape


	if (event == EGG)
	{
	
		var door = UI_find_nearest(item, SHAPE_LOCKED_WALL, 25); //locked "wall" door shape
		
		if (gflags[SWITCH_WRONG]) //gflag 1086
		{
			UI_set_item_shape(door, 845); //change to locked "open wall" shape
		}
			else return;
		
	}
}

void WrongEgg2 3031()
{
	const int SHAPE_LEVER = 787;
	var lever = UI_find_nearest(item, 828, 20); //lever shape
	var lever_frame = UI_get_item_frame(lever); //pulled lever


	if (event == EGG)
	{
		var lever = UI_find_nearest(item, 787, 20); //lever shape
		var lever_frame = UI_get_item_frame(lever); //pulled lever
	
		if (lever_frame == 2)
		{
			if (!gflags[SWITCH_WRONG]) //gflag 1086
			{
				gflags[SWITCH_WRONG] = true;
			}
				else return;
		}
		else return;
		
	}
}

void WrongEgg3 3033() //when telekenisis cast on lever, set global flag
{
	const int SHAPE_LEVER = 787;
	var lever = UI_find_nearest(item, 828, 20); //lever shape
	var lever_frame = UI_get_item_frame(lever); //pulled lever


	if (event == EGG)
	{
		var lever = UI_find_nearest(item, 787, 20); //lever shape
		var lever_frame = UI_get_item_frame(lever); //pulled lever
	
		if (lever_frame == 2)
		{
			if (!gflags[SWITCH_WRONG_2]) //gflag 128				
			{
				gflags[SWITCH_WRONG_2] = true;
			}
			else return;
		}
		else return;
		
	}
}

void WrongEgg4 3034()  //when SWITCH_WRONG_2 gflag set, opens "wall shape" 
{
	const int SHAPE_LEVER = 787;
	const int SHAPE_LOCKED_WALL = 828;
	var door = UI_find_nearest(WRONG, SHAPE_LOCKED_WALL, 25); //locked "wall" door shape


	if (event == EGG)
	{
	
		var door = UI_find_nearest(item, SHAPE_LOCKED_WALL, 25); //locked "wall" door shape
		
		if (gflags[SWITCH_WRONG_2]) //gflag 128
		{
			UI_set_item_shape(door, 845); //change to locked "open wall" shape
		}
		else return;
	}
}
		

void removeBarrier object#() ()
{
	if (event == EGG)
	{
		const int SHAPE_SWITCH = 788;
		const int SHAPE_BARRIER = 1223;
		var barrier = UI_find_nearest(item, SHAPE_BARRIER, 31); //



		UI_remove_from_area(barrier, FRAME_ANY, [1704, 2677], [1761, 2737]);
	}
}




void SutekCatacombs 3035()  //
{
	const int SHAPE_SWITCH = 788;
	const int SHAPE_BARRIER = 1223;

	var barrier = UI_find_nearest(item, SHAPE_BARRIER, 25); //locked "wall" door shape
	var lever_switch = UI_find_nearest(item, SHAPE_SWITCH, 25); //locked 
	var switch_frame = UI_get_item_frame(lever_switch); //pulled lever


	if (event == EGG)
	{
	
		if (switch_frame == 0)
		{
			script item after 1 ticks call removeBarrier;
	//		randomPartyBark("@Egg initiated@");
		}
			else return;
		
	
	}
}


//Egg to make sure NPC's are facing proper direction (ex: Sylania / Sionnach, Daver, Nystul/Geoffrey)
void npcFaceDirection 3052()  //
{
	
	if (event == EGG)
	{
		//Sylania and Sionnach's graveyard midnight rendevous
		if (UI_part_of_day() == MIDNIGHT && nearEachOther(SYLAINA, SIONNACH))
		{
			UI_error_message("Sylania and Sionnach is nearby");
			//if she isn't facing Sionnach, make her.
			if (!isFacingNPC(SYLAINA, SIONNACH))
			{
				UI_error_message("Sylaina isn't facing Sionnach, making them face each other");
				makeNPCFaceNPC(SYLAINA, SIONNACH);
				
			}
			
			//if he isn't facing Sylania, make him.
			if (!isFacingNPC(SIONNACH, SYLAINA))
				makeNPCFaceNPC(SIONNACH, SYLAINA);		
		
			
		}
	
		//Geoffrey and Nystul
		if (nearEachOther(GEOFFREY, NYSTUL) && UI_get_schedule_type(GEOFFREY, STANDTHERE) && UI_get_schedule_type(NYSTUL, STANDTHERE))
		{
			if (!isFacingNPC(GEOFFREY, NYSTUL))
				makeNPCFaceNPC(GEOFFREY, NYSTUL);		
	
			if (!isFacingNPC(NYSTUL, GEOFFREY))
				makeNPCFaceNPC(NYSTUL, GEOFFREY);	
	
		}
		
		
		//Daver standing at the bell
		if (isNearby(DAVER) && UI_get_schedule_type(DAVER, STANDTHERE))
		{
			if (getFacing(DAVER) != SOUTH)
				makeNPCFaceDirection(DAVER, SOUTH);
		
		
		}
	}
	else
		abort;
	
	
	

}

void Control_Switch 3037() //when switch is thrown, gflag SWITCH_CONTROl set true, egg delete barrier will work
{

	if (event == EGG)
	{
		const int SHAPE_SWITCH = 788;
		const int SHAPE_BARRIER = 1223;
		
		var ctrl_switch;
		var ctrl_switches = UI_find_nearby_avatar(SHAPE_SWITCH);
		
		
		for (ctrl_switch in ctrl_switches)
		{	
			var switch_frame = UI_get_item_frame(ctrl_switch);
			if (switch_frame == 0 && !gflags[SWITCH_CONTROL])
				gflags[SWITCH_CONTROL] = true;	//used to delete barrier
			UI_error_message("Control switch flipped, barriers should be deleted");
		}

	}


}

void delete_barrier 3038() //used to delete barries in control shrine
{
	const int BARRIER = 1146;
	var egg_location = UI_get_object_position(item);
	var barrier = UI_find_nearby([egg_location], BARRIER, 30, MASK_NONE);
	
	var barrier_quality = UI_get_item_quality(barrier);
	if (event == EGG)
	{
		if (gflags[SWITCH_CONTROL] == true && barrier_quality == 0)
		{
			UI_remove_item(barrier);
			UI_error_message("Control Barriers should be removed");
		}
		else if (gflags[SWITCH_BASEMENT] == true && barrier_quality == 1)
		{
			UI_remove_item(barrier);
			UI_error_message("Basment barriers should be removed");
		}
		
		if (gflags[SWITCH_TOMBKINGS] == true && barrier_quality == 2)
		{
			
			UI_remove_item(barrier);
			UI_error_message("Tomb of Kings Barriers should be removed");
		}	
	}
}
	
void need_key 3039() //if avatar skips ahead to get the cube
{
	if (!gflags[TOLD_ABOUT_CUBE])
	{
		gflags[TOLD_ABOUT_CUBE] = true; //allows you to ask about cellar with Cyclops
		return;
	}	

	else return;
}	
	

void getValor 3041()
{
	var valorrune = UI_count_objects(PARTY, SHAPE_RUNE, QUALITY_ANY, FRAME_VALOR); //checks to see if party has Rune of valor
	if (gflags[AVATAR_IS_SHERRY] && valorrune >= 1)
	{
		script item after 2 ticks
		{
			call UndoSherrySwap;
			remove;
		}
	
	}

}
	
void behaveSherry 3042()
{

	if (gflags[AVATAR_IS_SHERRY])
	{
//		UI_halt_scheduled(AVATAR);
		UI_item_say(SHERRY, "Aren't you forgetting something, Sherry?");
		AVATAR->move_object([0x187, 0xa0c, 0x0]); 
			
	}

}	


void volcano 3043()
{
	const int SPRITE_EXPLOSION = 1;
	const int SFX_ERUPT = 60;
	const int SHAPE_VOLCANO = 1177;
	const int SFX_SMOKE = 59;
	const int SPRITE_SMOKE = 3; //from smokebomb

	if (event == EGG) 
	{
	
		//finds array of all volcanoes in the area
		var volcano_item = UI_find_nearby(item, SHAPE_VOLCANO, 31, MASK_NONE);
	
		//how many are found
		var num_volcanoes = UI_get_array_size([volcano_item]);
		UI_error_message("there was " + num_volcanoes + " found.");
	
		//distance Avatar is from volcano
		//var avatar_distance = UI_get_distance(item, AVATAR);
		
		//if volcanoes are nearby, choose a random one to erupt
		if (num_volcanoes > 0)
		{
			//find random volcano index to erupt:
			var rand_volcano = UI_get_random(num_volcanoes);
			UI_error_message("rand volcano index is " + rand_volcano);
			
			//pick random volcano from array with chosenindex
			var volcano = volcano_item[rand_volcano];
			
			
			//triggering Eruption 
			//Eruption(volcano_item[rand_volcano]);
					
			var avatar_distance = UI_get_distance(volcano, AVATAR);
			var volcano_location = UI_get_object_position(volcano);
			UI_error_message("Item location is" + volcano_location);

			//determine if it explodes
			var rand = UI_get_random(100);
			UI_error_message("Volcano egg hatched: rand number is " + rand);
			
			//volcano erupts and explodes:
			if (rand < 25)
			{
				UI_error_message("Volcano egg: random number was " + rand + ", erupt.");
				UI_error_message("Rand num  was " + rand + ", volcano erupts");
				var target; 
				
			
				//determine how many npcs are neaby
				 var targets = UI_find_nearby(volcano, SHAPE_ANY, 6, MASK_NPC2);
				 
				//exp effect
				UI_obj_sprite_effect(volcano, SPRITE_EXPLOSION, 0, 0, 0 ,0, 0, -1);
				
				//play sound
				UI_play_sound_effect(SFX_ERUPT, volcano);
				UI_earthquake(1);
				
				var count = 0; 
				
				 //apply damage to targets based on how far away they were from the blast
				 for (target in targets)
				 {
					var target_shape = UI_get_item_shape(target);
					count += 1;
					UI_error_message("Target  " + count + ", is damaged! Shape: " + target_shape);
					var target_distance = UI_get_distance(volcano, target);
					var damage_base = (50 / target_distance);
					UI_apply_damage(damage_base, 15, FIRE_DAMAGE, target);
				 }
				
			}
			
			else if (rand >= 25 && rand <= 70) //volcano erupts with smoke
			{
				UI_obj_sprite_effect(volcano, SPRITE_SMOKE, -1, -1, 0 ,0, 0, -1);
				UI_play_sound_effect(SFX_SMOKE, volcano);
				UI_error_message("Volcano egg: random number was " + rand + ", just smoke.");
			
			
			}
			else
				UI_error_message("Volcano egg: random number was " + rand + ", do nothing.");
			
	
			
			
		}
	
	}
	else
		return;
		
	
	

}		


	
void LBStory 3044()
{
		//for Sherry storytelling

	if (event == EGG)
	{
		if ((isNearby(LORD_BRITISH)) && (UI_get_schedule_type(SHERRY, STANDTHERE)) && (isNearby(SHERRY)))
		{	
			script LORD_BRITISH after 4 ticks
				{
					say "@Hubert the Lion was haughty and vain,..@";
					wait 20;
					say "@And especially proud of his elegant mane..@";
					wait 20;
					say "@But conceit of this sort is not proper at all,..@";
					wait 20;
					say "@And Hubert the Lion was due for a fall..@";
				}
			
		}
		else
			return;
			
	}	
}	

void tombKings 3045()
{
	if (event == EGG)
	{
		const int SHAPE_SWITCH = 788;
		const int barrier = 1146;
		
		var tombkings_switch;
		var tombkings_switches = UI_find_nearby_avatar(SHAPE_SWITCH);
		
		
		for (tombkings_switch in tombkings_switches)
		{
			var switch_frame = UI_get_item_frame(tombkings_switch);
			if (switch_frame == 0 && !gflags[SWITCH_TOMBKINGS])
			{
				gflags[SWITCH_TOMBKINGS] = true;	//used to delete barrier
				UI_error_message("Tomb Of Kings switch flipped, barriers should be deleted");
				UI_remove_item(item);
			}
		}

	}
}	


void moveSixth 3046()
{
	if ((event == EGG) && (gflags[SIXTH_MEMBER_LEAVES]))
	{
		var npc;
		var party_npcs = [BEHLEM, BLAINE, DUPRE, GORN, GWENNO, IOLO, JAANA, JULIA, KATRINA, LEODON, LEONNA, SEGGALLION, SENTRI, SHAMINO];
		var npc_6;
		for (npc in party_npcs)
		{
			if (UI_get_item_flag(npc, SI_LIZARD_KING))
				npc_6 = UI_get_npc_number(npc);
		}
	
	//move the npc back to the mainland after a time
		var pos = [0, 0, 0, 0];
		UI_move_object(npc_6, pos);
		UI_run_schedule(npc_6);
		UI_remove_item(item);

		
		
	}
	else
		return;
}	

void AccessDenied 3047()
{
	if (event == EGG)
	{
		var guardians = UI_find_nearby_avatar(945);
		var guardian;
		
		var guardian1 = guardians[2];
		var guardian2 = guardians[1];
		
		
		if (!gflags[FINAL_QUEST_GIVEN]) //not given codex quest by Singularity
		{
		//	for (guardian in guardians)
		//		guardian->item_say("Access denied!");
			UI_move_object(PARTY, [0xaf8,0xa6e]);
		
			script guardian1
			{
				say "@Thou art not..@";
				wait 15;
				say "@on a sacred quest..@";
				wait 15; 
				say "@Passage Denied!@";	
				
			}	
			script guardian2
			{
				say "@Thou art not..@";
				wait 15;
				say "@on a sacred quest..@";
				wait 15; 
				say "@Passage Denied!@";	
				
			}	
			
		}
		else
		{
			for (guardian in guardians)
				guardian->item_say("Pass, Seeker!");
	
		}
	}

}
// Eggs 3048, 3049 used in endgame

void InnkeeperEgg 3050()
{
	var eggQuality = UI_get_item_quality(item);
	var checkoutGideon = UI_get_item_flag(GIDEON, PETRA); 
	var checkoutPeyton = UI_get_item_flag(PEYTON, PETRA); 
	var checkoutMartin = UI_get_item_flag(MARTIN, SI_ZOMBIE); 
	var checkoutDoris = UI_get_item_flag(DORIS, PETRA); 
	var checkoutPetroph = UI_get_item_flag(PETROPH, PETRA);
		
	if (event == EGG)
	{
		//Skara Brae - Gideon - The Haunting Inn
		if (eggQuality == 0)
		{
			if ((isNearby(GIDEON)) && (checkoutGideon))
			{
				//Freeze Avatar
				AVATAR->GenericFreeze();
				UI_set_schedule_type(GIDEON, TALK);
				
			
									
			}
			else
				return;
		} //Britain - Peyton - The Wayfarer's Inn
		else if (eggQuality == 1)
		{
			if ((isNearby(PEYTON)) && (checkoutPeyton))
			{
				//Freeze Avatar
				AVATAR->GenericFreeze();
				UI_set_schedule_type(PEYTON, TALK);
									
			}
			else
				return;
		
		
		}
		else if (eggQuality == 2) //Jhelom inn
		{
			if ((isNearby(MARTIN)) && (checkoutMartin))
			{
				//Freeze Avatar
				AVATAR->GenericFreeze();
				UI_set_schedule_type(MARTIN, TALK);
									
			}
			else
				return;
		
		}
		
		else if (eggQuality == 3) //Minoc inn
		{
			if ((isNearby(DORIS)) && (checkoutDoris))
			{
				//Freeze Avatar
				AVATAR->GenericFreeze();
				UI_set_schedule_type(DORIS, TALK);
									
			}
			else
				return;
		
		}
		
		else if (eggQuality == 4) //Bucs den inn
		{
			if ((isNearby(PETROPH)) && (checkoutPetroph))
			{
				//Freeze Avatar
				AVATAR->GenericFreeze();
				UI_set_schedule_type(PETROPH, TALK);
									
			}
			else
				return;
		
		}
		
		
	}

}

// # 3051 used for CenteROnAvatar function
	
//void removeGargEggs 3046()
//{
//	if (event == EGG)
//	{
//	
//	
//	
//	
//		if (quality == 0) && (gflags([COMPASSION_FREED])) //Compassion
//		{
//			
//		}
//		else if (quality == 
//
//	
//	
//	
//	}
//}	
