void humanLens 3048()
{
	var blueLightBeam;
	var blueLightBeam2; 
	var pinkLightBeam; 
	var pinkLightBeam2; 
	const int FRAME_HUMAN = 0;
	var lens = UI_find_nearby(item, SHAPE_LENS, 1, MASK_NONE);
	
	AVATAR->close_gumps2(); //doesn't work either
	
	if (event == EGG)
	{
		AVATAR->close_gumps2();
		var lens = UI_find_nearby(item, SHAPE_LENS, 1, MASK_NONE);
		var lens_type = UI_get_item_frame(lens);
		//if correct lens is found
		if (lens > 0)
		{
			var egg_pos = UI_get_object_position(item);
			UI_close_gumps();
			
			if (lens_type == FRAME_HUMAN)
			{
				UI_move_object(lens, egg_pos); //moves lens into position
				gflags[HUMAN_LENS_PLACED] = true;
				UI_obj_sprite_effect(lens, 13, 0, 0, 0, 0, 0, -1);
				
				//place beam of light - first part
				blueLightBeam = UI_create_new_object2(168, [2802, 2589, 1]);
				UI_set_item_frame(blueLightBeam, 24); //change to straight beam
				
				//place second part
				blueLightBeam2 = UI_create_new_object2(168, [2807, 2590, 3]);
				UI_set_item_frame(blueLightBeam2, 22); //change to straight beam
					
			}
		}	
		else
		{	
			
			//Shenanigans detected, deletes beams of light if lens is removed
			blueLightBeam = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 22);
			UI_remove_item(blueLightBeam);
			blueLightBeam2 = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 24);
			UI_remove_item(blueLightBeam2);
			gflags[HUMAN_LENS_PLACED] = false;			
			
		}
		
	}

}



void gargoyleLens 3049()
{
	var pinkLightBeam; 
	var pinkLightBeam2; 
	const int FRAME_GARGOYLE = 1;
	var lens = UI_find_nearby(item, SHAPE_LENS, 1, MASK_NONE);
	UI_close_gumps();
	
	if (event == EGG)
	{
		UI_close_gumps(); 
		var lens = UI_find_nearby(item, SHAPE_LENS, 1, MASK_NONE);
		var lens_type = UI_get_item_frame(lens);
		//if correct lens is found
		if (lens > 0)
		{
			var egg_pos = UI_get_object_position(item);
			
			
			if (lens_type == FRAME_GARGOYLE)
			{
				UI_move_object(lens, egg_pos); //moves lens into position
				gflags[GARG_LENS_PLACED] = true;
				UI_obj_sprite_effect(lens, 13, 0, 0, 0, 0, 0, -1);
				
				//place beam of light - first part
				pinkLightBeam = UI_create_new_object2(168, [2817, 2591, 5]);
				UI_set_item_frame(pinkLightBeam, 20); //change to straight beam
				
				//place second part
				pinkLightBeam2 = UI_create_new_object2(168, [2811, 2590, 3]);
				UI_set_item_frame(pinkLightBeam2, 21); //change to straight beam
					
			}
		}	
		else
		{	
			
			//Shenanigans detected, deletes beams of light if lens is removed
			pinkLightBeam = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 20);
			UI_remove_item(pinkLightBeam);
			pinkLightBeam2 = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 21);
			UI_remove_item(pinkLightBeam2);
			gflags[GARG_LENS_PLACED] = false;			
			
		}
		
	}
}	
	
	
	void placeVortexCube 3051()
	{	
		if (event == EGG)
		{
			UI_close_gumps();
			var vortexcube =  UI_find_nearest(item, SHAPE_VORTEX_CUBE, 2);
			if (vortexcube)
			{
			
				//run a check to make sure the cube has all the stones in it first
				var IsCubeFull = isCubeFull();
				if (IsCubeFull == true)
				{	
					UI_error_message("Cube is full");
					if (gflags[HUMAN_LENS_PLACED] && gflags[GARG_LENS_PLACED])
					{
							
							AVATAR->set_item_flag(BG_DONT_MOVE);
							UI_error_message("ENdgame initiated via placeVortexCube egg");
							//1->SendCodexToVoid(); //initiate endgame sequence
							startEndgame();
					}	
					else
						randomPartyBark("@The lenses aren't in place.@");

				}
				else{
						randomPartyBark("I think we are missing some moonstones..");
						UI_obj_sprite_effect(vortexcube, 9, 4, 4, 0, 0, 0, -1); 
						UI_play_sound_effect(69); //spell fizzle
					}	
			}
			else
				return;
		}		
	}

