void shapeHorseflesh shape#(1252) ()
{
	if (event == DOUBLECLICK)
	{
		//hunger value of 16 given to it
		var horseflesh_hunger_level = 16;
		var rand;
		
		var target = UI_click_on_item();
		var target_shape = UI_get_item_shape(target);
		var not_hungry_response;
		var eaten_bark;
		
	//	if (!(!target))
	//		abort;
	 
		if (!UI_is_npc(target))
			abort;

		if (!UI_get_item_flag(target, IN_PARTY))
			abort;
		
		//If Iolo has found out he's eating a horse, he refuses
		if ((target_shape == 465) && (gflags[IOLO_HATES_HORSEFLESH])) 
		{
			delayedBark(IOLO, "@No thank thee..@", 0);
			delayedBark(IOLO, "@I cannot in good conscience..@", 4);
			delayedBark(IOLO, "@..eat horse meat.@", 8);

		}	
		else
		{
			if (UI_get_npc_prop(target, FOODLEVEL) > 24)
			{
				not_hungry_response = UI_die_roll(1, 5);
				UI_clear_item_say(target);

				if ((not_hungry_response == 1) || (not_hungry_response == 2))
					delayedBark(target, "@No thank thee.@", 0);

				else if ((not_hungry_response == 3) || (not_hungry_response == 4))
					delayedBark(target, "@I am quite full.@", 0);

				else if (not_hungry_response == 5)
					delayedBark(target, "@I hunger not.@", 0);

				abort;
			}
			else
			{
				UI_set_npc_prop(target, FOODLEVEL, horseflesh_hunger_level);
				UI_remove_item(item);
				UI_play_sound_effect(91);
				
				//Add some barks for flavor
				rand = UI_get_random(5);
				if (rand == 1)
					eaten_bark = "@Mmmm..@";
				else if (rand == 2)	
					eaten_bark = "@Interesting flavor..@";
				else if (rand == 3)
					eaten_bark = "@Tastes like chicken..@";
				else
					eaten_bark = "@Tasty!@";
				delayedBark(target, eaten_bark, 0);	
			}
		}		
	}
}





