//This is used after landing and after 3 ticks or so (adjust)
//It switches the shape back to the original 


void newballoon shape#(1233) ()
{	

	const int SHAPE_BALLOON = 1201;
	var barge = get_barge();
	var party = UI_get_party_list();
	var newballoon = UI_find_nearest(AVATAR, SHAPE_NEW_BALLOON, 31); //
	var quality = UI_get_item_quality(item);
	var basket_pos = UI_get_object_position(item);

	if (event == DOUBLECLICK)
	{
		if (gflags[BALLOON_IS_FLYING])		
		{
			var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
			var balloon = UI_find_nearest(AVATAR, SHAPE_NEW_BALLOON, 31); //
			
			//First check to see if Avatar is over the Codex shrine to prevent early access:
			var isNearCodex = UI_find_nearest(AVATAR, 1125, 60);
			
			if (isNearCodex)
				randomPartySay("@Some strange force is preventing us from landing here!@");
			else if (barge->get_item_flag(OKAY_TO_LAND))
			{
			
				// Yes; so begin process of landing.
				// Flag 10 = 'on moving barge'
				barge->clear_item_flag(10);
				// Flag 26 = 'in motion'
				barge->clear_item_flag(26);
				// Make carpet descent until the ground.
				// Flag 10 = 'on moving barge'
				balloon->clear_item_flag(10);
				// Flag 26 = 'in motion'
				balloon->clear_item_flag(26);
				
				// Flag 10 = 'on moving barge'
				AVATAR->clear_item_flag(10);
				// Flag 26 = 'in motion'
				AVATAR->clear_item_flag(26);
				UI_clear_item_flag(AVATAR, SAILOR);

				//sound effect
				UI_play_sound_effect(89);
				
				//cut the music
				UI_play_music(255);
				
				//may not be necessary:
				UI_halt_scheduled(AVATAR);

				script item
				{
						
					repeat 9
					{
						descent; //should lift item on z level 9
					};
					wait 5;
					
      
				}
				script barge after 20 ticks
				{
					call renderParty;
					
					
				}

				script AVATAR
				{
					repeat 9
					{
						descent; //should lift item on z level 9
					};
					
				}
				
	
			
				
				
				

				for (npc in party)
				{
					script npc
					{
						repeat 9
						{
							descent; //should lift item on z level 9
						};
						
					}
				
					
				}


				//UI_remove_item(barge);
				UI_set_item_shape(item, SHAPE_BALLOON); //switch back to regular balloon
				UI_set_item_quality(item, 1);  //to allow packing 
				gflags[BALLOON_IS_FLYING] = false;
		
			}
			else
				randomPartySay("@I do not believe we can land here safely.@");
		
		}
		else //gflag is true or item frame == 0
		{
			//UI_set_item_shape(item, SHAPE_PACKED_BALLOON);
			UI_set_item_quality(item, 1); 
			gflags[BALLOON_IS_FLYING] = false;
			return;
		}

	}
	
	//this should be called when the balloon is in the air. Checks to make sure you are staying in the right bounds
	if (event == SCRIPTED)
	{
		UI_error_message("Balloon scripted event is called while in the air.");
		
	
	}


}