extern var getOuterContainer 0x945(var obj);
extern void spellFails object#(0x606) ();


void StormCloak shape#(1247) ()
{
	if (event == READIED)
	{
		UI_close_gumps2();
		
		if (AVATAR->is_readied(BG_CLOAK, SHAPE_STORM_CLOAK, FRAME_ANY))
		{
			//AVATAR->close_gumps2(); //didn't work
			//UI_close_gumps2();
			UI_error_message("Gumps should be closed now");
			
			
		}	
		
		UI_error_message("Storm cloak equipped!");
		// Come back here next tick to do initial cleanup.
		
		//set anti magic weather
		UI_set_weather(SPARKLE);
		
		
			// Add more spells here:
		var spell_shapes  = [281, 408, 527, 807, 856];
		
		// Who is wearing the cloak:
		var wearer  = getOuterContainer(item);
		
		// How far from the wearer we want to search.
		var dist = 20;
		
		// Find all nearby NPCs, of any shape, within 20 tiles and whether or
		// not they are invisible.
		var npc_list = wearer->find_nearby(-359, dist, 0x28);
		
		// To prevent party NPCs from being affected.
		var party = UI_get_party_list();
		
		// For color.
		var barks = ["My pretty spells are gone!", "My magic?!!", "My spells?!!"];
		var numbarks = UI_get_array_size(barks);

		for (npc in npc_list)
		{
			var align = npc->get_alignment();
			var in_party = npc->get_npc_object();
			
			// Is the NPC is being attacked by a party member?
			if (in_party || !(npc->get_oppressor() in party))
			{
				// No. Check basic alignment only.
				
				if (in_party || align == 0)
				{
					// Friendly NPCs and party members.
					
					// Uncharm.
					npc->clear_item_flag(2);
					// Uncurse.
					npc->clear_item_flag(3);
					// Unparalyze.
					npc->clear_item_flag(7);
				
					// Do nothing else.
					continue;
				}
				else if (align == 1)
				{
					// Neutral NPCs.
				
					// Do nothing? Do everything? Your choice.
					
					// I went with 'do nothing'.
					continue;
				}
			}
			
			// Hostile and random NPCs, fighting neutral NPCs or friendly NPCs
			// being attacked by party members.
			
			// We want to delete spells, if any.
			
			// We also want to count how many spells were deleted.
			var cnt = 0;
			
			// Go through the spell shapes.
			for (spell in spell_shapes)
			{
				// Remove all spells of this shape that the NPC is carrying.
				cnt += npc->remove_cont_items(-359, spell, -359, -359, true);
			}
			
			// Did we delete any spells?
			if (cnt > 0)
			{
				// We did. Now we must to do a couple more things.
				
				// 'Magebane' effect: prevents mages from teleporting, turning
				// invisible or summoning more foes.
				npc->set_item_flag(31);
				
				// Color: spell fizzle effect plus surprised bark.
				script npc after UI_die_roll(4,8) ticks
				{
					call spellFails;
					wait 4;
					say	barks[UI_get_random(numbarks)];
				}
			}
			
			// The following are optional tweaks:
			// Force visible.
			npc->clear_item_flag(0);
			// Uncharm.
			npc->clear_item_flag(2);
			// Uncurse.
			npc->clear_item_flag(3);
			// Unparalyze.
			npc->clear_item_flag(7);
			// Unprotect.
			npc->clear_item_flag(9);
			// Remove might.
			npc->clear_item_flag(12);
		}
		
			
			// Script it to return here again.
			script item after 4 ticks	// Change this at your leisure.
			{
			//	nohalt;
				call StormCloak;
			}
		
			
	
	}
	
	else if (event == UNREADIED)
	{
		UI_close_gumps();
		UI_error_message("Storm cloak un-equipped");
		UI_halt_scheduled(item);
		UI_set_weather(CLEAR_WEATHER);
		
	}
	
	
	
}
