void createWingedGargoyle object# ()()
{
	var quality;
	var quantity;
	var position;
	var new_gargoyle;
	var new_gear;
	var frame;
	
	var random_helm = UI_get_random(4);
	var random_armor = UI_get_random(10);
	var random_weapon = UI_get_random(7); 
	var random_gold = UI_die_roll(20, 80);
	var random_equipment;
	var random_container = UI_get_random(5);
	var weapon2;
	var projectile;
	var num_projectiles;
	
	
	var helm;
	var armor;
	var weapon;
	var gold; 
	var equipment;
	var container;
	
	var str;
	var dex;
	var Int;
	var combat;
	
	var current_STR;
	var current_DEX;
	var	current_INT;
	var	current_COMBAT;
	var gold_amount;

	if (event == EGG)
	{
	
		//default quantity is 1 unless otherwise determined
		quantity = 1;
		
		//determine random armor, weapon, equipment values
			if (random_helm == 1)
				helm = SHAPE_GARGOYLE_HELM;
			else if (random_helm == 2) 
				helm = SHAPE_WOODEN_SHIELD;
			else 
				helm = SHAPE_LEATHER_HELM;
				
		
			if (random_armor <= 6 )
				armor = SHAPE_LEATHER_ARMOR;
			else 
				armor = SHAPE_ANTIQUE_ARMOR;
			

			if (random_weapon == 1)
				weapon = SHAPE_BOOMERANG;
			else if (random_weapon == 2)
				weapon = SHAPE_HALBERD;
			else if (random_weapon == 3)
			{
				weapon = SHAPE_PARALYZE;
				quantity = UI_get_random(3);
			}
			else if (random_weapon == 4)
			{
				weapon = SHAPE_EXPLOSION;
				quantity = UI_get_random(3);
				
			}
			else if (random_weapon == 5) 
			{
				weapon = SHAPE_BOW;
				projectile = SHAPE_ARROW;
				num_projectiles = UI_die_roll(5, 15);
			}
			else if (random_weapon == 6) 
				weapon = SHAPE_TWOHANDEDSWORD;
			else
				weapon = SHAPE_CLUB;
			
		random_gold = UI_die_roll(20, 80);

		random_equipment = UI_get_random(10); 
			frame = 0;
			if (random_equipment == 1)
				equipment = SHAPE_GOLD_NUGGET;
			else if (random_equipment == 2)
			{
				equipment = SHAPE_GARGOYLE_JEWELRY; 
				frame = UI_get_random(6);
			}	
			else if (random_equipment == 3)
			{ 
				equipment = SHAPE_GOLD;
				quantity = UI_get_random(30);
			}	
			else if (random_equipment == 4) 
			{
				equipment = SHAPE_GOLD;
				quantity = UI_get_random(10);
			}	
			else 
			{
				equipment = SHAPE_FOOD;
				frame = UI_get_random(27);
			}	
			
			if (random_container == 1)
				container = SHAPE_LOCKED_CHEST;	
			else if (random_container == 2)
				container = SHAPE_BAG;	
			else
				container = SHAPE_BACKPACK;
		

		// Get random Str, Dex, Int, and Combat values
			dex = UI_die_roll(15, 20);
			str = UI_die_roll(15, 25);
			Int = UI_die_roll(8, 12);
			combat = UI_die_roll(8, 13);
		
		quality = UI_get_item_quality(item);
		position = UI_get_object_position(item);
		
		//create Shape
		new_gargoyle = UI_create_new_object2(226, position); //Flying Gargoyle warrior
		UI_set_item_flag(new_gargoyle, TEMPORARY);
		
		
		//get current stats so we don't "over-buff" them
		current_STR = UI_get_npc_prop(new_gargoyle, STRENGTH);
		current_DEX = UI_get_npc_prop(new_gargoyle, DEXTERITY);
		current_INT = UI_get_npc_prop(new_gargoyle, INTELLIGENCE);
		current_COMBAT = UI_get_npc_prop(new_gargoyle, COMBAT);
		
		//reset current stats by deleting current stats
		UI_set_npc_prop(new_gargoyle, STRENGTH, -current_STR);
		UI_set_npc_prop(new_gargoyle, DEXTERITY, -current_DEX);
		UI_set_npc_prop(new_gargoyle, INTELLIGENCE, -current_INT);
		UI_set_npc_prop(new_gargoyle, COMBAT, -current_COMBAT);
		
		
		//Give new gargoyle gear
		new_gear = UI_add_cont_items(new_gargoyle, 1, container, 0, frame, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, helm, 0, 0, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, armor, 0, 0, true);
		new_gear = UI_add_cont_items(new_gargoyle, random_gold, SHAPE_GOLD, 0, FRAME_ANY, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, equipment, 0, frame, true);
		

		if (random_weapon == 3) //Paralyze
			new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, quality , FRAME_ANY, true);
		else if (random_weapon == 4) //Explosion
			new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, quality , FRAME_ANY, true);
		else if (random_weapon == 5) //Bow
		{
			new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, QUALITY_ANY, FRAME_ANY, true);
			new_gear = UI_add_cont_items(new_gargoyle, num_projectiles, projectile, QUALITY_ANY, FRAME_ANY); 	
		}	
		else		
		new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, 0, 0, true);
		
		//Set Gargoyle's new stats
		UI_set_npc_prop(new_gargoyle, STRENGTH, str);
		UI_set_npc_prop(new_gargoyle, DEXTERITY, dex);
		UI_set_npc_prop(new_gargoyle, INTELLIGENCE, Int);
		UI_set_npc_prop(new_gargoyle, COMBAT, combat);
		
		// Default for Quality 0
		if (quality == 0)
		{
			
			UI_set_schedule_type(new_gargoyle, IN_COMBAT);
		}
		if (quality == 1)
		{	
			UI_set_schedule_type(new_gargoyle, FARM);
			UI_set_alignment(new_gargoyle, NEUTRAL);
		}
		if (quality == 2)
		{
			UI_set_schedule_type(new_gargoyle, WANDER);
			UI_set_alignment(new_gargoyle, NEUTRAL);
		}
		if (quality >= 3)
		{
			UI_set_schedule_type(new_gargoyle, WANDER);
			UI_set_alignment(new_gargoyle, NEUTRAL);
		}	
		
		//set alignment based on global flags
		if (inParty(BEHLEM) || gflags[WEARING_AMULET_SUBMISSION] || gflags[SUBMITTED_TO_DRAXINUSOM])
			UI_set_alignment(new_gargoyle, NEUTRAL);
		else
		{
			UI_set_alignment(new_gargoyle, EVIL);
		//	UI_set_schedule_type(new_gargoyle, IN_COMBAT);
		}	
		
		
	}
	else
		return;
	
}	
	
	
	
	
	
	