void Ariana object# (0x418) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var time_of_day;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	
	var got_compassion_rune = UI_get_item_flag(item, PETRA); //set once you have the rune



	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}


///////////////////////////////Time of day/////////////

	if ((hour >= 6) && (hour < 12)) //'good morning'
	{
		time_of_day = "morning";
	}

	if ((hour >= 12) && (hour < 18)) //'good afternoon'
	{
		time_of_day = "afternoon";
	}
	else time_of_day = "evening";

	
	
	
	if (event == DOUBLECLICK)
	{
		if (partynum > 1) greeting = "friends"; 
			else greeting = "friend"; //Avatar is solo
	
		var met_ariana = UI_get_item_flag(item, MET); //
		
		//barks for Avatar
		if (!met_ariana) bark = "@Hello there..@"; //
			else bark = "@Hello, Ariana!@"; //barked after npc is met

			script AVATAR
			{
				 call GenericFreeze;
				 face AVATAR->find_direction(item);
				 actor frame standing;
				 say bark;
				 wait 10;
			};

 
			//NPC barks
			if (!met_ariana) bark = "@Hi!@";  //change !met_ariana with !met_yourariana  - npc's first greeting bark
			else bark = "@Hi, Avatar!@"; //bark when npc met you already
	

			script item
			{
				 call GenericFreeze;
				 wait 5;
				 face find_direction(AVATAR);
				 actor frame standing;
				 say bark;
				 wait 8;
				 call (Ariana);
			};
	}
	else if (event == SCRIPTED)
	{
		//Unfreeze Avatar and ITEM:
		AVATAR->GenericUnfreeze();
		item->GenericUnfreeze();

		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("You see a cute little girl with short hair.");
			item.say("@My parents told me never to talk to strangers. What's your name?@");
			var avatar_or_name = chooseFromMenu(["The Avatar", ("I am " + player_name)]);

			if (avatar_or_name == "The Avatar")
				say("@Ok, now I can talk to you!@");
			
			else if (avatar_or_name == ("I am " + player_name))
				say("@Ok, now I can talk to you!@");
		}
		else 
		
		if (gflags[ASKEDARIANAABOUTRUNE] && !got_compassion_rune)
		{
			item.say("@Hi! Did you get permission from my parents to borrow the rune?@");
			if (askYesNo())
			{
				if (!gflags[ASKED_PARENTS_PERMISSION])
					subtractKarma(10); //take a karma hit for tellin fibs to the little turd
				if (UI_add_party_items(1, SHAPE_RUNE, QUALITY_ANY, FRAME_COMPASSION, true))			
				{
					item.say("@Then here you are.@ She hands you the rune. @I wish you the best of luck on your quest.@");
					UI_set_item_flag(item, PETRA); //got_compassion_rune
					gflags[ASKED_PARENTS_PERMISSION] = false;
					script item after 3 ticks say "@Good luck!@";
					return;
					
				}
				else
					item.say("@Oh, you're carrying too much right now. You'd better come back for it later.@");
			}				
			else
				item.say("@Well, if you get their permission later, let me know.@");
		}		
		else
			item.say("@Oh, hello again.@");

			var options = ["name", "job", "bye"];
			
			if (UI_get_item_flag(item, SI_ZOMBIE)) //Set by Tholden/Lady Nan/anyone else asked about rune
				add(["rune", "mantra"]);
		
	

		//Variable conversation options based on global flags or people met. Remove if none/////	
		//		if (gflags[GLOBAL_FLAG_HERE])
		//			add("Insert Convo topic here");
			

		//-------------------------------------------------------------//based on MET flag - delete all if not used
		//		if (UI_get_item_flag(ARIANA, MET))
		//			add ("NPC name");






	/////////////////////////////////////////////////////////////////////


	/////////////////////////////////////////////////////////////////////


			converse(options)
			{
				case "name"(remove):
					say("She curtsies gracefully. @Ariana is my name.@");

				case "job"(remove):
					say("@I'm learning to be a bard. I like to play the harpsichord best.@");
					add(["bard", "play"]); 

				case "bard"(remove):
					say("@I want to be a bard when I grow up. They have more fun than anybody!@");
					add(["fun"]);

				case "play"(remove):
					say("@I've been studying to be a bard since I was this many.@ She holds up three fingers.*"); 
					say("@I'd like to play something for you, but I'm not good enough yet.@");
					say("She looks away for a moment, then turns back to you, blushing slightly. @Will you come back to hear my music when I am older, if you can?@");
					if (askYesNo())
					{
						say("The little girl's face breaks out into a smile bright enough to light up the whole room. @Really? I would like that very much.@");			 
						addKarma(10);
					}
					else
					{
						say("The little girl sniffles, seeming suddenly on the verge of tears. @I'm sorry,@ she says, @I shouldn't have asked.@ She turns her back, as if ashamed to face you.");
						subtractKarma(10);
						UI_set_schedule_type(item, SHY);
						script item after 3 ticks say "@..sniffles..@";
						break;
						
					}	
						
				case "fun"(remove):
					say("@Oh yes, lots of it!@");

				case "mantra"(remove):
					say("@I can't remember it now... And Kenneth just taught it to me last week... Wait, I know! It's 'mo!' Or maybe it was 'om'... Or 'mu,' or 'um'... It was something like that.@");
					add(["Kenneth"]);

				case "Kenneth"(remove):
					say("@He's my teacher.@");
					add(["compassion"]);

				case "compassion"(remove):
					say("@They taught me all about compassion. They say it's very important for bards.@");

				case "rune"(remove):
					if (!got_compassion_rune)
					{
						say("@I have the Rune of Compassion. Isn't it pretty?@ She reaches into her pocket and takes it out to show you. @Do you need it for something?@");
						if (askYesNo())
						{
							say("@Are you on an important quest?@");				 
							if (askYesNo())
							{
								say("@I'm not supposed to let anyone else have it. But if you truly need it... I don't know what I should do. I know! My parents run the Blue Boar Tavern. Go ask them if you can borrow the rune. If they say 'tis okay, I'll give it to you.@");
								gflags[ASKEDARIANAABOUTRUNE] = true;
							}
							else 
								say("@I'd best hold onto it then. I was told to look after it carefully.@");
						}	
						else
							say("@Ok.@");
					}
					else 
						say("@I already gave it to you, silly. I hope you can figure out how to use it.@");	


				case "bye":
					avatar_bark = "@Bye Ariana..@";
					npc_bark = "@See you later!@";
					delayedBark(AVATAR, avatar_bark, 3);
					delayedBark(ARIANA, npc_bark, 10);
					break;
						

				}                               
		}
	else scheduleBarks(item);
}