

void Daros object# (0x42e) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == PROXIMITY)
	{
		var barks = UI_get_random(3);
		if (barks == 1)
		{
			delayedBark(item, "@Oooh, woulda thrown this away?@", 0);
			
			
		}
		else if (barks == 2)
			delayedBark(item, "@Watch the rats, ducky!@", 2);
		else
			delayedBark(item, "@Wish I had me some panpipes!@", 3);
	}
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hello there..@";
		var npc_1st_greet = "@Hey hey hey!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Oh, hello again ducks!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("A skinny, awkward looking man, wearing boots that come up past his knees.");
			item.say("@Hey hey hey! Welcome to the finest sewers in Britannia. You look like you need a nickname, so I'll call you 'ducks.'@");
		}
		else 
			item.say("@Hey hey hey! Welcome to the finest sewers in Britannia.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name's Daros, old duck.@ He shakes your hand.");
			
			case "job":
				say("@Well, ducky, I keep the sewers running the way they should. When work is slow, sometimes I play a joke or two on my friends to keep things lively.@ He winks at you.");
  				add(["joke", "friends", "sewers"]); 

			case "friends"(remove):
				say("@Even though we don't know each other that well, I'd like to think of you as my friend already.@");
			
			case "sewers"(remove):
				say("@Britain is the biggest city in the world, and all those people use a lot of water. All the runoff drains down here. It's not a bad place to work, really, except for the rats.@");
				add(["Britain", "water", "rats"]);

			case "joke"(remove):
				say("@Oh you know, ducks, the usual kinds.@ He nudges you in the ribs.");
		
			case "Britain"(remove):
				say("@Go back up and have a look! I'm sure it's still there.@ He grins, obviously delighted with his own sense of humor.@");
			
			case "water"(remove):
				say("@I wouldn't go swimming around here, ducks.@");

			case "rats"(remove):
				say("@They're pretty big, ducky, but not to worry. They usually won't eat you until after they've killed you first.@");
				say("@Of course, if you have a set of panpipes, I hear you can just pipe them away...@");
				add(["panpipes"]);

			case "panpipes"(remove):
				say("@I don't have a set myself. I usually just run away.@");
				add(["run"]);

			case "run"(remove):
				say("@It's real good exercise!@");

					
			case "bye":
				if (!gflags[GOT_DUCK]) //used for whether or not he gave duck yet
				{
					say("@See you around, old duck.@ He gives you a hearty slap on the back as you leave, which almost knocks one of the straps on your pack loose.");
					UI_add_party_items(1, SHAPE_DUCK, QUALITY_ANY, FRAME_ANY, true);
					gflags[GOT_DUCK] = true; //can ask Dupre about ducks
					
				}
				else 
					say("@See you around, old duck.@ He gives you a hearty slap on the back as you leave, which almost knocks one of the straps on your pack loose.");
				var avatar_goodbye = "@So long..@";
				var npc_goodbye = "@See you around, old duck!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}