
void Kytyn object# (0x411) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, miss..@";
		var npc_1st_greet = "@Welcome!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Ah, you're back. Welcome!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		item.say("You see a slender woman wearing a leather glove on her left hand.");
		item.say("@Hello and welcome, " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@My name is Kytyn.@ She smiles. @Perhaps that explains why I like birds.@");
				add(["birds", "purr"]);

			case "job":
				say("@I'm the curator of the royal museum of oddities.@");
  				add(["royal museum", "oddities", "lycaeum"]); 

			case "birds"(remove):
				say("@I used to be a falconer.@");
				add(["falconer"]);

			case "falconer"(remove):
				say("@That was before Lord British appointed me to my current position.@");
				add(["Lord British"]);

			case "Lord British"(remove):
				say("@A true gentleman if ever I saw one.@");
		
			case "royal museum"(remove):
				say("@It's just one of the projects Lord British has funded to provide a better life for his people.@");
				add(["projects"]);

			case "oddities"(remove):
				say("@I can tell you more about any of the exhibits you're interested in.@");
				add(["exhibits"]);

			case "projects"(remove):
				say("@He also established the conservatory that shares the building with the museum. The roads that span the realm are his doing as well.@");
				add(["conservatory", "roads"]);

			case "conservatory"(remove):
				say("@Sometimes I can hear their music drifting through the walls...@");
				say("@Usually that noisy, crackling field drowns it out, though.@");
				add(["music"]);

			case "roads"(remove):
				say("@Travel is much easier these days, that's for sure.@");
				add("travel");
				
			case "music"(remove):
				say("@It's very pretty.@");

			case "exhibits"(remove):
				say("@We have the monolith, the energy field, the perpetual motion machine, the bones of Zog, the mystery fountain, and the dragon's head, wings, and egg.@");
				say("@We are also getting other historic artifacts from Britannia's history to put on display - the Virtue stones!@"); 
				say("@Which one were you curious about?@");
					converse(["monolith", "mystery fountain", "energy field", "perpetual motion machine", "bones of Zog", "dragon", "Virtue stones", "nothing"])
					{

						case "monolith"(remove):
							say("@I can't tell you much about that. Lord British donated it to the museum, but I can't get him to talk about it.@");
							say("@From what little he's said, I think it's an artifact from his home world.@");
             
						case "energy field"(remove):
							say("@The field is generated by a curious spell. By some process not yet understood, it converts magical energy into electrical energy, producing a continuous discharge. If we understood this process better, it would probably lead to all sorts of useful applications.@");
							
							
						case "Virtue stones"(remove):									
							say("@It came to our attention that an antiquities dealer in Moonglow was selling them from his collection.@");
							say("@Mandrake the bard came to us and offered to be the middleman for the trade, so we commissioned him to make the purchase.@");
							say("@He should be returning soon. Hopefully, he hasn't been attacked by gargoyles...@");
							say("@If thou dost see him during thy travels, tell him we are eagerly awating the stones for the exhibit.@"); 
							if (!gflags[VIRTUE_STONES])
								gflags[VIRTUE_STONES] = true; //can now ask Mandrake about them, starting the quest. 
							
						case "perpetual motion machine"(remove):
							say("@That's a very curious device. The motion of each gear turns another, until eventually the movement is propagated back to the same gear again. There's one thing I can't figure out. We've made plans of the device, and I can't see how they started it moving in the first place. None of the gears would turn unless all the others were already going. What's worse, the motions serve to hold the machine together. If the gears were still, the whole thing would fall apart! How it was built is quite a mystery.@");
							
						case "bones of Zog"(remove):
							say("@This skeleton seems to be about ten times older than any other ever found in Britannia. Surely it has much to tell us about our origins, if we only knew what it meant!@");
							
						case "dragon"(remove):
							say("@Someone named 'Gertan' donated all those parts. I think he said something about a dragon named 'Freitag'.@");
							gflags[ASKEDABOUTFREITAG] = true;
							add(["Gertan"]);
	
						case "mystery fountain"(remove):
							say("@Somebody found a huge boulder with a jet of water spraying out of it. We had it magically teleported here, buried with its surface flush with the ground, and then we built this building on top of it.@");
							say("@Of course we left a hole in the floor for the water to spray through. I often drink from it when I'm thirsty. The water is quite good, but there's something strange about it. It vanishes somehow before it hits the ground...@");
				
						case "Gertan"(remove):
							say("@If you want to ask Gertan, I think he's in Cove.@");

						case "nothing"(remove):
							say("@Let me know if you are interested later..@");
							break;
					}

					
			case "lycaeum"(remove):
				say("@There is a great deal of knowledge available there for the serious scholar.@");
				
			case "purr"(remove):
				say("@She favors you with a deep, throaty purr that sounds just like a cat.@");

			case "travel"(remove): 
				say("@That's for sure.@*");
	
			case "bye":
				say("@Be sure to have a look at our paintings while you're here. And come again soon...We're expecting some unicorn horns, and a Klein bottle from Trinsic.@");
				
				var avatar_goodbye = "@Farewell, Kytyn..@";
				var npc_goodbye = "@Come vist again sometime!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}