
void Linda object# (0x429) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings!@";
		var npc_1st_greet = "@Hello.@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Welcome back.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A rugged looking lady farmer.*");
			item.say("@Welcome, friend.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Welcome, friend.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Linda.@");
				
			case "job":
				say("@I raise crops. If you'd like to buy some grain, just say the word.@");
  				add(["grain", "word", "crops"]); 

			case "grain":
				say("@It'll cost you 2 gold for a sack of grain. Interested?@");
				if(askYesNo())
				{
					if (hasGold(2))
					{
						if (UI_add_party_items(1, SHAPE_GRAIN, QUALITY_ANY, FRAME_ANY, true))
						{
							chargeGold(2);
							say("@Here you go.@");
						}
						else
							say("@You look pretty full to me.@");
					}
					else
						say("@Best check your coinpouch again.@");
				}	
				else
					say("@Okay.@");

			case "word"(remove):
				say("@The word 'grain,' silly!@");
				add(["grain"]);

			case "crops"(remove):
				say("@Bread, cakes, pies, pastries... They all have their roots here.@");
				add(["bread", "roots"]);

			case "bread"(remove):
				say("@Woman does not live on meat alone.@");
				add(["woman", "meat"]);

			case "roots"(remove):
				say("@I was born to work the earth. It was either this, or be a gravedigger...@");
				add(["gravedigger"]);

			case "woman"(remove):
				say("@Yes, men need to eat too, I suppose.@");
				
			case "meat"(remove):
				say("@Cows and sheep are much more trouble to raise than wheat.@");
				add(["cows and sheep"]);

			case "gravedigger"(remove):
				say("@That's not my kind of work.@");
				
			case "cows and sheep"(remove):
				say("@They have their place. But not on my farm.@");
				
			case "bye":
				say("@May the sun shine on you, and the rain bring you nourishment.@");
				
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@Safe travels!";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}