void Matt object# (0x417) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@.......@";
				
		var av_2nd_greet  = "@Excuse me..@";
		var npc_2nd_greet = "@.......@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		//used to add sidequest of curing Matt's hearing. 	
		if (UI_get_npc_id(MATT) == 0)
		{
			item.say("You see a gaunt fellow, with eyes that take in everything and reveal nothing. When you address him, the man replies with gestures that appear to be some kind of sign language.");
			item.say("When he sees that you can't understand him, he shrugs his shoulders and returns to his duties.");
			if (isNearby(DUPRE))
			{
				DUPRE.say("Dupre puts his hand on your shoulder and whispers, @Matt here had a most unfortunate accident as a child, and it left him deaf and dumb. I'd suggest you ask his wife instead, " + player_name + ".@");
				DUPRE.hide();
			}
			sayGoodbye2(item);
			return;
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");

				add(["blank"]); 

			case "job"(remove):
				say("@blank.@");
				say("@blank.@");
				say("@blank.@");
				say("@blank.@");
				add(["blank", "blank"]); 

			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 

			//For shopkeepers: 
			case "business"(remove):
				say("@Wouldst thou like ale, mead, wine, mutton, or perhaps a cake?@");
				
				//shopkeeper options
				var cant_hold = "@You don't have room to carry it.@";
				var choice;
				var cant_afford = "I'm sorry, but you don't have enough gold.@";
				var success = "Anya gives you the " + choice + ". @I hope thou dost enjoy it!@";
				var askIfInterested; //"Do you want this 
				var saidNo = "@What'll it be then?@";
				var quantity; 
				
				if (askYesNo())
				{
					say("@Which of these?@");
					choice = chooseFromMenu(["ale", "mead", "wine", "mutton", "cake", "nothing"]);
					
					if (choice == "ale")
					{
						askIfInterested = "@That'll be 3 crowns, " + player_name + ". Wouldst thou like some?@";
						quantity = UI_input_numeric_value(1, 10, 1, 1);
						basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_ALE, 3, cant_hold, cant_afford, success, askIfInterested, saidNo);
					}
					else if (choice == "mead")
					{
						askIfInterested = "@That'll be 4 crowns, " + player_name + ". Wouldst thou like some?@";
						quantity = UI_input_numeric_value(1, 10, 1, 1);
						basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_MEAD, 3, cant_hold, cant_afford, success, askIfInterested, saidNo);
					}
					
					else if (choice == "wine")
					{
						askIfInterested = "@That'll be 6 crowns, " + player_name + ". Wouldst thou like some?@";
						quantity = UI_input_numeric_value(1, 10, 1, 1);
						basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_MEAD, 3, cant_hold, cant_afford, success, askIfInterested, saidNo);
					}
					
					else if (choice == "cake")
					{
						askIfInterested = "@That'll be 8 crowns for the cake, " + player_name + ". Is that alright?@";
						quantity = UI_input_numeric_value(1, 10, 1, 1);
						basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_MEAD, 3, cant_hold, cant_afford, success, askIfInterested, saidNo);
					}
					
					else if (choice == "mutton")
					{
						askIfInterested = "@That'll be 4 gold for the mutton. Is that alright?@";
						quantity = UI_input_numeric_value(1, 10, 1, 1);
						basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_MEAD, 3, cant_hold, cant_afford, success, askIfInterested, saidNo);
					}
					
					
					else if (choice == "nothing")
						say("@Anything else I can do for thee?@");
							
				}
				else
					say("@Very well. What else dost thou wish to speak about?@");	


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 


			case "bye":
				
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}