
void Nema object# (0x42f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);
		
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, miss..@";
		var npc_1st_greet = "@..yawn..Mmm yes?@";
				
		var av_2nd_greet  = "@Hello there..@";
		var npc_2nd_greet = "@..yawn..'tis thee again!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A sleepy looking young lady.*");
			item.say("She yawns as you approach. @Oh, hello there. I must have been daydreaming.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("She yawns as you approach. @Oh, hello there. I must have been daydreaming.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Nema. What's yours?@");
				var choice = chooseFromMenu(["The Avatar", ("I am " + player_name)]);
				if (choice == "The Avatar")
					say("@The Avatar? That's nice.@");
				else
					say("@ " + player_name + "? That's nice.@");


			case "job"(remove):
				say("@I tend Lord British's orchard. Of course, this time of year there's not much to do, so I take a lot of naps.@");
  				add(["Lord British", "naps", "orchard"]); 

			case "daydream"(remove):
				say("@Well, I have better dreams at night anyway.@");
				add(["night"]);

			case "Lord British"(remove):
				say("@Long live the king! I was just a homeless orphan when he gave me this job.@");
				add(["orphan"]);
		
			case "naps"(remove):
				say("@To snooze, perchance to dream... O Morpheus, I long for a taste of thy sweet oblivion!@");
				add(["oblivion", "Morpheus", "daydream"]);

			case "orchard"(remove):
				say("@To provide fresh fruit for Lord British's banquets.@");
				add(["banquets"]);

			case "banquets"(remove):
				say("@That's the way of it.@");

			case "orphan"(remove):
				say("@My parents were killed in an earthquake. But now I have a place to live, and a job to put food on the table.@");
				add(["earthquake"]);

			case "oblivion"(remove):
				say("@Sleep is the finest medicine, for in our dreams lie the answers to all the problems of the waking world.@");
				add(["dreams", "answers", "waking world"]);

			case "Morpheus"(remove):
				say("@Morpheus is the King of Slumberland! I think the moon is one of his daughters.@");
				add(["Slumberland", "moon"]);

			case "earthquake"(remove):
				say("@The earthquakes seem to have stopped, thank goodness. We haven't had one in well over a year now.@");
			
			case "dreams"(remove):
				say("@I dream of castles of ice, rivers that run backwards, fairy princesses and cloud dragons. Once I dreamed that my orchard grew and grew, until I felt like a tiny bug amongst the giant plants. Sometimes everything is upside-down, or made of chocolate. I've dreamed many a strange dream, but my favorite one is.....@");
				say("She falls asleep before finishing her sentence.");
				UI_set_item_flag(item, ASLEEP);
				UI_set_schedule_type(item, SLEEP);
				sayGoodbyeAbrupt2(item, "..zzz..");
				break;

			case "answers"(remove):
				say("@Day brings questions, night brings answers. Thusly does the duality of the universe find expression in our lives.@");
				add(["questions", "night"]);

			case "waking world"(remove):
				say("@Colors never seem as vivid when I'm awake.@");
				
			case "night"(remove):
				say("@When the sun's blazing eye winks shut, and Morpheus rules the heavens.@");
				add(["Morpheus"]);

			case "Slumberland"(remove):
				say("@It lies halfway between our fears and our desires.@");
				add(["desires"]);

			case "moon"(remove):
				say("@She is the sweet harbinger of the night!@");

			case "questions"(remove):
				say("@What color is seven? How many is green? Could horses speak, if they wished to? These things concern me...@");
				if (isNearby(DUPRE))
				{
					DUPRE.say("@Concerned? She should be committed! We have better things to do than listen to this loon.@");
					DUPRE.hide();
				}


			case "desires"(remove):
				say("@Fear and desire... What would either be without the other?@");

			case "bye":
				item.say("She seems to have dozed off before she even heard you say goodbye.");
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@...zzz...@";
				//function that is called, do not change this:
				sayGoodbyeAbrupt2(item, npc_goodbye);
								
				UI_set_item_flag(item, ASLEEP);
				UI_set_schedule_type(item, SLEEP);
				
				break;

	
		}                               
	}
	else scheduleBarks(item);
}