void Peyton object# (0x419) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	
	var started_talking = UI_get_item_flag(item, READ);
		
	var single_plural;
	
	if (partynum > 1)
		single_plural = "traveler";
	else
		single_plural = "travelers";
	
	var time_of_day = timeFunction(hour);
	
	//Inn flags / variables
	var PEYTON_INN_PRICE = 8;
	var checkout = UI_get_item_flag(item, PETRA);
	var hasKey = UI_count_objects(PARTY, SHAPE_KEY, QUALITY_PEYTON_INN, FRAME_ANY);
	var door; 
	var open_doors;
	const int SHAPE_OPEN_DOOR  = 270;
	const int SHAPE_CLOSED_DOOR = 376;
	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}

	if (event == DOUBLECLICK)
	{
		if (partynum > 1)
			greeting = "friends"; 
		else 
			greeting = "friend"; //Avatar is solo
	
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Good " + time_of_day + ", " + greeting + "!@";
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Good " + time_of_day + ", " + greeting + "!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 

	}
	if (started_talking)
	{
		if (checkout)
		{
			item.say("@Good " + time_of_day + ", are you ready to check out?@");
			if (askYesNo())
			{
				if (hasKey)
				{
					say("Peyton serves you a large breakfast and you hand him the key.");
					say("@Good " + time_of_day + " and have a good day.@");
					UI_add_party_items(partynum, SHAPE_FOOD, QUALITY_ANY, FRAME_EGG, false);
					UI_add_party_items(partynum, SHAPE_BOTTLE, QUALITY_ANY, FRAME_MILK, false);
					UI_remove_party_items(1, SHAPE_KEY, QUALITY_GIDEON_INN, FRAME_ANY, false);
					
					//clear stuff for usecode egg
					UI_clear_item_flag(item, PETRA);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					
													
					//look for open doors / unlocked doors of quality 24
					var open_doors = UI_find_nearby([1032, 1319, 0], SHAPE_OPEN_DOOR, 25, MASK_NONE);
					
					//change open doors to closed, locked frame, correct quality
					for (door in open_doors)
					{
						if (UI_set_item_quality(door) == QUALITY_PEYTON_INN)
						{
							UI_set_item_shape(door, SHAPE_CLOSED_DOOR);
							UI_set_item_frame(door, 2); //locked
							UI_set_item_quality(door, QUALITY_PEYTON_INN);
						}	
					}
					
					//find closed doors, make sure they are locked
					var closed_doors = UI_find_nearby([1032, 1319, 0], SHAPE_CLOSED_DOOR, 25, MASK_NONE);
					for (door in closed_doors)
					{	
						if (UI_set_item_quality(door) == QUALITY_PEYTON_INN)
						{
							UI_set_item_frame(door, 2); //locked
							UI_set_item_quality(door, QUALITY_PEYTON_INN);
						}	
					}
					var avatar_goodbye = "@Have a nice " + time_of_day + "..@";
					var npc_goodbye = "@Goodbye. Take care of yourself.@";
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					return;
					
				}	
				else
					say("@Well, where is the key? Perhaps you left it in your room. Come back when you're ready to check out.@");
			
			//send him back on regular schedule to avoid loop
				UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				UI_run_schedule(item);
				return;	
			}	
			else
				say("@Okay just let me know when you're ready to check out.@");
				UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				UI_run_schedule(item);
				return;
		}
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A well-dressed man with a very even temper.*");
			item.say("@Greetings, " + single_plural + ", and welcome to the Wayfarer's Inn!@");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Greetings, " + single_plural + ", and welcome back to the Wayfarer's Inn!@");
			
		

			var options = ["name", "job", "bye"];
		
	
	

	/////////////////////////////////////////////////////////////////////


	/////////////////////////////////////////////////////////////////////


			converse(options)
			{
				case "name"(remove):
					say("@I am Peyton, and this is my place.@ He gestures with his hands.");
					add(["Peyton"]);
					
				case "job"(remove):
					say("@I can offer you a room for the evening.@");
					add(["room"]); 


				case "room"(remove):
					say("@" + PEYTON_INN_PRICE + " gold per person for bed and breakfast. Interested?@");  // Yes/No Question
					if (askYesNo())
					{
						if (hasGold(PEYTON_INN_PRICE * partynum))
						{
							chargeGold(PEYTON_INN_PRICE * partynum);			
							say("@Here's your key. You'll be staying in the room straight ahead. Checkout time is 9am and breakfast will be served. Enjoy your stay!@");
							UI_add_party_items(1, SHAPE_KEY, QUALITY_PEYTON_INN, 1);
							UI_set_item_flag(item, PETRA); //staying in Inn flag
							
							var avatar_goodbye = "@Thanks..@";
							var npc_goodbye = "@Enjoy thy stay.@";
							sayGoodbye(item, npc_goodbye, avatar_goodbye);
							
							UI_run_schedule(item);
							break;
				
						}
						else
							say("@You don't have enough gold for that. I'm sorry, cash in advance. That's our policy.@");
					}
					else 
						say("@Well, perhaps next time you're in town.@");  // Answered NO to question

				case "Peyton"(remove):
					say("@Did you need something?@");
	
			
				case "bye":
					var avatar_goodbye = "@Have a nice " + time_of_day + "..@";
					var npc_goodbye = "@Goodbye. Take care of yourself.@";
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
	
			}                               
	}
	else scheduleBarks(item);
}