void Terri object# (0x420) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var already_exhanged = UI_get_item_flag(item, SI_ZOMBIE); 
	
	if (event == DEATH)
		UI_error_message("Terri is dead.");
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, milady..@";
		if (player_is_female)
			npc_1st_greet = "@Oh, hello.@";
		else
			npc_1st_greet = "@Oh! Hello there..@";
				
		av_2nd_greet  = "@Hello Terri..@";
		if (player_is_female)
			npc_2nd_greet = "@Hello again!@";
		else
			npc_2nd_greet = "@Welcome back, handsome..@";
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("You see a sharply dressed, very voluptuous woman.");
			item.say("@Hello. My name's Terri - I run the mint. Say, aren't you the Avatar?@");
			item.say("@Yes, I recognize you from your portrait...My mother used to tell me stories about you when I was a girl.@");
			item.say("@You probably wouldn't remember her, but she was at the big celebration right after you recovered the Codex.@");
			if (player_is_female)
				item.say("@Anyway... I just wanted to tell you that I always wanted to grow up to be just like you...@");
			else
				item.say("@Anyway... I just wanted to tell you that I always hoped someday I'd meet a man like you...@");
		}
		else 
			item.say("@Oh, you've come back to visit me again!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//automatically add buy/sell to options next time
		if (UI_get_item_flag(item, SHOPPED_BEFORE))
			add("exchange");

	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@It's Terri...@");
				if (player_is_female)
					say("@But I wish I had been named after you.@");
				else
				{
					say("@Don't you think that would be a good name for an Avatar's wife?@");
					if (askYesNo())
						say("She winks at you.");
					else
						say("@Oh.@ She seems dissapointed.");
				}
	

			case "job":
				say("@By royal decree, I am the only one allowed to mint the official coinage of the realm. Copper pence, silver pieces, and gold crowns - they're all made right here.@");
				say("@My father ran the mint before me. But I get lonely here sometimes...@");
				say("@It's so nice of you to come by and talk to me. Kytyn will never believe it when I tell her I got to meet the Avatar in person!@");
  				add(["mint", "father", "copper and silver", "Kytyn", "Avatar"]); 

			case "mint"(remove):
				say("@Here, let me show you.@ She takes out a sample of each coin for you to look at.  @The pence has an ankh on one side, and crossed swords on the other.@");
				say("@The silver piece has Lord British's face on the front, and a serpent on the back. And the gold crown is a familiar sight, with a crown and the symbol of the Codex.@");
				say("All three of them look newly minted - they're very shiny.");
				//automatically add exchange to options next time
				if (!UI_get_item_flag(item, SHOPPED_BEFORE))
					UI_set_item_flag(item, SHOPPED_BEFORE);
				add(["exchange", "Codex"]);

			case "father"(remove):
				say("@May he rest in peace.@");

			case "copper and silver"(remove):
				say("@Of course, I'm sure you only carry gold crowns with you, being as important as you are.@ She reaches over and squeezes your shoulder affectionately.");

			case "Kytyn"(remove):
				say("@She's a good friend of mine. She runs the museum.@");
				add(["museum"]);

			case "Avatar"(remove):
				say("@You must be the bravest man I've ever met. I can't believe it's really you!@");
				
			case "exchange"(remove):
				say("@I get most of my gold from people who bring in nuggets or gold bars to exchange them for coins. Do you have any gold nuggets or bars you'd like to trade in for crowns?@");
				var num_gold_bars = UI_count_objects(PARTY, SHAPE_GOLDBAR, QUALITY_ANY, FRAME_ANY);
				var num_gold_nuggets = UI_count_objects(PARTY, SHAPE_GOLDNUGGET, QUALITY_ANY, FRAME_ANY);
				
				var nugget_price = num_gold_nuggets * 10;
				var bar_price = num_gold_bars * 100;
				var payment = nugget_price + bar_price;
				
				if(askYesNo())
				{
					if (num_gold_bars + num_gold_nuggets > 0)
					{
						say("@Normally there's a ten percent tax on the exchange. But since you're the Avatar, I'll give you a full hundred crowns for every gold bars you have, and ten crowns for every gold nugget.@");
						if (num_gold_nuggets > 0 && num_gold_bars > 0)
							say("She exchanges all of your gold nuggets and gold bars for " + payment + " newly minted crowns.");
						else if (num_gold_nuggets > 0)
							say("She exchanges all of your gold nuggets for " + payment + " newly minted crowns.");
						else if (num_gold_bars > 0)	
							say("She exchanges all of your gold bars for " + payment + " newly minted crowns.");	
						else
							say("@DERP!@ You shouldn't be seeing this...");
						
						
						 
						//remove all gold nuggets and bars first
						if (num_gold_nuggets > 0)
							UI_remove_party_items(num_gold_nuggets, SHAPE_GOLDNUGGET, QUALITY_ANY, FRAME_ANY, true);
						
						if (num_gold_bars > 0)
							UI_remove_party_items(num_gold_bars, SHAPE_GOLDBAR, QUALITY_ANY, FRAME_ANY, true);
						
						//now give gold so pack is clear	
						giveGold(payment);
					}
					else
						say("@You must be mistaken. But let me know if you come across any gold nuggets later.@");
				}
				else
					say("@Well, if you do later, you know where to find me.@"); 


			case "Codex"(remove):
				say("@My mother told me all about it.@");
				add(["mother"]);

			case "mother"(remove):
				say("@May she rest in peace.@");
				
			case "museum"(remove):
				say("@You should visit there sometime. But please stay and talk to me a bit longer first...@");
				add("stay");
				
			
			case "stay"(remove):
				say("You notice she was staring at you with a dreamy look in her eyes.");
				if (player_is_female)
					say("@Oh, I'm sorry, I wasn't listening. I was just thinking how nice it must be to be as beautiful as you.@");
				else 
					say("@Oh, I'm sorry, I wasn't listening. I was just noticing how strong and handsome you are...@ She looks away and sighs.");

					
			case "bye":
				say("@I know you're very busy, saving Britannia and all that, but I hope you'll come and visit me again...@");
				if (player_is_female)
					say("@It really was delightful talking to you.@");
				else	
				{
					say("@And maybe if you have time for it, I could show you more than a few silly coins!@");
					say("As you turn to leave, she pinches you.");
				}
				if (player_is_female)
				{
					avatar_goodbye = "@Goodbye, Terri..@";
					npc_goodbye = "@Come again sometime!@";
				}
				else
				{
					avatar_goodbye = "@Oh! Goodbye..@";
					npc_goodbye = "@Come back soon, handsome...@";
					if (inParty(DUPRE))
						delayedBark(DUPRE, "I think she likes you, Avatar..", 8);
				}
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}