
void Wilbur object# (0x422) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var horse_bark;
	var wilbur_bark;
	
	const int QUALITY_CARRIAGE = 28;
	const int FRAME_CARRIAGE = 1;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "travelers"; 
	else greeting = "traveler"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == PROXIMITY && UI_get_schedule_type(item) == TEND_SHOP)
	{
		var rand = UI_get_random(3);
		var rand2 = UI_get_random(3);
		var horsebark;
		var horse = UI_find_object(FIND_ON_SCREEN, SHAPE_HORSE, QUALITY_ANY, FRAME_ANY);
		//var horses = UI_find_nearby([0849, 1334], SHAPE_HORSE, 50, MASK_NONE);
		
		
		//var horse = horses[1]; //find nearest horse out of array
		UI_error_message("Proximity event called on Wilbur");
	
		if (horse)
		{
			UI_error_message("Horse found near Wilbur");
			//funny barks for horse
			if (rand == 1)
			{
				horse_bark = "Willburrrr..";
				wilbur_bark = "Who called my name..?";
			}
			else if (rand == 2)
			{
				horse_bark = "Hello, I'm Mister Ed!";
				wilbur_bark = "Wh..who said that!?";
			}
			else if (rand == 3)
			{
				horse_bark = "How 'bout some hay, Wilbur?";
				wilbur_bark = "Just my imagination..that's it..";
			
			}
			
			UI_item_say(horse, horse_bark);
			delayedBark(WILBUR, wilbur_bark, 12);
		
		}
		else
			UI_error_message("No horse to interact with.");
		
	}
		

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Hello and welcome!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Welcome back, " + polite_title + ".@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);

		item.say("You see a thin, dark-haired man with a nervous smile.");
		item.say("@Greetings, " + greeting + "! What can I do for you this fine " + time_of_day + "?@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//met smith, ask him about talking horses
		if (UI_get_item_flag(SMITH, MET))
			add("Smith");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name's Wilbur, " + polite_title + ".@");
		
			case "job"(remove):
				say("@I work here at the stables, taking care of the horses. You can buy one if you'd like.@");
  				add(["buy", "horse"]); 

			case "horse"(remove):
				say("@Aye, if you wish to buy one, just say the word.@");
				
			case "buy"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE))
				{
					say("@My price is a hundred gold pieces for the deed to a horse carriage, no less. Interested?@");
					if(askYesNo())
					{
						if (hasGold(100))
						{
							if (UI_add_party_items(1, SHAPE_SCROLL, QUALITY_CARRIAGE, FRAME_CARRIAGE, true))
							{
								chargeGold(100);
								say("@Good!@ Wilbur takes your gold, and hands over the deed to a fine horse-drawn carriage.@");
								UI_set_item_flag(item, SI_ZOMBIE); //only buy once
							}
							else 
								say("@But thou canst not carry the deed!@");
						}
						else
							say("@But thou canst not afford one!@");
					}
					else 
						say("@Perhaps some other time then.@");
				}
				else	
					say("@I'm afraid you bought my last one already.@"); 
				
			case "Smith"(remove):
				say("@A talking horse? Ridiculous! Who told you that?@ He seems more nervous than before.");
	
			case "bye":
				
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@Come back again!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}