
void Elad object# (0x4e2) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			var barks = ["@Who threw that?!@",
					"@Oof!@",
					"@Take that!@",
					"@I'll cut you!@",
					"@You spilled mine tea!@",
					"@Ungh!@"];
			var rand_barks = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand_barks]);
			
		}
	}

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Might we speak for a moment, milord?@";
		av_2nd_greet  = "@Greetings..@";
		
		if (UI_get_schedule_type(item) == KID_GAMES)
		{		
			npc_1st_greet = "@Not now!@";
			npc_2nd_greet = "@Not now!@";	
		}
		else
		{
			npc_1st_greet = "@Uh, sure..@";
			npc_2nd_greet = "@Uh, hello again..@";
		
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			item.say("@Can't talk now. I'm--ungh!@ He reels from a punch to his belly. @I'm in the middle of something, " + polite_title + ".@");
			sayGoodbyeAbrupt(item, "Ungh!");
			return;
		}
		
	
		item.say("An uncomfortable looking man sitting behind a cup of tea.");
		item.say("@Hello.@ His gaze darts from side to side, lingering longingly on the mugs of ale his fellow patrons are gulping down heartily.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		var mantraoptions = ["make something up"];
		if (gflags[LEARNED_MANTRA_HONESTY])
			mantraoptions = mantraoptions + "ahm";
		if (gflags[LEARNED_MANTRA_COMPASSION])	
			mantraoptions = mantraoptions & "mu";
		if (gflags[LEARNED_MANTRA_HONESTY])	
			mantraoptions = mantraoptions & "ahm";
		if (gflags[LEARNED_MANTRA_VALOR])	
			mantraoptions = mantraoptions & "ra";
		if (gflags[LEARNED_MANTRA_SACRIFICE])
			mantraoptions = mantraoptions & "cah";	
		if (gflags[LEARNED_MANTRA_JUSTICE])
			mantraoptions = mantraoptions & "beh";						
		if (gflags[LEARNED_MANTRA_HONOR])
			mantraoptions = mantraoptions & "summ";					
		if (gflags[LEARNED_MANTRA_SPIRITUALITY])
			mantraoptions = mantraoptions & "om";	
		if (gflags[LEARNED_MANTRA_HUMILITY])
			mantraoptions = mantraoptions & "lum";						
		
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			add("mantra");
			
		if (gflags[LEARNED_ABOUT_CAPT_JOHNE])
			add("Captain Johne");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name" (remove):
			if (!UI_get_item_flag(item, SI_ZOMBIE))
			{
				say("He looks at you uneasily. @I'm Captain Elad. Not that it's any business of yours...@");
				UI_set_item_flag(item, SI_ZOMBIE); // met
			}
			else 
				say("@Well, I'm still Captain Elad.@"); // if already met
			add(["captain"]);

			case "job":
				say("@I was Captain of the Theodosia Marie--until she sank@");
  				add(["sank"]); 

			case "captain"(remove):
				if ((isNearby(CAPTAIN_FOX)) || (isNearby(LEODON)) || (isNearby(HOMER)) || (isNearby(LEONNA)))	
					say("When you say 'Captain,' all the pirates at the table turn to you expectantly. When they realize you weren't talking to them, they go back to what they were doing.");
				else 
					say("@Aye.@");
					
			case "Captain Johne"(remove):
				say("@Captain Johne, that fool... He was captured by gargoyles. I hear they dragged him down into Hythloth, and nobody's seen hide nor hair of him since.@");
				if (isNearby(LEONNA))
				{
					LEONNA.say("Leonna raises an eyebrow. @Is that so? I could tell a different tale...@");  // if (npc_nearby(114))
					LEONNA.hide();
				}

			case "sank"(remove):
				say("@Aye, 'twas a terrible ordeal. We were sailing just off Bordermarch when the whole island started shaking. Must have been one of those earthquakes we've been having.@");
				add(["island","Bordermarch", "earthquakes"]);

			case "island"(remove):
				say("@The whole island sank beneath the waves. We were caught in the huge whirlpool left in its wake. I was one of the lucky few to swim clear. But my ship's on the bottom of the ocean now, and that's the honest truth.@");
				add(["whirlpool"]);

			case "whirlpool"(remove):
				say("He shudders, then takes a sip of his tea. @I don't like to think about it.@");

			case "Bordermarch"(remove):
				say("@A fair sized island, and now she's gone! Some o' them earthquakes have been mighty fierce.@");

			case "earthquakes"(remove):
				say("@Yes, they started soon after Lord British was rescued from the underworld. I lost my ship to the last one.@");
				add(["Lord British", "rescued"]);

			case "Lord British"(remove):
				say("@I'd toast him with you, but this,@ he gestures disparagingly at his cup, @is hardly fitting for such an honor.@");

			case "rescued"(remove):
				say("@Surely you've heard tales of the Avatar's bold exploits? It was all anyone was talking about roundhere for weeks.@");

			case "rune"(remove):
				say("@I wish I had one of them... I bet I could sell it for a pretty penny!@");

			case "mantra"(remove):
				say("@You don't hear much about the virtues in a pirate town...@");
				add(["virtues"]);

			case "virtues"(remove):
				say("@I could use more virtue in me life. I've just given up drinking, to start with.@");
				add(["drinking"]);

			case "drinking"(remove):
				say("@Aye, 'tis quite a temptation.@");
				add(["temptation"]);

			case "temptation"(remove):
				say("@Indeed.@ He takes another big gulp of tea.");
				
			case "bye"(remove):
				if (!UI_get_item_flag(item, NAKED))
				{	
					UI_set_item_flag(item, NAKED);
					say("@Wait, before you go...I was wondering--do you know the mantra of Honesty?@");  
					if (askYesNo())
					{
						say("@I've been trying to find out what it is, so that I can better myself. I'll give you five gold if you tell me. Is it a deal?@");
						if (askYesNo())
						{
							say("@Okay, what is it?@");
							
							var mantra = chooseFromMenu(mantraoptions);
							
							if (mantra == "ahm")
							{
							
								say("@Thank you! Now my meditations will succeed at last!@");
								giveExperience(10);
								giveGold(5);
								say("As you turn to leave, you think you might have caught a glimpse of Captain Elad stealing a swig from someone else's mug... But you can't be sure.");
								sayGoodbyeAbrupt(item, "gulp");
								break;
							
							
							}
							else if (mantra == "make something up")
							{
								say("You decide to make up a random word. The pirate frowns.");
								subtractKarma(10);
								say("As you turn to leave, you think you might have caught a glimpse of Captain Elad stealing a swig from someone else's mug... But you can't be sure.");
								sayGoodbyeAbrupt(item, "gulp");
								break;
							}
							else
							{
								say("You tell him the mantra is '" + mantra + "' The pirate frowns.");
									subtractKarma(10);
									say("As you turn to leave, you think you might have caught a glimpse of Captain Elad stealing a swig from someone else's mug... But you can't be sure.");
									sayGoodbyeAbrupt(item, "gulp");
									break;	
							}		
												
								
						}
						else 
						{
							say("@I'll be here with the money if you change your mind.@");
							sayGoodbye2(item);
							break;
						}
					}
					else
					{
						say("@Oh. Well, let me know if you find out later.@");		
						sayGoodbye2(item);					
						break;
					}
				}
				else
				{	
					say("The pirate smiles and waves goodbye, then scowls as he turns back to his mug of tea.");
			
					avatar_goodbye = "@Goodbye..@";
					npc_goodbye = "@...@";
					
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
				}	
		}                               
	}
	else scheduleBarks(item);
}