
void CaptainFox object# (0x4e0) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
		
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			var barks = ["@Eat mine fists!@",
					"@Oof!@",
					"@Take that!@",
					"@I'll cut you!@",
					"@Fight like a man, ya coward!@",
					"@Thou dost hit like a girl!@"];
			var rand_barks = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand_barks]);
			
		}
	}

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@A moment, milord..@";
		npc_1st_greet = "@Aye..@";
				
		av_2nd_greet  = "@Greetings..@";
		npc_2nd_greet = "@We meet again.@";	
		
		//brawling
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			npc_2nd_greet = "@Quickly..@";
			npc_1st_greet = "@Quickly..@";
		}
		
		
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			item.say("@Can't talk now, " + polite_title + ".@ He pauses to punch another pirate in the belly. @Come back later when I've less on my mind!@");
			sayGoodbyeAbrupt(item, "Take that!");
			return;
		}

		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A handsome gentleman, immaculately dressed.*");
		}
		else 
			item.say("@Hello, " + polite_title + ". Your company is welcome.@*");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//flag set when asked Zoltan about silver tablet
		if (gflags[LEARNED_ABOUT_CAPT_JOHNE])
			add("Captain Johne");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I'm Captain Fox, of the Silken Stag.@");
				add(["Silken Stag", "captain"]);

			case "job"(remove):
				say("@I sail the wide, wide sea, to the edges of the world and back again. Of course, I'm also known for the paintings I create in my spare time.@");
				add(["world", "paintings"]); 

			case "captain"(remove):
				if ((isNearby(CAPTAIN_ELAD)) || (isNearby(LEODON)) || (isNearby(HOMER)) || (isNearby(LEONNA)))	
					say("When you say 'Captain,' all the pirates at the table turn to you expectantly. When they realize you weren't talking to them, they go back to what they were doing.");
				else 
					say("@Aye.@");
			
			case "paintings"(remove):
				say("@There are a few of them around here. Go see for yourself.@");

			case "Silken Stag"(remove):
				say("@We just stopped off here for some supplies and a drink or two.@");
				add(["drink"]);
				
			case "drink"(remove):
				say("@Well, maybe three wouldn't hurt.@");
			
			case "Captain Johne"(remove):
				say("@Captain Johne, that lunatic? I hear he went underground seeking the gargoyles, but he fled from the first one he encountered. Nobody knows where he is now.@");
				if (isNearby(LEODON))
				{
					LEODON.say("@Well, that's not what I heard.@ says Leodon.");  
					LEODON.hide();
				}
				add(["underground", "gargoyles"]);

			case "underground"(remove):
				say("@Under the earth is no place for a seafaring man to be.@");

			case "gargoyles"(remove):
				say("@Tough creatures. My crew and I steer well clear.@");

			case "world"(remove):
				say("@Don't go too far, matey--ye'll fall off!@ He laughs a hearty laugh and takes a swig of ale.");
				
			case "bye"(remove):
							
				avatar_goodbye = "@Farewell!@";
				npc_goodbye = "@Until we meet again.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}