
void Fentrissa object# (0x4e4) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Ahoy there!@";
		npc_1st_greet = "@Welcome!@";
				
		av_2nd_greet  = "@Greetings..@";
		npc_2nd_greet = "@Welcome, friend.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A strong, sinewy woman with a hard look about her.");
			item.say("@Smell that salt air, friend. Brings a tear to me eye...@");

		}
		else
			item.say("@Welcome, welcome!@ She slaps you heartily on the back.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Fentrissa.@");
				add(["Fentrissa"]);

			case "job"(remove):
				if (!gflags[FENTRISSA_SOLD_OUT])
				{
					say("@I sell ships.@");
					add(["ship"]);
				}
				else 
					say("@I'm out of work after selling you all my ships and skiffs.@");
				
				//say("@I have @ships for sale, but I sold you my last skiff.
				//say("@I sold you my last @ship, but I still have some @skiffs left.@");
  				 

			case "Fentrissa"(remove):
				say("@A strong name, as strong as the sea. She looks into the distance.@");
				add(["sea"]);

			case "sea"(remove):
				say("@Beautiful thing, but a jealous man he is.@");
				add(["jealous"]);

			case "jealous"(remove):
				say("@Many call her a female. If ya ask me, men are much more unpredictable.@");

		
			case "ship"(remove):
				say("@It'll cost you 350 gold for the deed. Interested?@");
				if (askYesNo())
				{
					if (hasGold(350))
					{
						if (UI_add_party_items(1, SHAPE_SCROLL, 57, 0, true))
						{
							chargeGold(350);
							say("@Excellent!@ After accepting your gold, Fentrissa hands over the deed.@");
							say("@Sail her straight.@");
							gflags[FENTRISSA_SOLD_OUT] = true;
						}
						else
							say("@You look pretty full to me.@");
					}
					else
						say("@You don't have enough gold pieces.@");
				}
				else
					say("@You'll ne'er find a better craft.@");


			case "bye":
				say("@Have a good one.@ She bows, hands on her hips.");
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Fair weather to ye!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}