
void Johann object# (0x4e3) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, bard..@";
		npc_1st_greet = "@Hello..@";
				
		av_2nd_greet  = "@Greetings, Johann..@";
		npc_2nd_greet = "@Ah, hello again..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("An uneasy looking bard.*");
		}
		item.say("@Oh, hello. Can I help you with something?@*");

		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
		if (!gflags[TALKEDTOHOMERABOUTMAP])
			add(["Hawkins", "Bonn", "Empire", "Ybarra"]);


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@They call me 'Yodeling Johann'.@");
				add(["yodel"]);

			case "job":
				say("@I sing songs for the pira - for the sailors here. But I'm looking for a chance to move to another town.@");
  				add(["pirates", "sailors", "move", "song"]); 

			case "sailors"(remove):
				say("@They're fine, hearty fellows, one and all.@");

			case "yodel"(remove):
				say("@I'd better not... I've still got bruises from the last time I tried yodeling around here.@");

			case "move"(remove):
				say("@Not that there are pirates around here or anything...The salty air just doesn't agree with me.@");
				add(["pirates"]);

			case "pirates"(remove):
				say("@Did I say pirates? I didn't say that.@ He looks around nervously.*");
				say("@Nobody but fine honest sailors around here.@ He lowers his voice. @By the way... If you should happen to run across Bonn, or Ybarra, or Hawkins, don't tell them I'm here.@");
				if (!gflags[TALKEDTOHOMERABOUTMAP])
					add(["Bonn", "Ybarra", "Hawkins"]);

			case "Bonn"(remove):
				say("@Who's he? Never 'eard of 'im.@");
			
			case "Ybarra"(remove):
				say("@Who's he? Never 'eard of 'im.@");
			
			case "Hawkins"(remove):
				say("@Who's he? Never 'eard of 'im.@");


			case "Empire"(remove):
				say("@He spits on the ground and then says, @What?@");  // not seen the reference to this??

			case "song"(remove):
				say("@Oh, a loon with a spoon, Sang a song of ballooning. And the man in the moon Said it was quite a tune.@*");
				say("@Now one fine day in June A young man went ballooning. Did he rise up to glory, Or fall to his doom?@*");
				say("@Just one thing will I say, Of the sport of ballooning: On the ground will I stay, While the ground still has room!@");
				add(["ballooning"]);

			case "ballooning"(remove):
				say("@Oh, that's just some nonsense that gave me an idea for a song...I read about it in a book at the Lycaeum.@");
				add(["Lycaeum"]);

			case "Lycaeum"(remove):
				say("@Ask the librarian there for help.@");

			case "bye"(remove):
				avatar_goodbye = "@Farewell..@";
				npc_goodbye = "@Good day.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}