
void Ahrmaand object# (0x44d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, sir.@";
		var npc_1st_greet = "@Ah, yes..@";
				
		var av_2nd_greet  = "@A moment, milord..@";
		var npc_2nd_greet = "@Ah, thou hast returned..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A distinguished looking gentleman.");
			item.say("@Greetings, " + polite_title + ", and welcome to the town of Cove.@*");
			item.say("@How might I be of assistance this fine " + time_of_day + "?@");
			UI_set_item_flag(item, MET);
		}
		else if (player_is_female)
		{
			var random = UI_get_random(3);
			if (random == 1)
				item.say("@Ah, " + player_name + ", thou hast come back to get better acquainted!@");
			else if (random == 2)
				item.say("@" + player_name + ", seeing thee again, I feel as if the clouds have parted to reveal the sun once more.@");
			else if (random == 3)
				item.say("Milady " + player_name + "! If thou art as happy to see me as I to see thee, then this must be for thee a joyous occasion indeed.@");
			item.say("@How might I be of assistance this fine " + time_of_day + "?@");
		}
		else
		{
			item.say("@Ah, " + player_name + "! 'Tis an honor to welcome thee once more to my humble village.@");
			item.say("@How might I be of assistance this fine " + time_of_day + "?@");
		}
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I am the Viscount Ahrmaand. And what is thy name?@*");
				var avatar_or_name = chooseFromMenu(["The Avatar", ("I am " + player_name)]);
				if (avatar_or_name == "The Avatar")
					say("@Well met, Avatar!@");
				else
					say("@Well met, " + player_name + "!@");
				
			    case "job"(remove):
					say("@I govern here in Cove. 'Tis hard work, but my people love me for it.@*");
					say("@I always thought it a blessing to live so close to a shrine, though since the gargoyles came none dare go near it.@");
					add(["Cove", "shrine"]);

				case "Cove" (remove):
					say("@We have fine facilities here for healing the wounded and the sick.@");
					add(["sick"]);

				case "shrine" (remove):
					say("@In Britannia there are eight shrines, one for each of the eight virtues of the Avatar.@*");
					say("@They are places where people can go to meditate on these virtues.@");
					add(["virtues"]);
					
				case "Temple of Virtue" (remove):	
					say("@Alas, it was destroyed some time ago when the earthquakes happened. We were unable to save it.@");
      
				case "virtues" (remove):
					say("@The virtues are honesty, compassion, valour, justice, sacrifice, honor, spirituality, and humility.@*");
					say("@'Tis good to meditate on these virtues often.@");
					add(["meditate", "Temple of Virtue"]);
      
				case "meditate" (remove):
					say("@Each shrine has its own mantra. This is a chant which one should recite whilst meditating therein. Once there was a time when a special rune was required to enter each shrine as well.@");
					say("@Now the gargoyles have taken the Shrine of Compassion, and it is lost to the people once more.@");
					add(["mantra"]);
     
				case "sick" (remove):
					say("@A party of adventurers came here after their attempt to defeat the gargoyles at the Shrine of Compassion.@*");
					say("@I spoke with their leader when they arrived. Thou shouldst speak with him thyself. He told of a strange violet energy field. I think mayhap 'tis similar to the force which blocked entry to the shrines many years ago.@*");
					say("@The eight mystic runes were most useful in those days.@");
					add(["leader", "force"]);
      
				case "leader" (remove):
					say("@He's in bed at Sasha's, recuperating.@");
       
      
				case "force"(remove):
					say("@Use the Rune of Compassion whilst chanting the Mantra of Compassion. Methinks this may negate the gargoyle's magic at that shrine.@");
					
      
				case "mantra" (remove):
					say("@Ask Lord British's Chancellor, Tholden. He canst tell thee of the mantra, and like as not he will also know of the rune.@");

				case "bye":
					if (player_is_female)
					{
						say("@Twas a delight to converse with thee, my dear. My heart will be aflutter with anticipation till thou dost visit me again.@");
						
					}
					else
						say("@Farewell sirrah, and good luck with thy quest.@");
			

					var avatar_goodbye = "@Goodbye..@";
					var npc_goodbye = "@Good luck, Avatar!@";
					
					if (player_is_female)
						npc_goodbye = "@Until we meet again, my dear..@";
					
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
	
		}                               
	}
	else scheduleBarks(item);
}