
void Artagel object# (0x447) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item, TEND_SHOP))
		{
			script item
			{
				frame 0;
				repeat 32
				{
					next frame cycle;
				};	
			}

				var barks = [
					"@Ohhhhh....@",
					"@Oh, the pain!@",
					"@..too many..too many of them..@"

				];
				
				//Barks for Lazeena when she's nearby
				var barks2 = [
					"@Shhh..it's okay...@",
					"@I'm here, my love..@",
					"@There, there..@"

				];

				var rand = UI_get_random(UI_get_array_size(barks));
				UI_item_say(item, barks[rand]);
				
				if (isNearby(LAZEENA))
					delayedBark(LAZEENA, barks2[rand], 8);
		}		
	}	
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Art thou alright?@";
		var npc_1st_greet = "@Ohhh... the pain!@";
		var npc_2nd_greet;
				
		var av_2nd_greet  = "@Hello..?@";
		
		if (UI_get_npc_id(ARTAGEL) == 1)		
			npc_2nd_greet = "@...mmhmm?@";	
		else
			npc_2nd_greet = "@..too many..too..mmm..@";
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
		
		UI_set_item_flag(item, READ); //override because he can't walk anyway
	}
	
	if (started_talking)
	{
		if (UI_get_npc_id(ARTAGEL) == 0)
		{
			item.say("A heavily scarred man with a look of agony on his face.*");
			item.say("@The pain, the pain... Will it never stop?@");
		}
		else
		{
			item.say("A heavily scarred man. He looks a little better than you saw him last.*");
			item.say("@...yy....yes?@");
		
		}
		//standard conversation options
			var options = ["name", "job", "bye"];
			
			
			//Lazeena is with him and he's on the road to recovery
			if (UI_get_npc_id(ARTAGEL) == 1)
				add("Lazeena");


			//If you've spoken to Lazeena in Britain about "Artagel", you can now ask him about her to start a sidequest
			if (gflags[ASKED_LAZEENA_ABOUT_ARTAGEL])
				add ("Artagel?");
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		
		
	if (UI_get_npc_id(ARTAGEL) == 0)
	{
		converse(options)
		{
			case "name"(remove):
				say("@Too many... There were too many of them...@");
	
			case "job"(remove):
				say("@My head is pounding like a drum...@");

			case "Artagel?"(remove): 
				say("The man momentarily opens his eyes, and struggles to speak. @Ye..ss...oh the pain!@");
				add(["Lazeena"]); 

			case "Lazeena"(remove): 
				say("Laz.. La... nna..T..Te..Tell...h..hher...@*");
				say("Artagel lets out a groan and passes out from the pain.");
				UI_set_schedule_type(ARTAGEL, SLEEP);

				//tell Lazeena Artagel is alive
				if (!gflags[ARTAGEL_IS_ALIVE])
					gflags[ARTAGEL_IS_ALIVE] = true;
				break;
	
			case "bye":
				
				var avatar_goodbye = "@Rest easy, friend..@";
				var npc_goodbye = "@...Oh the pain!!!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;

		}
	}
	else if (UI_get_npc_id(ARTAGEL) == 1)
	{
		converse(options)
		{
			case "name"(remove):
				say("@Ar..Artagel.@");
	
			case "job"(remove):
				say("@I.. I'm a healer...@ He winces in pain.");
				if (isNearby(LAZEENA))
				{
					LAZEENA.say("Lazeena wipes his forehead with a wet washcloth.");
					LAZEENA.say("@Shhh.. easy now..you must get your rest.@");
					LAZEENA.hide();
				
				}
				add("gargoyles");

			case "Lazeena"(remove): 
				say("He manages to smile amidst the pain.");
				say("@Lazeena...@");
				if (isNearby(LAZEENA))
				{
					LAZEENA.say("@I'm right here, my love.@");
					LAZEENA.hide();
				}	
				
			case "gargoyles":
				say("@...there were too many... tried helping survivors...then I woke up here.@");
				if (isNearby(LAZEENA))
				{
					LAZEENA.say("@There.. there.. you did all you could for them.@");
					LAZEENA.hide();
				}	
	
			case "bye":
				if (isNearby(LAZEENA))
				{
					LAZEENA.say("@I'm sorry, " + polite_title + ", he's still in no condition to speak.@");
					LAZEENA.say("@Once again, I must thank thee for thy kindness and helping reunite us.@");
					LAZEENA.hide();
				
				}
				var avatar_goodbye = "@Feel better, friend..@";
				var npc_goodbye = "@.mm..hmm...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;

		}
	}	
	else scheduleBarks(item);
}	
}