
void Faren object# (0x46a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int FRAME_WHITE_WINE = 1;
	const int FRAME_ABBEY_RED = 11;
	const int FRAME_ABBEY_DRY = 12;
	const int FRAME_SWEET_WINE = 8;
		
	var food_drink_options = ["nothing", "white wine", "sweet wine", "abbey red", "abbey dry"];
	//var item_shapes = [SHAPE_BOTTLE, SHAPE_BOTTLE, SHAPE_BOTTLE, SHAPE_BOTTLE, SHAPE_BOTTLE, SHAPE_BOTTLE];
	var item_prices = [10, 20, 100, 100];
	var food_drink_frames = [FRAME_WHITE_WINE, FRAME_SWEET_WINE, FRAME_ABBEY_RED, FRAME_ABBEY_DRY];
	var initial_choice_question = "@Which item?@"; //arms or armor? etc
	var cant_afford = "@You don't have enough gold.@"; 
	var cant_hold = "@You look pretty full to me.@";
	var saidNo = "@Too bad, it's really good wine.@";
	var askIfInterested1 = "@For that bottle of wine it will cost you "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Agreeable?@";
	var success = "@Excellent!@ After accepting your gold, he hands over the "; //
	var success2 = "@Enjoy your wine!@"; //"I hope this item works well for you!" etc if needed
	var nothing = "@Too bad, it's really good wine.@";
	var has_quantity;
	var ask_quantity;
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Ah, hello.@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Back for more wine?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A good looking young man with a wine glass in his hand.");
			item.say("@Hello,@ he says, extending a delicate hand.");
			
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@I have seen your face before,@ he says, cocking his head sideways.");
		item.say("@What is it you need?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Faren. Faren the drunk as some call me.@ He winks at you.");
				add(["Faren", "drunk"]);                                

			case "job"(remove):
				say("@I sell many types of wine, made right here.@  He clicks his tongue.");
				add(["wine"]); 

			case "Faren"(remove):
				say("@You might have noticed the similarity between my sister and me.@");
				add(["sister"]); 
			
			case "drunk"(remove):
				say("@Just kidding.@ He smiles broadly.");
			
			case "sister"(remove):
				say("@A beautiful lass Stephanie is.@");
				add(["Stephanie"]); 

			case "Stephanie"(remove):
				say("Have you met her? Then you know she is blind.@");
				add(["blind"]); 

			case "blind"(remove):
				say("@Yes, has been so since birth. For her it is like being born a gargoyle.@");
				add(["gargoyle"]); 

			case "gargoyle"(remove):
				say("@She knows no other life. It is her lot to make the best of her situation.  In this she is no different than you or I.@*");
				say("He pauses to gather his thoughts.*");
				say("@Even gargoyles face this dilemma, I'll wager. But we know them more by the ways they differ from us, rather than their similarities.@");
		
			case "wine":
				sellFood(FAREN, food_drink_options, item_prices, food_drink_frames, dialog);
				
			case "bye":
				item.say("@Have a nice " + time_of_day + ".@ He sips his wineglass.");
				var avatar_goodbye = "@See you around..@";
				var npc_goodbye = "@Take care!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}