
void Mole object# (0x40d) ()
{



	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hail, milord.@";
		var npc_1st_greet = "@Mind the open graves, " + polite_title + ".@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Oh, hello " + polite_title + ".@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		var bodycount = getBodyCount(PARTY);
		if (bodycount > 0)
		{
			item.say("Now, now. You can't be bringing bodies out here without reservations.@");
			item.say("Go see me master Glen about having a funeral first.@");
			sayGoodbye2(item);
		
		}
		
		if(UI_get_item_flag(item, POLYMORPH)) //final - Glen says he'll pay
		{
			item.say("@Old penny pincher says he's going to pay me? I'll believe it when I have the coins in me hand.@");
			UI_set_item_flag(item, NO_SPELL_CASTING); //set when Glen/Mole dispute solved, or gave shovel
			
			//CLEANUP FLAGS 		
			UI_clear_item_flag(item, CONFUSED);
			UI_clear_item_flag(item, NAKED);
			UI_clear_item_flag(item, PETRA);
			UI_clear_item_flag(item, SI_ZOMBIE);
			UI_clear_item_flag(item, POLYMORPH);
		
		}
		else if (UI_get_item_flag(item, CONFUSED)) //Glen said he squandered pay
		{
			item.say("@Aye, maybe there'd 'ave been extra for shovel and such in my pay, if the old skinflint had ever remembered to pay me!@");
			UI_set_item_flag(GLEN, POLYMORPH); 
			sayGoodbye2(item);
			return;
		}
		else if (UI_get_item_flag(item, PETRA)) //Glen said buy new one
		{
			item.say("@I'd have been glad to get a new shovel! Believe me, I knows how to pick out a good one, too. But how'm I supposed to pay for it, you just ask him that!@");
			UI_set_item_flag(GLEN, CONFUSED); 
			sayGoodbye2(item);
			return;
		}

		else if (UI_get_item_flag(item, NAKED)) //told Glen needed shovel
		{
			item.say("Mole listens, a bit impatiently. @He gave me a shovel, all right - cheapest shovel I ever saw in all my years in the business!@"); 
			item.say("@Tell 'im it broke the third day I tried usin' it.@");
			UI_set_item_flag(GLEN, NAKED);
			sayGoodbye2(item);
			return;
		}
		
		else
		{
			item.say("You see a coarse looking individual, digging in the dirt with his bare hands.");
			item.say("@Hello. If I be speaking with ye, I'd best not be digging at the same time.@");
		} 
			
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I be Mole.@");
				
			case "job"(remove):
				say("@I dig graves for me master, Glen.@");
				add(["graves", "dig", "Glen"]); 

			case "dig"(remove):
				say("Digging's been in me family for generations.@");
						
									
			case "graves"(remove):
				say("@If you take away enough dirt, a grave's what's left. After they has a funeral, I puts all the dirt back again.@");
				add(["funeral"]);

			case "Glen"(remove):

				if (UI_get_item_flag(item, NO_SPELL_CASTING)) //gave him a shovel already, or solved the glen/mole dispute
				{				
					say("@He's a strange one... Nobody knows what he keeps in that back room of 'is.@");
				}
				else
				{
					if (!UI_get_item_flag(GLEN, SI_ZOMBIE)) //triggers Glen "shovel" remark
						UI_set_item_flag(GLEN, SI_ZOMBIE); 
					say("@I'll not speak with 'im, the way he treats me. But if you sees him, tell him I could dig these graves better if I had a shovel!@");
					add(["shovel"]);
				}
 		
			case "funeral"(remove):
				say("@Funerals aren't me trade. I know plenty about dirt, though.@");
				add(["dirt"]);	

			case "dirt"(remove):
				say("@I knows all the different kinds of dirt by heart.@");
				add(["kinds"]);

			case "kinds"(remove):
				say("@Learned 'em from me father.@");
				
			case "shovel"(remove):
				if (!UI_get_item_flag(item, NO_SPELL_CASTING)) //haven't given shovel or solved glen/mole dispute yet
				{
					if (UI_count_objects(PARTY, SHAPE_SHOVEL, QUALITY_ANY, FRAME_ANY) >= 1)
					{
						say ("@Oh, ye've brought a shovel with ye! Is it for me?");
						if (askYesNo())
						{
							say ("@Thank ye very much! And 'tis not even my birthday!@");
							say("@Let me tell you this - keep an eye on old  Glen. They say not all of the bodies end up where they're supposed to...@");
							say("@You know, 'e was supposed to have paid me for a new shovel, and then you wouldn't have 'ad to go to so much trouble.@"); 
							UI_set_item_flag(item, NO_SPELL_CASTING);
							UI_remove_party_items(1, SHAPE_SHOVEL, QUALITY_ANY, FRAME_ANY, true);
							giveExperience(40);
							addKarma(5);
						
						//clear any flags that were set
							UI_clear_item_flag(item, CONFUSED);
							UI_clear_item_flag(item, NAKED);
							UI_clear_item_flag(item, PETRA);
							UI_clear_item_flag(item, SI_ZOMBIE);
							UI_clear_item_flag(item, POLYMORPH);

						//clear any with Glen
							UI_clear_item_flag(GLEN, CONFUSED);
							UI_clear_item_flag(GLEN, NAKED);
							UI_clear_item_flag(GLEN, PETRA);
							UI_clear_item_flag(GLEN, SI_ZOMBIE);
							UI_clear_item_flag(GLEN, POLYMORPH);

						}
						else say("@Too bad. I really need one.@"); 
							
					}
				}
				else 
				{
					say("@'Tis the tool of me trade.@");
					add(["tool"]);
				}

			case "tool"(remove):
				say("@Me father said a good shovel is more important than a good wife.@");
				add(["wife"]);

			case "wife"(remove):
				say("@That's what you look for after you've got a good shovel.@");
			
			case "bye":
				say("@Oh, going away, are ye? Let me know when ye return so I'll know 'tis time to speak with ye again.@ He returns to his digging.");
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Be seein' ye..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}