
void Sionnach object# (0x40b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == PROXIMITY)
	{
		UI_error_message("Proximity event called on Sionnach");
		if (UI_part_of_day() == MIDNIGHT && nearEachOther(item, SYLAINA))
		{
			//if he isn't facing Sylania, make him.
			if (!isFacingNPC(item, SYLAINA))
				makeNPCFaceNPC(item, SYLAINA);
			
		}
	
	
	
	}
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, bard.@";
		var npc_1st_greet = "@Hello!@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Of course!@";	
		
		
		if (UI_part_of_day() == MIDNIGHT && nearEachOther(item, SYLAINA))
		{
			if (player_is_female)
				item.say("@Excuse me, ma'am. We are, um, indisposed.@");
			else
				item.say("@Pardon me, sir, but I hate to keep my dear one waiting. You understand, of course.@");
			item.say("He returns his attentions to Sylaina.");
			delayedBark(item, "Now where were we..", 2);	
			
			//make him face Sylania
			makeNPCFaceNPC(item, SYLAINA);
			
			return;
		}
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A troubadour with a drum. His tailored suit is travel-worn but bright.");
			if (isNearby(IOLO))
			{
				IOLO.say("@Why, hello there, my friend. You've grown a bit since we met last. I'm afraid I can't recall your name, you'll have to forgive me.@");
				IOLO.hide();
				item.say("@It has been a while, Master Iolo.@");

			}	
			UI_set_item_flag(item, MET);
		}
		else 
		{
			if (partynum > 1)
				item.say("@Greetings, folks.@");
			else
				item.say("@Greetings, " + polite_title + ".@");
			
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Sionnach.@ He pronounces it 'ShaNOK'.");
				
			case "job"(remove):
				say("@I'm a drummer and a singer.@");
				add(["drummer", "singer"]); 

			case "drummer"(remove):
				say("@Would you like me to play for you?@");
				if (askYesNo())
				{
					say("The drum is wide and flat. Sionnach holds it by the strings on the back of it. Then, he taps it in intricate patterns using both ends of the dowel held loosely in his other hand.*");
					say("It sounds thus: 'RUM-TE-TUM, RUM-TE-TUM, TUMBLETY-TUM-TE-TUM!' The beat is invigorating  and exciting.");
					say("@That's a battle summons.@");
					add(["battle"]); 
					//TODO: give drum shape and sound to him?
				}
				else
					say("@As you wish, " + polite_title + "@.");
				
									
			case "battle"(remove):
				say("@'Twas long ago... Back when men forced sorcerous secrets from demons...@*");
				say("@Back when women wove moonbeams into cloth of indescribably fine texture...@*");
				say("@Long ago, Lord Fennian devised a language of raps and knocks on the great drums used by his armies. Each drum was made of the entire skin of a bull, stretched taut by a dozen cords.@");
				say("@It's true. I read that in a book I found at the Lycaeum.@");
				add(["book"]);

			case "book"(remove):
				say("@I also read a number of maritime histories. They record the facts behind the many songs of different ships.@");
				add(["ships"]);

			case "ships"(remove):
				say("@The sea is not always a gentle, generous friend. Storms have brought down many a haughty vessel; the evil Empire, the Dutchman, the Virtuous...Have you heard of the Virtuous?@");
				add(["Empire", "Dutchman"]);	

			case "Empire"(remove):
				say("@I don't know where she rests. Ask other bards.@");

			case "singer"(remove):
				say("Sionnach sings softly for you.*");
				say("@A southerner from Serpent's Hold  Once slew a pirate crew of eight. Young Keegan was this warrior bold, And thus he claimed the 'Bitter Kate.'@*");
				say("@He broke a bottle 'cross her bow And 'Virtuous' became her name. For many years she served him well; Good Captain Keegan rose to fame.@");
				say("@The Barston Bay came north to fight, The Jolly Roger on her mast. To cold Loch Lake she sailed that night. To sink Keegan's ship with cannon blast.@*");
				say("@Ah, the old Bitter Kate, she's mended her ways, And as the Virtuous, ended her days.@*");
				say("@Captain Keegan, he sleeps the endless sleep.. While on Loch Lake's shore the Virtuous lays.@");
				
			case "Dutchman"(remove):
				say("@There's probably great treasure on her, and on the Virtuous, too.@");

			case "bye":
				
				var avatar_goodbye = "@Nice speaking with thee..@";
				var npc_goodbye = "@Take care!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}