void Sylania object# (0x40c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	const int FRAME_SYLANIA = 6;
	const int SHAPE_AMULET = 955;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == PROXIMITY)
	{
		UI_error_message("Proximity event called on Sylania");
	
		if (UI_part_of_day() == MIDNIGHT && nearEachOther(item, SIONNACH))
		{
			//if she isn't facing Sionnach, make her.
			if (!isFacingNPC(item, SIONNACH))
			{
				UI_error_message("Sylaina isn't facing Sionnach, making them face each other");
				makeNPCFaceNPC(item, SIONNACH);
				
			}
		}
		//Otherwise, say generic NPC barks
		else scheduleBarks(item);
	
	
	}	
		
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hello, miss..@";
		var npc_1st_greet = "@Why, hello.@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Ah, thou'rt back.@";	
		
		if (UI_part_of_day() == MIDNIGHT && nearEachOther(item, SIONNACH))
		{
			item.say("@Have you nothing better to do?@ she asks pointedly. @Please excuse us.@");
			delayedBark(item, "How rude..", 2);	
			makeNPCFaceNPC(item, SIONNACH);
			return;
		}
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	

	
	
	
	
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A voluptuous woman dressed in dark blue velvet over white cloth.");
			item.say("@Hello there, stranger. Can I help you?@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Hello, " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//sidequest - if you return her locket, get XP
		if (UI_count_objects(PARTY, SHAPE_AMULET, QUALITY_ANY, FRAME_SYLANIA) >= 1 && !UI_get_item_flag(item, PETRA)) //to prevent a stray amulet that isn't hers
			add("found locket"); 
		
		//when you give Sandy in Trinsic the dragon's egg, he spills the beans on other pirates
		if (UI_get_item_flag(SANDY, SI_ZOMBIE))
			add("map"); 
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I'm Sylaina Moorehead.@");
				add(["Moorehead"]); 


			case "job":
				say("@When I need some money for food and such, I work as a seamstress. Most of the time, however, I live off the seashore.@");
				add(["seamstress", "seashore"]); 

			case "Moorehead"(remove):
				say("@I'm a widow now. I live in a cottage on the beach.@");
				add(["widow"]); 

			
			case "seamstress"(remove):
				say("@Yes. I used to make such fine clothes for my Nathaniel...@");
				add(["Nathaniel"]);				

			case "seashore"(remove):
				say("@There's always a bit of fish or gull's eggs to eat, with lobster once in a while. I'm as carefree as a gypsy.@");
				add(["gypsy"]);

			case "Nathaniel"(remove):
				say("@Though he was not a bad husband, I'll always remember him as something of a scoundrel.@");
				say("She smiles and her lovely eyes sparkle with memories. @They say he went down in a storm. He was a pirate.@");
				add(["pirate"]);	

			case "gypsy"(remove):
				say("They travel the road between Britain and Trinsic. Normally I like them. They're a merry lot. But one time a group of gypsies stole my prized locket!@");
				add(["stole", "locket"]);

			case "map"(remove):
				say("@My husband left me a gold locket wrapped in a piece of an old ship's chart. Maybe that's what you seek.@*");
				if (!UI_get_item_flag(item, PETRA))
					say("@I don't have the locket or the map anymore. The gypsies came by one day and stole them.@"); //if you haven't returned her locket yet. 
				if (!gflags[LEARNEDGYPSYSSTOLEMAP])
					gflags[LEARNEDGYPSYSSTOLEMAP] = true;
			
			case "pirate"(remove):
				say("@My husband left me a gold locket wrapped in a piece of an old ship's chart. Maybe that's what you seek.@*");
				if (!UI_get_item_flag(item, PETRA))
					say("@I don't have the locket or the map anymore. The gypsies came by one day and stole them.@"); //if you haven't returned her locket yet. 
				if (!gflags[LEARNEDGYPSYSSTOLEMAP])
					gflags[LEARNEDGYPSYSSTOLEMAP] = true;
					
			
					
			case "widow"(remove):
				say("@My husband left me a little money, to support myself for a time, but I still like to sew fine clothing. There are few things as relaxing as embroidering and sitting by the ocean, listening to the surf.@");
				
			case "stole"(remove):
				say("@Yes--some gypsies are trustworthy, but others are scoundrels!@");
				
			case "found locket"(remove):
				say("@Is that... you found my locket! I thought I'd never see it again since the gypsies took it!@");
				say("She gives you a hug. @I am forever grateful!@");
				say("@I don't have much to give you, but I just caught some fresh fish and will cook for you at least!@");
				say("She brings out some fish and cooks it, and gives each of you a plate. @It's not much, but at least you won't be hungry!@");
				//set flag
				UI_set_item_flag(item, PETRA);
				
				UI_remove_party_items(1, SHAPE_AMULET, QUALITY_ANY, FRAME_SYLANIA);
				
				//give fish
				UI_add_party_items(partynum, SHAPE_FOOD, QUALITY_ANY, FRAME_TROUT, false);
				
				//add karma and exp
				addKarma(5);
				
				giveExperience(50);

			case "locket"(remove):
			if (!UI_get_item_flag(item, PETRA))
			{
				say("@My husband left me a gold locket. It contained a piece of an old ship's chart. He said that chart would make me rich.@*");
				say("@I didn't really care about the chart. But the locket...That locket was all I had to remember Nathaniel by.@");
				say("She sighs and looks away for a moment.");
			}
			say("@I am very happy you found my locket, it's the only thing left I have to remember Nathaniel by.@");
			//add(["Nathaniel"]);

			case "bye":
								
				var avatar_goodbye = "@Farewell, Sylaina..@";
				var npc_goodbye = "@Bye-bye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}