
void Caretaker object# (0x4c0) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hello..@";
			npc_1st_greet = "@...@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_2nd_greet  = "@Hello..@";
			npc_2nd_greet = "@Yes?@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Hello again.@";
			npc_2nd_greet = "@Yes?@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			item.say("The gargoyle ignores you and continues writing.");
			UI_clear_item_flag(item, MET);
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[WEARING_AMULET_SUBMISSION]) //have read scroll but not gotten amulet
		{
			item.say("@Yes? To inquire about the reason for this interruption.@");
			UI_set_item_flag(item, PETRA);
		}

		else 
		{
			if (!UI_get_item_flag(item, PETRA)) //haven't met officially
			{
				item.say("@Yes? To inquire about the reason for this interruption.@");
				UI_set_item_flag(item, PETRA); //set when you met him
			}
			else
				item.say("@Yes? To inquire about the reason for yet another interruption.@.");
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[HALL_OF_KNOWLEDGE])
			add(["Codex", "Temple of Singularity", "Lens", "Book of Ritual"]);

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be called the Caretaker, in lieu of a name.@*");
				say("@To be honored by being allowed to perform my duties as caretaker of this Hall.@*");
				
			case "job"(remove):
				say("@To care for my race's artifacts that rest here in the Hall of Knowledge.@");
				add(["Hall of Knowledge"]); 

			case "Hall of Knowledge"(remove): 
				say("@To keep the treasured artifacts of our race here in this Hall, in the three chambers.@*");
				add(["chambers"]); 

			case "chambers"(remove): 
				say("@To keep the treasured artifacts of our race here in this Hall, in the three chambers.@*");
				say("@To have three rooms here:@*");
				say("@To keep artifacts from the Underworld in the Human Chamber, to the east. To keep valuable books in the Librum Chamber, to the west.@*");
				say("@And to keep the Cube and the Lens in the Vortex Chamber, to the south.@*");
				add(["Underworld", "Vortex Cube", "Lens"]); 


			case "Underworld"(remove): 
				say("@Yes, the Underworld. To believe you know it as 'Britannia.'@*");
		
			case "Vortex Cube"(remove): 
				say("@To regret that that item is lost, stolen by human thieves years ago.@*");
				say("@To have heard the humans mention the name Stonegate as they fled.*");
				say("@To have heard them say they would sail through Lost Hope Bay. To know nothing more about its whereabouts.@*");
				if (!gflags[TOLD_ABOUT_CUBE])
					gflags[TOLD_ABOUT_CUBE] = true; //allows you to ask about cellar with Cyclops
				add(["Stonegate", "moonstones"]); 


			case "Lens"(remove): 
				say("@To find what you seek in the Vortex Chamber.@*");
				add(["chambers"]); 


			case "Stonegate"(remove): 
				say("@To suspect it to be someplace in the human-filled Underworld.@*");	


			case "Temple of Singularity"(remove): 
				say("@To not be a signpost!@*");
				say("@To find the Temple of Singularity in the mountains to the north - if you can fly!@*");
				add(["fly"]); 	

			case "fly"(remove): 
				say("@To be unable to reach the mountain-locked Temple of Singularity on foot. To only be able to reach that holy place if you are a winged gargoyle.@*");
				say("@To find this most fitting and proper.@*");
				say("@To see no reason to let human riff-raff into the Temple.@*");
				
						
			case "moonstones"(remove): 
				say("@To admit ignorance regarding the location of the moonstones.@*");
		
			case "bye":
					say("Without another word, the gargoyle returns to his work.");
					var avatar_goodbye = "@That is all..@";
					var npc_goodbye = "@...@";
					
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
	
		}                               
	}
	else scheduleBarks(item);
}