
void Draxinusom object# (0x4b4) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_draxinusom = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL])
		{
			av_1st_greet = "@Hold, gargoyle!@";
			npc_1st_greet = "@An-bal-sil-fer!@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])
		{
			av_2nd_greet  = "@Excuse me..@";
			npc_2nd_greet = "@False Prophet!@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Might we speak, Draxinusom?@";
			npc_2nd_greet = "@False Prophet..@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A large, winged gargoyle of regal bearing.*");

		if (!gflags[READ_GARGISH_SCROLL]) //has not read the scroll from capt. john
		{
			item.say("The gargoyle screams, @An-bal-sil-fer! Klep lem! Por-aylem ter-ort ka!@");
			sayGoodbyeAbrupt(item, "Ag-ra-lem! Ges por!"); //begone? Guards?
			UI_clear_item_flag(item, MET);
			return;
		}
		else if (UI_get_item_flag(item, NAKED)) //has pissed off Drax by refusing to surrender
		{
			item.say("@To be here to surrender?@*");
			if (askYesNo())
			{
				item.say("@To be willing to die to save my people?@");
				if (askYesNo())
				{
					item.say("@To grant me your life?@");
					if (askYesNo())
					{
						item.say("@Why?@");
						
						
					}
					else
					{
						item.say("@Begone, False Prophet! To seize you for sacrifice the instant my army returns from the Underworld!@"); 
						sayGoodbyeAbrupt(item, "Begone!");
					}
				}
				else
				{
					item.say("@Begone, False Prophet! To seize you for sacrifice the instant my army returns from the Underworld!@"); 
					sayGoodbyeAbrupt(item, "Begone!");
				}

			}
			else
			{
				item.say("@Begone, False Prophet! To seize you for sacrifice the instant my army returns from the Underworld!@"); 
				sayGoodbyeAbrupt(item, "Begone!");
			}

		}

		if (UI_count_objects(PARTY, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, FRAME_ANY) > 0 || gflags[SUBMITTED_TO_DRAXINUSOM]) //already submitted to Drax
		{
			item.say("@To be honored by your presence, noble " + player_name + ". To feel sorrow that matters of state prevent conversation.@*");
			item.say("@To summon you when proper time for your sacrifice has come.@");
			sayGoodbyeAbrupt(item, "To summon you when it's time.");
			return;
			
		}
		
		else if (!UI_get_item_flag(item, PETRA)) //has read scroll but not officially met yet
		{
			if (inParty(BEHLEM)) //beh lem in party but hasn't officially met yet
			{
				item.say("@To refrain from slaying you only because of the presence of the child, False Prophet!@*");
				
			}
			else
				item.say("@To express astonishment at your audacity, False Prophet!@");
			UI_set_item_flag(item, PETRA);
		}
		else
			item.say("@To demand to know why you have returned here, False Prophet!@");
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[ASK_TO_SUBMIT]) //Valkadesh told him about submitting
			add("sacrifice");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be named Draxinusom, leader of our race.@*");
				say("@To demand to know why you have come before me!@*");
	
			case "job"(remove):
				say("@To be the leader of our race. To have little time to waste chatting with the False Prophet!@");

			case "sacrifice"(remove):  //only if asked Valkadesh about submitting
				say("The gargoyle shows you a crystal amulet dangling from a leather cord.*");
				say("@Hsss....To consent to wear this?@*");
				if (inParty(DUPRE))
				{
					DUPRE.say("Trusted Dupre whispers frantically to you, @You musn't! It's some sort of magical trap!@");
					DUPRE.hide();
				}
				say("The gargoyle waits impatiently for an answer.*");
				say("@Yes or no, False Prophet?@");
				if(askYesNo())
				{
					say("The gargoyle hands you the amulet, and you slip the leather loop over your head.");
					say("@To surprise me with the nobility of your deed. To no longer be a threat to my people.@");
					say("@To bid you to travel among my people, talk to them, learn our ways.@");
					say("@To inform you when the time of your sacrifice has come.@");
					if (UI_get_readied(AVATAR, BG_AMULET))
					{
								
						//transfer neck item Avatar is wearing to Holderguy
						transferNeckItems(AVATAR, HOLDERGUY); //This actually now places item on ground
						
						//add amulet of submission
						if (UI_add_party_items(1, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, 0, false))
							UI_error_message("Amulet of submission should be added to Avatar");
						else
						{
							UI_error_message("Something went wrong, did not create Amulet of Submission!");
							UI_add_party_items(1, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, 0, false); //try again

						}			
						//transfer neck item back to Avatar's pouch
					//	transferNeckItems(HOLDERGUY, AVATAR); //DISABLED
						
						UI_error_message("Avatar is wearing an amulet, moving it");
						gflags[SUBMITTED_TO_DRAXINUSOM] = true;
						gflags[WEARING_AMULET_SUBMISSION] = true;
						
						//set gargoyles to id 2 - read scroll, submitted
						UI_set_npc_id(FARMER_NASH, 2);
						sayGoodbye2(item);
					}
					else
					{
						UI_error_message("Avatar is NOT wearing an amulet");
						
						if (UI_add_party_items(1, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, 0, false))
							UI_error_message("Amulet of submission should be added to Avatar");
						else
							UI_error_message("Something went wrong, did not create Amulet of Submission!");
							
						gflags[SUBMITTED_TO_DRAXINUSOM] = true; //when wearing the amulet
						UI_clear_item_flag(item, NAKED); //cleared angry flag
						UI_clear_item_flag(NAXATILOR, CONFUSED); //cleared so Nax will talk to you
						sayGoodbye2(item);
					}
					break;
				}
				else 
				{
					say("@To be To be necessary for surrender! To ask again for your acceptance of this.@ Your answer:");
					if(askYesNo())
					{
						say("The gargoyle hands you the amulet, and you slip the leather loop over your head.");
						say("@To surprise me with the nobility of your deed. To no longer be a threat to my people.@");
						say("@To bid you to travel among my people, talk to them, learn our ways.@");
						say("@To inform you when the time of your sacrifice has come.@");
						//another neckpiece is worn, place ito n the ground
						if (UI_get_readied(AVATAR, BG_AMULET))
						{
								
							//transfer neck item Avatar is wearing to Ground
							transferNeckItems(AVATAR, HOLDERGUY); //This actually now places item on ground
							
							//add amulet of submission
							if (UI_add_party_items(1, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, 0, false))
								UI_error_message("Amulet of submission should be added to Avatar");
							else
								UI_error_message("Something went wrong, did not create Amulet of Submission!");
					
							UI_error_message("Avatar is wearing an amulet, moving it");
							gflags[SUBMITTED_TO_DRAXINUSOM] = true;
							
							//set gargoyles to id 2 - read scroll, submitted
							UI_set_npc_id(FARMER_NASH, 2);
							sayGoodbye2(item);
						}
						else
							UI_add_party_items(1, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, FRAME_ANY);
						gflags[SUBMITTED_TO_DRAXINUSOM] = true; //when wearing the amulet
						break;
					}
					else 
					{
						say("@Begone, False Prophet! To seize you for sacrifice the instant my army returns from the Underworld!@");
						UI_set_item_flag(item, NAKED); //used for when Drax is mad and demands you surrender next time
						sayGoodbyeAbrupt(item, "To die soon for thy crimes, False Prophet!");
						break;
					}

				}



			case "bye":
				
				say("@To have known it all along! To be a fool for trusting the False Prophet for a moment!@");
				say("@Flee, False Prophet! To seize you for sacrifice the instant my army returns from the Underworld!@");
				var avatar_goodbye = "@I'll just be going now...@";
				var npc_goodbye = "@Begone, False Prophet!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}