
void Goodscrafter object# (0x4ba) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hold, gargoyle!@";
			npc_1st_greet = "@An-bal-sil-fer...@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_1st_greet = "@Hold, gargoyle!@";
			av_2nd_greet  = "@Hold, gargoyle!@";
			npc_1st_greet = "@False Prophet...@";
			npc_2nd_greet = "@False Prophet...@";	

		}
		else //already submitted
		{
			av_1st_greet = "@Hold, gargoyle!@";
			av_2nd_greet  = "@Might we speak again?@";
			npc_1st_greet = "@False Prophet...@";
			npc_2nd_greet = "@What now, False Prophet?@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			item.say("@An-bal-sil-fer,@ the gargoyle says calmly.*");
			item.say("@Sum in-korp i. Vers.@");  
			item.say("The gargoyle silently awaits his fate.");
			script item after 3 ticks say "@...@";
			UI_clear_item_flag(item, MET);
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[WEARING_AMULET_SUBMISSION]) //have read scroll but not gotten amulet
		{
			item.say("@Oh, the False Prophet,@ the gargoyle says calmly.*");
			item.say("@To suppose that you have come to kill me as well. All right.@");
			UI_set_item_flag(item, MET);
		}

		else 
		{
			item.say("@To ask why you disturb me again, False Prophet.@");
			if (isWearingAmulet())
			{
				item.say("@To see the Amulet of Submission.  To suppose, then, that my world has been saved.@");
				item.say("@But to feel that salvation has come too late.@");
				add("late");
			}
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(item, PETRA)) //set by Healer when asked about him
			add(["family"]);

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To not have a name.@*");
				say("@To have nothing at all now...@*");
	
			case "job"(remove):
				say("@To be a goodscrafter. Though to have no reason to make goods now.@");
				add(["goods"]); 

			case "late"(remove): 
				say("@To refuse to discuss my grief with the being who caused it.@*");
				add(["grief"]); 


			case "grief"(remove): 
				say("@Surely to know what pain you have caused by stealing the Codex?@*");
				say("@To not believe that you care. To believe, in fact, that you enjoy causing suffering.@*");
				add(["suffering"]); 


			case "suffering"(remove): 
				say("@To not believe that you would do anything to help.@*");
				
			case "goods"(remove): 
				say("@To invite you to take what you want.@*");
			
			case "family"(remove): 
				say("@To have lost my entire family in the cataclysms.@*");
				add(["cataclysms"]); 


			case "cataclysms"(remove): 
				say("@To wish not to speak of it.@*");


			case "bye":
				
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@To wait here for you to return to kill me.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}