
void Lensmaker object# (0x4bc) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hold, gargoyle!@";
			npc_1st_greet = "@!!!!!@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_2nd_greet  = "@Hold, gargoyle!@";
			npc_2nd_greet = "@!!!!!@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Excuse me..@";
			npc_2nd_greet = "@To be honored, False Prophet..@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			item.say("A very old gargoyle.*");
			item.say("The gargoyle gasps in terror and wheezes, @An-bal-sil-fer!@");
			item.say("...then he faints dead away!");
			UI_set_item_flag(item, ASLEEP);
			UI_set_schedule_type(item, SLEEP);
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[WEARING_AMULET_SUBMISSION]) //have read scroll but not gotten amulet
		{
			item.say("A very old gargoyle.*");
			item.say("The gargoyle gasps in terror and wheezes, @False Prophet!@");
			item.say("...then he faints dead away!");
			UI_set_item_flag(item, ASLEEP);
			UI_set_schedule_type(item, SLEEP);
			sayGoodbye2(item);
			return;
		}

		else 
		{
			if (!UI_get_item_flag(item, PETRA)) //haven't met officially
			{
				item.say("The venerable gargoyle peers at you.");
				item.say("@Greetings, False Prophet.@");
				item.say("@To have been told by Naxatilor, long ago, that the you would one day come to me, wearing the Amulet of Submission.@");
				item.say("@To never have believed it would come to pass. To ask what service I can perform?@");
				UI_set_item_flag(item, PETRA); //set when you met him
			}
				else
					item.say("@To ask how again I may help you?@");
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(NAXATILOR, MET))
			add ("Naxatilor");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To lack a name, of course. But to be called Lor-wis-lem, the scholar of light, by many learned gargoyles.@*");
				say("As he says this, the ancient gargoyle beams with pride.");
		
			case "job"(remove):
				say("@To craft the finest lenses in the land,@ the gargoyle says proudly.");
				say("@Also to teach my young apprentices not to cut themselves on the glass!@");
				add(["apprentices"]); 

			case "apprentices"(remove): 
				say("@To be nearing the end of my time.@*");
				say("@To have one last sacred duty: To pass on my skill to the next generation.@*");
				add(["time"]); 

			case "time"(remove): 
				say("@To be over a thousand years old. To seem a mere youth compared to Naxatilor, however.@*");

			case "Naxatilor"(remove): 
				say("@To have helped Naxatilor create the Vortex Lens, centuries ago. To have found him venerable and ancient even then!@*");
				if (!UI_get_item_flag(item, NAKED))
					add(["Vortex Lens"]); 

			case "Vortex Lens"(remove): 
				if (UI_count_objects(PARTY, SHAPE_LENS, QUALITY_ANY, FRAME_BROKEN_LENS) > 0) // Has broken lens
				{
					say("@To see the shattered Vortex Lens you carry. To remember making it, so very long ago.@*");
					say("Taking the shards of glass, the lensmaker turns to his grinding table. In a short while, he has crafted a new Vortex Lens!*");
					say("@To have far greater skill now than when first I made this lens,@ he says smugly. @To require little time to repair it.@*");
					say("He hands you the restored Vortex Lens*");
					UI_clear_item_flag(item, SI_ZOMBIE); //clears flag when he no longer needs broken lens
					UI_set_item_flag(item, NAKED); //set to keep from getting more lenses
					UI_add_party_items(1, SHAPE_LENS, QUALITY_ANY, FRAME_GARGISH_LENS);
					UI_remove_party_items(1, SHAPE_LENS, QUALITY_ANY, FRAME_BROKEN_LENS);
				}

				else 
				{
					say("@To remember little from so long ago,@ the gargoyle croaks.@*");
					say("@To require the pieces of the lens in order to make a new copy.@*");
					UI_set_item_flag(item, SI_ZOMBIE); //set so he'll ask about the lens next time
				}

			case "bye":
				
				var avatar_goodbye = "@Farewell, Lensmaker..@";
				var npc_goodbye = "@To be honored to have helped you, False Prophet.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}