
void Valkadesh object# (0x4c5) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var met_valkadesh = UI_get_item_flag(item, PETRA);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	


	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		
		//have not read Capt. Johne's scroll yet
		if (!gflags[READ_GARGISH_SCROLL])
		{
			npc_1st_greet = "@Are human. You.@";
			av_1st_greet = "@Hail, gargoyle.@";
		
		}
		else if(!met_valkadesh)
		{
			npc_1st_greet = "@To greet you, False Prophet.@"; //read scroll, met for first time after
			av_1st_greet = "@Hail, gargoyle.@";
		}
		else
		{
			npc_1st_greet = "@To greet you, Avatar.@";  
			av_1st_greet = "@Greetings, Valkadesh.@";
		}	
		
				
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A tall, thin, winged gargoyle.*");
	
		if (!gflags[READ_GARGISH_SCROLL])// haven't met, haven't read Gargish scroll yet
		{
			item.say("The gargoyle smiles, but his grin is somehow disturbing.*");
			item.say("@I human friend. Want talk you.@");
			add("friend");
					
			var options = ["name", "job", "bye"];
		
			converse(options)
			{
				case "name"(remove): 
					say("In a thick accent, the gargoyle croaks, @I bad with human language.@");
					say("@Must Captain Johne go. Only he speak. Must go!@");
					add(["Captain Johne"]); 

				case "job"(remove):
					say("In a thick accent, the gargoyle croaks, @I bad with human language.@");
					say("@Must Captain Johne go. Only he speak. Must go!@");
					add(["Captain Johne"]); 


				case "Captain Johne"(remove): 
					say("@Must Captain Johne go. Only he speak. Must go!@");

				case "friend"(remove): 
					say("@Captain Johne gargoyle friend. Captain Johne speak.@");
				
				case "bye":
					say("@Want much to talk. Captain Johne speak, Captain Johne go!@");
					sayGoodbyeAbrupt(item, "Captain Johne!");
					break;
			}

		}
		else 
		{
			var options = ["name", "job", "bye"];
			if (!met_valkadesh) 
			{
				item.say("@To offer greetings, False Prophet. To have waited long for you to return to this side of the world.@*");
				item.say("@To believe that the Book of Prophecies is wrong. To believe that I can reason with you, persuade you to spare my people.@*");
				item.say("@To wish to address you honorably: To ask your name?@*");
					var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
					if (avatar_or_name == "I am the Avatar")
						say("@Noble Avatar, to see that you are a being of honor and respect.@");
					else if (avatar_or_name == ("I am " + player_name))
						say("@Noble " + player_name + ", to see that you are a being of honor and respect.@");
				item.say("@To not betray that honor - to return the Codex!@");
				item.say("@To save my people from the prophesy!@");
				UI_set_item_flag(item, PETRA);	//this flag is set as "met valkaedsh"	
				add (["prophesy", "Codex"]);
			}
			else  //Met him, read the gargish scroll
			{
				item.say("@Greetings, friend " + player_name + ".@*");
				if (gflags[WEARING_AMULET_SUBMISSION]) //should have amulet of submission on
					item.say("@To see you have done the honorable thing. To have earned much respect from my people by doing this!@*");
				item.say("@To hope your travels have brought you wisdom?@");
				if (askYesNo())
				{
					item.say("@To wish to hear about it!@");
				}
				else item.say("@To regret that, and to wish to aid you.@");
			}
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		
		//didn't ask him yet about surrender
		if (UI_get_item_flag(item, TATTOOED) && !gflags[WEARING_AMULET_SUBMISSION])
			add(["surrender", "Inquisitor", "free"]);
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
	
		converse(options)
		{
				case "name"(remove): 
					say("@To be called Valkadesh Wis-lem, Valkadesh the Scholar@");
					say("@To have been given a partial name. To have yet to achieve full honor.@");
					add(["partial"]); 

				case "job"(remove): 
					say("@To be a Scholar. To be seeking a way to avert the prophecy.@");
					add(["prophesy"]); 

				case "partial"(remove): 
					say("@To be greatly honored by even a partial name. To be customary among my people to give names only to those most worthy.@");

				case "prophesy"(remove): 
					say("@To be written in the Book of Prophecies that you would destroy our world.@*");
					say("@To also be written that only the sacrifice of the False Prophet would save us.@*");
					add(["sacrifice"]); 

				case "sacrifice"(remove): 
					say("@To be the only alternative to returning the Codex. Without the Codex, to have no choice but to sacrifice your life!@*");
					add(["Codex", "choice"]); 

				case "Codex"(remove): 
					say("@To believe that it is not too late. To beg you to return the Codex.@");
					say("@Avert the prophesy! Save your life, and my people's lives as well!@");

				case "choice"(remove): 
					say("@Wait! To know that sacrifice has threemeanings: of self, of others and of valuables.@*");
					say("@Perhaps to find a better answer in one of those other meanings.@");
					add(["answer"]); 

				case "answer"(remove): 
					say("@To be unable to help more.@");
					say("@To suggest you seek out Naxatilor himself for further enlightenment.@");
					add(["Naxatilor"]); 

				case "Naxatilor"(remove): 
					say("@To learn from Naxatilor, the wisest gargoyle. To find his chambers just to the northeast of the Hall of Knowledge.@");
					say("@To suggest you go there and ask him of sacrifice.@");

				case "surrender"(remove): 
					if (!gflags[WEARING_AMULET_SUBMISSION])
					{
						gflags[ASK_TO_SUBMIT] = true;
						say("@To travel to the Inquisitor. To tell the Inquisitor that you surrender.@");
						say("@Then to be no longer a threat, and no longer be feared.@");
					}
						else say("@To have done the honorable thing and now be respected and unfeared by my people.@");

				case "Inquisitor"(remove): 
					say("@To go to Draxinusom, the Inquisitor and leader of my race.@*");
					say("@To find his chambers just to the northwest of the Hall of Knowledge.@*");
					say("@To surrender to him, that you may travel freely in our land.@*");
		
				case "free"(remove): 
					say("@To know that the moons are not properly aligned yet for the ritual.@*");
					say("@To assure you that you will not be sacrificed for many weeks.@*");
					say("@To assure you further that surrender is the only way you can travel among my people.@*");

				case "bye":
					if (!UI_get_item_flag(item, TATTOOED)) //not yet told you about Draxinusom
					{
						say("As you turn to leave, the gargoyle stops you.");
						say("@Wait,@ he calls. @To be feared and hated by all gargoyles. To be unsafe for you right now, False Prophet.@");
						say("@To surrender is only answer. To surrender to Inquisitor.@*");
						say("@Then to be no longer a threat, and no longer be feared by my people!@");
						say("@To surrender to the Inquisitor, and then to be free to look for the solution.@");					
						
						UI_set_item_flag(item, TATTOOED);
						gflags[ASK_TO_SUBMIT] = true;
						add(["surrender", "Inquisitor", "free"]);
					}
				
									
					avatar_goodbye = "@Goodbye..@";
					npc_goodbye = "@May your precision and persistence lead to success!@";
					
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;

	
		}                               
	}
	else scheduleBarks(item);
}