
void Arvin object# (0x43a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

	
	//Shopkeeper options
	//sellFood(var npc, var food_drink_options, var prices, dialog)
	
	var food_drink_options =["nothing", "mead", "ale", "wine", "mutton", "rations", "rolls"];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_MUTTON, FRAME_RATIONS, FRAME_ROLLS];
	var prices = [4, 3, 6, 4, 2, 2];

	var	initial_choice_question = "@I sell rolls, ale, mead, wine, mutton, and rations@";
	var	askIfInterested1 = "@That'll be "; //split into two to capture price
	var askIfInterested2 = "  crowns, okay?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "@Come back when you have some gold@";
	var	cant_hold = "@You don't have room to carry it.@";
	var	saidNo = "@Very well. Anything else I can do for you?@";
	var	success = "Alright.@ He hands over the "; 
	var success2 = "@That aught to hold you.@";	
	var nothing = "@Anything else I can do for you?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	////////////////////
	
	
	
	//buyArmor(item, armor_options, prices, shapes, ask_choice, askIfInterested, cant_afford, cant_hold, saidNo, success, success2);
		
	
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@It's the rat, kill it!@";
			UI_set_schedule_type(item, SHY);
			return;
		}
	
	
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Hello, matey.@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Welcome back, matey.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (shop_is_open)
		{
			if (hour <= 3)
			{
				item.say("The man looks up from his cooking. @Aye, hello there. 'Fraid I can't talk now. I have to cook tomorrow's lunch.@*");
			}
			else
				item.say("The man looks up from his cooking. @Aye, hello there. 'Fraid I can't talk now. I have to cook tonight's supper.@*");
			item.say("@Come back when it's ready and have some!@");
			sayGoodbyeAbrupt(item, "Come back later!");
			return;
		}

		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A tavernkeeper.*");
			item.say("@Welcome to the Sword and Keg.@*");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Welcome to the Sword and Keg.@*");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I be Arvin, mate.@");

			case "job"(remove):
				say("@I sell rolls, ale, mead, wine, mutton, and rations.@");
  				add(["buy"]); 

			case "buy": 
				sellFood(ARVIN, food_drink_options, prices, food_drink_frames, dialog);
			
				//TODO:  Lyssandra story
			
			case "bye":
				
				var avatar_goodbye = "@Must be going now..@";
				var npc_goodbye = "@See you later.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}