
void Culham object# (0x43f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	

	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == KID_GAMES)
		{			
			var barks = [
				"@Ooof!@",
				"@Thou bloodied my lip!@",
				"@Take that!@",
				"@Have at thee!@",
				"@Argh!@",
				"@Ow that dost hurt!@",
				"@Thou bastard!@"
			];
	
			var rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}
	}
	else if (event == DOUBLECLICK)
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@Aieeeee! It's the rat!@";
			UI_set_schedule_type(item, SHY);
			return;
		}
			
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			item.say("@It's fighting time, talkings' for later.@");
			UI_clear_item_flag(item, READ); 
			return;
		}
			
		
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Hullo there.@";
				
		var av_2nd_greet  = "@A moment, milord..@";
		var npc_2nd_greet = "@Why hullo again..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		

		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A small man in a handsome vest made of seashells.");				
			item.say("@Why, hullo there, " + polite_title + ". And who might ye be?@*");  
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
			if (avatar_or_name == "I am the Avatar")
				item.say("@Well met, " + polite_title + " Avatar. Let me tell ye a tale.@");
			else 
				item.say("@Well met, " + polite_title + " " + player_name + ". Let me tell ye a tale.@");
			
		}
		else 
		{
			item.say("@Why, hullo there, " + player_name + ". Have I told ye the one about the gypsies?@");
			if (askYesNo())
			{
				item.say("@Oh. Perhaps a song, then.@");
				add(["song"]);
			}
			else
			{
				item.say("@Now there's a tale.@");
				add(["tale"]);
			}
		}
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Culham's me name, " + polite_title + ".@");
			
			case "job":
				say("@When spirits be low, I play tunes to bring cheer.@");
  				add(["cheer", "spirits"]); 

			case "spirits"(remove):
				say("@Once I heard a haunting melody...in Old Magincia.@ He laughs.");
				add(["Magincia"]);

			case "Magincia"(remove):
				say("@Well, it used to be a ghost town.@ He laughs and plays a little tune on his lute.");

			case "cheer"(remove):
				say("@The Mantra of Valour bringeth great cheer.@");  
				add(["mantra", "rune"]);

			case "mantra"(remove):
				say("@I'm not a great singer, but I love to play a song of valour. It makes me sing.@");
				add(["sing"]);

			case "sing"(remove):
				say("@I'll sing, though I'd rather play.@");
				add(["song"]);

			case "song"(remove):
				if (!gflags[LEARNED_MANTRA_VALOR]) //haven't learned mantra yet
				{
					giveExperience(25);
					gflags[LEARNED_MANTRA_VALOR] = true;				
				}
				
				if ((isNearby(JERRIS)) || (isNearby(STELNAR)) || (isNearby(VANKELLIAN)) || (isNearby(NOMAAN)))
					say("The pub is filled with the sound of singing.");  // check for nearby NPCS's if ((npc_nearby(50) || npc_nearby(45)) || npc_nearby(46)) else
				else	
					say("Culham sings for you.");
					
				say("@It seemed like such an easy climb. I crawled upon the Serpent's Spine.@");
				say("@I hadn't even time to blanch. When down there came an avalanche!@*");
				say("@And then my mantra came to mind. 'Tho boulders bounced and passed with speed. My frozen fingers gripped to rock. As sliding snow swept loose my feet.@");
				say("@Sing 'ra,' my friends, sing 'ra.@*");
				say("@'Tis a song to make thee strong. When the mountains be high. And the ground be far...Sing 'ra,' my friends, sing 'ra'!@");
			
			case "rune"(remove):
				say("@Ah, yes. That's quite a story, too. Naughty Nomaan dropped the Rune of Valor, and the rat carried it off.@");  // check for nearby NPCS   if (npc_nearby(50) && npc_nearby(45))
				if ((isNearby(STELNAR)) && (isNearby(JERRIS)))
				{
					say("He laughs loudly -- too loudly.");
					say("Stelnar and Jerris begin to argue over whether it was a rat or a mouse. Once again a brawl breaks out!");
					
					//allows you to ask others about the rat / rune
					if (!gflags[ASK_NOMAAN_ABOUT_RUNE])
						gflags[ASK_NOMAAN_ABOUT_RUNE] = true; 
					
					
					//set brawl
					UI_set_schedule_type(item, KID_GAMES);
					UI_set_schedule_type(STELNAR, KID_GAMES);
					UI_set_schedule_type(JERRIS, KID_GAMES);
					UI_set_schedule_type(NOMAAN, KID_GAMES);
					UI_set_schedule_type(VANKELLIAN, KID_GAMES);
					gflags[BRAWLING] = true; //flag 1078
					UI_play_music(25);
					script item after 2 ticks say "@..here we go again..@";
					script STELNAR after 4 ticks say "@Twas a rat, Jerris!@";
					script JERRIS after 6 ticks say "@No! 'Twas a mouse! I saw it!@";
					script LYSSANDRA after 8 ticks say "@Take it outside ye oafs!@";	
					CULHAM->BrawlEngineJhelom();
					
					//sets brawl timer so they brawl for an hour
					UI_set_timer(BRAWL_TIMER);
					
					//bypass normal end convo routine
					UI_clear_item_flag(item, READ); 
					break;
				}

			case "tale"(remove):
				say("@Would ye really like to hear a story?@");
				if (askYesNo())
				{
					if (!gflags[ARTUROSIS]) //you can now ask Immanuelle and Arturos about "Arturosis"
						gflags[ARTUROSIS] = true;
					
					say("@I call this story...Arturosis. Two gypsies come to Trinsic, hungry as usual.@*");
					say("@One goes out and gathers a poisonous weed from the swamps. The other sneaks into town and puts the plant into the trough of a horse.@");
					say("@Well, poor horse doesn't know better. He eats the stuff, swells up and takes ill. The owner, Immanuelle, doesn't know what to do.@");
					say("@Along come the gypsies. 'Aiee!' they cry. 'Yonder nag hath contracted 'Arturosis.' Unless it be immediately removed, the rest shall catch the same fatal disease.@");
					say("@Immanuelle decides to sacrifice the diseased one and the gypsies agree heartily. 'For but a few coins,' say the gypsies,' we will lead it away and bury it far from here.'@*");
					say("@Immanuelle is too happy to hand them the doomed animal's bridle, plus ten coins.@");
					say("@So the gypsies make a great kettle of horse stew and bury the rest. A great feast is held 'mongst gypsykind. Meanwhile, Immanuelle thanks virtue that the equine epidemic was caught early on!@");
					say("@'Tis a true story, my friend.@");
					
				}
				else 
					say("@Well, not everyone likes gypsy tales, I suppose.@");
			
			case "bye":
								
				var avatar_goodbye = "@Must be going now..@";
				var npc_goodbye = "@May we meet again soon, friend.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}