
void Lyssandra object# (0x441) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);


	if (event == DOUBLECLICK)
	{	
		
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@Eeek! A mouse!!@";
			UI_set_schedule_type(item, SHY);
			return;
		}
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, miss..@";
		var npc_1st_greet = "@Hallo!@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Hallo again!@";	
		

		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A girl of perhaps twelve years.*");
		item.say("She is agile, and balances trays of mugs deftly on each hand.");
		if (UI_get_schedule_type(item, TEND_SHOP))
			item.say("It is a wonder how she can duck the hurled debris and avoid the flying fists."); 
		item.say("She is quick, and never spills a drop of ale.");
		item.say("@Hallo, " + polite_title + ". Welcome to the 'Sword and Keg.'@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "Sword and Keg"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		
		converse(options)
		{
			case "name"(remove): 
				say("@It's Lyssandra, but ye can call me Andy.@*");
				add(["Andy"]); 

			case "job"(remove):
				say("@I take orders for drinks, " + polite_title + ".@");
				
			case "Andy"(remove):
				say("@I know 'tis a boy's name, but I like it all the same..@");

			case "Sword and Keg"(remove): 
				say("@Sometimes 'tis rough here but I doesn't mind. Some day I'll be a fighter, ye know.@*");
				add(["fighter"]); 


			case "fighter"(remove):
				say("@The fighting here usually begins over--@ Her voice drops to a whisper, @--the rat!@");
				if (hour < 18)
					say("@Around sunset things get really rowdy here!@");
				if (!UI_get_item_flag(item, PETRA))
				{
					UI_set_item_flag(item, PETRA); //to prevent circular convo about rat
					add(["rat"]);
				}
			case "rat"(remove):
				say("@Shhh!@ She glances about to see if you have been overheard.");
				say("@See yon hole in the north wall? Look carefully at where floor and wall meet. That's where it took the rune!@");
				say("@They tried all manner of tricks to get it out but they all failed.@*");
				say("@I had an idea, but nobody listened to me.@");
				add(["idea", "rune"]);

			case "idea"(remove):
				say("@Do ye know of the talking mouse? Lord British's friend?@");
				if (askYesNo())
				{
					say("@A mouse could get the rune, of that I'm sure!@");  
					if (!gflags[LEARNED_ABOUT_SHERRY]) //can now ask Sherry for help
						gflags[LEARNED_ABOUT_SHERRY] = true;
				}
				else
					say("@Well, ye would think it was a dumb idea anyways...@"); 


			case "rune"(remove):
				say("@I know how to get it from the you-know-what.@");
				add(["you-know-what", "mantra"]);

			case "you-know-what"(remove):
				say("@The rat,@ she whispers conspiratorially to you.");
				if (!UI_get_item_flag(item, PETRA))
				{
					UI_set_item_flag(item, PETRA); //to prevent circular convo about rat
					add(["rat"]);
				}
				
			case "mantra"(remove):
				say("@Culham has oft sung of it, with Jerris and Starhelm.@");
				add(["Starhelm", "Jerris"]);

			case "Starhelm"(remove):
				say("@His real name is Stelnar. He would be much nicer if he were not so angry all the time.@");

			case "Jerris"(remove):
				say("@He is brave when fighting, but he is afraid to sing by himself.@");
			
			case "bye"(remove):
				
				var avatar_goodbye = "@Farewell!@";
				var npc_goodbye = "@Bye-bye, It was nice talking to you.@";
				
				UI_clear_item_flag(item, PETRA); // so you can ask about rat again
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else 
		scheduleBarks(item);
}