
void Martin object# (0x43d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, milord..@";
		var npc_1st_greet = "@Velcome to mine inn!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Velcome back!@";	
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			npc_2nd_greet = "@Ready to check out?@";
			
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		//checking out of the Inn
		if (UI_get_item_flag(item, SI_ZOMBIE))
		{
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
			
			var has_key = UI_find_object(PARTY, SHAPE_KEY, QUALITY_MARTIN_INN, FRAME_ANY);
			item.say("@Are you ready to check out?@");
			if(askYesNo())
			{
				if (has_key)
				{
					if (hour < 12)
					{
						say("Martin serves you a huge, tasty breakfast.*");
						say("@A good breakfast is the beginning of a good day!@ he cries.");
						UI_add_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_SAUSAGE);
						
					}
			
					say("You give Martin back the room key.");
					say("@Haf a good journey and come back sometime!@");
					sayGoodbyeAbrupt(item, "Come back to visit again!");
					UI_remove_party_items(1, SHAPE_KEY, QUALITY_MARTIN_INN, FRAME_ANY);
					UI_clear_item_flag(item, SI_ZOMBIE);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					
					
					return;
				}
				else
				{
					say("@Where is the key? Please return it.@");
					sayGoodbye2(item);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					return;				
				}
		
			}
			else
				say("@Very vel, come back when you're ready to check out.@");
				
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				
		}
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A jolly, red-faced innkeeper.");
			item.say("@Vell, hello dere mine " + greeting + ".@*");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Vell, hello dere again, mine " + greeting + ".@*");
		item.say("@Velcome to the Varrior's Stead!@");
		item.say("@Vat can I be doing for thee this " + time_of_day + "?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 		
				say("@Mine name ist Martin, but my friends call me Dutch.@");
				add(["Dutch"]);
				
			case "job"(remove):
				say("@I run dis inn.@");
  				add(["inn"]); 

			case "Dutch"(remove): 
				say("@Ja, dat's mine name!@");


			case "inn"(remove): 
				if (!UI_get_schedule_type(item, TEND_SHOP))
				{
					say("@Come back tomorrow when de inn ist open!@");
					sayGoodbyeAbrupt(item, "Come back tomorrow.");
				}
				else
				{
					say("@Room und board ist 5 gold per night per person. Interested?@");
					if (askYesNo())
					{
						var price = (5 * partynum);
						if (hasGold(price))
						{
							chargeGold(price);
							UI_add_party_items(1, SHAPE_KEY, QUALITY_MARTIN_INN, 7);
							UI_set_item_flag(item, SI_ZOMBIE); //set so he asks for key back
							say("@Your room ist to de south. See me in de morning for breakfast before checkout!@");
							sayGoodbyeAbrupt(item, "Enjoy thy stay.");
						}
						else
						{
							say("@Ach, I'm sorry, but I must haf my " + price + " gold.@");
							say("@Come back ven fortune makes you rich, ah?@");
						}

					}
					else 
						say("@Vell, perhaps some other time, ja?@");
				}
		
			case "bye":
				
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Haf a good journey!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}