
void Peer object# (0x43c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int QUALITY_PEER = 66; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var sold_ship = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Why, hello there.@";
				
		var av_2nd_greet  = "@Hello again..";
		var npc_2nd_greet = "@You look familiar.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
				
				
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A tall, muscled man with a wide grin.");
			item.say("@Hello,@ he says, lumbering over to you and extending a large hand.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("He squints at you. @We've met, haven't we?@");
		item.say("@What can I do for ya?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Peer@");
				add(["Peer"]);

			case "job"(remove):
				if (sold_ship)
					say("@I used to sell ships. But you bought them all!@");
				else
					say("@I sell ships.@");
				add(["buy"]);
				
			case "Peer"(remove):
				say("@My father was a sailor, but couldn't spell. He laughs out loud.@");
				add(["sailor"]);

			case "sailor"(remove):
				say("@And his father before him.@");

			case "buy"(remove):
					if (sold_ship)
						say("@You bought my last craft!@");
					else
					{
						say("@It'll cost you 200 gold for the deed.  Interested?@");
						if (askYesNo())
						{
							if (hasGold(200))
							{
								if (UI_add_party_items(1, SHAPE_SCROLL, QUALITY_PEER, FRAME_ANY, true))
								{
									chargeGold(200);
									say("@Excellent!@ After accepting the gold, Peer hands you the deed.");
									say("@Sail her straight.@");
									UI_set_item_flag(item, SI_ZOMBIE); //to prevent buying again
								}	
								else
									say("@You look pretty full to me, " + polite_title +".@");
							}
							else
								say("@Thou hast not enough gold.@");
						}
						else
							say("@You'll ne'er find a better craft.@");
					}
			case "bye"(remove):
				say("@So long friend.@ He lumbers back to his work.");

				var avatar_goodbye = "@Must be going now..@";
				var npc_goodbye = "@So long friend.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}