
void Van_Kellian object# (0x442) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == PROXIMITY)
	{	
		if (UI_get_schedule_type(item) == DUEL)
		{		
			var barks = [
					"@'twas a mouse!@",
					"@Ouch!@",
					"@Thou didst cut me!@",
					"@Not too hard!@",
					"@Don't break my lute!@",
					"@Who threw that?@"
				];
		
				var rand = UI_get_random(UI_get_array_size(barks));
				UI_item_say(item, barks[rand]);
		}
	
	}
	else 
		scheduleBarks(item);
	
	
	
	if (event == DOUBLECLICK)
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			delayedBark(item, "@It's the mouse! Save me!@", 2);
			UI_set_schedule_type(item, SHY);
			return;
		}
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, bard!@";
		var npc_1st_greet = "@How do you do?@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Of course, " + polite_title + ".@";	
		
		//if fighting
		if (UI_get_schedule_type(item) == KID_GAMES || gflags[BRAWLING])
		{
			item.say("He glances behind himself and ducks, as if expecting someone to throw something at him.");
			item.say("@Bit of a brawl going on just now. Be glad to talk to you some other time.@");
			delayedBark(item, "Hey, not the face!", 4);
			return;
		}
		
		
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A man dressed in velvets and silks of yellow, green and blue. His voice is rich and mellow.");
			item.say("@I am the bard Van Kellian. Please, speak your name, " + polite_title + ".@");
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
			if (avatar_or_name == "I am the Avatar")
				item.say("@A pleasure, to be sure, Avatar.@");
			else
				item.say("@A pleasure, to be sure, " + player_name + ".@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@A very good " + time_of_day + " to ye, my friend.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(STELNAR, MET))
			add ("Starhelm");

		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Call me Van.@");

			case "job"(remove):
				say("@Why, singing is my trade. Songs to soothe the soul and refresh the mind. Shall I sing for ye?@");
				if ((gflags[IOLO_IN_PARTY]) && (isNearby(IOLO)))
				{
					IOLO.say("Iolo rolls his eyes and whispers to you. @He believes he does us a favor. This I must hear.@"); 
					IOLO.hide();
				}
				say("@Well? How about a song?@");
				if (askYesNo())
				{
					say("The bard plays a harp and sings.*");
					say("@Tho' she disdains to speak to me. Ah how I pine and sigh for her. I would that I were handsome- o Sing ho eyo he hum!@");
					
				}
				else 
					say("@Well, perhaps another time, then.@");
				add(["song"]); 

			case "song"(remove):
				say("@'Tis such a topsy-turvy world. When my sweet lady-love whirls by. I would that I could catch her eye. Sing ho eyo he hum!@");

			case "mantra"(remove):
				say("@Did ye know that the mantra of pride is 'mul?' A beggar told me that.@");
				add(["beggar"]);
			
			case "beggar"(remove):
				say("@There is little enough dignity in the life of a beggar. I gave him a few coins, of course.@");

			case "Starhelm"(remove):
				say("@Starhelm and I have often debated the nature of the gargoyle Sin 'Vraal.@");
				add(["Sin 'Vraal"]);

			case "Sin 'Vraal"(remove):
				say("@If Lord British suffers him to live, then I will not harm him. What possible threat could one gargoyle living alone in the Dry Lands be?@");  
				if (isNearby(STELNAR))
				{
					STELNAR.say("Stelnar says @I'll tell ye, Van. If ye let one gargoyle live, then ye'll be tempted to spare trolls, and then even cyclopses. And then ye forget valour, and soon ye are overrun by monsters!@");
					STELNAR.hide();
				}
				else say("@If Lord British suffers him to live, then I will not harm him. What possible threat could one gargoyle living alone in the Dry Lands be?@");  
				add(["gargoyle", "valour"]);

			case "valour"(remove):
				say("@Valour comes from the courage to be virtuous. Just as compassion comes from a love of all mankind.@");
				if (isNearby(STELNAR))
				{
					STELNAR.say("@Aha! That means monsters are not deserving of mercy!@ says Stelnar");
					STELNAR.hide();
				}
				say("@Courage grows. Why not love?@");

			case "gargoyle"(remove):
				say("@Well, I hear their skin is stony and rough. Their cries are fierce yowlings to make the blood run cold with fear.@");
				say("@Though, mind ye, I myself have never faced one in combat.@");

			case "bye":
							
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Good " + time_of_day + ", and farewell.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}