void Aaron object# (0x45b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Hello hello!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Welcome back, " + polite_title + ".@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A plump blond man with curly blond hair and a cheerful face.*");
			UI_set_item_flag(item, MET);
		}
		
		item.say("@What can I do for you this " + time_of_day + "?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE))
				{
					UI_set_item_flag(item, SI_ZOMBIE);
					say("@My name's Aaron.@");
				}
				else
					say("@That's funny. I remember your name!@");
				

			case "job"(remove):
				say("@I run the sawmill! Is there anything I can do for thee?@");
  				add(["sawmill"]); 

			case "sawmill"(remove):
				say("@Yes, I saw logs into boards.@");
				add(["boards"]);

			case "boards"(remove):
				
			if (UI_get_schedule_type(item) != TEND_SHOP)
			{
				say("@Come to my shop when I'm open!@");
			}
			else
			{
				say("@My mill makes smooth boards and planks out of rough-cut logs.@");
				if (UI_count_objects(PARTY, SHAPE_YEW_LOG, QUALITY_ANY, FRAME_ANY) >= 1)
				{
					say("@Aye, I see you have a yew log.@ He inspects the wood with a practiced eye.*");
					say("@Good grain. Yes, I can make a fine board out of this log. But it will cost thee 5 gold! Still interested?@");
					if (askYesNo())
					{
						if (hasGold(5))
						{
							if (UI_add_party_items(1, SHAPE_YEW_BOARD, QUALITY_ANY, FRAME_ANY, true))
							{
								chargeGold(5);
								UI_remove_party_items(1, SHAPE_YEW_LOG, QUALITY_ANY, FRAME_ANY, true);
								say("Aaron goes to his saw and turns the log into a flat, sanded board.");
								say("@There!@ He hands you the finished product.");
								
							}
							
							else
								say("@You don't have room to carry it.@");
						}
						else
							say("@Sorry, but I can't work for free! Come back when you have the 5 gold!@");
					}
					else
						say("@Oh. Well, perhaps some other time then.@");
				}
			}
			
			case "bye":
							
				var avatar_goodbye = "@Thanks..@";
				var npc_goodbye = "@Farewell!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}