
void Doris object# (0x460) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, miss..@";
		var npc_1st_greet = "@Mmmhmm?@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Mmmhmm, yes?@";	
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			npc_2nd_greet = "@Ready to check out?@";
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		
		
		//checking out of the Inn
		if (UI_get_item_flag(item, PETRA))
		{
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
			
			var has_key = UI_find_object(PARTY, SHAPE_KEY, QUALITY_DORIS_INN, FRAME_ANY);
			item.say("@Are you ready to check out?@");
			if(askYesNo())
			{
				if (has_key)
				{
					if (hour < 12)
					{
						say("Doris sullenly serves you breakfast and then returns to her studies.@");
						UI_add_party_items(partynum, SHAPE_FOOD, QUALITY_ANY, FRAME_EGG);
						
					}
					say("@I hope you enjoyed your stay.@ Doris says without any hospitality in her voice.");
					sayGoodbye2(item);
					UI_remove_party_items(1, SHAPE_KEY, QUALITY_DORIS_INN, FRAME_ANY);
					UI_clear_item_flag(item, PETRA);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					
					return;
				}
				else
				{
					say("@Where is key? You go find it.@");
					sayGoodbye2(item);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					//UI_move_object(PARTY, [1713, 0274], true);
					return;				
				}
		
			}
			else
			{
				say("@Don't forget checkout time, yes?@");
				//UI_move_object(PARTY, [1713, 0274], true);
				sayGoodbye2(item);
				return;	
			}
				
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				
		}
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a a stunningly beautiful young woman.*");
			item.say("The woman never looks up from the book she's reading, even when you speak to her.*");
			item.say("@Yes, what do you want?@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("Doris never looks up from the book she's reading, even when you speak to her.*");
			item.say("@Yes, what do you want now?@");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "beautiful"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name's Doris, but you can just call me 'Hey you'. Everyone else does.@");
				add(["Hey you"]);

			case "job"(remove):
				say("@I'm in charge of the Tinker's Inn while my father's away. If you have any complaint, no matter how trivial, please feel free to bother me.@");
				say("It doesn't really sound like she means what she said.");  // Narrator says this
  				add(["father", "room"]); 

			case "Hey you"(remove):
				say("@Typical@, she mutters.");

			case "room"(remove):
				say("@Room and board's 5 gold per night per person, cash in advance. Interested?@");  
				if (askYesNo())
				{
					if (hasGold(5 * partynum))
					{
						chargeGold(5 * partynum);			
						say("@Your room is first door on the left. Checkout time is noon and be here earlier than that if you want breakfast.@ She gives you the key to your room and goes back to her book.");
						UI_add_party_items(1, SHAPE_KEY, QUALITY_DORIS_INN, FRAME_DORIS);
						UI_set_item_flag(item, PETRA); //set so she asks for key back
						sayGoodbye2(item);
						break;

					}
					else
						say("@No pay, no stay. 5 gold each, cash in advance.@");
				}
				else
					say("@What a pity.@");  
					
			case "beautiful"(remove):
				say("@Yes, that's what they all say.@");

			case "father"(remove):
				say("@My father called me back from the Lycaeum so that he could go fight the gargoyles.@");
				add(["Lycaeum"]);

			case "Lycaeum"(remove):
				say("@Yes, I'm learning the mystic arts from the great Xiao. Though I doubt you'd know much about that sort of thing.@");
				add(["Xiao"]);

			case "Xiao"(remove):
				say("@She is the wisest mage in all Britannia. Only she can teach the spells of the greatest power.@");
				add(["power"]);

			case "power"(remove):
				say("@Mmm-hmm, that's right.@");

			case "bye":
				var avatar_goodbye = "@That is all..@";
				var npc_goodbye = "@Mmm-hmmm..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}