
void James object# (0x45d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var price;
	var item_choice;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	var armor_options = ["nothing", "chain coif", "chain armor", "chain leggings", "ring mail", "scale mail", "winged helm"];
	var armor_shapes = [SHAPE_CHAIN_COIF, SHAPE_CHAIN_ARMOR, SHAPE_CHAIN_LEGGINGS, SHAPE_RING_MAIL, SHAPE_SCALE_MAIL, SHAPE_WINGED_HELM];
	var armor_prices = [15, 50, 35, 35, 70, 20];
	
	var sell_rate = 2; //integer to divide by when selling items back to npc 
	var sell_options = ["nothing", "chain coif", "chain armor", "chain leggings", "ring mail", "scale mail", "winged helm", "dagger", "mace", "main gauche", "morning star", "sword"];
	
	var weapon_options = ["nothing", "dagger", "mace", "main gauche", "morning star", "sword"];
	var weapon_shapes = [SHAPE_DAGGER, SHAPE_MACE, SHAPE_MAIN_GAUCHE, SHAPE_MORNING_STAR, SHAPE_SWORD];
	var weapon_prices = [10, 35, 20, 40, 35];	
		
	//Dialog options
	var initial_choice_question = "@Which item?@"; //arms or armor? etc
	var askIfInterested1 = "@That costs "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Interested, " + player_name + "?";
	var cant_afford = "@But thou dost not have enough gold, " + polite_title + "!@"; 
	var cant_hold = "@But 'twould make thee o'erburdened, " + polite_title + "!@";
	var saidNo = "@Changed your mind, eh?@";
	var nothing = "@Changed your mind, eh? What else?@";
	var success = "@Excellent!@ After accepting your gold, James hands over the  ";
	var success2; //"I hope this item works well for you!" etc if needed
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
	//buyArmor(item, armor_options, prices, shapes, dialog);
	
	
	
	//************************************/
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var met_utomo = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Well met!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Hail, " + polite_title + ".@";

				
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		

	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A young lad.*");
			item.say("@A good " + time_of_day + " to you, " + polite_title + ".@");
			item.say("@What can I do for thee?@");
		}
		else
		{		
			item.say("@A good " + time_of_day + " to you, " + polite_title + ".@");
			item.say("@Is there more I can do for thee?@");
					
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
			
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Me name's James, " + polite_title + ".@");
								
			case "job"(remove):
				say("@I'm just the apprentice, but if you want to buy or sell somethin' I can help ya.@");
  				add(["apprentice", "buy", "sell"]); 

			case "apprentice"(remove):
				say("@Me master went off to fight the gargoyles. 'E ain't been 'eard from since. I'm just mindin' the place 'til 'e gets back@");

			case "sell":
				if (shop_is_open)
					sellBackItems([armor_shapes, weapon_shapes], [sell_options], [armor_prices, weapon_prices], 3);
				else		
					say("@Come to me shop when it's open!@");	
					
			case "buy"(remove):
				if (shop_is_open)
				{
					say("@Be more specific, " + polite_title + ". Me master 'as quite a large inventory. Dost thou want arms or armor?@"); 
					add(["arms", "armor"]);
				}
				else
					say("@Come to me shop when it's open!@");	
		
			case "arms": 
				if (UI_get_schedule_type(item, BLACKSMITH))
					buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
				else
					say("@Come to me shop when it's open!@");
			
			case "armor": 
				if (UI_get_schedule_type(item, BLACKSMITH))
					buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);	
				else
					say("@Come to me shop when it's open!@");	
				
			case "bye":
								
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Come again!@";
				say("@Good " + time_of_day + " to ya, and I 'ope ye come back soon!@");
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}