
void Michelle object# (0x45a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var USER_INPUT;
	
	const int FRAME_BASKET = 0;  //shape 1200 basket shape 
	const int BEEHIVE_SELL_PRICE = 15;
	const int BASKET_SELL_PRICE = 10;
	const int QUAL_BALLOON_PLANS = 59;
	const int BALLOON_BASKET_SELL_PRICE = 300;
	
	var PARTY_GOLD =  UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY); 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == TEND_SHOP)
		{
			//reorganised to make it easier to add barks
			var barks = [
				"@Beautiful baskets!@",
				"@Finely woven beehives here!@",
				"@Best baskets in all of Britannia!@",
				"@Get your beehives here!@"
			];

			var rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}
		//Otherwise, say generic NPC barks
		else scheduleBarks(item);
	}
	

	if (event == DOUBLECLICK)
	{
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Ah, hello there!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Ah, hello!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("An industrious young woman.*");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Well, hello again, Avatar!@*");
		item.say("@How can I help thee this fine " + time_of_day + "?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I'm Michelle.@*");
				say("@Thou needn't tell me thy name, " + player_name + ". The Avatar is famous throughout the land!@");				

			case "job"(remove):
				say("@I weave baskets and beehives, just like my father and his father before him.@");
				say("@My baskets are sold throughout Britannia!@ she adds proudly.");
  				add(["buy", "sell", "father"]); 

			case "father"(remove): 
				say("@Father once told me a story of weaving a basket large enough for eight people! He never showed me the plans, though.@");
				if (!gflags[LEARNED_ABOUT_BALLOONIST])
					gflags[LEARNED_ABOUT_BALLOONIST] = true;  //flag used to prompt Sutek convo
				add(["plans"]); 

			case "buy"(remove): 
				if (!UI_get_schedule_type(item) == TEND_SHOP)
					say("@Come to my shop when I'm open!@");
				else
				{
					say("@Wouldst thou like to buy one of my weavings?@");
					if (askYesNo())
					{
						converse(["basket", "beehive", "custom job", "nothing"])
						{
							case "basket":
								say("@These baskets are sturdy and decorative. Thou'lt find no better in all Britannia for the price, a mere " + BASKET_SELL_PRICE + " gold. How many?@");
								USER_INPUT = (UI_input_numeric_value(1, 5, 1, 1)); //0 - 5, 1 increment?
								if (hasGold(USER_INPUT * BASKET_SELL_PRICE))
								{
									if (UI_add_party_items(USER_INPUT, SHAPE_BASKET, QUALITY_ANY, FRAME_ANY, true))
									{
										chargeGold(BASKET_SELL_PRICE * USER_INPUT);
										if ((USER_INPUT) > 1)
											say("Michelle takes your money and hands over the baskets. @I appreciate thy business.@");
										else 
											say("Michelle takes your money and hands over the basket. @I appreciate thy business.@");
										say("@Is there aught else thou wouldst buy?@");
									}
									else
										say("@But thou canst not carry any baskets!@");
								}
								else 
									say("@Thou hast not enough gold for that many!@");
									
							case "beehive":
								say("@If thou hast need of beehives, these woven ones are the best thou'lt find! And cheap, too, at " + BEEHIVE_SELL_PRICE + " apiece. How many?");
								USER_INPUT = (UI_input_numeric_value(1, 5, 1, 1)); //0 - 20, 1 increment?
								if (hasGold(USER_INPUT * BEEHIVE_SELL_PRICE))
								{
									if (UI_add_party_items(USER_INPUT, SHAPE_BEEHIVE, QUALITY_ANY, FRAME_ANY, true))
									{
										chargeGold(BEEHIVE_SELL_PRICE * USER_INPUT);
										if ((USER_INPUT) > 1) 
											say("Michelle takes your money and hands over the beehives. @I appreciate thy business.@");
										else
											say("Michelle takes your money and hands over the beehive. @I appreciate thy business.@");
										say("@Is there aught else thou wouldst buy?@");
									}
									else
										say("@But thou canst not carry any beehives!@");
								}
								else
									say("@Thou hast not enough gold for that many!@");
									
							case "custom job" (remove):
								say("@I fear my schedule is packed. I have no time to create a basket for which I have no plans.@");


							case "nothing":
								say("@Perhaps some other time.@");
									break;
									

						}//end converse

					}
					else 
						say("@All right, though I can give thou the best price in the land!@");
				}
	

			case "sell"(remove): 
				say("@I have all I need, and have no reason to purchase anything more. But I appreciate thy offer.@");

			case "plans"(remove): 
				if (!UI_get_schedule_type(item) == TEND_SHOP)
					say("@Ask when I'm open for business!@");
				else
					say("@Yes, without accurate plans it takes far too much time to craft a basket.@");
				if ((UI_count_objects(PARTY, SHAPE_SCROLL, QUAL_BALLOON_PLANS, FRAME_ANY) > 0))
					add(["have plans"]); 

			case "have plans"(remove): 
				say("@Then it was true! Father did weave a basket that big!@*");
				say("@Surely I could do the same.@ She studies the plans for a moment.");
				say("@Such a basket would cost 300 gold, in advance. Art thou still interested?@");
				if (askYesNo())
				{
					if (hasGold(BALLOON_BASKET_SELL_PRICE))  //300							
					{
						if (UI_add_party_items(1, SHAPE_BALLOON_BASKET, QUALITY_ANY, FRAME_BASKET, true))
						{
							chargeGold(BALLOON_BASKET_SELL_PRICE);				
							say("She begins weaving the huge basket, chatting with you as she works.*");
							say("@Hast thou found a silk weaver yet?@");
							if (askYesNo())
								say("@Thou art wise, then. 'Tis a huge bag this will require.@");	
							else 
								say("@Well, I can see that this will require a huge silk bag. I know not where thou might find a silk weaver to craft it!@");								
								
							say("She continues weaving the basket. @I do not mean to pry, but why dost thou need a balloon anyway?@");
							converse(["sight seeing", "gargoyle shrine"])
							{
								case "sight seeing":
									say("@Oh, I see.@*");
									say("She continues weaving the basket. Time passes...*");
									say("More time passes...*");
									say("@Finished! It took less time than I had thought it might!@");
									say("She gives the basket to you, and you struggle under its weight.");
									//UI_add_party_items(1, SHAPE_BALLOON_BASKET, QUALITY_ANY, 0); //
									break;

								case "gargoyle shrine":
									say("@I'm afraid I don't understand.@*");
									say("She continues weaving the basket. Time passes...*");
									say("More time passes...*");
									say("@Finished! It took less time than I had thought it might!@");
									say("She gives the basket to you, and you struggle under its weight.");
									//UI_add_party_items(1, SHAPE_BALLOON_BASKET, QUALITY_ANY, 0); //FRAME 0
									break;
							}
						}
						else
						{
							say("@But it would weigh six stones! Thou couldst not carry such a basket, loaded as thou art.@*");
							say("@Lighten thy load, and then I will weave thee this basket.@");	
						}
					}
					else
						say("@Thou hast not enough money for the basket. I fear I cannot afford to start such a task on a mere " + PARTY_GOLD + " gold crowns.@");
				}
				else 
					say("@I do not blame thee. 'Tis a huge undertaking!@");
					
			case "bye":
								
				var avatar_goodbye = "@Thanks, Michelle..@";
				var npc_goodbye = "@Farewell! I hope I've aided thy quest!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}