
void Troy object# (0x45f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
		
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	


	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings..@";
		npc_1st_greet = "@Oh, hello.@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Oh, hello there.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
			item.say("A spidery looking man with delicate hands.*");
		item.say("@Hello.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Troy.@");  // Set the met flag

			case "job"(remove):
				say("@I make clocks. The movements of the various parts are very complex and interconnected. Like the moons and stars, or the pieces on a chess board.@");
  				add(["clocks", "moons", "chess board", "buy"]); 

			case "buy"(remove):
				say("@My grandfather clocks require a six month order in advance. I do have pocketwatches readily availiable, however. Would you like to buy a pocketwatch for 50 gold pieces?@");
				if (askYesNo())
				{
					if (hasGold(50))
					{
						if (UI_add_party_items(1, SHAPE_POCKETWATCH, QUALITY_ANY, FRAME_ANY, true))
						{
							chargeGold(50);
							say("@Troy takes your money and hands you a pocketwatch.@*");
						}
						else 
							say("@Perhaps when your not so overburdened.@");
					}
					else 
						say("@You don't have enough money for a pocketwatch.@");
				}
				else 
					say("@Perhaps some other time, then.@");

			case "clocks"(remove):
				say("@The ticking of clocks is the pulse of civilization.@");
				add(["pulse","ticking"]);

			case "pulse"(remove):
				say("@Without clocks, people would just sit around uselessly, with no idea what to do next!@");

			case "ticking"(remove):
				say("@Of course, the ticks would be useless without the tocks.@");
				add(["tock"]);

			case "tock"(remove):
				say("@They're much deeper sounding and more satisfying than ticks.@");

			case "moons"(remove):
				say("@Ephemerides is going to build a model of the whole system. I helped him design the gearwork that makes it go.@");
				add(["Ephemerides", "gearwork"]);

			case "gearwork"(remove):
				say("@I know all about gears.@");

			case "Ephemerides"(remove):
				say("@He lives at the Lycaeum.@");
				add(["Lycaeum"]);

			case "Lycaeum"(remove):
				say("@It's a great center of learning.@");
				add(["learning"]);

			case "learning"(remove):
				say("@If you didn't run around asking foolish questions all the time, you might learn something yourself!@");
			
			case "chess board"(remove):
				say("@I like to play chess. Keeps ones mind fit.@");
				add(["mind"]);

			case "mind"(remove):
				say("@Some people don't use theirs - but I do.@");

			case "bye":
						
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Until we come into conjunction again.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
		}                               
	}
	else scheduleBarks(item);
}