
void Bonn object# (0x440) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	

	if (event == PROXIMITY)
	{
		var barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@The bees keep buzzing...@", 0);
			delayedBark(item, "@..canst thou hear them?@", 8);
			
		}
		else if (barks == 2)
			delayedBark(item, "@Stay away from my shoes!@", 0);
		else
			delayedBark(item, "@Beware the ice weasels!@", 3);
	}
		

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings..@";
		npc_1st_greet = "@At last!@";
				
		av_2nd_greet  = "@Uh, hello again, Bonn..@";
		npc_2nd_greet = "@Who told you my name!?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
	
		item.say("A short, barefooted crazy man.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@At last! I knew you'd come to steal my shoes someday! But I was too smart for you!@*");
			item.say("@You see, I HAVE NO SHOES!@");			
		
		}
		else
		{
			item.say("A short, barefooted crazy man.*");
			item.say("@Sometimes the bees in my head almost drive me mad!@");	
			add(["bees", "mad"]);
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "shoes"];
		
		//when you give Sandy in Trinsic the dragon's egg, he spills the beans on other pirates
		if (UI_get_item_flag(SANDY, SI_ZOMBIE))
			add("map"); 
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@A clever ploy, pretending to be friendly...@*");
				say("@But if I told you my name was Bonn, then you could work foul magic to destroy my mind...@");
				say("@I'll not fall for your tricks!@");
				add(["Bonn"]); 
				

			case "job"(remove):
				say("@I have no job, nor shoes, nor any such thing.@*");
				say("@But I've learned from my misfortune, learned never to trust anyone, let alone to love..@");
  				add(["trust", "love"]); 

			case "Bonn"(remove): 
				say("@Who told you that? Alas, I am undone! I must flee!@");
				sayGoodbyeAbrupt(item, "@You'll not warp my mind!@"); 
				UI_set_schedule_type(item, SHY);
				break;


			case "shoes"(remove): 
				say("@I threw my shoes into the sea when I saw you coming!@");
				add(["sea"]); 

			case "sea"(remove): 
				say("@My shoes will be very happy there, dancing with the fishies!@");
				add(["dancing"]); 

			case "trust"(remove): 
				say("@I trusted Hawkins once, and it led to nothing but despair.@");
				add(["Hawkins"]); 

			case "Hawkins"(remove): 
				say("@Oh how I envy him his peaceful sleep!@");
				add(["sleep"]); 

			case "sleep"(remove): 
				say("@Death's embrace is the only true comfort a man can find in this world.@");
				add(["comfort", "world"]); 

			case "comfort"(remove): 
				say("@A good chair is worth a thousand bumberchutes.@");
				add(["bumberchutes"]); 

			case "world"(remove): 
				say("@Flat as a pancake, and twice as tasty!@");
				
			case "bumberchutes"(remove): 
				say("@Who told you about those? It's supposed to be a secret!@");
				add(["secret"]); 

			case "secret"(remove): 
				say("@You're not one of us!@");
				add(["us"]); 

			case "love"(remove): 
				say("@Love is a slippery sled that flips over and pins you to the slope.@*");
				say("@And then, at night, the ice weasels come.@");
				add(["ice weasels"]); 

			case "ice weasels"(remove): 
				say("@If you're lucky, they'll kill you!@");

			case "us"(remove):
				say("@We know who we are...@");
				add(["we"]);

			case "we"(remove):
				say("@Me and the others.@");
				add(["others"]);

			case "others"(remove):
				say("@By the time you find out, it will be too late!@");
				add(["too late"]);

			case "too late"(remove):
				say("@I won't tell you because...@~");
				say("@...you're not one of us!@");
				add(["us"]);

			case "bees"(remove):
				say("@The buzzing, they're always buzzing in my head.@");
				
			case "mad"(remove):
				say("@I can help you! I'm the only sane one left.@");
				add(["help", "sane"]);

			case "help"(remove):
				say("@Go to the Shrine of Honesty, and stand just to the east of it.@*");
				say("@Take 3 steps north, 2 steps west, 5 steps south, and 4 steps east.@*");
        			say("@Then eat some grapes, and all will become clear to you!@");
				add(["grapes"]);

			case "sane"(remove):
				say("@All the others LOST THEIR SHOES!@");

			case "grapes"(remove):
				say("@Mark my words!@");
				
			case "dancing"(remove):
				say("@They'll dance a waltz, I doubt it not!@");
				add(["waltz"]);

			case "waltz"(remove):
				say("He begins laughing hysterically.");
			
			case "map"(remove):
				say("A strange light comes into his eyes.~");
				say("@The map? The secret treasure map? I still have it, right here in my house. Do you want it?@");
				if (askYesNo())
				{
					say("@Too bad! I've hidden it well, and it will go to my grave with me! I'll die all the better for still having it!@");
				}
				else
					say("@Good! You can't have it anyway!@");
				add(["house"]);

			case "house"(remove):
				say("@I lived on the sea, and I'll die not far from it. Then my basement can be my tomb.@");
				add(["basement"]);

			case "basement"(remove):
				say("@Too well hidden for the likes of you to find!@");

		
			case "bye":
				say("@Farewell, sweet enemy. I love you more than my own death!@");
				
				avatar_goodbye = "@I'll just be going now...@";
				npc_goodbye = "@Don't take my shoes!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}