void gargShrines shape# (906) ()
{
	//FLAGS USED = MET_MONDAIN = 28, LEARNED_MANTRA_CONTROL = 1090

	if (event == DOUBLECLICK)
	{
		var garg_statue = UI_get_item_frame(item);
		var AvatarCurrentKarma = getKarma();

		if (garg_statue == 0) // Mondain - Shrine of Control
		{
			UI_show_npc_face(163, 0);

			item.say("A stone statue of the evil wizard Mondain.*");
			if (!gflags[MET_MONDAIN])
			{
					item.say("You remember as if it were yesterday how you defeated Mondain in your first visit to Brittania.*");
					item.say("Using the four stones, you went back in time to smash his power-gem.*");
					item.say("The statue speaks!");
					item.say("@We meet again, Avatar.@*");
					item.say("@Fear not! I have but one task now, and am no threat.@");	
			}
			else 
				say("@For what dost thou return, Avatar?@");
				
			var options = ["name", "job", "bye"];
	

				//Start of regular conversation tree
			converse(options)
			{
				case "name"(remove):
					say("@Surely you of all people would recognize me as Mondain.@");


				case "job"(remove):
					say("@The gargoyles have enshrined my spirit here as the embodiment of Control.@");
					add(["Control"]); 

				case "Control"(remove):
					
					if (!gflags[LEARNED_MANTRA_CONTROL])
					{
						say("@I was once a mighty wizard.@*");
						say("@Control was the essence of my soul--control of self and control of others.@*");
						say("@But desire for more control overcame me.@*");
						say("@I forsook my self-control in my hunger for conquest.@*");
						say("@Control must start with the self and expand outward.@*");
						say("@The strong must lead. But to be strong one must control oneself first.@*");
						say("@The gargoyles understand Control.@*");
						say("@Their society is based on the strong guiding the weak.@*");
						say("@In this way, they survive in their harsh world.@*");
						say("@Contemplate what thou hast learned. Repeat after me the Mantra of Control.@*");
						say("@Un.....Un.....Un.....@*");
						AVATAR.say("@Un....Un....Un.....@*");
						AVATAR.hide();
						say("@I can teach thee no more.@");
						gflags[LEARNED_MANTRA_CONTROL] = true;
						giveExperience(100);
					}
					else
						say("@I can teach thee no more.@");

				case "bye":	
					
					if (!gflags[MET_MONDAIN])
					{
						say("@Thou wilt need control of others to succede in thy quest, Avatar.@*");
						say("@But thou wilt most of all need control of thyself to be worthy.@*");
						if (AvatarCurrentKarma >=80)
							say("@I admire thy deeds and thy control.@");
						else if ((AvatarCurrentKarma >= 60) && (AvatarCurrentKarma < 80))
							say("@Thy deeds show understanding of Control.@");
						else if ((AvatarCurrentKarma >= 50) && (AvatarCurrentKarma < 60))
							say("@Thy deeds show a need for more Control.@");							
						else
							if (AvatarCurrentKarma < 50) say("@Thy deeds show a lack of Control.@");	
						gflags[MET_MONDAIN] = true;
					}
					else 
					{
						say("@Farewell, Avatar.@*");
						say("@May thy control help you succeed in thy quest.@");
					}

					break;	 
					

			}




		}
//MINAX - SHRINE OF PASSION

		else if (garg_statue == 1) // Minax - Shrine of Passion
		{
			UI_show_npc_face(164, 0); //face of Minax

			item.say("A stone statue of the evil witch Minax.*");
			if (!gflags[MET_MINAX])
			{
				item.say("You remember quite clearly how you defeated Minax in your second visit to Brittania.*");
				item.say("With a mighty sword blow, you slew the witch and destroyed her evil works.*");
				item.say("The statue speaks!");
				item.say("@We meet again, Avatar.@*");
				item.say("@Fear not! I have but one task now, and am no threat.@");	
			}
			else
				say("@For what dost thou return, Avatar?@");
				
			var options = ["name", "job", "bye"];


		//Start of regular conversation tree
		converse(options)
		{
			case "name"(remove):
				say("@Surely you of all people would recognize me as Minax.@");


			case "job"(remove):
				say("@The gargoyles have enshrined my spirit here as the embodiment of Passion.@");
				add(["Passion"]); 

			case "Passion"(remove):
				
				if (!gflags[LEARNED_MANTRA_PASSION])
				{
					say("@I was once a mighty sorceress.@*");
					say("@Passion was the essence of my soul. But that passion knew no bounds.@*");
					say("@I wanted everything, and because of this strove to conquer all.@*");
					say("@Passion must be directed, focused.@*");
					say("@Unbridled passion, desire for all things, leads only to chaos.@*");
					say("@The gargoyles understand Passion.@*");
					say("@Their society is based on the passionate leading those who lack motivation.@*");
					say("@In this way, they have the will to struggle against their harsh world.@*");
					say("@Contemplate what thou hast learned. Repeat after me the Mantra of Passion.@*");
					say("@Or.....Or.....Or......@*");
					AVATAR.say("@Or....Or.....Or....@*");
					AVATAR.hide();
					say("@I can teach thee no more.@");
					gflags[LEARNED_MANTRA_PASSION] = true;
					giveExperience(100);
				}
				else 
					say("@I can teach thee no more.@");

			case "bye":	
				
				if (!gflags[MET_MINAX])
				{
					say("@Thou wilt need passion to succeed in thy quest, Avatar.@*");
					say("@But thou must limit thy passion, lest balance and order be lost.@*");
					if (AvatarCurrentKarma >=80) 
						say("@I admire thy deeds and thy Passion.@");
					else if ((AvatarCurrentKarma >= 60) && (AvatarCurrentKarma < 80)) 
						say("@Thy deeds the merits of thy passion.@");
					else if ((AvatarCurrentKarma >= 50) && (AvatarCurrentKarma < 60))
						say("@Thy deeds show misguided but strong passion.@");							
					else if (AvatarCurrentKarma < 50) 
						say("@Thy deeds show nought but unlimited passion.@");	
						
					gflags[MET_MINAX] = true;
				}
				else 
				{
					say("@Farewell, Avatar.@*");
					say("@May thy passion help you succeed in thy quest.@");
				}

				break;	 
				

		}




	}

//EXODUS - SHRINE OF DILIGENCE

		else if (garg_statue == 2) // Exodus - Shrine of Diligence
		{
			UI_show_npc_face(165, 0); //face of Exodus
			item.say("A stone statue of the evil Exodus.*");
			if (!gflags[MET_EXODUS])
			{
				item.say("You remember quite vividly how you defeated Exodus in your third visit to Brittania.*");
				item.say("Using the four cards, you tricked the accursed machine into destroying itself*");
				item.say("The statue speaks!");
				item.say("@We meet again, Avatar.@*");
				item.say("@Fear not! I have but one task now, and am no threat.@");	
			}
			else
				say("@For what dost thou return, Avatar?@");
				
			var options = ["name", "job", "bye"];


			//Start of regular conversation tree
			converse(options)
			{
				case "name"(remove):
					say("@Though I no longer bear the form of the machine you destroyed, yet still am I Exodus.@");


				case "job"(remove):
					say("@The gargoyles have enshrined my spirit here as the embodiment of Diligence.@");
					add(["Diligence"]); 

				case "Diligence"(remove):
					if (!gflags[LEARNED_MANTRA_DILIGENCE])
					{
						say("@I was once a powerful daemon.@*");
						say("@Diligence was the essence of my soul--cold, unswerving diligence in my path of conquest.@*");
						say("@But in my devotion to achievement I lost sight of my original goals.@*");
						say("@Diligence without a goal is as worthless as a goal without diligence.@*");
						say("@The means cannot replace the end, and diligence cannot be the goal.@*");
						say("@The gargoyles understand Diligence.@*");
						say("@Their society is based on the diligent leading the wayward.@*");
						say("@In this way, they maintain their fight for survival in their harsh world.@*");
						say("@Contemplate what thou hast learned. Repeat after me the Mantra of Diligence.@*");
						say("@Us.....Us.....Us......@*");
						AVATAR.say("@Us....Us.....Us....@*");
						AVATAR.hide();
						say("@I can teach thee no more.@");
						gflags[LEARNED_MANTRA_DILIGENCE] = true;
						giveExperience(100);
					}
					else
						say("@I can teach thee no more.@");

				case "bye":	
					if (!gflags[MET_EXODUS])
					{
						say("@Thou wilt need Diligence to succeed in thy quest, Avatar.@*");
						say("@But thou wilt most of all need a clear vision of thy goal to be worthy.@*");
						if (AvatarCurrentKarma >=80)
							say("@I admire thy deeds and thy Diligence.@");
						else if ((AvatarCurrentKarma >= 60) && (AvatarCurrentKarma < 80)) 
							say("@Thy deeds show the value of thy Diligence.@");
						else if ((AvatarCurrentKarma >= 50) && (AvatarCurrentKarma < 60))
							say("@Thy deeds show misguided Diligence.@");							
						else if (AvatarCurrentKarma < 50)
							say("@Thy deeds show a lack of Diligence.@");	
						gflags[MET_EXODUS] = true;
					}
					else 
					{
						say("@Farewell, Avatar.@*");
						say("@May thy diligence maintain thee on thy quest.@");
					}

					break;	 
			
			}

		}

	}
		
}