void Kador object#(0x462) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var USER_INPUT;
	var avatar_goodbye;
	var npc_goodbye;
		
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == PROXIMITY)
	{
		var prox_barks = UI_get_random(3);
		
		if (prox_barks == 1)
		{
			delayedBark(item, "@Arf!@", 0);
			
		}
		else if (prox_barks == 2)
			delayedBark(item, "@Woof, woof!@", 2);
		else
			delayedBark(item, "@Bow, wow!",1);
	}

    if (event == DOUBLECLICK)
    {
        var av_1st_greet = "@C'mere doggy...@";
        var npc_1st_greet = "@Woof, woof!@";
        var av_2nd_greet = "@C'mere, Kador!@";
        var npc_2nd_greet = "@Arf!@";

        //call convo script
        startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet);
    }

    if (started_talking)
    {
        //reset schedule for after convo
        UI_run_schedule(item);

		if (!UI_get_item_flag(item, MET))
		{
			item.say("An amiable, shaggy mutt.");
			item.say("The dog jumps up and tries to lick your face.");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("An amiable, shaggy mutt.");

		if (gflags[KADOR_SAD])
		{
			item.say("The dog gets up and brings you his bowl again, looking at you expectantly.");
			item.say("Do you give him any money?");
			if (askYesNo())
			{
				USER_INPUT = UI_input_numeric_value(0, 5, 1, 1);
				if (hasGold(USER_INPUT))
				{
					chargeGold( USER_INPUT);
					say("The dog seems pleased.");
					gflags[KADOR_SAD] = false;
				}
				else say("You don't have that much money.");
			}
			else say("After a while the dog sets down the bowl, lies down, and starts whimpering.");
			sayGoodbyeAbrupt(KADOR, "..whine..");
			return;
		}

		

		//standard conversation options
		var options = ["name", "job", "bye"];

		if (gflags[ASK_KADOR_TRICKS])
			add ("tricks");	

		if (UI_get_item_flag(ARTUROS, MET))
			add ("Arturos");	

		if (UI_get_item_flag(WANDA, MET))
			add ("Wanda");	
	
		if (UI_get_item_flag(ANDREAS, MET))
			add ("Andreas");	
////////////////////////////////////////////////////////////////////
// Main conversation thread                                         
////////////////////////////////////////////////////////////////////

        converse(options)
        {
			case "name"(remove):
				say("The dog looks at you with a puzzled expression on his face.");
			

			case "job"(remove):
				say("The dog looks at you with a puzzled expression on his face.");
				add("tricks");
  				
			case "tricks"(remove):
				say("The dog looks at you expectantly.");
				converse(["sit", "shake", "fetch", "roll over", "heel", "play dead", "speak", "beg", "nothing"])
				{
					case "sit":
						say("The dog sits.");
					
					case "shake":
						say("The dog shakes paws with you.");
					
					case "fetch":
						say("The dog fetches a stick and lays it at your feet.");
					
					case "roll over":
						say("The dog rolls over.");
					
					case "heel":
						say("The dog bites your heel.");
					
					case "play dead":
						say("The dog plays dead.");
					
					case "speak":
						if (!UI_get_item_flag(item, NAKED))
						{
							say("@I feel that the whole debate over 'free will' versus 'determinism' arises from an artificial semantic division. In light of the work of Godel and Heisenberg, it is evident that the two concepts are indistinguishable and thus, for all practical purposes, identical.@");
							UI_set_item_flag(item, NAKED);
						}
						else
						{
							var dog_bark;
							var rand = UI_get_random(3);	
							if (rand == 1)
								dog_bark = "@Arf!@";
							else if (rand == 2)
								dog_bark = "@Woof, woof.@";
							else if (rand == 3)
								dog_bark = "@Bow wow!@";								
							else
								dog_bark = "@Woof?@";
							say(dog_bark);
						}	

					case "beg":
						say("The dog begs.");

					case "nothing":
						say("The dog picks up a bowl in his mouth and holds it up to you. You see that it has several coins in it already.");
						say("Do you give him any money?");
						if (askYesNo())
						{
							USER_INPUT = (UI_input_numeric_value(0, 5, 1, 1));
							if (hasGold(USER_INPUT))
							{
								chargeGold(USER_INPUT);
								say("The dog seems pleased.");
								
							}
							else 
							{
								say("You don't have that much money.");
								say("After a while the dog sets down the bowl, lies down, and starts whimpering.");
								gflags[KADOR_SAD] = true;
								sayGoodbyeAbrupt(item, "..whine..");
								break;	
							}
						}
						else say("After a while the dog sets down the bowl, lies down, and starts whimpering.");
						gflags[KADOR_SAD] = true;
						break;
				}	
					
				case "Arturo"(remove):
					say("@Grrrrrrr....@.");
					
				case "Wanda"(remove):
					say("@Grrrrrrr....@.");

				case "Andreas"(remove):
					say("@Grrrrrrr....@.");


			case "bye":
								
				avatar_goodbye = "@Bye, Kador!@";
				npc_goodbye = "@Ruff!@";
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
        }
	}
}
