void Karina object#(0x42d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var avatar_goodbye;
	var npc_goodbye;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
    {
        var av_1st_greet = "@Hello there..@";
        var npc_1st_greet = "@Hi..@";
        var av_2nd_greet = "@Hello again..@";
        var npc_2nd_greet = "@Ah, tis thee..@";

        //call convo script
        startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
    }

    if (started_talking)
    {
        //reset schedule for after convo
        UI_run_schedule(item);

		if (gflags[KADOR_SAD] == true)
		{
			item.say("@How could you be so mean to Kador! You go and apologize to my poor little dog this instant!@");
			sayGoodbyeAbrupt(item, "Poor little doggie..");
			return;
		
		}
		
		item.say("A gypsy girl poised on the verge of womanhood.*");

		//standard conversation options
		var options = ["name", "job", "bye"];

		if (UI_get_item_flag(ZOLTAN, MET))
			add ("advice", "buy");		

		if ((UI_get_item_flag(MARIAH, MET) && (gflags[LEARNED_ABOUT_TABLET])))
			add ("Captain Johne", "silver tablet");		
////////////////////////////////////////////////////////////////////
// Main conversation thread                                         
////////////////////////////////////////////////////////////////////

        converse(options)
        {
			case "name"(remove):
				say("@My name is Karina.@ she says, looking shyly at the ground. @Do you think it's a pretty name?@");
				UI_set_item_flag(item, MET);
				if (askYesNo())
				 	say("@Thank you.@");
				else say("@Oh.@");
							
				
			case "job"(remove):
				say("@Father says I'm supposed to dance for gorgios.@");
  				add(["father", "dance", "gorgios"]); 

			case "advice"(remove):
				say("@I have to ask you for a gold piece for my advice. Is that okay?@");
				if (askYesNo())
				{
					if (hasGold(1))
					{
						chargeGold(1);
						say("@Ask our dog, Kador, to do some tricks for you. He knows lots of them!@");
						if (!gflags[ASK_KADOR_TRICKS])
						{
							gflags[ASK_KADOR_TRICKS] = true;
						}
						add(["Kador"]);
					}
					else say("@I'm sorry. I'm not supposed to help you unless you pay.@");
				}
				else say("@It was my father's idea!@");

			case "father"(remove):
				say("@He is Zoltan, king of the gypsies!@");
				add(["king"]);

			case "dance"(remove):
				say("@Oh, I just couldn't, not in front of so many people.@");
				add(["people"]);

			case "gorgios"(remove):
				say("@That's what we call anyone who isn't a gypsy.@");
				add(["gypsy"]);

			case "gypsy"(remove):
				say("@It's a nice life, but it gets lonely. I miss my sister.@");
				add(["sister"]);

			case "sister"(remove):
				say("@Her name is Penumbra. Have you any news of her?@");
				if(askYesNo())
				{
					say("@Oh! I'm so glad to hear she's okay!@ She throws her arms around you and kisses you on the cheek.@");
				}
				else say("@If you do, please come tell me. I miss her so much...@");

			case "buy"(remove):
				say("@I have nothing to sell you. Talk to my father.@");
				

			case "king"(remove):
				say("@Well, that's what he says.@");
				
			case "Captain Johne"(remove):
				say("@Ask my father.@");
				
			case "silver tablet"(remove):
				say("@Ask my father.@");

			case "people"(remove):
					say("@I'd be too embarassed!@");
					add(["embarassed"]);

			case "embarassed"(remove):
				say("@Well... Do you promise not to make fun of me?@");
				if (askYesNo())
				{
					UI_play_music(203); //Raggle Taggle Gypsy
					say("Suddenly she starts dancing a dance of haunting beauty, to the sound of music that seems to emanate from nowhere.*");
					say("It's one of the most wondrous sights you've ever seen.*");
					say("After a timeless time, the music ceases, and she turns and runs away.");
					if (!UI_get_item_flag(item, PETRA))
					{
						addKarma(10);
						UI_set_item_flag(item, PETRA);
					}	
					UI_set_schedule_type(item, SHY);
					break;
				}
				else say("She turns away from you.");
				subtractKarma(5);
				sayGoodbye2(item);
				break;

			case "Kador"(remove):
				say("@He's such a sweet little doggie...@");
							
			case "bye":

				item.say("@Good bye, and sweet dreams to you.@");
												
				avatar_goodbye = "@Goodbye, Karina..@";
				npc_goodbye = "@Good bye, and sweet dreams to you.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
        }
	}
}

