
void Mama object# (0x46f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hold, Cyclops!@";
		npc_1st_greet = "@You tiny!@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@You come back!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		
		if (!UI_get_item_flag(item, MET))
		{	
			item.say("A huge female cyclops.*");
			item.say("@Oh you cute! You funny-looking like tiny one!@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@You come back! Play with tiny one?@");
			if (askYesNo())
			{
				item.say("@Good, he need tiny friends!@");
			}
			else
				item.say("@But he needs tiny friends! He get lonely!@");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "tiny one"];
		
		if (gflags[TOLD_ABOUT_CUBE])
			add("vortex cube");

	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Me cyclops.@*");
				say("@Tiny one says me 'Mama'.@*");

			case "job"(remove):
				say("@Live here! Cook, hunt!@");

			case "tiny one"(remove): 
				say("@Male find him on shore.@*");
				say("@One-eye little one die long ago.@*");
				say("@Two-eye little one just as good!@*");

			case "vortex cube"(remove): 
				say("@What look like?@*");
				add(["a cube"]); 

			case "a cube"(remove): 
				say("@What color?@*");
				add(["black"]); 

			case "black"(remove): 
				say("@Oh, me seen that! Big black block!@*");
				add(["block"]); 

			case "block"(remove): 
				say("@Male keep that in cellar.@*");
				if (!gflags[PAPA_HAS_CUBE]) //will set cellar option on Papa
					gflags[PAPA_HAS_CUBE] = true;
				add(["cellar"]); 

			case "cellar"(remove): 
				say("@Cellar no go. Deep deep deep. Locked.@*");
				add(["locked"]); 

			case "locked"(remove): 
				say("@Talk male. He have key.@*");

			case "bye":
				
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Come back soon, play with tiny one more!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}