void Phoenix object# (0x480) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
		pronoun = "lass";
	//	title = "madame";
	}
	else 
	{
		pronoun = "laddie";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		npc_1st_greet = "@Who goes there?@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@You again?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A graceful, silver haired woman in robes of blue.");
		item.say("She eyes you suspiciously. @What do you want?@");
		
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//Budo asked you to retire her
		if (gflags[RETIRE_PHOENIX])
			add ("belt");
		
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
				case "name"(remove): 
					say("@I am Phoenix.@*");
		
				case "job"(remove):
					say("@I used to be captain of the Black Thechu. But now I'm a member of the thieves guild, and I don't care who knows it..@");
					say("@Britain is the wealthiest city in the world, and I make a tidy living sneaking up there at night to 'liberate' a few possessions.@");
					say("@Of course, I only steal from those who have too much wealth for their own good..@");
					add(["Black Thechu", "thieves", "guild"]); 

				case "thieves"(remove): 
					say("@It's an honorable profession, with as long a tradition as any other.@*");
	
				case "guild"(remove): 
					say("@If you want to join the guild, go talk to Budo about it.@*");
					if (!gflags[LEARNED_ABOUT_GUILD])
						gflags[LEARNED_ABOUT_GUILD] = true;
					add(["Budo"]); 


				case "Black Thechu"(remove): 
					say("@She was the finest ship that ever sailed. But those days are past. The crew's scattered to the four corners of the earth, and the Thechu's off amongst the stars.@*");
					add(["stars"]); 


				case "stars"(remove): 
					say("@We were at port one day when the anchor chain snapped, and the Thechu drifted off the edge of the world.@*");
					say("@I'd join her if I could, and sail through space...@*");
					add(["edge"]); 


				case "edge"(remove): 
					say("@The world is flat, you know.@ She eyes you appraisingly*");
					say("@Surely any well educated person would be aware of that.@*");
	
				case "Budo"(remove): 
					say("@He lives in Buccaneer's Den. These tunnels can take you there - unless you get lost, or the rats get you...@*");
					add(["Buccaneer's Den"]); 


				case "Buccaneer's Den"(remove): 
					say("@The rumors of pirates there are just idle chatter.@*");
					say("She smiles. @I haven't been there in a while. It's a lovely little town...@*");
					add(["chatter", "pirates"]); 


				case "pirates"(remove): 
					say("@Pirates? I'm sure I wouldn't know a thing about them.@*");
			
				case "chatter"(remove): 
					say("@I don't know about you, but some of us have more important things to do with our time.@*");
					
				case "belt"(remove): 
					say("@You want my belt? I'm sorry, " + pronoun + ", but I'm not ready to retire just yet.@*");
					add(["retire"]); 

				case "retire"(remove): 
					say("@No way! I'm making too good a living to give it up now. If you want to get my belt, use your wits.@*");
					say("@Prove you're worthy to replace me.@*");
					add(["wits"]); 


				case "wits"(remove): 
					say("@Figure it out yourself.@*");
					sayGoodbyeAbrupt(item, "@Now run along..@");
					break;


				case "bye":
					say("@About time you were on your way. One thing before you go...@");
					say("She draws her dagger. @Don't tell anyone where my hideout is. If you do, some night you'll go to sleep and never wake up again.@*");
					say("You'll never know when it's coming.*@");
					UI_play_sound_effect(1);
					say("She turns and throws the dagger at a little mouse that was sniffing around for food, pinning it to the wall by its tail.");
					if ((inParty(SHERRY)) && (canTalk(SHERRY)))
					{
						SHERRY.say("@Eeeeek!@ Sherry runs up your leg, and takes several minutes before you can coax her back down again.");
						SHERRY.hide();
						UI_set_schedule_type(SHERRY, SHY); 
					
					}
		
					avatar_goodbye = "@That is all.@";
					npc_goodbye = "@Consider that thy only warning...@";
					
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
	
		}                               
	}
	else scheduleBarks(item);
}