void PushmePullyu object# (0x495) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var time_of_day;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;



	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}


///////////////////////////////Time of day/////////////

	if ((hour >= 6) && (hour < 12)) //'good morning'
	{
		time_of_day = "morning";
	}

	if ((hour >= 12) && (hour < 18)) //'good afternoon'
	{
		time_of_day = "afternoon";
	}
	else time_of_day = "evening";

	
	
	
	if (event == DOUBLECLICK)
	{
		if (partynum > 1) greeting = "friends"; 
			else greeting = "friend"; //Avatar is solo
	
		var met_pushmepullyu = UI_get_item_flag(item, MET); //
		
		//barks for Avatar
		if (!met_pushmepullyu) bark = "@Canst thou talk, creature?@"; //
			else bark = "@Hi Again!@"; //barked after npc is met

			script AVATAR
			{
				 call GenericFreeze;
				 face AVATAR->find_direction(item);
				 actor frame standing;
				 say bark;
				 wait 10;
			};

 
			//NPC barks
			if (!met_pushmepullyu) bark = "@Am I one, or are we two?@";  //
			else bark = "@Are we as confused as you are?@"; //bark when npc met you already
	

			script item
			{
				 call GenericFreeze;
				 wait 5;
				 face find_direction(AVATAR);
				 actor frame standing;
				 say bark;
				 wait 8;
				 call (PushmePullyu);
			};
	}
	else if (event == SCRIPTED)
	{
		//Unfreeze Avatar and ITEM:
		AVATAR->GenericUnfreeze();
		item->GenericUnfreeze();

		item.say("A bizarre, two-headed beast. Both heads take turns speaking to you*");
		item.say("@Stand over here!@");
		UI_change_npc_face0(1);
		item.say("@Stand over there!@");
		UI_change_npc_face0(0);
		item.say("@Come hear our puzzle anywhere!@");
		

			var options = ["name", "job", "bye"];
		
	

		//Variable conversation options based on global flags or people met. Remove if none/////	
		//		if (gflags[GLOBAL_FLAG_HERE])
		//			add("Insert Convo topic here");
			

		//-------------------------------------------------------------//based on MET flag - delete all if not used
		//		if (UI_get_item_flag(PUSHMEPULLYU, MET))
		//			add ("NPC name");






	/////////////////////////////////////////////////////////////////////


	/////////////////////////////////////////////////////////////////////


			converse(options)
			{
				case "name"(remove): 
					say("@Should I answer you today? If asked tomorrow, I would say...@*");
					say("@That my partner and I are the Pushme Pullyu, and speaking in riddles is what we do. @*");
					UI_change_npc_face0(1);
					say("@But which is Pullyu, and which is Pushme? If you'd asked yesterday, I'd have told thee!@*");
					add(["Pushme", "Pullyu"]); 

				case "job"(remove):
					UI_change_npc_face0(0);
					say("@If my partner said you should go west, then he would be a lying pest!@");
					UI_change_npc_face0(1);
					say("@If my partner said you should go east, then he would be a lying beast!@");
					UI_change_npc_face0(0);
					say("@If my partner said 'Go east.' to you, then he'd have said that which is true.@");
					UI_change_npc_face0(1);
					say("@If my partner said to you 'Go west.', then his advice would be the best.@");
					add(["west", "east"]); 

				case "Pushme"(remove): 
					UI_change_npc_face0(0);
					say("@If you asked my partner, thinking him wise, he'd tell you the Pushme always lies!@*");
					add(["lies"]); 


				case "Pullyu"(remove): 
					UI_change_npc_face0(1);
					say("@If you asked my partner, then forsooth, he'd say the Pullyu always speaks truth!@*");
					add(["truth"]); 


				case "lies"(remove): 
					UI_change_npc_face0(0);
					say("@My partner lies, and that is true. It is because he's the Pullyu!@*");
				


				case "truth"(remove): 
					UI_change_npc_face0(0);
					say("@I'll always tell the truth to thee. That's because I am the Pushme!@*");
					


				case "west"(remove): 
					UI_change_npc_face0(0);
					say("@If you asked my partner which was best, he'd say 'East lie beasts, so go quest west.'@*");
					
				case "east"(remove): 
					UI_change_npc_face0(1);
					say("@If you asked my partner which was best, he'd say 'East lie beasts, so go quest west.'@*");
	

				case "bye":
					UI_change_npc_face0(0);
					say("@So soon to leave?@*");
					UI_change_npc_face0(1);
					say("@You'd leave so soon?@*");
					UI_change_npc_face0(0);
					say("@Take three blind mice, a dish and spoon!@*");
					UI_change_npc_face0(1);
					say("@And if, perhaps, you've solved our riddle,@*");	
					UI_change_npc_face0(0);
					say("@Then go dance with the cat and the fiddle!@*");
					say("Both heads smile innocently at you.");
					if (isNearby(DUPRE))
					{
						DUPRE.say("Dupre is staring at them, his jaw hanging wide open.");
						DUPRE.hide();
					}
					if (isNearby(IOLO))
					{
						IOLO.say("Iolo says @That's got to be the most baffling thing I've ever heard.@");
						IOLO.hide();
						
					}
					avatar_bark = "@So long..@";
					npc_bark = "@Leaving so soon? So soon to leave?@";
					delayedBark(AVATAR, avatar_bark, 0);
					delayedBark(PUSHMEPULLYU, npc_bark, 1);
					break;
					

			}                               
	}
	else scheduleBarks(item);
}