
void Smith object# (0x471) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings...horse?@";
		npc_1st_greet = "@Hello! I mean, 'Neigh'!@";
				
		av_2nd_greet  = "@Might we speak again, Smith?@";
		npc_2nd_greet = "@Hello again!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A fine looking horse.*");
			item.say("@Hello, my name is Smith. Who are you?@");
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
			UI_set_item_flag(item, MET);
			item.say("@Oh, I had something important to tell you!  I can't remember what it was, though...@");
		}
		else 
			item.say("@Hello again!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[SOLVED_CHUCKLES_QUEST])
				add("clue");
			

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@It's 'Smith', like in 'blacksmith'@*");
				add(["blacksmith"]); 

			case "job"(remove):
				say("@I eat Iolo's hay to keep it from piling up everywhere and making a mess.@");
				if (isNearby(IOLO))
				{
					IOLO.say("Iolo winks at you. @And a fine job you do of it, too. I don't know what I'd do without you.@");     
					IOLO.hide();
				}
				add("hay");
				

			case "clue"(remove): 
				say("@Oh, that's right, I have a clue for you! You're the Warrior of Destiny, right?");
				say("@Well, when you go to rescue Lord British from the underworld, be sure to bring his sandlewood box with you!@*");
				if (isNearby(DUPRE))
				{
					DUPRE.say("@We went to all that trouble just to hear this?@ says Dupre.");
					DUPRE.say("@We rescued Lord British from the underworld years ago!@");
					DUPRE.hide();
					say("@Well, even if you didn't like my clue, it wouldn't kill you to say 'thank you.'@");
					add("thank you");
					
				}
				add(["sandlewood box"]); 
				
			case "thank you"(remove): 
				say("@You're welcome!@*");
		

			case "sandlewood box"(remove): 
				say("@I don't know what it all means, I just know it's important.@*");
			
			case "blacksmith"(remove): 
				say("@They make my shoes.@*");
				add(["shoes"]); 


			case "shoes"(remove): 
				say("@They're nailed to my feet, see?@ He holds up a hoof for you to look at.*");
				add(["feet"]); 


			case "feet"(remove): 
				say("@You should try it. Saves you from looking for your shoes every morning.@*");
			

			case "hay"(remove): 
				say("@Hay is the greatest menace to the well being of Britannia.@");
				say("@It takes constant vigilance to keep it from engulfing the entire realm.*");
				say("@I've devoted my life to the task.@*");
				add("task");


			case "task"(remove): 
				say("@It's a thankless job, but I am a determined horse.@*");
				say("@Hay, thou hath met thy nemesis, thy doom, and his name is Smith!@*");
			

			case "bye":
				if (!UI_get_item_flag(SMITH, SI_ZOMBIE))
				{
					if (isNearby(IOLO) && isNearby(DUPRE))
					{
						IOLO.say("You see Iolo give Dupre a nudge in the ribs. @You owe me a drink, @he says, grinning.");
						IOLO.say("He turns to you. @Sir Know-it-all here bet me that there was no such thing as a talking horse!@");
						IOLO.hide();
						
						DUPRE.say("@Now I've seen everything. I suppose we'll be inviting some ducks over for tea next.@");
						DUPRE.hide();
					
						UI_set_item_flag(SMITH, SI_ZOMBIE);
					}
				
				}
				avatar_goodbye = "@Goodbye, Smith!@";
				if (party > 1)
					npc_goodbye = "@Farewell, two-leggers!@";
				else
					npc_goodbye = "@Farewell, two-legger!@";
					
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}