
void Sutek object# (0x4a2) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var sutek_mad = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == HOUND)
		{
			//reorganised to make it easier to add barks
			var barks = [
				"@Leave here at once!@",
				"@I shall turn thee into a newt!@",
				"@Suffer my wrath!@",
				"@Thou must flee Sutek the Mad!@"
			];

			var rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}
		//Otherwise, say generic NPC barks
		else scheduleBarks(item);
	}
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		npc_1st_greet = "@Who dares to disturb Sutek?!@";
				
		av_2nd_greet  = "@Might we speak again, Sutek?@";
		if (sutek_mad)
			npc_2nd_greet = "@No!@";
		else
			npc_2nd_greet = "@What is it now?!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A white-haired mage in flowing robes with a mad gleam in his eye.*");
	
		if (UI_get_item_flag(item, SI_ZOMBIE))//you pissed him off
		{
			item.say("@Get out! Flee before the awesome wrath of the mad mage Sutek!*");
			
			
		    sayGoodbyeAbrupt(item, "Flee my wrath!");
			
			if (UI_get_item_flag(item, SI_ZOMBIE)) //checks to see if you pissed of Sutek, then clears flag
				UI_clear_item_flag(item, SI_ZOMBIE);
			UI_set_schedule_type(item, HOUND);
			return;
				
		}
		if (!UI_get_item_flag(item, NAKED)) //used instead of MET flag which for some reason isn't working on him!
		{
			item.say("@So, Avatar, you disturb the musings of the mad mage Sutek!@*");
			item.say("@What wisdom dost thou seek?@");
			UI_set_item_flag(item, NAKED);
		}
		else
			item.say("@What brings you back to disturb the musings of the mad mage Sutek again?");
		add("mad mage");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//this flag is set by talking to Michelle of minoc about her father, then opening up convo topics for Isabella + Selganor
		if (gflags[LEARNED_ABOUT_BALLOONIST])
			add("balloonist");
			

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@The name Sutek strikes fear in the hearts of mere mortals!@*");
				say("@Everyone knows the name of Sutek the Mad!@");

			case "job"(remove):
				say("@Sutek the Mad is the greatest mage the land has ever known!@");
				say("@Even the Avatar acknowledges the power and wisdom of Sutek! Don't you, " + player_name + "?@");
				if (askYesNo())
				{
					say("@Good.@");
				}
				else 
				{
					say("@No?! Then you must die!@*");
					UI_set_item_flag(item, SI_ZOMBIE); //Flag set when you've pissed Sutek off
					say("@But Sutek is mad, and so he will grant you one last nugget of wisdom before thy death!@*");
					say("@What wouldst thou like to know?@");
				}
					
  			case "mad mage"(remove): 
				say("@Yes! Sutek is mad!@*");
				say("@They say there is a fine line between genius and madness. Well, Sutek hops up and down on that line, cursing the fools that surround him!@");

			case "balloonist"(remove): 
				say("@Balloonist? Yes, Sutek remembers him.@*");
				say("@He died in Sutek's catacombs, like most of the others who have ever worked for Sutek!@");
				
				if (UI_get_item_flag(item, SI_ZOMBIE)) //checks if you've pissed Sutek off (SI ZOMBIE FLAG SET)
				{
					say("@Thy question is answered. Now flee before the awesome wrath of the mad mage Sutek!@");
					sayGoodbyeAbrupt(item, "Flee!");
					UI_set_schedule_type(item, HOUND); //causes Sutek to hound avatar with insults
					break;
				}
				else
				{
					say("@Dost thou seek employment with Sutek the Mad?@*");
					if (askYesNo())
					{
						say("@Well, too bad! Sutek isn't hiring today!@");
						//say("@But perhaps Sutek could find some use for you yet..@"); //added for Matt quest. 
					}
					else 
					{
						say("@No?! What sort of fool passes up the opportunity to work for the greatest genius of this age?@*");
						say("@Such fools must die!@");
					}
				}
				add(["catacombs"]); 

			case "catacombs"(remove): 
				say("@Sutek hired many brilliant engineers to build the catacombs that lie beneath his castle.@*");
				say("@The catacombs are filled with the bones of those engineers!@*");
				say("@The Pushme-Pullyu knows where all such bones can be found!@");
				add(["Pushme-Pullyu"]); 

			case "Pushme-Pullyu"(remove): 
				say("@Sutek created the Pushme-Pullyu as a test for fools! If you can pass the test, you will learn what you wish to know!@");


			case "bye":
				if (UI_get_item_flag(item, SI_ZOMBIE))
				{
					say("@What?!@*");
					say("@Sutek grants thou a piece of wisdom to take to thy grave, and thou refusest it?@*");
					say("@Then thou must die!@");
					npc_goodbye = "@Leave here or die!@";
				}
				else 
				{				
					say("@How darest thou leave the presence of Sutek the Mad before he has dissmissed you?!@*");
					say("@If thou art so rude, then I banish thee from my presence!@*");
					say("@Begone, and pester Sutek no further!@*");
					npc_goodbye = "@Begone, fool!@";
				}
				
	
				avatar_goodbye = "@That is all..@";
								
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}