void Taynith object#(0x438) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var avatar_goodbye;
	var npc_goodbye;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	//Used for casting tiles, should start at 0!
	var count = UI_get_npc_id(item); 
	var explanation;
	var tiles;

    if (event == DOUBLECLICK)
    {
        var av_1st_greet = "@Excuse me...@";
        var npc_1st_greet = "@The Avatar!@";
        var av_2nd_greet = "@A moment, Taynith..@";
        var npc_2nd_greet = "@Welcome back, Avatar!@";

        //call convo script
        startConvo(item, av_1st_greet, av_2nd_greet, npc_1st_greet, npc_2nd_greet);
    }

    if (started_talking)
    {
        //reset schedule for after convo
        UI_run_schedule(item);

		if (gflags[KADOR_SAD]) //set when you stiff Kador on his coins
		{
			item.say("@I have no time for those who are cruel to animals.@");
			sayGoodbyeAbrupt(item, "Rude!");
			return;
		}

		if (UI_get_schedule_type(item, TEND_SHOP) && isNearby(DR_CAT))
		{
			item.say("@My chances to visit Dr. Cat come all too seldom.  Seek me out later and I will speak with you.@");
			sayGoodbyeAbrupt(item, "Come back another time..");
			return;
		}


		if (!UI_get_item_flag(item, MET))
		{
			item.say("A mysterious gypsy woman wearing an ankh pendant.");
			UI_set_item_flag(item, MET);
			item.say("@You are the Avatar. I had a vision that you would come to seek aid from me.@");
		}
		else item.say("@Welcome back, Avatar.@");

		//standard conversation options
		var options = ["name", "job", "bye"];

			if (UI_get_item_flag(DR_CAT, MET))
			add("Dr. Cat");
			
		if (UI_get_item_flag(ZOLTAN, MET))
			add("Zoltan");	
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			add("path");			

		if (gflags[LEARNED_ABOUT_CAPT_JOHNE])
			add("Captain Johne");

////////////////////////////////////////////////////////////////////
// Main conversation thread                                         
////////////////////////////////////////////////////////////////////

        converse(options)
        {
				case "name"(remove): 
					say("@Some know me as Taynith. That is what you may call me.@*");
					add(["Taynith"]); 

				case "job"(remove):
					say("@I tell fortunes - for a price.@");
					add(["fortune", "advice"]); 

				case "Taynith"(remove): 
					say("@Seek not my true name. Let 'Taynith' suffice.@*");
					add(["true name"]); 


				case "true name"(remove): 
					say("@You try my patience.@*");
	
				case "Captain Johne"(remove): 
					say("@Captain Johne? Yes, he brought us a silver tablet some time ago, to deliver to the Lycaeum.@*");
					say("@Zoltan took care of the deal, so he could tell you more than I@*");
					add(["silver tablet", "Lycaeum"]);
		
				case "silver tablet"(remove): 
					say("@Ask Zoltan about it.@*");
					add(["Zoltan"]); 


				case "Zoltan"(remove): 
					say("@King of the gypsies, sure as my name's Taynith.@*");
					add(["gorgio"]);

				case "path"(remove): 
					say("@My path leads to Paws, as soon as I have time to visit there.@*");
					add(["Paws"]); 


				case "Paws"(remove): 
					say("@My good friend Dr. Cat lives there.@*");
					add(["Dr. Cat"]); 


				case "Dr. Cat"(remove): 
					say("@Ask him about the duck sometime.@*");
					add(["duck"]); 


				case "duck"(remove): 
					say("@Yes, ask him!@*");
	

				case "Lycaeum"(remove): 
					say("@Zoltan can tell you where it is.@*");

				case "advice"(remove): 
					say("@My advice will cost you two gold. Do you still want it?@*");
					if (askYesNo())
					{
						if (hasGold(2))
						{
							chargeGold(2);
							say("@Look through the books at the Lycaeum. You might learn something useful there.@");
							add(["Lycaeum"]); 
						}	
						else 
							say("@Best check your purse.@");
					}
					else 
						say("@Very well.@");
	
				case "fortune"(remove): 
					say("@I charge six gold to cast my tiles. Are you interested?@*");
					if (askYesNo())
					{
						if (hasGold(6))
						{
							chargeGold(6);
							say("From the folds of her cloak, she withdraws a velvet pouch.*");
							say("After shaking it gently, she casts forth three small squares of ivory, each with an image etched into its surface and a title at the bottom.*");
							if (count == 0)
							{
								tiles = "'Panda, 'Coin', and 'Bead of Glass.'";
								explanation = "Taynith says: @There is something made of glass that plays a very important role in your future, but the signs are unclear. Seek out Penumbra. Her crystal ball should hold more of an affinity for this item. If you pay her enough, she can tell you more than I.@";
								add(["Penumbra"]);
							}
							else if (count == 1)
							{
								tiles = "'Abyss', 'Mountains', and 'Maelstrom'";
								explanation = "Taynith says: @This is strange. The tiles show that to accomplish your ends, you must go down very far, then up very far, but you will not end up back where you started. The 'Maelstrom' indicates something important as well, but I cannot determine what it means.@";
							}
							else if (count == 2)
							{
								tiles = "'Path', 'War', and 'Rogue'";
								explanation = "@The 'War' tile is particularly striking. It depicts a dragon and a tiger, each about to bite the others tail.@ Taynith says: @Britannia is on a path towards all out war, that is plain enough. The 'Rogue' is one who would go against the wishes of his Lord to find another path.@";
							}
							else if (count == 3)
							{
								tiles = "'Bead of Glass', 'Maelstrom', and 'Clever Fish'";
								explanation = "Taynith frowns. @I cannot interpret this pattern. I'm afraid you'll have to seek its meaning on your own.@";
							}
							
							else if (count >= 4)
							{
								tiles = "'Shaman', 'Blademaster', and 'Clever Fish'";
								explanation = "Taynith says: @All of these things and more must you be to find success in your quest.@";
							}
							say("The tiles are: " + tiles);
							say(explanation);
							UI_set_npc_id(item, count + 1);
							say("@If you consult the tiles another time, perhaps they will have more to say of your future.@");
							
							
						}		
						else
							say("@Best check your purse.@");
					}
					else
						say("@Very well.@");


				case "Penumbra"(remove): 
					if (UI_get_item_flag(PENUMBRA, MET))
						say("@I sense that you have met her already. There is no need for me to direct you there.@");
					else
						say("@You are destined to meet her.@");
	
				case "gorgio"(remove): 
					say("@A gorgio - that's almost as good as being a gypsy!@*");

				case "bye":
					say("@Our paths will cross again. I have foreseen it.@");
					if (!UI_get_item_flag(item, SI_ZOMBIE))
						UI_set_item_flag(item, SI_ZOMBIE);
					
					avatar_goodbye = "@Farewell..@";
					npc_goodbye = "@Safe journeys, Avatar!@";
			   
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
        }
	}
}

