
void Wanda object# (0x431) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int WANDA_REST_TIMER = 16;
	const int WANDA_FULLY_RESTED = 3; //after 3 hours she's fully rested	
	
	var avatar_title;  //What Wanda calls avatar 
	var random_avatar_title;
	var wanda_avatar_title;
	var random = UI_get_random(2);
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	
	
	if (player_is_female)
	{
		random_avatar_title = "honey";
		wanda_avatar_title = "madam";
	}
	else
	{
		wanda_avatar_title = "sirrah";
		if (random == 1) random_avatar_title = "sexy";
		else if (random == 2) random_avatar_title = "honey";
	}	

	if (UI_get_item_flag(item, SI_ZOMBIE))	//set when Avatar refuses to pay/can't pay
	{
		avatar_title = "cheapskate";
	}
	else
		avatar_title = random_avatar_title;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, milady..@";
		npc_1st_greet = "@Well, hello there..@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@If you've got the money, I've got the time!@";		
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		UI_clear_item_say(item);
		UI_clear_item_say(AVATAR);
		item.say("A gypsy wench with a voluptuous figure.");
		
		if (player_is_female) 
			item.say("@Hello, wench. How goes it?@");
		else 
		{
			item.say("@Well, hello handsome! Looking for a little...relaxation?@");
			if (askYesNo())
			{
				say("@Well this is the place!@");
			}
			else 
				say("@Ha! You must be afraid of what your mother might think.@");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(ARTUROS, MET))
			add ("Arturos");
			
		if (UI_get_item_flag(ANDREAS, MET))
			add ("Andreas");			

		if (gflags[LEARNEDGYPSYSSTOLEMAP])
			add ("map");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@They call me 'Wicked Wanda,' " + random_avatar_title + ".@");
								
			case "job"(remove):
				say("@If we can find someplace private, I'll gladly show you how I got my nickname...@");
  				add(["private"]); 
			
			case "private"(remove):
				var random_private = UI_get_random(2);
				
				if (random_private == 1)
					say("@Hmm, sounds like I've piqued your interest...@");
				else
					say("@Why " + wanda_avatar_title + ", are you trying to insinuate something?@ She breaks into a fit of giggles.");
				add(["I'm interested.."]);
				
			case "I'm interested.."(remove):
			var wagondoor = UI_find_nearest(WANDA, 975, 20);// looks for wagon door
			
			if (wagondoor)
			{	
				if (UI_get_item_flag (item, PETRA)) //needs rest
				{
					say("@Again, so soon? Nay, come back later, when I've had a little time to rest.@");
					add(["rest"]);
				}
				else 
				{
					
					if (player_is_female)
						say("@I don't get many lady customers... but why not? You're sure this is what you want? I've a cot in my wagon... 15 gold's the price--and I don't haggle! Interested, " + random_avatar_title + "?@");
					else
						say("@I've a cot in my wagon... 15 gold's the price--and I don't haggle! Interested, " + random_avatar_title + "?@");	

					if (askYesNo())
					{
						if (isNearby(DUPRE))
						{
							DUPRE.say("@I don't think we have time for this...@");
							DUPRE.hide();
						}
						else 
						{
							AVATAR.say("A voice in the back of your head asks, @Do you really have time for this?@");
							AVATAR.hide();
						}					
						say("@Come on, honey. Cross my palm with 15 gold and I'll show you a good time. Okay?@");
						if (askYesNo())
						{
							if (hasGold(15))
							{
								chargeGold(15);
								UI_set_timer(WANDA_REST_TIMER);
								UI_clear_item_flag(item, SI_ZOMBIE); //no longer calls Avatar cheapskate
								UI_set_item_flag(item, PETRA); //"too tired" flag
								script item
								{
									call GypsyCutscene, BEGIN_WANDA_CUTSCENE;
								};
								break;
							}
							else 
							{		
								say("@Hey, I don't give credit! No pay, no play, capish?@");	
								UI_set_item_flag(item, SI_ZOMBIE); //she calls Avatar "cheapskate"
							}
										
						}
						else 
						{
							say("@Fine! Come back when you get permission from your mother!@");
							UI_set_item_flag(item, SI_ZOMBIE); //she calls Avatar "cheapskate"
							item->clear_item_flag(BG_DONT_MOVE);
							AVATAR->clear_item_flag(BG_DONT_MOVE);		
							if (!player_is_female)
							{
								script item after 3 ticks 
								{
									say "@Mama's boy...@";
								};

							}
							break;
						}
					} 
					else 
					{
						say("@Fine! Come back when you get permission from your mother!@");
						UI_set_item_flag(item, SI_ZOMBIE); //she calls Avatar "cheapskate"
						item->clear_item_flag(BG_DONT_MOVE);
						AVATAR->clear_item_flag(BG_DONT_MOVE);


						if (!player_is_female)
						{
							script item after 3 ticks 
							{
							say "@Mama's boy...@";
							};

						}
						break;
					}
				} //end 
			}
			else
				say("@Let's get a bit closer to the wagon before we discuss these things, okay?@");
				
			case "map"(remove):
				say("@We don't have... Oh, wait, there was something!@");
				say("@Arturos, he, uh, found a map last time we were up at Empath Abbey.@");
				add(["Empath Abbey", "Arturos"]);

			case "Empath Abbey"(remove):
				say("@I don't care much for them. They're all too stuck up.@");
				

			case "silver tablet"(remove):
				say("@Andreas has a silver tablet you could ask him about.@*");
				say("@But I have something much sweeter for sale...@");
				add(["Andreas", "sweeter"]);

			case "sweeter"(remove):
				var random_private = UI_get_random(2);
				
				if (random_private == 1)
					say("@Hmm, sounds like I've piqued your interest...@");
				else 
					say("@Why " + wanda_avatar_title + ", are you trying to insinuate something?@ She breaks into a fit of giggles.");
				add(["I'm interested.."]);
					

			case "Andreas"(remove):
				if (player_is_female)
					say("@He could show you a real good time, honey!@");
				else
					say("@He's in the same line of work as I am--but I think I'm more your type!@");
			
			case "Arturos"(remove):
				say("@He'll tell your fortune for you, " + wanda_avatar_title + ". Just ask him!@");
				add (["fortune"]);

			case "rest"(remove):
				say("@'Tis tiring work, you know.@");
				
			case "fortune"(remove):
				say("@That's right.@");



			case "bye":

				item->clear_item_flag(BG_DONT_MOVE);
				AVATAR->clear_item_flag(BG_DONT_MOVE);
				if (player_is_female)
				{
					say("@See you around... And if you meet anyone tall, dark and handsome, send 'em my way!@");
				}
				else
					say("@If you ever decide you need a break from adventuring, come find me again.@");
				break;				


			case "bye":
				if (player_is_female)
				{
					say("@See you around... And if you meet anyone tall, dark and handsome, send 'em my way!@");
				}
				else
					say("@If you ever decide you need a break from adventuring, come find me again.@");
				break;				
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Come back again, honey!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}