
void Wisp object# (0x216) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int QUALITY_MANTRA_BOOK = 29;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@...hello?@";
		npc_1st_greet = "@...@";
				
		av_2nd_greet  = "@...hello?@";
		npc_2nd_greet = "@Xorinia addresses 'you' again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		UI_show_npc_face(256, 0);
		
		item.say("A strange, glowing ball of energy.*");
		
		if (gflags[GET_WISP_INFO] && UI_count_objects(PARTY, SHAPE_BOOK, QUALITY_MANTRA_BOOK, FRAME_ANY) >= 1 && !gflags[WISPS_GAVE_GOLD])
		{
			item.say("@The volume 'you' bear with the symbol pattern representing the sounds 'The Book of Lost Mantras' is a prime source of high density information. Do 'you' wish to 'me' to locate a client who is willing to make an exchange for it at this time?@");
			if (askYesNo())
			{
				item.say("For a few moments, the wisp pulses, saying nothing.*");
				item.say("@It is done,@ the wisp says at last, @Rklbwm have expressed desire to possess this information. Hoping, no doubt, for a bargain, Rklbwm have offered a small quantity of the substance 'gold' in lieu of the customary useful information.@*");
				item.say("@But surely 'you' wish 'me' to arrange for Rklbwm to provide information of value to 'you.' Am 'I' correct to assume this?@*");
				if (askYesNo())
				{
					item.say("@Then so be it. Here is useful information from the Rklbwm:@");
					item.say("@'If a substance with a partially reflective surface is positioned so that its third index of refraction matches the wavelength coefficient of the output of a polarized light source, and the resulting beam is focused on an ionized crystal suspended in a unipolar magnetic field, matter can be converted into useful electromagnetic radiation at an efficiency rate of 96 to 98 percent, depending on the desired output frequency.'@*");
					item.say("@It was a pleasure doing business with you.@");
					UI_remove_party_items(1, SHAPE_BOOK, QUALITY_MANTRA_BOOK, FRAME_ANY, true);
					gflags[WISPS_GAVE_GOLD] = true;
					sayGoodbye2(item);
					return;
				}
				else
				{
					var count = 0;
					item.say("@Very well. 'You' have not sent enough life units to transport much substance, but it is 'your' decision to make.@");
					item.say("The wisp glows just a trifle brighter for a moment, and suddenly everyone notices that their packs have grown heavier.");
					while ((UI_add_party_items(1, SHAPE_GOLD_NUGGET, QUALITY_ANY, FRAME_ANY, true)))
					{
						count+= 1;
					}
					UI_error_message("Party given " + count + " gold nuggets");
					item.say("@It was a pleasure doing business with you.@");
					UI_remove_party_items(1, SHAPE_BOOK, QUALITY_MANTRA_BOOK, FRAME_ANY, true);
					sayGoodbye2(item);
										
					//can't repeat
					gflags[WISPS_GAVE_GOLD] = true;
					
					return;
					
				}
			
			}
			else
				item.say("@The ways of Britannia are strange indeed.@");
			
		}
		else
			item.say("@Again, 'you' of this plane address 'I' of the Xorinite dimension. By what name do 'you' wish to be addressed at this time?@");
			
		var avatar_or_name = chooseFromMenu(["The Avatar", ("I am " + player_name)]);

		var name;
		if (avatar_or_name == "The Avatar")
			name = "Avatar";
		else
			name = player_name;
		
		item.say("@Very well, '" + name + "' Do 'you' have memory of previous discussions with 'myself'?@");
		if (askYesNo())
			item.say("@Good. Tedious repetition should then be unnecessary on this occasion. Of what would 'you' speak?@");
		else
		{
			item.say("@So be it. 'I' must often repeat information when conversing with the life of Britannia, it seems. 'I' do not see how each unit of life here can have different memories, different desires, but again 'I' inform Britannia that it is not so in 'my' realm.@*");
			item.say("@Those which 'you' know as 'wisp' in Britannia are projections of the life of Xorinia. 'I' extend into many planes beside this one. Britannia communicates with 'me' very seldom, and is known by those of very few other planes.@*");
			item.say("@Every time 'I' speak with Britannia, it seems 'I' must explain 'my' nature again, as 'I' have just done. That is very strange.@");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "you"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@The concept of 'name' is one 'I' still do not grasp. 'I' believe that when 'you' ask 'me' to use '" + name + "' as a form of address, it has something to do with 'name.'@*");
				say("@When Britannia addressed me with the name 'Zog,' an attempt was made to explain. But still 'I' do not understand.@*");
				add(["Zog"]); 

			case "job"(remove):
				say("@Xorinia serves as a conduit for information between different planes. In exchange, these planes provide information that can be used to improve Xorinia.@*");
				say("@Occasionally payment is accepted in the form of substance, but this is not preferred.@");
				add(["information", "substance"]); 

			case "Zog"(remove): 
				say("@Once when 'I' offered sample information to Britannia, the name 'Zog' was given by the life unit that received it. No further contact with Britannia was obtainable for some time after this.@*");
				say("@Perhaps misuse of the sample information was responsible.@*");
			
			case "you"(remove): 
				say("@'I' and 'you' are words that seem to have no meaning. 'I' mimic the way 'you' use them in this language out of courtesy.@*");
			
			case "information"(remove): 
				say("@Britannia has never participated in the interplanar exchange of information. 'I' have presented a sample known in Britannian terms as a 'secret', but no further interest has been shown.@*");
				add(["interest"]); 
				if (!gflags[GOT_ARMAGEDDON])
					add("secret");


			case "substance"(remove): 
				say("@Actual physical materials are so plentiful throughout the multiverse that they are of little value. Information has much greater worth.@*");
			
			case "secret"(remove): 
				say("@Because of the nature of Britannian memory, 'I' now present the sample information to 'you' again.@*");
				say("The wisp pulsates, fading from blue to white, then back to blue again. As it does so, a scroll materializes in your hand.@*");
				
				//give armageddon scroll
				UI_add_party_items(1, SHAPE_MAGIC_SCROLL, QUALITY_ANY, FRAME_ANY, false);
				
				//set flag to prevent getting it again
				gflags[GOT_ARMAGEDDON] = true;
				
				
				
				say("@This is a simple invocation of magic energy to bring about the cessation of all life. It is not a very useful or powerful form of magic, as it will only affect beings in the same plane where it is invoked.@*");
				say("@Inform any 'wisp' unit if 'you' have interest in further exchange.@");
				


			case "interest"(remove): 
				say("@If 'you' present a reasonably dense information source to a 'wisp' unit, arrangements will be made to transfer some suitably valuable commodity into Britannian possession.@*");
				if (!gflags[GET_WISP_INFO])
					gflags[GET_WISP_INFO] = true;
				//flag set??
				
	

			case "bye":
				say("@'I' find it unusual that 'you' find it so important to inform 'me' of the imminent cessation of proximity between one unit of Britannian life and one of Xorinite.@*");
				say("@Nonetheless, in accordance with 'your' custom: Goodbye, '" + name + "'@");
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}

}