void Ybarra object# (0x467) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	//var map;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	
	
	//get count of party food for Ybarra
	var partyfood = UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY);

	//frame of map he gives
	const int FRAME_YBARRA_MAP5 = 4;	
	var map;
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@..Art thou okay?@";
		npc_1st_greet = "@...Hu--humans!@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Food, I beg of thee!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	else if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == HOUND)
		{
			//reorganised to make it easier to add barks
			var barks = [
				"@Give me food, now!@",
				"@Food! Food!@",
				"@I must have food!@",
				"@I'll die here without food!@",
				"@Bastard!@"
			];

			var rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}
		else if (UI_get_schedule_type(item) == TEND_SHOP)
		{
			//reorganised to make it easier to add barks
			var barks = [
				"@Where can I find food?..@",
				"@..I'm starving..@",
				"@..just a little further maybe..@",
				"@..maybe this way?..@",
				"@..so hungry..@"
			];

			var rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}

		//Otherwise, say generic NPC barks
		else scheduleBarks(item);
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("You see a sunken-faced, starving man, dressed in rags.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("It takes a few moments for the man to notice you.*");
			item.say("@Hu--humans.@");
			item.say("@Please, you must help me.@ he says weakly.");
			item.say("@I need food, badly.@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@Thou art back.@");
			item.say("@Please, please! Give me some food.@");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[TALKEDTOHOMERABOUTMAP])
			add("map");
		
		//failsafe - if you stole map from him, he won't give it to you again
		if ((UI_count_objects(PARTY, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_YBARRA_MAP5) > 0)) 
			UI_set_item_flag(item, PETRA);
			
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Ybarra. Ybarra's my name.@");
			
			case "job"(remove):
				say("@Lost here, no job now.@");
				say("@I used to sail under Captain Hawkins on the Empire.@*");
				say("@We had food then.*@");
				say("@But those days are gone....@");
  				add(["food", "join"]); 

	
				
			case "food"(remove): 
				say("@Yes, food! The last thing I ate was my belt. And that was three weeks ago.@*");
				say("@If only you could give me some food...@");
				add(["give food", "belt"]); 

			case "map"(remove): //map type is 1144 frame 4
				if (!UI_get_item_flag(item, PETRA))
				{
					say("@Map? Map. Map.@*");
					say("@Oh, the map. Yes, I still have that. I couldn't eat it.@*");		
					say("@It ought to be worth some food, surely?@");  
					if (askYesNo())
					{
						if ((UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY) > 0)) //has food
						{
							say("He hands you the map piece and rubs his hands, eagerly awaiting his food.*");	
							say("You share some food with the pathetic man.*");
							say("@Thunff fou,@ Ybarra says, stuffing the food into his mouth.");
							say("After finishing the offered meal, however, Ybarra still seemes starved.");
							UI_remove_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY); //removes food
							
							//get map, set last created and give to avatar from Ybarra's inventory
							var map = UI_find_object(YBARRA, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_YBARRA_MAP5);
							map->set_last_created(); //set map he is carrying to last created
							UI_give_last_created(AVATAR);
							
							UI_set_item_flag(item, PETRA); //sets flag so can't give another
							addKarma(1);
						} 
						else //no food
						{
							say("Suddenly, you realize that you have no food to give him!*");
							say("@No food?@ he asks. @Then thou art doomed too!@");
							sayGoodbyeAbrupt(item, "..doomed!");
							break;
						}
					}
					else 
					{
						say("@You must! I'll die! Just a little bit of food for the map?@");
						if(askYesNo())
						{
							if ((UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY) > 0)) //has food
							{
								say("He hands you the map piece and rubs his hands, eagerly awaiting his food.*");	
								say("You share some food with the pathetic man.*");
								say("@Thunff fou,@ Ybarra says, stuffing the food into his mouth.");
								say("After finishing the offered meal, however, Ybarra still seemes starved.");
								UI_remove_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY); //removes food
								 
								//get map, set last created and give to avatar from Ybarra's inventory
								var map = UI_find_object(YBARRA, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_YBARRA_MAP5);
								map->set_last_created(); //set map he is carrying to last created
								UI_give_last_created(AVATAR);
								
								//UI_add_party_items(1, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_YBARRA_MAP5); //gives map
								UI_set_item_flag(item, PETRA); //sets flag so can't give another
								addKarma(1);
							} 
							else  //no food
							{
								say("Suddenly, you realize that you have no food to give him!*");
								say("@No food?@ he asks. @Then thou art doomed too!@");
								sayGoodbyeAbrupt(item, "..doomed!");
								break;
							}
						}
						else 
						{
							subtractKarma(10);
							UI_clear_item_flag(item, READ); //prevent circular convo
							
							say("His last shred of hope torn away from him, the withered man leaps at you, screaming @Food! @Food!@");
													
							//he attacks you
							UI_set_alignment(item, EVIL);
							sayGoodbyeAbrupt2(item, "@Food! Food!@");
							UI_set_schedule_type(item, COMBAT);
							
							break;
						}
					}
				}
				else 
					say("@You already got it from me.@"); //PETRA flag set when given map		


						




			case "belt"(remove): 
				say("@Not very tasty, but it was filling.@");
				
			case "give food"(remove): 
				if ((UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY) > 0)) //has food
				{
					say("You share some food with the pathetic man.*");
					say("@Thunff fou,@ Ybarra says, stuffing the food into his mouth.");
					say("After finishing the offered meal, however, Ybarra still seemes starved.");
					UI_remove_party_items(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY, 1); //removes food
				} 
				else  //no food
				{
					say("Suddenly, you realize that you have no food to give him!*");
					say("@No food?@ he asks. @Then thou art doomed too!@");
					sayGoodbyeAbrupt(item, "@..doomed!@");
					break;
				}

				

			case "join"(remove): 
				say("@Leave here? No! I've almost gotten the tunnels figured out!@*");
				say("@Just a few more days and I'll be free!@");
				say("@But I must have food!@");
				
			case "bye"(remove):
				say("@Don't go! I need food... food...@");
				say("@Can I have a little before you go?@");
				if (askYesNo())
				{
					if ((UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY) > 0)) //has food
					{
						say("You share some food with the pathetic man.*");
						say("@Thunff fou,@ Ybarra says, stuffing the food into his mouth.");
						say("After finishing the offered meal, however, Ybarra still seemes starved.");
						UI_remove_party_items(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_ANY, 1); //removes food
						add("bye"); //adds bye again to repeat
					}
					else  //no food
					{
						say("Suddenly, you realize that you have no food to give him!*");
						say("@No food?@ he asks. @Then thou art doomed too!@");
						sayGoodbyeAbrupt(item, "@..doomed!@");
						break;
					}
				}

				else 
				{
					say("The man collapses, the last of his energy gone.");
					sayGoodbyeAbrupt2(item, "@...@");
					UI_set_schedule_type(item, SLEEP); //puts him to sleep
					UI_set_item_flag(item, ASLEEP); //makes him collapse asleep
					
					break;
				}


		}                               
	}
	else scheduleBarks(item);
}