
void Gypsy object# (0x464) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var avatar_magic = UI_get_npc_prop(AVATAR, MAX_MANA);
		
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK || event == SCRIPTED)
	{
	
		//start music if not already playing
		var current_track = UI_get_music_track();
		
		if (current_track != 211)
			UI_play_music(211); //character creation
	
		//Avatar and NPC greeting barks
		npc_1st_greet = "@Welcome, O Seeker!@";
		UI_item_say(item, npc_1st_greet);
				
		av_2nd_greet  = "@2nd Avatar bark@";
		npc_2nd_greet = "@2nd NPC bark@";	
		
		item.say("A lonely stroll along an unfamiliar forest path brings you upon a curious gypsy wagon, its exotic colors dappled in the summer shade.");
		item.say("A woman's voice rings out with friendship, beckoning you into across the wagon's threshold and, as it happens, into another life..."); 
		item.say("@At last thou hast come to fulfill thy destiny@, the gypsy says. She smiles, as if in great relief.");
		item.say("@Sit before me now, and I shall pour the light of Virtue into the shadows of thy future.@");
		item.say("On a wooden table eight bottles stand, a rainbow of bubbling liquids.");
		item.say("@Behold, the Virtues of the Avatar,@ the woman says. @Let us begin the casting!@");
		
		//gypsy character creation

		//removeFromArrayByIndex (var array, var elemindex)
		var virtues = ["Honesty", "Compassion", "Valor", "Justice", "Sacrifice", "Honor", "Spirituality", "Humility"];
		var honesty = "Honesty";
		var compassion = "Compassion";
		var valor = "Valor";
		var justice = "Justice";
		var sacrifice = "Sacrifice";
		var spirituality = "Spirituality";
		var humility = "Humility";
		var honor = "Honor";

		var rand_num;
		var rand_virtue_1;
		var rand_virtue_2;
		var answer_1;
		var answer_2;
		
		var winners = []; // used at the end to calculate stats received. 

		
		var virtue_question;
		var array = [];
		var virtue_array =  ["Honesty", "Compassion", "Valor", "Justice", "Sacrifice", "Honor", "Spirituality", "Humility"];//current array being used
		var virtue_choice; // the virtue you are choosing between.  The losing virtue will get removed from the list. 
		//var virtues = [honesty, compassion, valor, justice, sacrifice, honor, spirituality, humility];

		var round_1_winners = [];
		var round_2_winners = [];
		var round_1_winners_size;
		var round_2_winners_size;
		
		
		var dialogue;
		
		
		var winner; 
		var index;

		var array_size; 


		//stats to add to the Avatar depending on virtue chosen.  Base stats are 15Str/15Dex/15Int.
		var add_str = 0;
		var add_dex = 0;
		var add_int = 0;

		var round = 1; //round 1 - eliminate 4 virtues.  round 2 eliminate 2 virtues, round 3 choose winner
		var count = 1;  
		
		//determine seeds of "bracket" by randomizing array.
		//First 4 questions will be virtue elements 1 vs 2, 3 vs 4, 5 vs 6, 7 vs 8
		array = randomizeArray(virtue_array);
			
		
		
		
	//while (round < 4)
	//{

		while (count < 8)
		{
			UI_error_message("Count is " + count);
		//ROUND 1
			if (count == 1)
			{
				rand_virtue_1 = array[1];
				rand_virtue_2 = array[2];
			}	
			else if (count == 2)
			{
				rand_virtue_1 = array[3];
				rand_virtue_2 = array[4];
			}	
			else if (count == 3)
			{
				rand_virtue_1 = array[5];
				rand_virtue_2 = array[6];
			}	
			else if (count == 4)
			{
				rand_virtue_1 = array[7];
				rand_virtue_2 = array[8];
			}				
		
		//ROUND 2 // Final 4 - winners of first roound. Array is randomized, then Elements 1 vs 2, 3 vs 4
			else if (count == 5) 
			{
				//advance round
				round = 2;
				array = round_1_winners; 
				
				rand_virtue_1 = array[1];
				rand_virtue_2 = array[2];
				
				//Debug - lets see what is in array
				for (virtue in array)
				{
					UI_error_message("Virtue " + virtue + " is remaining in the 1st round winners array.");
				}
				
			}	
			else if (count == 6)
			{
				array = round_1_winners; 
				rand_virtue_1 = array[3];
				rand_virtue_2 = array[4];	
			
			}	
			else if (count == 7)
			{
				round = 3;
				array = round_2_winners;
				rand_virtue_1 = array[1];
				rand_virtue_2 = array[2];
			
			}
						
			else
			{
				say("Error, something went wrong...");
				break;
			}
			
			//put virtue question together based on random virtues picked
			virtue_question = rand_virtue_1+rand_virtue_2;
			UI_error_message("Virtue question is " + virtue_question);	
			
			//get sizes of array
			round_1_winners_size = UI_get_array_size([round_1_winners]);
			round_2_winners_size = UI_get_array_size([round_2_winners]);
			
			UI_error_message("round_1_array has " + round_1_winners_size + " elements.");
			UI_error_message("round_2_array has " + round_2_winners_size + " elements.");
		
		/* REMOVED
			//Debug - see which virtues are left in the array:
				//get size of current array:
				array_size = UI_get_array_size([virtues]);
				for (virtue in virtues)
				{
					UI_error_message("Virtue " + virtue + " is remaining in the virtue array after removing " + rand_virtue_1);
				}
			
		*/
			
			


	////////SELECT VIRTUE QUESTION BASED ON VIRTUES PITTED AGAISNT EACH OTHER///////////////		
			
				if (virtue_question == "CompassionHumility" || virtue_question == "HumilityCompassion") {
					dialogue = "@The Captain of the King's Guard asks that one among thee visit a hospital to cheer the children with tales of valiant personal deeds. Dost thou - Show thy Compassion and play the braggart; or Humbly let another go?@";
					answer_1 = "play the braggart"; //Compassion
					answer_2 = "let another go"; //Humility
					
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "CompassionJustice" || virtue_question == "JusticeCompassion") {
					dialogue = "@After twenty years thou hast found the slayer of thy best friends. The villain proves to be a man who provides the sole support for a young girl. Dost thou - Spare him in Compassion for the child; or Slay him in the name of Justice?@";
					answer_1 = "spare him"; //Compassion
					answer_2 = "slay him"; //Justice
					
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Justice";
				}
				
				
				else if (virtue_question == "CompassionHonor" || virtue_question == "HonorCompassion") {
					dialogue = "@Thou art sworn to uphold a Lord who doth participate in the forbidden torture of prisoners. Each night their cries of pain reach thee. Dost thou - Show Compassion by reporting the deeds; or Honor thy oath and ignore the deeds?";
					answer_1 = "report the deeds"; //Compassion
					answer_2 = "ignore the deeds"; //Honor
					
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Honor";
				}

				else if (virtue_question == "CompassionSacrifice" || virtue_question == "SacrificeCompassion") {
					dialogue = "@Thee and thy friends hath been routed and ordered to retreat. In defiance of thy orders, dost thou- Stop in Compassion to aid a wounded comrade; or Sacrifice thyself to slow the pursuing enemy so that others might escape?@";
					answer_1 = "aid comrade"; //Compassion
					answer_2 = "slow the enemy"; //Sacrifice
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Sacrifice";
				}
	

				else if (virtue_question == "CompassionSpirituality" || virtue_question == "SpiritualityCompassion") {
					dialogue = "@Thou hast been taught to preserve all life as sacred. A man lies fatally stung by a venomous serpent.  He prays for a merciful death. Dost thou- Show Compassion and end his pain; or heed thy Spiritual beliefs and turn away?";
					answer_1 = "end his pain"; //Compassion
					answer_2 = "turn away"; //Spirituality
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Spirituality";
				}

				else if (virtue_question == "CompassionValor" || virtue_question == "ValorCompassion") {
					dialogue = "@Thou dost manage to disarm thy mortal enemy in a duel. He is at thy mercy. Dost thou- Show Compassion by permitting him to yield, or Slay him, as expected of a Valiant duelist?";
					answer_1 = "let him yield"; //Compassion
					answer_2 = "slay him"; //Valor
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Valor";
					
				}

				else if (virtue_question == "HonestyHonor" || virtue_question == "HonorHonesty") {
					dialogue = "@Thou art sworn to protect thy Lord at any cost, yet thou knowest he hath committed a crime. Authorities ask thee of the affair. Dost thou - Break thine oath by Honestly speaking; or uphold Honor by silently keeping thine oath?@";
					answer_1 = "break oath"; //Honesty
					answer_2 = "keep oath"; //Honor
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Honor";
				}

				else if (virtue_question == "HonestyHumility" || virtue_question == "HumilityHonesty") {
					dialogue = "@Thy Lord doth mistakenly believe he slew a dragon. Thou hast proof that thy lance felled the beast. When asked, dost thou - Honestly claim the kill; or Humbly permit thy Lord his belief?@";
					answer_1 = "claim the kill"; //Honesty
					answer_2 = "permit his belief"; //Humility
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "HonestyJustice" || virtue_question == "JusticeHonesty") {
					dialogue = "@A merchant owes thy friend money, now long past due. Thou dost see the same merchant drop a purse of gold. Dost thou- Honestly return the purse intact; or Justly give thy friend a portion of the gold first?";
					answer_1 = "return purse intact"; //Honesty
					answer_2 = "give friend his portion"; //Justice
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Justice";
				}

				else if (virtue_question == "HonestySacrifice" || virtue_question == "SacrificeHonesty") {
					dialogue = "@Thee and thy friend are valiant but penniless warriors. Thou both set forth to slay a mighty dragon. Thy friend dost think he slew it, but the killing blow was thine. Dost thou - Honestly claim the reward; or Sacrifice the gold for the sake of thy friendship?";
					answer_1 = "claim reward"; //Honesty
					answer_2 = "sacrifice gold"; //Sacrifice
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Sacrifice";
				}

				else if (virtue_question == "HonestySpirituality" || virtue_question == "SpiritualityHonesty") {
					dialogue = "@Thy friend doth seek admittance to thy spiritual order. Thou art asked to vouch for his purity of spirit, of which thou art uncertain. Dost thou-  Honestly express thy doubt; or Vouch for him, hoping for his Spiritual improvement?@";
					answer_1 = "express doubt"; //Honesty
					answer_2 = "vouch for him"; //Spirituality
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Spirituality";
				}

				else if (virtue_question == "HonestyValor" || virtue_question == "ValorHonesty") {
					dialogue = "@Thou has been prohibited by thy absent Lord from joining thy friends in a close-pitched battle. Dost thou - refrain, so thou may Honestly claim obedience; or show Valor and aid thy comrades, knowing thou may deny it later?@";
					answer_1 = "claim obedience"; //Honesty
					answer_2 = "aid comrades"; //Valor
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honesty"; 
					rand_virtue_2 = "Valor";
				}

				else if (virtue_question == "HonorHumility" || virtue_question == "HumilityHonor") {
					dialogue = "@Though thou art but a peasant shepherd, thou art discovered to be the sole descendant of a noble family long thought extinct. Dost thou-  Honorably take up the arms of thy ancestors; or Humbly resume thy life of simplicity and peace?@";
					answer_1 = "take up ancestor's arms"; //Honor
					answer_2 = "resume simple life"; //Humility
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Honor"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "JusticeHonor" || virtue_question == "HonorJustice") {
					dialogue = "@Thou hast sworn to do thy Lord's bidding in all. He covets a piece of land and orders its owner removed. Dost thou - Serve Justice, refusing to act, thus being disgraced; or Honor thine oath and evict the landowner?@";
					answer_1 = "refuse to act"; 
					answer_2 = "evict the landowner"; 
					//make sure virtues aren't mixed up
					rand_virtue_1 = "Justice"; 
					rand_virtue_2 = "Honor";
				}

				else if (virtue_question == "JusticeHumility" || virtue_question == "HumilityJustice") {
					dialogue = "@Unwitnessed, thou hast slain a mighty dragon in defense of thy life. A poor warrior claims the offered reward. Dost thou- Justly step forward to claim the bounty; or Humbly go about thy life, secure in thy self-esteem?@";
					answer_1 = "claim the bounty"; //Justice
					answer_2 = "go about thy life"; //Humility
					rand_virtue_1 = "Justice"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "JusticeSacrifice" || virtue_question == "SacrificeJustice") {
					dialogue = "@During a pitched battle, thou dost see a fellow desert his post, endangering many. As he flees, he is set upon by several enemies. Dost thou - Justly let him fight alone; or Risk the Sacrifice of thine own life to aid him?@";
					answer_1 = "let him fight alone"; //Justice
					answer_2 = "risk life to aid him"; //Sacrifice
					rand_virtue_1 = "Justice"; 
					rand_virtue_2 = "Sacrifice";
				}

				else if (virtue_question == "JusticeSpirituality" || virtue_question == "SpiritualityJustice") {
					dialogue = "@Thou dost believe that virtue resides in all people. Thou dost see a rogue steal from thy Lord. Dost thou - Call him to Justice; or Personally try to sway him back to the Spiritual path of good?@";
					answer_1 = "turn him in";
					answer_2 = "sway him back to good";
					rand_virtue_1 = "Justice"; 
					rand_virtue_2 = "Spirituality";
				}

				else if (virtue_question == "SacrificeHonor" || virtue_question == "HonorSacrifice") {
					dialogue = "@Thou art a bounty hunter sworn to return an alleged murderer.  After his capture, thou dost come to believe him innocent.  Dost thou - Sacrifice thy sizeable bounty for thy belief; or Honor thine oath to return him as promised?@";
					answer_1 = "give up bounty"; //sacrifice
					answer_2 = "return him as promised"; //Honor
					rand_virtue_1 = "Sacrifice"; 
					rand_virtue_2 = "Honor";
				}

				else if (virtue_question == "SacrificeHumility" || virtue_question == "HumilitySacrifice") {
					dialogue = "@Thou art an elderly, wealthy merchant. Thy end is near. Dost thou - Sacrifice all thy wealth to feed hundreds of starving children, receiving public adulation; or Humbly live out thy life, willing thy fortune to thy heirs?@";
					answer_1 = "feed starving children"; //sacrifice
					answer_2 = "will fortune to heirs"; //Humility
					rand_virtue_1 = "Sacrifice"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "SacrificeSpirituality" || virtue_question == "SpiritualitySacrifice") {
					dialogue = "@Thou hast spent thy life in charitable and righteous work. Thine uncle the innkeeper lies ill and asks thee to take over his tavern. Dost thou - Sacrifice thy life of purity to aid thy kin, or Decline and follow the call of Spirituality?@";
					answer_1 = "aid thy kin";
					answer_2 = "follow thy calling";
					rand_virtue_1 = "Sacrifice"; 
					rand_virtue_2 = "Spirituality";
				}

				else if (virtue_question == "ValorHonor" || virtue_question == "HonorValor") {
					dialogue = "@During battle thou art ordered to guard thy commander's empty tent. The battle goes poorly and thou dost yearn to aid thy fellows. Dost thou - Valiantly enter the battle, or Honor thy post as guard?@";
					answer_1 = "enter the battle"; //Valor
					answer_2 = "stand guard"; //Honor
					rand_virtue_1 = "Valor"; 
					rand_virtue_2 = "Honor";
				}

				else if (virtue_question == "ValorHumility" || virtue_question == "HumilityValor") {
					dialogue = "@Although a simple fisherman, thou art also a skillful swordsman. Thy Lord dost seek to assemble a peacetime guard. Dost thou - Answer the call, so that all may witness thy Valor, or Humbly decline the offer to join thy Lord's largely ceremonial knighthood?@";
					answer_1 = "answer the call"; //Valor
					answer_2 = "decline the offer"; //Humility
					rand_virtue_1 = "Valor"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "ValorJustice" || virtue_question == "JusticeValor") {
					dialogue = "@Thou hast been sent to secure a needed treaty with a distant Lord. Thy host is agreeable to thy proposal but insults thy country at dinner. Dost thou Valiantly bear the slurs or Justly rise and demand an apology@";
					answer_1 = "bear the slurs"; //Valor
					answer_2 = "demand an apology"; //Justice
					rand_virtue_1 = "Valor"; 
					rand_virtue_2 = "Justice";
				}

				else if (virtue_question == "ValorSacrifice" || virtue_question == "SacrificeValor") {
					dialogue = "@A burly knight accosts thee and demands thy food. Dost thou Valiantly refuse and engage the knight, or Sacrifice thy rations unto the hungry knight?@";
					answer_1 = "engage the knight"; //Valor
					answer_2 = "give thy rations"; //Sacrifice
					rand_virtue_1 = "Valor"; 
					rand_virtue_2 = "Sacrifice";
				}
				
				else if (virtue_question == "SpiritualityHumility" || virtue_question == "HumilitySpirituality") {
					dialogue = "@Thy parents wish thee to become an apprentice. Two positions are available. Dost thou - Become an acolyte in a worthy Spirtual order; or Become an assistant to a humble village cobbler?@";
					answer_1 = "become assistant"; //Humility
					answer_2 = "become acolyte"; //Spirituality
					rand_virtue_1 = "Spirituality"; 
					rand_virtue_2 = "Humility";
				}

				else if (virtue_question == "ValorSpirituality" || virtue_question == "SpiritualityValor") {
					dialogue = "@A local bully pushes for a fight. Dost thou- Valiantly trounce the rogue, or Decline, knowing in thy Spirit that no lasting good will come of it?@";
					answer_1 = "trounce the rogue"; //Valor
					answer_2 = "decline the fight"; //Spirituality
					rand_virtue_1 = "Valor"; 
					rand_virtue_2 = "Spirituality";
				}
				
				else if (virtue_question == "SpiritualityHonor" || virtue_question == "HonorSpirituality") {
					dialogue = "@In thy youth thou didst pledge to marry thy sweetheart. Now thou art on a sacred quest in distant lands. Thy sweetheart doth ask thee to keep thy vow. Dost thou - Honor thy pledge to wed; or Follow thy Spiritual crusade?@";
					answer_1 = "keep thy vow"; //Honor
					answer_2 = "follow Spiritual crusade"; //Spirituality
					rand_virtue_1 = "Honor"; 
					rand_virtue_2 = "Spirituality";
				}		

				else if (virtue_question == "CompassionHonesty" || virtue_question == "HonestyCompassion") {
					dialogue =  "@Entrusted to deliver an uncounted purse of gold, thou dost meet a poor beggar. Dost thou- deliver the gold Honestly, knowing the trust in thee was well-placed; or show Compassion and give the beggar a coin, knowing it won't be missed?@";
					answer_1 = "deliver the gold"; //Honesty
					answer_2 = "give beggar a coin"; //Compassion
					rand_virtue_1 = "Compassion"; 
					rand_virtue_2 = "Honesty";
				}		

				

				else {
					say("ERROR - this isn't supposed to happen...");
					UI_error_message("ERROR - Virtues undefined! Virtues chosen are: " + virtue_question);
					break;
					
				}
	//GYPSY ASKS QUESTION		
				if (gflags[DEBUG])
					say("Round is " + round);
				say(dialogue);
					virtue_choice = chooseFromMenu([answer_1, answer_2]);
				
				UI_error_message("Virtue choice is: " + virtue_choice);
				if (virtue_choice == answer_1)
				{
					UI_error_message("Virtue chosen is " + rand_virtue_1 + ", adding to round " + round + " winners array");
					if (round == 1)
						round_1_winners << rand_virtue_1;
					else if (round == 2)
						round_2_winners << rand_virtue_1;
					else if (round == 3)
						winner = rand_virtue_1;		
						
					//regardless of round, add virtue to winner array for stat calculation at the end:
					winners << rand_virtue_1;
				}
				else
				{
					UI_error_message("Virtue chosen is " + rand_virtue_2+ ", adding to round " + round + " winners array");
					if (round == 1)
						round_1_winners << rand_virtue_2;
					else if (round == 2)
						round_2_winners << rand_virtue_2;
					else if (round == 3)
						winner = rand_virtue_2;
						
					//regardless of round, add virtue to winner array for stat calculation at the end:
					winners << rand_virtue_2;	
				
				}
					
				if (winner)
				{
					if (gflags[DEBUG])
						say("DEBUG - winning virtue is " + winner);
					
					//give player stats based on virtues selected. combine all winning virtues:
										
					for (virtue in winners)					
					{
						UI_error_message("virtue in winners array is " + virtue);
						if (virtue == "Honesty")
							add_int += 2;
						else if (virtue == "Compassion")
							add_dex += 2;
						else if (virtue == "Valor")
							add_str += 2;
						else if (virtue == "Justice")
						{
							add_dex += 1;
							add_int += 1;
						}
						else if (virtue == "Sacrifice")
						{
							add_str += 1;
							add_dex += 1;
						}
						else if (virtue == "Honor")
						{
							add_str += 1;
							add_int += 1;
						}
						else if (virtue == "Spirituality")
						{
							add_str += 1;
							add_dex += 1;
							add_int += 1;
						}
						else if (virtue == "Humility") //no stats on Humility but adds karma per choice
							addKarma(3);
						
						UI_error_message("Adding " + add_str + " Str, " + add_dex + " Dex, " + add_int + " int to Avatar's skills");
					}
					
					//apply stats to the Avatar
					UI_set_npc_prop(AVATAR, STRENGTH, add_str);
					UI_set_npc_prop(AVATAR, DEXTERITY, add_dex);
					UI_set_npc_prop(AVATAR, INTELLIGENCE, add_int);

					//determine how much magic Avatar has. Adding it based on "rubber band" formula used in U7 for combat and magic:
					//(NPC's Int - NPC's magic) / 2.		
					
					var avatar_int = UI_get_npc_prop(AVATAR, INTELLIGENCE);
					UI_error_message("Avatar int is now  " + avatar_int);
					var mana_bonus = (avatar_int - avatar_magic + 1) / 2;
					
					UI_error_message("Magic points added to Avatar " + mana_bonus);
					
					//determine how much Combat Avatar has. Adding it based on "rubber band" formula used in U7 for combat and magic:
					//(NPC's Dex - NPC's combat) + 1 / 2.		
					
					//get Dex and combat skill, then calculate
					var avatar_combat = UI_get_npc_prop(AVATAR, COMBAT);
					var avatar_dex = UI_get_npc_prop(AVATAR, DEXTERITY);
					var combat_bonus = (avatar_dex - avatar_combat + 1) / 2;
					
					UI_error_message("Combat points added to Avatar is  " + avatar_combat);
					UI_error_message("Magic points added to Avatar " + mana_bonus);
					
					//add combat bonus:
					UI_set_npc_prop(AVATAR, COMBAT, combat_bonus);
					
					//set max mana
					UI_set_npc_prop(AVATAR, MAX_MANA, mana_bonus);
					UI_set_npc_prop(AVATAR, MANA, mana_bonus); //should make it full
					
					//set max hp
					UI_set_npc_prop(AVATAR, HEALTH, add_str);
													
					item.say("@The path of the Avatar lies beneath thy feet, worth " + player_name + "@, the gypsy intones. With a mysterious smile, she passes you the flask of shimmering liquids.");
					item.say("@Drink of these waters and go forth among our people, who shall receive thee in joy!@");
					item.say("As you drink from the flask, vertigo overwhelms you. A soothing mist obscures the gypsy's face, and you sink without fear into an untroubled sleep.");
					item.say("You awake in a different time, upon another world's shore. Though the Avatar's quests brings you both triumph and tragedy, never do you stray from the path of the Eight Virtues.");
					
					//move Avatar to his house
					AVATAR->move_object([0891, 0153,0]);  
					//make him sit
					UI_set_item_frame(AVATAR, 10);
					
					//set current game hour to 5p
					var hours_to_skip = (10);
					var advance = (hours_to_skip * 1500);
					
					UI_advance_time(advance);
					
					return;
				}		
				
				
			
				
				
				count = count + 1;
			
		}//end while loop
	}
}