
void Derydlus object# (0x49a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, merry fellow!@";
		npc_1st_greet = "@I'll drink to that!@";
				
		av_2nd_greet  = "@Hello again!@";
		npc_2nd_greet = "@Come, have a drink!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A man who looks very amused--whether with his surroundings or himself is hard to say.");
			item.say("@Ah, welcome, " + polite_title + "! Come have a drink with me!@*");
			item.say("@Have you had your fortune told yet?@");
			if (askYesNo())
				item.say("@Some people think Penumbra's a hoax. But she knows her stuff. You should bear with her - she can truly be of great assistance to you.@");  
			else 
				item.say("@Some people think Penumbra's a hoax. But she knows her stuff. You should bear with her - she can truly be of great assistance to you.@");  
				
		}
		else 
			item.say("@Ah, welcome, " + polite_title + "! Come have a drink with me!@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "Penumbra"];
		
		if (UI_get_item_flag(MANREL, MET))
			add(["Manrel"]);


		if (UI_get_item_flag(MANDRAKE, MET))
			add(["Mandrake"]);


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Derydlus. And what was yours again?@");  
				var avatar_or_name = chooseFromMenu(["The Avatar", ("I am " + player_name)]);
				if (avatar_or_name == "The Avatar")
					say("@The Avatar?...Oh, yes, of course. Come, have a seat.@");
				else
					say("@" + player_name + "...Oh, yes, of course. Come, have a seat.@");

			case "job":
				say("@Trying to discover all the subtleties of Frasier's Folly is almost a career in itself!@");
				say("He smiles.");  
  				add(["Frasier's Folly"]); 

			case "drink"(remove):
				say("@Aye, this is the home of Frasier's Folly!@");
				add(["Frasier's Folly"]);

			case "Frasier's Folly"(remove):
				say("@In all the towns of Britannia, you'll find no better brew.@");

			case "Mandrake"(remove):
				say("@Here's to Mandrake!@");

			case "Manrel"(remove):
				say("@My drinking buddy! Let's drink a toast to him, wherever he is.@"); 
				if (isNearby(MANREL))
				{
					MANREL.say("@I'll drink to that!@");  // Manrel says
					MANREL.hide();
				}

			case "Penumbra"(remove):
				say("@She's a strange one, but she has the gift.@");

			case "bye"(remove):
				say("@Leaving already?"); 
			
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@And you're not even wobbling yet...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}