void Xiao object# (0x49f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Well met, milady!@";
		npc_1st_greet = "@Ah,'tis the Avatar..@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Welcome back, Avatar.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A wise, scholarly woman.*");
		item.say("@Good " + time_of_day + ", Avatar. For what purpose hast thou come?@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "Avatar"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name" (remove):
				say("@I am Xiao.@");

			case "job" (remove):
				say("@I serve on the Council of Wizards. I also teach spells and sell magical reagents.@");
  				add(["Council of Wizards", "spells", "reagents"]); 

			case "Wisps"(remove):
				say("@Their secret is far more powerful than anything I might teach thee.@");
				add(["powerful"]);

			case "powerful"(remove):
				say("@Truly, it would be terrible if the wrong person were to learn it. Only we of the Council of Wizards know the secret. But, since thou art the Avatar, surely it is safe for thee to learn it as well.@");

			case "Avatar"(remove):
				say("@Your example inspires us all.@");

			case "Council of Wizards"(remove):
				say("@Tis our task to keep the forces of magic in balance throughout the land. We also do what we can to promote the eight virtues.@");
				add(["virtues", "balance"]);

			case "virtues"(remove):
				say("@We created the shrines, many years ago.@");
				add(["shrines"]);

			case "shrines"(remove):
				if (!gflags[ASK_THARIAND_ABOUT_SHRINE])  //flag set so you can ask Thariand about shrines
				{
					say("@Thariand can tell thee more.@");
					gflags[ASK_THARIAND_ABOUT_SHRINE] = true;
				}
				else
					say("@Thariand can tell thee more.@");
				add(["Thariand"]);

			case "Thariand"(remove):
				say("@He is the librarian at the Lycaeum.@");
				add(["Lycaeum"]);

			case "Lycaeum"(remove):
				say("@Surely you know where the Lycaeum is.@");

			case "balance"(remove):
				say("@Not an easy task.@");
			
			case "reagents":
				if (!UI_get_schedule_type(item) == LAB)
					say("@My shop is closed right now.@");	
				else	
					buyReagents(XIAO);
					
					
			case "spells":
				if (!UI_get_schedule_type(item) == LAB)
					say("@My shop is closed right now.@");	
				else	
					magicShopkeeper(XIAO);					
				
			case "bye":
				avatar_goodbye = "@Goodbye, Xiao!@";
				npc_goodbye = "@Thou art always welcome here, Avatar!@";
	
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}