void Aurendir object# (0x487) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	const int WOOL_SELL_PRICE = 5;
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, shepherd..@";
		npc_1st_greet = "@Hi there!@";
				
		av_2nd_greet  = "@Hello..@";
		npc_2nd_greet = "@Hi again!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A short man dressed in shepherds clothing.*");
		item.say("@Hi there! Is there anything I can do for you?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//rune of Humility quest
		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))
			add ("humility");		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{

            case "name"(remove):
                say("@Once I was Aurendir the mighty - now I live a more modest life.@"); // set_flag(SELF,F_MET)
                add(["modest"]);

            case "job"(remove):
                say("@I came here to meditate, tend sheep and sell wool.@");
                add(["meditate", "sheep", "wool"]);

            case "sheep"(remove):
                say("@So they can be shorn.@");
                add(["shorn"]);

            case "shorn"(remove):
                say("@To make wool. People buy it from me.@");
                add(["wool", "buy"]);

            case "wool"(remove):
                say("@It's used to make thread.@");
                add(["thread"]);

            case "thread"(remove):
                say("@To be woven into cloth.@");
                add(["cloth"]);

            case "cloth"(remove):
                say("@You can make robes from it.@");
                add(["robes"]);

            case "robes"(remove):
                say("@I wear a robe while I tend sheep. It's all part of life's great circle.@");
                add(["sheep", "circle"]);

            case "circle"(remove):
                say("@From earth, to grass, to sheep, to me... when I die, I'll return to the earth.@");
                add(["earth"]);

            case "earth"(remove):
                say("@That's right.@");

            case "humility"(remove):
                say("@I used to be a powerful and wealthy mage. I wore silk robes, and fine jewelry. In fact, I even had my own castle.@*");
                say("@But one day in my travels I visited the Shrine of Humility. Meditating there, I had an idea. I would give up all my earthly possessions and quit the practice of magic. I would live as a shepherd! Surely this would be the greatest act of humility a man could perform. And so you see me here today.@");
                if (!UI_get_item_flag(item, SI_ZOMBIE)) //ask about humility
                {
                    giveExperience(5);
                    UI_set_item_flag(item, SI_ZOMBIE);
                }

            case "modest"(remove):
                say("@I used to be a powerful and wealthy mage. I wore silk robes, and fine jewelry. In fact, I even had my own castle.@*");
                say("@But one day in my travels I visited the Shrine of Humility. Meditating there, I had an idea. I would give up all my earthly possessions and quit the practice of magic. I would live as a shepherd! Surely this would be the greatest act of humility a man could perform. And so you see me here today.@");
                add(["Shrine of Humility", "castle"]);

            case "castle"(remove):
                say("@Those days are no more.@");

            case "Shrine of Humility"(remove):
                say("@I should go there again soon... It changed my life.@");

            case "meditate"(remove):
                say("@You should go meditate at the shrine yourself. I find 'lum' a most effective mantra.@");
                if (!gflags[LEARNED_MANTRA_HUMILITY])
                {

                    giveExperience(10);
                    gflags[LEARNED_MANTRA_HUMILITY] = true;
                }

            case "buy":
                say("@I charge 5 gold for a bale of wool. Would you like some?@");
                if (askYesNo())
                {
                    if (hasGold(WOOL_SELL_PRICE))
                    {
                        if (UI_add_party_items(1, SHAPE_WOOL, QUALITY_ANY, FRAME_BALE, true))
                        {
                            chargeGold(WOOL_SELL_PRICE);
                            say("@Very good.@ After accepting your gold, Aurendir hands over the wool.@");
                        }
						else
							say("@You look pretty full to me.@");
                    }
					else
						say("@I'm sorry, but you don't seem to have enough money.@");

                }
				else
					say("@You need only to ask.@");

            case "bye":

                item.say("@See you later.@");
                break;


			case "bye":
			//	say("@Goodbye text if you want, otherwise delete for SI style goodbye barks@");
				
				avatar_goodbye = "@Farewell..@";
				npc_goodbye = "@See you later.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}