
void Conor object# (0x488) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@A moment, milord..@";
		npc_1st_greet = "@Well met, " + polite_title + ".@";
				
		av_2nd_greet  = "@Conor..@";
		npc_2nd_greet = "@Greetings, " + player_name + ".@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A stalwart fellow, with a look of placid concentration.");
			if (isNearby(IOLO))
			{
				IOLO.say("You think you see a brief flicker of recognition pass between Iolo and the fisherman. But before you can be certain, he turns to address you.");
				IOLO.hide();
				add(["Iolo"]);
			}
			item.say("@Good " + time_of_day + ". Is there anything I can do for you?@");
				
		}
		else item.say("@Hello, " + player_name + ". It's good to see you again.@");
			
			//standard conversation options
			var options = ["name", "job", "bye"];
			
		if (inParty(IOLO))
			add("Iolo");

		//humility quest
		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))
			add ("humility");

		if (UI_get_item_flag(KORANADA, MET)) //spoke to Koranda in serpents hold
			add ("guildmaster", "shield");


		/////////////////////////////////////////////////////////////////////
		// Main conversation thread
		/////////////////////////////////////////////////////////////////////
			converse(options)
			{
			case "name"(remove):
				say("@Oh, forgive me for not introducing myself. I am Conor Starfalcon. And what is your name?@");  // question
				say("@Well met, " + polite_title + "!@");  // response
				

			case "job"(remove):
				say("@I am a fisherman. In catching fish, as in all of life, there is something to be learned.@");
  				add(["fish"]); 

			case "Iolo"(remove):
				say("@We've met before. But that was many years ago.@");
				add(["years"]);

			case "years"(remove):
				say("@Yes, long ago.@");

			case "fish"(remove):
				say("@I still have not mastered the way of the fisherman. But I think perhaps the key to enlightenment lies not so much in the destination as in the road one travels.@");
				add(["way"]);

			case "way"(remove):
				say("@I am satisfied to live here and learn what I can from the fish.@");

			case "shrine"(remove):
				say("@The Shrine of Humility is far to the southeast. I'd be glad to take you there in my boat but I'm afraid it is too small to weather the high seas.@");
				add(["boat"]);

			case "boat"(remove):
				say("@It's down at the beach. Feel free to borrow it if you have need.@");

			case "humility"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE)) 
				{
					say("@You seek to find the humblest in New Magincia? That's a difficult task. I'd hate to commend one of my neighbors to you and fail to do justice to the others. The one thing I can tell you for certain is that it isn't me you're looking for.@");
					giveExperience(15);
					UI_set_item_flag(item, SI_ZOMBIE); //item flag for learning whos humble. 
				}
				else say("@You seek to find the humblest in New Magincia? That's a difficult task. I'd hate to commend one of my neighbors to you and fail to do justice to the others. The one thing I can tell you for certain is that it isn't me you're looking for.@");
				add(["mantra"]);

			case "mantra"(remove):
				if (!gflags[LEARNED_MANTRA_HUMILITY])
				{
				say("@The Mantra of Humility is 'lum'. If you seek the shrine, I hope you find it.@");
				gflags[LEARNED_MANTRA_HUMILITY] = true;
				giveExperience(30);
				}
				else say("@The Mantra of Humility is 'lum'. If you seek the shrine, I hope you find it.@");
				add(["shrine"]);

			case "guildmaster"(remove):
				say("@I used to be a guildmaster. But that was long ago.@");
		
			case "shield"(remove):
				say("@I no longer follow the way of the warrior.@");
				
			case "bye":
				say("@If I can help you with anything else, let me know.@");
					
				avatar_goodbye = "@Farewell, Conor.@";
				npc_goodbye = "@Safe travels, friend.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
		
			}                               
	}
	else scheduleBarks(item);
}