
void Dunbar object# (0x482) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Shopkeeper options
	//Function:  sellFood(var npc, var food_drink_options, var prices, dialog)
		
	var food_drink_options =["nothing", "mead", "ale", "wine", "beef", "mutton", "fish"];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_BEEF, FRAME_MUTTON, FRAME_TROUT];
	var prices = [3, 2, 4, 6, 4, 3];

	//dialog options
	var	initial_choice_question = "@Which of these?@";
	var	askIfInterested1 = "@For that I charge a modest ";
	var askIfInterested2 = " gold. Want some?@"; //split into two to capture price
	var ask_quantity = "@How many?@";
	var	cant_afford = "@I'm afraid you haven't enough money for it.@";
	var	cant_hold = "Dunbar looks at you. @You haven't any room in your pack.@";
	var	saidNo = "@Anything else?@";
	var	success = "Dunbar gives you the "; 
	var success2 = ". That aught to hold you.@";	
	var nothing = "@Anything else I can do for you?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	//Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello there.@";
		npc_1st_greet = "@Welcome!@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Ah, of course!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A plump, jovial fellow chewing on a leg of lamb.*");
		item.say("@Welcome to the Humble Palate.@");

		if (!UI_get_item_flag(item, PETRA)) //using petra flag because met flag is automatically true for him?
		{
			UI_set_item_flag(item, PETRA); //sets met flag
		}
		else 
			item.say("@Anything else I can do for you?@");	
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))
			add ("humility");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Dunbar@, he says between bites of mutton.");
				
			case "job"(remove):
				say("@I sell fish, ale, mead, wine, and mutton.@");
				add("buy");

			case "buy": 
				if (!shop_is_open)
					say("@Come back during business hours and I'll be happy to serve thee.@");
				else
					sellFood(DUNBAR, food_drink_options, prices, food_drink_frames, dialog);
	
			case "Conor"(remove):
				if (!UI_get_item_flag(CONOR, NAKED)) //knows about guild 
				{
					say("@I hear he used to be the head of some important guild.@");
					UI_set_item_flag(CONOR, NAKED);
				}
				else say("@I hear he used to be the head of some important guild.@");
				add(["guild"]);

			case "guild"(remove):
				say("@I don't know anything about it, but maybe it explains that strange glow you can see over by his house at night.@");
				add(["glow"]);

			case "glow"(remove):
				say("@Go see for yourself.@");

			case "humility"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE)) 
				{
					giveExperience(5);
					UI_set_item_flag(item, SI_ZOMBIE); //item flag for learning whos humble. 
				}
				say("@Serving others it the humblest occupation I could imagine. That's why I opened this place.@*");
				say("He pauses to wipe his mouth with the back of his hand.");
				
			

			case "bye":
				say("@If I can help you with anything else, let me know.@");
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Come back anytime!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}