
void William object# (0x489) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "strangers"; 
	else 
		greeting = "stranger"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello..@";
		npc_1st_greet = "@Howdy!@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Howdy, welcome back.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("An old farmer who looks to have has made his peace with life.");
		item.say("@Howdy, " + greeting + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//Humility rune quest
		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))   //for new magincia rune quest
			add ("humility", "rune");
		
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@M'name is William.@");

			case "job"(remove):
				say("@I'm a farmer.@");
  				add(["farmer"]); 

			case "rune"(remove):
				say("@Ask Antonio.@");
				add(["Antonio"]);

			case "Antonio"(remove):
				say("@The lord of New Magincia.@");
				add(["New Magincia"]);

			case "New Magincia"(remove):
				say("@That's where ya are now.@");

			case "farmer"(remove):
				say("@Working the earth is the lowest form 'o labor. But it provides food for them as writes books, plays music, and other such things. Surely 'tis a humble living, to devote yer life to farmin'. It's about all I do with meself, 'cept when I find time for carvin' hippos.@");
				add(["hippos"]);


			case "humility"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE)) 
				{
					giveExperience(5);
					UI_set_item_flag(item, SI_ZOMBIE); //item flag for learning whos humble. 
					
				}
				say("@Working the earth is the lowest form 'o labor. But it provides food for them as writes books, plays music, and other such things. Surely 'tis a humble living, to devote yer life to farmin'. It's about all I do with meself, 'cept when I find time for carvin' hippos.@");
				add(["hippos"]);


			case "hippos"(remove):
				say("@I'll show ya one.@ The old man gets a fiendish gleam in his eyes as he reaches into his pouch and takes out a small wooden hippo. @Aint she purty? If I don't make the purtiest gol' danged hippos you ever did see, you can call me Mortimer.@");
				add(["Mortimer"]);

			case "Mortimer"(remove):
				say("@He's a mighty foolish fellow.@");
			
			case "bye":
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@See ya.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}