
void Blaine object# (0x41b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, gypsy.@";
		npc_1st_greet = "@Good " + time_of_day + ".@";
				
		av_2nd_greet  = "@Blaine..@";
		npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A slightly built gypsy lad.*");
		if (inParty(BLAINE))
		{
			item.say("@I knew it! You don't really want to have a gypsy around.@*");
			item.say("@You wish me to leave you now, right?@");
			if (askYesNo())
			{
				item.say("@Fine. I'll be with my fellow gypsies if you change your mind.@");
				var pos = UI_get_object_position(BLAINE);
				if (isEquipped(BLAINE, SHAPE_ANY))
				{
					item.say("@I suppose you'll be wanting to keep all this equipment.*@");
					item.say("He leaves everything he was carrying in a pile on the ground.");
					dropAllItems (BLAINE, pos);
				}
									
				script item
					call leaveParty, MOVE_NPC2;
				sayGoodbyeAbrupt(item, "No one wants a gypsy around!");		
				return;
			}
			else
			{
				item.say("@Oh, pardon my mistake. It's just that we gypsies often have trouble finding acceptance among the gorgios.@*");
				item.say("@I'm very grateful that you've given me the chance to come along on your quest.@");
			}

		
		}
		else if (gflags[KADOR_SAD] == true)
		{
			item.say("@Our dog did his best trick for you. You should show him some appreciation.@");
			sayGoodbyeAbrupt(item, "Apologize to Kador!");
			return;
		
		}
		else
			item.say("@Good " + time_of_day + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{

			case "name"(remove):
				say("@I am called Blaine.@");
				
			case "job"(remove):
				say("@I am a juggler. But I would fain join thee and go adventuring.@");
				add(["juggler", "buy", "advice"]); 
				if (!(item in party))
					add("join");


			case "juggler"(remove):
				say("@I charge five gold for juggling. Would you like to see some?@");
				if (askYesNo())
				{
					if (hasGold(5))
					{
						chargeGold(5);
						say("The gypsy juggler takes three wands out of his knapsack and sets their ends afire. Tossing them into the air, he begins juggling.");
						say("The pattern is elaborate, almost hypnotic as the tips of the wands describe great flaming arcs and spirals through the air. At regular intervals he tosses one around behind his back. Yet somehow it always finds its way back into the pattern with the other two, without missing a beat.");
						say("At last he catches all three of the wands in one hand, waves them with a great flourish, and bows deeply before you. As he extinguishes the wands, he says @I hope you enjoyed the show.@");
					}
					else 
						say("@Best check your purse.@");		
				}
				else
					say("@Perhaps some other time.@");
				




			case "advice"(remove):
				say("@My advice will cost you a gold coin. What do you say?@");
				if (askYesNo())
				{
					if (hasGold(1))
					{
						chargeGold(1);
						say("Almost due east of Iolo's hut there lives a powerful enchanter...@");
						if (!gflags[LEARNED_ABOUT_NICODEMUS]) //lets you ask others about Nicodemus
							gflags[LEARNED_ABOUT_NICODEMUS] = true;
					}
					else 
						say("@Best check your purse.@");		
				}
				else
					say("@Perhaps some other time.@");


			case "join" (remove):
				say("@Do you want me to come with you?@");
				if (askYesNo())
				{
					if (UI_get_array_size(party) < 6)	
					{
						say("@I look forward to the many adventures we will share.@");
						UI_add_to_party(item);
						sayGoodbye2(item);
						return;
					}
					else
						say("@I believe thou hast enough travellers for one group.@");
				}
				else
					say("@Okay. Let me know if you need my help later.@");
					
	
			case "bye":
				say("@Here's a little tune to lighten your step on the road ahead.@");
				say("@'Said the youthful earl to the gypsy girl, As the moon was casting its silver shine: 'Dear little lady, my gypsy lady, Let me kiss those sweet lips of thine'.@");
				
				avatar_goodbye = "@Thanks..@";
				npc_goodbye = "@Anytime, " + polite_title + "@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}