void Dupre object# (0x404) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, PETRA); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Dupre..@";
		npc_1st_greet = "@Dupre..@";
				
		av_2nd_greet  = "@Yes, my friend?@";
		npc_2nd_greet = "@Yes, my friend?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	

		item.say("You see a ruggedly handsome man, wearing a gleaming suit of armor.");
		item.say("@Yes, " + player_name + "?@");		
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//if you met Smith, or asked Patrick or Taynith about ducks, or have received the rubber ducky from Daros, Dupre will mention ducks (a nod to ultima 2 apparently)
		if (UI_get_item_flag(SMITH, MET) || gflags[ASK_ABOUT_DUCK] || gflags[GOT_DUCK])	
		add("duck");
	
	
			
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@It's Dupre - sounds like dew pray, remember?@");

			case "job"(remove):
				say("@Why, questing, of course! We've been on many a quest together, you and I.@");
  				add(["quest", "join"]); 

			case "quest"(remove):
				say("@Yes, you've gone on some really fine ones. When you're not around I have to settle for rescuing damsels, finding grails, and the like.@");
				add(["damsels", "grails"]);

			case "damsels"(remove):
				say("@It could be worse. Some of them are pretty eager to show their gratitude, if you know what I mean...@");
				add(["gratitude"]);

			case "grails"(remove):
				say("@That's right. Lord British likes to keep grails around to use at his banquets, but he's always losing them.@");
				add(["banquets"]);

			case "gratitude"(remove):
				say("@Wink wink, nudge nudge, say no more...@");

			case "banquets"(remove):
				say("@He'll throw us a fine feast if you can deal with the gargoyle invasion somehow.@");
				add(["gargoyles"]);

			case "gargoyles"(remove):
				say("@They may be the toughest threat we've ever faced.@");

			case "leave"(remove):
				say("@Lord British gave me strict orders not to leave your side until this quest is complete. Besides, you know how I hate to miss a good quest.@");
				add(["I insist..."]);

			case "I insist..."(remove):
				say("@If thou dost insist, I suppose I can step away for a while. But don't leave me in the lurch too long. Lord British will have mine head!@");
				say("@Shall I wait here or leave for a while?@");
				add(["wait here", "leave a while"]);

			case "join"(remove):
				if (!inParty(item))
				{
					if (UI_get_array_size(party) < 8)	
					{
						say("@Gladly, let's get back to our quest.@");
						UI_add_to_party(item);
						return;
					}
					else
						say("@I'm afraid there is no room in thy party for me.@");
				}
				else
					say("@I've been with you since the start of this quest, haven't I?@");
				
			case "duck"(remove):
				say("@Please, let's not talk about ducks...@");


			case "leave"(remove):
				say("@Lord British gave me strict orders not to leave your side until this quest is complete. Besides, you know how I hate to miss a good quest.@");
				add(["I insist..."]);
				
			case "I insist..."(remove):
				say("@If thou dost insist, I suppose I can step away for a while. But don't leave me in the lurch too long. Lord British will have mine head!@");
				say("@Shall I wait here or leave for a while?@");
				
					var choice = chooseFromMenu2(["wait here", "go home"]);
					if (choice == "wait here")
					{
						say("@I shall wait here then. Shouldn't be too long, right?@");
						UI_remove_from_party(item);
						UI_set_schedule_type(item, WAIT);
						sayGoodbye2(item);
						
					}
					else
					{
						say("@I will wait for thee at the Blue Boar. Do hurry back, and we'll resume our quest.@");
					
						UI_set_schedule_type(item, WANDER);
						
						//call leave party function
						script item
							call leaveParty, MOVE_NPC2;
						sayGoodbye2(item);					
					}
					break;
			
		
			case "bye"(remove):
				say("@Yes, enough chit chat. Let's go find some action!@");
					
				avatar_goodbye = "@That is all for now..@";
			
				npc_goodbye = "@Let us journey onward!@";
			
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}