void Gwenno object# (0x457) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, PETRA); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, friend!@";
		npc_1st_greet = "@Avatar, hello!@";
				
		av_2nd_greet  = "@Gwenno..@";
		npc_2nd_greet = "@Yes, " + polite_title + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	

		item.say("A plainly dressed bard.");
		if (item in party) 
			item.say("@Is there something you needed to know?@");
		else
			item.say("@Hello, " + player_name + ".@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
	
		if (item in party)
			add("leave");
		
		if (gflags[ASKED_SELGANOR_ABOUT_RUNE])
			add("tune");
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@It's me, Gwenno. You have been away from our realm a long time, haven't you...@");
		

			case "job"(remove):
				say("@Iolo's apprentice has taken over my job at Iolo's Bows.@");
				say("@These days I've been transcribing the folk songs of Britannia into numerical notation for the artisan's guild.@");
				if (item in party)
					say("@Of course, helping you on your quest is more important than that right now.@");
				else 
					say("@Of course, if you need my help, I could leave the guild for a time and join you.@");
					add(["Iolo's Bows", "folk songs","notation", "Artisan's Guild", "join"]); 
		  
		 
			case "Artisan's Guild"(remove):
				say("@Selganor can tell you more about the guild than I could.@");
				add(["Selganor"]);
			
			case "Selganor"(remove):
				say("@He's the guildmaster.@");
			
			
			case "join"(remove):

				if (UI_get_array_size(party) > 6)	
				{
					say("@You have enough travelling with you already. If you ask one of them to leave first, I'd be happy to join you.@"); 
				}	
				else
				{
					if (inParty(IOLO)) 
					{
						say("She runs over and hooks arms with Iolo, and they dance around and around. They're obviously very happy to see each other again.");
						UI_add_to_party(item); 
						sayGoodbye2(item);
					}
					else
					{
						say("@Okay! It will be nice to spend some time on the road again.@");
						UI_add_to_party(item); 
						
					}
					break;
				}
			   
			case "leave"(remove):
				if (!item in party)
				{
					say("@I'd have to join you before I could leave, silly!@");
				}
				else say("@Dost thou want me to wait here or should I go home?@");
				var pos = UI_get_object_position(item);
				converse(["wait here", "go home"])
				{
					case "wait here":
						say("@Very well. I shall wait here until thou dost return.@");
						UI_remove_from_party(item);
						UI_set_schedule_type(item, WAIT);
						sayGoodbyeAbrupt2(item, "I'll be waiting here for thee.");
						return;
					
					case "go home":
						say("@All right. I'll head back home to Minoc. Come let me know if you need me to join you again later. I'll leave all my things here - some of them might come in handy for you.@");
						dropAllItems (GWENNO, pos);
						if (inParty(IOLO))
							say("She gives Iolo a big hug before she leaves. @Remember to keep your socks dry@, she says, @and I'll see you when the quest is done.@");   
						script item
							call leaveParty, MOVE_NPC2;
						sayGoodbyeAbrupt(item, "Safe travels!");
						return;								
						
				}


		   
			case "folk songs"(remove):
				say("@The songs of a people are an important part of their heritage. Putting them down on paper helps preserve our traditions for future generations.@");
				add(["traditions"]);
		   
			case "traditions"(remove):
				say("@I'm so glad you appreciate the value of tradition.@");

			case "Iolo"(remove):
				say("@A bit scruffy, but he's the sweetest husband I could ever ask for.@");
				if ((inParty(IOLO)) && (canTalk(IOLO)))
				{
					IOLO.say("@You're only saying that because it's true.@ He gives her a kiss.@"); 
					IOLO.hide();
				}
			
			case "Iolo's Bows"(remove):
				say("@If you need a good crossbow, the shop is in Britain, over by the Blue Boar.@");
				add(["Blue Boar"]);
		   
			case "Blue Boar"(remove):
				say("@It's a lively place.@");
		   
			case "notation"(remove):
				say("@A number for every note, and a note for every number.@");
				add(["note", "number"]);

			case "note"(remove):
				say("@Each note is represented by one number@");
				add(["number"]);

			case "number"(remove):
				say("@Each number represents one note.@");
				add(["represents"]);

			case "represents"(remove):
				say("@I knew you'd catch on!@");
		 
			case "tune"(remove):
				say("@Oh, Selganor sent you, did he? I bet you want to learn '@Stones.@"); //remove @
				add(["Stones"]);
		   
			case "Stones"(remove):
				say("@In the standard numerical notation, it reads '678987 8767653'.@");
				if (!gflags[LEARNED_STONES])
					gflags[LEARNED_STONES] = true;
				//will probably change this quest to the SNES version, where the Avatar just learns how to play it. 


			case "bye"(remove):
				avatar_goodbye = "@Goodbye, Gwenno.@";
				npc_goodbye = "@Nice talking with you.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
		
			}                               
		}
		else scheduleBarks(item);
}