void Iolo object# (0x401) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var pos = UI_get_object_position(item);
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//for Iolo's money handling functions
	var gold = UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
	UI_error_message("Iolo counted " + gold + " gold coins in the party.");
	
	var spam = 0; //spam counter
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, PETRA); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Iolo..@";
		npc_1st_greet = "@Yes, my friend?@";
				
		av_2nd_greet  = "@Iolo..@";
		npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	

		item.say("Your old friend Iolo.*");
		item.say("@Well, " + player_name + ", do you need help with something? Or maybe you've got time for a story, eh?@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "story", "leave", "gargoyles", "help"];
	
		if (!inParty(IOLO))
			add (["join"]);
	
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Iolo's the only name I remember having.@*");
				say("He pronounces his name 'Yo-low.'");
	

			case "job"(remove):
				say("@I've been a crossbow maker for so long, I've gotten weary of it. Hopefully, now that my apprentice has taken over the shop, I'll be able to spend more time as a bard.@");
  				add(["apprentice", "bard"]); 

			case "apprentice"(remove):
				say("@My shop still sells the finest crossbows in the land. I've done a lot over the years to refine the design, and I trained my apprentice well. I'm sure she'll carry on the tradition in fine fashion.@");
				
			case "bard"(remove):
				say("@Yes, it's always been a hobby of mine. Have you heard the piece 'Stones' that I composed some years ago?@");
				if (askYesNo())
					say("@It's one of my favorites.@");
				else
				{
					say("@Oh, you should get my wife Gwenno to teach it to you some time.@");
					add(["Gwenno"]);
				}

			case "guild" (remove):
				say("@Though there is still need for the instruments of war, as I grow in years I would now take up those of peace.@");
				
			case "help"(remove):
				say("@If you want me to gather all our gold together so you can carry it, just say so.@");
				add(["Spam", "gather"]);
				
			case "gather"(remove):
				if (inParty(IOLO))
				{
					if (gold > 0)
					{
						//get remaining gold
						var gold_remaining = gold;
						
						//divide gold in remaining stacks of 100 first
					//	var gold_stacks = gold / 100; 
						
						//delete all party gold first
						chargeGold(gold); 
						
					//	UI_error_message("Iolo counted " + gold + " gold coins in the party after removing it to gether.");
						
						//re-add gold 
						UI_add_party_items(gold_remaining, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY, false);
						
						
						
					//	UI_error_message("Iolo re-added" + gold + " gold coins to the party.");
						
						//re-distribute party gold to the Avatar, as much that can be carried
						say("Iolo gathers up everyone's gold and hands it to you.");
						
					}
					else
						say("@None of us are carrying any gold, " + polite_title + ".@");
				
				}
				else
					say("@Maybe you should ask me to join the party first.@");

			case "Spam"(remove):
				if (spam == 2)
				{
					say("@Ask Shamino about that.@");
					add(["humbug"]); 
				}
				else
				{
					say("@Ask Shamino about that.@");
					spam = (spam + 1);
					add(["Spam"]);
				}


			case "Gwenno"(remove):
				say("@She's had more time to develop her musical talents than I all these years. But after this quest I hope to join her in Minoc and enter the artisan's guild.@");
				add(["Minoc", "guild", "quest"]);

			case "Minoc"(remove):
				say("@Not as big as Britain, but it's a peaceful town.@");
				add(["Britain"]);


			case "humbug"(remove):
				say("@Avatar, thou knowest I do not condone cheating, however, it's much easier just to use the F2 Cheat menu in Exult...@");
				
			case "quest"(remove):
				say("@There always seems to be a quest when you come to visit us, doesn't there? Some time you should just drop by for tea.@");
				add(["tea", "home"]);

			case "tea"(remove):
				say("@All right, make it Frasier's Folly, then.@");
				add(["Frasier's Folly"]);

			case "Frasier's Folly"(remove):
				say("@A drink worthy enough to greet an old friend.@");
				
			case "Britain"(remove):
				say("@You know. Where Mr. Nose hangs out.@");
				if (!gflags[MR_NOSE]) //can now ask LB of his nickname
					gflags[MR_NOSE] = true;
				add(["Mr. Nose"]);


			case "Mr. Nose"(remove):
				say("@Remember, he doesn't like people to call him that...@");
	
			case "gargoyles"(remove):
				say("@They're pretty ugly looking, if you ask me...@");
				
			case "leave"(remove):
				say("@His nibs, the king, told me I should stay with you constantly. I'll make an exception when you have to relieve yourself, of course.@");
				add(["exception"]);

			case "home"(remove):
				say("@My hut is in the Deep Forest, south of Yew. My horse Smith lives there.@");

			case "story"(remove):
				say("@My favorite one is about the time I had to wake Dupre up for a tournament...@");
				if (isNearby(DUPRE))
				{
					DUPRE.say("Dupre cuts in. @Iolo! You promised NEVER to tell anyone about that!@");
					DUPRE.hide();
					say("@Yes, you're right. I'm sorry.@ He whispers to you, @Ask me later when he's not around...@");
				}
				else
					say("@But maybe I shouldn't tell you about that. After all, I did promise...@");
				

			case "join"(remove):
				if (!inParty(IOLO))
				{
					say("@It's about time, " + player_name + ". I'm ready to get back to adventuring.@");
					if (UI_get_array_size(party) < 8)	
					{
						UI_add_to_party(item);
						sayGoodbyeAbrupt(item, "Let us be off!");
					}
					else
						say("@You have enough travelling with you already. But if you ask one of them to leave first, I'd be happy to join you.@"); 
				
				}
				else
					say("@I've been with you since we saved you from those gargoyles, haven't I?@");  // If all ready in the party
		

			



			case "exception"(remove):
				say("@Is it absolutely imperitive that I should leave you?@");
				if (askYesNo())
				{
					say("@Alright then, if thou insists. Should I wait a little bit here or should I go home?@");
					converse(["wait here", "go home"])
					{
						case "wait here":
							say("@Very well. I shall wait here until thou dost finish taking care of business...@");
							UI_remove_from_party(item);
							UI_set_schedule_type(item, WAIT);
							sayGoodbyeAbrupt(item, "I shall wait here for thee.");
							//UI_clear_item_flag(item, READ); 
						//	delayedBark(item, "I shall wait here for thee.", 2);
							return;
						
						case "go home":
							say("@Okay. I suppose I can go home and make sure Smith still has plenty of hay. My hut is just outside of Empath Abbey. Don't take too long, as I am disobeying direct orders from Lord British...@");
							say("Iolo turns to leave, looking somewhat dejected.");  //  
							//purge of items
							dropAllItems (IOLO, pos);
					
							script item
								call leaveParty, MOVE_NPC2;		
							sayGoodbyeAbrupt(item, "Don't take too long..");
							return;
					}			

				}
				else 
					say("@Well, I shall stay with you then.@");	


		
			case "bye"(remove):
				say("@I've still got to tell you that story about Dupre sometime...@");  
				
				avatar_goodbye = "@That is all for now, friend.@";
				npc_goodbye = "@Remind me about the story later..@";
		
			
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}