
void Dorin object# (0x47a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int WOOL_SELL_PRICE = 5;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings..@";
		npc_1st_greet = "@Hello!@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Ah, hello!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A plump older woman with an apron about her waist.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Hello,@ she says in a scratchy yet firm voice. @What can I do for ye?@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@Oh, good, you've come back. Perhaps for some pie?@ She smiles broadly.");
			if (UI_get_item_flag(item, SI_ZOMBIE))
			{
				item.say("@You're just in time, I baked one just for you!@ She gives you a freshly baked pie.@");
				UI_add_party_items(1, SHAPE_FOOD, QUALITY_ANY, 5, true);
				UI_clear_item_flag(item, SI_ZOMBIE); //pie gone
			}
			add("pie");
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(MORTUDE, MET))
			add ("Mortude");

		if (UI_get_item_flag(TIMOTHY, MET))
			add ("Timothy");

		if (UI_get_item_flag(MARISSA, MET))
			add ("Marissa");

		if (UI_get_item_flag(MERIDETH, MET))
			add ("Merideth");

		if (UI_get_item_flag(GRISON, MET))
			add ("Grison");

		if (UI_get_item_flag(HENDLE, MET))
			add ("Hendle");

		if (UI_get_item_flag(UBERMON, MET))
			add ("Ubermon");

		if (UI_get_item_flag(ARBETH, MET))
			add ("Arbeth");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Dorin. Nice to meet you.@");
				add(["Dorin"]);

			case "job"(remove):
				say("@At the moment, only Meri and I are here, so I guess I must conduct the business.@");
  				add(["business"]); 

			case "mother"(remove):
				say("@She was a wonderful cook. Taught me all I know.@");

			case "Dorin"(remove):
				say("@It was my mother's name.@");
				add(["mother"]);

			case "business"(remove):
				say("@We are shepherds. We sell wool.@");
				add(["wool"]);

			case "wool"(remove):

				say("@We charge 5 gold for a bale of wool. Would you like some?@");
					if (askYesNo())
					{
						if (hasGold(WOOL_SELL_PRICE))
						{
							if (UI_add_party_items(1, SHAPE_WOOL, QUALITY_ANY, FRAME_BALE, true))
							{
								chargeGold(WOOL_SELL_PRICE);
								say("@Very good.@ After accepting your gold, Dorin hands over the wool.@");
							}
							else 
								say("@You look pretty full to me.@");
						}
						else
							say("@I'm sorry, but you don't seem to have enough money.@");

					}
					else
						say("@You need only to ask.@");

			case "Timothy"(remove):
				say("@He and I like to care for the less fortunate people in town. I like him alot.@");
				
			case "Mortude"(remove):
				say("@Old Shorty, eh? He's actually quite a nice little man.@");

			case "Marissa"(remove):
				say("@A bit caught up in herself, but likable.@");

			case "Arbeth"(remove):
				say("@Poor little guy. He's afraid of the dark, or so I'm told.@");

			case "Grison"(remove):
				say("@He has the best flour in all the land.@");

			case "Merideth"(remove):
				say("@She's my little angel. If you see her around here, tell her I have errands to run.@");

			case "Hendle"(remove):
				say("She winces at his name. @He is a hard worker, but sometimes his smell is quite strong.@");

			case "Ubermon"(remove):
				say("@I like to go on walks with Uby. He has such an interesting life.@");

			case "pie"(remove):
				if (!UI_get_item_flag(item, PETRA))
				{
					say("@Yes, I'm baking the nicest shepherd's pie right now. It's not done yet, but you can have a slice as soon as it is!@");
					UI_set_item_flag(item, SI_ZOMBIE); //will have pie ready next time
					UI_set_item_flag(item, PETRA); //so you can ask about pie next time
				}
				
				else 
				{
					say("@Oh, dear, I'm afraid you just missed the last piece. But I'm baking another, and I'll be sure to save you a slice!@"); 
					UI_clear_item_flag(item, PETRA);
				}
					
					
			case "bye"(remove):
				say("@She wipes her hand on her apron, and then waves it at you.@");;
				avatar_goodbye = "@Farewell..@";
				npc_goodbye = "@Take care!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}