
void Dr_Cat object# (0x47f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var title;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	const int MEAD_PRICE = 3;
	const int ALE_PRICE = 2;
	const int WINE_PRICE = 5;
	const int MUTTON_PRICE = 3;
	const int MILK_PRICE = 5;

	const int FRAME_MILK = 7;
	const int FRAME_BUCKET_MILK = 7; 

	//Book Dr. Cat wants that is in Lycaeum
	const int QUAL_SNILWIT = 7;

	//For NIM

	var wager;
	var avatar_beads;
	var dr_cat_beads;
	var remaining;
	var party_gold = countGold(party);
	var turn;

	//Shopkeeper options
	//sellFood(var npc, var food_drink_options, var prices, dialog)
	
	var food_drink_options =["nothing", "mead", "ale", "wine", "milk", "mutton"];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_MILK, FRAME_MUTTON];
	var prices = [3, 2, 5, 3, 5];

	var	initial_choice_question = "@Which- ale, mead, wine, milk, or mutton?@*";
	var	askIfInterested1 = "@That's "; //split into two to capture price
	var askIfInterested2 = " crowns. Want some?@";
	var ask_quantity = "@How many do you want?@";
	var	cant_afford = "@You can't afford it right now.@";
	var	cant_hold = "@You haven't any room in your pack.@";
	var	saidNo = "@Suit yourself.@";
	var	success = "He gives you the "; 
	var success2 = "@Enjoy!@";	
	var nothing = "@Anything else you need?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];	

	if (player_is_female) 
		title = "princess";
	else 
		title = "prince";
	
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, barkeep.@";
		npc_1st_greet = "@Watch the cats..@";
				
		av_2nd_greet  = "@Dr. Cat..@";
		npc_2nd_greet = "@Welcome!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("An amused looking gentleman.*");

		if (UI_get_schedule_type(item, TEND_SHOP) && isNearby(TAYNITH))
		{
			item.say("@You'll have to excuse me, but the bar's closed right now.@*");
			item.say("@Taynith and I have a lot to talk about.@");
			delayedBark(AVATAR, "Mine apologies..", 0);
			delayedBark(DR_CAT, "Come back tomorrow, friend.", 1);
			return;
		}
		else if (isNearby(SHERRY)) 
		{
			item.say("@Ah, I see you've brought me a tasty little mouse to feed my pets...@");
			SHERRY.say("@Eeeek!@");
			SHERRY.hide();
			item.say("@Don't worry, I was just kidding... Any friend of Lord British is a friend of mine.@");
		}
		item.say("@Welcome to the Cat's Lair@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(TAYNITH, MET))
			add ("Taynith");
			
		if (UI_get_item_flag(MANDRAKE, MET))
			add ("Mandrake");	

		if (gflags[ASK_ABOUT_DUCK]) //asked Taynith about duck
			add ("duck");

	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name's Dr. Cat@");

			case "patrons"(remove):
				say("@This is a nice friendly town. All the townsfolk know each other. We get a lot of visitors, too.@");
				add(["visitors"]);

			case "visitors"(remove):
				say("@I chose Paws for my tavern because it's right on the King's Way, midway between Britain and Trinsic. There's no better travelled spot in all Britannia, and that makes for good business.@");
				add(["Paws", "Britain", "Trinsic"]);

			case "Paws"(remove):
				say("@I like the name of the town too, of course!@");

			case "Britain"(remove):
				say("@A nice place to visit, eh?@");

			case "Trinsic"(remove):
				say("@A bit too honorable for my tastes, if you know what I mean...@");

			case "Taynith"(remove):
				say("@Taynith is my dearest friend. Her gypsy band travels the King's Way. Once a week, she stops in to say hello.@");
				add(["gypsy"]);

			case "gypsy"(remove):
				say("@Don't get the two gypsy bands mixed up... Taynith travels with Zoltan. The other group are a bunch of pickpockets and scallawags..@");
				add(["Zoltan"]);

			case "Zoltan"(remove):
				say("@Yes, Zoltan, king of the gypsies!@");
				add(["king"]);

			case "king"(remove):
				say("@I guess you can call yourself king of anything, if nobody comes along to dispute it...@");

			case "duck"(remove):
				if (UI_get_item_flag(item, CONFUSED)) //if first time asked about duck
				{
					say("@A friend of Taynith's, are you? Here, have one on the house.@");
					if (UI_add_party_items(1, SHAPE_BOTTLE, FRAME_ALE, QUALITY_ANY, true))
					{
						say("He hands you an ale.");
						UI_set_item_flag(item, CONFUSED); //gave bottle already
					}
					else
						say("@You've got your hands full at the moment, ask me again later.@");
				}
				say("@Taynith bet me one time I couldn't catch a duck with my bare hands. So I did, and had a leash made for it, so I could give it to her as a pet.@*");
				say("@I doubt she still has it, though. I saw Zoltan eyeing it hungrily...@");
				add(["Zoltan"]);

			case "purr"(remove):
				say("@Very good! you purr almost as well as Kytyn.@");
				add(["Kytyn"]);

			case "Kytyn"(remove):
				say("@She lives in Britain.@");

			case "Mandrake"(remove):
				say("@Are you friends of that deadbeat? He owes me for more drinks than I care to think about. The only reason I give him food and drink is because he can't sing with his mouth full!@");  // not sure of the reference or real name here???

			case "job"(remove):
				say("@I sell ale, mead, wine, milk, and mutton.@");
				say("@Of course I like to chat with my patrons, and indulge in a friendly game every now and then.@");
				add(["buy", "patrons", "game"]); 

			case "cats"(remove): 
				say("@If you treat my cats well, they'll treat you the same.@*");

			case "game"(remove): 
				say("@Thindle and Mortude may not agree, but I like a game that provides a little intellectual challenge.@");
				add(["Thindle and Mortude", "challenge"]);

			case "Thindle and Mortude"(remove):
				say("@I'm sure they'd be glad to play a few rounds of flippits with you.@");
				if (!UI_get_item_flag(item, NAKED))
				{
					add(["play"]); 
				}

			case "play"(remove): 
				say("@If only I had a copy of Snilwit's Big Book of Boardgame Strategy...@*");
				say("@Then I could find some really fine games to teach everyone.@");
				if (!UI_get_item_flag(item, NAKED))
				{
					add(["Snilwit's Big Book of Boardgame Strategy"]); 
				}

			case "Snilwit's Big Book of Boardgame Strategy"(remove):
				say("@Have you got a copy of Snilwit's that you'd be willing to sell?@");  
				if (askYesNo())
				{
					if (UI_count_objects(PARTY, 1171, QUAL_SNILWIT, FRAME_ANY > 1))
					{
						if (giveGold(200))
						{
							say("@Great! This is the definitive reference on boardgames. He takes the book and gives you 200 gold crowns.@");
							UI_remove_party_items(1, 1171, QUAL_SNILWIT, FRAME_ANY);
							giveExperience(50);
							UI_set_item_flag(item, NAKED); //so you can't ask him about it again
						}	
						else say("@Put down some stuff, " + player_name + ", so you can carry some gold!@");
					}
					else say("@You must be mistaken.@");
				}
				else say("@That's too bad. I'd pay well for it.@");
			

			case "buy": 
				if (!shop_is_open)
				{
					say("@Come by the Cat's Lair when I'm open for business.@*");
				}
				else
					sellFood(DR_CAT, food_drink_options, prices, food_drink_frames, dialog);
	
		//NIM
			case "challenge":
				say("@I think I've got time for a quick game of Nim...@");
				if (UI_get_item_flag(DR_CAT, SI_ZOMBIE)) //already played once
					say("@Would you like to play again?@");	
				else
					say("@Would you like to play?@");
				
				if (askYesNo())
				{
					say("@Would you care to wager on the outcome, just to keep things interesting?@");
					
					//Recount party gold
					party_gold = UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
					
					if (askYesNo())
					{
						say("@Excellent!@");
						if (UI_get_item_flag(DR_CAT, PETRA)) //beat Dr cat already
						{
							say("@Tell you what... I'm in a reckless mood. This time you can bet as much as you like.@");
						}
						say("@How much would you like to bet?@");
						wager = (UI_input_numeric_value(1, party_gold, 1, 1));
						
						if (hasGold(wager))
						{
							if (wager > 50)
							{
								//Haven't beat Dr. Cat yet
								if (!UI_get_item_flag(DR_CAT, PETRA)) 
								{
									say("@That's a little steep for a friendly game.@");
									say("@Let's just make it 50 crowns.@");
									wager = 50;
								}
							}	
							say("@Let me just remind you of the rules, in case you don't remember. We start with ten pieces.@ He takes some colorful glass beads out of his pocket.@");
							say("@Each player takes turns, taking one, two or three beads out of the pile. Whoever gets the last one wins!@");
									
							//used to determine who goes first, mostly Dr Cat
							turn = UI_get_random(5);
								
							//	Determine who goes first
							// In original, Dr. Cat mostly plays first. Always plays first if a flag is set when you beat him					
							
							if (turn == 5)
								DrCatRandom(wager);  //Chance of beating Dr. Cat - more random in this round. 
							else if (turn <= 2) 
								AvatarFirst(wager);  //Avatar chooses first, can beat him. 
							else 
								Dr_CatFirst(wager);	 //No chance to beat Dr. Cat - he always chooses 2. 
						}
						else
							say("@You don't have that much gold.@");
													
					}		
					else 	
					{
						say("@Well, maybe after you've had a few practice games.@");	
						wager = 0;
						AvatarFirst(wager);
					}
						
						
				}	
				else 
				{
					say("@Purrrrhaps some other time, then.@");
					//clear ZOMBIE flag 
					UI_clear_item_flag(DR_CAT, SI_ZOMBIE);
					add(["purr"]);
				}			
	
					
			case "bye":
				say("@Good night, sweet " + title + ", and flights of angels tend thee to thy rest.@");
				avatar_bark = "@Goodbye!@";
				npc_bark = "@Come back soon!@";
				delayedBark(AVATAR, avatar_bark, 0);
				delayedBark(DR_CAT, npc_bark, 2);
				break;
	
			case "bye":
				say("@Goodbye text if you want, otherwise delete for SI style goodbye barks@");
				
				avatar_goodbye = "@Replace with Avatar's goodbye bark@";
				npc_goodbye = "@Replace with npc's goodbye bark@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}