void Marissa object# (0x477) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//SHOP PRICES
	const int DRESS_SELL_PRICE = 30;

	const int FRAME_FINE_DRESS = 2;
	const int FRAME_TUNIC = 0;

	const int TUNIC_SELL_PRICE = 15;
	const int PANTS_SELL_PRICE = 20;


	const int PANTS = 738;
	const int FRAME_PANTS = 5;
	
	
	
	
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	//shopkeeper stuff
	
	var price;
	var item_choice;
	var item_options = ["nothing", "fine dress", "smart tunic", "pair of pants"];
	var item_shapes = [SHAPE_TOP, SHAPE_TOP, SHAPE_PANTS];
	var item_prices = [DRESS_SELL_PRICE, TUNIC_SELL_PRICE, PANTS_SELL_PRICE];

	var item_frames = [FRAME_FINE_DRESS, FRAME_TUNIC, FRAME_PANTS];
	//
	
			
	//Dialog options
	var initial_choice_question = "@Which one?@"; //arms or armor? etc
	var ask_quantity = "@How many do you want?@";
	var askIfInterested1 = "@It'll cost you "; //needs to be split into array to capture price
	var askIfInterested2 = " gold for that, interested?@";
	var cant_afford = "@How rude! Don't ask for something you can't pay for!@"; 
	var cant_hold = "@You look pretty full to me.@";
	var saidNo = "@Suit yourself,@ she sniffs, offended.";
	var nothing = "@Okay then.@";
	var success = "@Excellent!@ After accepting your gold, Marissa hands over the ";
	var success2 = ".";
	
	var title;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
		title = "madame";
	}
	else 
	{
	//	pronoun = " ";
		title = "sir";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, miss..@";
		npc_1st_greet = "@Yes?@";
				
		av_2nd_greet  = "@Miss Trihune..@";
		npc_2nd_greet = "@Ah yes, hello.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A finely adorned woman with a tight mouth and wide eyes.*");
		if (!shop_is_open)
		{
			
			item.say("She bows stiffly. @I'm sorry, good " + title + ", but my shop is closed for now.@*");
			item.say("@See me some other time, when I am available for business.@*");
			sayGoodbyeAbrupt(item, "@Come again tomorrow..@");
			return;
		}
		else 
		{
			
			if (!UI_get_item_flag(item, MET))
			{
				item.say("@Hello.@");
				UI_set_item_flag(item, MET);
			}
			else
				item.say("@Hello again.@");
			item.say("She bows formally.");
		}
			
		
		//standard conversation options
		var options = ["name", "job", "bye"];
			
		if (UI_get_item_flag(ARBETH, MET))
			add ("Arbeth");

		
		if (gflags[READ_BALLOON_PLANS])	
		{
			add(["silk bag", "silk"]);
		}


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Marissa. You may call me 'Miss Trihune'.@");
				add("Miss Trihune");

			case "job"(remove):
				say("@I create garments of the highest fashion.@");
  				add("fashion"); 

			case "Arbeth"(remove):
				say("@Oh, he's a threadmaker who lives here in town. Silly little man, but a fine spinner.@*");
				say("@I get all my thread straight from him. No other source would do.@");

			case "sell cloth":
				if ((UI_count_objects(PARTY, SHAPE_CLOTH, QUALITY_ANY, FRAME_ANY) > 0))
				{	
					say("@Will you take 20 gold for that cloth?@");
					if (askYesNo())
					{
						giveGold(20);
						say("@Done!@ She hands you 20 gold pieces and takes the cloth.@");
						UI_remove_party_items(1, SHAPE_CLOTH, QUALITY_ANY, FRAME_ANY);
					}
					else
						say("@Just as well. That cloth is rather shabby...@");
				}
				else
					say("@I don't see any cloth, other than what you're wearing!@");

			case "Miss Trihune"(remove):
				say("@Yes, that is much better.@");
		
			case "bolt of silk"(remove):
				say("@Yes, that silly Arbeth person can spin spidersilk into thread.@");
  				say("@Charlotte, from New Magincia, weaves thread into silk cloth.@");
				say("@Bring me a bolt of her finest silk cloth, and then I can sew you a silk bag.@");

			case "silk bag"(remove):
				say("@Oh, I understand. A large silk bag.@");
				say("@Well, 'tis hardly a challenge for one of my skills. But, since it is important, I'll do it.@*");
				if ((UI_count_objects(PARTY, SHAPE_SCROLL, QUALITY_BALLOON_PLANS, FRAME_ANY) > 0)) //checks for baloon plans	
				{
					if ((UI_count_objects(PARTY, SHAPE_SILK_CLOTH, QUALITY_ANY, FRAME_ANY) > 0)) //checks for silk cloth
					{
						say("@But it will cost you 75 gold. Alright?@");
						if (askYesNo())
						{
							if (hasGold(75))
							{
								chargeGold(75);
								UI_remove_party_items(1, SHAPE_SILK_CLOTH, QUALITY_ANY, FRAME_ANY);
								UI_add_party_items(1, SHAPE_BALLOON_BAG, QUALITY_ANY, FRAME_ANY);
								say("She takes the silk cloth and begins to work, following the balloon plans.*");
								say("She works in silence, intent on her sewing. After a while, she completes the silk bag.*");
								say("@There,'tis done!@ she cries, handing you the bag.");
							}
							else
								say("@Come back when you have the gold, " + player_name + ".@");
						}
						else
							say("@Very well,@ she sniffs, offended.");
					}
					else //no silk cloth
					{
						say("@But I'll need a bolt of silk to do it, of course.@");
						add(["bolt of silk", "silk"]);
					}
			
				}
				else
					say("@But I'll need to see the plans.@");

			case "silk"(remove):
				say("@Yes, I can work with silk. But 'tis out of fashion...@*");
				say("@Nobody wears silk clothes this season.@");
	


			case "bye":
				say("@Yes, well, come see me again.@ She yawns widely.");

				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@See you soon..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}