void Patrick object# (0x473) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	var title;
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
		title = "ma'am";
	}
	else 
	{
	//	pronoun = " ";
		title = "sirrah";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, bard!@";
		npc_1st_greet = "@Hello!@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Greetings, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A colorfully garbed bard.*");
		item.say("@Good " + time_of_day + ", " + title + ".@*");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Patrick's the name. What's yours?@");
				var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
				say("@A pleasure.@");

		case "job"(remove):
				say("@Same as any bard - telling stories, singing songs, that sort of thing.@");
  				add(["bard", "stories", "songs"]); 

			case "bard"(remove): 
				say("@I was trained in the conservatory, like most of us.@");
				add(["conservatory"]);

			case "conservatory"(remove):
				say("@Johann, Lazeena, Sionnach--they all studied there.@*");
				say("@Of course, there are always oddballs like Mandrake.@");
				add(["Johann", "Lazeena", "Sionnach", "Mandrake"]);

			case "Johann"(remove):
				say("@A fine bard indeed.@");
				
			case "Lazeena"(remove):
				say("@A fine bard indeed.@");

			case "Sionnach"(remove):
				say("@A fine bard indeed.@");


			case "Mandrake"(remove):
				say("@Completely self taught, he is. Got some odd ideas about the eight virtues.@*");
				say("@I have to give him credit, though...@*");	
				say("@Last time we gathered together for a songwriting competition, he won first prize easily.@");
				add(["virtues"]);

			case "stories"(remove):
				say("@Ok, here's one...@");
				say("@The owl and the pussycat sailed to sea..@*");
				say("@In a beautiful pea green boat.@*");
				say("@Along came a spider and sat down beside them,@*");
				say("@And the cat said 'Whose been sleeping in my bed!'@*");				
				say("@The clock struck one, the owl fell down,@*");
				say("@And three little piggies went 'Wee wee wee wee wee' all the way home.@*");
				say("@I don't understand it at all, but Dr. Cat says that's his favorite story.@");
				add(["Dr. Cat"]);
				
			case "virtues"(remove):
				say("@Ask him yourself.@");

			case "Dr. Cat"(remove):
				say("@He's a decent guy, and he doesn't water his drinks either.@*");
				say("@He told me I should learn a story with some ducks in it, though.@*");
				add(["ducks", "drinks"]);
	

			case "ducks"(remove):
				say("@Don't ask me. If he likes ducks that's his business.@");
				if (!gflags[ASK_ABOUT_DUCK])
					gflags[ASK_ABOUT_DUCK] = true;
				
			case "drinks"(remove):
				say("@Being a bard can be thirsty work.@");
				add(["thirsty"]);

			case "thirsty"(remove):
				say("@A warrior mustn't let his blade grow dull, right?@*");
				say("@Well, so also must a bard keep his throat from getting too dry!@");
				

			case "songs"(remove):
				say("He clears his throat...*");
				say("@A lusty young smith at his feist stood a-firing,@*");
				say("@His hammer lay by but his forge still aglow,@*");
				say("@When to him a buxom young damsel came smiling,@*");
				say("@And asked if to work at her forge he would go.@");
				say("@With a jingle vang jingle vang jingle vang jingle,@*");
				say("@With a jingle vang jingle vang jingle hi ho.@");
				say("@'I will' said the smith and they went off together,@*");
				say("@Unto the young damsel's forge they did go.@*");
				say("@They stripped to go to it--'twas hot work and hot weather,@*");
				say("@She kindled the fire and she soon made him glow.@*");
				say("@With a jingle vang jingle vang jingle vang jingle,@*");
				say("@With a jingle vang jingle vang jingle hi ho!@*");
				say("@I hope you enjoyed the song!@");



			case "bye":
							
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Fare thee well!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}