void Thindle object# (0x475) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	var FRAME_RAND; 
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == SEW)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello..@";
		npc_1st_greet = "@Eh, what was that?@";
				
		av_2nd_greet  = "@Hello again.@";
		npc_2nd_greet = "@Ah!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A little, white haired man hunched over with age.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Yes, yes, yes,@ he says, bobbing his head up and down.");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Back, back, back they come.@ He smiles to himself and claps his hands.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[READ_BALLOON_PLANS])
			add("silk");


		if (UI_get_item_flag(MORTUDE, MET) || UI_get_item_flag(item, SI_ZOMBIE))  
			add ("Mortude");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Thindle the spindler.@ He grins at you.");
				add(["Thindle"]);

			case "job"(remove):
				say("@Sew, sew, I sew 'cause I said so.@");
  				add(["sew"]); 

			case "Thindle"(remove):
				say("@Yes, yes, yes. That was quite a guess!@");

			case "sew"(remove): 
				say("@Sew, sew, I sew 'cause I said so.@");
				add(["buy"]);
  			
			case "buy"(remove): 
				if (!shop_is_open)
				{	
					say("@Oh my, oh my, you must need cloth.@");
					say("@Come to my shop when I'm open and I'll sell you some!@");
				}
				else
				{
					say("@Oh my, oh my, you must need cloth. It'll cost you 15 gold for the cloth. Interested?");
					if (askYesNo())
					{
						if (hasGold(15))
						{ 
							//re-roll random cloth frame
							FRAME_RAND = UI_get_random(5);
							say("@How many?@");
							var quantity = UI_input_numeric_value(1, 20, 1, 1);
							if (UI_add_party_items(quantity, SHAPE_CLOTH, QUALITY_ANY, FRAME_ANY, true))
							{
								chargeGold(15*quantity);			
								say("@Excellent!@ After accepting your gold, Thindle hands over the cloth.@");
								UI_add_party_items(1, SHAPE_CLOTH, QUALITY_ANY, FRAME_RAND);
							}
							else
								say("@You look pretty full to me.@");
						}
						else
							say("@No discounts, friend. Sorry.@");
					}
					else
						say("@Very well, but 'tis fine cloth, yes indeed...@");
				}


			case "sell"(remove): 
				
				if (!shop_is_open)
				{	
					say("@Sell, now, its thread I feel.@");
					say("@Come to my shop when I'm open and I'll buy it.@");  
				}
				else
				{
					say("@Sell, now, its thread I feel.@");
					if ((UI_count_objects(PARTY, SHAPE_THREAD, QUALITY_ANY, FRAME_ANY) > 0))
					{	
						say("@Will you take 6 gold for that thread?@");
						if (askYesNo())
						{
							giveGold(6);
							say("@Done!@ He hands you 6 gold pieces and takes the thread.@");
							UI_remove_party_items(1, SHAPE_THREAD, QUALITY_ANY, FRAME_ANY);
						}
						else
							say("@Very well, very well, I can see you don't want to sell.@");
					}
					else
						say("@Sorry, you don't have any thread.@");
				}


			case "Mortude"(remove):
				say("@Shorty is my friend. We play flippits together.@");
				add(["flippits"]);

			case "flippits"(remove):
				say("@You should learn, you should learn. A nice piece of bone and a small hard pea--that's all ya need.@");
				add(["bone", "pea"]);

			case "bone"(remove):
				say("@Like an old dog bone. You'll need a hat too.@");
				add(["hat"]);

			case "pea"(remove):
				say("@The smaller, the better.@ He pulls an old bone from his pocket and a small pea. @Now you get a hat.@");
				add(["hat"]);

			case "hat"(remove):
				say("He puts the hat down and mumbles @Put the pea in front of bone...@ He gestures with his hands. @...and flippit on home.@*");
				say("The pea sails into the hat.");

			case "silk"(remove):
				say("@Silk? Oh no, oh no. Can't work silk, oh my, no. See Charlotte. She can, yes she can!@");
				add(["Charlotte"]);

			case "Charlotte"(remove):
				say("@Humble Charlotte, yes. She can help you. She lives in New Magincia.@");


			case "bye"(remove):
				
				if (!UI_get_item_flag(item, SI_ZOMBIE)) //to add "Mortude" after talking to him first time
					UI_set_item_flag(item, SI_ZOMBIE);
				else 
					say("@Bye now. Bye. Say hi to Mortude if you see him.@");
								
				avatar_goodbye = "@Farewell..@";
				npc_goodbye = "@Bye now.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}