void Ubermon object# (0x47d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//SHOP PRICES
	const int MILK_BUY_PRICE = 3;
	const int CHEESE_BUY_PRICE = 5;
	const int FRAME_MILK = 7;
	const int FRAME_CHEESE = 26;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		npc_1st_greet = "@Ja?@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Ja, mein freund?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A tall man with a disarming grin.*");
		if (!UI_get_item_flag(item, SI_ZOMBIE)) //"MET" flag doesn't work here for some reason
		{
			
			item.say("Hello, mein freund.*");
			item.say("His thick fingers grab your hand.");
			UI_set_item_flag(item, SI_ZOMBIE);
		}
		else
			item.say("You are back. Gut.@ He leans back on his heels.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Ubermon Kalbmilch.@");
				add(["Ubermon"]);

			case "job"(remove):
				say("@I milk de cows und make de cheese.@");
				if (UI_get_schedule_type(item) == TEND_SHOP)
				{				
					say("@You vant to buy someting, just say de word.@");
					add(["buy"]); 
				}	
				else
					say("@You vant to buy someting, come by my dairy ven I'm open.@");
				add(["buy"]); 

			case "Ubermon"(remove): 
				say("@At your zervice.@ He snaps to attention.");
				
			case "buy"(remove): 
				if (UI_get_schedule_type(item) == TEND_SHOP) 
				{ 				
					say("@Ja, sure, vat you vant - milk or cheese?.@");
					add(["milk", "cheese"]); 
				}						
				else 
					say("@Come by my dairy ven I'm open, ja?@");
								
			case "cheese": 
				say("@That'll be " + CHEESE_BUY_PRICE + " crowns, okay?@");
				if (askYesNo())
				{
					if (hasGold(CHEESE_BUY_PRICE))
					{
						if (UI_add_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_CHEESE, true))
						{
							chargeGold(CHEESE_BUY_PRICE);
							say("@Good!@ Ubermon gives you the cheese.");
						}
							else
								say("@You don't have room to carry it.@");
					}
						else
							say("@You have not ze gold right now.@");
				}
				else
					say("@Vell, okay, but is very good for you!@");		

			case "milk": 
				say("@That'll be " + MILK_BUY_PRICE + " crowns, okay?@");
				if (askYesNo())
				{
					if (hasGold(MILK_BUY_PRICE))
					{
						if (UI_add_party_items(1, SHAPE_BOTTLE, QUALITY_ANY, FRAME_MILK, true))
						{
							chargeGold(MILK_BUY_PRICE);
							say("@Good!@ Ubermon gives you the milk.");
						}
						else
							say("@You don't have room to carry it.@");
					}
					else
						say("@You have not ze gold right now.@");
				}
				else
					say("@Vell, okay, but is very good for you!@");		

			case "bye":
			
				avatar_goodbye = "@Farewell!@";
				npc_goodbye = "@Take care among ze British, now.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}