
void Amanda object# (0x4f0) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Shopkeeper options
	//Function:  sellFood(var npc, var food_drink_options, var prices, dialog)
	
	

	var food_drink_options =["nothing", "mead", "waybread", "wine", "ale", "mutton"];
	var food_drink_frames = [FRAME_MEAD, FRAME_WAYBREAD, FRAME_WINE, FRAME_ALE, FRAME_MUTTON];
	var prices = [4, 2, 4, 4, 4];

	//dialog options
	var	initial_choice_question = "@I sell ale, mead, wine, mutton and Waybread.@";
	var	askIfInterested1 = "@That'll be "; //split into two to capture price
	var askIfInterested2 = " crowns, okay sugar?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "@Come back when you have some gold.@";
	var	cant_hold = "@You don't have room to carry it.@";
	var	saidNo = "@Anything else?@";
	var	success = "Here you are. She gives you the "; 
	var success2 = "@That aught to hold you.@";	
	var nothing = "@Very well. What'll it be then?@";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	//Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, miss..@";
		npc_1st_greet = "@Hello, hello!@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Ahh, you're back!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		//UI_run_schedule(item);
		UI_set_schedule_type(item, current_schedule);
		UI_error_message("current schedule is set to " + current_schedule);
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A large black woman with a loud laugh.*");
			item.say("@Hello, hello!@ she cries, clapping her hands together.*");

		}
		else
			item.say("@You're here again! Good.@ She smiles widely.");
		item.say("@What can I get ya?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(SEGGALLION, MET))
			add ("Seggallion");
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
							
			case "name"(remove):
				say("@Amanda, but you can call me 'Miss Mandy'.@");
				add(["Amanda"]);
			
			case "job"(remove):
				say("@I sell ale, mead, wine, mutton and Waybread.@");
				if (!shop_is_open)
					say("@Come to my tavern during business hours and I'll be glad to serve you.@");
				else
					add("buy");
			
			case "Amanda"(remove):
				say("@Please, call me 'Miss Mandy'.@");
				add(["Miss Mandy"]);

			case "Miss Mandy"(remove):
				say("@There, that's much better.@");


			case "Seggallion"(remove):
				say("@He's been in here a few times. He has a homesick look, he does.@");
	

			case "buy"(remove): 
				sellFood(AMANDA, food_drink_options, prices,food_drink_frames, dialog);
	

			case "bye":
							
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Remember to tell your friends 'bout Miss Mandy!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}