
void DeHugh object# (0x4ed) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@A moment, milord..@";
		npc_1st_greet = "@Might we speak again?@";
				
		av_2nd_greet  = "@Yes?@";
		npc_2nd_greet = "@Yes?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A commanding presence: a tall warrior in black armor.*");
		item.say("He stands and bows to you. @" + polite_title + ". Art thou a warrior?@*");
		if (askYesNo())
		{
			item.say("@Good! I seek courageous warriors to accompany me.@");
			add(["courageous"]);
		}
		else
			item.say("@Then why hast thou come to Serpent's Hold?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
		
			case "name"(remove):
				say("@Who wants to know?@*");  
				var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
				if (avatar_or_name == "I am the Avatar")
					say("@Well, Avatar, I am Baron de Hugh.@");
				else
					say("@Well, '" + player_name + "', I am Baron de Hugh.@");

			case "job"(remove):
				say("@I am a mercenary now.@");
  				add(["mercenary"]); 

			case "mercenary"(remove):
				say("@First I shall gather an army.@");
				add(["army"]);

			case "army"(remove):
				say("@I plan to build my reputation as a great fighter. My army and I will kill the mighty daemon Sin'Vraal!@");
				add(["Sin'Vraal"]);

			case "Sin'Vraal"(remove):
				say("@He is a malevolent creature, lord over numerous servants who crawl about the desert.@");
				add(["desert"]);

			case "desert"(remove):
				say("@It is on the north-eastern tip of Britannia. Look it up on a map.@");

			case "courageous"(remove):
				say("@It is foolish to be courageous unless one is backed by a well-trained force of fighters. Or unless one happens to be the Avatar, I imagine.@");
				add(["Avatar"]);

			case "Avatar"(remove):
				say("@I heard at the guild that the Avatar was in town!@");
				add(["guild"]);

			case "guild"(remove):
				say("@Koronada says I will be considered for membership when I have done something noteworthy. Have ye ever done aught worthy of note?@");
				if (askYesNo())
				{
					say("@Then surely Koronada has heard of ye.  Tell him your name and he may invite ye to join the Silver Serpent guild.@");
					if (!gflags[ASK_JOIN_OSS])
						gflags[ASK_JOIN_OSS] = true;
			
				}
				else
					say("@Well, actually, neither have I!@");
				add(["Koronada"]);

			case "Koronada"(remove):
				say("@He is firm but fair.  He does not wish to see any unworthy person bear the Silver Serpent blazon.@");
				add(["blazon", "Silver Serpent"]);

			case "Silver Serpent"(remove):
				say("@I believe the silver serpent is a quick and highly venomous creature.@");

			case "blazon"(remove):
				say("@A blazon is a shield marking, such as a Serpent.@");

			case "bye":
				
				avatar_goodbye = "@That is all..@";
				npc_goodbye = "@Good luck, " + polite_title + ".@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}