
void Gherick object# (0x4f2) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	
	
	
	
	if (UI_get_schedule_type(item) == BLACKSMITH || UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	var avatar_karma = getKarma();
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	const int FRAME_GHERICK = 3; //for ghericks shield
	
	
	
	var price;
	var item_choice;
	var armor_options = ["nothing", "buckler", "door shield", "scale mail", "crested helm", "spiked shield"];
	var armor_shapes = [SHAPE_BUCKLER, SHAPE_DOOR_SHIELD, SHAPE_SCALE_MAIL, SHAPE_CRESTED_HELM, SHAPE_SPIKED_SHIELD];
	var armor_prices = [30, 40, 75, 20, 25, 10];
	
	//	
	var weapon_options =["nothing", "halberd", "hammer", "morning star", "throwing axe", "two-handed axe"];
	var weapon_shapes = [SHAPE_HALBERD, SHAPE_HAMMER, SHAPE_MORNING_STAR, SHAPE_THROWING_AXE, SHAPE_2H_AXE];
	var weapon_prices = [100, 20, 40, 15, 50];	
	
	var sell_rate = 3; //integer to divide by when selling items back to npc 
	var sell_options = ["nothing", "buckler", "door shield", "scale mail", "crested helm", "spiked shield", "halberd", "hammer", "morning star", "throwing axe", "two-handed axe"];
		
	//Dialog options
	var initial_choice_question = "@Which of these?@"; //arms or armor? etc
	var askIfInterested1 = "@That costs "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Interested, " + polite_title + "?@";
	var cant_afford = "@Cost too much for you!@"; 
	var cant_hold = "@What's this? You can't carry it, " + polite_title + ".@";
	var saidNo = "@@But you don't got enough gold, " + polite_title + "!@";
	var nothing = "@What else can I get ya?@";
	var success = "@Good!@ After accepting your gold, he hands over the ";
	var success2 = ".";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, milord.@";
		npc_1st_greet = "@Eh, what do you want?@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Yeah?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
	
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A tall man, covered with scars and drooling uncontrollably.*");
			item.say("@What do you want?@*");
		}
		else 
			item.say("@Back again?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[MAKE_SERPENT_SHIELD])
			add ("Serpent Shield");

		if (UI_get_item_flag(SEGGALLION, MET))
			add ("Seggallion");

		if (UI_get_item_flag(AMANDA, MET))
			add ("Amanda");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Gherick@");
				add(["Gherick"]);

			case "job"(remove):
				say("@I makes the most hideous weapons!@");
  				add(["buy", "sell", "hideous"]); 

			case "Gherick"(remove):
				say("@Are ya learnin' how ta speak or do ya need somethin'?@");

			case "buy"(remove):
				if (!shop_is_open)
				{
					say("@Come to my shop when I'm open!@");
					UI_error_message("shop_is_open is " + shop_is_open);
					UI_error_message("Schedule is " + schedule);
					//UI_error_message("Current schedule is " + current_schedule);
				}
				else
				{
					say("@I's a great craftsman, I is. Me shop is 'uge! You'll hafta be more specific: weapons or armor?@");
					add(["weapons", "armor"]);
				}
				
			case "sell":
				if (shop_is_open)
					sellBackItems([armor_shapes, weapon_shapes], [sell_options], [armor_prices, weapon_prices], sell_rate);
				else		
					say("@Come to me shop when it's open!@");	
				
		
			case "weapons": 
				buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
			
			case "armor": 
				buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);	
				

			case "Serpent Shield"(remove):
				if ((!gflags[JOINED_OSS]) && (UI_count_objects(PARTY, SHAPE_MAGIC_SHIELD, QUALITY_ANY, FRAME_GHERICK) < 1)) 
				{
					say("@Huh? Oh, yeah, da serpent shield.@ He looks around and then at the ceiling. @I needs a snake shield, a chunk o' gold, and a magic gem. Have ya got dese tings?@");
					if (askYesNo())
					{	
						if ((UI_count_objects(PARTY, SHAPE_HEATER_SHIELD, QUALITY_ANY, FRAME_ANY) > 0) && (UI_count_objects(PARTY, SHAPE_GOLD_NUGGET, QUALITY_ANY, FRAME_ANY) > 0)	&& (UI_count_objects(PARTY, SHAPE_GEM, QUALITY_ANY, FRAME_ANY) > 0))			
						{
							say("Gherick takes the items and goes to work in his forge. After a while, he returns.*");
							say("He holds up a beautiful golden shield that glows softly. @Here ya go. Just as promised.@");
							UI_remove_party_items(1, SHAPE_HEATER_SHIELD, QUALITY_ANY, FRAME_ANY, true);
							UI_remove_party_items(1, SHAPE_GOLD_NUGGET, QUALITY_ANY, FRAME_ANY, true);
							UI_remove_party_items(1, SHAPE_GEM, QUALITY_ANY, FRAME_ANY, true);
							UI_add_party_items(1, SHAPE_MAGIC_SHIELD, QUALITY_ANY, FRAME_GHERICK, true);
						}
						else 
							say("@You ain't got all that I asked for.@");
					}
					else 
						say("@Come back when ya do!@");
				}
				else 
					say("@What, you gone daft? I already made ya one!@");
		
			
			case "hideous"(remove):
				if (avatar_karma > 40)
					say("@You ain't the sort what'd be interested.@");  // if (V_KARMA > 40) else
				else
					say("@I ain't gonna tell you, you'd steal me brilliant ideas!@");
				say("@I got some other stuff you could buy, though.@");
				add(["buy"]);

			case "Amanda"(remove):
				say("@She's got the best food in the land. Go see for yerself.@");

			case "Seggallion"(remove):
				say("@A fine warrior. New to this area.@");

			case "bye"(remove):
				say("@Shut the door on yer way out@, he snarls.");
		
				avatar_goodbye = "@That is all..@";
				npc_goodbye = "@Shut the door!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}