
void Dezana object# (0x48f) ()
{

	var party = UI_get_party_list([]);
	
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var npc; 
	var party_member = ["no one"];
	var party_list;
	var npcname; 
	var each;
	var idx;
	var party_number = []; 
	var npc_num;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Mmm...yes?@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Ah, of course.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a very large woman with a deliberate smile.*");
			item.say("@Mmm...yes?@ She looks down at you, her eyes merely slits.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Dezana knows much. Have you returned for more talk or are you in need?@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "talk"];
		
		if (gflags[LEARNED_MICHAEL_NAME])
			add("Michael");

		if (UI_get_item_flag(QUENTON, MET))
			add ("ghost");

		if (UI_get_item_flag(TRENTON, MET))
			add ("Trenton Bell");

		if (UI_get_item_flag(GIDEON, MET))
			add ("Gideon");

		if (UI_get_item_flag(MARNEY, MET))
			add ("Marney");

		if (UI_get_item_flag(YORL, MET))
			add ("Yorl");

		if (UI_get_item_flag(HORANCE, MET))
			add ("Horance");

	
	/////////////////////////////////////////////////////////////////////
	//Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Dezana.@ She smiles like a cat preparing for a meal.");
				add(["Dezana"]); 

			case "job"(remove):
				say("@I can heal, cure, and even resurrect.@");
				add(["heal", "cure", "resurrect"]); 

			case "talk"(remove):
				say("@There are many words which travel about this small hamlet. Many are intriguing, some are even dangerous. What words have you heard?@");
			
			case "Dezana"(remove):
				say("@That is correct. Now, are you here to chat, or are you in need?@");
								
			case "heal":
				npc = populatePartyNames(party);
				healScript(npc, DEZANA, 30);
				
			case "cure":
				npc = populatePartyNames(party);
				cureScript(npc, DEZANA, 10);
										
			case "resurrect":
				resurrectScript(DEZANA, 400);
										
			case "ghost"(remove):
				say("@That is one worth speaking about. You see, many people travel the spirit world. Some are lost souls, others have a purpose. Quenton is not a lost soul.@");
				add(["spirit", "Quenton", "soul"]);

			case "spirit"(remove):
				say("@It is a mystical place between here and the hereafter. Quenton resides there.@");
				
			case "Quenton"(remove):
				say("@He had attained much wisdom before he was forced from here. If his ghost has been seen...And I believe he has...Then he must be attempting to communicate with us about some unfinished business.@");
				say("@Perhaps he knows who killed him.@");
				add(["killed"]);

			case "soul"(remove):
				say("@They spent their whole life without learning anything or growing inside. They are as children left alone in a crib. Never learning, always seeking.@");
				
			case "killed"(remove):
				say("@I know this much: if you wish to find out who murdered him, you won't be able to ask his ghost. You see, the spirit world can not communicate with ours directly. Although his ghost can hear your questions, he'll respond by manipulating the environment.@");
				add(["manipulating", "communicate"]);

			case "manipulating"(remove):
				say("@Yes, you know, make him demonstrate his answers by, say, shaking a branch.@");
				
			case "gargoyles"(remove):
				say("@Those creatures are dangerous. I have heard that they can tear a man to pieces.@");
				if (!gflags[MICHAEL_CAPTURED])
					say("@So why, then, did the gargoyles not attack Stivius as well? Certainly he would have tasted just as good.@");
				add(["Stivius"]);

			case "Stivius"(remove):
				say("@A quaint little man. He has strong feelings for me. I must admit, he has a cute way about him.@");
				
			case "Horance"(remove):
				say("@He was once a great man. Discovered many of the herbs I use in healing. He discovered something else, however: that total knowledge can corrupt totally. I don't know what drove him mad. And I don't want to know.@ She shudders slightly.");
			
			case "Marney"(remove):
				if (gflags[FAILED_QUENTON_QUEST])
					say("@This town has suffered through much tragedy already, hopefully she can be found safe.@");
				else
				{
					say("@She has seen much pain in her life. More than even I can heal. I pity her.@");
					if (gflags[MICHAEL_CAPTURED])
						say("@It's a terrible thing to learn about her father being killed by Michael, but at least she has some sort of closure.@");
				}
			case "Gideon"(remove):
				say("@He is a dear old man. Never has a mean thing to say of anyone.@");
	

			case "Michael"(remove):
			if (!gflags[MICHAEL_CAPTURED])
				say("@I know something about everyone in this village. However, this man is unknown to me. He never talks about his past.@");
			else
				say("@There was always something suspicious about him, I am glad he will finally pay for his crime against Quenton.@");
			
			case "Trenton Bell"(remove):
				say("@He is a very stiff man. I believe he may be hiding something about his past.@");


			case "Yorl"(remove):
				say("@A nice fellow, but a bit too simple for me.@");
				
			//new quest options here
			case "communicate"(remove):
				if (!gflags[QUENTON_START])
				{
					gflags[QUENTON_START] = true;
					gflags[LEARNED_ABOUT_SEANCE] = true;
					say("@As I said, spirits cannot communicate with our world directly...@");
					say("@However... it is said that old Horance may know of the 'Seance' spell...what he does with it, I do not wish to know.@");
					say("@Gives me the chills just thinking about it.@");
					say("@Perhaps, you being the Avatar, wouldst be brave enough to ask him.@"); 
					giveExperience(20);
				}
				else
					say("@I've already told you how... I'd rather not speak of it again. The thought makes me uncomfortable.@");
				
	


			case "bye":
								
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@Return when you need healing.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}