
void Horance object# (0x48d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, mage..@";
		var npc_1st_greet = "@...@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Back so soon?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a bent, aging man with a scraggly beard and few teeth.*");
			item.say("@Dogs are at my doorstep, Yapping at my heels.@");
			item.say("@No way to ignore them. Just pretend that they are eels.@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@Once they came for wanting, Twice they came to see.@");
			item.say("@If I am relenting, In my mystery.@");
				
		}
		//standard conversation options
		var options = ["name", "job", "bye"];
			
		//Talked to Dezana about Seance / Horance
		if (gflags[LEARNED_ABOUT_SEANCE])
			add("Seance spell");	

		if (UI_get_item_flag(QUENTON, MET))
			add ("ghost", "Quenton", "murder");

		if (UI_get_item_flag(TRENTON, MET))
			add ("Trenton Bell", "shrine", "gargoyles");

		if (UI_get_item_flag(GIDEON, MET))
			add ("Gideon", "Renthar");

		if (UI_get_item_flag(MARNEY, MET))
			add ("Marney");

		if (UI_get_item_flag(YORL, MET))
			add ("Yorl");

		if (UI_get_item_flag(HORANCE, MET))
			add ("Horance");

		//set when you use Seance on Quenton
		if (gflags[LEARNED_MICHAEL_NAME])
			add("Michael");

		if (UI_get_item_flag(LORD_BRITISH, MET))
			add ("Lord British");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Names I'm always thinking,@*");
				say("@Names I always see.@*");
				say("@Have you any inkling@*");
				say("@What they seem to mean?@");
				add(["Horance"]);                                


			case "job"(remove):
				say("@I have nice reagents, @*");
				say("@Also wondrous spells.@*");
				say("@If you need such things my friend, @*");
				say("@That is what I sell.@");
				add(["reagents", "spells", "spellbook"]); 

			case "Horance" (remove):
				say("@That is too familiar,@*");
				say("@Could it be a friend?@*");
				say("@No, none is delivered, @*");
				say("@So I must pretend.@");
				add(" ");
                                
			case "Marney" (remove):
				say("@Love has many rivers, @*");
				say("@Yet grief can twist them all.@*");
				say("@Be guided by your wisdom, @*");
				say("@And you'll achieve the goal.@");
			
			case "murder" (remove):
				say("@'Step into my parlor,@*");
				say("@'Said the spider to the fly..@*");
				say("@Perhaps if he could holler, @*");
				say("@He would not have to die.@");
                                
			case "Quenton" (remove):
				say("@Ask about a traitor, @*");
				say("@Ask about a love, @*");
				say("@And if you are creative, @*");
				say("@Ask above the dove.@");
                                			
			case "Lord British" (remove):
				say("@A council has a purpose,@*"); 
				say("@And yet it can be wrong.@*");
				say("@There are no notes that singly@*");
				say("@Put the melody in a song.@");
                               
			case "Stivius" (remove):
				say("@Little is the difference, @*");
				say("@That seperates ourselves.@*"); 
				say("@Remembering this inference, @*");
				say("@Is oft a great challenge.@");
                                
			case "Michael" (remove):
				say("@Pain can run so deeply @*");
				say("@That one becomes a mute, @*");
				say("@In fear of leading others @*");
				say("@Where goodness is in dispute.@");
                                
			case "ghost" (remove):
				say("He purses his lips and lets out an eery, high-pitched cry.*");
				say("@That is my impression. Tell me what you think.@*");
				say("@Can you learn a lesson, From what it has to teach?@");
                                			
			case "Renthar" (remove):
				say("@Many are pretenders, @*");
				say("@A harmless game they play. @*");
				say("@But for the few offenders, @*");
				say("@Of constant night they pray.@");
                                
			case "gargoyles" (remove):
				say("@What is truly fearsome, @*");
				say("@What can evil be? @*");
				say("@Not all that growls is gruesome, @*");
				say("@Not all that hates has wings.@");

			case "Yorl" (remove):
				say("@Simple has its moment @*");
				say("@And often is received @*");
				say("@Much better than the brilliant, @*");
				say("@Who often will deceive.@");
			
			case "Trenton Bell" (remove):
				say("@He who has opinions, @*");
				say("@Thinks he knows it all, @*");
				say("@Will someday end up learning @*");
				say("@What comes before a fall.@");

			case "Gideon" (remove):
				say("@Kindness is a proverb @*");
				say("@That all can understand, @*");
				say("@And those who share it with you @*");
				say("@Will oft be in demand.@");

			case "shrine" (remove):
				say("@Through a glowing door, @*");
				say("@By the full moons' light. @*");
				say("@For me to tell you more @*");
				say("@Would take us half the night!@");
				
			case "reagents": 
				say("@The mention of business brings the senile man to his senses momentarily.@");
				buyReagents(HORANCE);
				
			case "spells":
				say("@The mention of business brings the senile man to his senses momentarily.@");
				magicShopkeeper(HORANCE);
				
			case "spellbook"(remove):
				say("@The mention of business brings the senile man to his senses momentarily.@");
				buySpellbook(HORANCE, 50);
				

			case " "(remove): 
				say("@Don't stick your arm @*");
				say("@Out too far.@*");
				say("@It may go home @*");
				say("@In another car!@*");
				say("@-- Burma Shave.@*");
    
			case "Seance spell"(remove):
				if (!gflags[LEARNED_SEANCE])
				{
					say("As you ask Horance about the Seance spell, an eerie seriousness seems to overcome his usual mannerisms. He looks at you thoughtfully.");
					say("@Thou dost know about the 'Seance spell'? Not many mages sell this spell. Very few can withstand the ravaging toll it can take on one's mind...@*");
					say("@I shall sell it to thee for 150 gold. Is this agreeable?@");
					if (askYesNo())
					{
						if (hasGold(150))
						{		
							var spellbook = AVATAR->find_object(761, QUALITY_ANY, FRAME_ANY);
							if (spellbook)
							{	
								if (!hasSpell(SEANCE))
								{
									chargeGold(150);
									say("After accepting your gold, he teaches you the spell.");
									UI_add_spell(SEANCE, 0, spellbook);
									gflags[LEARNED_SEANCE] = true;
									UI_play_music(32);
									UI_set_weather(FOG);
									UI_set_weather(RAIN);
									say("@Do thou be careful with this spell...@*");
									say("@Speaking with the dead can be very dangerous...@");
									say("@...especially for one who hath vanquished so many into the Void such as thee...@*");
									say("As you depart, Horance laughs to himself softly at first, then the laughter becomes more ominous.*");
									say("You get a strange feeling in the pit of your stomach but you can't quite put your finger on it.*");
									say("It is obvious to you that Horance is a few bolts short of a full quiver, but you can't help but to get the chills as you leave.");
									sayGoodbyeAbrupt(item, "@..heh heh heh!@");
									if (isNearby(JAANA))
										UI_item_say(JAANA, "@Creepy..@", 3);
									break;
								}
								else say("@I already sold thee this spell.@");
							}
							else say("@But thou hast not a spellbook!@");
						}
						else say("@You lack the gold required.@");
					}
					else say("@Very well...@");
				}
				else say("@I hope thou hast found it as useful as I have...@ Horance displays a smile that makes you quite uneasy.");

			case "bye":
				say("@I see that they are going, @*");
				say("@I'm sure they will return. @*");
				say("@For if they lack the knowing, @*");
				say("@They'll always need to learn.@");
				
				var avatar_goodbye = "@I must be going now..@";
				var npc_goodbye = "@..you'll be back..heh hehe..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				if (isNearby(SHAMINO))
					delayedBark(SHAMINO, "..what a loon.", 14);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}