void Quenton object# (0x492) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	
	var player_is_female = UI_is_pc_female();
	
	var avatarhealth = UI_get_npc_prop(UI_get_avatar_ref(), HEALTH);

	var time_of_day = timeFunction(hour);

	if (event == DOUBLECLICK)
	{
		
		if (partynum > 1) greeting = "friends"; 
			else greeting = "friend"; //Avatar is solo
	
		var met_quenton = UI_get_item_flag(item, MET); //
		
		//barks for Avatar
		if (!met_quenton)
			bark = "@...Spirit?@"; //
		else
			bark = "@...Quenton?@"; //barked after npc is met

		script AVATAR
		{
			 call GenericFreeze;
			 face AVATAR->find_direction(item);
			 actor frame standing;
			 say bark;
			 wait 10;
		};
 
		//NPC barks
		if (!met_quenton)
			bark = "@...@";  //
		else
			bark = "@...@"; //bark when npc met you already

		script item
		{
			 call GenericFreeze;
			 wait 5;
			 face find_direction(AVATAR);
			 actor frame standing;
			 say bark;
			 wait 8;
			 call (Quenton);
		};
	}
	else if (event == SCRIPTED)
	{
		//Unfreeze Avatar and ITEM:
		AVATAR->GenericUnfreeze();
		item->GenericUnfreeze();
		
		if (gflags[SEANCE_QUENTON])
		{
			if (!gflags[LEARNED_MICHAEL_NAME])
			{
			//	gflags[SEANCE_QUENTON] = false;
				UI_set_weather(FOG);
				UI_set_weather(RAIN);
				UI_play_music(32);
				item.say("After casting the Seance spell, you approach the restless spirit of Quenton. He attempts to speak to you.");
				item.say("At first, his mouth moves and you hear nothing. Moments later, you hear the faint voice of a man, but it is as if someone was speaking to you from another room entirely.*");
				item.say("You notice his mouth doesn't quite synch up with the voice that seems to be somewhere in the back of your mind. The spirit's eyes grow larger and more intense as if he was concentrating harder on his message. The voice starts to synch up more with the words, which are still muffled but becoming a bit more clear.*");
				item.say("Quenton's eyes grow more desperate and a sense of frustration comes over him. The voice, now sounding like muffled shouting from another room, starts to echo louder in your mind. You feel a draining sensation, as if your life's energy was being sucked from you and your overwhelmed with a feeling of despair.*");
				item.say("You attempt to break concentration but find yourself unable to. The spirit's eyes appear to glow, and you feel like your almost being sucked into them. Everything seems to be going black around you, and you feel faint. The shade's eyes don't avert their gaze from you as the voice starts to become a little more audible.");
				item.say("In a flash, you see a series of events that happens so fast you cannot comprehend them, but you understand that you are seeing -- or somehow experiencing -- Quenton's final moments.");
				item.say("From the muffled voice, now almost shouting, you discern the name 'Michael' and the look in the shade's eyes is now one of complete terror, mouth gaping open. The instantaneous image of a dagger cutting through the darkness seems to bring you to your knees, as if your mind was literally stabbed by it.*");
				item.say("A bloodcurdling scream from beyond tears through your mind. It is one of the most horrifying things you've ever heard. You don't even feel yourself hitting the ground as everything around you fades to black.");
				AVATAR->reduce_health(avatarhealth, SONIC_DAMAGE);  
				UI_play_sound_effect(67);
				if (partynum > 1)
					randomPartyBark("Avatar, art thou alright??");
				
				gflags[LEARNED_MICHAEL_NAME] = true;
				return;
			}
			else
			{	
				item.say("You feel it's probably a good idea to avoid speaking with Quenton again in this state, as his painful memories made the connection more powerful - and frightening.");
				return;
			}	
		}
		else if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET);
			item.say("A vaporous form hovering before you.");
			item.say("The form is that of a man. His mouth moves, yet no words can be heard...");
		}
		else
			item.say("A shiver runs up your spine as you feel a chilling draft...");
		UI_play_music(40);

		var options = ["gargoyle", "name", "bye"];
		
		if (UI_get_item_flag(item, SI_ZOMBIE)); //when asked about murder from someone
			add("Quenton", "murder");
		if (UI_get_item_flag(MARNEY, MET))
			add ("Marney");
			
		//easter egg - if player is named Doug the Eagle or Nakar, Quenton is obligated to join! (read their hilarious walkthroughs!)	
		if (player_name == "Doug the Eagle" || player_name == "Nakar" || (player_name == "Steve" && player_is_female))
			add("join");
			
		if (inParty(QUENTON))
			add("leave");			

		//Start of regular conversation tree
		converse(options)
		{
			case "Quenton" (remove):
				say("You speak the word and the spectre responds by pointing a boney hand to his chest.");
				add(["murder"]); 
	
			case "name"(remove):
				say("You hear no answer save the rustle of the leaves on the ground around you.");
				
			case "murder" (remove):
				say("You speak the word and the spectre responds by pointing a boney hand to his eye.");
				add(["eye", "how"]);
			
			case "gargoyle" (remove):
				say("A whirlpool of leaves, twigs and stones whips up around you. Your clothing is yanked by the strong wind forcing you to grip it tightly in your hands.");
				
			case "Marney" (remove):
				say("A cool breeze blows through your hair. You suddenly smell the scent of a storm approaching.");
				UI_set_weather(RAIN);

			case "eye" (remove):
				say("A wind from behind blows your hair, covering your eyes.");
					
			case "how" (remove):
				say("The ghostly image shimmers for a moment and then he points a boney finger to his neck.");
				add(["who"]);

			case "who" (remove):
				say("The spectre's arm thrusts out, pointing to the sea.");
				add(["sea"]);

			case "sea" (remove):
				say("The spectre's arm thrusts again, this time. This time you see it points towards the pier.");
				
			case "join" (remove):
				say("Because your name is " + player_name + ", the spirit feels compelled to join you!");
					if (partynum < 8)
					{
						say("@...@*");
						UI_add_to_party(item);
						sayGoodbyeAbrupt(item, "...");
						break;
					}
					else
						say("...but your party is too full. The spectre looks disappointed.");
						
			case "leave"(remove):
				say("The spirit looks dejected, but leaves the party.");
					UI_remove_from_party(item);
					sayGoodbyeAbrupt2(item, "...");
					
					script item
						call leaveParty, MOVE_NPC2;				
									
					return;
		
									
								
				
			case "bye":
					say("A strong breeze suddenly assaults you with twigs and leaves.");
					avatar_bark = "@Goodbye...@";
					npc_bark = "@...@";
					delayedBark(AVATAR, avatar_bark, 0);
					delayedBark(QUENTON, npc_bark, 4);
					break;
			}                               
	}
	else scheduleBarks(item);
}