
void Stivius object# (0x493) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	
	const int SHAPE_BOTTLE = 616;
	const int SKARA_RED_SELL_PRICE           = 100;
	const int WHITE_WINE_SELL_PRICE         = 10;
	const int SKARA_DRY_SELL_PRICE           = 100;
	
	
	const int FRAME_SKARA_RED 			= 11;
	//shopkeeper options
	var cant_hold = ["@You look pretty full to me.@"];
	var cant_afford = ["Stivius looks at you. @Thou dost not have enough gold.@"];
	var success = ["@Excellent!@ After accepting your gold, he hands over the wine."];
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Yeah. Ok. Yeah.";
				
		var av_2nd_greet  = "@A moment, milord.@";
		var npc_2nd_greet = "@Yeah. Ok. Yeah.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		item.say("A tiny little man with wild eyes.*");
		if (!UI_get_item_flag(item, PETRA))
		{
			
			item.say("He looks you up and down and then claps his hands together. @Yeah. Ok. Yeah. What can I do you for?@");
			UI_set_item_flag(item, PETRA);
		}
		else 
			item.say("@Back for some more wine?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
		if (gflags[LEARNED_MICHAEL_NAME])
				add("Michael");
		
		if (gflags[LEARNED_ABOUT_QUENTON])
			add("ghost");
		

		if (UI_get_item_flag(LORD_BRITISH, MET))
			add ("Lord British");
		
		if (UI_get_item_flag(TRENTON, MET))
			add ("Trenton Bell");

		if (UI_get_item_flag(DEZANA, MET))
			add ("Dezana");

	/////////////////////////////////////////////////////////////////////
	//Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Stivius the wine merchant is mine.@*");
				add(["Stivius"]); 

			case "job"(remove):
				say("@I make wine.@");
				add(["buy"]); 
				
			case "buy"(remove): 
				if (!UI_get_schedule_type(item, TEND_SHOP))
					say("@Come back tomorrow when my shop is open.@");
				else
				{
					//shopkeeper options
					var cant_hold = "@You look pretty full to me.@";
					var cant_afford = "Stivius looks at you. @Thou dost not have enough gold.@";
					var success = "@Excellent!@ After accepting your gold, he hands over the wine.";
					var askIfInterested;
					var saidNo = "@It's good wine.@";
					var quantity = 1;
				
					say("@Yeah. Maybe you want to buy some?@");
					if (askYesNo())
					{
						say("@Which of these?@");
						var choice = chooseFromMenu(["Skara Red Wine", "Skara White Wine", "Skara Dry Wine", "Red Wine", "nothing"]);
						
						if (choice == "Skara Red Wine")
						{
							askIfInterested = "@Stivius smiles at you. For Skara Red wine it will cost you 20 gold. Interested?@";
							basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, FRAME_SKARA_RED, 20, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "Skara White Wine")
						{
							askIfInterested = "@Stivius smiles at you. For Skara White wine it will cost you 10 gold. Interested?@";
							basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, 16, 10, cant_hold, cant_afford, success, askIfInterested, saidNo);
						
						}
						
						else if (choice == "Skara Dry Wine")
						{
							askIfInterested = "@Stivius smiles at you. For Skara Dry wine it will cost you " + SKARA_DRY_SELL_PRICE + " gold. Interested?@";
							basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, 12, SKARA_DRY_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						
						}
						
						else if (choice == "Red Wine")
						{
							askIfInterested = "@Stivius smiles at you. For Red wine it will cost you 20 gold. Interested?@";
							basicSell(item, SHAPE_BOTTLE, quantity, QUALITY_ANY, 5, 20, cant_hold, cant_afford, success, askIfInterested, saidNo);
						
						}
						
						else if (choice == "nothing")
							say("@What else can I do for you?@");
						
						
										
					}
					else
						say("@It's good wine.@");	
				}
					
			case "Stivius"(remove): 
				say("@Quite a name, eh?@*");
			
			case "ghost"(remove): 
				say("@It's not just a tale you've been hearing.@");
				add(["tale"]); 
		
			case "tale"(remove): 
				say("@Everyone knows that Quenton haunts this town. If I had been murdered by those evil ones...but that's just gossip.@*");
				add(["Quenton", "murdered"]); 

			case "Quenton"(remove): 
				say("@He was a nice enough soul. I sold many bottles to him.@*");
			
			case "murdered"(remove): 
				say("@It was late one night and I had just returned from my fields. 'Course my path takes me right by Gideon's garden.@*");
				say("@I heard a noise by the well and saw some dark forms hunched there. They had huge wings and evil red eyes. I ran like the wind to my doorway.@");
				say("@I was sure I was dead.@*");
				add(["Gideon", "noise", "dark", "evil"]); 

			case "Gideon"(remove): 
				say("@Gideon runs the Haunting Inn. His wife has a garden which you can see from my front door.@*");
				add(["Haunting Inn", "wife"]); 

			case "noise"(remove): 
				say("@Twas a strange whispering, in a tongue I could not understand.@*");
				add(["whispering"]); 

			case "dark"(remove): 
				say("@I couldn't see too clearly. They were about man-sized though.@*");
				add(["man-sized"]); 

			case "Haunting Inn"(remove): 
				say("@It's the Inn straight across the lane from here.@*");
	
			case "wife"(remove): 
				say("@She doesn't do much. Helps him run the place.@*");
		
			case "whispering"(remove): 
				say("@It didn't sound like any language I ever heard. More like one o' them guild languages.@*");
				add(["languages"]); 

			case "languages"(remove): 
				say("@Like the one the alchemist speaks.@*");
				add(["alchemist"]); 

			case "alchemist"(remove): 
				say("Go ask old Horance. He can tell ya - if you can understand him!@*");
				add(["Horance"]); 

			case "Horance"(remove): 
				say("@He lives over on Ivers Rounding by himself.@*");
				add(["Ivers Rounding"]); 

			case "Ivers Rounding"(remove): 
				
				say("@You must be new to this village. Go see Marney, she'll get you there.@*");
				add(["Marney"]); 

			case "Marney"(remove): 
				say("@She's the daughter of Quenton - the ghost.@*");
				add(["Quenton"]); 

			case "man-sized"(remove): 
				say("@Yes, but they were hunched down so it was hard to see them.@*");
			

			case "evil"(remove): 
				say("@His eyes widen. @Gargoyles they were! Must'a been ten or twelve of 'em.@*");
				add(["gargoyles", "twelve?"]); 


			case "gargoyles"(remove): 
				say("@Yes. Big, ugly, snarling beasts. 'Course, they were kneeling when I saw 'em.@*");
				add(["kneeling"]); 

			case "twelve?"(remove): 
				say("@Well, perhaps more like two or three. I didn't stay around and count 'em.@*");
			
			case "kneeling"(remove): 
				say("@You know, on their knees.@*");
				
			
			case "Trenton Bell"(remove):
			say("@I don't care much for him. He's always trying to get me to sell him my wine cheaper.@");
				

			case "Dezana"(remove):
				say("@She's my sweetie.@ He clasps his hands next to his cheek. @I count the hours until I can see her.@");
				

			case "Michael"(remove):
				say("@I have never talked to him. He bought wine from me once but that's it.@");
				if (gflags[STARTED_INVESTIGATION])
					add(["tell me more.."]);
				

			case "Lord British"(remove):
				say("@Well, what's to say? I am glad he is again our ruler.@");
			
			case "tell me more.."(remove):
				say("@Wha.. what do you mean " + polite_title + "?@ You notice Stivius starting to sweat!");
				AVATAR.say("You tell him that you don't buy the gargoyle story and that you believe he saw Michael committing the crime.");
				AVATAR.hide();
				
				if (!UI_set_item_flag(item, NAKED))
					UI_set_item_flag(item, NAKED); //knows Stivius is a witness. Rinaldo can ask him to testify
				
				say("Stivius looks at you with wide, unbelieving eyes. @Please " + polite_title + ", I saw nothing.@");
				say("After seeing your skeptical face, he sighs. @Alright, alright...@ he says, voice trembling. @I saw Michael do it. He caught me as I was trying to go back into mine home. He brandished the knife and swore he'd kill me!@");
				say("@I made up the gargoyle tale, because I fear him and his retribution!@");
				say("He looks at you incredulously. @Oh, no " + polite_title + ". I know what you ask of me, and I cannot - and will not - do it. Please, leave me be. I'm terrified enough as it is of the man. Please go...@");
				sayGoodbyeAbrupt2(item, "@I must get back to work.@");
				if (!gflags[STIVIUS_SAW_MICHAEL])
					gflags[STIVIUS_SAW_MICHAEL] = true;
				UI_set_schedule_type(item, SHY);
				break;
					
			case "bye":
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@Come back if you get thirsty.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}