
void Trenton object# (0x48e) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Yes?@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@You have come back. Well?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a tall, rather well dressed man with a wilted smile.*");
			item.say("@Yes?@ he asks, reaching over and removing something invisible from your shoulder.");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("Recognizing you, his smile flickers a moment. @You have come back. Well?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	
		//set when you use Seance on Quenton
		if (gflags[LEARNED_MICHAEL_NAME])
			add("Michael");
			
		if (UI_get_item_flag(DEZANA, MET))
			add ("Dezana");			

		if (UI_get_item_flag(GIDEON, MET))
			add ("Gideon");			

		if (UI_get_item_flag(YORL, MET))
			add ("Yorl");		

		if (UI_get_item_flag(MARNEY, MET))
			add ("Marney");					

		if (UI_get_item_flag(HORANCE, MET))
			add ("Horance");					


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE))
					say("@He sniffs the air as if smelling something bad. @I am, of course, Trenton Bell, the mayor. You may call me 'Your Honor'.@");
				else
					say("@You've forgotten? Well, 'Your honor' will do.@");
				add(["Trenton Bell"]);                                

			case "job"(remove):
				say("@Job? I do not labor like others.@");
				add(["labor"]); 

			case "Trenton Bell"(remove):
				say("@I would appreciate if you would use my title, 'Your Honor'.@");
				add(["title", "'Your Honor'"]); 

			case "labor"(remove):
				say("@You know: rigging the masts or swabbing the decks.@");
				add(["rigging"]);

			case "title"(remove):
				say("@Yes, I am mayor.@");
				add(["mantra", "rune", "shrine"]);
				
			case "'Your Honor'"(remove):
				say("@Yes?@");
				
			case "mantra"(remove):
				say("@Well, surely thou canst read, yes?@");
				add(["read"]);

			case "read"(remove):
				say("@Yes, reading books is good for your spiritual side.@");

			case "rigging"(remove):
				say("@You aren't much of a sailor are you? Yorl and that young Delancy girl can tell you about that.@");
				add(["Yorl", "Marney"]); 

			case "Yorl"(remove):
				say("@He works at the pier with the Delancy girl.@");
				
			case "Marney"(remove):
				say("@She has run the pier ever since her father, Quenton, was attacked by a gargoyle.@ He coughs then clears his throat.");
				add(["gargoyle", "Quenton"]);

			case "gargoyle"(remove):
				say("@Huge fierce creatures, they are. Quenton didn't even have time to scream before one of those beasts had killed him.@");
				add(["scream"]);

			case "Quenton"(remove):
				say("@We were not friends...not good friends, that is. He resented my position.@");
				add(["position"]);

			case "rune"(remove):
				if (!UI_set_item_flag(MARNEY, PETRA))
					UI_set_item_flag(MARNEY, PETRA); //opens up rune convo option
				say("@Quenton, not I, was in charge of its safe keeping. Just as I suspected, when he died, so too did our chances of finding the rune. You see, he never told anyone where it was located.@");
				add(["Quenton"]);
	
			case "shrine"(remove):
				say("@Speak to Horance of that. He may be mad, but he is still quick and astute in the ways of magic.@");
				add(["Horance"]); 

			case "position"(remove):
				say("@Yes, well, as mayor, I am the shepherd of the spiritual people of this hamlet.@");
				add(["spiritual"]);

			case "spiritual"(remove):
				say("@We do not believe in violence as a solution to our problems. My flock would not fight against anyone. Therefore, I'm alarmed at the recent gargoyle sightings.@");
				add(["gargoyle"]);

			case "scream"(remove):
				say("@Many believe if he had screamed, someone in the inn would have heard him.@");
				add(["inn"]);

			case "inn"(remove):
				say("@A couple of travelers were staying there that night, but they said they heard nothing. Still, I find this strange.@");
				add(["strange", "travelers"]);

			case "strange"(remove):
				say("@Yes, you see, my brother is a guard for Lord British. A few months ago, a gargoyle attempted to enter the castle proper. He said that although they killed the beast, it's horrifying noises still give him nightmares.@");
				add(["nightmares"]);
		
			case "travelers"(remove):
				say("@I do not know their names. 'Twas Gideon questioned them, not I.@");
			//	add(["Gideon"]); 

			case "Gideon"(remove):
				say("@He runs the Haunting Inn.@");
				add(["Haunting Inn"]);

			case "Haunting Inn"(remove):
				say("@The one the travelers were at. It's across the way.@ He frowns at you.");
				add(["travelers"]);

			case "nightmares"(remove):
				say("@He keeps hearing its deep growl. I'm sure that even if Quenton couldn't scream, someone would have heard that growl.@");

			case "Horance"(remove):
				say("@For the life of me I've never understood a word he's ever said. They say he drank one too many potions.@");
				
//these should be triggered if met			
			case "Dezana"(remove):
				say("@She is a peaceful woman. Very pleasant to talk to.@");
	
			case "Michael"(remove):
				say("@He is a very private sort. I've never been to his abode. He lives east of here, along the road to Britain.@");
				add("investigate Michael");
				
			case "investigate Michael"(remove):
				say("@Investigate him? Why? We already determined it was the gargoyles who killed Quenton.@");
				say("@If you wish to re-open the investigation, you should take that up with Lady Lenora in Yew. I'm much too busy..@");
					
			
			case "bye":		
				var avatar_goodbye = "@That is all..@";
				var npc_goodbye = "@Goodbye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}