void Yorl object# (0x491) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hail, fisherman!@";
		var npc_1st_greet = "@Ahoy!@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Ah!@";	
		
			
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		if (gflags[FAILED_QUENTON_QUEST])
		{
			item.say("Yorl looks like he has seen better days, his eyes look bloodshot and he looks worried.");
			item.say("@She's gone... Marney's gone. I was supposed to protect her. You let her leave with that bastard!@");
			item.say("Yorl's voice cracks with anger. @It's all I kin do from taking this here hook and jammin it through yer skull. Get out of here, and don't come back...@");
			delayedBark(item, "@..shes gone...@", 3);
			UI_set_schedule_type(item, SHY);
			return;
		}
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A huge, imposing man adorned in a leather apron.*");
			item.say("@Good " + time_of_day + ", friend.@ He extends a huge hand which resembles a slab of meat.");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@Ah!@ He rumbles up to you with a large, bloody hook.");
			item.say("@You feel like bolting, but then he drops it in a pocket on his apron and extends a bloody hand. He smells strongly of fish.");
		}
			item.say("@What do ya need?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];

		// Conversation options based on MET flag of other npc's - delete all if not used
		
			if (gflags[LEARNED_MICHAEL_NAME]){
				add("Michael");
			}	

			if (UI_get_item_flag(TRENTON, MET)){
				add("Trenton Bell");
			}

			if (UI_get_item_flag(DEZANA, MET)){
				add("Dezana");
			}		
						
			if (UI_get_item_flag(GIDEON, MET) || UI_get_item_flag(QUENTON, MET))
				add("ghost");
				
			
	/*////////////////////////////////////////////////////////////////////
	Main conversation thread

	*/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Yorl. A short name, but a strong one!@");
				add(["Yorl"]);                                

			case "job"(remove):
				say("@I'm a fisherman. 'Tisn't quite as exciting as some jobs, but it keeps me near the sea.@");
				add(["sea"]); 

			case "Yorl"(remove):
				say("@My father was a coastal raider. But don't let that out.@ He lets out a holler and laughs loudly.");
				add(["father", "raider"]); 	

			case "father"(remove):
				say("@Yes, I had one.@ He hollers again, this time slapping you on the back.");
                               
			case "raider"(remove):
				say("He suddenly stops laughing and looks at you, his eyes angry and wide. @Who told you?@ With that he throws his head back and laughs again.");

			case "sea"(remove):
				say("@Oh, aye, love the sea I do. Even if the fishing's been poor of late.@");
				add(["fishing"]); 

			case "fishing"(remove):
				say("@Fish come, fish go. Right now, the fish have gone. But they'll come back! And when they do, I'll be waitin' for 'em with my nets!@");
				add(["nets"]); 
			
			case "nets"(remove):
				say("@Aye, you haveta use nets to do serious fishing. A pole'll never catch you enough to sell.@");
				add(["pole"]); 

			case "ghost"(remove):
				say("@That's a tale they tell in town. I've seen no spirits. Except at old Stivius'.@");
				add(["tale", "Stivius"]); 

			case "tale"(remove):
				say("@You know, 'bout Marn's pa haunting the vineyard.@ He leans closer wiping his hands on his apron. @I think Stivius has been drinkin' his profits.@");
				add(["Marney", "vineyard", "amulet"]); 

			case "Stivius"(remove):
				say("He removes a large hook from his pocket and begins to clean it as he talks. @He's a strange little guy. They say he's the only one who saw Quen murdered. I wish we'd had a better witness.@");
				say("He flips the hook over and over examining it. @Still, those gargoyles would frighten any man. 'Specially one as small as him.@");
				add(["gargoyles"]); 
			
			case "Marney"(remove):
				if (gflags[MARNEY_PISSED])
				{
					say("@I can't believe she ran away with Michael, and I wasn't there to stop her. She's not been the same since.@");
				}	
				else if (gflags[MARNEY_SAVED])
				{
					say("@I can thank ya enough Avatar, for saving my dear Marney from that scoundrel Michael. She's still heartbroken and feels guilty for wanting to leave, but she's on the mend and seems more at peace now.@"); 
				}	
				else say("@She's the loveliest thing ever seen in these parts. I'm her father now. And if any man should want her hand, he'd better be able to take me square!@ He gives you a huge grin and flexes a massive bicep.");

			case "vineyard"(remove):
				say("@They say that Quen's ghost haunts that area of town. I can't imagine why. The sea was his lifeblood.@");
			 	add(["Quenton"]); 

			case "Quenton"(remove):
				say("@He and I were mates. I can still remember the moment they told me he was dead.@ He swallows hard and his eyes become glassy. @I miss old Quen.@");
				add(["they"]); 
			
			case "they"(remove):
				say("@Gideon and Stivius. They came to my house before dawn and told me that Quen had been killed by gargoyles.@");
				add(["Gideon", "Stivius", "gargoyles"]); 			
			
			case "Gideon"(remove):
				say("@He owns the Haunting Inn. He's good people, though his wife is a bit of a nag.@");
				add(["wife"]); 

			case "wife"(remove):
				say("@She always complains that my house is an eyesore. I tell you if she comes around here, I'll show her what an eyesore really is!@ He slaps you on the back and laughs.");
				add(["eyesore"]); 

			case "gargoyles"(remove):
				say("@I never seen a one. I seen alot o' things out at sea, serpents as big as the biggest four-master. But 'nary a single gargoyle.@ He looks out towards the sea.");
				add(["serpents", "four-master"]); 

			case "four-master"(remove):
				say("@One o' the tall ships. My father used to pilot one o' the biggest in Lord British's fleet. The Merideth Ann. She was a sight to behold, she was.@");
				add(["Lord British", "Merideth Ann"]); 

			case "Lord British"(remove):
				say("@My father used to sail in one of his fleets. A brave and mighty ruler he is.@");
							
			case "Merideth Ann"(remove):
				say("@She'd seen many a battle with pirates. Then she went to her grave in a storm. Took nearly two hundred men with her.@");
				add(["storm"]); 			
			
			case "storm"(remove):
				say("@Came up all of a sudden. I say it was Mondain's doing.@ He pulls the pipe from his mouth and tamps the tobacco with his stout thumb. @Anyhow, that's when I lost my father.@");
				add(["Mondain"]); 

			case "Mondain"(remove):
				say("He stops trying to relight his pipe and looks at you. @Where have you been scuttled? That's too long a story for this " + time_of_day + ".@"); 
				add(["scuttled"]); 

			case "serpents"(remove):
				say("He turns his head back towards you, purses his lips, then speaks. @It was a calm night, it was. Quen and I had 'cided to go out on that glassy sea for a fish. Not just any fish, mind ya, a light-horn.@");
				add(["light-horn"]); 

			case "scuttled"(remove):
				say("@Never mind.@ He sticks his hands in his apron.");
				say("@Mondain, of course, was slain many years ago. There are pirates who sail under his banner still. Legend has it, the captain sailed under Mondain himself.@"); 
				add("captain");
				
			case "captain"(remove):
				say("@Aye. My father used to tell me the tales he'd hear of a pirate captain who commanded Mondain's armada of pirates and other riff-raff.@");
				say("@Legend has it that the captain swore allegance to Mondain himself, and vowed to serve him until death... and beyond.@");
				say("@Mondain's armada was vast, but supposedly only one ship remained. The tattered sail still bears the crest of Mondain.@");
			
				
			case "light-horn"(remove):
				say("@When we were boys, Quen's father often talked about such a fish. Said if a body could catch one, good fortune would be his.@");
				add(["catch"]); 

			case "catch"(remove):
				say("@Yes, good fortune. He said the fish had a glowing horn on it's snout. It only comes close to the surface when the sea is like glass.@");
							
			case "glass"(remove):
				say("@You see, the fish thought the surface was a mirror and it came up to admire its horn.@ He chuckles to himself, teeth clenched around the pipe. @Anyway, Quen and I 'cided we'd catch us one in our skiff.@");
				add(["skiff"]); 			
			
			case "skiff"(remove):
				say("He pulls the pipe from his mouth and blows some smoke rings. @Well, even though the skiff was small, we figured that we'd spear the beast and drag it back to port.@");
				add(["spear"]); 

			case "spear"(remove):
				say("@I know it sounds crazy now, but you have to remember, we were only boys. Anyway, we rowed out past Ivers Rounding and sat in our skiff waiting to see one.@ He looks out to sea again and chuckles.");
				add(["Iver's Rounding"]); 

			case "Iver's Rounding"(remove):
				say("@You know, past where the alchemist lives. Anyway, we sat there for hours with 'nary a sign of life...Then, suddenly, in the distance we could see a tall neck rising out of the water and heading towards us.@");
				add(["alchemist", "neck"]); 

			case "alchemist"(remove):
				say("@Old Horance? He's a crazy old coot who lives on the isle.@");
				
			case "neck"(remove):
				say("@As it came closer, a huge wave preceded it and we could make out a giant mouth.@ He takes his pipe from his mouth and gestures at you. @I tell you, you've never seen two boys make a skiff travel so fast in all your life.@ He laughs out loud, this time bending over to support himself.");
			
			case "pole"(remove):
				say("@Never use 'em myself. I stick to nets--faster and easier.@*");
				say("@Man's gotta make a living!@");
		
			case "amulet"(remove):
				say("@I took it from Quenton's dead body to give to Marney for safe keeping.@");


// Should be here only when characters are MET
			
			case "Trenton Bell"(remove):
				say("@He's a stuffy one. Never likes to come down here, says it smells.@");
							
			case "Dezana"(remove):
				say("@She's a heavily rigged one, she is.@ He winks at you and laughs.");
	
			case "Michael"(remove):
				if (gflags[MARNEY_PISSED] || gflags[MARNEY_SAVED])
				{
					say("@Not only did the bastard murder my best friend, he had been sneaking around here under my nose, trying to ensnare Marney with his charm.@");
					say("@I thank thee for bringing him to justice, otherwise, he would meet a worse fate at my hands!@");	
				}	
				else say("@I don't much care for that one. He used to sail under the command of a zealot of Mondain.. I'd plot a course 'round him if I were you.@");
				
			case "eyesore"(remove): 
				say("@This is a fishhouse. It's meant to be an eyesore.@ He laughs again.*");
			
			case "bye":
				say("He slaps a hand on your back. @Good fortune, and may the wind be at your back!@");
				
				var avatar_goodbye = "@Farewell, Yorl.@";
				var npc_goodbye = "@Fair weather to ye!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}