
void Lawrence object# (0x452) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

		
		
		
//Shopkeeper options
	//5
	
	var food_drink_options = ["nothing", "mead", "ale", "wine", "mutton", "grapes"];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_MUTTON, FRAME_GRAPES];
	var prices = [2, 5, 5, 4, 3];

	var	initial_choice_question = "@Which of these?@";
	var	askIfInterested1 = "@That'll be "; //split into two to capture price
	var askIfInterested2 = " gold coins.  Agreeable?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "@Come back when you have some gold.@";
	var	cant_hold = "@You don't have room to carry it.@";
	var	saidNo = "@Anything else I can do for you?@";
	var	success = "Lawrence gives you the "; 
	var success2 = "@Enjoy it.@";	
	var nothing = "@Anything else I can do for you?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
//////	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, sir.@";
		var npc_1st_greet = "@Hello, there.@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Ah, you're back!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A small, fussy looking man.*");
			item.say("@Welcome to the Fool's Pair o' Dice.@");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Welcome to the Fool's Pair o' Dice.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@It's Lawrence.@*");
	
			case "job"(remove):
				say("@I sell grapes, ale, mead, wine, and mutton.@");
				add(["buy"]); 

			case "buy": 
				if (!shop_is_open)
					say("@Come by the Fool's Pair O' Dice when I'm open for business.@*");
				else
					sellFood(LAWRENCE, food_drink_options, prices, food_drink_frames, dialog);
			
			case "bye":
				
				var avatar_goodbye = "@Must be going now..@";
				var npc_goodbye = "@Goodbye!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}