
void Lenard object# (0x4f5) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
		
		
	var item_options =["nothing", "pants", "tunic", "dress"];
	var item_shapes = [SHAPE_PANTS, SHAPE_TOP, SHAPE_TOP];
	var item_prices = [20, 30, 45];	
	var item_frames = [FRAME_PANTS, FRAME_TUNIC, FRAME_DRESS];
	
	var initial_choice_question = "@Which of these?@"; //arms or armor? etc
	var cant_afford = "@I'm terribly sorry, but I can't sell it for less!@"; 
	var cant_hold = "@I'm sorry, but I really don't think you can carry that.@";
	var saidNo = "@Oh, sorry. I thought thou wanted to buy something.@";
	var nothing = "@Oh, sorry. I thought thou wanted to buy something.@";
	var askIfInterested1 = "@That costs ";
	var askIfInterested2 = " gold. Do you still want it?@";
	var success = "Le'nard takes your gold and hands over the "; 
	var success2 = ".";
	var ask_quantity = "@How many?@";
	
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	//buyArmor(item, armor_options, prices, shapes, ask_choice, askIfInterested, cant_afford, cant_hold, saidNo, success, success2);
	
	
	//************************************/
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Wh..who.. are you?@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Oh! t..tis thee..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a short, fat, rosy-cheeked man with long hair covering his eyes.");
			item.say("The man seems afraid of you. @Wh-what do you want?@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@He--hello, " + polite_title + ". Nice to see thee again.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[READ_BALLOON_PLANS])
			add("silk");

	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("As faint as a whisper comes the word @Le'nard.@");
   

			case "job"(remove):
				say("@I'm a tailor, " + polite_title + "@.");
				add(["tailor"]); 

			case "tailor"(remove):
				say("@I sew pants, tunics and dresses, " + polite_title + ". I use a lot of thread.@");
				add(["buy", "thread"]);

			case "buy"(remove): 
				if (shop_is_open)
					buyItems(item, item_options, item_prices, item_shapes, item_frames, dialog);
				else
					say("@Please come back when my shop is open.@");
				 
			case "thread": 
				var num_thread = UI_count_objects(PARTY, SHAPE_THREAD, QUALITY_ANY, FRAME_ANY);
				var num_sell;
				if (num_thread > 0)
				{
					
					var sell_quantity = UI_input_numeric_value(1, num_thread, 1, 1);
					var payment = num_thread * 8;
					say("@Will you take " + payment + " for that thread?@");
					if (askYesNo())
					{
						giveGold(payment);
						UI_remove_party_items(num_thread, SHAPE_THREAD, QUALITY_ANY, FRAME_ANY, true);
						say("@Good, good.@ He hands you " + payment + " gold pieces and takes the thread.");
					
					}
					else 
						say("@Oh. Okay.@");
				}		
				else
					say("@But - but none of you has any thread to sell.@");
	
			case "silk"(remove):
				say("@I wouldn't know where to begin. Ask Marissa in Paws.@");

			case "bye":
				say("He looks around, then waves goodbye.");
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@b..bye..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}