static var old_target;

var setTarget(var target)
{
	old_target = target;
}

var getTarget()
{
	UI_error_message("Old target is " + old_target);
	return old_target;
	

}


//Chain bolt replaces create gold. 
void chainLightning object#()()
//  void chainLightning shape#(var target, var shots_left)()
//var chainLightning(var target, var shots_left)
{
	var target_count = 9;
	var target = item; //getTarget();
	
	enum chainLightning_events
	{
		 CHAIN_BOLT                                       = 1,
		 CHAIN_BOLT_LOOP                                  = 2	 

	};
	
	if (event == CHAIN_BOLT_LOOP)
	{
		var num_shots = UI_get_npc_id(CHAIN_BOLT); //npc -132
		UI_error_message("Chain bolt loop called. Num shots left is " + num_shots);
		if (num_shots > 9)
		{
			script target after 10 ticks
			{
				call chainLightning, CHAIN_BOLT;
			}
			target_count -= 1;
			UI_error_message("target count is " + target_count);
		}
		UI_set_npc_id(CHAIN_BOLT, num_shots - 1); //lower "count"
	}	
	
	if (event == CHAIN_BOLT)
	{
			const int SHAPE_LIGHTNING = 807; //807
		//target chosen should be the one chosen by the initial casting of the spell
		var target = item; //getTarget();
		var current_target_shape = UI_get_item_shape(target);
		UI_error_message("Current target shape in event CHAIN_BOLT is " + current_target_shape);
		var current_target_npc_num = UI_get_npc_number(target);
		var current_target_npc_name =  UI_get_npc_name(target);
		var current_target_object = UI_get_npc_object(target); 
		

		UI_error_message("chainLightning called, event CHAIN_BOLT. Target 1 is " + current_target_object);
		
		if (target)
			UI_error_message("There is an initial target");
		else
			UI_error_message("No initial target");
			
		//var avatar_level = getExpLevel(AVATAR);
		var num_shots = UI_get_npc_id(CHAIN_BOLT); //npc -132
		
		//select a new target:
		//first get all npcs in a 15 tile range of target, then add them to an array. Discards any GOOD aligned targets. Select a random target from that array:
		
		var dist = 20; //tiles which we want to check
		var npc_list = target->find_nearby(-359, dist, 0x08);
		var npc_list_num = UI_get_array_size(npc_list);
		
		var target_list = [];
		var npc_alignment;
		UI_error_message("NPC list initially is " + npc_list_num);
					
		var count = 0;
		

		//take npc list and take out party members, put all valid targets in new array
		for (npc in npc_list)
		{
			
			npc_alignment = UI_get_alignment(npc);
			if (npc_alignment == GOOD)
				continue;
			else
			{
				UI_error_message("NPC is not GOOD aligned, adding to target list.");
				target_list << npc;
				count+= 1;
				
			}
			
		}
		
		//randomly select target from npc list:
		var target_list_size = UI_get_array_size([target_list]);
		UI_error_message("target_list_size array has " + target_list_size + " elements");
		var rand = UI_get_random(target_list_size);
		UI_error_message("random number for array is " + rand);
		var new_target = target_list[rand];
		
		while (target == new_target && count < 10)
		{	
			UI_error_message("Target is the same, re-rolling..");
			new_target = target_list[rand];
			count += 1;
			
			if (count == 9)
				new_target = target_list[2];
		
		}
		var new_target_object = UI_get_npc_object(new_target);
		UI_error_message("random target is shape " + UI_get_item_shape(new_target) + " and new target object is " + new_target_object);
			
		if (new_target)
			UI_error_message("new target should be selected");
			
		//attack the target:
	//	target->set_to_attack(new_target, SHAPE_LIGHTNING);
	//	if (UI_set_to_attack(target, new_target, SHAPE_LIGHTNING))
	//		UI_error_message("Target 1 attacks target 2 successfully");
	//	else
	//		UI_error_message("attack failed");
		var direction = UI_find_direction(target, new_target);
		UI_error_message("direction from target 1 to target 2 is " + direction);
		//UI_fire_projectile(target, direction, SHAPE_LIGHTNING, 1, SHAPE_LIGHTNING, SHAPE_LIGHTNING);
		
		UI_set_to_attack(target, new_target, SHAPE_LIGHTNING);
		
		
		//subtract shots left
		//shots_left -= 1;
		
		//set old target
		//setTarget(target);
		
		//script target to run chain lightning again, choosing another target
		if (target)
		{
			script new_target after 15 ticks
			{
				//chainLightning(target, shots_left);
				call chainLightning, CHAIN_BOLT_LOOP;
			}
		}
		else
			UI_error_message("No more targets.");
		
	}
	


	
	
	

}






//SPELL////////////////////////////////////////////////////////////////////////////////////////////////
void spellChainBolt object# (0x678)()
{
	//var num_shots = getExpLevel(AVATAR); //times the chain lightning will attack different people
	
	if (event == DOUBLECLICK)
	{
	
		var target = UI_click_on_item();
		var target_shape = target->get_item_shape();
		var dir = direction_from(target);
		const int SHAPE_LIGHTNING = 807; //807
		var dist = 15;
		
		//var target_list = [];
		//var num_targets;
		//var new_target;
		//var npc_alignment; 
		
		halt_scheduled();
		item_say("@Ort Grav@");
		if (inMagicStorm())
		{
			UI_set_to_attack(AVATAR, target, SHAPE_LIGHTNING);
			
			
			script AVATAR
			{	nohalt;						face dir;
				actor frame raise_1h;		actor frame cast_up;
				sfx 65;						actor frame cast_out;
				actor frame strike_2h;		actor frame strike_2h;
				attack;						actor frame standing;
				
			}
			
			//get random number for "shots left". Adding 2 so there is at least 3 shots to be fired
			var shots_left = UI_get_random(6) + 2;
			
			//call the chain lightning script
			target->chainLightning();
			
			var num_shots = UI_get_npc_id(CHAIN_BOLT); 
			UI_set_npc_id(CHAIN_BOLT, 10); //npc -132
			UI_error_message("Shots are initially " + num_shots);
			
			
		//	call chainLightning, CHAIN_BOLT_LOOP;
			
		}
		else
		{
			script item
			{	nohalt;						face dir;
				actor frame raise_1h;		actor frame cast_up;
				actor frame cast_out;			actor frame strike_2h;
				call spellFails;
			}
		}
	
	
	}
}