void spellPickpocket object#(0x669) ()
{

	var frame = UI_get_item_frame(item);
	var quality = UI_get_item_quality(item);
	var level = getExpLevel(AVATAR);
	var BM = UI_count_objects(PARTY, SHAPE_REAGENT, QUALITY_ANY, FRAME_BLOOD_MOSS);	
	var NS = UI_count_objects(PARTY, SHAPE_REAGENT, QUALITY_ANY, FRAME_NIGHTSHADE);	
	var SS = UI_count_objects(PARTY, SHAPE_REAGENT, QUALITY_ANY, FRAME_SPIDER_SILK);	
	var AvatarMana = UI_get_npc_prop(AVATAR, MANA);
	var stuff; 
	var counter = 1;
	var avatar_pos = UI_get_object_position(AVATAR);
	var target_contents;
	var stealable_items_count = 0;
	var stealable_items;
	var cant_steal_items = [807, 731, 857, 856, 902, 1118, 281, 288];
	
	var spots = [BG_WEAPON_HAND, BG_OFF_HAND, BG_BACKPACK, BG_CLOAK, BG_AMULET, BG_HEAD, BG_GLOVES,
			 BG_RIGHT_RING, BG_LEFT_RING, BG_QUIVER, BG_BELT, BG_TORSO, BG_FEET,
			 BG_LEGS, BG_BACK_SHIELD, BG_BACK_2H];
	
	
	if (event == DOUBLECLICK)
	{
		//check for proper level, mana, reagents
		if ((level >= 5) && (BM > 0) && (NS > 0) && (SS > 0) && (AvatarMana >=5))
		{
			
			//remove regs and mana points
			UI_remove_party_items(1, SHAPE_REAGENT, QUALITY_ANY, FRAME_BLOOD_MOSS);
			UI_remove_party_items(1, SHAPE_REAGENT, QUALITY_ANY, FRAME_NIGHTSHADE);
			UI_remove_party_items(1, SHAPE_REAGENT, QUALITY_ANY, FRAME_SPIDER_SILK);
			UI_set_npc_prop(AVATAR, MANA, -5);	
				
			//close all windows
			UI_close_gumps();
			
			//get target
			var target = UI_click_on_item();
			UI_error_message("Target is " + target);
					
			//get array of target contents:
			if (UI_is_npc(target))
			{	
				var dir = direction_from(target);
				target_contents = UI_get_cont_items(target, SHAPE_ANY, QUALITY_ANY, FRAME_ANY);
				var count = UI_count_objects(target);
							
				//TODO:  discern between wearable items and backpack items
				//array to put stealable items in - stuff in pouches, non magic stuff
				
				var object;
				for (object in target_contents)
				{
					
					count = count + 1;
				
				}
				
				UI_error_message("Target has " + count + " objects in their inventory");
				
				//pick random item in inventory to steal: 
				var rand = UI_get_random(count);
				
				
				//to avoid infinite loop, counter will go up to 20 then give Avatar random amount of stolen gold
				var counter = 0;
				var invalid_item = true;
				
				while (invalid_item && counter < 21)
				{
					invalid_item = false;
					
					//determine if item selected to steal is being worn/held
					for (spot in spots)
					{
						UI_error_message("Spot is : " + spot);
						var item_to_take = UI_get_item_shape(target_contents[rand]);
						
						UI_error_message("Item  is : " + item_to_take);
						
						if (UI_is_readied(target, spot, item_to_take, FRAME_ANY))
						{
							
							//item found readied, re-roll
							rand = UI_get_random(count);
							
							UI_error_message("Reroll - carrying item found in spot " + spot + " Rand is now: " + rand);
							
							invalid_item = true;
							break;
						}
						
					
					}
					counter += 1;
				}
				
				//no items OR counter was too high
				if (count < 1 || counter == 21)
				{
					rand = UI_get_random(50);
					UI_error_message("no items or counter is over 20. Stealing gold instead. Counter is: " + counter);
					giveGold(rand);
				
				}
				else
				{
					//transfer item to Avatar
					//UI_error_message("Counter is " + counter + " . Item stolen is: " + item_to_take + ".");
					UI_set_last_created(target_contents[rand]);
					UI_give_last_created(AVATAR);
				}	
				
				//steal successful, karma loss
				subtractKarma(5);
				
				//play sprite effects
				UI_obj_sprite_effect(AVATAR, 21, 0, 0, 0, 0, 0, -1); //purple
				
				UI_obj_sprite_effect(target, 13, 0, 0, 0, 0, 0, -1); //green
				
				script AVATAR
				{	
					nohalt;	face dir;
					say"@Por Ylem@";
					actor frame reach_1h;	actor frame raise_1h;
					actor frame strike_1h;	sfx 66;
						
					
				}	
	
				
				//TODO - chance to call the guards?
				
			}	
			else //targeted something other than an npc
			{
				
				AVATAR->spellFails();
				
			}
			
		
		}
		else
			UI_flash_mouse(1);


	} 
	
}	