//Get a count of bodies in the party's inventory
var getBodyCount(var container)
{
	const int SHAPE_BODY1 = 400; 
	const int SHAPE_BODY2 = 414;
	var body_frames2 = [24, 25]; //frames to exclude
	const int SHAPE_BODY3 = 762;
	const int SHAPE_BODY4 = 892; //need to limit by frames
	var body_frames4 = [1, 2, 3, 4, 5, 6, 7, 10, 11, 29]; //frames to exclude
	const int SHAPE_BODY5 = 1140;

	var bodycount = 0;
	var bodyframe;
	var bodyshape;
	var bodies;
	var body;
	
	var body1 = UI_count_objects(PARTY, SHAPE_BODY1, QUALITY_ANY, FRAME_ANY);
	var body2count = UI_count_objects(PARTY, SHAPE_BODY2, QUALITY_ANY, FRAME_ANY);
	if (body2count)
	{
		for (body in body2count with index to max)
		{
			bodyshape = UI_get_item_shape(body); 
			bodyframe = UI_get_item_frame(bodyshape);
			UI_error_message("Body 2 shape found is, " + bodyshape);
			UI_error_message("Body 2 frame found is, " + bodyframe);	
			
			if (!bodyframe in body_frames2)
				bodycount += 1;
			
		}
	}
	
	

	var body3 = UI_count_objects(PARTY, SHAPE_BODY3, QUALITY_ANY, FRAME_ANY);
	var body4 = UI_count_objects(PARTY, SHAPE_BODY4, QUALITY_ANY, FRAME_ANY); 

	bodycount = (body1 + body2count + body3 + body4);
	UI_error_message("Bodies in body 1 found are: , " + body1);	
	UI_error_message("Bodies in body 2 found are: , " + body2count);	
	UI_error_message("Bodies in body 3 found are: , " + body3);	
	UI_error_message("Bodies in body 4 found are: , " + body4);	
	
	UI_error_message("Total bodies found are: , " + bodies);	

	return bodycount;

}


//function to find a body that glen can cremate 
var findBodyCont(var container)
{
	var body;
	const int SHAPE_BODY1 = 400; 
	const int SHAPE_BODY2 = 414;
	var body_frames2 = [24, 25]; //frames to exclude
	const int SHAPE_BODY3 = 762;
	const int SHAPE_BODY4 = 892; //need to limit by frames
	var body_frames4 = [1, 2, 3, 4, 5, 6, 7, 10, 11, 29]; //frames to exclude
	const int SHAPE_BODY5 = 1140;

	if (UI_find_object(PARTY, SHAPE_BODY1, QUALITY_ANY, FRAME_ANY) > 0)	
	{
		body = UI_find_object(PARTY, SHAPE_BODY1, QUALITY_ANY, FRAME_ANY);
		return body;
	}  

	else if (UI_find_object(PARTY, SHAPE_BODY2, QUALITY_ANY, FRAME_ANY) > 0)	
	{
		body = UI_find_object(PARTY, SHAPE_BODY2, QUALITY_ANY, FRAME_ANY);
		return body;
	}  

	else if (UI_find_object(PARTY, SHAPE_BODY3, QUALITY_ANY, FRAME_ANY) > 0)	
	{
		body = UI_find_object(PARTY, SHAPE_BODY3, QUALITY_ANY, FRAME_ANY);
		return body;
	}  
	
	else if (UI_find_object(PARTY, SHAPE_BODY4, QUALITY_ANY, FRAME_ANY) > 0)	
	{
		body = UI_find_object(PARTY, SHAPE_BODY4, QUALITY_ANY, FRAME_ANY);
		return body;
	}  
	
	else if (UI_find_object(PARTY, SHAPE_BODY5, QUALITY_ANY, FRAME_ANY) > 0)	
	{
		body = UI_find_object(PARTY, SHAPE_BODY5, QUALITY_ANY, FRAME_ANY);
		return body;
	}  
	else return body;  //There SHOULD be a body returned!
	UI_error_message("Body returned is: " + body);	
}



var getBody(var container)
{	
	const int SHAPE_BODY1 = 400; 
	const int SHAPE_BODY2 = 414;
	const int SHAPE_BODY3 = 762;
	const int SHAPE_BODY4 = 892;
	const int SHAPE_BODY5 = 1140;
	
	var body;
	var npc_body;
	
	var body1 = UI_get_cont_items(container, SHAPE_BODY1, QUALITY_ANY, FRAME_ANY);
	var body2 = UI_get_cont_items(container, SHAPE_BODY2, QUALITY_ANY, FRAME_ANY);
	var body3 = UI_get_cont_items(container, SHAPE_BODY3, QUALITY_ANY, FRAME_ANY);
	var body4 = UI_get_cont_items(container, SHAPE_BODY4, QUALITY_ANY, FRAME_ANY);
	var body5 = UI_get_cont_items(container, SHAPE_BODY5, QUALITY_ANY, FRAME_ANY);

	for (body in body1)
	{	
		UI_error_message("Body 1 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 1 assigned to npc_body");
			npc_body = body; 
			
		}	
		return npc_body;
		
	}	
	
	for (body in body2)
	{
		UI_error_message("Body 2 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 2 assigned to npc_body");
			npc_body = body; 
		
		}	
		return npc_body;
			
	}	
	
	for (body in body3)
	{
		UI_error_message("Body 3 found"); 		
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 3 assigned to npc_body");
			npc_body = body; 
		
		}	
		return npc_body;
	}	
		
	for (body in body4)
	{
		UI_error_message("Body 4 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 4 assigned to npc_body");
			npc_body = body; 
		
		}	
		return npc_body;		
	}	
	
	for (body in body5)
	{
		UI_error_message("Body 5 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 5 assigned to npc_body");
			npc_body = body; 
		
		}	
		return npc_body;		
	}	
	
	
	UI_error_message("npc_body is: " + npc_body);
	return npc_body;	
}


//This function will find viable npc bodies on the ground 15 tiles away from the healer
//or npc passed in the function

var findBody(var npc) //use healer to search by
{	
	const int SHAPE_BODY1 = 400; 
	const int SHAPE_BODY2 = 414;
	const int SHAPE_BODY3 = 762;
	const int SHAPE_BODY4 = 892;
	const int SHAPE_BODY5 = 1140;
	
	var body;
	var npc_body;
	
	var body1 = UI_find_nearby(npc, SHAPE_BODY1, 15, MASK_NONE);
	var body2 = UI_find_nearby(npc, SHAPE_BODY2, 15, MASK_NONE);
	var body3 = UI_find_nearby(npc, SHAPE_BODY3, 15, MASK_NONE);
	var body4 = UI_find_nearby(npc, SHAPE_BODY4, 15, MASK_NONE);
	var body5 = UI_find_nearby(npc, SHAPE_BODY5, 15, MASK_NONE);

	for (body in body1)
	{	
		UI_error_message("Body 1 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 1 assigned to npc_body");
			npc_body = body; 
			
		}	
		
		
	}	
	
	for (body in body2)
	{
		UI_error_message("Body 2 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 2 assigned to npc_body");
			npc_body = body; 
		
		}	
		
			
	}	
	
	for (body in body3)
	{
		UI_error_message("Body 3 found"); 		
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 3 assigned to npc_body");
			npc_body = body; 
		
		}	
		
	}	
		
	for (body in body4)
	{
		UI_error_message("Body 4 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 4 assigned to npc_body");
			npc_body = body; 
		
		}	
				
	}	
	
	for (body in body5)
	{
		UI_error_message("Body 5 found"); 	
		if (UI_get_body_npc(body))
		{
			UI_error_message("Body 5 assigned to npc_body");
			npc_body = body; 
		
		}	
				
	}	
	
	
	UI_error_message("npc_body is: " + npc_body);
	return npc_body;	
}


//this will find a viable body within 5 tiles near the passed location, used for Glen's cremation
var findBodyL(var x, var y, var z) //search by location
{	
	const int SHAPE_BODY1 = 400; 
	const int SHAPE_BODY2 = 414;
	const int SHAPE_BODY3 = 762;
	const int SHAPE_BODY4 = 892;
	const int SHAPE_BODY5 = 1140;
	
	var body;
	var npc_body;
	
	var body1 = UI_find_nearby([x, y, z], SHAPE_BODY1, 5, MASK_NONE);
	var body2 = UI_find_nearby([x, y, z], SHAPE_BODY2, 5, MASK_NONE);
//	var body3 = UI_get_array_size([UI_find_nearby([0375, 0599, 0], SHAPE_BODY3, 5, MASK_NONE)]);
	var body3 = UI_find_object([x, y, z], SHAPE_BODY3, QUALITY_ANY, FRAME_ANY);
	var body4 = UI_find_nearby([x, y, z], SHAPE_BODY4, 5, MASK_NONE);
	var body5 = UI_find_nearby([x, y, z], SHAPE_BODY5, 5, MASK_NONE);

	if (body1)
		return body1;
	else if (body2)
		return body2;
			
	else if (body3)
		return body3;
		 
	else if (body4)
		return body4;
		
	else if (body5)
		return body5;
	
	else
		UI_error_message("No bodies found");
	UI_error_message("npc_body is: " + npc_body);

}





