void glenCremation object# ()(){
	const int SHAPE_DUST = 224;
	const int SHAPE_URN = 1240;
	const int FRAME_CHUCKLES = 1;
	var body;
	UI_error_message("body shape is: " + UI_get_item_shape(body));
	enum cremation_levels
	{
		MOVE_BODY					= 1, 
    	ANIMATE_GLEN				= 2,
		GREEN_FLAME					= 3,
		DELETE_BODY					= 4,
		SWEEP_ASHES					= 5,
		GIVE_URN					= 6, 
		FAILED						= 7
    
	};
	
	if (event == MOVE_BODY)
	{
	
		UI_error_message("glenCremation MOVE_BODY event called");
		UI_set_item_flag(AVATAR, BG_DONT_MOVE);
		//find if body was holding anything and dump at Avatar's feet
		var item_list = UI_get_cont_items(item, SHAPE_ANY, QUALITY_ANY, FRAME_ANY);
		var AvatarLoc = UI_get_object_position(AVATAR);
		var obj; 
		if (item_list){
			GLEN.say("@I will place the items they were holding at your feet.@");
			GLEN.hide();
			for (obj in item_list with index to max)
				UI_move_object(obj, [AvatarLoc]);
		}
		
		
		UI_set_schedule_type(GLEN, WAIT); //to keep him from running around
		
		//make sure he's standing there at the cremator space
		GLEN->move_object([375, 603]);

		
		script GLEN after 13 ticks
		{
			nohalt;
			face north;
			actor frame USE;
			wait 3;
			call glenCremation, ANIMATE_GLEN;
		
		}
		
	
	
	}
	
	
	if (event == ANIMATE_GLEN)
	{	

		
		//move body when Glen gets there
		var body = findBodyCont(PARTY);
		var body_pos = [0375, 0599]; //body position in crematoriam pit
		
		body->move_object([body_pos]);

		UI_error_message("Item shape is event ANIMATE_GLEN: " + UI_get_item_shape(body));
		
		//animate Glen
		script GLEN after 25 ticks   //changed from 30
		{
			
			nohalt;
			
			face north;
			wait 1;
			actor frame USE;
			wait 3;
			actor frame SWING_2H_1;
			wait 3;
			actor frame CAST_1; 
			wait 3;
			actor frame CAST_2;
			wait 3;
			say "@Kal Corp Flam!@";
			wait 3;
			actor frame SWING_3;
			wait 3;
			actor frame STAND;
			call glenCremation, GREEN_FLAME;
		
		}
	}
	
	if (event == GREEN_FLAME)
	{
		UI_error_message("Item shape in EVENT GREEN_FLAME is: " + UI_get_item_shape(item));
		
		UI_play_sound_effect(8);
		const int GREEN_FLAME = 1242;
		//make green flame
		var flame1 = UI_create_new_object2(GREEN_FLAME, [0375, 0598, 01]);
		var flame2 = UI_create_new_object2(GREEN_FLAME, [0375, 0599, 01]);
		var flame3 = UI_create_new_object2(GREEN_FLAME, [0375, 0600, 01]);
		
		script flame1 after 3 ticks
		{
			wait 50;
			remove;
		}
		
		script flame2 after 3 ticks
		{
			wait 51;
			remove;
		}
		
		script flame3 after 3 ticks
		{
			wait 49;
			remove;
		}
		
		
		
		script item after 55 ticks //one minute?
		{
			call glenCremation, DELETE_BODY;
		}
	
	}
	
	if (event == DELETE_BODY)
	{
		//get body to cremate
		var body = findBodyL(0375, 0599, 0);
		
		//if body is Chuckles, set a flag so it can have a certain frame ID
		var body_id = UI_get_body_npc(body);
		var npc_name = UI_get_npc_name(body_id);
		UI_error_message("Body ID is " + body_id + " which belongs to npc: " + npc_name);
		
		if (body_id == -55) //should be Chuckles, if so sets global flag to true so urn ID can be set
		{
			gflags[CHUCKLES_CREMATED] = true;
			UI_error_message("Body being cremated is Chuckles.");
		}
		
		//get positon of body to place ashes
		var body_pos = UI_get_object_position(body);

	
		
		//create ashes where it was
		UI_create_new_object2(224, [body_pos]);

		//remove body (change to ashes)
		//UI_set_item_shape(body, 224);
		UI_remove_item(body);
		

		
		script GLEN after 3 ticks
		{
			call glenCremation, SWEEP_ASHES;
		}
	
	
	}
	
	if (event == SWEEP_ASHES)
	{
		script GLEN after 3 ticks
		{
			nohalt;
			actor frame LEAN_NORTH;
			wait 2; 
			sfx 12;
			wait 1; 
			sfx 12; 
			wait 1;
			sfx 12;
			wait 1;
			actor frame STAND;
			wait 3;
			face find_direction(AVATAR);
			call glenCremation, GIVE_URN;
		
		}
	
	
	}

	if (event == GIVE_URN)
	{
		var ashes = UI_find_nearby([0375, 0599, 0], SHAPE_DUST, 5, MASK_NONE);
		var urn_holder;
		var urn_holder_name;
	
	
		//get rid of dust
		UI_remove_item(ashes);
			
		//give urn to party. If body is Chuckles, special urn is given
		if (gflags[CHUCKLES_CREMATED])
		{
			urn_holder->get_container(UI_add_party_items(1, SHAPE_URN, QUALITY_ANY, FRAME_CHUCKLES, false)); //who urn was given to
			gflags[CHUCKLES_CREMATED] = false;
		}
		else
			urn_holder->get_container(UI_add_party_items(1, SHAPE_URN, QUALITY_ANY, FRAME_ANY, false)); //who urn was given to
		//so he says the proper name
		if (urn_holder == AVATAR)
			urn_holder_name = getAvatarName();
		else	
			urn_holder_name = UI_get_npc_name(urn_holder);
		UI_error_message("urn holder's name is" + urn_holder_name);	
				
		GLEN.say("An eerie green flame engulfed the corpse, consuming it in seconds. Nothing but ashes remain. The mortician sweeps them up, puts them in an urn.");
		GLEN.say("Glen hands you the urn. @Please come again if any more of your friends need my services.@");
		UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
		UI_remove_item(body); //delete urn on ground
		UI_clear_item_flag(item, BG_DONT_MOVE);
		
		//reset his schedule to normal TEND SHOP
		UI_set_new_schedules(GLEN, 2, TEND_SHOP, [0360, 0600]);
		
		UI_run_schedule(GLEN);
		GLEN.hide();
			
		
	
	}

	if (event == FAILED)
	{
		delayedBark(GLEN, "Try again later.", 3);
		UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
	
	}


}