//Karma system based on Avatar's npc id #.  Code should add or subtract karma based
//on instances where karma is gained or lost in conversations, etc. If Karma > 100, it *should* 
//stay at 100 and not go over.  

var getKarma 2260()
{
	var AvatarKarma = UI_get_npc_prop(KARMA1, EXPERIENCE);
	
	return AvatarKarma; 
}

void addKarma 2257(var amount)
{

	
	UI_set_npc_prop(KARMA1, EXPERIENCE, amount*2);
	var currentKarma = UI_get_npc_prop(KARMA1, EXPERIENCE);
	//we don't want karma rolling past 100, so clear out karma, then re-add 100
	if (currentKarma > 100)
	{
		UI_set_npc_prop(KARMA1, EXPERIENCE, -(currentKarma*2));
		//re-add 100 karma
		UI_set_npc_prop(KARMA1, EXPERIENCE, 100*2);
	}


}

void resetKarma 2259() 
{
	//reset karma to 75 default
	var currentKarma = UI_get_npc_prop(KARMA1, EXPERIENCE);
	UI_set_npc_prop(KARMA1, EXPERIENCE, -currentKarma*2);
	
	//re-add 75 karma
	UI_set_npc_prop(KARMA1, EXPERIENCE, 75*2);

}

void subtractKarma 2261(var amount)
{
	var currentKarma = UI_get_npc_prop(KARMA1, EXPERIENCE);
	
	//check for current karma. if subtracting would make it below zero, set to 0
	if (amount > currentKarma)
	{
		UI_set_npc_prop(KARMA1, EXPERIENCE, -(currentKarma*2));
	
	}
	else
	{
		UI_set_npc_prop(KARMA1, EXPERIENCE, -(amount*2));
	}
	
}