enum party_levels
{
	MOVE_NPC	                                      = 1,
	MOVE_NPC2                                       = 2
 
};





// Function to handle leaving the party, making sure they go back to correct 
// map.  
void moveNPC(var npc)
{

	UI_error_message("moveNPC called on " + npc);
	//Should be called if you try to make them leave on another map
	if (npc == GORN)
		UI_move_object(npc, [2074, 2549, 0, 1], true); //Sutek's lair
	else
		UI_move_object(npc, [2883, 2826, 0, 0], true); //entrance to Hythloth
	UI_error_message("MOVE_NPC called for npc " + npc + ". ");
	return;

	
	
	


}

void leaveParty  object#()() 
{
	var map_num = UI_get_map_num(AVATAR);
	UI_error_message("Map num is " + map_num);
	
	if (map_num == 0)
	{
		gflags[MAP_IS_OVERWORLD] = true;
		UI_error_message("Map is on overworld, flag set");
	}
	else
		gflags[MAP_IS_OVERWORLD] = false;
	UI_error_message("leaveParty initiated.");
	
	//call scripted in each party member!
	
	
	UI_set_schedule_type(item, WANDER);
	UI_remove_from_party(item);
	UI_clear_item_flag(item, IN_PARTY);
	
	
	if (event == MOVE_NPC2)
	{
		var npc = UI_get_npc_id(item);
		var npc_name = UI_get_npc_name(item);
		UI_error_message("Event MOVE_NPC2 called on " + npc_name);
		//Should be called if you try to make them leave on another map
		
		//NPC isn't Gorn and npc is on mainland, do nothing
		if (npc_name != "Gorn" && map_num == 0 && gflags[MAP_IS_OVERWORLD])
		{
			gflags[MAP_IS_OVERWORLD] = false;
			return;
		}
		else
		{
			script item after 150 ticks
			{
				call leaveParty, MOVE_NPC;
			
			}
			UI_error_message("NPC is not Gorn or on another map."); 
			return;
		}	
	}
	
	//NPC is either Gorn or NPC is not on map 0.  
	if (event == MOVE_NPC) 
   	{
		var npc = UI_get_npc_id(item);
		var npc_name = UI_get_npc_name(item);
		
		UI_error_message("Event MOVE_NPC is called.");
		if (npc_name == "Gorn")		
		{
			UI_error_message("NPC is Gorn, moving him back to Sutek's lair");
			UI_move_object(item, [2074, 2549, 0, 1], true); //Sutek's lair
		}
		else
		{
			UI_move_object(item, [2883, 2826, 0, 0], true); //entrance to Hythloth
			UI_error_message("NPC is not Gorn, moving to Hythloth entrance");
		}

	}
		


}