

void transferAllItems 0x9E1 (var giving_npc, receiving_npc)
{
	var each_spot;
	// Here, we transfer only objects directly held by the character:
	var spots = [BG_WEAPON_HAND, BG_OFF_HAND, BG_BACKPACK, BG_CLOAK, BG_AMULET, BG_HEAD, BG_GLOVES,
				 BG_RIGHT_RING, BG_LEFT_RING, BG_QUIVER, BG_BELT, BG_TORSO, BG_FEET,
				 BG_LEGS, BG_BACK_SHIELD, BG_BACK_2H];

	var got_gear = UI_get_cont_items(giving_npc, SHAPE_ANY, FRAME_ANY, QUALITY_ANY);
	if (got_gear)
	{
		for (each_spot in spots)
		{
			var equiped_gear = UI_get_readied(giving_npc, each_spot);
			if (equiped_gear)
			{
				// If there is nothing in the way
				// if (UI_get_readied(receiving_npc, each_spot) == 0)
				{
					UI_set_last_created(equiped_gear);
					UI_give_last_created(receiving_npc);
				}
			}
		}
	}
}





void transferNeckItems (var giving_npc, receiving_npc)
{
	var avatar_neck_item = UI_get_readied(AVATAR, BG_AMULET);
	var avatar_pos = UI_get_object_position(AVATAR);
	
	//find which object Avatar has on the neck and transfer it to HOLDERGUY
	UI_set_last_created(avatar_neck_item);
	
	UI_update_last_created(avatar_pos);//just put it on the ground


//	UI_give_last_created(HOLDERGUY);
	
	UI_error_message("transferNeckItems should have been put on the ground");
	

}


/* //OLD
void transferNeckItems (var giving_npc, receiving_npc)
{
	var each_spot;
	// Here, we transfer only objects directly held by the character:
	var spots = [BG_AMULET];

	var got_gear = UI_get_cont_items(giving_npc, SHAPE_ANY, FRAME_ANY, QUALITY_ANY);
	if (got_gear)
	{
		for (each_spot in spots)
		{
			var equiped_gear = UI_get_readied(giving_npc, each_spot);
			if (equiped_gear)
			{
				// If there is nothing in the way
				// if (UI_get_readied(receiving_npc, each_spot) == 0)
				{
					UI_set_last_created(equiped_gear);
					UI_give_last_created(receiving_npc);
				}
			}
		}
	}
}
*/