//ADD TOURNA FLAGS, SFX, etc....


	//determine if brawlers are still brawling
	var isBrawling (var npc)
	{
		if (UI_get_schedule_type(npc) == KID_GAMES)
			return true;
		else
			return false;
	
	}




	void BrawlEngineJhelom object#() ()
	{
		//const int BRAWL_TIMER = 0; //sets Brawl timer if it's triggered outside of normal times (saying "rat" and so on). After 1 hour, will subside.
		
		var brawl_timer = UI_get_npc_id(ARVIN); //using npc Arvin for "brawl timer".  His npc ID will be incremented each time the brawl engine is called 
		var hour = UI_game_hour();	
		
		var atk_frame1;
		var atk_frame2;
		var atk_frame3;
		var bark;
		
		var brawl_sfx = [2, 3, 4, 5];
		var rand_num_sfx;
		var rand_sfx;
		
		UI_set_schedule_type(CULHAM, KID_GAMES);
		UI_set_schedule_type(STELNAR, KID_GAMES);
		UI_set_schedule_type(JERRIS, KID_GAMES);
		UI_set_schedule_type(NOMAAN, KID_GAMES);
		UI_set_schedule_type(VANKELLIAN, KID_GAMES);
		
		
		var attacking_frames = [SWING_1, SWING_2, SWING_3,  SWING_2H_1, SWING_2H_2, SWING_2H_3, LEAN, KNEEL, LIE]; //1H and 2H swing frames
		
		var barks = ["Thou bastard!", "Oof!", "'twas a rat!", "'twas a mouse!", "Argh!", "Thou bloodied my lip!", "Have at thee!", "Take that!", "Thou dost hit like a girl!", "Ouch that hurt!!"];
		
		var brawling_npcs = [STELNAR, JERRIS, VANKELLIAN, CULHAM, NOMAAN];
		var brawler;
		
		UI_error_message("Brawl engine engaged!");
		
		//something to run the script off of
		var table = UI_find_object(FIND_ON_SCREEN, 847, QUALITY_ANY, FRAME_ANY);

		//check to see if at least 1 brawler is nearby
		if ((isNearby(STELNAR) || isNearby(JERRIS) || isNearby(VANKELLIAN) || isNearby(CULHAM) || isNearby(NOMAAN)) && gflags[BRAWLING])
		{
			var rand_ticks = UI_get_random(6);
			var rand2 = UI_get_random(6);
			var rand_npc = UI_get_random(5);
			var rand_npc2 = UI_get_random(5);
			var rand_bark = UI_get_random(UI_get_array_size(barks));
			
			// 3/10 chance stuff getting thrown around: 
			var something_thrown = UI_get_random(10);
			if (something_thrown >= 7)
			{
				var rand_1 = UI_die_roll(0385, 0430);
				var rand_2 = UI_die_roll(2561, 2574);
				var rand_frame = UI_get_random(16);
				var pos = [rand_1, rand_2];
				
				//get current dish count:
				var broken_dishes = UI_count_objects(FIND_ON_SCREEN, 546, QUALITY_ANY, FRAME_ANY);
				var dish = UI_find_object(FIND_ON_SCREEN, 546, QUALITY_ANY, FRAME_ANY);
				if (broken_dishes < 50)
				{	
					var brokendish = UI_create_new_object(546);
					brokendish->set_item_frame(rand_frame);
					brokendish->set_item_flag(TEMPORARY);
					UI_update_last_created([pos]);
					UI_play_sound_effect(37);
				}
				else	
					UI_remove_item(dish);
			}
			
			//add some barks for  color:
			var npc_to_bark = UI_get_random(6);
			
			switch (npc_to_bark)
			{
				case 1:
					if (isNearby(LYSSANDRA))
					{
						var lyssandra_barks = ["I just cleaned this place up!", "Watch it, ye oafs!", "Hey, that almost hit me!", "Take it outside, ya louts!", "What a mess!"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(LYSSANDRA, lyssandra_barks[npc_bark]);

					}
					break;
					
				case 2:
					if (isNearby(HEFTIMUS) && UI_get_schedule_type(HEFTIMUS, EAT_AT_INN))
					{
						
						var heftimus_barks = ["Watch it, mateys!", "Don't make me cut ya!", "Who threw that bottle?!", "I'll keelhaul the lot of ye!", "Ye call this a fight?"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(HEFTIMUS, heftimus_barks[npc_bark]);

					}
					break;
					
				case 3:
					if (isNearby(CULHAM))
					{
						
						var culham_barks = ["Hey, that didst hurt!", "Don't break my lute!", "It was a rat, I saw it!", "Don't punch so hard!", "Ow, my spleen!", "Not the face!"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(CULHAM, culham_barks[npc_bark]);

					}
					break;
					
					
				case 4:
					if (isNearby(STELNAR))
					{
						
						var stelnar_barks = ["T'was a mouse, Jerris!", "Take that!", "I'll cut you!", "Fight like a man, ya coward!", "Thou dost hit like a girl!", "My grandmother hits harder than you!"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(STELNAR, stelnar_barks[npc_bark]);

					}
					break;		

				case 5:
					if (isNearby(JERRIS))
					{
						
						var jerris_barks = ["@It was a rat, Stelnar!@", "@Watch the face!@", "@Ow!@", "@Eat fist!@", "@Thou dost hit like a girl!@", "You call that a punch?"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(JERRIS, jerris_barks[npc_bark]);

					}
					break;	
					
				case 6:
					if (isNearby(NOMAAN))
					{
						
						var nomaan_barks = ["@It was a rat, I saw it!@", "@Watch the face!@", "@Ow!@", "@No punching below the belt!@", "@Thou dost hit like a girl!@", "You call that a punch?", "Who threw the bottle?", "Come at me, wimpy man!"];
						var npc_bark = UI_get_random(UI_get_array_size(barks));
						
						//bark
						UI_item_say(NOMAAN, nomaan_barks[npc_bark]);

					}
					break;					

				
			}	
		
		
				
			var npc = brawling_npcs[rand_npc];
			
			
			//make sure both npcs aren't same
			while (rand_npc == rand_npc2)
			{
				rand_npc2 = UI_get_random(5);
			
			}
			var npc2 = brawling_npcs[rand_npc2];
			
			UI_error_message("Rand1 is " + rand_ticks);
			
			if (isNearby(npc) && isBrawling(npc))
			{
				var rand_ticks = UI_get_random(6);
				
				var rand2 = UI_get_random(6);
				
				rand_num_sfx = UI_get_random(UI_get_array_size(brawl_sfx));
				
				rand_sfx = brawl_sfx[rand_num_sfx];
				
				
				
				bark = barks[rand_bark];
				
				if (rand2 == 1)
				{
					atk_frame1 = attacking_frames[1];
					atk_frame2 = attacking_frames[2]; 
					atk_frame3 = attacking_frames[3];
					
					
				}
				else if (rand2 == 2)
				{
					atk_frame1 = attacking_frames[4];
					atk_frame2 = attacking_frames[5]; 
					atk_frame3 = attacking_frames[6];
					
				}
				
				else if (rand2 == 3)
				{
					atk_frame1 = attacking_frames[7];
					atk_frame2 = attacking_frames[8]; 
					atk_frame3 = attacking_frames[9];
					
				}
				else if (rand2 == 4)
				{
					atk_frame1 = attacking_frames[2];
					atk_frame2 = attacking_frames[3]; 
					atk_frame3 = attacking_frames[8];
				
				
				}
				else 
				{
					atk_frame1 = attacking_frames[7];
					atk_frame2 = attacking_frames[4]; 
					atk_frame3 = attacking_frames[5];
					
				}
					
				script npc after rand_ticks ticks
				{
					call GenericFreeze;
					nohalt;
					actor frame atk_frame1; 
					actor frame atk_frame2; 
					actor frame atk_frame3; 
					say bark;
					sfx rand_sfx;
					call GenericUnfreeze;
				};
				
			///npc 2	
			
				rand2 = UI_get_random(6); //reroll
				rand_bark = UI_get_random(UI_get_array_size(barks));
				bark = barks[rand_bark];
				
				rand_num_sfx = UI_get_random(UI_get_array_size(brawl_sfx));
				rand_sfx = brawl_sfx[rand_num_sfx];
				
				
				if (rand2 == 1)
				{
					atk_frame1 = attacking_frames[1];
					atk_frame2 = attacking_frames[2]; 
					atk_frame3 = attacking_frames[3];
					
					
				}
				else if (rand2 == 2)
				{
					atk_frame1 = attacking_frames[4];
					atk_frame2 = attacking_frames[5]; 
					atk_frame3 = attacking_frames[6];
					
				}
				
				else if (rand2 == 3)
				{
					atk_frame1 = attacking_frames[7];
					atk_frame2 = attacking_frames[8]; 
					atk_frame3 = attacking_frames[9];
					
				}
				else if (rand2 == 4)
				{
					atk_frame1 = attacking_frames[2];
					atk_frame2 = attacking_frames[3]; 
					atk_frame3 = attacking_frames[8];
				
				
				}
				else 
				{
					atk_frame1 = attacking_frames[7];
					atk_frame2 = attacking_frames[4]; 
					atk_frame3 = attacking_frames[5];
					
				}
					
				script npc2 after rand_ticks + 5 ticks
				{
					call GenericFreeze;
					nohalt;
					actor frame atk_frame1; 
					actor frame atk_frame2; 
					actor frame atk_frame3; 
					sfx rand_sfx;
					say bark;
					call GenericUnfreeze;
				};
				
					
				
			}
		
		
			// increment brawl timer if time is not within the 9pm to midnight range.
			// if it's during the normal brawl hours we don't want the flag to reset
			if (hour < 20)
			{
				UI_set_npc_id(ARVIN, brawl_timer + 1); //should increment by 1
			
			}
		
			script table after 30 ticks
			{
				call BrawlEngineJhelom;
				
				
			};
			
		}	
		else //no brawlers nearby
		{
			UI_error_message("No Jhelom brawlers detected nearby, turn off brawl engine.");
			gflags[BRAWLING] = false;
			UI_play_music(255, 0);
			
			//reset 'brawl timer'
			UI_set_npc_id(ARVIN, 0); 
			
		}
			
		//people stopped brawling, turn off "Brawling" flag
		if (brawl_timer > 30) //brawl has been going on for past a half hour
		{
			gflags[BRAWLING] = false;
			UI_play_music(255, 0);
			UI_error_message("Timer expired, turning off Brawling flag");
			
			//reset 'brawl timer'
			UI_set_npc_id(ARVIN, 0); 

		}	
	}
	
	//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~//
	
	void BrawlEngineBucsDen object#() ()
	{
		var hour = UI_game_hour();		
		var atk_frame1;
		var atk_frame2;
		var atk_frame3;
		var bark;
		
		var brawl_sfx = [2, 3, 4, 5];
		var rand_num_sfx;
		var rand_sfx;
		
		var attacking_frames = [SWING_1, SWING_2, SWING_3,  SWING_2H_1, SWING_2H_2, SWING_2H_3, LEAN, KNEEL, LIE]; //1H and 2H swing frames
		
		var barks = ["Thou bastard!", "Oof!", "I'll keelhaul the lot of ye!", "Eat fist!", "Argh!", "Thou bloodied my lip!", "Have at thee!", "Take that!", "Thou dost hit like a girl!", "Yar, that hurt!"];
		
		var brawling_npcs = [CAPTAIN_FOX, CAPTAIN_ELAD, ENRIK, LEONNA, LEODON];
		var brawler;
		
		UI_error_message("Brawl engine engaged!");
		
		//something to run the script off of
		//var table = UI_find_object(FIND_ON_SCREEN, 964, QUALITY_ANY, FRAME_ANY);
		var table = UI_find_nearby(AVATAR, 964, 31, MASK_NONE);
		//table found and time is within midnight to 3am:
		if ((table) && hour >= 0 && hour <= 3)
		{
			//check to see if at least 1 brawler is nearby
			if ((isNearby(CAPTAIN_FOX) || isNearby(CAPTAIN_ELAD) || isNearby(ENRIK) || isNearby(LEONNA) || isNearby(LEODON)))
			{
				var rand_ticks = UI_get_random(6);
				var rand2 = UI_get_random(6);
				var rand_npc = UI_get_random(UI_get_array_size([brawling_npcs]));
				var rand_npc2 = UI_get_random(UI_get_array_size([brawling_npcs]));
				var rand_bark = UI_get_random(UI_get_array_size(barks));
				
				// 3/10 chance stuff getting thrown around: 
				var something_thrown = UI_get_random(10);
				if (something_thrown >= 7)
				{
					var rand_1 = UI_die_roll(1729, 1763);
					var rand_2 = UI_die_roll(1847, 1868);
					var rand_frame = UI_get_random(16);
					var pos = [rand_1, rand_2];
					
					//get current dish count:
					var broken_dishes = UI_count_objects(FIND_ON_SCREEN, 546, QUALITY_ANY, FRAME_ANY);
					var dish = UI_find_object(FIND_ON_SCREEN, 546, QUALITY_ANY, FRAME_ANY);
					if (broken_dishes < 50)
					{	
						var brokendish = UI_create_new_object(546);
						brokendish->set_item_frame(rand_frame);
						brokendish->set_item_flag(TEMPORARY);
						UI_update_last_created([pos]);
						UI_play_sound_effect(37);
					}
					else	
						UI_remove_item(dish);
				}
				
				//add some barks for  color:
				var npc_to_bark = UI_get_random(UI_get_array_size([brawling_npcs]));
				
				switch (npc_to_bark)
				{
					case 1:
						if (isNearby(CAPTAIN_FOX))
						{
							var fox_barks = ["Thou bastard!", "Oof!", "I'll keelhaul the lot of ye!", "Eat fist!", "Argh!", "Thou bloodied my lip!", "Have at thee!", "Take that!", "Thou dost hit like a girl!", "Yar, that hurt!"];
							var npc_bark = UI_get_random(UI_get_array_size(barks));
							
							//bark
							UI_item_say(CAPTAIN_FOX, fox_barks[npc_bark]);

						}
						break;
						
					case 2:
					case 3:
						if (isNearby(LEONNA))
						{
							
							var leonna_barks = ["Hey, that didst hurt!", "Ooof!", "Eat fist!", "Don't punch so hard!", "Who threw that?!", "Not the face!"];
							var npc_bark = UI_get_random(UI_get_array_size(barks));
							
							//bark
							UI_item_say(LEONNA, leonna_barks[npc_bark]);

						}
						break;
						
						
					case 4:
					
					case 5:
						if (isNearby(CAPTAIN_ELAD))
						{
							
							var elad_barks = ["Don't spill my tea!", "Who threw that bottle?!", "I'll cut you!", "Fight like a man, ya coward!", "Thou dost hit like a girl!", "Me grandmother hits harder than you!", "Yar, that hurt!"];
							var npc_bark = UI_get_random(UI_get_array_size(barks));
							
							//bark
							UI_item_say(CAPTAIN_ELAD, elad_barks[npc_bark]);

						}
						break;		
						
					case 6:
						if (isNearby(LEODON))
						{
							
							var leodon_barks = ["@You call that a punch?@", "@Ooof!@", "@Ow!@", "@I'll keelhaul ye!@", "@Bilgerat!@", "You call that a punch?", "Who threw the bottle?", "Come at me, wimpy man!"];
							var npc_bark = UI_get_random(UI_get_array_size(barks));
							
							//bark
							UI_item_say(LEODON, leodon_barks[npc_bark]);

						}
						break;					

					
				}	
			
			
					
				var npc = brawling_npcs[rand_npc];
				
				
				//make sure both npcs aren't same
				while (rand_npc == rand_npc2)
				{
					rand_npc2 = UI_get_random(UI_get_array_size([brawling_npcs]));
				
				}
				var npc2 = brawling_npcs[rand_npc2];
				
				UI_error_message("Rand1 is " + rand_ticks);
				
				if (isNearby(npc) && UI_get_schedule_type(npc, KID_GAMES))
				{
					var rand_ticks = UI_get_random(UI_get_array_size([brawling_npcs]));
					
					var rand2 = UI_get_random(UI_get_array_size([brawling_npcs]));
					
					rand_num_sfx = UI_get_random(UI_get_array_size(brawl_sfx));
					
					rand_sfx = brawl_sfx[rand_num_sfx];
					
					
					
					bark = barks[rand_bark];
					
					if (rand2 == 1)
					{
						atk_frame1 = attacking_frames[1];
						atk_frame2 = attacking_frames[2]; 
						atk_frame3 = attacking_frames[3];
						
						
					}
					else if (rand2 == 2)
					{
						atk_frame1 = attacking_frames[4];
						atk_frame2 = attacking_frames[5]; 
						atk_frame3 = attacking_frames[6];
						
					}
					
					else if (rand2 == 3)
					{
						atk_frame1 = attacking_frames[7];
						atk_frame2 = attacking_frames[8]; 
						atk_frame3 = attacking_frames[9];
						
					}
					else if (rand2 == 4)
					{
						atk_frame1 = attacking_frames[2];
						atk_frame2 = attacking_frames[3]; 
						atk_frame3 = attacking_frames[8];
					
					
					}
					else 
					{
						atk_frame1 = attacking_frames[7];
						atk_frame2 = attacking_frames[4]; 
						atk_frame3 = attacking_frames[5];
						
					}
						
					script npc after rand_ticks ticks
					{
						call GenericFreeze;
						nohalt;
						actor frame atk_frame1; 
						actor frame atk_frame2; 
						actor frame atk_frame3; 
						say bark;
						sfx rand_sfx;
						call GenericUnfreeze;
					};
					
				///npc 2	
				
					rand2 = UI_get_random(UI_get_array_size([brawling_npcs])); //reroll
					rand_bark = UI_get_random(UI_get_array_size(barks));
					bark = barks[rand_bark];
					
					rand_num_sfx = UI_get_random(UI_get_array_size(brawl_sfx));
					rand_sfx = brawl_sfx[rand_num_sfx];
					
					
					if (rand2 == 1)
					{
						atk_frame1 = attacking_frames[1];
						atk_frame2 = attacking_frames[2]; 
						atk_frame3 = attacking_frames[3];
						
						
					}
					else if (rand2 == 2)
					{
						atk_frame1 = attacking_frames[4];
						atk_frame2 = attacking_frames[5]; 
						atk_frame3 = attacking_frames[6];
						
					}
					
					else if (rand2 == 3)
					{
						atk_frame1 = attacking_frames[7];
						atk_frame2 = attacking_frames[8]; 
						atk_frame3 = attacking_frames[9];
						
					}
					else if (rand2 == 4)
					{
						atk_frame1 = attacking_frames[2];
						atk_frame2 = attacking_frames[3]; 
						atk_frame3 = attacking_frames[8];
					
					
					}
					else 
					{
						atk_frame1 = attacking_frames[7];
						atk_frame2 = attacking_frames[4]; 
						atk_frame3 = attacking_frames[5];
						
					}
						
					script npc2 after rand_ticks + 5 ticks
					{
						call GenericFreeze;
						nohalt;
						actor frame atk_frame1; 
						actor frame atk_frame2; 
						actor frame atk_frame3; 
						sfx rand_sfx;
						say bark;
						call GenericUnfreeze;
					};
					
						
					
				}
			
				script table after 25 ticks
				{
					call BrawlEngineBucsDen;
					
					
				};
				
			}	
			else //no brawlers nearby
			{
			
				UI_error_message("No brawlers nearby, abort");
				abort;
			}
		}
		else //left area or time isn't right
		{
			UI_error_message("Table not found or time is not early morning. Stop Bucs Den brawling");
			abort;
		
		}

	}
	
	
	