  
void SherryGetRune object# () ()
{
	var party = UI_get_party_list();	
	var npc;
	
	//set flag to prevent Sher-nanigans
	gflags[AVATAR_IS_SHERRY] = true; 
	
	
	//get Avatar and Sherry's location
	var SherryPos = UI_get_object_position(SHERRY);
	var AvatarPos = UI_get_object_position(AVATAR);
	
	//find position of path egg to "store" Avatar's location
	var PathEgg = UI_find_object(FIND_ON_SCREEN, 607, QUALITY_ANY, FRAME_ANY);
	var PathEggPos = UI_get_object_position(PathEgg);
	
	//get Avatar's attributes:
	var AvatarName 			= getAvatarName();
	var AvatarStr 			= UI_get_npc_prop(UI_get_avatar_ref(), STRENGTH);
	var AvatarDex 			= UI_get_npc_prop(UI_get_avatar_ref(), DEXTERITY);
	var AvatarInt			= UI_get_npc_prop(UI_get_avatar_ref(), INTELLIGENCE);
	var AvatarCombat		= UI_get_npc_prop(UI_get_avatar_ref(), COMBAT);
	var AvatarMagic 		= UI_get_npc_prop(UI_get_avatar_ref(), MAX_MANA);	
	var AvatarHits			= UI_get_npc_prop(UI_get_avatar_ref(), HEALTH);
	var AvatarMana		    = UI_get_npc_prop(UI_get_avatar_ref(), MANA);
	var AvatarExp			= UI_get_npc_prop(UI_get_avatar_ref(), EXPERIENCE);
	var AvatarTraining		= UI_get_npc_prop(UI_get_avatar_ref(), TRAINING);
	var AvatarFood			= UI_get_npc_prop(UI_get_avatar_ref(), FOODLEVEL);
	var AvatarShape 		= UI_get_item_shape(AVATAR);
	
	//get Sherry's attributes
	var SherryStr 			= UI_get_npc_prop(SHERRY, STRENGTH);
	var SherryDex 			= UI_get_npc_prop(SHERRY, DEXTERITY);
	var SherryInt			= UI_get_npc_prop(SHERRY, INTELLIGENCE);
	var SherryCombat		= UI_get_npc_prop(SHERRY, COMBAT);
	var SherryMagic 		= UI_get_npc_prop(SHERRY, MAX_MANA);
	var SherryHits			= UI_get_npc_prop(SHERRY, HEALTH);
	var SherryMana		    = UI_get_npc_prop(SHERRY, MANA);
	var SherryExp			= UI_get_npc_prop(SHERRY, EXPERIENCE);
	var SherryTraining		= UI_get_npc_prop(SHERRY, TRAINING);
	var SherryFood			= UI_get_npc_prop(SHERRY, FOODLEVEL);
	
	//set GENRICSHRINE's experience to Sherry's as a place holder
	GENERICSHRINE->set_npc_prop(EXPERIENCE, SherryExp*2); //npc 255 MAMA
	
	//set "HolderGuy"'s name and stats to Avatar's
	var HolderGuyName 		= getAvatarName();
	
	UI_set_item_shape(HOLDERGUY, AvatarShape); //should set HolderGuy to Avatar shape.  
	UI_set_npc_prop(HOLDERGUY, STRENGTH, AvatarStr);
	UI_set_npc_prop(HOLDERGUY, DEXTERITY, AvatarDex);
	UI_set_npc_prop(HOLDERGUY, INTELLIGENCE, AvatarInt);
	UI_set_npc_prop(HOLDERGUY, COMBAT, AvatarCombat);
	UI_set_npc_prop(HOLDERGUY, MAX_MANA, AvatarMagic);	
	UI_set_npc_prop(HOLDERGUY, HEALTH, AvatarHits);
	UI_set_npc_prop(HOLDERGUY, MANA, AvatarMana);
	UI_set_npc_prop(HOLDERGUY, EXPERIENCE, AvatarExp*2);
	UI_set_npc_name(HOLDERGUY, AvatarName);
	UI_set_npc_prop(HOLDERGUY, FOODLEVEL, AvatarFood);
	
	UI_set_npc_prop(BLORN, TRAINING, AvatarTraining); //to avoid extra training points, NPC is 208 - Blorn
	
	//Get HolderGuys's new Avatar stats
	var HolderGuyStr 			= UI_get_npc_prop(HOLDERGUY, STRENGTH);
	var HolderGuyDex 			= UI_get_npc_prop(HOLDERGUY, DEXTERITY);
	var HolderGuyInt			= UI_get_npc_prop(HOLDERGUY, INTELLIGENCE);
	var HolderGuyCombat		    = UI_get_npc_prop(HOLDERGUY, COMBAT);
	var HolderGuyMagic 			= UI_get_npc_prop(HOLDERGUY, MAX_MANA);
	var HolderGuyHits			= UI_get_npc_prop(HOLDERGUY, HEALTH);
	var HolderGuyMana		    = UI_get_npc_prop(HOLDERGUY, MANA);
	var HolderGuyExp			= UI_get_npc_prop(HOLDERGUY, EXPERIENCE);
	var HolderGuyTraining		= UI_get_npc_prop(HOLDERGUY, TRAINING);
	var HolderGuyFood			= UI_get_npc_prop(HOLDERGUY, FOODLEVEL);
		
	var BlornTraining 	= UI_get_npc_prop(BLORN, TRAINING); //npc 255
	
	//Transfer Avatar's inventory to Holder Guy npc # 250
	//Transfer Sherry's inventory to Avatar
	//transfer HolderGuy's inventory to Sherry
	transferAllItems(AVATAR, HOLDERGUY);
	transferAllItems(SHERRY, AVATAR);
	transferAllItems(HOLDERGUY, SHERRY);
	
	


	
	//swap names, shape, attributes with Sherry

//	****Commented out, paperdolls don't switch upon polymorph. Using shape change instead.	
	AVATAR->set_polymorph(478); //Sherry shape
//	SHERRY->set_polymorph(AvatarShape); //stored by HolderGuy

//	AVATAR->set_item_shape(478); //Sherry shape
	SHERRY->set_item_shape(AvatarShape); //stored by HolderGuy
	
	AVATAR->set_npc_name("Sherry");
	SHERRY->set_npc_name(HolderGuyName);
	
	AVATAR->set_npc_prop(STRENGTH, SherryStr-HolderGuyStr); 
	SHERRY->set_npc_prop(STRENGTH, HolderGuyStr-SherryStr); 
	
	AVATAR->set_npc_prop(DEXTERITY, SherryDex-HolderGuyDex); 
	SHERRY->set_npc_prop(DEXTERITY, HolderGuyDex-SherryDex); 
	
	AVATAR->set_npc_prop(INTELLIGENCE, SherryInt-HolderGuyInt); 
	SHERRY->set_npc_prop(INTELLIGENCE, HolderGuyInt-SherryInt); 
	
	AVATAR->set_npc_prop(COMBAT, SherryCombat-HolderGuyCombat); 
	SHERRY->set_npc_prop(COMBAT, HolderGuyCombat-SherryCombat); //
	
	AVATAR->set_npc_prop(MAX_MANA, SherryMagic-HolderGuyMagic); //
	SHERRY->set_npc_prop(MAX_MANA, HolderGuyMagic-SherryMagic); //
	
	AVATAR->set_npc_prop(HEALTH, SherryHits-HolderGuyHits); //
	SHERRY->set_npc_prop(HEALTH, HolderGuyHits-SherryHits); //
	
	AVATAR->set_npc_prop(MANA, SherryMana-HolderGuyMana); //
	SHERRY->set_npc_prop(MANA, HolderGuyMana-SherryMana); //
	
	AVATAR->set_npc_prop(EXPERIENCE, (SherryExp-HolderGuyExp)*2); // Exult adds Half of number used, so multiplying by 2 gives correct XP
	SHERRY->set_npc_prop(EXPERIENCE, (HolderGuyExp-SherryExp)*2); //
	
	
	//get Sherry new training
	var SherryNewTrain = UI_get_npc_prop(SHERRY, TRAINING);
	var AvatarNewTrain = UI_get_npc_prop(AVATAR, TRAINING);
	
	
	AVATAR->set_npc_prop(FOODLEVEL, SherryFood-HolderGuyFood); 
	SHERRY->set_npc_prop(FOODLEVEL, HolderGuyFood-SherryFood); 
	
	AVATAR->set_npc_prop(TRAINING, -SherryNewTrain); //zero out incorrect training points
	SHERRY->set_npc_prop(TRAINING, -SherryNewTrain); // 
	
	AVATAR->set_npc_prop(TRAINING, SherryTraining); //add  correct training points
	SHERRY->set_npc_prop(TRAINING, BlornTraining); //
	
	
	//swap Sherry and Avatar locations
	PathEgg->move_object(AvatarPos);
	AVATAR->move_object(SherryPos);
	SHERRY->move_object(AvatarPos); //should be path egg pos but for testing
	
	//Freeze party
	for (npc in party with index to max)
	{
		npc->set_schedule_type(WAIT);
		npc->set_item_flag(DEAD); //to prevent Sherry from speaking to the party	
	}
	AVATAR->clear_item_flag(DEAD); //Don't want Avatar dead..		
		
}
	
	
void UndoSherrySwap object# () ()
{
			
	var party = UI_get_party_list();	
	var npc;
	
	
	//clear flag to prevent Sher-nanigans
	gflags[AVATAR_IS_SHERRY] = false; 
	
	//get Avatar and Sherry's location
	var SherryPos = UI_get_object_position(SHERRY);
	var AvatarPos = UI_get_object_position(AVATAR);
	
	
	//find position of path egg to "store" Avatar's location
	var PathEgg = UI_find_object(FIND_ON_SCREEN, 607, QUALITY_ANY, FRAME_ANY);
	var PathEggPos = UI_get_object_position(PathEgg);
	
	
	//get Avatar's attributes:
	var AvatarName 			= getAvatarName();
	var AvatarStr 			= UI_get_npc_prop(UI_get_avatar_ref(), STRENGTH);
	var AvatarDex 			= UI_get_npc_prop(UI_get_avatar_ref(), DEXTERITY);
	var AvatarInt			= UI_get_npc_prop(UI_get_avatar_ref(), INTELLIGENCE);
	var AvatarCombat		= UI_get_npc_prop(UI_get_avatar_ref(), COMBAT);
	var AvatarMagic 		= UI_get_npc_prop(UI_get_avatar_ref(), MAX_MANA);	
	var AvatarHits			= UI_get_npc_prop(UI_get_avatar_ref(), HEALTH);
	var AvatarMana		    = UI_get_npc_prop(UI_get_avatar_ref(), MANA);
	var AvatarExp			= UI_get_npc_prop(UI_get_avatar_ref(), EXPERIENCE);
	var AvatarTraining		= UI_get_npc_prop(UI_get_avatar_ref(), TRAINING);
	var AvatarFood			= UI_get_npc_prop(UI_get_avatar_ref(), FOODLEVEL);
	
	//get Sherry's attributes
	var SherryStr 			= UI_get_npc_prop(SHERRY, STRENGTH);
	var SherryDex 			= UI_get_npc_prop(SHERRY, DEXTERITY);
	var SherryInt			= UI_get_npc_prop(SHERRY, INTELLIGENCE);
	var SherryCombat		= UI_get_npc_prop(SHERRY, COMBAT);
	var SherryMagic 		= UI_get_npc_prop(SHERRY, MAX_MANA);
	var SherryHits			= UI_get_npc_prop(SHERRY, HEALTH);
	var SherryMana		    = UI_get_npc_prop(SHERRY, MANA);
	var SherryExp			= UI_get_npc_prop(SHERRY, EXPERIENCE);
	var SherryTraining		= UI_get_npc_prop(SHERRY, TRAINING);
	var SherryFood			= UI_get_npc_prop(SHERRY, FOODLEVEL);
	
	//set "HolderGuy"'s name and stats to Avatar's

	var AvatarShape 		= UI_get_item_shape(HOLDERGUY);
	var HolderGuyName 		= UI_get_npc_name(HOLDERGUY);
	
	//Get HolderGuys's new Avatar stats
	var HolderGuyStr 			= UI_get_npc_prop(HOLDERGUY, STRENGTH);
	var HolderGuyDex 			= UI_get_npc_prop(HOLDERGUY, DEXTERITY);
	var HolderGuyInt			= UI_get_npc_prop(HOLDERGUY, INTELLIGENCE);
	var HolderGuyCombat		    = UI_get_npc_prop(HOLDERGUY, COMBAT);
	var HolderGuyMagic 			= UI_get_npc_prop(HOLDERGUY, MAX_MANA);
	var HolderGuyHits			= UI_get_npc_prop(HOLDERGUY, HEALTH);
	var HolderGuyMana		    = UI_get_npc_prop(HOLDERGUY, MANA);
	var HolderGuyExp			= UI_get_npc_prop(HOLDERGUY, EXPERIENCE);
	var HolderGuyTraining		= UI_get_npc_prop(HOLDERGUY, TRAINING);
	var HolderGuyFood			= UI_get_npc_prop(HOLDERGUY, FOODLEVEL);
	
	var GenericShrineExp		= UI_get_npc_prop(GENERICSHRINE, EXPERIENCE); //Sherry's XP Place holder
	
	var BlornTraining 	= UI_get_npc_prop(BLORN, TRAINING); //npc 255
		
		
		
		//reset shapes
		SHERRY->set_item_shape(478); //Sherry shape
		//AVATAR->set_item_shape(AvatarShape); //stored by HolderGuy
		UI_clear_item_flag(AVATAR, POLYMORPH); //to accurately change Avatar's shape back
		
		UI_set_npc_name(AVATAR, HolderGuyName);
		SHERRY->set_npc_name("Sherry");
			
		SHERRY->set_npc_prop(STRENGTH, -SherryStr); //zero out first
		SHERRY->set_npc_prop(STRENGTH, AvatarStr); //add Sherry's back
		AVATAR->set_npc_prop(STRENGTH, -AvatarStr); //zero out
		AVATAR->set_npc_prop(STRENGTH, HolderGuyStr); //add HolderGuy's str
		
		SHERRY->set_npc_prop(DEXTERITY, -SherryDex); //zero out first
		SHERRY->set_npc_prop(DEXTERITY, AvatarDex); //add Sherry's back
		AVATAR->set_npc_prop(DEXTERITY, -AvatarDex); //zero out
		AVATAR->set_npc_prop(DEXTERITY, HolderGuyDex); //add HolderGuy's str
		
		SHERRY->set_npc_prop(INTELLIGENCE, -SherryInt); //zero out first
		SHERRY->set_npc_prop(INTELLIGENCE, AvatarInt); //add Sherry's back
		AVATAR->set_npc_prop(INTELLIGENCE, -AvatarInt); //zero out
		AVATAR->set_npc_prop(INTELLIGENCE, HolderGuyInt); //add HolderGuy's Int
		
		SHERRY->set_npc_prop(COMBAT, -SherryCombat); //zero out first
		SHERRY->set_npc_prop(COMBAT, AvatarCombat); //add Sherry's back
		AVATAR->set_npc_prop(COMBAT, -AvatarCombat); //zero out
		AVATAR->set_npc_prop(COMBAT, HolderGuyCombat); //add HolderGuy's Combat
		
		SHERRY->set_npc_prop(MAX_MANA, -SherryMagic); //zero out first
		SHERRY->set_npc_prop(MAX_MANA, AvatarMagic); //add Sherry's back
		AVATAR->set_npc_prop(MAX_MANA, -AvatarMagic); //zero out
		AVATAR->set_npc_prop(MAX_MANA, HolderGuyMagic); //add HolderGuy's Magic
		
		SHERRY->set_npc_prop(HEALTH, -SherryHits); //zero out first
		SHERRY->set_npc_prop(HEALTH, AvatarHits); //add Sherry's back
		AVATAR->set_npc_prop(HEALTH, -AvatarHits); //zero out
		AVATAR->set_npc_prop(HEALTH, HolderGuyHits); //add HolderGuy's Hits
		
		SHERRY->set_npc_prop(MANA, -SherryMana); //zero out first
		SHERRY->set_npc_prop(MANA, AvatarMana); //add Sherry's back
		AVATAR->set_npc_prop(MANA, -AvatarMana); //zero out
		AVATAR->set_npc_prop(MANA, HolderGuyMana); //add HolderGuy's Mana

		//Zero out EXP and re-add
		
		SHERRY->set_npc_prop(EXPERIENCE, -SherryExp*2); //testing purpose - Sherry's STR is 5			
		AVATAR->set_npc_prop(EXPERIENCE, -AvatarExp*2); //testing purposes - Avatar STR is 18

		SHERRY->set_npc_prop(EXPERIENCE, GenericShrineExp*2); //testing purpose - Sherry's STR is 5			
		AVATAR->set_npc_prop(EXPERIENCE, HolderGuyExp*2); //testing purposes - Avatar STR is 18
		
		//get Sherry new training
		var SherryNewTrain = UI_get_npc_prop(SHERRY, TRAINING);
		var AvatarNewTrain = UI_get_npc_prop(AVATAR, TRAINING);
		
		
		SHERRY->set_npc_prop(FOODLEVEL, SherryFood-HolderGuyFood); //testing purposes - Avatar STR is 18
		AVATAR->set_npc_prop(FOODLEVEL, HolderGuyFood-SherryFood); //testing purpose - Sherry's STR is 5
		
		SHERRY->set_npc_prop(TRAINING, -SherryNewTrain); //zero out incorrect training points
		AVATAR->set_npc_prop(TRAINING, -AvatarNewTrain); // 
		
		SHERRY->set_npc_prop(TRAINING, SherryTraining); //need to make holder training points for Sherry
		AVATAR->set_npc_prop(TRAINING, BlornTraining); // Using new npc 255 
		
			
		//swap Sherry and Avatar locations
		PathEgg->move_object(SherryPos);
		SHERRY->move_object(AvatarPos);
		AVATAR->move_object(SherryPos); //should be path egg pos but for testing
	
		//Transfer Avatar's inventory to Holder Guy npc # 250
		//Transfer Sherry's inventory to Avatar
		//transfer HolderGuy's inventory to Sherry
		transferAllItems(AVATAR, HOLDERGUY);
		transferAllItems(SHERRY, AVATAR);
		transferAllItems(HOLDERGUY, SHERRY);




	
		//UnFreeze party
	for (npc in party with index to max)
	{
		npc->set_schedule_type(STANDTHERE);
		npc->clear_item_flag(DEAD); //to prevent Sherry from speaking to the party	
		
	}
	//Set global flag to prevent Sherry switch again. 
	gflags[GOT_VALOR_RUNE] = true;
		
		
}
  
