


void SendCodexToVoid object# (3059) ()
{
	var Codex = UI_find_object(FIND_ON_SCREEN, SHAPE_CODEX, QUALITY_ANY, FRAME_ANY);
	enum codex_levels
	{
    	MOVE_PARTY				= 1,
		VORTEX					= 2,
		REMOVE_CODEX			= 3,
		RED_GATE1				= 4,
		LB_ARRIVES				= 5, 
		NYSTUL_ARRIVES			= 7, 
		AVATAR_GIVE_LENS		= 8, 
		MOONGATE2				= 9, 
		DRAX_ARRIVES			= 10,
		DRAX_SPEAKS				= 11,
		AVATAR_GIVE_LENS2		= 12,
		OPEN_CODEX				= 13, 
		CLOSE_CODEX				= 14,
		WRAP_UP					= 15,
		RESTART					= 16
    
	};
	
	if (event == VORTEX)
	{
		UI_error_message("Event VORTEX called");
		var npc;
		var REPS = 30;
		var party = UI_get_party_list();
		var altar = UI_find_object(FIND_ON_SCREEN, 898, QUALITY_ANY, FRAME_ANY);
		UI_obj_sprite_effect(item, 8, 0, 0, 0, 0, 0, REPS);   //26
		UI_play_sound_effect(26);
		UI_play_sound_effect(26);
		
		for (npc in party)
			UI_set_item_frame(npc, 0); // make everyone face forward
		
		//SendCodexToVoid(item);
		script AVATAR after 30 ticks {
			call SendCodexToVoid, REMOVE_CODEX;
		}
		
		
	}
	if (event == MOVE_PARTY)
	{	
		UI_error_message("Event MoveParty called");
		//move Draxinusom to position, make him invis and wait, move him to position
		UI_set_item_frame(DRAXINUSOM, 16);
		UI_set_item_flag(DRAXINUSOM, DONT_RENDER);
		UI_move_object(DRAXINUSOM, [2814, 2587, 1, 0]);
		UI_set_schedule_type(DRAXINUSOM, WAIT);
		
		//Move party to codex and call VORTEX event
		UI_path_run_usecode([2807, 2596, 1], SendCodexToVoid, Codex, VORTEX);
		
	
	}



	if (event == REMOVE_CODEX)
	{
		UI_error_message("Event REMOVE_CODEX called");
		var altar = UI_find_object(FIND_ON_SCREEN, 898, QUALITY_ANY, FRAME_ANY);
		UI_remove_item(Codex);
		UI_obj_sprite_effect(altar, 7, 10, 1, 0, 0, 0, -1);   //26
		UI_play_sound_effect(11);
		script altar after 30 ticks
		{
			call SendCodexToVoid, RED_GATE1;
		}	
	}


	
	if (event == RED_GATE1)
	{
		UI_error_message("Event RED_GATE1 called");
		UI_play_music(23);
		var moongate = UI_create_new_object2(SHAPE_RED_MOONGATE, [2801, 2585, 2]);
		script moongate after 3 ticks
		{
			frame 1;
			frame 2;
			frame 3;
			frame 4;
			sfx 11;
			wait 3; 
			call SendCodexToVoid, LB_ARRIVES;
			repeat 40 
			{ 
				frame 4; 
				repeat 7 next frame;; 
				frame 4; 
				repeat 7 next frame;; 
				frame 4;              
				repeat 7 next frame;; 
			};	
		
		}
	
		
		
	
	}

	if (event == LB_ARRIVES)
	{
		UI_error_message("Event LB_ARRIVES called");
//		UI_set_item_frame(LORD_BRITISH, 16);
		UI_move_object(LORD_BRITISH, [2800, 2587, 1]);	
		UI_set_schedule_type(LORD_BRITISH, WAIT);
		UI_set_schedule_type(NYSTUL, WAIT);
		
		script LORD_BRITISH after 3 ticks
		{
			face south;
			step south; 
			wait 1;
			step east;
			call SendCodexToVoid, NYSTUL_ARRIVES; 
		
		}
	
	
	}
	if (event == NYSTUL_ARRIVES)
	{
		UI_error_message("Event NYSTUL called");
		var moongate = UI_find_object(FIND_ON_SCREEN, SHAPE_RED_MOONGATE, QUALITY_ANY, FRAME_ANY);
		UI_set_item_frame(NYSTUL, 16);
		UI_move_object(NYSTUL, [2798, 2586, 1]);
		script NYSTUL after 4 ticks
		{
			step south;
			wait 1;
			face east;
			wait 1;
		
		}
		
		UI_move_object(moongate, [2801, 2585, 2]);
		AVATAR.say("A glowing portal springs from the floor!");
		AVATAR.say("From it's crimson depths Lord British emerges, trialed by the mage Nystul.");
		AVATAR.say("Anguish and disbelief prevail on the royal seer's face, but Lord British directs his stony gaze at you and speaks as if to a wayward child.");
		AVATAR.hide();
		LORD_BRITISH.say("@Thou didst have just cause to burgle our Codex, I trust,@ His Majesty says. @But for Virtue's sake...@");
		LORD_BRITISH.say("@WHAT HAST THOU DONE WITH IT?@");
		LORD_BRITISH.hide();
		script LORD_BRITISH after 3 ticks
		{
			call SendCodexToVoid, AVATAR_GIVE_LENS;
		}
		
		//delete the beams of light
			var blueLightBeam = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 22);
			UI_remove_item(blueLightBeam);
			var blueLightBeam2 = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 24);
			UI_remove_item(blueLightBeam2);
			
			var pinkLightBeam = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 20);
			UI_remove_item(pinkLightBeam);
			var pinkLightBeam2 = UI_find_object(FIND_ON_SCREEN, 168, QUALITY_ANY, 21);
			UI_remove_item(pinkLightBeam2);
			gflags[GARG_LENS_PLACED] = false;		
			
	}
	
	if (event == AVATAR_GIVE_LENS)
	{
		UI_error_message("Event AVATAR_GIVE_LENS called");
		var lens = UI_find_nearby(LORD_BRITISH, SHAPE_LENS, 5, MASK_NONE);
		var moongate = UI_find_object(FIND_ON_SCREEN, SHAPE_RED_MOONGATE, QUALITY_ANY, FRAME_ANY);
		gotoAndGet(lens);
		script NYSTUL after 15 ticks
		{
			call SendCodexToVoid, MOONGATE2;
		}

		//remove moongate
		script moongate after 5 ticks
		{
			frame 4;
			frame 3;
			frame 2;
			frame 1;
			remove;
		}

	
	}
	
	if (event == MOONGATE2)
	{
		UI_error_message("Event MOONGATE2 called");
		var lens = UI_find_object(AVATAR, SHAPE_LENS, QUALITY_ANY, FRAME_ANY);
		var CODEX_WALL = UI_find_object(FIND_ON_SCREEN, 1246, QUALITY_ANY, FRAME_ANY);
		//find urn - will be used to call the next event
		var urn = UI_find_object(FIND_ON_SCREEN, 1116, QUALITY_ANY, FRAME_ANY);
		//var urn = UI_find_nearby(LORD_BRITISH, 1116, 5, MASK_NONE);
		
		AVATAR.say("You pick up the concave lens and pass it to the King.");
		AVATAR.say("@Was the book ever truly ours, Your Majesty? Was it written for Britannia alone?@");
		AVATAR.say("@Thou dost no longer hold the Codex, but is its wisdom indeed lost? Look into the Vortex, and let the Codex answer for itself!@");
		AVATAR.hide();
		
		//move Avatar in place 
		UI_path_run_usecode([2807, 2588, 1]);
		
		script AVATAR after 5 ticks
		{
			//face find_direction(CODEX_WALL);
			face north;
		}
		//move lens into place, make it face wall
		script LORD_BRITISH after 3 ticks
		{
			face north;
		}	
		//turn lens north 
		script lens after 3 ticks
		{
			face north;
			
			
		}
		UI_move_object(lens, [2802, 2587, 1]);
		codexWall();
		
		script DRAXINUSOM after 80 ticks
		{	
			wait 20;
			call SendCodexToVoid, DRAX_ARRIVES;
		}
	
	}
	
	if (event == DRAX_ARRIVES)
	{
		UI_error_message("Event DRAX_ARRIVES called");
		//used to call next event
		var urn2 = UI_find_object(FIND_ON_SCREEN, 1116, QUALITY_ANY, FRAME_ANY);
		
		AVATAR.say("As Lord British holds the glass before the wall, the Codex of Ultimate Wisdom wavers against a myriad of swimming stars!*");
		AVATAR.say("Yet the book remains closed.*");
		AVATAR.say("And waves of heat shimmer in the air, heralding the birth of another red gate!");
		//create moongate & play music
		UI_play_music(103); //put garg music
		var moongate = UI_create_new_object2(SHAPE_RED_MOONGATE, [2816, 2585, 1]);
		//var moongate = UI_find_object(FIND_ON_SCREEN, SHAPE_RED_MOONGATE, QUALITY_ANY, FRAME_ANY);
		
		//move moongate to make it look right
		UI_move_object(moongate, [2816, 2585, 1]);
		
		script moongate after 3 ticks
		{
			frame 1;
			frame 2;
			frame 3;
			frame 4;
			sfx 11;
			wait 3; 
		
			repeat 40 
			{ 
				
				repeat 7 next frame;; 
				frame 4; 
				repeat 7 next frame;; 
				frame 4;              
				repeat 7 next frame;; 
			};	
		
		}
		
		script urn2 after 10 ticks
		{
			call SendCodexToVoid, DRAX_SPEAKS;
		}
		
			
	}
	
	if (event == DRAX_SPEAKS)
	{
		UI_error_message("Event DRAX_SPEAKS called");
		//reset moongate position to keep it from looking weird
		var moongate = UI_find_object(FIND_ON_SCREEN, SHAPE_RED_MOONGATE, QUALITY_ANY, FRAME_ANY);
		UI_move_object(moongate, [2816, 2585, 1]);
		UI_set_schedule_type(DRAXINUSOM, WAIT);
		UI_move_object(DRAXINUSOM, [2814, 2587, 1, 0]);
		
		var garg1_pos = [2816, 2588, 01];
		var garg2_pos = [2814, 2587, 01];
		
		UI_create_new_object2(SHAPE_WINGLESS_GARGOYLE, garg1_pos);
		UI_create_new_object2(SHAPE_WINGLESS_GARGOYLE, garg2_pos);
		
		
		
		var lens = UI_find_nearby(DRAXINUSOM, SHAPE_LENS, 5, MASK_NONE);
		UI_clear_item_flag(DRAXINUSOM, DONT_RENDER);
		
		script DRAXINUSOM after 3 ticks
		{
			face south;
			step south;
			wait 1;
			repeat 2
			{
				step west; 
				wait 1;
			};				

		}
		
		
		UI_play_sound_effect(11);
		DRAXINUSOM.say("King Draxinusom of the Gargoyles strides forward, flanked by a small army of wingless attendants.  Like Lord British, he seems to suppress his rage only htrough a heroic effort of will.*");
		DRAXINUSOM.say("His scaly hand grasps your shoulder, and your Amulet of Submission grows very warm.");
		DRAXINUSOM.say("@Thy time has come, Thief,@ he says.");
		DRAXINUSOM.hide();
		AVATAR.say("Quickly you reach down to seize the convex lens...*");
		AVATAR.say("...and you press it into the hand of the towering Gargoyle king, meeting his sunken eyes.");
		AVATAR.say("@Join my Lord in his search for peace, I beg thee.@");
		AVATAR.hide();
		
		//UI_path_run_usecode([2807, 2596, 1], SendCodexToVoid, lens, AVATAR_GIVE_LENS2);
		script AVATAR after 10 ticks
		{
			face north; 
			call SendCodexToVoid, AVATAR_GIVE_LENS2;
		
		}
	
	}
	
	if (event == AVATAR_GIVE_LENS2)
	{
		UI_error_message("Event AVATAR_GIVE_LENS2 called");
		var moongate = UI_find_object(FIND_ON_SCREEN, SHAPE_RED_MOONGATE, QUALITY_ANY, FRAME_ANY);
		
		//remove moongate
		script moongate after 5 ticks
		{
			frame 4;
			frame 3;
			frame 2;
			frame 1;
			remove;
		}
	
	
	
		//find lens on Avatar then place near Drax
		var lens = UI_find_nearby(DRAXINUSOM, SHAPE_LENS, 5, MASK_NONE);
		UI_move_object(lens, [2811, 2587, 1]);
		
		//move lens facing north
		script lens after 3 ticks
		{
			face north;
		}
		//move Drax north
		script DRAXINUSOM after 3 ticks
		{
			face north;
		}
	//	gotoAndGet(lens);
		
		script AVATAR after 30 ticks
		{
			call SendCodexToVoid, OPEN_CODEX;
		
		}
		
	
	}
	
	if (event == OPEN_CODEX)
	{
		UI_error_message("Event OPEN_CODEX called");
		openCodex();
		UI_set_item_frame(NYSTUL, 48);
		UI_play_music(205);
		AVATAR.say("At your urging, King Draxinusom reluctantly raises his lens to catch the light. As Lord British holds up his own lens, every eye in the room, human and Gargoyle alike, fixes upon the image of the Codex which shines upon the wall.");
		AVATAR.say("The ancient book opens. Both kings gaze upon its pages in spellbound silence, as the eloquence of Ultimate Wisdom is revealed in the toungues of each lord's domain. You, too, can read the answers the Codex gives...");
		script AVATAR after 60 ticks
		{
			call SendCodexToVoid, CLOSE_CODEX;
		
		}
	}
	
	if (event == CLOSE_CODEX)
	{
		AVATAR.say("...and when it's wisdom is gleaned, when Lord British and King Draxinusom turn to each other as friends, hating no longer, fearing no more, you know that your mission in Britannia has ended at last.");
		UI_error_message("Event CLOSE_CODEX called");
		var codex_wall = UI_find_object(FIND_ON_SCREEN, 1246, QUALITY_ANY, FRAME_ANY); //find codex wall
	//	UI_halt_scheduled(codex_wall);
		var frame = UI_get_item_frame(1246);
		
		script codex_wall after 10 ticks
		{
		
		 
				frame 18; wait 2;	
				frame 19; wait 2;	
				frame 20; wait 2;	
				frame 5; wait 2;
				frame 4; wait 2;				
				frame 3; wait 2;
				frame 2; wait 2;
				frame 1; wait 2;
				frame 0; wait 2;
				wait 15 minutes;
				call SendCodexToVoid, WRAP_UP;
		}
	}
	
	if (event == WRAP_UP)
	{
		AVATAR.say("@That's it, you win. Games over. Back to earth I go. Thanks for playing. See you in 200 years! Avatar, out!@");
		AVATAR->GenericPaletteFade2();
		script AVATAR after 30 ticks
		{
			call SendCodexToVoid, RESTART;
		}
	
	}
	
	if (event == RESTART)
	{
		UI_restart_game();
	
	}
	
	
}

