enum death_levels
 
{
      DEATH_FADE	                    = 1,
      RESU_PARTY_1	                                      = 2,
      RESU_PARTY_2                                            = 3,
      RESU_PARTY_3					      = 4,
      RESU_PARTY_4				              = 5,
      RESU_PARTY_5					      = 6,
      RESU_PARTY_6					      = 7,
      RESU_PARTY_7					      = 8,
      TELEPORT_PARTY					      = 9,
      DEATH_UNFADE				= 10	
 };
 
void deathEvents object#() () //working
{
	UI_error_message("Death events called");
	
	var party = UI_get_party_list();
	var hour = UI_game_hour();
	var current_minute = UI_game_minute();
	var minute = (59 - current_minute);
	var min_ticks = (minute * 25);

	var current_hour = UI_game_hour();



	var checkout = 9;
	var sleephours = ((23 - current_hour) + 9);
	var advance = (sleephours * 1500);
	var partynum = UI_get_array_size(party);
	var deadparty =	UI_get_dead_party(AVATAR);
	var deadnum = UI_get_array_size(deadparty);

	var avatarhealth = UI_get_npc_prop(UI_get_avatar_ref(), HEALTH);
	var avatarstr = UI_get_npc_prop(UI_get_avatar_ref(), STRENGTH);
	var avatarfullhealth = (avatarstr - avatarhealth);

	if (event == DEATH_FADE) 
   	{
		UI_error_message("Death events - DEATH_FADE called");
		UI_play_music(17); //find death music
		var deadparty =	UI_get_dead_party(AVATAR);
	//	UI_advance_time(advance + min_ticks); 	  //disabled time advance, causing issues?
	//	UI_game_minute(59);
	
		if (deadnum > 0)
		{
			script AVATAR
			{
				call deathEvents, RESU_PARTY_1;
			};
				
		}
		else
		script AVATAR 
		{ 
			call deathEvents, TELEPORT_PARTY;
		};

	}

	if (event == RESU_PARTY_1) 
   	{
		UI_error_message("Death events - RESU_PARTY_1 called");
		var deadparty =	UI_get_dead_party(AVATAR);
		UI_resurrect(deadparty);
	
		if (deadnum > 0)
		{
			script AVATAR
			{
				call deathEvents, RESU_PARTY_2;
			};
			
		}
		else 
		script AVATAR
		{ 
			call deathEvents, TELEPORT_PARTY;
		};
	}

	if (event == RESU_PARTY_2) 
   	{
		var deadparty =	UI_get_dead_party(AVATAR);
		UI_resurrect(deadparty);
		UI_error_message("Death events - RESU_PARTY_2 called");
		
			if (deadnum > 0)
			{
				script AVATAR
				{
					call deathEvents, RESU_PARTY_2;
				};
				
			}
			else script AVATAR { call deathEvents, TELEPORT_PARTY;
					   };
	}
	if (event == TELEPORT_PARTY) 
   	{
		UI_error_message("Death events - TELEPORT_PARTY called");
		PARTY->move_object([0x3a7, 0x430, 0x0, 0]);

	
	
		script AVATAR 
		{
			call deathEvents, DEATH_UNFADE;
		};
	

	}

	if (event == DEATH_UNFADE) 
   	{
		UI_error_message("Death events - DEATH_UNFADE called");
		UI_fade_palette(60, 0, true); //unfadefade from black
		//UI_resurrect(AVATAR);// probably needs LB dialogue to clear sleep flag
		UI_clear_item_flag(AVATAR, ASLEEP);
		UI_clear_item_flag(AVATAR, DEAD);
		gflags[INTRO] = true; //so guards don't play trumpet
		var targets = getFriendlyTargetList(item, 25); //should heal all party
		
		for (npc in targets)
		{
			npc->clear_item_flag(PARALYZED);
			npc->clear_item_flag(POISONED);
			npc->clear_item_flag(ASLEEP);
			npc->clear_item_flag(CHARMED);
			npc->clear_item_flag(CURSED);
			var str = npc->get_npc_prop(STRENGTH);
			var hps = npc->get_npc_prop(HEALTH);
			npc->set_npc_prop(HEALTH, (str - hps));
			
			//if something weird happens and you die on the balloon:
			UI_clear_item_flag(npc, DONT_RENDER);
			
		
		}
		//just in case you are on the balloon, go back to normal
		UI_clear_item_flag(AVATAR, POLYMORPH);
		
	}

}

