void QuentonSidequest object# () ()
{

	if (event == EGG)
	{
		var egg_loc = UI_get_object_position(item);
		UI_error_message("QuentonSidequest called from egg, is not supposed to happen."); 
		UI_error_message("Egg is at " + egg_loc[X] + ", " + egg_loc[Y] + ". Deleting and resetting Michael's schedule.");
		UI_run_schedule(MICHAEL);
		UI_remove_item(item);
		
	
	}
	
	
	
		
		enum sidequest_levels
		{
			PREP_SHIP				= 1,
			MOVE_BOAT				= 2,
			REMOVE_BOAT				= 3, 
			FAILURE					= 4
		
		};
		
		


		if (event == PREP_SHIP)
		{
			//hopefully prevent any rogue duplicate creation of Michael's ship when it shouldn't be..
			if (gflags[MARNEY_SAVED]||gflags[MARNEY_GONE])
			{
				UI_error_message("ERROR! Michael's boat cannot be made again.");
				
				abort;
				
			}
			else
			{
				UI_error_message(["QuentonSidequest PREP SHIP event called"]);
				gflags[MICHAEL_AT_DOCKS] = true; //this will enable a 3 hour time window from 9 to midnight in order to catch him
				
					
				//Search for raft or other Avatar Ship in the immediate area, 
				//Delete it
				UI_remove_from_area(791, FRAME_ANY, [0015, 1434], [0159, 1475]); //Ship
				UI_remove_from_area(1017, FRAME_ANY, [0015, 1434], [0159, 1475]); //Ship
				UI_remove_from_area(775, FRAME_ANY, [0015, 1434], [0159, 1475]); //Ship rails
				UI_remove_from_area(405, FRAME_ANY, [0015, 1434], [0159, 1475]); //Ship's hold
				UI_remove_from_area(150, FRAME_ANY, [0015, 1434], [0159, 1475]); //Gangplank
				UI_remove_from_area(199, FRAME_ANY, [0015, 1434], [0159, 1475]); //Mast
				UI_remove_from_area(680, FRAME_ANY, [0015, 1434], [0159, 1475]); //Deck
				UI_remove_from_area(700, FRAME_ANY, [0015, 1434], [0159, 1475]); //Deck
				UI_remove_from_area(251, FRAME_ANY, [0015, 1434], [0159, 1475]); //sails
				UI_remove_from_area(292, FRAME_ANY, [0015, 1434], [0159, 1475]); //Seats
				UI_remove_from_area(961, FRAME_ANY, [0015, 1434], [0159, 1475]); //Barge
				UI_remove_from_area(1241, FRAME_ANY, [0015, 1434], [0159, 1475]); //Raft
				
				//create the ship
				AVATAR->createShip();
				
				//Move Michael onto the ship
				UI_move_object(MICHAEL, [0134, 1459, 1]);	
				UI_set_schedule_type(MICHAEL, WAIT);
				UI_set_item_frame(MICHAEL, 16);
				
				UI_error_message("Setting MICHAEL to WAIT schedule via quenton sidequest egg event PREP_SHIP");
				
				//Move Marney into place on the docks
				UI_move_object(MARNEY, [0132, 1468, 2]);	
				UI_set_schedule_type(MARNEY, WAIT);
				UI_set_item_frame(MARNEY, 0);
				
				//place scrolls near fireplace
						
				var scroll = UI_create_new_object2(SHAPE_SCROLL, [0626, 1379, 0]);
				scroll->set_item_quality(55);
				
				var scroll2 = UI_create_new_object2(SHAPE_SCROLL, [0626, 1379, 1]);
				scroll2->set_item_quality(62);
				
				//letter from Marney to Michael
				var scroll3 = UI_create_new_object2(SHAPE_SCROLL, [0627, 1379, 0]);
				scroll3->set_item_quality(63);
			}	
		}
		
		if (event == MOVE_BOAT)
		{
			UI_error_message(["QuentonSidequest MOVE_BOAT event called"]);
			var barge = UI_find_nearby(MICHAEL, 961, 30, MASK_EGG);
			var sailframe; 
			//find sails, open them
			var sail; 
			var sails = UI_find_nearby([0133, 1461, 5], 251, 30, MASK_EGG);
			
			
			for (sail in sails)
			{
				sailframe = UI_get_item_frame_rot(sail);
				if (sailframe == 37)
					sail->set_item_frame(33);
				else
					sail->set_item_frame(34);
			}

			var open_gangplank = UI_find_object(FIND_ON_SCREEN, 150, QUALITY_ANY, FRAME_ANY);
			var gangplank;
			
			gangplank->get_item_shape(open_gangplank);
			
			open_gangplank->set_item_shape(781);
			open_gangplank->set_item_frame(33);
			UI_move_object(open_gangplank, [0134, 1461, 1]);

		
			script barge
			{
				call freezeAvatar;
				repeat 20{
				step west;
				wait 2;
				};
				call centerOnAvatar;
				call unfreezeAvatar;
				wait 2; 
				call QuentonSidequest, REMOVE_BOAT;
			}
			
			gflags[MICHAEL_AT_DOCKS] = false;

		}	
		
		if (event == REMOVE_BOAT)
		{
			var boat_pieces;
			var piece;
			var barge;
			
			
			
			boat_pieces = UI_find_nearby([0048, 1459, 0], 680 , FRAME_ANY, MASK_NONE); //rails
			for (piece in boat_pieces)
				UI_remove_item(piece);
		
			boat_pieces = UI_find_nearby([0048, 1459, 0], 700 , 30, MASK_NONE); //deck
			for (piece in boat_pieces)
				UI_remove_item(piece);
			
			boat_pieces = UI_find_nearby([0048, 1459, 0], 150 , 30, MASK_NONE); //deck
			for (piece in boat_pieces)
				UI_remove_item(piece);
				
				
			boat_pieces = UI_find_nearby([0048, 1459, 0], 791 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);	
				
			boat_pieces = UI_find_nearby([0048, 1459, 0], 775 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);			
			boat_pieces = UI_find_nearby([0048, 1459, 0], 665 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);			
		
			boat_pieces = UI_find_nearby([0048, 1459, 0], 1017 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);		
				
			boat_pieces = UI_find_nearby([0048, 1459, 0], 251 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);				
				
			boat_pieces = UI_find_nearby([0048, 1459, 0], 405 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);			
					
			boat_pieces = UI_find_nearby([0048, 1459, 0], 781 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);				
			
			//barge = UI_find_object([0048, 1459, 0], 791, QUALITY_ANY, FRAME_ANY)		
			barge = UI_find_nearby([0048, 1459, 0], 791 , 30, MASK_EGG); //
			UI_remove_item(barge);

			boat_pieces = UI_find_nearby([0048, 1459, 0], 961 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);	
				
			boat_pieces = UI_find_nearby([0048, 1459, 0], 199 , 30, MASK_NONE); //
			for (piece in boat_pieces)
				UI_remove_item(piece);				
				
				
			//Move Michael
				
			UI_move_object(MICHAEL, [0678, 2070, 0]);	//moves him to cell
			UI_set_schedule_type(MICHAEL, WAIT);
			UI_set_item_frame(MICHAEL, 16);
			//set tournament flag, so when you "kill" him, he will be captured IF Renthar is in the party.
			UI_set_item_flag(MICHAEL, SI_TOURNAMENT); 
			
			if (gflags[MARNEY_GONE])
			{
				//Move Marney into holding place
				UI_move_object(MARNEY, [0823, 1878, 0]);	
				UI_set_schedule_type(MARNEY, WAIT);
				
				//if you let her go, she will be dead or at least not able to be found
				if (gflags[FAILED_QUENTON_QUEST])
					UI_set_item_flag(MARNEY, DEAD);
			//	gflags[FAILED_QUENTON_QUEST] = true; 
			}	
			
		}
		
		if (event == FAILURE)
		{
			UI_error_message(["QuentonSidequest FAILURE event called"]);
			if (!gflags[FAILED_QUENTON_QUEST])
			{
				gflags[FAILED_QUENTON_QUEST] = true; 
				UI_error_message(["gflag FAILED_QUENTON_QUEST is true"]);
				
				gflags[MICHAEL_AT_DOCKS] = false;
			
			}
			if (gflags[MARNEY_SAVED]||gflags[MARNEY_GONE]) //Marney was saved or gone, this shouldn't do anything now
				abort;
			else //called when you waited too long
			{
				subtractKarma(20);
				
				// Find and delete the pieces of the boat.
				
				var boat_pieces;
				var piece;
				var x = 0133;
				var y = 1459;
				var z = 0;
						
				boat_pieces = UI_find_nearby([x, y, z], 680 , FRAME_ANY, MASK_NONE); //rails
				for (piece in boat_pieces)
					UI_remove_item(piece);
			
				boat_pieces = UI_find_nearby([x, y, z], 700 , 30, MASK_NONE); //deck
				for (piece in boat_pieces)
					UI_remove_item(piece);
				
				boat_pieces = UI_find_nearby([x, y, z], 150 , 30, MASK_NONE); //deck
				for (piece in boat_pieces)
					UI_remove_item(piece);
					
					
				boat_pieces = UI_find_nearby([x, y, z], 791 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);	
					
				boat_pieces = UI_find_nearby([x, y, z], 775 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);			
				boat_pieces = UI_find_nearby([x, y, z], 665 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);			
			
				boat_pieces = UI_find_nearby([x, y, z], 1017 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);		
					
				boat_pieces = UI_find_nearby([x, y, z], 251 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);				
					
				boat_pieces = UI_find_nearby([x, y, z], 405 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);			
						
				boat_pieces = UI_find_nearby([x, y, z], 781 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);				
					
				boat_pieces = UI_find_nearby([x, y, z], 791 , 30, MASK_EGG); //
				for (piece in boat_pieces)
					UI_remove_item(piece);

				boat_pieces = UI_find_nearby([x, y, z], 961 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);	
					
				boat_pieces = UI_find_nearby([x, y, z], 199 , 30, MASK_NONE); //
				for (piece in boat_pieces)
					UI_remove_item(piece);				
					
					
				//Move Michael
					
					UI_move_object(MICHAEL, [0678, 2070, 0]);	
					UI_set_schedule_type(MICHAEL, WAIT);
					UI_set_item_frame(MICHAEL, 16);
					UI_error_message("Setting MICHAEL to WAIT schedule via quenton sidequest egg event FAILURE");
					
					gflags[MICHAEL_AT_DOCKS] = false;
			
				//Move Marney into holding place
					UI_move_object(MARNEY, [0823, 1878, 0]);	
					UI_set_schedule_type(MARNEY, WAIT);
					UI_set_item_flag(MARNEY, DEAD);
					
				//Rinaldo and Renthar are both killed by pirates
					
				//	UI_set_item_flag(RINALDO, DEAD);
					UI_move_object(RINALDO, [0759, 0424, 0]);	
					UI_set_schedule_type(RINALDO, WAIT);
					UI_apply_damage(127, 127, NORMAL_DAMAGE, RINALDO);
					
					UI_move_object(RENTHAR, [0823, 1877, 0]);	
					UI_set_schedule_type(RENTHAR, WAIT);
					UI_set_item_flag(RENTHAR, DEAD);	
					
					gflags[MARNEY_GONE] = true;
				
				
				
			}
				
				
				
			
		}
	
}	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	