//Quenton sidequest eggs
const int MARNEY_TIMER = 16; // used for quest
const int INVESTIGATION_TIMER = 16; // used for quest

void MichaelWaits 3012()
{
	var hour = UI_game_hour();
	var	minute = UI_game_minute();
	var hour_to_pass = 20 - hour;
	var minute_to_pass = 59 - minute;
	var n = ((hour_to_pass * 1500) + (minute_to_pass * 15)); 
	var player_is_female;
	var hours_to_midnight = UI_get_npc_id(RINALDO);
	var timer_start = UI_get_npc_id(MICHAEL);
	var pronoun;
	var quality = UI_get_item_quality(item);
	if (player_is_female) //
		pronoun = "She";
	else 
		pronoun = "He";
		
		
	
		
	if (event == EGG)
	{
		
		if (quality == 0)
		{
		
			if (gflags[MICHAEL_AT_DOCKS])
				UI_remove_item(item);
				
			//FAILSAFE: If you sleep, script doesn't advance right? This should keep it moving along	
			if (!gflags[MICHAEL_AT_DOCKS] && (hour >= 21) && (hour < 24)) //UI_part_of_day(NIGHT)
			{
				gflags[MICHAEL_TO_SKARA] = true;
				
			//	UI_halt_scheduled(item); //should cancel other script
				
				script item
				{
					call QuentonSidequest, 1; 
					remove;
				}
				UI_remove_item(item);
				
			}	
				
			else if ((gflags[STARTED_INVESTIGATION]) && (hour < 21))
			{	
			//will start timer. Once 9pm hits, Michael moves to Skara to convince Marney to leave with him.
				
				
				if (isNearby(MICHAEL))
				{
					MICHAEL.say("@What are you doing here? Get out of my house at once!@");
					MICHAEL.say("He shoves you out of the house and slams the door in your face."); 
					MICHAEL.hide();
				
					//This flag is set to ensure that after the day is over, time will be up. Used in failsafe egg
					gflags[MICHAEL_TO_SKARA] = true;
					
					
					UI_error_message(["Ticks in var n needed to wait is " + n]);
								
					if (isNearby(IOLO))
					{
						IOLO.say("As you leave, Iolo whispers to you. @Avatar, normally I wouldn't condone this.. but let's try coming back later tonight to search when he's sleeping...@");
						IOLO.say("@Maybe we'll find something then.@");
						IOLO.hide();				
					}
					else
					{
						randomPartySay("@He's clearly hiding something, perhaps we could come back and search when he's asleep..@");
						randomPartySay.hide();
					}	
					
					//pushed out the door
					UI_move_object(PARTY, [0632, 1393]);
					
					//look for open doors / unlocked doors of quality 24
					var door;
					var open_doors = UI_find_nearby([0631, 1391, 0], 376, 20, MASK_NONE);
									
					//change open door to closed, correct quality
					for (door in open_doors)
					{
						UI_set_item_shape(door, 270);
						UI_set_item_quality(door, 199); //should prevent breaking?
					}
			
					//make sure script only runs once
					if (!UI_get_item_flag(MICHAEL, PETRA)) 
					{
						UI_set_item_flag(MICHAEL, PETRA);
						script item after n ticks
						{
						//	nohalt;
							call QuentonSidequest, 1; //should create the boat
						
						}
					}	
					return;
				}
				else //Michael not nearby, either cheating detected or you failed
					UI_remove_item(item);
			}
			else
				abort;
		}

	}		
		
}

void triggerMarneyConvo 3013()
{
	var hour = UI_game_hour();
	var player_is_female;
	var	minute = UI_game_minute();
	const int MarneyUpset = 10; //timer
	var polite_title = getPoliteTitle();
	
	var pronoun;
	
	if (player_is_female) //
		pronoun = "She";
	else 
		pronoun = "He";

	if (event == EGG)
	{
		
		if ((hour >= 21) && (isNearby(MARNEY)) && (isNearby(MICHAEL)) && gflags[MICHAEL_AT_DOCKS])
		{
			var options = ["goodbye", "wait!"];
			
			
			//failsafe - ship is buggy sometimes and doesn't show.  this will ensure a boat is made:
			if (!gflags[MICHAEL_SHIP_BUILT])
				AVATAR->createShip();
				
			//another failsafe - if reloading game elsewhere, sometimes ship "disappears".  Fix that
			//var boat = UI_find_nearby([0133, 1461], 700, 5, MASK_NONE);
			var boat = UI_find_nearby(MICHAEL, 700, 5, MASK_EGG); //find new barge created
			if (boat == 0)
			{
				AVATAR->createShip();
				UI_error_message("ERROR! Boat not found at docks. Creating one.");
			//	barge = UI_find_nearby(MICHAEL, 961, 30, MASK_EGG); //find new barge created
			}
			var barge = UI_find_nearby(MICHAEL, 961, 30, MASK_EGG);
			
			UI_set_item_flag(AVATAR, BG_DONT_MOVE);
			MARNEY.say("@Oh! Avatar, what brings you here tonight?@ she says, nervously. I was just out for a walk...");
			randomPartySay("@At this late hour?@");
			randomPartySay.hide();
			MARNEY.say("She sighs. @I guess I can't fool the Avatar... The truth is..., I'm going with Michael on a trip to get away from it all.@");
			MARNEY.say("@With my father's murder, the gargoyles, my health.. I need some time away from here. We had talked about this for some time now, but tonight Michael put it all together!@");
			MARNEY.say("@Just...please, don't tell Yorl. I... need to get away from the sadness here for a while...@");
			MARNEY.hide();
			MICHAEL.say("Michael looks at you and appears to hold in his rage as best he can. @This doesn't concern you, Avatar. Marney has agreed to come with me.@");
			MICHAEL.say("@She wants to see the world with me, to ease her heart and mind.@ He turns to Marney. @Let us depart my dear, before Yorl awakes.@");
			MICHAEL.hide();
			MARNEY.say("Marney closes her eyes, trying to hold back tears, then takes a breath. @Yes, let us see the world together. This is for the better.@");
			MARNEY.say("She turns to you. @Farewell Avatar, when I return perhaps thou can stop by sometime and I'll tell you all about our adventures.@");
			converse(options)
			{
				case "goodbye":
					if (inParty(DUPRE))
					{
						DUPRE.say("Dupre looks at you incredulosly. @Avatar... you can't possibly be allowing her to leave with him?@");
						DUPRE.hide();
					}
					
					if (inParty(IOLO))
					{
						IOLO.say("@Michael has obviously filled her head with lies, Avatar. We're just going to stand here and let them leave?!@");
						IOLO.hide();
					
					}
		
					if (inParty(SHAMINO))
					{
						SHAMINO.say("@Avatar, why didst thou not stop her from making this mistake? Clearly this is not in her best interests...@");
						SHAMINO.hide();				
					}
					subtractKarma(30);
					
					//moves Marney to the docks, calls MOVE_BOAT
					UI_si_path_run_usecode(MARNEY, [0135, 1458, 1], 2, barge, QuentonSidequest, true);
					gflags[MARNEY_GONE] = true; 
					gflags[FAILED_QUENTON_QUEST] = true; //can't save her now...
					break;
				
				case "wait!"(remove):
					MICHAEL.say("Looking impatient and agitated, Michael speaks up, @Make it quick, " + polite_title + ", we're in a hurry..@");
					MICHAEL.hide();
					MARNEY.say("@Yes, Avatar? What is it?@");
					add("Michael killed Quenton");
				
				case "Michael killed Quenton"(remove):
					MARNEY.say("Wh..what?@");
					AVATAR.say("@I found evidence linking Michael to the murder of your father. It was not the gargoyles.@");
					AVATAR.hide();
					if (inParty(DUPRE))
					{
						DUPRE.say("@Milady, Michael killed your father when he didn't repay a debt he owed to him. He's decieving you, you mustn't trust him.@");
						DUPRE.hide();
					}
					MARNEY.hide();
					MICHAEL.say("Michael growls, @" + pronoun + "'s a liar! Everyone in town agrees it was those bloody gargoyles who killed thy father.@");
					MICHAEL.hide();
					MARNEY.say("@How do you know this? Where is thy proof? Michael has been nothing but kind to me...@");
					if (UI_count_objects(PARTY, SHAPE_SCROLL, 62, FRAME_ANY)) //bloodstained Michael letter
					{
						MARNEY.say("You show Marney the bloody letter that was found in Michael's home.");
						MARNEY.say("Tears start streaming down her face, and she chokes out: @This.. is father's handwriting..@");
						MARNEY.say("@...Michael? Is this...@ she can barely talk now.");
						MARNEY.say("@...how could you...@");
						MARNEY.say("Marney collapses into your arms and starts sobbing.");
						MARNEY.hide();
						
						UI_set_item_flag(MARNEY, ASLEEP); //make her fall
						UI_set_schedule_type(MARNEY, SLEEP); 
						
						MICHAEL.say("Seeing the charade was up, Michael speaks: @It was nothing personal my dear, but after all, he did owe a debt.@");
						MICHAEL.say("He turns to you with murder in his eyes. @You'll pay for this, swine!@");
						MICHAEL.say("Michael raises the anchor, and sails away!");
						delayedBark(AVATAR, "He's gone..", 3);
						UI_set_item_flag(MARNEY, SI_ZOMBIE); //used to add more convo flags for her
						UI_set_timer(MARNEY_TIMER); //timer for Marney to take some time before she'll talk again
						UI_error_message("Current game hour is " + hour + ", Marney timer is set to " + UI_get_timer(MARNEY_TIMER));
						
						//Move Renthar to High Court in Yew
						RENTHAR->move_object([0675, 0521, 0]);
						
						//Move Rinaldo in front of him:
						RINALDO->move_object([0672, 0520, 0]);
						UI_set_schedule_type(RINALDO, WAIT);
						UI_set_item_frame(RINALDO, 0); 
						
						//make face each other:
						makeNPCFaceNPC(RINALDO, RENTHAR);
						makeNPCFaceNPC(RENTHAR, RINALDO);
						giveExperience(100);
						
						gflags[MARNEY_SAVED] = true;
						script item
						{
							call QuentonSidequest, 2; //move boat
						
						}
						UI_remove_item(item);
						break;
						
						
					}
					else //semi bad ending!
					{
						MARNEY.say("You realize you don't have the scroll with you!");
						MARNEY.say("She waits a moment, then shakes her head. @What an awful thing to accuse Michael of, with no proof. Please, go away. I musn't keep Michael waiting.@");
						MARNEY.hide();
						MICHAEL.say("@Come milady, thy ship awaits. This will be an journey you'll never forget...@");
						MICHAEL.say("From behind her, he looks at you with an evil grin as he raises the anchor.");
						subtractKarma(10);
						gflags[MARNEY_GONE] = true; //She can be saved, but scarred for life. 
									
						//Move Renthar to High Court in Yew
						RENTHAR->move_object([0675, 0521, 0]);
						
						//Move Rinaldo in front of him:
						RINALDO->move_object([0672, 0520, 0]);
						UI_set_schedule_type(RINALDO, WAIT);
						UI_set_item_frame(RINALDO, 0); 
						
						//make face each other:
						makeNPCFaceNPC(RINALDO, RENTHAR);
						makeNPCFaceNPC(RENTHAR, RINALDO);
						

									
						UI_si_path_run_usecode(MARNEY, [0135, 1458, 1], 2, barge, QuentonSidequest, true);
						break;
					}

					
			}
			UI_remove_item(item); //delete egg
		}
	}

}



void timeEgg 3016()
{

	if (event == EGG)
	{
		var hour = UI_game_hour();
		var	minute = UI_game_minute();
		var hour_to_pass = 20 - hour;
		var minute_to_pass = 59 - minute;
		var n = ((hour_to_pass * 1500) + (minute_to_pass * 15)); 
		
		var time_lapsed = UI_get_npc_id(RINALDO);
		
		//determines how much time has passed since the Investigation started. If hour is past 9pm but before midnight, call 
		//function to create ship at docks, move Michael and Marney.
		
			//Cleanup - if you already solved the quest good or bad, delete this egg.
			if (gflags[FAILED_QUENTON_QUEST] || gflags[MARNEY_SAVED])
				UI_remove_item(item);
		
		//first, determine if it is past time, if so, delete the eggs
		if (gflags[STARTED_INVESTIGATION])
		{
			var timer = UI_get_timer(INVESTIGATION_TIMER);
		/* TODO:  Fix the timer.  Disabling for now since it wrecks the whole sidequest. 
			if ((timer > time_lapsed) || (hour < 9) && (!gflags[MARNEY_GONE] && !gflags[MARNEY_SAVED]))
			{
				UI_error_message("Timer ran out, called failure event. Missed the boat!");
				script item
				{
					call QuentonSidequest, 4; //failure event
				}
				UI_remove_item(item); 
				return;
			}
		*/
			//time is right, but hasn't triggered yet
			
			if ((hour > 20) && (!gflags[MICHAEL_AT_DOCKS]))
			{
				UI_error_message("gflags MICHAEL_AT_DOCKS set. Event PREP_SHIP called.");
				script item
				{
					call QuentonSidequest, 1; //create shipcc
				}
				UI_remove_item(item); 
				return;
			
			}
			
		}
	}
	else
		return;
}

void fightMichael 3022()
{
	var polite_title = getPoliteTitle();
	if (event == EGG)
	{
		if (inParty(RENTHAR) && (gflags[MARNEY_SAVED] || gflags[MARNEY_GONE]))
		{
			MICHAEL.say("@You again?! You're going to pay for interfering in my business! And Renthar.. the coward who deserted the Captain's crew and lived. Let's finish what I started then..to the death!@");
			RENTHAR.say("@It will be finished, but not here. You'll await the guillotine for your crimes, Michael. The Captain will meet his fate soon enough as well...@");
			UI_set_alignment(MICHAEL, EVIL);
			UI_set_schedule_type(MICHAEL, IN_COMBAT);
			UI_remove_item(item);
			return;
		}
		else if (gflags[FAILED_QUENTON_QUEST])
		{
			item.say("Michael looks up as you approach, and sneers at you.");
			item.say("@Avatar, thou dost look like you've lost something. Pray tell, what is it?@");
			
			UI_set_alignment(MICHAEL, EVIL);
			UI_clear_item_flag(MICHAEL, SI_TOURNAMENT); //you can now kill him if you want.
			UI_remove_item(item);
			
			var convo = chooseFromMenu(["Marney", "nothing"]);
			if (convo == "Marney")
			{
				say("@Don't worry about her, " + polite_title + ". She's in good hands now and fetched a fair price for my captain.@");
				say("Michael pulls out a trinket and lets it dangle between his fingers... you then realize it's Marney's locket!");
				say("@Renthar will be dealt with in good time as well, I can assure you that!!@");
				say("Michael grins and turns away from you. @Run along Avatar, I'd like to enjoy some solitude...@");
				return;
			}
			if (convo == "nothing")
			{
				say("@Well then, run along Avatar...@");
				say("Michael pulls out a trinket and lets it dangle between his fingers... you then realize it's Marney's locket!");
				say("He grins at you through clenched teeth.");
				return;
			}
			UI_set_alignment(MICHAEL, EVIL);
			UI_clear_item_flag(MICHAEL, SI_TOURNAMENT); //you can now kill him if you want.
			UI_remove_item(item);
		
		}
	}
}
	