void Eruption (var volcano) 
{
	const int SPRITE_EXPLOSION = 1;
	const int SFX_ERUPT = 60;
	const int SFX_SMOKE = 59;
	
	const int SPRITE_SMOKE = 3; //from smokebomb
	var avatar_distance = UI_get_distance(egg, AVATAR);
	var volcano_location = UI_get_item_location(volcano);
	UI_error_message("Item location is" + volcano_location);

	//determine if it explodes
	var rand = UI_get_random(100);
	UI_error_message("Volcano egg hatched: rand number is " + rand);
	
	//volcano erupts
	if (rand < 35)
	{
		UI_error_message("Volcano egg: random number was " + rand + ", erupt.");
		UI_error_message("Rand num  was " + rand + ", volcano erupts");
		var target; 
		
		rand = UI_get_random(100);
		if (rand < 50)
		{
			//determine how many npcs are neaby
			 var targets = UI_find_nearby(volcano, SHAPE_ANY, 6, MASK_NPC2);
			 
			//exp effect
			UI_obj_sprite_effect(volcano, SPRITE_EXPLOSION, 0, 0, 0 ,0, 0, -1);
			
			//play sound
			UI_play_sound_effect(SFX_ERUPT, volcano);
			UI_earthquake(1);
			
			var count = 0; 
		
			 //apply damage to targets based on how far away they were from the blast
			 for (target in targets)
			 {
				var target_shape = UI_get_item_shape(target);
				count += 1;
				UI_error_message("Target  " + count + ", is damaged! Shape: " + target_shape);
				var target_distance = UI_get_distance(volcano, target);
				var damage_base = (50 / target_distance);
				UI_apply_damage(damage_base, 15, FIRE_DAMAGE, target);
			 }
		}
	
		else //volcano erupts with smoke
		{
			UI_obj_sprite_effect(volcano, SPRITE_SMOKE, 0, 0, 0 ,0, 0, -1);
			UI_play_sound_effect(SFX_SMOKE, volcano);
			UI_error_message("Volcano egg: random number was " + rand + ", just smoke.");
		
		
		}
	
	}
	else
		UI_error_message("Volcano egg: random number was " + rand + ", do nothing.");
}
	
	
/*  WORKING , but skips other random numbers (greater than 25)

void Eruption (var volcano) 
{
	const int SPRITE_EXPLOSION = 1;
	const int SFX_ERUPT = 60;
	const int SFX_SMOKE = 59;
	
	const int SPRITE_SMOKE = 3; //from smokebomb
	var avatar_distance = UI_get_distance(egg, AVATAR);
	var volcano_location = UI_get_item_location(volcano);
	UI_error_message("Item location is" + volcano_location);

	//determine if it explodes
	var rand = UI_get_random(100);
	UI_error_message("Volcano egg hatched: rand number is " + rand);
	
	//volcano erupts
	if (rand < 25)
	{
		UI_error_message("Volcano egg: random number was " + rand + ", erupt.");
		UI_error_message("Rand num  was " + rand + ", volcano erupts");
		var target; 
		
	
		//determine how many npcs are neaby
		 var targets = UI_find_nearby(volcano, SHAPE_ANY, 6, MASK_NPC2);
		 
		//exp effect
		UI_obj_sprite_effect(volcano, SPRITE_EXPLOSION, 0, 0, 0 ,0, 0, -1);
		
		//play sound
		UI_play_sound_effect(SFX_ERUPT, volcano);
		UI_earthquake(1);
		
		var count = 0; 
		
		 //apply damage to targets based on how far away they were from the blast
		 for (target in targets)
		 {
			var target_shape = UI_get_item_shape(target);
			count += 1;
			UI_error_message("Target  " + count + ", is damaged! Shape: " + target_shape);
			var target_distance = UI_get_distance(volcano, target);
			var damage_base = (50 / target_distance);
			UI_apply_damage(damage_base, 15, FIRE_DAMAGE, target);
		 }
		
	}
	
	else if (rand >= 25 && rand <= 70) //volcano erupts with smoke
	{
		UI_obj_sprite_effect(volcano, SPRITE_SMOKE, 0, 0, 0 ,0, 0, -1);
		UI_play_sound_effect(SFX_SMOKE, volcano);
		UI_error_message("Volcano egg: random number was " + rand + ", just smoke.");
	
	
	}
	else
		UI_error_message("Volcano egg: random number was " + rand + ", do nothing.");
	
}
	
	
*/