enum britain_npcs
{
	ANYA 			= -37,	
	ARIANA 			= -24, //gives you the rune
	ARTY 			= -40,
	CULLEN 			= -52,
	DAROS 			= -46,
	DAVER 			= -31,
	EFRAM 			= -38,
	FINN 			= -62,
	FYODOR			= -29,
	GWENNETH		= -22,
	KENNETH			= -39,
	KYTYN 			= -17,
	LADY_NAN		= -30,
	LAZEENA			= -28,
	LINDA			= -41, 
	LYNN			= -33,
	MATT			= -23, 
	MAX				= -26,
	NEMA			= -47,
	PEYTON			= -25, 
	RUFUS			= -36,
	TERRI			= -32,
	THOLDEN			= -43, //gives you the mantra
	TIBERIUS		= -42,
	WILBUR			= -34
};

enum castle_british_npcs
{
	CHUCKLES 		= -55, 
	GEOFFREY		= -35,
	LORD_BRITISH	= -148, //gives key, heals
	MALDRIC 		= -48,
	NYSTUL			= -139,
	SHERRY			= -6	//give her cheese, use her to get rune of Valor
};

enum yew_npcs
{
	ANDREA			= -15,
	BEN				= -116, //get the log from him
	BOSKIN			= -21,
	LENARD			= -245,
	LENORA			= -18, //gives permission for the key 
	NICODEMUS		= -102,
	PRIDGARM		= -19,
	RINALDO			= -50,
	//ROWAN			= -251, //pirate npc for Michael sidequest
	//SINJEN			=  //sinjen is an item not an npc technically
	UTOMO			= -20

	
};		


enum skara_npcs
{
	DEZANA			= -143, 
	GIDEON			= -140,
	HORANCE			= -141, 
	MARNEY			= -75,
	MARTA			= -144,	
	MICHAEL			= -76,
	QUENTON			= -146,
	STIVIUS			= -147,
	TRENTON			= -142,
	YORL			= -145

};

enum paws_npcs
{
	ARBETH			= -120,
	DORIN			= -122,
	DR_CAT			= -127,
	GRISON			= -121,
	HENDLE			= -124,
	MARISSA			= -119,
	MERIDETH		= -123,
	MORTUDE			= -118,
	PATRICK			= -115,
	THINDLE			= -117, 
	TIMOTHY			= -126,
	UBERMON			= -125
};

enum party_npcs
{
PARTY		= -357,	//Used by several intrinsics (e.g. UI_count_objects) that would otherwise take a single NPC
						//Not supported by several other intrinsics that you'd really like it to (e.g. UI_get_cont_items)
	AVATAR			= -356,
	BEHLEM			= -191,
	BLAINE			= -27,
	DUPRE			= -4,
	GORN			= -138,
	GWENNO			= -87,
	IOLO			= -1, 
	JAANA			= -5,
	JULIA			= -8,
	KATRINA			= -9,
	LEODON			= -221,
	LEONNA			= -223,
	SEGGALLION		= -232,
	SENTRI			= -7,
	SHAMINO			= -3

};

enum trinsic_npcs
{
	BRANDON			= -83,
	HAROLD			= -85,
	IMMANUELLE		= -84,
	SANDY			= -80,
	TOBATHA			= -86,
	WHITSABER		= -81, 
	LAWRENCE 		= -82
};

enum minoc_npcs
{
	AARON			= -91,
	DALE			= -92,
	DORIS			= -96,
	ISABELLA		= -97,
	JAMES			= -93,
	MICHELLE		= -90,
	SELGANOR		= -88,
	TARA			= -89,
	TREBOR			= -94,
	TROY			= -95

};

enum new_magincia_npcs
{
	ANTONIO			= -134,
	AURENDIR		= -135,
	CHARLOTTE		= -133,
	CONOR			= -136,
	DUNBAR			= -130,
	WILLIAM			= -137

};

enum serpents_hold_npcs
{
	AMANDA			= -240,
	CARADON			= -239,
	DE_HUGH			= -237,
	GHERICK			= -242,
	KORANADA		= -235,
	LADY_TESSA		= -233,
	LOUBET			= -236,
	MORCHELLA		= -238,
	SEGALLION		= -232, 
	SHUBIN			= -241,
	SIR_SIMON		= -234


};

enum gargoyle_npcs
{
	BOLESH			= -184,
	CARETAKER		= -192, 
	DRAXINUSOM		= -180,
	FARMER_KRILL	= -187,
	FARMER_NASH		= -189,
	FOODMAKER		= -185, 
	GOODSCRAFTER	= -186, 
	GARG_HEALER		= -183,  //to avoid HEALER already declared
	LENSMAKER		= -188, 
	NAXATILOR		= -182, 
	SNAKECHARMER	= -193, 
	VALKADESH		= -197, 
	WEAPONSMITH		= -190

};





enum cove_npcs
{
	AHRMAAND		= -77,
	ARTAGEL			= -71,
	ED				= -72,
	GERTAN			= -78, 
	GILRON			= -73,
	RUDYOM			= -74, 
	SASHA			= -79

};

enum empath_abbey_npcs
{
	ECKHART			= -114,
	FAREN			= -106,
	GLEN			= -14, //moved from -14 for testing purposes
	MOLE			= -13,  //moved from -100 which was kind of buggy
	SIONNACH		= -11, 
	STEPHANIE		= -108, 
	SYLAINA			= -12, 
	ZEKE			= -112

};

enum jhelom_npcs
{
	ARVIN			= -58,
	CULHAM			= -63,
	HEFTIMUS		= -70, 
	JERRIS			= -59, 
	LYSSANDRA		= -65, 
	NOMAAN			= -68, 
	PEER			= -60, 
	STELNAR			= -67,
	VANKELLIAN		= -66,	
	ZELIVAN			= -69,
	MARTIN			= -61
};

enum moonglow_npcs
{
	AGANAR			= -156,
	DARGOTH			= -155, 
	DERYDLUS		= -154,
	EPHEMERIDES		= -151,
	MANREL			= -157, 
	MARIAH			= -153,
	PENUMBRA		= -150, 
	ROB				= -152, 
	THARIAND		= -158, 
	XIAO			= -159
};

enum bucs_den_npcs
{
	BUDO			= -229,
	CAPTAIN_ELAD	= -226,	
	CAPTAIN_FOX		= -224,
	ENRIK			= -230,
	FENTRISSA		= -228,
	HOMER			= -222, 
	JOHANN			= -227, 
	PETROPH			= -220, 
	SHAWN			= -225


};

enum misc_npcs  //loners, wanderers, oddities
{
	ANDREAS			= -54,
	ARTUROS			= -53, 
	BONN			= -64,
	CAPTAIN_JOHNE	= -110,
	SIN_VRAAL		= -181,
	DOUG			= -253,
	SMITH			= -113,
	KADOR			= -98,
	KARINA			= -45,
	MANDRAKE		= -104,
	GYPSYWOMAN		= -100,
	MAMA			= -111,
	MYLES			= -109,
	PAPA			= -107, 
	TAYNITH 		= -56,
	SHRINE			= -247, //Used for shrine face. 
	//RENTHAR
	ROWAN			= -251, //pirate in Michael quest
	SUTEK			= -162, 

	WANDA			= -49, 
	YBARRA			= -103, 
	ZOLTAN			= -44,
	HOLDERGUY		= -250, //used to hold Avatar's inventory and stats for Sherry switch
	THUG1 = -259,
	THUG2 = -292,
	THUG3 = -289,
	THUG4 = -288,
	THUG5 = -280,
	THUG6 = -270,
	THUG7 = -254,
	GENERICSHRINE = -255,
	PALACE_GUARD1 = -16,
	BLORN 		  = 208, //used for Sherry/Avatar switch to hold Avatar's defualt training points
	PALACE_GUARD2 = -51, 
	CHANTU 		  = -351, //no need for it really
	ELAD		  = -350, //used for services.uc, no need for them	
	LEIGH 		  = -349, //used for services.uc, no need for them	
	INMANILEM	  = -348,  //used for services.uc, no need for them	
	LAURIANNA	  = 347,	 //used for services.uc, no need for them	
	REYNA		  = -346,  //used for services.uc, no need for them	
	SPARK 		  =  -245,
	TEST1		  = -131,
	TEST2		  = -132,

	HYTH_GUARD1   = -219, //Gatekeeper to Hythloth, has key. Moved once avatar learns from Sin Vraal about Hythloth
	HYTH_GUARD2	  = -211, 		 
	HYTH_GUARD3	  = -214, 
	PUSHMEPULLYU  = -149, //two headed horse
	RENTHAR 	  = -101, //reformed assassin

	PARTYMEMBER6  = -300, 
	PHOENIX		  = -128,  //Thief under Britain
	
	MORGOTH		= -105,   //Evil mage in Deciet 
	
	FRANKTHEFOX = 165 //used for Glen's crematorium. has DO NOT RENDER flag in the shop so you have to be there for Glen to do the cremation

};

enum intro_npcs
{
	GARGTHUG1 = -264,
	GARGBYSTANDER1 = -299,
	GARGBYSTANDER2 = -300,
	GARGBYSTANDER3 = -301,
	GARGBYSTANDER4 = -302,
	GARGTHUG2 = -265,
	GARGTHUG3 = -266,
	GARGTHUG4 = -267,
	GARGPRIEST = -263,
	DEADGARG1 = -268,
	GARGTHUG5 = -278,
	GARGTHUG6 = -279,
	DEADGARG2 = -269
};

//Not used but used as utility
enum junk_npcs
{
	KARMA1 = -246, 
	SINGULARITY = -247, 
	MOONSTONES = -248, 
	KARMA4 = -249, 
	WRONG = -272, //clone_alagner 
	BLANKDUNGEON = -273,
	BALLOON_DOG = -271, //used to determine if balloon is over the void too far - if out of bounds, warning level is set (Balloon dog's ID)
	
	//Used for Shrines:
	NPC_SACRIFICE = -250,
	NPC_JUSTICE = -251,
	NPC_HUMILITY = -252,
	NPC_SPIRITUALITY = -249, 
	NPC_VALOR = -248,
	NPC_HONESTY = -254, 
	NPC_COMPASSION = -255, 
	NPC_HONOR = -253,
	
	CHAIN_BOLT = -132, //used for "shots" of chain bolt
	
	//NPC stand in for Drudgeworth
	DRUDGEWORTH = -172
	
	
	
};



