enum amulet_events
{
	 EQUIP_AMULET                                     = 1,
	 EVENT_TEST                                       = 2	 

};



void reEquipAmSub (var amulet)
{
	UI_close_gumps2();
	
	var shape = UI_get_item_shape(amulet);
//	UI_error_message("Shape of amulet is: " + shape + ".  reEquipAmSub called");
	UI_error_message("Shape of amulet is: " + amulet + ".  reEquipAmSub called");
	

	UI_error_message("reEquipAmSub called");
	
	//set removed amulet as last created
	UI_set_last_created(amulet);
	
	
	//if (!amulet_of_submission)
	//	UI_error_message("amulet not found, ERROR!");
	//else
	//	UI_error_message("Amulet found: " + amulet_of_submission + "");
	
	//check if Avatar is wearing something already
	//var is_wearing = UI_get_readied(AVATAR, BG_AMULET);
	var is_wearing = AVATAR->is_readied(22, SHAPE_ANY, FRAME_ANY);
	UI_error_message("Is wearing is: " + is_wearing);
	if (UI_is_readied(AVATAR, BG_AMULET, SHAPE_ANY, FRAME_ANY))
	{
		UI_error_message("Avatar is wearing something around the neck, transferring.");
		//if so, move it to Holderguy
		transferNeckItems(AVATAR, HOLDERGUY);
		
		//give amulet back to Avatar
		UI_give_last_created(AVATAR);
		
		
	}
	else //nothing on Avatar's neck, force item back into his neck
	{
		UI_error_message("Nothing detected around Avatar's neck");
		UI_give_last_created(AVATAR);
	}
	
	//Punish Avatar for trying to take it off!
	UI_apply_damage(5, 5, FIRE_DAMAGE, AVATAR);
	delayedBark(AVATAR, "Argh, it burns!", 2);
	
	//extra cleanup: find any duplicates on screen and removed
	var stray_amulets = UI_find_nearby_avatar(SHAPE_AMULET_SUBMISSION);
	if (stray_amulets > 0)
	{
		UI_error_message("stray amulets detected, removing them now");
		for (amulets in stray_amulets)
			UI_remove_item(amulets);
	
	}
		
}


void amuletOfSubmission shape#(1234)()
{
	const int SPRITE_PURPLE_CIRCLES = 21;
	var amulet = UI_get_readied(AVATAR, BG_AMULET);
	
	
	
	
	if (amulet)
		UI_error_message("amuletOfSubmission recognizes an amulet");
	else
		UI_error_message("ERROR - amuletOfSubmission does NOT recognize an amulet");
	if (event == READIED)
	{
		gflags[WEARING_AMULET_SUBMISSION] = true;
		UI_error_message("AmSubmission READIED event called");
		if (amulet)
			UI_error_message("amuletOfSubmission recognizes an amulet");
		else
			UI_error_message("ERROR - amuletOfSubmission does NOT recognize an amulet");
		UI_obj_sprite_effect(AVATAR, SPRITE_PURPLE_CIRCLES, 0, 0, 0, 0, 0, -1);
	
	}
	if (event == UNREADIED)
	{
		UI_error_message("AmSubmission UNREADIED event called");
		gflags[WEARING_AMULET_SUBMISSION] = false;
		
		//set removed amulet as last created
		UI_set_last_created(item);
		
		item->close_gumps2();
	    UI_close_gumps2();

		//UI_flash_mouse(CURSOR_X);
		
		var amSub = UI_find_object(FIND_ON_SCREEN, SHAPE_AMULET_SUBMISSION, QUALITY_ANY, FRAME_ANY);
		UI_obj_sprite_effect(AVATAR, SPRITE_PURPLE_CIRCLES, 0, 0, 0, 0, 0, -1);
	    UI_play_sound_effect(76);
		

		//submitted to draxinusom, can't take it off now!
		if (gflags[SUBMITTED_TO_DRAXINUSOM])
		{
			if (amulet)
				UI_error_message("amuletOfSubmission recognizes an amulet inside UNREADIED event");
			else
				UI_error_message("amuletOfSubmission DOES NOT recognize an amulet inside UNREADIED event.");
				
			//set removed amulet as last created
			UI_set_last_created(item);
		//	UI_give_last_created(AVATAR);
			
			reEquipAmSub(item); //from amsub
			
		}
		

		script item
		{
			call amuletOfSubmission, EQUIP_AMULET;
		
		}
	}
	
	//Force amulet back on Avatar's neck
	if (event == EQUIP_AMULET)
	{	
		UI_set_last_created(item);
	
	//should prevent Avatar from moving / teleporting away
		UI_set_item_flag(AVATAR, BG_DONT_MOVE);
		UI_error_message("Event EQUIP_AMULET called");
	//	UI_close_gumps2();

		if (UI_get_readied(AVATAR, BG_AMULET))
		{
						
			//transfer neck item Avatar is wearing to GROUND
			transferNeckItems(AVATAR, HOLDERGUY); //This actually now places item on ground
				
			//add amulet of submission
			UI_give_last_created(AVATAR);
							
		}
		else
			UI_give_last_created(AVATAR);//add amulet of submission
		UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
		UI_obj_sprite_effect(AVATAR, SPRITE_PURPLE_CIRCLES, 0, 0, 0, 0, 0, -1);
		
		

		//Punish Avatar for trying to take it off!
		UI_apply_damage(5, 5, FIRE_DAMAGE, AVATAR);
		delayedBark(AVATAR, "Argh, it burns!", 2);
			
		
	}

}