void altarOfSingularity shape#(1239) ()
{
	var karma = getKarma();
	var options;
	
	if (event == DOUBLECLICK)
	{
		
		var karma = getKarma();
				
		UI_show_npc_face(256, 0);
		item.say("A finely-carved stone pyramid.");
		item.say("As you face the altar, a voice rings in your head. You understand it perfectly, but you can't recognize the language!");
		
		if (gflags[FINAL_QUEST_GIVEN])
		{
			item.say("@There is no more wisdom for thee to acquire here, noble Avatar.@*");
			item.say("@Seek the Codex, and may nothing impede thy sacred quest!@");
			UI_obj_sprite_effect(item, 7, 20, 20, 0, 0, 0, -1);
			return;
				
		}
	
		if (!gflags[MET_ALTAR_SINGULARITY]) //haven't "met" altar yet - (answered the correct question)
		{
			if (karma < 40)
			{
				item.say("@Thy deeds make thee unworthy of enlightenment.@*");
				item.say("@Return when thy path is more focused.@");
				return;
			}
			else if ((karma >= 40) && (karma < 81))
				item.say("@Thou hast far to travel and much to achieve, but thy inner fire will surely guide thy way.@");
			else
			{
				item.say("@Thou hast far to travel and much to achieve.@*");
				item.say("@May the wisdom imparted here help purify thy inner flame.@");
			}
			
			item.say("@What do you seek, Avatar?@");
			options = ["Codex", "bye"];
		}
		else if (!gflags[FINAL_QUEST_GIVEN] && gflags[MET_ALTAR_SINGULARITY])
		{
			item.say("@Hast thou completed thy journey to the catacombs?@");
			if (askYesNo())
			{
				item.say("@What is the Mantra of Singularity?@");
					if (gflags[LEARNED_MANTRA_CONTROL] && gflags[LEARNED_MANTRA_PASSION] && gflags[LEARNED_MANTRA_DILIGENCE])	
					{
						var mantra_options = chooseFromMenu(["un-us-or", "us-un-or", "un-or-us", "us-or-un", "or-us-un", "or-un-us"]);
						if (mantra_options == "un-or-us")
						{
							item.say("@Let the principle of control guide thy quest.@*");
							item.say("@Let the principle of passion drive thy quest.@*");
							item.say("@Let the principle of diligence maintain thy quest.@*");
							item.say("@Then wilt thou truly achieve the unified spirit and singularity of purpose that is necessary for success in all endeavors.@*");
							item.say("@This is the gargoyle way, let it be thy way as well.@*");
							item.say("The altar glows with a cold blue flame. You feel compelled to seek out the Codex.*");
							item.say("Your final quest has begun!");
							addKarma(10);
							gflags[FINAL_QUEST_GIVEN] = true;
							UI_obj_sprite_effect(item, 7, 20, 20, 0, 0, 0, -1);
							UI_play_music(34, 0);
							return;
						}
						else
							item.say("@You have not yet become familiar with the wisdom of the gargoyle race. Continue thy search.@");
							
					}
					else //don't know, get the same answer
					{
						var mantras_known = ["I don't know"];
						if (gflags[LEARNED_MANTRA_CONTROL])
							mantras_known = mantras_known && "un";
						if (gflags[LEARNED_MANTRA_PASSION])
							mantras_known = mantras_known && "or";	
						if (gflags[LEARNED_MANTRA_DILIGENCE])
							mantras_known = mantras_known && "us";	
						var mantra_options = chooseFromMenu(mantras_known);
						
						item.say("@You have not yet become familiar with the wisdom of the gargoyle race. Continue thy search.@");
						options = ["Control", "Passion", "Diligence", "bye"];
					}	
						
						
					
					
			}
			else
				item.say("@Which catacomb dost thou seek?@");
				options = ["Control", "Passion", "Diligence", "bye"];

		}
		
			converse(options)
			{
				case "Codex"(remove):
					say("@Look deep inside thyself, Avatar, and answer this:@");
					say("@For whom dost thou truly seek the Codex?@*");
					var CodexChoice = chooseFromMenu(["humans", "gargoyles", "Lord British", "both races", "Draxinusom", "myself", "Beh Lem", "Naxalitor", "Bolesh", "Valkadesh"]);
					switch(CodexChoice)
					{
						case "both races":					
							say("@Thy answer is wise.@*");
							say("@But how canst thou truly work for the good of a race whose ways thou dost not understand?@*");
							say("@Go thou into the Catacombs of Control, Passion and Diligence. In each wilt thou find the final resting place of the being who most exemplifies that principle.@");
							say("@Return when thou hast found these catacombs.@");
						
							gflags[MET_ALTAR_SINGULARITY] = true; //Got right answer, "met" shrine
							add(["Control", "Passion", "Diligence"]);
							break;
					
						case "humans":
						case "myself":
						case "Lord British":
							say("@Thy answer is foolish.@");
							say("@A journey made for selfish reasons can never be a sacred quest, regardless of its goal.@");
							break;
							
						case "Valkadesh":
						case "Beh Lem":
						case "Naxalitor":
						case "Draxinusom": 
						case "Bolesh":
							say("@Thy answer is foolish.@");
							say("@Thy compassion is acknowledged, but compassion is not the key to success.@");
							say("@The motive must be as one with the goal for a journey to become a sacred quest.@");
							break;
								
						default:
							say("@Thy answer is foolish.@");
							say("@There is no nobility or honor in betraying one's own race for the sake of another.@");
							say("@Such a path can never be a sacred quest.@");
					}
					
									
				case "Control"(remove):
					say("@Control is one of the guiding principles of the gargoyle race.@");
					say("@Go thou into the Catacombs of Control, near the coast to the west of here.@");
					say("@There you will find the being who most exemplifies this principle.@");
					add("principles");
					
				case "Passion"(remove):
					say("@Passion is one of the guiding principles of the gargoyle race.@");
					say("@Go thou into the Catacombs of Passion, near the coast to the east of here.@");
					say("@There you will find the being who most exemplifies this principle.@");
					add("principles");					

				case "Diligence"(remove):
					say("@Diligence is one of the guiding principles of the gargoyle race.@");
					say("@Go thou into the Catacombs of Diligence, near the coast to the south of here.@");
					say("@There you will find the being who most exemplifies this principle.@");
					add("principles");									
				
				case "principles"(remove):
					say("@The three principles of Control, Passion and Diligence form the basis of the gargoyle way of life.@");
					
					
				case "bye":
					say("The mystic voice falls silent, and you leave the altar.");
					break;
								
			}

	}


}