
void meatBurnt object#() ()
{
	UI_remove_item(item);
	UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
	var rand = UI_die_roll(0, 3);

	if (rand == 0) randomPartyBark("@Thou cooked it too long!@");
	else if	(rand == 1) randomPartyBark("@Thou cooked it too long!@");
	else if (rand == 2) randomPartyBark("@'Tis burnt to a crisp!@");
	else if (rand == 3) randomPartyBark("@Such a waste..@");

}

void meatCooked object#() ()
{
	var meat_type = UI_get_item_shape(item);
	
	UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
	if (meat_type == SHAPE_RAW_BEEF)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_BEEF);
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}
	
	else

	if (meat_type == SHAPE_RAW_CHICKEN)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_CHICKEN);
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}

	else

	if (meat_type == SHAPE_RAW_MUTTON)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_MUTTON);
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}

	else

	if (meat_type == SHAPE_RAW_VENISON)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_VENISON);
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}

	else if (meat_type == SHAPE_RAW_RABBIT)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_VENISON); //change to rabbit food shape when implemented
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}

	if (meat_type == SHAPE_RAW_PORK)
	{
		UI_set_item_shape(item, SHAPE_FOOD);
		UI_set_item_frame(item, FRAME_HAM); //change to rabbit food shape when implemented
		UI_set_item_flag(item, OKAY_TO_TAKE);
		randomPartyBark("@Mmmm smells good!@");
	}
		
}		


void cookingMeat object#() ()
{
	const int SFX_COOKING = 20;
	var cooking_success = UI_die_roll(0, 5);//gives 1 in 5 chances of success
	UI_set_item_flag(AVATAR, BG_DONT_MOVE); //freezes avatar during cooking so meat can't be moved

	if (cooking_success > 0)
	{
		script item after 1 ticks
		{
			nohalt;
			call GenericFreeze;
			sfx SFX_COOKING;
			wait 10;
			sfx SFX_COOKING;
			wait 10;
			sfx SFX_COOKING;
			wait 10;
			call meatCooked;
		};
	}
		
	else 
   {
		script item after 1 ticks
		{
			nohalt;
			sfx SFX_COOKING;
			wait 10;
			sfx SFX_COOKING;
			wait 10;
			sfx SFX_COOKING;
			wait 10;
			sfx SFX_COOKING;
			wait 10;
			call meatBurnt;
		};
   }
}
		


void useMeatOnFryingPan object#() ()
{
	var fryingpan = AVATAR->find_nearest(SHAPE_FRYINGPAN, 5);
 
    if (fryingpan)
 	{
		placeOnTarget(item, fryingpan, 0, 0, 1);
 
		if (UI_find_nearby(fryingpan, SHAPE_CAMPFIRE, 1, 0))
		{
			script item 
			{
				nohalt;
		      	call cookingMeat;
			};
		}
		else
			randomPartyBark("@Needs to be closer to a campfire to cook.@");
	}
	

}
//-------Raw meat shapes below-------------//


void rawBeef shape#(1203) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				//Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
			                   
 
		}
		 else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawChicken shape#(1204) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
		var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			 };
							   
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawHorsemeat shape#(1205) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawRibs shape#(1206) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawVenison shape#(1207) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		 else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawMutton shape#(1208) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawRabbit shape#(1209) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				//Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}

void rawPork shape#(1210) ()  
{
	if (event == DOUBLECLICK)
	{
		UI_close_gumps();
		var target = UI_click_on_item();
	  	var target_coords = getClickPosition(target);
		var target_shape = target->get_item_shape();
		var target_quality = target->get_item_quality(); //may not need?

		if (target_shape == SHAPE_FRYINGPAN)
		{
			script item
			{
				nohalt;  wait 3;
				 //Place the meat on top of the pan
				call useMeatOnFryingPan;
			};
		}
		else randomPartyBark("@Cook that on a frying pan.@");
	}
}
