void showBook ()
 
{
	var SOUND_BOOK = 14;
	//Play book sound:

	UI_play_sound_effect2(SOUND_BOOK, item);


	//Start book mode for current item:
    book_mode();
 
}
 
  
void scroll shape#(797) ()
{
	var player_name = getAvatarName();
	var qual = get_item_quality();
    var msg;
	var sound;
  
    if (event == DOUBLECLICK)
	{
		if (qual < 52)
		{
			scroll.original();
		}

		else if (qual == 52)
		{
			showBook();
			say("The bearer of this letter is granted permission to visit the solitary confinement cells in the Yew city jail. This permission is given by my hand this day.  -- Lenora.");
		}

		else if (qual == 53)
		{
			//This is the scroll found in the sewers in the old jail. Starts the Drudgeworth quest
			showBook();
		
			if (!gflags[READ_LEAFLET])
			{
				gflags[READ_LEAFLET] = true; //sets convo flags on Chuckles and Pridgarm
			}
			say("From the desk of Lord British~~Honourable jailer,~~As decreed by Lord British, the completion of the sewer systems beneath the city will proceed. Construction of the sewers will require demolition of the Royal Prison. Upon our liege's orders I have arranged for the transport of the remaining prisoners, Drudgeworth and Saduj, to the prison in Yew. Pridgarm, jailer of Yew, hath been instructed to put these dangerous criminals in solitary confinement. The transport carriage will be waiting outside the castle gates at midnight in two days, as to not disturb the townsfolk with their mad ravings. Thou wilt accompany the prisoner transport to Yew, and a hefty purse of gold and a promotion is waiting for thee once the transport hath been completed. Contact me personally if thou hast any questions, our liege is much too busy as of late. ~~Chuckles, on behalf of Lord British"); 		
		}


		else if (qual == 54) //Captain Johne's Scroll
		{
			showBook();
			say("This scroll contains Captain Johne's notes on the gargoyle language. After studying it for a while, you are now able to understand them!"); 	
			if(!gflags[READ_GARGISH_SCROLL])
			{
				UI_set_npc_id(BEHLEM, 1); //can understand beh lem now. 
				UI_set_npc_id(VALKADESH, 1); //can understand valkadesh now. 
				UI_set_npc_id(NAXATILOR, 1); //can understand naxatilor now. 
				UI_set_npc_id(BOLESH, 1); //can understand Bolesh now.
				UI_set_npc_id(GOODSCRAFTER, 1); //can understand Goodscrafter now.
				UI_set_npc_id(SNAKECHARMER, 1); //can understand now.
				UI_set_npc_id(WEAPONSMITH, 1);
				UI_set_npc_id(FARMER_KRILL, 1);
				UI_set_npc_id(HEALER, 1);
				UI_set_npc_id(CARETAKER, 1);
				UI_set_npc_id(FOODMAKER, 1);
				UI_set_npc_id(FARMER_NASH, 1);
				UI_set_npc_id(LENSMAKER, 1);
				
				
				UI_clear_item_flag(NAXATILOR, SI_ZOMBIE); // used to get intelligent Beh Lem convo since gflag wasn't working
				UI_clear_item_flag(DRAXINUSOM, SI_ZOMBIE); // used for bark when read scroll but not yet met
				
				UI_set_item_flag(VALKADESH, CONFUSED); //starts not officially met Valk, but read scroll convo
				UI_set_item_flag(NAXATILOR, CONFUSED); //starts not officially met Valk, but read scroll convo
				gflags[READ_GARGISH_SCROLL] = true; //allows Avatar to read gargish and understand gargoyles
			}	
		}

		else if (qual == 55)
		{
			showBook();
			say("Michael ~~ I beseech thee.. give me more time to repay my debt to you. Our nets have been empty as of late, so income is sparse. I promise that the money will come up, I just need more time. Marney
				means everything to me and she's all I have left. If not for me, grant the time for Marney's sake. Please consider mine request, and I will give thee the money owed.~~"); 		
			say("~Quenton");	
		}

		else if (qual == 56)
		{
			showBook();
			say("With love, from cousin Manrel."); 		
		}

		else if (qual == 57)
		{
			showBook();
			say("Ship deed to the Lady o' the Sea, commissioned by Fentrissa of Bucaneer's Den."); 		
		}

		else if (qual == 58)
		{
			showBook();
			say("Sir Garen, ~~ I have received word from Sir Geoffrey that the Shrine of Honor hath also fallen prey to the gargoyles. Since thou'rt already in Trinsic on thy last assignment, I need thine assistance. Thy new assignment is to scout out the Shrine of Honor and gauge the size of the occupying force. Reinforcements are scarce and must be routed to areas where there are the most gargoyle activity. Respond quickly, and may the virtues be with thee. In honor~~ -Sir Aiden"); 		
		}

		else if (qual == 59)
		{
			var balloon_items = [SHAPE_CAULDRON, SHAPE_BALLOON_BASKET, SHAPE_BALLOON_BAG, SHAPE_ROPE];
			UI_close_gumps();
			showBook();
			say("Plans for the construction of a hot air balloon ~~ First you must have a wicker balloon basket made, large enough to carry several passengers. Then you'll need a big iron cauldron, to hold a fire to generate the hot air. Next you must have a huge bag sewn out of silk, to hold the hot air in. Lastly, get enough rope to tie the balloon securely to the basket. Once you've gathered all of these together, use these plans to assemble them. When flying your balloon, you'll find that a ship's anchor makes the best ballast, and is also useful for stopping the balloon where and when you wish."); 		

			if ((!gflags[MADE_BALLOON]) && (gflags[READ_BALLOON_PLANS]))
			{
				if ((UI_count_objects(PARTY, SHAPE_BALLOON_BASKET, QUALITY_ANY, FRAME_ANY) > 0) && (UI_count_objects(PARTY, SHAPE_CAULDRON, QUALITY_ANY, FRAME_ANY) > 0) && (UI_count_objects(PARTY, SHAPE_BALLOON_BASKET, QUALITY_ANY, FRAME_ANY) > 0) && (UI_count_objects(PARTY, SHAPE_ROPE, QUALITY_ANY, FRAME_ANY) > 0))
				{
					UI_remove_party_items(1, SHAPE_BALLOON_BASKET, QUALITY_ANY, FRAME_ANY);
					UI_remove_party_items(1, SHAPE_BALLOON_BAG, QUALITY_ANY, FRAME_ANY);
					UI_remove_party_items(1, SHAPE_CAULDRON, QUALITY_ANY, FRAME_ANY);
					UI_remove_party_items(1, SHAPE_ROPE, QUALITY_ANY, FRAME_ANY);

					UI_add_party_items(1, SHAPE_PACKED_BALLOON, QUALITY_ANY, FRAME_ANY);
					gflags[MADE_BALLOON] = true;
				}
				else randomPartyBark("@We are missing something..@");
			}       		
		
			if (!gflags[READ_BALLOON_PLANS]) //if global flag not true, it sets it after first read. 
			{
				gflags[READ_BALLOON_PLANS] = true;
			}
		}
		else if (qual == 60)
		{
			showBook();
			say("By proclamation of Lord British this is an official document denoting ownership of the heretofore mentioned sailing vessel. Forgery of this title is prohibited under law no. 1989832.A5, section 809.");
			say("~DEED~~SHIP NAME: Golden Hinde~COMPLETION DATE: 7-08-0160~INSPECTION DATE: 7-12-0160~SHIPWRIGHT: Peer of Jhelom"); 		
		}
		
		else if (qual == 61)
		{
			showBook();
			say("UOR Resume");
		}
		
		else if (qual == 62)
		{	
			AVATAR.say("@Strange.. this letter is stained with blood..@");
			AVATAR.hide();
			showBook();
	
			say("Quenton-~~");
			say("My patience with you has run out after our last meeting, as I have come back empty without payment. I don't run a charity, and you've had plenty of time to repay thy loan.");
			say("The next time I come into town, you better have my money ready. If you have nothing but more excuses for me, I might be inclined to take some collateral...");
			say("I'm sure Marney wouldn't mind..");
			say("~~You have until tomorrow eve. I'll return in the night, at our pre-arranged meeting place. Don't be late, and don't come empty handed.~~");
			say("-Michael");
			UI_close_gumps();
			
			randomPartyBark("@Don't forget to grab the scrolls!@");
			
			//move Marney, Michael to docks
			
			
			
		}		
		else if (qual == 63)
		{	
			showBook();
	
			say("Dearest Michael-~~");
			say("I count down the hours until we meet again. You are a lone beacon of light in my darkness since my father was killed by the gargoyles. I have decided to come with you on the voyage you mentioned to me in your last visit to town.");
			say("I look forward to the voyage with you and seeing the world, since I've never seen much beyond mine home. Yorl has forbidden me from seeing you, so we will need to meet up in secret. I will be waiting for you at the docks before midnight in three days.");
			say("Yorl will be asleep by then and I can leave him a letter that he will find on the docks once we have left. Until next we meet, I shall be thinking of thee.~~");
			say("-Marney");
			UI_close_gumps();
			
			if (!gflags[QUENTON_MURDER_SOLVED] || !gflags[MICHAEL_CAPTURED] || !gflags[MARNEY_GONE] || !gflags[MARNEY_SAVED])
				randomPartyBark("@That's tonight, we must hurry!@");
			
			//move Marney, Michael to docks
			
			
			
		}		
		
		else if (qual == 64)
		{	
			showBook();
		
			UI_close_gumps();
			
			say("If you're looking for the clue, there's something for you under a plant in Serpent's Hold.");		
			
		}	
		else if (qual == 65)
		{	
			showBook();
		
			UI_close_gumps();
			
			say("This scroll is filled with Lord British's notes on his astronomical observations.");		
			
		}	

		else if (qual == 66)
		{
			showBook();
			say("Ship deed to the Majestic Seahorse, commissioned by Peer of Jhelom."); 		
		}
		
		else if (qual == 67)
		{
			showBook();
			say("Ship deed to the Beckoning Siren, commissioned by Trebor of Minoc."); 		
		}
		
//Chuckles quest scrolls
		
		else if (qual == 68)
		{
			showBook();
			say("Your next hint is under a beehive in Minoc."); 		
		}
		
		else if (qual == 69)
		{
			showBook();
			say("You're doing well! Next you should search the harpsichord in the Blue Bottle Tavern."); 		
		}
		
		else if (qual == 70)
		{
			showBook();
			say("Well done! Now go search the beds in the jail in Yew.");
		}
		
		else if (qual == 71)
		{
			showBook();
			say("Most people would have given up by now... But since you haven't, you can find the next hint under a cauldron in New Magincia.");
		}
		
		else if (qual == 72)
		{
			showBook();
			say("You're almost there! Search the stone lions in Lord British's castle.");
		}	
		
		else if (qual == 73)
		{
			showBook();
			say("Ho eyo he hum! You've won, you've won! Go to Iolo's hut and ask Smith the horse to tell you the clue!");
			if (!gflags[SOLVED_CHUCKLES_QUEST])
				gflags[SOLVED_CHUCKLES_QUEST] = true;
		}			
		
		else if (qual == 74)
		{
			showBook();
			say("This scroll is filled with Lord British's notes on his astronomical observations.");
		
		}
		else if (qual == 75)
		{
			showBook();
			say("I look to the moon and stars,");
			say("Somewhere underneath of them she's there..");
		}
		
		
		
		else
		{
			showBook();
			say("This is not a valid scroll QUAL attribute!  Stop cheating!");
		}
	 
	}
 
}
 
 
 
