void removeDirt object#() ()
{
	const int SHAPE_SOFT_DIRT = 1191;
	var dirt = UI_find_nearby_avatar(SHAPE_SOFT_DIRT);
	UI_remove_item(dirt[1]);
	UI_error_message("Dirt should be removed");
}


void DigResultGrave object#() ()
{
	
	var target = UI_find_nearby(AVATAR, SHAPE_GRAVE, 1, MASK_NONE);
	var target_shape = UI_get_item_shape(target);
	var avatar_pos = UI_get_object_position(AVATAR);
	var target_quality = target->get_item_quality(target); 
	var position = UI_get_object_position(target);
	var rand = UI_get_random(100); 
	
	
	//change grave to dug up grave shape
	UI_set_item_shape(target, SHAPE_OPEN_GRAVE);
	
	//based on quality, change frame to diff type
	if (target_quality == 0) 
		target->set_item_frame(FRAME_GREY_COFFIN);
	else if (target_quality == 1) 
		target->set_item_frame(FRAME_BROWN_COFFIN);
	else if (target_quality == 2) //WONT SPAWN A GHOST (used for Quenton, Gwen's grave) 
		target->set_item_frame(FRAME_BROWN_COFFIN);	
	else
		target->set_item_frame(FRAME_EMPTY_GRAVE);
	
	//prevent it from disappearing
	UI_clear_item_flag(target, TEMPORARY);
	
	
	//30 % chance you disturb the undead!
	if (rand >= 60)
	{
		//if grave is quality 2 don't spawn a ghost- used for "friendly graves" (can't have duplicate Quenton!)
		if (target_quality != 2)
		{
			var target_coords = UI_get_object_position(target);
			
			//create ghost at position
			var ghost = UI_create_new_object2(SHAPE_GHOST, [target_coords[X]-2, target_coords[Y]-2]);
			
			//set alignment to EVIL
			ghost->set_alignment(EVIL);
			
			//make it attack
			ghost->set_schedule_type(IN_COMBAT);
			
			//for color
			randomPartyBark("@Ghost!!!@");
		}	
		
	}
	
}





void DigResult object#() ()
{
	var result = UI_die_roll(0, 20);
	var booty = UI_die_roll(0, 2);
	var gem_frame = UI_die_roll(0, 13);
	var avatar_pos = UI_get_object_position(AVATAR);
	var gem = UI_create_new_object(SHAPE_GEM);




	if (result == 5) //give gold nugget
	{
		UI_create_new_object2(SHAPE_GOLDNUGGET, avatar_pos);
		avatarBark("I've struck gold!");
	}
	else 
	
	if (result == 20) //give gem
	{
		var gem = UI_create_new_object(SHAPE_GEM);
		UI_update_last_created(avatar_pos);
		UI_set_item_frame(gem, gem_frame);
		avatarBark("Eureka!");
	}

	else avatarBark("Nothing...");
}


void AvatarDig object#() ()
{

	//var target = UI_click_on_item();  //target that is selected
	var target_shape = item->get_item_shape();
	var target_frame = item->get_item_frame(); 
	var target_coords = getClickPosition(item);

	script AVATAR after 5 ticks
	{
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		call DigResult;
	}			
}
	
void AvatarDigGrave object#() ()
{
	UI_error_message("AvatarDigGrave called");
	var target_shape = item->get_item_shape();
	var target_frame = item->get_item_frame(); 
	var target_coords = getClickPosition(item);

	script AVATAR after 5 ticks
	{
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		
		face north;
		wait 5;
		actor frame USE;
		wait 5;
	//	actor frame standing;
	//	wait 5;
		actor frame SWING_2H_3;
		sfx 3;
		wait 5;
		actor frame SWING_2H_2;
		sfx 6;
		wait 5;
		call DigResultGrave;
	}
			
}

void shovel shape#(625) ()
{
	enum cave_tiles
	{
		SHAPE_DEBRIS = 202,
		SHAPE_TEST = 18, //REMOVE WHEN DONE - blue tile shape for testing
		SHAPE_CAVE_FLOOR = 49,
		SHAPE_CAVE_FLOOR2 = 50,
		SHAPE_CAVE_FLOOR3 = 51,
		SHAPE_CAVE_FLOOR4 = 52,
		SHAPE_CAVE_FLOOR5 = 53,
		SHAPE_CAVE_FLOOR6 = 54,
		SHAPE_CAVE_FLOOR7 = 56, 

		SHAPE_SOFT_DIRT = 1191
	};


	var quality = item->get_item_quality();
	var pos;
	var framenum = UI_get_item_frame(item);
	var cave_tiles = [SHAPE_CAVE_FLOOR, SHAPE_TEST, SHAPE_CAVE_FLOOR2, SHAPE_CAVE_FLOOR3, SHAPE_CAVE_FLOOR4, SHAPE_CAVE_FLOOR5, SHAPE_CAVE_FLOOR6, SHAPE_CAVE_FLOOR7,  SHAPE_DEBRIS, SHAPE_SOFT_DIRT];

	if (event == DOUBLECLICK) 
	{
		UI_close_gumps();

		if (UI_is_readied(AVATAR, BG_BOTH_HANDS, SHAPE_SHOVEL, FRAME_ANY))
		{
			var target = UI_click_on_item();  //target that is selected
			var target_shape = target->get_item_shape();
			var target_frame = target->get_item_frame(); 
			var target_quality = target->get_item_quality(); 
			var target_coords = getClickPosition(target);
			var direction = AVATAR->find_direction(target_coords);

			if (direction == NORTH) 
			{
				target_coords[X] = (target_coords[X] - 1); //fine
				target_coords[Y] = (target_coords[Y] - 1);
			}



			if (target_shape == SHAPE_GRAVE)
			{
				UI_set_item_flag(target, TEMPORARY); //set to isolate grave shape from others
				UI_si_path_run_usecode(AVATAR, target_coords, false, target, AvatarDigGrave, false);
				
				//whining from companions
				randomPartyBark("@Should we be doing this?@");
			}
			else if (target_shape == SHAPE_SOFT_DIRT)
			{
				
					script AVATAR after 3 ticks
					{
						face north;
						wait 5;
						actor frame USE;
						wait 5;
					
						actor frame SWING_2H_3;
						sfx 3;
						wait 5;
						actor frame SWING_2H_2;
						sfx 6;
						wait 5;
						
						face north;
						wait 5;
						actor frame USE;
						wait 5;
					
						actor frame SWING_2H_3;
						sfx 3;
						wait 5;
						actor frame SWING_2H_2;
						sfx 6;
						wait 5;
						
						face north;
						wait 5;
						actor frame USE;
						wait 5;
				
						actor frame SWING_2H_3;
						sfx 3;
						wait 5;
						actor frame SWING_2H_2;
						sfx 6;
						wait 5;
										
						call removeDirt;
					}
					
					

			}
			else
			{

					UI_si_path_run_usecode(AVATAR, target_coords, false, target, AvatarDigGrave, false);
		
			}
								

		}
		else 
			randomPartyBark("@You have to ready the shovel to use it.@");

			
			
	}
}
		
	



