void createWinglessGargoyle object# ()()
{
	var quality;
	var quantity;
	var position;
	var new_gargoyle;
	var new_gear;
	var frame;
	
	var random_helm;
	var random_armor;
	var random_weapon;
	var random_gold;
	var random_equipment;
	var random_container;
	
	
	var helm;
	var armor;
	var weapon;
	var gold; 
	var equipment;
	var container;
	
	var str;
	var dex;
	var Int;
	var combat;
	
	var current_STR;
	var current_DEX;
	var	current_INT;
	var	current_COMBAT;
	

	if (event == EGG)
	{
		//default quantity is 1 unless otherwise determined
		quantity = 1;
		
		//determine random armor, weapon, equipment values
		random_helm = UI_get_random(2);
			if (random_helm == 1) 
				helm = SHAPE_LEATHER_HELM;
			else
				helm = SHAPE_WOODEN_SHIELD;
			
		random_armor = UI_get_random(10);
			if (random_armor <= 6 )
				armor = SHAPE_LEATHER_ARMOR;
			else 
				armor = SHAPE_SCALE_ARMOR;
			
		random_weapon = UI_get_random(3); 

		if (random_weapon == 1) 
			weapon = SHAPE_BOOMERANG;
		else if (random_weapon == 2) 
			weapon = SHAPE_CLUB;
		else 
			weapon = SHAPE_THROWING_AXE; quantity = 5;
			
		random_gold = UI_die_roll(20, 55);

		random_equipment = UI_get_random(10); 
		
		frame = 0;
		if (random_equipment == 1)
			equipment = SHAPE_GOLD_NUGGET;
		else if (random_equipment == 2)
		{
			equipment = SHAPE_GARGOYLE_JEWELRY;
			frame = UI_get_random(6);
		}
		else if (random_equipment == 3)
		{
			equipment = SHAPE_GOLD;
			quantity = UI_get_random(10);
		}	
		else if (random_equipment == 4)
		{
			equipment = SHAPE_GOLD;
			quantity = UI_get_random(5);
		}	
				
		else 
		{
			equipment = SHAPE_FOOD; 
			frame = UI_get_random(27);
		}		
			
		random_container = UI_get_random(2);
		
		if (random_container == 1)
			container = SHAPE_BACKPACK;	
		else	
			container = SHAPE_BAG;	
		

		// Get random Str, Dex, Int, and Combat values
		dex = UI_die_roll(15, 20);
		str = UI_die_roll(15, 25);
		Int = UI_die_roll(8, 12);
		combat = UI_die_roll(8, 13);
		
		quality = UI_get_item_quality(item);
		position = UI_get_object_position(item);
		
		//create Shape
		new_gargoyle = UI_create_new_object2(SHAPE_WINGLESS_GARGOYLE, position);
		UI_set_item_flag(new_gargoyle, TEMPORARY);
		
		//get current stats so we don't "over-buff" them
		current_STR = UI_get_npc_prop(new_gargoyle, STRENGTH);
		current_DEX = UI_get_npc_prop(new_gargoyle, DEXTERITY);
		current_INT = UI_get_npc_prop(new_gargoyle, INTELLIGENCE);
		current_COMBAT = UI_get_npc_prop(new_gargoyle, COMBAT);
		
		//reset current stats by deleting current stats
		UI_set_npc_prop(new_gargoyle, STRENGTH, -current_STR);
		UI_set_npc_prop(new_gargoyle, DEXTERITY, -current_DEX);
		UI_set_npc_prop(new_gargoyle, INTELLIGENCE, -current_INT);
		UI_set_npc_prop(new_gargoyle, COMBAT, -current_COMBAT);
		
		
		//Give new gargoyle gear
		new_gear = UI_add_cont_items(new_gargoyle, 1, helm, 0, 0, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, armor, 0, 0, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, 0, 0, true);
		new_gear = UI_add_cont_items(new_gargoyle, random_gold, SHAPE_GOLD, 0, FRAME_ANY, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, equipment, 0, frame, true);
		new_gear = UI_add_cont_items(new_gargoyle, 1, container, 0, frame, true);
		
		//Set Gargoyle's new stats
		UI_set_npc_prop(new_gargoyle, STRENGTH, str);
		UI_set_npc_prop(new_gargoyle, DEXTERITY, dex);
		UI_set_npc_prop(new_gargoyle, INTELLIGENCE, Int);
		UI_set_npc_prop(new_gargoyle, COMBAT, combat);
		
		// Default for Quality 0
		if (quality == 0)
		{
			//UI_set_alignment(new_gargoyle, EVIL);
			UI_set_schedule_type(new_gargoyle, IN_COMBAT);
		}
		else if (quality == 1)
		{	
			UI_set_schedule_type(new_gargoyle, FARM);
			//UI_set_alignment(new_gargoyle, NEUTRAL);
		}
		else if (quality == 2)
		{
			UI_set_schedule_type(new_gargoyle, WANDER);
			//UI_set_alignment(new_gargoyle, NEUTRAL);
		}
		else if (quality == 3)
		{
			UI_set_schedule_type(new_gargoyle, PATROL);
			//UI_set_alignment(new_gargoyle, NEUTRAL);
		}
		else
			UI_set_schedule_type(new_gargoyle, LOITER);
		
		//set alignment based on global flags
		if (inParty(BEHLEM) || gflags[WEARING_AMULET_SUBMISSION] || gflags[SUBMITTED_TO_DRAXINUSOM])
			UI_set_alignment(new_gargoyle, NEUTRAL);
		else
		{
			UI_set_alignment(new_gargoyle, EVIL);
			UI_set_schedule_type(new_gargoyle, IN_COMBAT);
		}
	}
	else
		return;
	
}	



//Creates random amounts of  wingless gargoyles	
void createWinglessGargoyle2 3040()
{
	var quality;
	var quantity;
	var position;
	var new_gargoyle;
	var new_gear;
	var frame;
	
	var random_helm;
	var random_armor;
	var random_weapon;
	var random_gold;
	var random_equipment;
	var random_container;
	
	
	var helm;
	var armor;
	var weapon;
	var gold; 
	var equipment;
	var container;
	
	var str;
	var dex;
	var Int;
	var combat;
	
	var current_STR;
	var current_DEX;
	var	current_INT;
	var	current_COMBAT;
	

	if (event == EGG)
	{
		// Get quantity of gargoyles to spawn - 
		// default quantity is 1 unless otherwise determined
		quantity = 1 + UI_get_random(4);
		var count = 1;
		
		UI_error_message("Gargoyle egg count is: " + quantity);
		
		
		//create each gargoyle in the while loop 
		while (count < quantity)	
		{
			
		//determine random armor, weapon, equipment values
			
		//choose a random helmet, or give a wooden shield
			random_helm = UI_get_random(2);
			
			if (random_helm == 1) 
				helm = SHAPE_LEATHER_HELM;
			else
				helm = SHAPE_WOODEN_SHIELD;
			
		//chose random armor
			random_armor = UI_get_random(10);
			
			if (random_armor <= 6 )
				armor = SHAPE_LEATHER_ARMOR;
			else 
				armor = SHAPE_SCALE_ARMOR;
			
		//choose random weapon
			random_weapon = UI_get_random(3); 
		
			if (random_weapon == 1) 
				weapon = SHAPE_BOOMERANG;
			else if (random_weapon == 2) 
				weapon = SHAPE_CLUB;
			else 
				weapon = SHAPE_THROWING_AXE; quantity = 5;
				
		//choose random gold amount	
			random_gold = UI_die_roll(15, 55);

		//get random equipment
			random_equipment = UI_get_random(10); 
			frame = 0;
			
			if (random_equipment == 1)
				equipment = SHAPE_GOLD_NUGGET;
			
			else if (random_equipment == 2)
			{
				equipment = SHAPE_GARGOYLE_JEWELRY;
				frame = UI_get_random(6);
			}
			
			else if (random_equipment == 3 || random_equipment == 4)
			{
				equipment = SHAPE_GOLD;
				quantity = random_gold;
			}	
								
			else 
			{
				equipment = SHAPE_FOOD; 
				frame = UI_get_random(27);
			}		
			
			random_container = UI_get_random(2);
				if (random_container == 1)
					container = SHAPE_BACKPACK;	
				else	
					container = SHAPE_BAG;	
			

			// Get random Str, Dex, Int, and Combat values
				dex = UI_die_roll(15, 20);
				str = UI_die_roll(15, 25);
				Int = UI_die_roll(8, 12);
				combat = UI_die_roll(8, 13);
			
			quality = UI_get_item_quality(item);
			position = UI_get_object_position(item);
			
			//create Shape
			new_gargoyle = UI_create_new_object2(SHAPE_WINGLESS_GARGOYLE, position);
			UI_set_item_flag(new_gargoyle, TEMPORARY);
			
			//get current stats so we don't "over-buff" them
			current_STR = UI_get_npc_prop(new_gargoyle, STRENGTH);
			current_DEX = UI_get_npc_prop(new_gargoyle, DEXTERITY);
			current_INT = UI_get_npc_prop(new_gargoyle, INTELLIGENCE);
			current_COMBAT = UI_get_npc_prop(new_gargoyle, COMBAT);
			
			//reset current stats by deleting current stats
			UI_set_npc_prop(new_gargoyle, STRENGTH, -current_STR);
			UI_set_npc_prop(new_gargoyle, DEXTERITY, -current_DEX);
			UI_set_npc_prop(new_gargoyle, INTELLIGENCE, -current_INT);
			UI_set_npc_prop(new_gargoyle, COMBAT, -current_COMBAT);
			
			
			//Give new gargoyle gear
			new_gear = UI_add_cont_items(new_gargoyle, 1, helm, 0, 0, true);
			new_gear = UI_add_cont_items(new_gargoyle, 1, armor, 0, 0, true);
			new_gear = UI_add_cont_items(new_gargoyle, 1, weapon, 0, 0, true);
			new_gear = UI_add_cont_items(new_gargoyle, 1, container, 0, frame, true);
			new_gear = UI_add_cont_items(new_gargoyle, random_gold, SHAPE_GOLD, 0, FRAME_ANY, true);
			new_gear = UI_add_cont_items(new_gargoyle, 1, equipment, 0, frame, true);
			
			
			//Set Gargoyle's new stats
			UI_set_npc_prop(new_gargoyle, STRENGTH, str);
			UI_set_npc_prop(new_gargoyle, DEXTERITY, dex);
			UI_set_npc_prop(new_gargoyle, INTELLIGENCE, Int);
			UI_set_npc_prop(new_gargoyle, COMBAT, combat);
			
			// Default for Quality 0
			if (quality == 0)
			{
				//UI_set_alignment(new_gargoyle, EVIL);
				UI_set_schedule_type(new_gargoyle, IN_COMBAT);
			}
			else if (quality == 1)
			{	
				UI_set_schedule_type(new_gargoyle, FARM);
				//UI_set_alignment(new_gargoyle, NEUTRAL);
			}
			else if (quality == 2)
			{
				UI_set_schedule_type(new_gargoyle, WANDER);
				//UI_set_alignment(new_gargoyle, NEUTRAL);
			}
			else if (quality == 3)
			{
				UI_set_schedule_type(new_gargoyle, PATROL);
				//UI_set_alignment(new_gargoyle, NEUTRAL);
			}
			else
				UI_set_schedule_type(new_gargoyle, LOITER);
			
			//set alignment based on global flags
			if (inParty(BEHLEM) || gflags[WEARING_AMULET_SUBMISSION] || gflags[SUBMITTED_TO_DRAXINUSOM])
				UI_set_alignment(new_gargoyle, NEUTRAL);
			else
			{
				UI_set_alignment(new_gargoyle, EVIL);
				UI_set_schedule_type(new_gargoyle, IN_COMBAT);
			}
			count+=1;
		}
	}
	else
		return;
	
}	
		
	
	
	
	