void createHighwayman object# ()()
{

//using highwayman to replace "swashbuckler"

	var quality = UI_get_item_quality(item);
	var quantity;
	var position;
	var new_highwayman;
	var new_gear;
	var frame;
	
	var random_helm; //also can be used for other articles of armor
	var random_armor;
	var random_leggings;
	var leggings;
	var random_weapon;
	var random_weapon2;
	var random_gold;
	var random_equipment;
	var random_container;
	var equipment_number;
	var projectile;
	var num_projectiles;
	
	
	
	var helm;
	var armor;
	var weapon;
	var gold; 
	var equipment;
	var container;
	var weapon2; 
	
	var str;
	var dex;
	var Int;
	var combat;
	
	var current_STR;
	var current_DEX;
	var	current_INT;
	var	current_COMBAT;
	
	
	

	if (event == EGG)
	{
		//default quantity is 1 unless otherwise determined
		quantity = 1;
		
		//determine random armor, weapon, equipment values
		random_helm = UI_get_random(4);
			if (random_helm == 1) 
				helm = SHAPE_LEATHER_HELM;
			else if (random_helm == 2) 
				helm = SHAPE_WOODEN_SHIELD;
			else if (random_helm == 3)
				helm = SHAPE_MAIN_GAUCHE;
			else 
				helm = SHAPE_LEATHER_COLLAR;
		
		//make leggings dependent on type of armor used
		random_armor = UI_get_random(3);
			if (random_armor == 1) 
			{
				armor = SHAPE_CLOTH_ARMOR;
				leggings = SHAPE_CLOTH_LEGGINGS;
			}
			else if (random_armor == 2)
			{
				armor = SHAPE_LEATHER_ARMOR; 
				leggings = SHAPE_LEATHER_LEGGINGS;
			}	
			else 
			{
			armor = SHAPE_RING_MAIL;
			leggings = SHAPE_CHAIN_LEGGINGS;
			}
		
					
		random_weapon = UI_get_random(5); 
			if (random_weapon == 1)
				weapon = SHAPE_SWORD;
			else if (random_weapon == 2)
				weapon = SHAPE_MAIN_GAUCHE;
			else if (random_weapon == 3)
			{
				weapon = SHAPE_THROWING_AXE; 
				quantity = 5;
			}	
			else if (random_weapon == 4)
			{
			weapon = SHAPE_SLING;
			}
			else 
			{
			weapon = SHAPE_BOW;
			projectile = SHAPE_ARROW;
			num_projectiles = UI_die_roll(5, 24);
			}
	
			
		random_gold = UI_die_roll(1, 25);
			frame = 0;
	
			
		random_container = UI_get_random(2);
			if (random_container == 1)
				container = SHAPE_BACKPACK;	
			else
				container = SHAPE_BAG;	
				

		// Get random Str, Dex, Int, and Combat values
			dex = UI_die_roll(15, 20);
			str = UI_die_roll(15, 25);
			Int = UI_die_roll(8, 12);
			combat = UI_die_roll(8, 13);
		
		quality = UI_get_item_quality(item);
		position = UI_get_object_position(item);
		
		//create Shape
		new_highwayman = UI_create_new_object2(SHAPE_HIGHWAYMAN, position);
		UI_set_item_flag(new_highwayman, TEMPORARY);
		
		//get current stats so we don't "over-buff" them
		current_STR = UI_get_npc_prop(new_highwayman, STRENGTH);
		current_DEX = UI_get_npc_prop(new_highwayman, DEXTERITY);
		current_INT = UI_get_npc_prop(new_highwayman, INTELLIGENCE);
		current_COMBAT = UI_get_npc_prop(new_highwayman, COMBAT);
		
		//reset current stats by deleting current stats
		UI_set_npc_prop(new_highwayman, STRENGTH, -current_STR);
		UI_set_npc_prop(new_highwayman, DEXTERITY, -current_DEX);
		UI_set_npc_prop(new_highwayman, INTELLIGENCE, -current_INT);
		UI_set_npc_prop(new_highwayman, COMBAT, -current_COMBAT);
		
		
		//Give new highwayman gear
		new_gear = UI_add_cont_items(new_highwayman, 1, helm, 0, 0, true);
		new_gear = UI_add_cont_items(new_highwayman, 1, armor, 0, 0, true);
		new_gear = UI_add_cont_items(new_highwayman, 1, weapon, 0, 0, true);
		new_gear = UI_add_cont_items(new_highwayman, 1, leggings, 0, 0, true);
		new_gear = UI_add_cont_items(new_highwayman, 1, container, 0, frame, true);
		new_gear = UI_add_cont_items(new_highwayman, quantity, SHAPE_GOLD, 0, FRAME_ANY, true);
		
		if (random_weapon == 5) //Bow
		{
			new_gear = UI_add_cont_items(new_highwayman, 1, SHAPE_BOW, QUALITY_ANY, FRAME_ANY, true);
			new_gear = UI_add_cont_items(new_highwayman, 1, projectile, num_projectiles, FRAME_ANY, true);
		}
		
		//Determine how many extra items the npc will have
		equipment_number = UI_get_random(5);
		
		while (equipment_number > 0)
		{
			
			random_equipment = UI_get_random(10); 
			if (random_equipment == 1)
				equipment = SHAPE_GOLD_NUGGET;
			else if (random_equipment == 2)
			{
			equipment = SHAPE_POTION; 
			frame = UI_die_roll(0, 2);
			}
			else if (random_equipment == 3)
			{
				equipment = SHAPE_GOLD;
				quantity = UI_get_random(10);
			}	
			else if (random_equipment == 4)
			{
				equipment = SHAPE_GOLD;
				quantity = UI_get_random(5);
			}	
			else if (random_equipment >= 5)
			{
				equipment = SHAPE_FOOD;
				frame = UI_get_random(27);
			}	
			else 
			{
				equipment = SHAPE_GOLD;
				quantity = UI_get_random(5);
			}	
			new_gear = UI_add_cont_items(new_highwayman, quantity, equipment, 0, frame, true);		
			equipment_number -= 1;
			quantity = 1; //resets quantity 
		}
			
		
		//Set Highwayman's new stats
		UI_set_npc_prop(new_highwayman, STRENGTH, str);
		UI_set_npc_prop(new_highwayman, DEXTERITY, dex);
		UI_set_npc_prop(new_highwayman, INTELLIGENCE, Int);
		UI_set_npc_prop(new_highwayman, COMBAT, combat);
		
		// Default for Quality 0
		if (quality == 0)
		{
			UI_set_alignment(new_highwayman, EVIL);
			UI_set_schedule_type(new_highwayman, IN_COMBAT);
		}	
				
		else if (quality == 1)
		{
			UI_set_schedule_type(new_highwayman, FARM);
			UI_set_alignment(new_highwayman, NEUTRAL);
		}
		else if (quality == 2)
		{
			UI_set_schedule_type(new_highwayman, WANDER);
			UI_set_alignment(new_highwayman, NEUTRAL);
		}
		else 
		{
			UI_set_schedule_type(new_highwayman, WANDER);
			UI_set_alignment(new_highwayman, NEUTRAL);
		}	
	}
	else
		return;
	
}	
	
	
	
	
	
	