
void Fyodor object# (0x041d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@A moment of your time..@";
		var npc_1st_greet = "@Ah, of course.@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Hello again, " + polite_title +"@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A man in a multicolored jacket. His fingers are long and graceful.*");
			item.say("@Good " + time_of_day +",  " + polite_title + ".@");
			item.say("@What can I do for you?@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@What can I do for you?@.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Fyodor. What is thy name?@");
				var avatar_or_name = chooseFromMenu(["The Avatar", ("I am " + player_name)]);
				if (avatar_or_name == "The Avatar")
					say("@Pleased to meet thee, Avatar.@");
				else
					say("Pleased to meet thee, " + player_name);

			case "job":
				say("@I make cloth upon my loom. Perhaps you'd like to buy some.@");
  				add(["loom", "buy", "sell"]); 

			case "loom"(remove):
				if (UI_get_schedule_type(item) != SEW)
				{
					say("@I work on a large new loom. The plans for it were found in one of Lord British's old books.@");
					       
				}
				else say("@I push the pedals with my feet--like this. Then I pull these levers. The pattern depends on which combinations of levers and pedals I move. My father's loom was not so complicated as mine. This design came from one of Lord British's old books.@");
				add(["book"]);

			case "buy"(remove):
				if (UI_get_schedule_type(item) != SEW)
				{
					say("@Come back when I'm at my loom, I'll deal with thee then.@");	
				}
				else
				{
					say("@Cloth or thread, " + polite_title + " ?@");
			
					converse(["cloth", "thread", "nothing"])
					{
						case "cloth":
							say("@It'll cost you 20 gold for the cloth. Interested?@");
							{
								if (askYesNo())
								{
									if (hasGold(20))
									{
										if (UI_add_party_items(1, SHAPE_CLOTH, QUALITY_ANY, FRAME_ANY, true))
										{
											chargeGold(20);
											say("@Excellent!@ After accepting your gold, he hands over the cloth.");
										}
																							
										else say("@You look pretty full to me.@");
									}
									else say("@You haven't the money.@");
								}
								else say("@That is fine.@");
							}
						case "thread":
							say("@It'll cost you 5 gold for the thread. Interested?@");
							{
								if (askYesNo())
								{
									if (hasGold(5))
									{
										if (UI_add_party_items(1, SHAPE_THREAD, QUALITY_ANY, FRAME_ANY, true))
										{
											chargeGold(5);
											say("@Excellent!@ After accepting your gold, he hands over the thread.");
										}																				
										else say("@You look pretty full to me.@");
									}
									else say("@You haven't the money.@");
								}
								else say("@That is fine.@");
							}

						case "nothing"(remove):
							say("@You'll find none better. What can I do for you?@");
							break;
					}
				}	

			case "sell":
				if (UI_get_schedule_type(item) != SEW)
				{
					say("@But I don't need wool here, " + polite_title + "! Come back when I'm at my loom, I'll deal with thee then.@");     
				}       
				else 
				{
					say("@He turns to you and says @Will you take 8 gold for that wool?@");
					if (askYesNo())
					{
						if (UI_get_cont_items(PARTY, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY) > 0)
						{
							UI_remove_party_items(1, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY);
							UI_add_party_items(8, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
							say("@Done!@ He hands you 8 gold pieces and takes the wool.@");
						}		
						else
							say("@Sorry, you haven't any wool.@");
				
					}
					else say("@Changed your mind, eh?@");
				}		
	

		case "book"(remove):
			say("@Lord British treasures antiques. There is one book for which he hath offered a reward: 'The Wizard of Oz.'@");
			add(["Wizard of Oz"]);


		case "Wizard of Oz"(remove):
			say("@By Master L. Frank Baum, I believe. It concerns a girl adventurer, a strange land, and a clever balloonist.@");
			add(["balloon"]);

		case "balloon"(remove):
		say("@Are they not made of silk, in the form of a great bag?@");
			add(["silk"]);
  
		case "silk" (remove):
			say("@'Tis a wondrous strong stuff, silk, and very light. I regret that I am not skillful enough to weave silk.@");
			say("@In New Magincia, however, lives the silk-weaver Charlotte.@");
			add(["Charlotte"]);	      

		case "Charlotte"(remove):
			say("@She is the only person I know of who can weave silk.@");
			
			//set flag on Charlotte in New Magincia to ask about silk. Can also read the balloon plans
			if (!UI_get_item_flag(CHARLOTTE, PETRA))
				UI_set_item_flag(CHARLOTTE, PETRA);

		case "bye":
				
			var avatar_goodbye = "@Thanks..@";
			var npc_goodbye = "@May our paths cross again some day!@";
			
			//function that is called, do not change this:
			sayGoodbye(item, npc_goodbye, avatar_goodbye);
			break;

		}                               
	}
	else scheduleBarks(item);
}