
void Gwenneth object# (0x416) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Special npc item flags:
	var bought_triple_xbow = UI_get_item_flag(item, PETRA); 
	var gave_credit = UI_get_item_flag(item, SI_ZOMBIE);
	
	//Shopkeeper prices
	const int BOW_SELL_PRICE = 30;
	const int CROSSBOW_SELL_PRICE = 40;
	const int MAGIC_BOW_SELL_PRICE = 300;
	const int SLING_SELL_PRICE = 10;
	const int TRIPLE_CROSSBOW_PRICE = 400;
	
	if (UI_get_schedule_type(item) == MAJOR_SIT)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, milady!@";
		var npc_1st_greet = "@Come in, come in.@";
				
		var av_2nd_greet  = "@Hello again, Gwenneth.@";
		var npc_2nd_greet = "@Good to see you again, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);

		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A petite woman with flowing brown hair.*");
			if (isNearby(IOLO))
			{	
				item.say("@Iolo!@");
				if (partynum > 2)
					item.say("@And thy companions as well!@");
				item.say("@I heard rumors that you were in town!@");	
				IOLO.say("Iolo greets his former apprentice warmly. @How goes business, Gwenneth?@"); 
				IOLO.hide();
				item.say("@Very well, very well indeed. Sir Geoffrey himself just placed quite a large order! Much demand for bows these days, what with the gargoyles!@");
				item.say("Turning to you, Gwenneth says, @And what can I do for Iolo's friend this fine " + time_of_day +"?@");
				
			}
			else
			{
				item.say("@I recongize thee! Thou art Iolo's friend, " + player_name + "!@");
				item.say("@What can I do for thee this fine " + time_of_day + "?@");
			
			}
			
			
			UI_set_item_flag(item, MET);
		}	
		else 
			item.say("@Hello again. What can I do for thee this fine " + time_of_day + "?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				if (isNearby(IOLO))
					say("@What a strange question. I'm Gwenneth, of course.@");
				else
					say("@Just ask Iolo! But dost thou not know Iolo? Well, I am his former apprentice, Gwenneth.@");
			
			case "job"(remove):
				say("@Once was I Iolo's apprentice, but then he decided to retire. Now 'tis my shop, and I craft the bows sold here! 'Course, 'tis still called Iolo's Bows, out of respect for the master.@");
				if (isNearby(IOLO))
				{
					IOLO.say("At this, Iolo blushes humbly.");
					IOLO.hide();
				}
				add(["Iolo", "buy", "arrows and bolts"]);
	
			case "Iolo"(remove):
				if (isNearby(IOLO))
					say("@She smiles. I would not wish to speak of Iolo amongst his friends. I might embarass him!@");
				else 
					say("@Nay, I really would not wish to speak of my master behind his back.@");
			
			case "gargoyles"(remove):
				say("@I hear from the soldiers that the gargoyles are fierce opponents. Some gargoyles move like the wind itself, and can strike you like lightning bolts! The gargoyles also have a strange and terrible weapon.@");
				add(["weapon"]);

			case "weapon"(remove):
				say("@'Tis called a boomerang, and it is a most bizarre ranged weapon. It flies out to strike its target, then returns to the hand that threw it! Against such magic the soldiers chose to arm themselves with good, stout Britannian bows!@");
		
			case "arrows and bolts"(remove):
				say("@Aye, usually do I carry those in stock. But there has been a shortage of late, because of the gargoyle war. Go see Lynn the Fletcher, over to the north.@");
				add(["Lynn"]);
				
			case "Lynn"(remove):
				say("@Lynn is a fine fletcher, and usually keeps me supplied with arrows and bolts. I've none left in stock, though, since the soldiers bought them all.@");

				//For shopkeepers: 
			case "buy":
				if (shop_is_open)		
				{	
										
					//shopkeeper options
					var cant_hold = "@You don't have room to carry it.@";
					var choice;
					var cant_afford = "I'm sorry, but you don't have enough gold.@";
					var success = "Gwenneth gives you the " + choice + ". @I hope thou dost enjoy it!@";
					var askIfInterested; //"Do you want this 
					var saidNo = "@What'll it be then?@";
					var quantity = 1; 
					
				
						say("@Which of these?@");
						choice = chooseFromMenu(["crossbow", "sling", "bow", "magic bow", "triple crossbow", "nothing"]);
						
						if (choice == "crossbow")
						{
							askIfInterested = "@That " + choice + " sells for " + CROSSBOW_SELL_PRICE + " gold. Interested, Avatar?@";
							basicSellGwenneth(item, SHAPE_CROSSBOW, quantity, QUALITY_ANY, FRAME_ANY, CROSSBOW_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "sling")
						{
							askIfInterested = "@That " + choice + " sells for " + SLING_SELL_PRICE + " gold. Interested, Avatar?@";
							basicSellGwenneth(item, SHAPE_SLING, quantity, QUALITY_ANY, FRAME_ANY, SLING_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						
						else if (choice == "bow")
						{
							askIfInterested = "@That " + choice + " sells for " + BOW_SELL_PRICE + " gold. Interested, Avatar?@";
							basicSellGwenneth(item, SHAPE_BOW, quantity, QUALITY_ANY, FRAME_ANY, BOW_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						
						else if (choice == "magic bow")
						{
							askIfInterested = "@That " + choice + " sells for " + MAGIC_BOW_SELL_PRICE + " gold. Interested, Avatar?@";
							basicSellGwenneth(item, SHAPE_MAGIC_BOW, quantity, QUALITY_ANY, FRAME_ANY, MAGIC_BOW_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						
						else if (choice == "triple crossbow")
						{
							if (!bought_triple_xbow)
							{	
								say("@Ah, I see thou art a discerning buyer. The triple crossbow is a marvel to behold. This enchanted weapon fires three bolts at once!@");
								say("@Normally I would not offer it for sale. But, because thy cause is so important, I will allow thee-- and thee only!-- to buy it. But, I fear I must charge 400 gold for it. Dost thou wish to buy this weapon?@"); 	
								if (askYesNo())
								{
									if (hasGold(TRIPLE_CROSSBOW_PRICE))
									{
										if (UI_add_party_items(1, SHAPE_TRIPLE_CROSSBOW, QUALITY_ANY, FRAME_ANY, true))
										{
											chargeGold(TRIPLE_CROSSBOW_PRICE);
											say("@Excellent!@ After accepting your gold, Gwenneth hands over the triple crossbow.");
											bought_triple_xbow = true;
										}							
										else say("@But 'twould make thee o'erburdened, " + player_name + "!@");
									}
									else say("@But thou hast not enough gold, " + player_name + "!@");
								}
								else say("@It will be here, waiting for thee, if thou hast a need for it.@");
							}
							else say("@I fear I had but one triple crossbow for sale. Come back in six months and I may have another.@");
						}
						else if (choice == "nothing")
							say("@Anything else I can do for thee?@");
					
				}
				else
					say("@Please come back when my shop is open.@");
					
				case "bye":
					var npc_goodbye;
					if (isNearby(IOLO))
					{
						item.say("@Farewell, all of you. Iolo, I'll see thee again soon with thy share of this month's profits!@");
						UI_run_schedule(item);
						break;				
					}
					else
					{
						var avatar_goodbye = "@Goodbye, Gwenneth!@";
						
						if (party > 1)
							npc_goodbye = "@Farewell, all of you.@";
						else
							npc_goodbye = "@Farewell to thee!@";
						
						//function that is called, do not change this:
						sayGoodbye(item, npc_goodbye, avatar_goodbye);
						break;
					}
			}                               
		}
		else scheduleBarks(item);
}