
void Kenneth object# (0x427) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	//var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, bard.@";
		var npc_1st_greet = "@Welcome, " + greeting + "!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Welcome back, " + greeting + "!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		item.say("You see a lively bard with laughter in his eyes.");
		item.say("@Welcome, " + polite_title + "! I am Sir Kenneth, and I'd gladly play a song for thee.@");
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//Allows you to ask him about the virtue	
		if (gflags[ASKED_THOLDEN_ABOUT_RUNE])
			add("compassion");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Kenneth's my name - don't wear it out.@");
				add(["Kenneth"]);

			case "job"(remove):
				say("@My wife and I teach young bards the arts of composition, performance, and improvisation. We also give concerts on occasion.@");
  				add(["concerts", "wife"]); 

			case "song"(remove):
				say("@Kenneth plays a delightful little melody for you.@");
				UI_play_music(59); //lute song
				
			case "Kenneth"(remove):
				say("@I asked you not to wear it out! It's the only name I've got.@");

			case "wife"(remove):
				say("@Her name is Nan. Whatever you do, don't say anything to her about spiders...@");
				add(["spiders"]);

			case "concerts"(remove):
				say("@Bards must be well versed in such matters.@");

			case "spiders"(remove):
				say("@She has quite an imagination. Sometimes she lets it carry her away.@");
				add(["imagination"]);

			case "imagination"(remove):
				say("@Usually it doesn't give her any trouble.@");

			case "compassion"(remove):
				if (!gflags[LEARNED_RUNE_COMPASSION])
				{
					say("@Yes, I know of the Rune and Mantra of Compassion.@");
					add(["rune", "mantra"]);
					gflags[LEARNED_RUNE_COMPASSION] = true;
					giveExperience(15);
				}
				else 
				{
					say("@Yes, I know of the Rune and Mantra of Compassion.@");
					add(["rune", "mantra"]);
				}

			case "rune"(remove):
				say("@Ariana has the rune, and they could hardly have found a sweeter child to give it to.@");
				add(["Ariana"]);

			case "mantra"(remove):
				if (!gflags[LEARNED_MANTRA_COMPASSION])
				{
					say("@I've been trying to work the Mantra of Compassion into a song - but I don't know what 'mu' means.@");
					add(["mu"]);
					gflags[LEARNED_MANTRA_COMPASSION] = true;
					giveExperience(10);
				}
				else 
				{
					say("@I've been trying to work the Mantra of Compassion into a song - but I don't know what 'mu' means.@");
					add(["mu"]);
				}

			case "mu"(remove):
				say("@Dost thou know what it means?@");
				if (askYesNo())
					say("@Tell me, what does it mean? Hmmmm... No, I don't think that's it.@");
				else
					say("@Nobody I know does either.@");

			case "Ariana"(remove):
				say("@Once in a great while a student comes along with such a gift for learning that one need but offer a little guidance and step back to watch them learn.@");
				say("@To have such students is the most rewarding part of a teacher's job, and Ariana is one such.@");

			case "bye":
				
				var avatar_goodbye = "@See you later..@";
				var npc_goodbye = "@Until we meet again..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}