void Nan object# (0x41e) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH

	var isBarking = UI_get_item_flag(item, SI_ZOMBIE);//used to prevent "overlapping barks" when Proximity is called 
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == MAJOR_SIT && !isBarking)
		{
			isBarking = true;
			//reorganized to make it easier to add barks
			var barks = [
				"@Eeek..a spider in my lute!@",
				"@It's just your imagination, dear.@",
				"@Are you sure? I see it.@",
				"@I don't see it.@",
				"@Okay..maybe its gone..@"
				
			];
				
			
			delayedBark(item, barks[1], 0);
			delayedBark(KENNETH, barks[2], 8);
			delayedBark(item, barks[3], 16);
			delayedBark(KENNETH, barks[4], 24);
			delayedBark(item, barks[5], 32);
			UI_error_message("Proximity called for LadyNan");
			
			//call scripted event to clear the "isBarking" flag
			script item after 300 ticks{
				call Nan;
			
			}
			
			
			
		}
		else scheduleBarks(item);
	}	
	//allow flag to be cleared for more barks
	if (event == SCRIPTED)
	{
		isBarking = false;
	}
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@A moment, milady..@";
		var npc_1st_greet = "@Hello..@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Sure, watch out for spiders!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}


	
	
	if (started_talking)
	{
		
		item.say("You see a nervous young bard.");
		item.say("@I would play for thee, but I'm worried about my lute.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//Talked to Tholden about compassion rune
		if (gflags[ASKED_THOLDEN_ABOUT_RUNE])
			add("compassion");
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////

		//Start of regular conversation tree
		converse(options)
		{
			case "name"(remove):
				say("@I am Lady Nan.@");

			case "job"(remove):
				say("@Why, making music, of course.@");
  				add(["music"]); 

			case "music"(remove):
				say("@With my lute.@");
				add(["lute"]);

			case "lute"(remove):
				say("@Every time I pick up my lute, spiders crawl out of it. There must be hundreds of them nesting in there!@");
				add(["spiders"]);

			case "spiders"(remove):
				say("@I hate spiders! They're creepy, ugly, disgusting things! Why won't they leave me alone?@");
				if (isNearby(IOLO))
				{
					IOLO.say("Iolo says to her, @Now, now, my dear. Have you forgotten about the gloves I gave you?@");
					IOLO.hide();				
					say("@Oh, yes. Perhaps if I wore those I could play...@");
					add(["gloves"]);
				}
			
			case "gloves"(remove):
				say("@Iolo gave them to me for my birthday.@");

			case "compassion"(remove):
				say("@Yes, I know of the Rune and Mantra of Compassion.@");
				add(["rune", "mantra"]);

			case "rune"(remove):
				say("@'Twas given to our most promising student, young Ariana.@");
				if (!UI_get_item_flag(ARIANA, SI_ZOMBIE))
					UI_set_item_flag(ARIANA, SI_ZOMBIE); //can now ask Ariana about rune
				add(["Ariana"]);

			case "mantra"(remove):
				say("@The Mantra of Compassion is 'mu.' Is that a spider on your shoulder? No, 'tis just a trick of the light.@");
				if (!gflags[LEARNED_MANTRA_COMPASSION])
					gflags[LEARNED_MANTRA_COMPASSION] = true;
				
			case "Ariana"(remove):
				say("@She's very talented. She'll go far, if the spiders don't get her...@");

			case "bye":
				say("@Fare thee well, and watch thy step! The spiders are lurking everywhere.@");
				
				var avatar_goodbye = "@Take care..@";
				var npc_goodbye = "@Eeek, a spider!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
}