
void Lazeena object# (0x41c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak, milady?@";
		var npc_1st_greet = "@Hello, " + polite_title + "@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Ah, tis thee again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, POLYMORPH)) //haven't yet told her of artagel. 
		{	
			item.say("You see a sad lady with hair down to her ankles. A soft jingling accompanies her silent walk. Rather than talking, she sings in a voice like wind through reeds.");
			item.say("@Hail, there, " + polite_title + "; come listen to me. I've plenty of time to sing unto thee.@");
		}
		else
			item.say("@Hail, there, " + polite_title + "; I hope thy quest is going well.@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//if you talked to Artagel about Lazeena, but haven't told her yet
		if (gflags[ARTAGEL_IS_ALIVE] && !UI_get_item_flag(item, POLYMORPH))
			add ("Artagel is alive");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Lazeena they call me, Lazeena the Dove. From Cove I did come, 'tis a town full of love.@");
			
			case "job":
				if (!UI_get_item_flag(item, POLYMORPH))
				{
					say("@'Tis the aim of my life to sing like a bird. Wouldst thou like to hear the news I've heard?@");
					if (askYesNo())
					{
						say("@Then tell me what would please thee more: a song of the sea or a rhyme of the shore?@");
						var choice = chooseFromMenu(["rhyme", "song"]);
						if (choice == "rhyme")
						{
								say("She sings. @South of Loch Lake and north of the bay, the beautiful Shrine of Compassion doth lay.@");
								say("@My Artagel set out to chant there one day. But still he has not returned...@");
								say("@Was he taken by giants or headless so foul, that nary a man could contend with the smell.@");
								say("@He should have come here weeks ago now. But still he has not returned.@");
								if (!gflags[ASKED_LAZEENA_ABOUT_ARTAGEL]){
									gflags[ASKED_LAZEENA_ABOUT_ARTAGEL] = true; //used for Artagel quest.
								}	
								add("Artagel");
								
						}
						if (choice == "song")
						{
								say("She sings. @The Dutchman was a giant ship with masts from the largest trees. The pride of the people she was hailed, the ruler of all the sea.@");
								say("@She sailed out of port one fine spring day, and headed for distant shores. But a britney caught her by surprise, 'twas flung against her core.@");
								say("@The match began the grim men fought, to gather in her sails. But thunderous was the crack and lo, the mighty vessel reeled.@");
								say("@When gentle winds danced 'cross the surf, again the followed morn.@");
								say("@'twas nothing left of Dutchy's hull but remnants of her born. And now the tale has nothing left, but a gravesight on the floor.@");
								say("@On the Fens o' the Dead she came to rest, ne'er to sail no more.@");
								
						}
					}					
					else
						say("@To be of more help, I wish I knew just what this little bird could do.@");
				}
				else
					say("@I must stay here in Cove whilst my Artagel recovers from his wounds.@");
				
				
			case "Artagel"(remove):
				if (!UI_get_item_flag(item, POLYMORPH)) //haven't sent her to Artagel yet
					say("@He is a healer, you see.@");
				else	
					say("@Sometimes I sing him songs to help ease his pain. I believe he's on his way to a recovery. I can't thank thee enough!@");
				
			//Added for new quest:
			case "Artagel is alive"(remove):
				say("At this, Lazeena's demeanor changes and she speaks to you normally.");
				say("@Could it be? Hast thou news of him?@");
				add("Cove");
			
			case "Cove"(remove):
				say("You tell Lazeena of the gargoyle assault on the Shrine of Compassion and that Artagel is alive in Cove, barely.");
				say("@My poor Artagel! I can't bear that he is suffering alone, without me by his side.@");
				say("@Before the gargoyles attacked, I was spending time here in Britain to sing and learn more about the bardic arts. He was supposed to meet me here weeks ago, but he never arrived...@");
				say("@I must go to him immediately, is it safe to travel now?@");
				if (askYesNo())
				{
					say("@Thank the virtues! I must be on my way to Cove to be with my love. I hope I'm no too late...@");
					
					//set her current schedule to wander
					UI_set_schedule_type(item, WANDER);
					
					//set new schedules
					
						UI_modify_schedule(item, 0, SLEEP, [1707, 1116]);
						UI_modify_schedule(item, 3, TEND_SHOP, [1750, 1114]);
						UI_modify_schedule(item, 7, EAT, [1701, 1115]);
					
					//set flag to prevent circular discussion & experience gain
					UI_set_item_flag(item, POLYMORPH); //open up more conversation options on her and Artagel
					UI_set_npc_id(ARTAGEL, 1); //starting to recover
					UI_clear_item_flag(item, SI_ZOMBIE);
					UI_clear_item_flag(item, PETRA);
					
					giveExperience(30);
					addKarma(10);
					delayedBark(item, "I must be going..", 3);
					delayedBark(AVATAR, "Good luck, Lazeena!", 8);
					break;
	
				}
				else
					say("@Please then, thou must do something. I can't let him die...@");
					
			case "bye":
								
				var avatar_goodbye = "@Good luck..@";
				var npc_goodbye = "@Farewell, my friend.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}