
void Max object# (0x41a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	var choice;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	const int DAGGER_SELL_PRICE = 10;
	const int SWORD_SELL_PRICE = 50;
	const int SPEAR_SELL_PRICE = 20;
	const int TWOHANDEDSWORD_SELL_PRICE = 90;
	const int CLOTH_ARMOR_SELL_PRICE = 25;
	const int CHAIN_ARMOR_SELL_PRICE = 60;
	const int CHAIN_LEGGINGS_SELL_PRICE = 45;
	const int CURVED_HEATER_SELL_PRICE = 40;   
	const int PLATE_HELM_SELL_PRICE = 30;   
	const int LEATHER_ARMOR_SELL_PRICE = 40;  
	const int PLATE_ARMOR_SELL_PRICE = 120; 
	const int PLATE_LEGGINGS_SELL_PRICE = 75; 
	const int IRON_GLOVES_SELL_PRICE = 20; 
	const int PLATE_GORGET_SELL_PRICE = 40; 
	const int LEATHER_LEGGINGS_SELL_PRICE = 40;	
	
	
	var price;
	var item_choice;
	var weapon_options = ["nothing", "dagger", "sword", "spear", "two-handed sword"];
	var weapon_shapes = [SHAPE_DAGGER, SHAPE_SWORD, SHAPE_SPEAR, SHAPE_TWOHANDEDSWORD];
	
	var armor_options = ["nothing", "cloth armor", "chain mail", "chain leggings", "curved heater", "plate helm", "leather armor", "plate armor", "plate leggings", "leather leggings"];
	var armor_shapes = [SHAPE_CLOTH_ARMOR, SHAPE_CHAIN_ARMOR, SHAPE_CHAIN_LEGGINGS, SHAPE_CURVED_HEATER, SHAPE_PLATE_HELM, SHAPE_LEATHER_ARMOR, SHAPE_PLATE_ARMOR, SHAPE_PLATE_LEGGINGS, SHAPE_LEATHER_LEGGINGS];
	var weapon_prices = [10, 20, 50, 90];
	var armor_prices = [25, 60, 20, 20, 40, 40, 120, 75, 40];
	
	
	
	var sell_rate = 3; //integer to divide by when selling items back to npc 
	var sell_options = ["nothing", "cloth armor", "chain mail", "chain leggings", "curved heater", "plate helm", "leather armor", "plate armor", "plate leggings", "leather leggings", "dagger", "sword", "spear", "two-handed sword"];
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);
	
	if (event == DOUBLECLICK)
	{
		schedule = UI_get_schedule_type(item); //use for schedule specific convos
		current_schedule = schedule; 
		
		//Avatar and NPC greeting barks
		var av_1st_greet = "@A moment, milord..@";
		var npc_1st_greet = "@Ah, hello.@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Ah you've come abacka..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a swarthy blacksmith.");
			item.say("@Hey, and a good " + time_of_day + " to you.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Hey, it'sa the Avatar. Hello again.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I'ma nameda Max.@");
				
			case "job"(remove):
				say("@Whassamattayu, you blind or somethin'? I makea de swords and stuff, what's it alook like I'ma doin' here?@");
				say("@You gotta somethin' to sell oda somethin' you wanna buy?@");
  				add(["buy", "sell"]); 
				
				if (shop_is_open)
				{
					say("@Do you wanta weapons or armor?@");
					choice = chooseFromMenu(["weapons", "armor"]);
					
					//shopkeeper options
					var cant_hold = "@But she'sa be making thee too heavy, " + polite_title + "!@";
					var cant_afford = "@But she'sa costing too much for you, " + polite_title + "@";
					var success = "@Hey, at'sa good!@ After accepting your gold, he hands over the " + choice + ".@";
					var askIfInterested; //"Do you want this 
					var saidNo = "@What'sa you wanta nexta?@";
					var quantity = 1; 
					
					if (choice == "weapons")
					{
						say("@Awhicha one adese?@");	
						choice = chooseFromMenu(["sword", "dagger", "spear", "two-handed sword", "nothing"]);
						
						if (choice == "sword")
						{
							askIfInterested = "@She'sa costa " + SWORD_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_SWORD, quantity, QUALITY_ANY, FRAME_ANY, SWORD_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "dagger")
						{
							askIfInterested = "@She'sa costa " + DAGGER_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_DAGGER, quantity, QUALITY_ANY, FRAME_ANY, DAGGER_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "spear")
						{
							askIfInterested = "@She'sa costa " + SPEAR_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_SPEAR, quantity, QUALITY_ANY, FRAME_ANY, SPEAR_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}						
						else if (choice == "two-handed sword")
						{
							askIfInterested = "@She'sa costa " + TWOHANDEDSWORD_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_TWOHANDEDSWORD, quantity, QUALITY_ANY, FRAME_ANY, TWOHANDEDSWORD_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}								
						else if (choice == "nothing")
						{
							say("@Achanged your aminda, eh? What'sa you wanta nexta?@");
						}								
				
					}
					else if (choice == "armor")
					{
		
						say("@Awhicha one adese?@");	
						choice = chooseFromMenu(["chain mail", "chain leggings", "cloth armor", "plate mail", "plate leggings", "iron helm", "leather armor", "leather leggings", "curved heater", "nothing"]);			
					
						if (choice == "chain mail")
						{
							askIfInterested = "@She'sa costa " + CHAIN_ARMOR_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_CHAIN_ARMOR, quantity, QUALITY_ANY, FRAME_ANY, CHAIN_ARMOR_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "cloth armor")
						{
							askIfInterested = "@She'sa costa " + CLOTH_ARMOR_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_CLOTH_ARMOR, quantity, QUALITY_ANY, FRAME_ANY, CLOTH_ARMOR_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "chain leggings")
						{
							askIfInterested = "@She'sa costa " + CHAIN_LEGGINGS_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_CHAIN_LEGGINGS, quantity, QUALITY_ANY, FRAME_ANY, CHAIN_LEGGINGS_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}	
						else if (choice == "plate mail")
						{
							askIfInterested = "@She'sa costa " + PLATE_ARMOR_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_PLATE_ARMOR, quantity, QUALITY_ANY, FRAME_ANY, PLATE_ARMOR_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "plate leggings")
						{
							askIfInterested = "@She'sa costa " + PLATE_LEGGINGS_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_PLATE_LEGGINGS, quantity, QUALITY_ANY, FRAME_ANY, PLATE_LEGGINGS_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}						
						else if (choice == "iron helm")
						{
							askIfInterested = "@She'sa costa " + PLATE_HELM_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_PLATE_HELM, quantity, QUALITY_ANY, FRAME_ANY, PLATE_HELM_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}	
						else if (choice == "leather armor")
						{
							askIfInterested = "@She'sa costa " + LEATHER_ARMOR_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_LEATHER_ARMOR, quantity, QUALITY_ANY, FRAME_ANY, LEATHER_ARMOR_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}
						else if (choice == "leather leggings")
						{
							askIfInterested = "@She'sa costa " + LEATHER_LEGGINGS_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_LEATHER_LEGGINGS, quantity, QUALITY_ANY, FRAME_ANY, LEATHER_LEGGINGS_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}									
						else if (choice == "curved heater")
						{
							askIfInterested = "@She'sa costa " + CURVED_HEATER_SELL_PRICE + " agold. Interested, " + polite_title + "?@";
							basicSell(item, SHAPE_CURVED_HEATER, quantity, QUALITY_ANY, FRAME_ANY, CURVED_HEATER_SELL_PRICE, cant_hold, cant_afford, success, askIfInterested, saidNo);
						}			
						else if (choice == "nothing")
						{
							say("@Achanged your aminda, eh? What'sa you wanta nexta?@");
						}
					
					}
					
				}
				else
					say("@You come to my shopa when shesa open!@");
				
			case "sell":
				if (shop_is_open)
					sellBackItems([armor_shapes, weapon_shapes], [sell_options], [armor_prices, weapon_prices], 3);
				else		
					say("You come to my shopa when shesa open!@");	
				
			
			case "bye":
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Goodbyea to you. Come abacka soon, ah?@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}