
void Rufus object# (0x424) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hello, sir.@";
		var npc_1st_greet = "@Greetings.@";
				
		var av_2nd_greet  = "@Hail, there!@";
		var npc_2nd_greet = "@Greetings.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		UI_run_schedule(item);
		if (UI_get_schedule_type(item) != BLACKSMITH) 
		{
			if (UI_part_of_day() == EVENING)
			{
				item.say("@I'm busy just now. Why don't ya come t'my smithy tomorrow and we'll talk then.@");
				
			}
			else
				item.say ("@I'm busy just now. Why don't ya come t'my smithy later today and we'll talk then.@");

			var avatar_goodbye = "@Speak to you soon.@";
			var npc_goodbye = "@See ya later.@";
			
			//function that is called, do not change this:
			sayGoodbye(item, npc_goodbye, avatar_goodbye);
			UI_run_schedule(item);
			return;
			
		}
		else if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a rough and tumble man with wild, unkempt hair.");
			item.say("@Aye, and a fine " + time_of_day + " to you, my " + greeting + ".@");	
			UI_set_item_flag(item, MET);
		}
		else
		{
			item.say("@'Tis good to see thee, friend!@ he says, grabbing your arm. What d'ya need?@");
		}
		

		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Rufus the Red.@");
				add(["red"]);
			
			case "job"(remove):
				say("@If you want to buy horseshoes, just ask.@");
  				add(["buy", "horseshoes"]); 

			case "red"(remove):
				say("@Can ya not tell by my hair?@");
				
			case "buy"(remove):
				say("@It'll cost you 2 gold for the horseshoes. Interested?@");
				{
					if (askYesNo())
					{
						if (hasGold(2))
						{
							if (UI_add_party_items(1, SHAPE_HORSESHOES, QUALITY_ANY, FRAME_ANY, true))
							{
								chargeGold(2);
								say("@Good, good!@ After accepting your gold, Rufus hands over the horseshoes.");
							}																				
							else
								say("@You look pretty full to me.@");
						}
						else say("@You haven't enough gold!@");
					}
					else say("@You'll find none stronger.@");
				}
				

			case "horseshoes"(remove):
				say("@Aye, it saves their feet from stones and such.@");
			
			
			case "bye":
					
				var avatar_goodbye = "@Goodbye!@";
				var npc_goodbye = "@Remember to shoe yer steed often. Bye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}