
void Tiberius object# (0x42a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var title;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
		title = "daughter";
	}
	else 
	{
	//	pronoun = " ";
		title = "son";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "children"; 
	else 
		greeting = "child"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@A moment, healer.@";
		var npc_1st_greet = "@Greetings, my " + title + ".@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@Yes, my " + title + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A rotund man in monk's robes.");
		item.say("@Greetings, my " + greeting + ". What can I do for thee today?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am Tiberius, healer for this town.@");
				
			case "job":
				say("@It is my responsibility to care for the sick and injured. I attempt to heal, cure, or if needed, resurrect the fallen.@");
				add(["healing"]); 

						
			case "healing":
				if (UI_get_schedule_type(item) != TEND_SHOP)
				{
					say("@Come to my shop when I'm open!@");
				}
				else
					chantuHeal(10, 30, 400);
			



			case "bye":
								
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Go in peace, my " + greeting + ".@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}