
void Budo object# (0x4e5) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int QUALITY_GUILD_BELT = 1;

	//before guild prices
	const int TORCH_SELL_PRICE = 5;
	const int OIL_SELL_PRICE = 10;
	const int LOCKPICK_SELL_PRICE = 7;
	const int GEM_SELL_PRICE = 15;
	const int BACKPACK_SELL_PRICE = 10;
	const int BAG_SELL_PRICE = 5;
	const int SHOVEL_SELL_PRICE = 20;
	const int POWDER_KEG_SELL_PRICE = 40;
	//JOINED GUILD PRICES
	// ***These are not verified yet, just cut in half almost

	const int G_TORCH_SELL_PRICE = 3;
	const int G_OIL_SELL_PRICE = 5;
	const int G_LOCKPICK_SELL_PRICE = 3;
	const int G_GEM_SELL_PRICE = 8;
	const int G_BACKPACK_SELL_PRICE = 5;
	const int G_BAG_SELL_PRICE = 2;
	const int G_SHOVEL_SELL_PRICE = 10;
	const int G_POWDER_KEG_SELL_PRICE = 30;
	
	//shopkeeper stuff
	
	var price;
	var item_choice;
	var item_options = ["nothing", "torch", "oil", "lockpicks", "backpack", "bag", "shovel", "powder keg"];
	var item_shapes = [SHAPE_TORCH, SHAPE_OIL, SHAPE_LOCKPICK, SHAPE_BACKPACK, SHAPE_BAG, SHAPE_SHOVEL, SHAPE_POWDER_KEG];
	var item_prices;

	//take into account thieves guild discount
	if (gflags[JOINED_THIEVES_GUILD])
		item_prices = [G_TORCH_SELL_PRICE, G_OIL_SELL_PRICE, G_LOCKPICK_SELL_PRICE, G_BACKPACK_SELL_PRICE, G_BAG_SELL_PRICE, G_SHOVEL_SELL_PRICE, G_POWDER_KEG_SELL_PRICE]; //discounted prices
	else
		item_prices = [TORCH_SELL_PRICE, OIL_SELL_PRICE, LOCKPICK_SELL_PRICE, BACKPACK_SELL_PRICE, BAG_SELL_PRICE, SHOVEL_SELL_PRICE, POWDER_KEG_SELL_PRICE];
		
	var item_frames = [0, 0, 0, 0, 0, 0, 0];
	//
	
			
	//Dialog options
	var initial_choice_question = "@Which, torches, oil, lockpicks, gems, backpacks, bags, shovels, or powder kegs?@"; //arms or armor? etc
	var ask_quantity = "@How many do you want?@";
	var askIfInterested1 = "@It'll cost you "; //needs to be split into array to capture price
	var askIfInterested2 = " gold for each.@";
	var cant_afford = "@I think you have less gold than you thought.@"; 
	var cant_hold = "@You haven't any room in your pack.@";
	var saidNo = "Budo frowns at you. @That was a good price.@";
	var nothing = "@What can I do you for?@";
	var success = "@There you go.@ Budo hands you the ";
	var success2 = ". I appreciate thy business.@";
	
	
	
	
	//group together dialog options in array for cleaner look
	
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	var title;
	if (player_is_female) //
	{
	//	pronoun = "  ";
		title = "sister";
	}
	else 
	{
	//	pronoun = " ";
		title = "brother";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@A moment, milord..@";
		npc_1st_greet = "@Oh! You've returned..@";
				
		av_2nd_greet  = "@Might we speak again, Budo?@";
		if (gflags[JOINED_THIEVES_GUILD])
			npc_2nd_greet = "@Greetings, " + title + " thief.@";	
		else
			npc_2nd_greet = "@Who? Ah, yes..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Good " + time_of_day + "!@");
			item.say("@I bet you've come back to pick up that orrery you ordered.@");
			if (isNearby(DUPRE))
			{
				DUPRE.say("@Don't be ridiculous! This is the first time we've ever been in your shop!@ says Dupre.");
				DUPRE.hide();
				item.say("@Oh, I'm sorry. I must have thought you were somebody you aren't.@");
			}
			else 
				item.say("@I'm afraid it still hasn't arrived.@");
		}
		else 
			item.say("@Do you need to buy some supplies?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
		if (gflags[LEARNED_ABOUT_GUILD])
			add("guild");
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name":
				say("@Why, it's Budo, I believe. That's what it was last week. Some call me 'the Den', but I don't think that's my name.@");
				add(["The Den"]);

			case "job":
				say("@Oh, I sell this and that. I'm not sure what 'this' and 'that' are, but I sell a lot of them! People give me money for them, that is.@");
  				add(["buy", "money"]); 

			case "The Den"(remove):
				say("@I think someone told me that was Nick's name.@");
				add(["Nick"]);

			case "Nick"(remove):
				say("@I've never met him, myself.@");

			case "orrery"(remove):
				say("@I don't know what it is, but I've got one on order.@");

			case "money"(remove):
				say("@It's not as sweet as honey, but you can trade one for the other.@");
				add(["honey"]);

			case "honey"(remove):
				say("@I like honey.@");

			case "guild"(remove):
				if (!gflags[JOINED_THIEVES_GUILD])
				{
					if (UI_count_objects(PARTY, SHAPE_GUILD_BELT, QUALITY_ANY, FRAME_ANY) > 0) //
					{
						say("He glances about quickly, to make sure nobody else is listening. In a low voice he says, @Congratulations, and welcome to the guild. I can offer you the standard member's discount on all supplies now. Just remember, whatever you do, don't tell anyone about our guild!@");  //  if (obj_in_party(25,0) <> 32769)
						gflags[JOINED_THIEVES_GUILD] = true;
					}
					else
					{
						say("A startling change comes over his features. Suddenly the good-natured bumbler that stood before you has been transformed into a shrewd, sharp, dangerous looking man. He leans forward staring straight into your eyes as he asks @Who sent you?@");  // narrated
						say("@Uh-huh. Well... Were you hoping to join?@");
						if (askYesNo())
						{
							say("@All right, maybe you've got what it takes. We'll see. To be a member of the thieves' guild, you have to get your own belt.@*");
							say("@Now we have a limited membership, so there's only so many belts in the world. If you want one of them, you have to 'retire' a member of the guild. Lucky for you, it just happens there's a member we'd like to see 'retired' soon.@*");
							say("@Her hideout is deep below Britain, in the sewers. You'd best watch out for the rats down there!@*");
							say("@One last thing... It would be an embarassment for the guild to have bodies turning up inconveniently. So don't get too violent unless you have to. I'll talk to you when you get back.@");
							if (!gflags[RETIRE_PHOENIX])
								gflags[RETIRE_PHOENIX] = true;
						}
						else
						{
							say("He leans even closer, transfixing you with his gaze.*");
							say("@Then just remember this. I don't take kindly to anyone spreading secrets around. If you were to tell anyone I'm involved with the guild, well...Let's just say accidents can happen to anyone--even the Avatar...@");
							sayGoodbye2("@Now get out of my shop!@");
							break; 
						}
					}
				}
				else 
					say("@To keep the guild safe, each member only knows the names of two others. You're safer not knowing more about the guild than you have to, believe me...@");

			case "buy":
				buyItems(BUDO, item_options, item_prices, item_shapes, item_frames, dialog);
				
			case "bye":
				avatar_goodbye = "@Must be going now..@";
				if (gflags[JOINED_THIEVES_GUILD])
				{
					say("He winks at you. @The guild is behind you, as long as you keep our secret.@");
					npc_goodbye = "@Remember, keep it secret!@";
				}	
				else
					npc_goodbye = "Ta ta for now.";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}//end converse                               
	} //end started talking
	else 
		scheduleBarks(item);
}