
void Enrik object# (0x4e6) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	const int CLUB_SELL_PRICE = 10;
	const int DAGGER_SELL_PRICE = 10;
	const int MAIN_GAUCHE_SELL_PRICE = 25;
	const int FLAMING_OIL_SELL_PRICE = 4;
	const int THROWING_AXE_SELL_PRICE = 20;
	const int CLOTH_ARMOR_SELL_PRICE = 20;
	const int CLOTH_LEGGINGS_SELL_PRICE = 8;
	const int LEATHER_ARMOR_SELL_PRICE = 40;
	const int LEATHER_HELM_SELL_PRICE = 10;
	const int LEATHER_LEGGINGS_SELL_PRICE = 30;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

	
	var price;
	var item_choice;
	var armor_options = ["nothing", "cloth armor", "cloth leggings", "leather armor", "leather helm", "leather leggings"];
	var armor_shapes = [SHAPE_CLOTH_ARMOR, SHAPE_CLOTH_LEGGINGS, SHAPE_LEATHER_ARMOR, SHAPE_LEATHER_HELM, SHAPE_LEATHER_LEGGINGS];
	var armor_prices = [CLOTH_ARMOR_SELL_PRICE, CLOTH_LEGGINGS_SELL_PRICE, LEATHER_ARMOR_SELL_PRICE, LEATHER_HELM_SELL_PRICE, LEATHER_LEGGINGS_SELL_PRICE];
	
	//	
	var weapon_options =["nothing", "club", "dagger", "main gauche", "throwing axe", "flaming oil"];
	var weapon_shapes = [SHAPE_CLUB, SHAPE_DAGGER, SHAPE_MAIN_GAUCHE, SHAPE_THROWING_AXE, SHAPE_FLAMING_OIL];
	var weapon_prices = [CLUB_SELL_PRICE, DAGGER_SELL_PRICE, MAIN_GAUCHE_SELL_PRICE, THROWING_AXE_SELL_PRICE, FLAMING_OIL_SELL_PRICE];	
	
	var sell_rate = 3; //integer to divide by when selling items back to npc 
	var sell_options = ["nothing", "cloth armor", "cloth leggings", "leather armor", "leather helm", "leather leggings", "club", "dagger", "main gauche", "throwing axe", "flaming oil"];
		
	//Dialog options
	var initial_choice_question = "@Which of these?@"; //arms or armor? etc
	var askIfInterested1 = "@That costs "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Interested?@";
	var cant_afford = "@But you don't got enough gold, " + polite_title + "!@"; 
	var cant_hold = "@But 'twould make thee o'erburdened, " + polite_title + "!@";
	var saidNo = "@Changed your mind, eh?@";
	var nothing = "@He gives you a blank stare.@";
	var success = "@Good!@ After accepting your gold, Enrik hands over the ";
	var success2; //"I hope this item works well for you!" etc if needed
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			var barks = ["@Who threw that?!@",
					"@Oof!@",
					"@Take that!@",
					"@I'll cut you!@",
					"@Argh!@",
					"@Watch it, ye bastard!@"];
			var rand_barks = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand_barks]);
			
		}
	}

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		av_2nd_greet  = "@Hello again..@";
		
		if (UI_get_schedule_type(item) == KID_GAMES)
		{		
			npc_1st_greet = "@What?@";
			npc_2nd_greet = "@Not now, busy!@";	
		}
		else
		{
			npc_1st_greet = "@Yea?@";
			npc_2nd_greet = "@Yes?@";
		
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			item.say("@Don't like talking when I'm fighting!@");
			sayGoodbyeAbrupt(item, "Hey watch it!");
			return;
		}
			

		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A scarred man with a gap-toothed grin and large, calloused hands.*");
			item.say("@Hello, hello.@");

		}
		else 
			item.say("@Right. You been here before.@ He studies you carefully.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name":
				say("@Enrik. Enrik the Hammer's what I'm known as 'round here.@");
				add(["Hammer", "Enrik"]);

			case "job":
				say("@And my mutter said I was thick. You can buy's arms from me or sell me yer used stuff.@");
  				add(["buy", "sell"]); 

			case "Hammer"(remove):
				say("@They call me that 'cause I's got a good left.@");
				add(["left"]);

			case "Enrik"(remove):
				say("@I prefers Hammer.@");
				add(["Hammer"]);

			case "left"(remove):
				say("@Keep it up and I'll show ya,@ he growls.");

		
			case "buy"(remove):
				if (!shop_is_open)
					say("@Come by my shop when I'm open!@");
				else
				{
					say("@Hey, what's it look like, I'm a mind reader? Do ya want arms or armor?@");
					add(["arms", "armor"]);
				}
				
			case "sell"(remove):
				if (!shop_is_open)
					say("@Come by my shop when I'm open!@");
				else
				{
					say("@Aye, you might have somethin' interestin'...@");
					sellBackItems([armor_shapes, weapon_shapes], [sell_options], [armor_prices, weapon_prices], sell_rate);
				}
				
			case "arms": 
				buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
			
			case "armor": 
				buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);		
				
				
			case "bye"(remove):
				avatar_goodbye = "@That is all..@";
				npc_goodbye = "@Yeah, gotta get back ta work.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}