
void Petroph object# (0x4dc) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	const int PETROPH_INN_PRICE = 6; //per person
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
	
		
		if (UI_get_item_flag(item, SI_ZOMBIE)) //Petroph mad
		{
			npc_1st_greet = "@What you want?@";
			npc_2nd_greet = "@What you want?@";
		}
		else
		{
			//Avatar and NPC greeting barks
			av_1st_greet = "@Greetings..@";
			npc_1st_greet = "@Heylo to you.@";
					
			av_2nd_greet  = "@Might we speak?@";
			npc_2nd_greet = "@Heylo again.@";	
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		//checking out of the Inn
		if (UI_get_item_flag(item, PETRA))
		{
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
			
			var has_key = UI_find_object(PARTY, SHAPE_KEY, QUALITY_PETROPH_INN, FRAME_ANY);
			item.say("@Are you ready to check out?@");
			if(askYesNo())
			{
				if (has_key)
				{
					if (hour < 12)
					{
						say("He serves you breakfast. @Good morning to you.@");
						UI_add_party_items(partynum, SHAPE_FOOD, QUALITY_ANY, FRAME_EGG);
						
					}
					
					sayGoodbye2(item);
					UI_remove_party_items(1, SHAPE_KEY, QUALITY_PETROPH_INN, FRAME_ANY);
					UI_clear_item_flag(item, PETRA);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
					
					return;
				}
				else
				{
					say("@Where is key? You go find it.@");
					sayGoodbye2(item);
					UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				//	UI_move_object(PARTY, [1713, 0274], true);
					return;				
				}
		
			}
			else
			{
				say("@Don't forget checkout time, da?@");
			//	UI_move_object(PARTY, [1713, 0274], true);
				sayGoodbye2(item);
				return;	
			}
			UI_clear_item_flag(AVATAR, BG_DONT_MOVE);
				
		}
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A giant of a man with a solemn stare.*");
			item.say("@Heylo to you.@*");

		}
		else 
		//insulted him already
		if (UI_get_item_flag(item, SI_ZOMBIE))
			item.say("@What you back for? I thought you not like my inn.@");
		else
			item.say("@Heylo again.@");
			
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Petroph@");
				add(["Petroph"]);

			case "job"(remove):
				say("@I am keeping the inn, here at King's Ransom.@");
  				add(["inn"]); 

			case "Petroph"(remove):
				say("@Da, Petroph.@");

			case "inn"(remove):
				say("@" + PETROPH_INN_PRICE + " gold per person for you to stay and have meal, good?@");  
				if (askYesNo())
				{
					if (hasGold(PETROPH_INN_PRICE * partynum))
					{
						if (UI_add_party_items(1, SHAPE_KEY, QUALITY_PETROPH_INN, 0, true))
						{
							chargeGold(PETROPH_INN_PRICE * partynum);
							say("He hands you the key. @Last door on your right, enjoy ya?@");
							if (UI_get_item_flag(item, SI_ZOMBIE))
								UI_clear_item_flag(item, SI_ZOMBIE); // no longer mad
							sayGoodbyeAbrupt(item, "Have a nice day.");
							break;
						}
						else
							say("@You can't hold key.@");
					}
					else
						say("@Must pay in advance for rooms. Sorry, is policy.@");
				}
				else
				{
					say("@What, maybe you don't like my inn? Well, maybe I don't like you either!@");  // if answered no to sayt in inn
					UI_set_item_flag(item, SI_ZOMBIE); //pissed him off
					
				}
	
			case "bye"(remove):
				if (UI_get_item_flag(item, SI_ZOMBIE)) //Petroph mad
				{
					npc_goodbye = "@Da, goodbye and good riddance!@";  // if answered no to stay in inn else
					
				}
				else 
					npc_goodbye = "@Have a nice day.@"; 
								
				avatar_goodbye = "@Must be going now..@";
								
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}