
void Shawn object# (0x4e1) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int FRAME_BEER = 14;
	
	const int MEAD_SELL_PRICE = 5;
	const int ALE_SELL_PRICE = 3;
	const int WINE_SELL_PRICE = 4;
	const int RATIONS_SELL_PRICE = 2;
	const int HAM_SELL_PRICE = 5;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//shopkeeper stuff
	//ham, ale, mead, wine, and rations
	var price;
	var item_choice;
	var food_drink_options = ["nothing", "ham", "ale", "mead", "wine", "rations"];
	var item_shapes = [SHAPE_FOOD, SHAPE_BOTTLE, SHAPE_BOTTLE, SHAPE_BOTTLE, "SHAPE_FOOD"];
	var item_prices;

	var prices = [HAM_SELL_PRICE, ALE_SELL_PRICE, MEAD_SELL_PRICE, WINE_SELL_PRICE, RATIONS_SELL_PRICE]; 
	
	var food_drink_frames = [FRAME_HAM, FRAME_BEER, FRAME_MEAD, FRAME_WINE, FRAME_RATIONS];
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
			
	//Dialog options
	var initial_choice_question = "@Which- ham, ale, mead, wine, or rations?@"; //arms or armor? etc
	var ask_quantity = "@How many do you want?@";
	var askIfInterested1 = "@It'll cost you "; //needs to be split into array to capture price
	var askIfInterested2 = " gold for each.@";
	var cant_afford = "@You don't have enough gold.@"; 
	var cant_hold = "@You can't carry it.@";
	var saidNo = "@Very well. What'll it be then?@";
	var nothing = "@Anything else?@";
	var success = "@Fine!@ After accepting your gold, he hands over the ";
	var success2 = "@I appreciate thy business.@";
	var has_quantity = true;

	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Ho, Barkeep!@";
		npc_1st_greet = "@Be right there!@";
				
		av_2nd_greet  = "@Barkeep..@";
		npc_2nd_greet = "@Welcome!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A charismatic man with an engaging smile.*");
			item.say("@Welcome.@ He makes a sweeping gesture with his hat.@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Welcome back, stranger.@ He winks at you.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name" (remove): 
				say("@Shawn, friend.@");
			
			case "job" (remove):
				say("@I sell ham, ale, mead, wine, and rations.@");
  				add(["buy"]); 

			case "buy": 
				if (shop_is_open)
					sellFood(SHAWN, food_drink_options, prices, food_drink_frames, dialog);

				else
					say("@Come back tomorrow when we're open.@");
					
	
			case "bye":
				say("@I'm glad you stopped by.@ He gives you a firm handshake.");
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Come again soon!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}