void Nystul object# (0x48b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Well met, mage.@";
		npc_1st_greet = "@Avatar, thou art safe!@";
				
		av_2nd_greet  = "@Nystul..@";
		npc_2nd_greet = "@How may I be of assistance?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("You see a concerned looking mage."); 
			item.say("@Hail to thee " + player_name + ", and well met. 'Twas I who learned of thy peril through my mystic arts, so that aid might be sent unto thee.");
			
			if(isNearby(IOLO))
			{
				item.say("@Iolo, I saw that thou didst find a book. Might I examine it?@");
				if (UI_count_objects(PARTY, SHAPE_BOOKOFPROPHESIES, QUALITY_ANY, FRAME_ANY) >= 1)
				{
					IOLO.say("@Certainly, milord. Perhaps thou canst make better sense of it than I.@ says Iolo.");
					IOLO.hide();
					item.say("@Strange... This has a picture on its cover of a gargoyle standing with one foot on the chest of a slain human. This is interesting. It's written in a language I know not.@");
					item.say("@Take it to Mariah at the Lycaeum, the finest scribe on the great Council of Wizards.  She has studied many languages, and perhaps she can decipher this book for thee.@");
					gflags[ASKED_NYSTUL_ABOUT_BOOK] = true; //To ask mariah about it later
				}
				else 
				{
					IOLO.say("@I no longer have the book, milord.@ replies Iolo");
					IOLO.hide();
					item.say("@That is too bad. I had hoped thou might take it to Mariah and have her translate it.@");
				}
			}
			else
			{
				item.say("@" + player_name + ", I saw that Iolo didst find a book. Might I examine it?@");
				if (UI_count_objects(PARTY, SHAPE_BOOKOFPROPHESIES, QUALITY_ANY, FRAME_ANY) >= 1)
				{
					AVATAR.say("@Certainly, milord. Perhaps thou canst make better sense of it than I.@");
					AVATAR.hide();
					item.say("@Strange... This has a picture on its cover of a gargoyle standing with one foot on the chest of a slain human. This is interesting. It's written in a language I know not.@");
					item.say("@Take it to Mariah at the Lycaeum, the finest scribe on the great Council of Wizards.  She has studied many languages, and perhaps she can decipher this book for thee.@");
					gflags[ASKED_NYSTUL_ABOUT_BOOK] = true; //To ask mariah about it later
				}
				else 
				{
					AVATAR.say("@I no longer have the book, milord.@");
					AVATAR.hide();
					item.say("@That is too bad. I had hoped thou might take it to Mariah and have her translate it.@");
				}
			}
			item.say("@One more thing, Avatar... I noticed that thou didst arrive through a red gateway. Dost thou have the stone that opened the gate?@");
			if (askYesNo())
			{
				item.say("@From whence could it have come? The gargoyles, perhaps?");
				item.say("@Best ask Lord British about it. I believe he has some knowledge of such items.@");
			}
			else
				item.say("@Such items are quite rare. Indeed, the only one I have ever seen is that which Lord British himself possesses.@");
			
			gflags[ASKED_NYSTUL_ABOUT_ORB] = true; //opens up convo option "orb" on LB
			UI_set_item_flag(item, SI_ZOMBIE); //set to give one-liner until Avatar meets with Mariah. 
			
			
			sayGoodbyeAbrupt(item, "@Thou shouldst speak to Lord British...@");
			return;
		}
		else //(UI_get_item_flag(item, SI_ZOMBIE)) //cleared when Avatar shows Mariah the book. 
		{								  
			item.say("@Hast thou gone to the Lycaeum and shown Mariah the book? 'Tis most important.@*");
			item.say("@There is naught else I can help thee with at this time.@");
			sayGoodbyeAbrupt(item, "@Show her the book..@"); 
			return;
		}	
			
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");

				add(["blank"]); 

			case "job"(remove):
				say("@blank.@");
				say("@blank.@");
				say("@blank.@");
				say("@blank.@");
				add(["blank", "blank"]); 

			case "blank"(remove): 
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				say("@blank@*");
				add(["blank", "blank"]); 



			case "bye":
			//	say("@Goodbye text if you want, otherwise delete for SI style goodbye barks@");
				
				avatar_goodbye = "@Replace with Avatar's goodbye bark@";
				npc_goodbye = "@Replace with npc's goodbye bark@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}