

void Sherry object# (0x406) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var item_in_party = UI_get_item_flag(item, IN_PARTY);
	var cheesy_frames	= [FRAME_CHEESESLICE, FRAME_CHEESEWHOLE, FRAME_GREENCHEESE];
	var cheese;
	var rune = UI_find_object(FIND_ON_SCREEN, SHAPE_RUNE, QUALITY_ANY, FRAME_VALOR);

	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if ((event == PROXIMITY))
	{
		UI_error_message("proximity event called on Sherry");
		//reorganised to make it easier to add barks
		var barks = [
			"@Kerchew!!@",
			"@Nitters fiblik.@",
			"@Squeak, squeak!@",
			"@Squeak, squeak, squirk.@"
		];

		var rand = UI_get_random(UI_get_array_size(barks));
		UI_item_say(item, barks[rand]);
	}
	//Otherwise, say generic NPC barks
	else scheduleBarks(item);
	

	if (event == DOUBLECLICK)
	{
		//Avatar is sherry, go back to party and undo the swap
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks
			{
				call UndoSherrySwap;
				remove;
			}

		}		
	
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hello little mouse..@";
		var npc_1st_greet = "@Squeak, squeak, squeak!@";
				
		var av_2nd_greet  = "@Sherry..@";
		var npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		item.say("A cute little mouse. @Squeak, squeak, squeak!@");
		if (item in party)
		{
			item.say("@Travelling with you is fun! I hope we find some more cheese soon.@");
			add("leave");
		}
		else if (isNearby(DUPRE))
		{
			DUPRE.say("@Talking to a mouse?@ says Dupre. @Methinks you're starting to imagine things...@");
			DUPRE.hide();
		}
		else item.say("@Squeak, squeak, squeak!@");
	
		//standard conversation options
		var options = ["name", "job", "bye", "squeak"];
		
		if (gflags[LEARNED_ABOUT_SHERRY])
			add("help");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
				case "name"(remove):
					say("@I am Lord British's friend, Sherry.@");
					add(["Lord British", "Sherry"]);
	    
				case "squeak" (remove):
					say("@Squeak squirk?@");
					add(["squirk"]);
		 
				case "squirk" (remove):
					say("@Squeeeeek!@");
					add(["meow"]);

				case "meow"(remove):
					sayGoodbyeAbrupt(item,"Eeeeek!");
					UI_set_schedule_type(item, SHY);
					UI_clear_item_flag(item, READ);
					break;
					
      

			    case "Lord British"(remove):
				    if (item_in_party) 
						say("@He used to read me bedtime stories every night.@");
					else
						say("@He reads me bedtime stories every night.@");
					add(["stories"]);

				case "stories"(remove):
				    say("@He knows the one about Hubert the Lion by Heart!@");
					add(["Hubert the Lion"]);

				case "Hubert the Lion"(remove):
					say("@That's my favorite story.@");

				case "Sherry" (remove):
					say ("@Pleased to meet you!@");
     
				case "help"(remove):
					if ((rune >= 1) && (!gflags[GOT_VALOR_RUNE])) //Avatar is near valor rune, hasn't got it yet
					{
						say("@Yes, I can get in there to get the rune. Be back in a jiffy!@");
						script item after 3 ticks
						{
							call SherryGetRune; 
						}
						sayGoodbye2(item);
						break;
					}
					say("@Give me some cheese and ask me again.@");
					add(["cheese"]);
   
				case "job"(remove):
				    if (!gflags[SHERRY_IN_PARTY]) 
				    {   
						say("@I can slip through openings that are too small for you to fit through!@");
				    }
					else say("@Kerchew!!@");
					add(["kerchew"]);

				case "kerchew"(remove):
					 say("@I wish people would clean up under their beds and cabinets...@~");
					 say("@Dust mice are no friends of mine!@");
			 
				case "cheese"(remove):
					say("@Do you have any cheese?@");
					if (askYesNo())
					{
						if (UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_CHEESESLICE) > 0)
							cheese = UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_CHEESESLICE); 
						else if (UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_CHEESEWHOLE) > 0)
							cheese = UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_CHEESEWHOLE);
						else if ((UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_GREENCHEESE) > 0))	
							cheese = UI_find_object(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_GREENCHEESE);
						else
							say ("@I don't smell any cheese!@");
						
						if (cheese)
						{
							say("@Can I have some?@");
							if (askYesNo())
							{
								UI_remove_party_items(1, SHAPE_FOOD, QUALITY_ANY, cheese); 
								say("@Thank you very much!@");
								add(["join"]);
							
							}
							else say("@Well, you're no fun.@");  
						}		
						
					
					}
					else say("@Oh, that's too bad.@");
				  
				case "join" (remove):
					say("@I can help you! Do you want me to come with you?@");
					if (askYesNo())
					{
						if (UI_get_array_size(party) < 8)
						{
							say("@Great!@");
							UI_add_to_party(item);
							gflags[SHERRY_IN_PARTY] = true;
							sayGoodbyeAbrupt(item, "Let's go!");
							break;
						}
						else say("@With that many people I'd get trampled!@");
					} 
					else say("@Ok.@");
				
				case "leave" (remove):	
					say("@Oh, does this mean you want me to go home now?@");
					if (askYesNo())
					{
						say("@All right. Now I can hear my bedtime stories again! I'll leave my stuff with you in case you need it.@");
						UI_remove_from_party(item);
						UI_set_schedule_type(item, LOITER);                           
						gflags[SHERRY_IN_PARTY] = false;
						UI_clear_item_flag(READ);
						script item
							call leaveParty, MOVE_NPC2;
							
						sayGoodbye2(item);					
						break;
					}
					else say("@Okay.@");	
		
			
		

				case "bye":
					var avatar_goodbye = "@Goodbye, Sherry!@";
					var npc_goodbye = "@Come visit me again soon!@";
				
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
	
		}                               
	}
	else scheduleBarks(item);
}