
void Rudyom object# (0x44a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
			
	var spellbook = AVATAR->find_object(761, QUALITY_ANY, FRAME_ANY); //makes sure Avatar has spellbook
	var Avatar_Level = getExpLevel(AVATAR); //used for Rudyom's level sensing		
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == LAB)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, mage.@";
		npc_1st_greet = "@Ah, the Avatar..@";
				
		av_2nd_greet  = "@Rudyom..@";
		npc_2nd_greet = "@Hello again..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A dark, bearded man dressed in flowing white robes.*");
		item.say("@Greetings, mighty Avatar. For what hast thou come to my place?@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "gargoyles"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I am Rudyom.@*");

			case "job"(remove):
				say("@I sell spell books and reagents, and teach spells..@");
				add(["spellbook", "reagents", "spells"]); 
				
			case "gargoyles"(remove): 
				say("@After the shrine of Compassion fell, the gargoyles attempted to enter town. My pet was able to hold them back whilst we aided the survivors.@*");	
			
			
			
			case "spellbook"(remove): 
				if (!UI_get_schedule_type(item) == LAB)
					say("@My shop is closed right now.@");
				else
					buySpellbook(RUDYOM, 50);
			

			case "reagents": 
  				if (!UI_get_schedule_type(item) == LAB)
					say("@My shop is closed right now.@");	
				else	
					buyReagents(RUDYOM);
	


			case "spells": 
			 	if (!shop_is_open)
					say("@My shop is closed right now.@");
				else
					magicShopkeeper(RUDYOM);
					
		

			case "bye":
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@May peace follow thee, Avatar.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}