
void Sasha object# (0x44f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var barks;
	var npc;
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
		
	//Used if special barks needed, otherwise delete
	
	if (event == PROXIMITY && UI_get_schedule_type(item, PATROL))
	{
				
				barks = [
				"@How art thou feeling today?@",
				"@There there...@",
				"@Thy fever has lessened..@",
				"@Let me change thy bandages..@",
				"@Wouldst thou like some water?@"
				];
		var rand = UI_get_random(UI_get_array_size(barks));
		UI_item_say(item, barks[rand]);
	}
		

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, miss..@";
		var npc_1st_greet = "@More wounded?@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Don't tarry here..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A pretty young nurse with violet eyes.*");
			UI_set_item_flag(item, MET);
		}
		
			item.say("@Leave these men alone! Can't you see they need to rest?@.");
		
		//standard conversation options
		var options = ["name", "job", "bye", "rest"];
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@My name is Sasha.@");
				

			case "job"(remove):
				say("@I tend the sick. I know how to heal, cure, and resurrect.@");
				add(["heal", "sick", "cure", "resurrect"]);
			  
			case "rest"(remove):
				say("@Aye, these men's wounds need time to heal.@");
					   
			case "sick"(remove):
				 say("@Thou hast kept me from my duties long enough. Away with thee!@");

			case "heal":
				say("@More wounded? I'll do what I can.@ The poor nurse seems weary beyond words.");
				say("@Which of you?@");
				npc = populatePartyNames(party);
				healScript(npc, SASHA, 40);
				
			case "cure":
				say("@Poison? Yes, I can cure that. Let me see...@");
				say("@Which of you?@");
				npc = populatePartyNames(party);
				cureScript(npc, SASHA, 15);
										
			case "resurrect"(remove):
				say("Your question seems almost like a blow to the woman.*");
				say("@Nay, I cannot. I no longer have the energy, or the reagents.@*");
				say("@It has been a dark, dark day indeed. I am sorry that I cannot help you, but we all grieve today.@");
				add(["reagents", "grieve"]);

			case "reagents" (remove):
				say("@I have aided many today. These men are the last; they are beyond the help of all save time itself.@");
               
			case "grieve"(remove):
				say("@These soldiers are the only survivors of an attempt to free the Shrine of Compassion.@");
				add(["compassion"]);
 
			case "compassion"(remove):
				say("@Show thy compassion now and let them sleep.@");

			case "bye":
								
				var avatar_goodbye = "@Take care..@";
				var npc_goodbye = "@Goodbye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}