
void Stephanie object# (0x46c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var npc;
	
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Who's there?@";
				
		var av_2nd_greet  = "@Hello, again.@";
		var npc_2nd_greet = "@You sound familiar..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A young woman who stares into the distance.");
			item.say("@Hello? Is someone there?@");
		}
		else 
			item.say("@I recognize your voice.@ She smiles.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Stephanie, but you can call me 'Steph.'@");
				add(["Steph"]);

			case "job":
				say("@We have no 'jobs' here as such. But I can heal, cure and resurrect@"); 
  				add(["heal", "cure", "resurrect"]); 

			case "Steph"(remove):
				say("@That's better.@"); 

			
			case "heal":
				if (!shop_is_open)
				{
					say("@Come to my shop when it's open.@");
				}
				else
				{
					npc = populatePartyNames(party);
					healScript(npc, STEPHANIE, 25);
				}
			case "cure":
				if (!shop_is_open)
				{
					say("@Come to my shop when it's open.@");
				}
				else 
				{
					npc = populatePartyNames(party);
					cureScript(npc, STEPHANIE, 5);
				}
				
			case "resurrect":
				if (!shop_is_open)
				{
					say("@Come to my shop when it's open.@");
				}
				else
					resurrectScript(STEPHANIE, 350);

			case "bye":
				say("@Good " + time_of_day + ", my friend. Take care.@  Her long lashes flitter a moment.");
				
				var avatar_goodbye = "@Goodbye, Steph!@";
				var npc_goodbye = "@Farewell, my friend!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}