
void Zeke object# (0x470) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Careful of the bees..@";
				
		var av_2nd_greet  = "@Greetings..@";
		var npc_2nd_greet = "@Hmmm..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A strong looking man with just one arm.");
			item.say("@Hello@, he shouts, waving.");

			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@You've met Zeke before, 'aven't ya?@ he says, glaring at you. @What d'ya need?@");
		
		
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[LEARNED_ABOUT_NICODEMUS] || UI_get_item_flag(NICODEMUS, MET)) //lets you ask others about Nicodemus
			add("enchanter");
			
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Zeke the one-armed beekeep, it is.@");
				add(["Zeke"]);

			case "job"(remove):
				say("@I'm the beekeeper here at the abbey. If you want to buy honey, or sell me a honey jar I'm all ears -if only one-armed-.@"); 
  				add(["buy honey", "sell jar"]); 

			case "Zeke"(remove):
				say("@Lost me arm and gained that name in battle.@ He flashes a yellowed grin at you.");
				add(["battle"]);
													
			case "battle"(remove):
				say("@'Twas a horrid affair, but Mondain's men had to be thwarted.@");
				add(["Mondain"]);

			case "Mondain"(remove):
				item.say("@You must be new here.@ He looks to the ground.");
				item.say("@He brought an age of great evil unto our land. Yet try and tell today's children of the age of darkness...@");
				item.say("@They believe nothing can go wrong, as long as the Avatar lives.@");


		
			case "buy honey"(remove):
				say("@It'll cost you 10 gold for the 'oney, interested?@");
					if (askYesNo())
					{
						if (hasGold(10))
						{
							if (UI_add_party_items(1, SHAPE_JAR, QUALITY_ANY, FRAME_HONEY_JAR, true))
							{
								chargeGold(10);
								say("@Excellent!@ After accepting your gold, he hands over the honey.");
								say("@Enjoy your 'oney.@");	
							}
							else say("@You look pretty full to me.@");
						}
						else say("@You ain't that good-looking. My price is 10 gold.@");
					}
					else
						say("@You'll find none better.@");

			case "enchanter"(remove):
				say("@Yes, " + polite_title + ". He lives east of here, between two rivers.@");
				say("@His hut be due north of Britain, or so they tell me..@");
				
			case "bees"(remove):
				item.say("@Bees are true friends. They work all day, making honey and scattering pollen. All we have to do is provide them with hives.@");
				item.say("He laughs. @And get stung once in a while!@");
				add(["hives"]); 		


			case "hives"(remove):
				say("@I buys all my hives from a nice lady in Minoc named Michelle. She weaves them out of straw.@");
	
			case "sell jar"(remove):
				if (UI_count_objects(PARTY, SHAPE_JAR, QUALITY_ANY, FRAME_EMPTY) >= 1)
				{
					say("@Will you take 7 gold for that honey jar?@");
					if (askYesNo())
					{
						say("@Done!@ He hands you 7 gold pieces and takes the honey jar.@");
						UI_remove_party_items(1, SHAPE_JAR, QUALITY_ANY, FRAME_EMPTY, true);
						giveGold(7);
					
					}
					else	
						say("@Changed your mind, eh?@");
				}
				else
					say("@Sorry, you 'aven't any 'oney jars.@");

			case "bye":
								
				var avatar_goodbye = "@I must be going now..@";
				var npc_goodbye = "@Have a nice " + time_of_day + ".@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}