
void Bolesh object# (0x4b8) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hold, gargoyle!@";
			npc_1st_greet = "@An-bal-sil-fer!@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_2nd_greet  = "@Hold, gargoyle!@";
			npc_2nd_greet = "@The False Prophet!!@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Excuse me..@";
			
			if (UI_get_item_flag(item, PETRA))
				npc_2nd_greet = "@To be honored, False Prophet..@";	
			else
				npc_2nd_greet = "@The False Prophet!!@";
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		item.say("A strong, winged gargoyle warrior. He is sorely wounded.*");
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			
			item.say("The gargoyle struggles to sit up.");
			item.say("He shouts, @An-bal-sil-fer! Agra-lem! Agra-lem!@");
			item.say("The gargoyle collapses, exhausted.");
			UI_set_item_flag(item, ASLEEP);
			UI_set_schedule_type(item, SLEEP);
			UI_clear_item_flag(item, MET);
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[WEARING_AMULET_SUBMISSION]) //have read scroll but not gotten amulet
		{
			item.say("The gargoyle struggles to sit up.");
			item.say("He shouts, @The False Prophet! Guards! Guards!@");
			item.say("The gargoyle collapses, exhausted.");
			UI_set_item_flag(item, ASLEEP);
			UI_set_schedule_type(item, SLEEP);
			UI_clear_item_flag(item, MET);
			sayGoodbyeAbrupt(item, "Guards! Guards!");
			return;
		}

		else 
		{
			if (!UI_get_item_flag(item, PETRA)) //haven't met officially
			{
				item.say("The gargoyle struggles to sit up.");
				item.say("@The False Prophet!@");
				item.say("@But to wear the Amulet of Submission? Then to express awe at your honor and courage.@");
				UI_set_item_flag(item, PETRA); //set when you met him
			}
				else
					item.say("@Greetings again, honored one.@");
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	//	if (UI_get_item_flag(NAXATILOR, MET))
	//		add ("Naxatilor");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be named Bolesh Us-agra-lem, Bolesh the Troop-Leader.@*");
			
			case "job"(remove):
				say("@To lead what remains of our forces into battle. To have recently returned from a mission to your side of the world.@");
				say("@To have tried to reach the Codex.@");
				add(["Codex"]); 

			case "Codex"(remove): 
				say("@To have had victory between our claws, but to have been thwarted on the verge of success!@*");
				say("@To have encountered an impervious force field around the Codex.@*");
				add(["force field"]); 

			case "force field"(remove): 
				say("@To know that such a field surrounded the Codex when my people possessed it.@*");
				say("@To remember that only those on sacred quests for wisdom could pass.@*");
				add(["sacred quests"]); 

			case "sacred quests"(remove): 
				say("@To receive a sacred quest at the Temple of Singularity.@*");
				say("@But to be uncertain whether a human's request would be answered there.@*");
				add(["Temple of Singularity"]); 


			case "Temple of Singularity"(remove): 
				say("@To find the temple in the mountains to the north. To need to fly to get there, though!@*");
				add(["fly"]); 

			case "fly"(remove): 
				say("@Yes, to be accessible only to the superior winged gargoyles.@*");
				say("@To be totally unreachable by land-bound worker gargoyles! To suppose that it is totally unreachable by land-bound humans as well.@*");
	
			case "bye":
				say("@Farewell, False prophet!@");
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@To honor my people with thy sacrifice!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}