void FarmerNash object# (0x4bd) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var FarmerNashID = UI_get_npc_id(item);
	
	var wingless_gargs; 
	var gargcount;
	
	var av_1st_greet;
	var npc_1st_greet;
					
	var av_2nd_greet;
	var npc_2nd_greet;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);
	
	if (event == DOUBLECLICK)
	{
		if (!gflags[READ_GARGISH_SCROLL])
		{
			//Avatar and NPC greeting barks
			delayedBark(AVATAR, "@Hold, gargoyle!@", 0);
			delayedBark(FARMER_NASH, "@An-bal-sil-fer! Des-lem, klep lem!@", 3);
			wingless_gargs = UI_find_nearby(FARMER_KRILL, 883, 30, MASK_NONE);
			gargcount = 0;
			
			for (npc in wingless_gargs)
			{
				UI_set_alignment(npc, EVIL);
				UI_set_schedule_type(npc, IN_COMBAT);
				gargcount += 1;
				UI_error_message("Wingless gargoyles found are" + gargcount);
			}	
			
			UI_clear_item_flag(item, MET);
			return;
		}	
		else if (FarmerNashID == 1)
		{
			delayedBark(AVATAR, "@Hold, gargoyle!@", 0);
			delayedBark(FARMER_NASH, "@The False Prophet! Workers, attack!@", 3);
			wingless_gargs = UI_find_nearby(FARMER_KRILL, 883, 30, MASK_NONE);
			gargcount = 0;
			
			for (npc in wingless_gargs)
			{
				UI_set_alignment(npc, EVIL);
				UI_set_schedule_type(npc, IN_COMBAT);
				gargcount += 1;
				UI_error_message("Wingless gargoyles found are" + gargcount);
			}	
			
			UI_clear_item_flag(item, MET);
			return;
		}
		else if (FarmerNashID == 2)
		{
			av_1st_greet = "@Hold, gargoyle!@";
			npc_1st_greet = "@To be amazed!@";
					
			av_2nd_greet  = "@Hello again.@";
			npc_2nd_greet = "@To be honored by your visit.@";	
	
		}
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
		
		
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A gaunt, tired-looking winged gargoyle.*");
			item.say("@To greatly admire your nobility, False Prophet. To honor my people with your sacrifice!@");
			item.say("@To ask your name, that I may address you as you deserve?@");
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);

			if (avatar_or_name == "I am the Avatar")
			item.say("@To be honored by your visit, Avatar.@");
			
			else if (avatar_or_name == ("I am " + player_name))
				say("@To be honored by your visit, ", player_name, ".@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Good " + time_of_day + ", noble " + player_name + ". To be honored by another visit!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
//	Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be named Nash Us-arb-vas-lem, Nash the Leader of Farmers.@*");
				add(["leader"]); 

			case "job"(remove):
				say("@To lead the wingless ones, the worker gargoyles who tend these fields.@");
                say("@But to have little fortune in my harvests.@");
				add(["wingless", "harvests"]); 

			case "leader"(remove): 
				say("@To try to give the wingless ones free reign, but to be forced to guide them in their work.@*");
				
			case "wingless"(remove): 
				say("@To be far kinder to the wingless ones than most of my kind.@*");
				say("@To feel that the wingless ones should not be enslaved simply because they lack our intelligence.@*");
			
			case "harvests"(remove): 
				say("@To be forced, on occasion, to tend the fields myself because of the harshness of the times.@*");
				say("@To wish my fields were as productive as those of Farmer Krill, my neighbor to the west.@*");
				add(["Farmer Krill"]); 

			case "Farmer Krill"(remove): 
				say("@To be ashamed that Farmer Krill treats his workers so harshly.@*");
				say("@To be appalled by his lack of concern for their thoughts and feelings.@*");

			case "bye":
				say("@To have been greatly honored by this conversation , noble " + player_name + ".@");
				
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@To have a good day.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}