
void Foodmaker object# (0x4b9) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (party == 1)
		greeting = "You eat";
	else
		greeting = "Your party eats";
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hail, gargoyle!@";
			npc_1st_greet = "@An-bal-sil-fer!!@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_2nd_greet  = "@Might we speak again?@";
			npc_1st_greet = "@The False Prophet!!@";
			npc_2nd_greet = "@The False Prophet!!@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Might we speak again?@";
			npc_2nd_greet = "@To welcome you back, False Prophet!@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A large and boisterous gargoyle. He carries a 'knife' large enough to be a sword!");
		if (gflags[!READ_GARGISH_SCROLL])
		{
			item.say("@An-bal-sil-fer!@ the gargoyle shouts. @Gres por! Gres por!@");
			if (inParty(IOLO))
			{
				IOLO.say("Half-jokingly, Iolo says, @We'd better do as he says. After all, we don't know what kind of meat that is!@");
				IOLO.hide();
			}
			sayGoodbyeAbrupt(item, "@Gres por! Gres por!");
			UI_clear_item_flag(item, MET);	
			return;
			
		}
		else //read gargoyle scroll
		{
			if (gflags[!SUBMITTED_TO_DRAXINUSOM]) //not wearing amulet of submission
			{
				item.say("@The False Prophet!@ the gargoyle shouts. @Begone, begone!@");
				if (inParty(IOLO))
				{
					IOLO.say("Half-jokingly, Iolo says, @We'd better do as he says. After all, we don't know what kind of meat that is!@");
					IOLO.hide();
				}
				UI_clear_item_flag(item, MET);	
				sayGoodbyeAbrupt(item, "@Begone! Begone!");
				return;
			}
			else
			{
				if (UI_get_item_flag(item, MET))
					item.say("@The False Prophet! To welcome you to my place of cooking.@");
				else
					item.say("@To welcome you back, False Prophet!@");
				item.say("@To offer you the best food in all the world!@");
								
			}
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "food"];
		
		if (UI_get_item_flag(GOODSCRAFTER, MET))
			add ("Goodscrafter");


	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
					say("@To be called Foodmaker, not having a name yet. But to be the finest cook in the land!@*");
					say("@To receive a name someday soon for my skill!@*");
				
			case "job"(remove):
				say("@To cook and serve food for all the gargoyles who live in these parts!@");
				say("@Also to guide and instruct the wingless ones in cooking chores.@");
				add(["wingless"]); 

			case "food"(remove): 
				if (!UI_get_schedule_type(item, TEND_SHOP))
					say("@To not have food on me. To have you visit my shop.@");
				else
				{
					say("@Yes, yes! To offer you this finely roasted meat!@*");
					say("With a few strokes of his huge knife, the gargoyle cuts you a slice of meat.*");
					say("Do you take the meat?");
					if (askYesNo())
					{
						if (UI_add_party_items(partynum, SHAPE_HORSEFLESH, QUALITY_ANY, FRAME_ANY, false))
						{
							say(greeting + " the profferred food. The flavor is unlike anything you've had before.");
							if (inParty(IOLO))
							{
								UI_set_item_flag(IOLO, SI_ZOMBIE); //Iolo ate Smith's cousin!! ;)
								IOLO.say("Iolo speaks. @I wonder what sort of meat that is, " + player_name + ".@");
								IOLO.hide();
							}
							say("The gargoyle beams with pride. @To ask you: Is it not the best meat you have ever eaten?@");
						}
						else
							say("@To not be able to carry this!@");
					}
					else
					{						
						say("@To be saddened by your not liking!@*");
						say("@To know of no finer cooker of horseflesh than myself!@*");
						
					}	
					add("meat", "wine and grapes");
				}
				


			case "meat"(remove): 
				say("@To be famous among all gargoyles for the quality of my horseflesh!@*");
				if (UI_get_item_flag(IOLO, SI_ZOMBIE)) //Iolo ate a sample already..
				{
					IOLO.say("@I think I'm going to be sick...@");
					IOLO.say("@...Smith should never knowest about this...@");
					IOLO.hide();
					UI_clear_item_flag(IOLO, SI_ZOMBIE);
					gflags[IOLO_HATES_HORSEFLESH] = true; //he won't eat it again
				}
	
			case "Goodscrafter"(remove): 
				say("@The goodscrafter? To be pathetic!@ the huge gargoyle scowls.*");
				say("@To have self-pity, when strength and long work will give success!@*");
				say("@To wish to hear no more about that creature.@*");

			case "wingless"(remove): 
				say("@To have to watch their every move! But to acknowledge that they are vital to our society.@*");
	

			case "wine and grapes"(remove): 
				say("@Well, yes, of course to have that as well. But to be famous for my roast horseflesh!@*");
				say("@To offer you some of this fine food!@*");
				add(["food"]); 

			case "bye":
								
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@To bid you farewell!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;

		}                               
	}
	else scheduleBarks(item);
}