
void Healer object# (0x4b7) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var injuredcnt;
	var injurednpc = ["no one"];
	var potionhealth;
	var drink_potion = false;
	var poisonedParty = 0;
	
	
	var potionsdrank = 0;
	
	if (potionsdrank == 0)
		potionhealth = "deathly ill!";
	else if (potionsdrank == 1)
		potionhealth = "slightly dizzy!";
	else
		potionhealth = "restored!";
	
	
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Greetings, gargoyle!@";
			npc_1st_greet = "@To be unwilling to help you, False Prophet.@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_1st_greet = "@Greetings, gargoyle!@";
			av_2nd_greet  = "@Greetings, gargoyle!@";
			npc_1st_greet = "@To be unwilling to help you, False Prophet.@";
			npc_2nd_greet = "@To wish to help you however I can.@";	

		}
		else //already submitted
		{
			av_1st_greet = "@Hold, gargoyle!@";
			av_2nd_greet  = "@Might we speak again?@";
			npc_1st_greet = "@To wish to help you however I can.@";
			npc_2nd_greet = "@To wish to help you however I can.@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{	
			item.say("@An in mani u lem, An-bal-sil-fer.@");
			item.say("The gargoyle says nothing else.");
			UI_clear_item_flag(item, MET);
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[WEARING_AMULET_SUBMISSION]) //have read scroll but not gotten amulet
		{
			item.say("@To be unwilling to help you, False Prophet. To be a healer, a being of peace.@*");
			item.say("@Elsewise, to summon the guards to slay you!@ The gargoyle says nothing else.");
			UI_clear_item_flag(item, MET);
			sayGoodbye2(item);
			return;	
		}

		else 
		{
			if (!isWearingAmulet()) //not wearing amjulet
			{
				if (!UI_get_item_flag(item, MET)) //haven't met officially
				{
					item.say("@To be unwilling to help you, False Prophet. To be a healer, a being of peace.@*");
					item.say("@Elsewise, to summon the guards to slay you!@ The gargoyle says nothing else.");
					UI_clear_item_flag(item, MET);
					sayGoodbye2(item);
					return;
				}
		
			}
			else
			{
				if (!UI_get_item_flag(item, MET))	
				{
					item.say("@To see the amulet, the symbol of your courage and nobility. To wish to help you however I can.@");
					UI_set_item_flag(item, MET);
				}
				else
					item.say("@To be happy to see you again, noble one. But to be sad that you seek my services.@");
			}	
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	//	if (UI_get_item_flag(NAXATILOR, MET))
	//		add ("Naxatilor");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be nameless, being only a healer.@");
				
			case "job"(remove):
				say("@To be entrusted with the tasks of healing those wounded and curing those sick.@");
				say("@To do this for all, as a service to society.@");
				add(["heal", "cure", "resurrect"]); 

			case "heal"(remove): 
				
				for (npc in party)
				{
					injurednpc << npc;
					var npchealth = UI_get_npc_prop(npc, HEALTH);
					var npcstrength = UI_get_npc_prop(npc, STRENGTH);
					if (npchealth != npcstrength)
					{
						injurednpc << npc;
						injuredcnt+= 1;
						
					}
				}
				say("@Which of you?@*");
				var choice = chooseFromMenu(injurednpc);
				say("The gargoyle mixes strange powders into a foul-smelling brew.");
				say(choice + " drinks the potion and feels " + potionhealth);
				if (potionsdrank >= 3)
				{
					var choiceStr = UI_get_npc_prop(item, STRENGTH);
					var choiceHealth = UI_get_npc_prop(item, HEALTH);
					var addhealth = UI_set_npc_prop(item, HEALTH, (choiceStr - choiceHealth));
				}
				potionsdrank+= 1;
			
				


			case "cure"(remove): 
				
				if (!UI_get_schedule_type(item, TEND_SHOP))
					say("@To ask that you see me at my shop.@*");
				else
				{
					var party_member;
					for (npc in party)
					{
						if (UI_get_item_flag(npc, POISONED))
						{
							party_member = npc;
							poisonedParty += 1;
						}
					
					}
					if (poisonedParty > 0)
					{
						
						var poisonedName = UI_get_npc_name(party_member);
						say("@The gargoyle mixes strange powders into a foul-smelling brew.@*");
						say("@To drink this and be healthy.@*");
						drink_potion = true;
						while (drink_potion)
						{
							say("@Does " + poisonedName + " drink it?@*");
							if (askYesNo())
							{	
								if (potionsdrank == 0)
									potionhealth = "deathly ill!";
								else if (potionsdrank == 1)
									potionhealth = "slightly dizzy!";
								else
									potionhealth = "restored!";
							
							
								if (poisonedParty == AVATAR)
									say("You drink the potion and feel " + potionhealth);
								else
									say("" + poisonedName + " drinks the potion and feels " + potionhealth);
								potionsdrank += 1;	
								if (potionsdrank < 3)
								{
									say("@To apologize for the error! But to know exactly what I did wrong.@");
									say("The gargoyle mixes a different drink that somehow smells worse than the last.");
								}
								else
								{
									UI_clear_item_flag(party_member, POISONED);
									drink_potion = false;
									break;
								}

							}	
							else 
							{
								say("The gargoyle shrugs. @To assure you that it is safe and invigorating. But not to force anyone to act against their will.@");	
								drink_potion = false;
							}
						
						}	
						
					}
					else say("To be unfamiliar with human anatomy...But to be certain that all of you are well!@");
				}
			case "resurrect"(remove): 
				say("@To ask me to raise the dead? To apologize, but that is beyond my power.@");
				say("@To doubt that anyone can do that!@*");
		

			case "Goodscrafter"(remove): 
				say("@The goodscrafter? To regret his condition. To know that he is in great pain after the loss of his family.@");
				if (!UI_get_item_flag(GOODSCRAFTER, PETRA))
					UI_set_item_flag(GOODSCRAFTER, PETRA); //to open up convo on Goodscrafter 
				add(["family"]); 


			case "family"(remove): 
				say("@To know that his family was lost when the edges of the world fell off.@*");
				say("@But to have less and less patience for his dispassionate self-pity.@*");
				add(["fell"]); 


			case "fell"(remove): 
				say("@Yes, during the cataclysms. To have lost friends myself during that bad time.*@");
				say("@But to maintain the struggle for life diligently!@*");
					

			case "bye":
				
				var avatar_goodbye = "@So long..@";
				var npc_goodbye = "@To bid you farewell.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}