
void Naxatilor object# (0x4b6) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var AvatarKarma = UI_get_npc_id(AVATAR); // gets current karma
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var started_talking = UI_get_item_flag(item, READ);

	
	
	//READ flag used to initiate conversations via TALK
	var met_lensmaker = UI_get_item_flag(item, PETRA); //used to set actually met once can talk to
	var read_scroll = UI_get_item_flag(item, SI_ZOMBIE); //has not read scroll
	var not_submitted = UI_get_item_flag(item, CONFUSED); //read scroll, not submitted
	
	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			av_1st_greet = "@Hail, gargoyle!@";
			npc_1st_greet = "@.....@";
		}
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM])  //not submitted yet but read scroll
		{
			av_2nd_greet  = "@Hail, gargoyle!@";
			npc_2nd_greet = "@To go away, False Prophet.@";	

		}
		else //already submitted
		{
			av_2nd_greet  = "@Naxatilor..@";
			npc_2nd_greet = "@To greet you, Avatar.@";	
		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (UI_count_objects(PARTY, SHAPE_LENS, QUALITY_ANY, FRAME_BROKEN_LENS) > 0) // Has broken lens
		{
			item.say("@Yes, to see that the Vortex Lens is no longer whole.@");
			item.say("@To go to the lensmaker, whos house is northeast of here.@");
			item.say("@To get the lens repared there! Then return here with the whole lens!@");
			sayGoodbyeAbrupt(item, "To make haste, human!");
			return;
		}
		
		//once Nax tells you to get the lens and read the book, he won't talk until you do
		else if (UI_get_item_flag(item, NAKED))
		{
			if (UI_count_objects(PARTY, SHAPE_LENS, QUALITY_ANY, 1) > 0) //Has fixed lens
			{
				item.say("@Good, to see that you have the Vortex Lens.@");
				item.say("@To have read the Book of Ritual as well?@");
				if (askYesNo())
				{
					if (!gflags[READ_BOOK_RITUAL])	
					{
						subtractKarma(10);
					}
					item.say("@Good. To be unable to reverse the ritual myself.@");
					item.say("@But to know that the Codex itself will say how to return it to the Vortex.@");
					item.say("@To know also that you will need a second lens. To require a human-crafted lens, so that your people may also see the Codex.@");
					UI_clear_item_flag(item, NAKED); //Nax will speak to you after getting the required lenses and reading book of ritual
					gflags[GET_HUMAN_LENS] = true; //told to get human lens
					add(["Codex", "lens"]);
				}
				else //not read the book
				{
					say("@Then go to the Hall of Knowledge and do so!@");
					sayGoodbyeAbrupt(item, "To read the book!");
					return;
				}
				
			}
			else	 
			{
				item.say("@To require the Vortex Lens, foolish human!@");
				item.say("@To waste no more time! To go to the Hall of Knowledge and get the lens!@");
				item.say("@To bring it to me personally, Avatar!@");
				sayGoodbyeAbrupt(item, "To get the Lens!");
				return;
			}
		}		

		else if (!gflags[READ_GARGISH_SCROLL]) //not read scroll yet
		{
			item.say("A dark, rough-skinned gargoyle.*");
			item.say("The venerable gargoyle does not acknowledge your presence.*");
			sayGoodbye2(item);
			return;
		}

	
		else if (!gflags[SUBMITTED_TO_DRAXINUSOM]) //have read scroll but not gotten amulet
		{
			item.say("A dark, rough-skinned gargoyle.*");
			item.say("@To have nothing to say to you, False Prophet!@");
			sayGoodbye2(item);
			return;
		}

		else 
		{
			if (!UI_get_item_flag(item, PETRA)) //haven't met officially
			{
			
				item.say("@To greet you, " + player_name + ", Avatar of the Underworld.@*");
				item.say("@To see the Amulet of Submission around your neck. To consider this your acceptance of this both noble and wise.@");
				if (AvatarKarma < 40)
					item.say("@To observe by your aura that such honorable deeds are rare for you. To not be surprised, then, that you are fated to destroy a world.@");
				if ((AvatarKarma > 40) && (AvatarKarma < 80))
					item.say("@To observe by your aura that you are not a being of evil. To regret for your sake, then, that you are fated to destroy a world.@");
				if (AvatarKarma >= 80) 
					item.say("@To observe by your aura that you are truly a being of honor. To be surprised, then, that you are fated to destroy a world.@");
				UI_set_item_flag(item, PETRA); //"met" officially
				add(["fated"]);
				
			}	
			else
				item.say("@To greet you again, " + player_name + "@");
		}
			
					
	
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[ASK_TO_SUBMIT] && gflags[SUBMITTED_TO_DRAXINUSOM] && !gflags[START_CODEX_QUEST]) //Valkadesh told him about submitting and you've alrady submitted to Drax
			add(["Valkadesh", "sacrifice"]);

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@To be called Naxatilor.@*");

			case "Valkadesh"(remove): 
				say("@To have spoken to Scholar Valkadesh?@*");
				say("@Then surely to know what harm you have caused my world!@*");
				say("@To have no choice but to return the Codex!@*");
				add(["choice"]); 

			case "fated"(remove):
				say("@To have wreaked great havoc in this land by your theft of the Codex!@");
				say("@To have no choice but to return it!@");
				add(["choice"]);

			case "choice"(remove): 
				say("@To see only two alternatives- to return the Codex, or to give up your life.@*");
				add(["Codex"]); 

			case "job"(remove): 
				say("@To be a seer, mystic advisor to my people.@*");
				say("@But to be unable to avert what is written in the Book of Prophecies.@*");
	

			case "sacrifice"(remove): 
				say("@Hss...Yes, to know of the three meanings of that word.@*");
				say("@To ask to which type of sacrifice you refer: self, others or items of value?@*");
				converse(["self", "others", "items of value"])
				{
			
					case "self"(remove): 
						say("@To admire your willingness to sacrifice your life for the good of my people.@*");
						say("@But to doubt that that is the meaning of he prophecy.@*");


					case "others"(remove): 
						say("@What?!@*");
						say("@To suggest that you can atone for your misdeed by bathing in the blood of others?!@*");
						if (AvatarKarma <= 40)
							say("@To find such thoughts well in keeping with the blackness of your aura!@");
						else say("@To find such thoughts unworthy of your honorable aura!@");

					case "items of value"(remove): 
						say("@To know of only one item of true value--the Codex itself.@*");
						say("@Surely not to destroy the Codex!?@*");
						if (askYesNo())
						{
							say("@To be utterly without hope in the face of such ignorance.@");
							say("@To refuse to converse with a daemon.@");
							sayGoodbye2(item);
							return;
						}
						else 
						{
							say("@Perhaps to have another alternative...@");
							say("@Yes! To return the Codex to the Vortex!@");
							if (!gflags[START_CODEX_QUEST])
								gflags[START_CODEX_QUEST] = true;
								
							say("@Then to be availiable to both our peoples!@");
							add(["Vortex", "both"]); 						
						}				

					case "test"(remove): 
						say("@used to break out of convo if doesn't work right@*");	//REMOVE if working!
						break;

					case "Vortex"(remove): 
						say("@To direct you to go to the Hall of Knowledge, south of here.@*");
						say("@There to read the Book of Ritual.@*");
						say("@There also to get the Vortex Lens!@*");
						say("@Then to return here, where I will tell you what must be done!@*");
						UI_set_item_flag(item, NAKED); //used to find if you went to the hall of knowledge
						add(["Hall of Knowledge"]);
			
					case "both"(remove): 
						say("@To be able to see the Vortex from both sides of the world!@*");
						say("@To benefit both races equally if the Codex is returned there!@*");
		
					case "Hall of Knowledge"(remove): 
						say("@To find the Vortex Lens in the Hall of Knowledge, south of here.@*");
						add(["nothing more"]);

					case "nothing more"(remove): 
						break;

				}


			case "Vortex"(remove): 
				say("@To direct you to go to the Hall of Knowledge, south of here.@*");
				say("@There to read the Book of Ritual.@*");
				say("@There also to get the Vortex Lens!@*");
				say("@Then to return here, where I will tell you what must be done!@*");
				if (!gflags[HALL_OF_KNOWLEDGE])
					gflags[HALL_OF_KNOWLEDGE] = true;
				UI_set_item_flag(item, NAKED); //used to find if you went to the hall of knowledge
				add(["Hall of Knowledge"]);
	
			case "both"(remove): 
				say("@To be able to see the Vortex from both sides of the world!@*");
				say("@To benefit both races equally if the Codex is returned there!@*");
				

			case "Hall of Knowledge"(remove): 
				say("@To find the Vortex Lens in the Hall of Knowledge, south of here.@*");
				add(["nothing more"]);

			case "lens"(remove): 
				say("@To be sure to show the human lensmaker the Vortex Lens.@*");
				say("@Also to be sure to tell the human lensmaker that his lens must be concave!@*");
				say("@To be most important--concave!@*");
	
			case "Codex"(remove): 
				say("@To know not where the Codex is.@*");
				say("@But to remember that Captain Bolesh just returned from the Codex!@*");
				say("@To suggest you seek him. To try the healer's house to the north.@*");

			case "bye":
				if (UI_get_item_flag(item, NAKED)) //told you to get vortex lens
				{
					say("@Farewell! To return when you have visited the Hall of Knowledge!@");
					sayGoodbye2(item);
					break;
				}
				else 
				{
					say("@Farewell, " + player_name + ". To return when there is more we can discuss.@");
					sayGoodbye2(item);
					break;
				}


		}	

		                            
	}
	else scheduleBarks(item);
}