
void Heftimus object# (0x446) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

		
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@Away with ye, vile rat!@";
			UI_set_schedule_type(item, SHY);
			return;
		}
	
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Ahoy, milord!@";
		var npc_1st_greet = "@Got any money?@";
				
		var av_2nd_greet  = "@A moment, sir..@";
		var npc_2nd_greet = "@Got some money fer me matey?@";	
		
		//call convo script 
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking || UI_get_schedule_type(item, TALK))
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@Aieeeee! It's the rat!@";
			UI_set_schedule_type(item, SHY);
			UI_clear_item_flag(item, READ);
			return;
		}
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A beggar, clad in the rags of a sailor, with a hook for a right hand.");
		item.say("@Spare a doubloon fer an old seahand?@ He holds out his hand.");
		item.say("Do you give him any money?");
		if (askYesNo())
		{
			say("@How much do you give?@");
			var partygold = countGold(PARTY);
			var USER_INPUT = (UI_input_numeric_value(0, partygold, 1, 1)); //values 0 - party gold amt. 
			if (USER_INPUT == 0)
			{
				say("@Pah!@ He spits on the ground.");  // if answered '0'
				UI_set_schedule_type(item, SHY);
				sayGoodbyeAbrupt(item, "Pah!");
				return;
				
			}
			else if (hasGold(USER_INPUT))
			{
				chargeGold(USER_INPUT);
				say("@Thank, ye kindly, matey.@");
			}
		
		}
		else
		{
			say("@Pah!@ He spits on the ground.");  
			sayGoodbyeAbrupt(item, "Pah!");
			UI_set_schedule_type(item, SHY);
			return;
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//learned about the map from Homer
		if (gflags[TALKEDTOHOMERABOUTMAP])
			add("map");
		
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I be Heftimus McPry, matey.@");

			case "job":
				say("@Once Buccaneer's Den quaked at the mention o' me name. I was the greatest sabre fighter on all the high seas..@*");
				say("@Then one day...I fought Captain Hawkins, that scurvy dog, an' he struck off me hand with his sword.@");
  				add(["Captain Hawkins", "Buccaneer's Den", "hand"]); 

			case "hand"(remove):
				say("@Twas a bitter fight; I almost died o' the wound. Hawkins threw me hand to the sharks.@");

			case "Captain Hawkins"(remove):
				say("@He be long gone now, he an' his ship the Empire. A pox on his memory!@");

			case "Buccaneer's Den"(remove):
				say("@That be an island, matey, and no place fer a decent soul like yerself.@");

			case "map"(remove):
				say("@That bit o' news will cost ye twenty coins. What say ye, matey? Aye or nay?@");  // question
				if (askYesNo())
				{
					if (hasGold(20))
					{
						chargeGold(20);
						say("@I thank ye kindly, matey. The last I saw o' that bit o' parchment...I needed it to start a fire in a dungeon.@*");
						say("@But afore I could apply sparks to the tinder, a huge swarm o' rats drove me away. The scrap o' map lies in the dungeon Wrong, matey.@");
						add(["dungeon"]);
					}
					else 
						say("@I can't help ye, matey. Not enough gold.@");	
				}
				else
				{		
					say("@Hmm.@*");
					say("@Then maybe ten? Aye or nay?@");
					if (askYesNo())
					{
						if (hasGold(10))
						{
							chargeGold(10);
							say("@I thank ye kindly, matey. The last I saw o' that bit o' parchment...I needed it to start a fire in a dungeon. But afore I could apply sparks to the tinder, a huge swarm o' rats drove me away.*@");
							say("@The scrap o' map lies in the dungeon Wrong, matey.@");
							add(["dungeon"]);
						}
						else
							say("@Not enough gold. So be it, matey.@");

					}
					else
					{
						say("@Pah!@ He spits on the ground.");
						sayGoodbyeAbrupt(item, "Pah!");
						UI_set_schedule_type(item, SHY);
						return;
						
					}
				}

			case "dungeon"(remove):
				say("@I've been into the dungeon Wrong. There's a cave on this island that looks a lot safer.@");
				add(["Wrong", "cave"]);

			case "cave"(remove):
				say("@I sleep in front of it every night. Soon as I've saved up a stake, I'm going in there to dig for gold.@");

			case "Wrong"(remove):
				say("@'Twas certainly the wrong place for an old seadog to be!@ He laughs, chokes, and coughs for a while. @I'll be allright, matey.@");

			case "bye":
								
				var avatar_goodbye = "@That will be all..@";
				var npc_goodbye = "@Good journey.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}