
void Jerris object# (0x43b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{	
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@Yikes, it's the rat!!@";
			UI_set_schedule_type(item, SHY);
			return;
		}	
		
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me, warrior.@";
		var npc_1st_greet = "@Yes, " + polite_title + "?@";
				
		var av_2nd_greet  = "@Greetings.@";
		var npc_2nd_greet = "@Ah, welcome back.@";	
		

		

		
		if (UI_get_schedule_type(item) == KID_GAMES || gflags[BRAWLING])
		{	
			item.say("A slender man with boots that come up to his thighs.");
			item.say("@Don't you know it's rude to interrupt a man when he's brawling?@");
			delayedBark(item, "Rude!", 4);
			return;
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A slender man with boots that come up to his thighs.");
		item.say("@Hello there, " + polite_title + ".@");
		if (UI_get_schedule_type(item) == EAT_AT_INN)
		{
			item.say("@Care to join me in a drink?@");
			if (askYesNo())
				item.say("He hands you a mug for a swallow. It is warmed mead, sweet and bubbly, with a cinnamon stick in it. @Comes from Verity Isle@, he says.");
			else
				item.say("@Not a mead drinker, I guess.@ He shrugs.");
			add(["mead"]);
		}	
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[ASK_NOMAAN_ABOUT_RUNE])
			add("rat");
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Jerris is my name. And yourself?@");
				var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
				if (avatar_or_name == "I am the Avatar")
					item.say("@Pleased to make your acquaintance, " + polite_title + " Avatar.@");
				else 
					item.say("@Pleased to make your acquaintance, " + player_name + ".@");
				
			case "job"(remove):
				say("@Some day I hope to join Zellivan's Stalwarts and be a guard.@");
  				add(["Zellivan's Stalwarts"]); 

			case "mead"(remove):
				say("@It's mostly made of honey. Ask a brewer.@");

			case "Zellivan's Stalwarts"(remove):
				say("@When that last earthquake struck, I was pinned 'neath a great tree branch. Lord Zellivan himself hoisted it up while a guard pulled me clear.@");

			case "rat"(remove):
				say("@It was a rat, as sure as the world is flat. Darndest thing, too. Nomaan dropped the rune and the rat took it into a little hole.@");
				add(["rune", "mantra"]);

			case "rune"(remove):
				say("@It's right there. On the north wall. See it?@");
				say("@Look carefully, " + polite_title + ". Ye will see it if ye keep on looking.@");
				if (isNearby(SHAMINO))
				{
					SHAMINO.say("Shamino points to a spot west of the bar where the wall meets the ground. @There it is.@");  
					SHAMINO.hide();
				}
				say("@Obviously a rat hole.@");

			case "mantra"(remove):
				say("@It's in the refrain of the song.@");
				add(["song"]);

			case "song"(remove):
				say("@Well, I'd rather not sing alone. Get Culham to play it.@");

			case "bye":
				
				var avatar_goodbye = "@Nice speaking with you..@";
				var npc_goodbye = "@Goodbye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}