
void Nomaan object# (0x444) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var price;
	var item_choice;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	var armor_options = ["nothing", "spiked shield"];
	var armor_shapes = [SHAPE_SPIKED_SHIELD];
	var armor_prices = [25];
	
	
	var weapon_options = ["nothing", "bow", "club", "crossbow", "dagger", "oil", "spear", "arrows", "bolts"];
	var weapon_shapes = [SHAPE_BOW, SHAPE_CLUB, SHAPE_CROSSBOW, SHAPE_DAGGER, SHAPE_FLAMING_OIL, SHAPE_SPEAR, SHAPE_ARROWS, SHAPE_BOLTS];
	var weapon_prices = [30, 10, 40, 10, 2, 15, 25, 48, 36];	
	
	var sell_rate = 2; //integer to divide by when selling items back to npc 
	var sell_shapes = [SHAPE_SPIKED_SHIELD, SHAPE_BOW, SHAPE_CLUB, SHAPE_CROSSBOW, SHAPE_DAGGER, SHAPE_SPEAR];
	var sell_options = ["nothing", "spiked shield", "bow", "club", "crossbow", "dagger", "spear"];
	var sell_prices = [30, 10, 40, 10, 15, 36];	 //****altered a bit to not include flaming oil, arrows or bolts to sell back****
		
	//Dialog options
	var initial_choice_question = "@Which item?@"; //arms or armor? etc
	var askIfInterested1 = "@That will be "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Okay?@";
	var cant_afford = "@But thou dost not have enough gold, " + polite_title + "!@"; 
	var cant_hold = "@But 'twould make thee o'erburdened, " + polite_title + "!@";
	var saidNo = "@Very well.@";
	var nothing = "@If thou art sure of that... Dost thou want anything else?@";
	var success = "@Excellent!@ Nomaan takes your gold and hands over the  ";
	var success2; //"I hope this item works well for you!" etc if needed
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
	//buyArmor(item, armor_options, prices, shapes, dialog);
	
	
	
	//************************************/
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var met_utomo = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//if you are Sherry
		if (gflags[AVATAR_IS_SHERRY])
		{
			script item after 2 ticks say "@There it is! Kill the rat!@";
			UI_set_schedule_type(item, SHY);
			return;
		}
		
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Well met!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Hail, " + polite_title + ".@";

		if (UI_get_schedule_type(NOMAAN) == KID_GAMES || gflags[BRAWLING])
		{
			item.say("@Can't you see there's a lovely brawl going on? Talk to me tomorrow.@"); 
			return;		
		}
	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		

	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@I am Nomaan. What is thy name, " + polite_title + "?@");
			var avatar_or_name = chooseFromMenu2(["I am the Avatar", ("I am " + player_name)]);
			if (avatar_or_name == "I am the Avatar") 
				item.say("He bows stiffly. @Well met, " + polite_title + ".@");
			else 
				item.say("He bows stiffly. @Well met, " + player_name + ".@");

		}
		else
		{		
			item.say("@What else can I help thee with?@");
					
		}
		
		//standard conversation options
		var options = ["name", "job", "bye"];
			
	
		if (gflags[ASK_NOMAAN_ABOUT_RUNE])
			add("rune");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
		
			case "name" (remove):
				say("@Naughty Nomaan, they call me.@");
				add(["naughty"]);

			case "job"(remove):
				say("@I run the armoury, buying and selling weapons.@");
  				add(["buy", "sell"]); 
		
			
			case "buy":
				if (!shop_is_open)
					say("@Come back to my shop when its open.@*");
				else
				{
					say("@Arms or armor?@*");
					add(["arms", "armor"]);
				}
				
			case "sell":
				if (!shop_is_open)
					say("@Come back to my shop when its open.@*");
				else
				{
					sellBackItems(sell_shapes, sell_options, sell_prices, 3);
				}
		
			case "arms": 
				buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
			
			case "armor": 
				buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);	
				
			case "naughty"(remove):
				say("@'Tis just a nickname, of course. You see a hint of a smile on his face.@");

			case "rune"(remove):
				say("@I won a rune in a tournament once. 'Tis gone now, though - and there's a fine tale about it!@");
				add(["tale", "mantra"]);

			case "tale"(remove):
				say("@I remember it as if it were yesterday...@*");
				say("@Zellivan held a tourney and I was awarded the Rune of Valour. Afterwards, we were at the pub, celebrating. I had drunk a full quart of ale, so my grip was a bit unsteady.@*");
				say("@I was showing the rune around when it fell from my grasp onto the floor. That's when the rat ran out.@");
				add(["rat"]);

			case "rat"(remove):
				say("@It scampered over, seized the trinket and ran back 'cross the floor. We all leapt at it, but the little beast was too quick. It was in the hole before anybody could stop it.@");
				add(["hole"]);

			case "hole"(remove):
				say("@It ran into a hole in the west wall of the pub, carrying the rune. We tried everything - banging on the wall, digging, poking with a sword. To no avail, though.@*");
				say("@We haven't seen the rune since.@");

			case "mantra"(remove):
				say("@Go ask around in the tavern.@");
				
			case "bye":
								
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@A fine " + time_of_day + " to you, " + polite_title + ".@";
				
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}