
void Stelnar object# (0x443) () //0x443
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	const int SHAPE_SPILL = 912; //blood shape
	

	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == KID_GAMES)
		{
			var barks = ["@T'was a rat, ye bastard!@",
					"@Oof!@",
					"@Take that!@",
					"@I'll cut you!@",
					"@Fight like a man, ya coward!@",
					"@Thou dost hit like a girl!@"];
			var rand_barks = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand_barks]);
			
		}
	}
		

	if (event == DOUBLECLICK)
	{
				
				
		if (gflags[AVATAR_IS_SHERRY])
		{
			var avatar_pos = UI_get_object_position(AVATAR);
			var rand_bottle_frame =  UI_die_roll(6, 12); //for broken bottle frames
			var rand_booze_frame =  UI_die_roll(12, 23); //for booze frames, was 8, 15
			UI_set_schedule_type(item, SHY);
				
			// Should be 546, SHAPE_BROKEN_DISH
			createNewTempShape2(546, rand_bottle_frame, (avatar_pos[1] + (UI_die_roll(-1, 1))), (avatar_pos[2] + (UI_die_roll(-1, 1))), avatar_pos[3]);
			createNewTempShape2(SHAPE_SPILL, rand_booze_frame, (avatar_pos[1] + (UI_die_roll(-1, 1))), (avatar_pos[2] + (UI_die_roll(-1, 1))), avatar_pos[3]);
			UI_play_sound_effect(37);
			delayedBark(STELNAR, "@Did I get it?@", 16);
			return;
		}
		
		
	
	
		
		//if fighting
		if (UI_get_schedule_type(item) == KID_GAMES || gflags[BRAWLING])
		{
			item.say("He was just about to punch someone when you approached him. @This is no time for talk. There's fighting to do!@");
			delayedBark(item, "No time for talk!!", 4);
			return;
		}
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hail, warrior!@";
		var npc_1st_greet = "@Ho there, " + polite_title + ".@";
				
		var av_2nd_greet  = "@Hail!@";
		var npc_2nd_greet = "@Ah, 'tis thee again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
	
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("An angry-looking man wearing short swords on either hip.");
			if(isNearby(SHAMINO))
			{
				
				SHAMINO.say("@Good " + time_of_day + ", Stelnar.@ Shamino and Stelnar shake hands. " + player_name + ", this is Stelnar Starhelm.@");
				SHAMINO.hide();
				item.say("@Pleased to meet you, " + polite_title + ", " + player_name + ".@");
				
			}	
			else	
				item.say("Ho there, " + polite_title + "!@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("Ho there, " + polite_title + "!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(ARVIN, MET))
			add("Arvin");
			
		if (UI_get_item_flag(CULHAM, MET))
			add("Culham");	

		if (UI_get_item_flag(JERRIS, MET))
			add("Jerris");		

		if (isNearby(SHAMINO))
			add("Shamino");
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I'm called Starhelm.@");

			case "job"(remove):
				say("@I am a monster-slayer.@");
				add(["monster-slayer"]); 

			case "Arvin"(remove):
				say("@Arvin? He seems a good sort.@");

			case "Culham"(remove):
				say("@He's a bard. I do not really know him.@");

			case "Jerris"(remove):
				say("@Oh, yes. Brave fellow.@");

			case "Shamino"(remove):
				say("@Shamino and I travelled the Spiritwood together for a time.@");

			case "monster-slayer"(remove):
				say("@I hate all monsters. They are a blight on the face of Britannia! For the past year I've been killing wisps and the like in Spiritwood.@");
				add(["wisps"]);

			case "wisps"(remove):
				say("@Wisps are nasty flickers, very hard to kill. Not like gargoyles, now.@");
				add(["gargoyles"]);

			case "gargoyles"(remove):
				say("@There's one that they call Sin 'Vraal. If I had my way, that gargoyle would be a statue.@");
				add(["Sin 'Vraal", "statue"]);

			case "statue"(remove):
				say("@They turn to stone when ye slay them.@");
				if (isNearby(VANKELLIAN))
				{
					VANKELLIAN.say("@That's drivel, friend Starhelm!@ says Van Kellian.");
					VANKELLIAN.say("@A gargoyle's a flesh and blood beast. Stone indeed!@");  // show_portrait(SELF)
					VANKELLIAN.hide();
					say("@Bards! A gargoyle is an ugly monster, and that's that.@");
					add(["ugly"]);
				}
				

			case "ugly"(remove):
				say("@Gargoyle skin is very thick and deep, as everyone knows.@"); 
				say("@Never trust anything ugly.@");
				if (isNearby(VANKELLIAN))
				{
					VANKELLIAN.say("Van murmurs @Ugliness is but skin deep, just as beauty is.@");  
					VANKELLIAN.hide();
				}
				

			case "Sin 'Vraal"(remove):
				say("@He's a vicious daemon.@");
				add(["daemon"]);

			case "daemon"(remove):
				say("@Yes, Sin 'Vraal is an evil wretch. How could Lord British imagine that a gargoyle could understand virtue?@");
				add(["Lord British"]);

			case "Lord British"(remove):
				say("@Lord British defeated Sin 'Vraal in the underworld. The gargoyle went to live in the Dry Land.@");
				add(["Dry Land"]);

			case "Dry Land"(remove):
				say("@Tis a desert east of the Bloody Plains. There is a shrine there.@");
				add(["desert"]);

			case "desert"(remove):
				say("@I've never been to that desert, or the Shrine of Honesty.@");

			case "bye":
				
				var avatar_goodbye = "@Farewell..@";
				var npc_goodbye = "@Have a pleasant " + time_of_day + ", " + polite_title + ".@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}