
void Tara object# (0x459) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
		
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, ma'am..@";
		npc_1st_greet = "@Yes, dearie?@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Welcome back, dearie.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("A kindly old woman.*");
			item.say("@Welcome to my place of healing, Avatar.@*");
			item.say("@I hope thou needest not my services!@*");
		}
		else 
			item.say("@Welcome again, noble Avatar. I hope this visit is for pleasure, not business!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
		//asked Isabella about mantra
		if (UI_get_item_flag(item, SI_ZOMBIE))
			add("mantra");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Tara.@");
				
			case "job"(remove):
				say("@I'm the healer for this town. I've cared for the unfit here for threescore years!@");
  				add(["unfit"]); 

			case "unfit"(remove):
				say("@Those who need healing, curing, or to be resurrected.@");
				add(["healing"]);

			case "healing"(remove):
				chantuHeal(10, 30, 400);				

					
			case "mantra"(remove):
				if (!gflags[LEARNED_MANTRA_SACRIFICE])
				{
					gflags[LEARNED_MANTRA_SACRIFICE] = true;
					giveExperience(25);
				}
				say("@'Cah,' that is the word of sacrifice.@");

			case "bye":
				var avatar_goodbye = "@Goodbye, Tara!@";
				var npc_goodbye = "@Farewell, dearie!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}