void Andreas object#(0x436) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	var avatar_gold = UI_get_cont_items(AVATAR, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
	
	var partyGold = UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
	var card_count = UI_get_npc_id(item); //used to count how many cards
	var andreas_card_price = (card_count * 5);
	var rand_npc = randomPartyMember();
	var title;
	var pronoun;
	
	
	const int ANDREAS_REST_TIMER = 16;
	const int ANDREAS_FULLY_RESTED = 3; //after 3 hours she's fully rested
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//used for gypsy script
	var wagondoor = find_nearest(975, 100);
	
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
		title = "girl";
	}
	else 
	{
	//	pronoun = " ";
		title = "boy";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	

    if (event == DOUBLECLICK)
    {
		
		av_1st_greet = "@Hail, gypsy!@";
		if (player_is_female)
		{
			npc_1st_greet = "@Hey foxy!@";
			npc_2nd_greet = "@Back so soon, foxy?@";
		}	
		else
		{
			npc_1st_greet = "@Hey there!@";
			npc_2nd_greet = "@Back so soon?@";
        }
		av_2nd_greet = "@Might we speak again?@";
	
        //call convo script
        startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet);
    }

    if (started_talking)
    {
        //reset schedule for after convo
        UI_run_schedule(item);

		if (!UI_get_item_flag(item, MET))
		{
			item.say("A handsome, carefree gypsy man.*");
			if (player_is_female)
				item.say("@Hey, foxy! I bet you'd like me to unsheathe my weapon so you can have a look....@");
			else
			{
				item.say("@Hey there! Welcome to our humble caravan! You look like a bold warrior - would you like to spar a bit for practice?@");
				
			}
			UI_set_item_flag(item, MET);
		}
		else 
		{
			if (player_is_female)
				item.say("@Ah, I see you couldn't stay away... I have that effect on women..@");
			else
				item.say("@Welcome back, " + player_name + ". Came for some more of our gypsy hospitality, I see!@");
		}
	

		//standard conversation options
		var options = ["name", "job", "bye"];

////////////////////////////////////////////////////////////////////
// Main conversation thread                                         
////////////////////////////////////////////////////////////////////

        converse(options)
        {
			case "name"(remove): 
				say("@I am Andreas, prince of the gypsies.@");
				add(["gypsies"]); 

			case "job"(remove):
				say("@I live the carefree life of a gypsy, traveling hither and yon.@");
  				if (player_is_female)
					say("@Naturally, when so lovely a lady as yourself comes along, I offer, shall we say, my services.@");
				else
				{
					say("@When the opportunity arises, I do what I can to brighten the lives of the ladies.@");
					if (isNearby(JAANA))
					{
						JAANA.say("@I'll just bet he does!@");
						JAANA.hide();
					}
					say("@Of course, you'd probably be more interested in my sister Wanda, right?@");
					if (askYesNo())
					{
						say("@Can't say I blame you. In fact, if she wasn't my sister...@");
					}
					else
						say("@Hmm, wouldn't have figured you for the type...@");

				}
				add(["services"]);
				
			case "gypsies"(remove):
				say("@Wouldn't you like to be a gypsy too?@");
				if (askYesNo())
				{
					if (!UI_get_item_flag(item, SI_ZOMBIE))
						say("@A fine thing to dream of! But one such as you could never be a gypsy.@");
					else
						say("@You have the carefree spirit, but alas, one must be born a gypsy.@");
				}
				else say("@The more fool you!@");

			case "services"(remove): 
				say("@We all have our talents. I myself happen to have two.@*");
				say("@I'd be glad to show you sometime!@");
				add(["talents", "show me.."]); 


			case "talents"(remove): 
				say("@What, you mean swordplay? Just ask, and I'll give thee a lesson you won't forget!@");
				add(["lesson"]); 


			case "Wanda"(remove): 
				say("@She practices the world's oldest profession. I, of course, have perfected it, and thus need no practice.@");
				add(["profession"]); 


			case "Arturos"(remove): 
				say("@He's my dad - the king of the gypsies!@");
	

			case "map"(remove): 
				say("@A map? Aye, Arturos has some scrap like that. I know nothing more of it.@");
				add(["Arturos"]); 


			case "lesson"(remove): 
				say("@Would you like to spar a bit?@");
				if (askYesNo())
				{
					say("Pulling a couple of sticks from his belt, the gypsy hands you one. You fight with them as if they were swords for a while.*");
					say("After you're finished, he comes over and puts his arm around your shoulder as he gives you a few pointers on fencing style.*");
					if (avatar_gold >= 25)
					{
						var steal_amount = UI_die_roll(5, 25);
						UI_add_cont_items(ANDREAS, steal_amount, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
						UI_remove_cont_items(AVATAR, steal_amount, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
						say("You're not sure, but you think perhaps you felt a slight tug at the pouch you keep your coins in.");
					}
				}
				else
					say("@Maybe some other time.@");
				


			case "silver tablet"(remove): 
				say("@Ah yes, you've heard of the silver tablet!@*");
				say("@I haven't got it myself, but I can tell you where it is for a price... Shall we say 7 gold pieces?@");
				if (askYesNo())
				{
					if (hasGold(7))
					{
						chargeGold(7);
						say("@I overheard a bard in a tavern say that it was somewhere on the Isle of the Avatar. Perhaps Arturos could tell you precisely.@");
						add(["Arturos"]); 
					}
					else
						say("@Come back when you have the money.@");
				}
				else 
					say("@Suit yourself.@");


			case "show me.."(remove): 
			var wagondoor = UI_find_nearest(ANDREAS, 975, 15);// looks for wagon door
			
			if (wagondoor)
			{	
				if (!UI_get_item_flag(item, NAKED))
				{
					say("@Oho, so that's what you're after, you naughty " + title + "!@*"); 
					if (player_is_female)
						say("@For a mere 10 gold pieces, I'll transport you to the heights of ecstasy. Will it be yea or nay?@");
					else
						say("@Well... Normally I'm more of a ladies' man. But I guess your money is as good as anyone else's. It'll cost you 10 gold, okay?@");
						if (askYesNo())
						{
							if (partynum < 2)
								say("@A voice in the back of your head asks, @Do you really have time for this?@");
							else 
							{
								if (isNearby(DUPRE))
								{
									DUPRE.say("@" + polite_title + ", I really doubt we have time for this...@");
									DUPRE.hide();
								}
								else
								{
									randomPartySay("@" + polite_title + ", I really doubt we have time for this...@");
									randomPartySay.hide();
													
								}
							}
							say("@Well, come on. Yea or nay, " + polite_title + "@");
							if (askYesNo())
							{
								if (hasGold(10))
								{
									chargeGold(10);
									UI_set_timer(ANDREAS_REST_TIMER);
									
									//failsaife
									if (gflags[DURING_WANDA_CUTSCENE])
										gflags[DURING_WANDA_CUTSCENE] = false;
									
									script item
									{
										call GypsyCutscene, BEGIN_ANDREAS_CUTSCENE;
									};
									break;
									
									
									
								}
								else
									say("@Hey, you don't have the money! I don't take charity cases.@");
							}
							else 
								say("@As you like. But take my advice--you should live a little now. That way, you'll have something to remember when you're old and gray...@");
								
						}
						else say("@As you like. But take my advice--you should live a little now. That way, you'll have something to remember when you're old and gray...@");
					}
					else say("@My mind is willing, but the flesh is weak...Come back later, when I've had some time to rest.@");
			}
			else
				say("@Let's get a bit closer to my wagon before we discuss such matters, okay?@");
	  			
			case "bye":
			
				if (!UI_get_item_flag(item, NAKED))
				{
			
					if (player_is_female)
					{
						say("@I hope we get better acquainted when next we meet.@*");
						say("@I like your clothes, but I think you'd look better without them...@");
					}
					
						
				}
				else
					say("@Come again soon.@");
				
				
			if (player_is_female)
			{
			    npc_goodbye = "@Come back soon, foxy..@";
				avatar_goodbye = "@...creep.@";
			
			}
			else
			{
			   npc_goodbye = "@May your travels prove interesting.@";
			   avatar_goodbye = "@Must be going now..@";
			}
           //function that is called, do not change this:
	       sayGoodbye(item, npc_goodbye, avatar_goodbye);
	       break;
        }
	}
    else scheduleBarks(item);
}
