
void Arturos object# (0x435) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var avatar_gold = UI_get_cont_items(AVATAR, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
	var steal_amount = UI_die_roll(5, 15);
	var partyGold = UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
	var card_count = UI_get_npc_id(item); //used to count how many cards
	var arturos_card_price = (card_count * 5);

				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello, gypsy.@";
		npc_1st_greet = "@Ah, hello to you!@";
				
		av_2nd_greet  = "@Hello again..@";
		npc_2nd_greet = "@Ah, welcome back traveller..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A colorfully clad, bemused looking gypsy.*");
		item.say("If you were looking to geta your fortune told, you came to the right place.@*");

		if (UI_get_item_flag(ARTUROS, NAKED)) //has stolen from you. Prompts Shamino to complain
			UI_clear_item_flag(ARTUROS, NAKED);
			
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(ZOLTAN, MET))
			add ("Zoltan");

		if (UI_get_item_flag(MARIAH, SI_ZOMBIE)) //asked Mariah about tablet
			add ("silver tablet");
			
		if (gflags[LEARNEDGYPSYSSTOLEMAP])
			add("map");
			
		if (gflags[ARTUROSIS])
			add("'Arturosis'");



	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I'ma called Arturos. That meansa either 'foolish monkey' or 'he who sells cheese', depending on howa you translate it.@");
				add(["foolish monkey", "cheese"]); 

			case "job"(remove):
				say("@Ima the king of all the gypsies. Of course, thatsa what you call more of an 'honorary' title, so I tell fortunes on the side.@");
  				add(["title", "fortune"]); 


			case "cheese"(remove):
				say("@Yeah, go figure, huh?@");
				
			case "foolish monkey"(remove):
				say("@Yeah, go figure, huh?@");
				

			case "map"(remove):
				if (UI_count_objects(PARTY, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_MAP3) > 0)	
				{
					say("@Yeah, I used to have a map like that. Can't remember what I did with it, though...@");
				}
				else 
				{
					say("@Map. Hmm, map... Oh yeah, thata old thing. Sure, I got that, but she'sa not very interesting.@*");
					say("@Say--do you want to buy it?@");
					if (askYesNo())
					{
						say("@Oh! Well, sure you do, she's a very important map!@*");
						say("He leads you away from the rest of the group. @Don't want no spyin' ears, ah?@");
						say("@Yeah, this map, she'sa leading to the treasure of - oh, who was it, Yellowbeard or somebody.@*");
						say("@Well, I forget, but the point is it leads to a big, huge treasure! So if you want this map you're agonna have to pay - 100 gold! Okay?@");
						if (askYesNo())
						{
							var USER_INPUT = (UI_input_numeric_value(0, 100, 10, 100));
							if (USER_INPUT == 100) 
							{
								if (hasGold(100))
								{
									if (UI_add_party_items(1, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_MAP3, false))
									{
										chargeGold(100);
										say("@Okay, here's the map, and may fortune bring you lotsa gold!@");
									}
									else 
										say("@Yeah, well, you've got a lot to carry right now. I do you a favor and just hold on to the map for you until you got room for it. I do you another favor and hold on to the money, too.@");
								}
								else
									say("@Hey, what are you, a deadbeat? Come back when you can afford the map!@");
							}
							else 
							{
								say("@Well, I hate to see anybody pass up good fortune, so I tell you what I do. I sell you this map, this key to infinite wealth, for just 75 gold. Okay?@");							
								if (askYesNo())
								{
									if (hasGold(75))
									{
										if (UI_add_party_items(1, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_MAP3, false))
										{
											chargeGold(75);
											say("@Okay, here's the map, and may fortune bring you lotsa gold!@");
										}
										else 
										{
											say("@Yeah, well, you've got a lot to carry right now. I do you a favor and just hold on to the map for you until you got room for it. I do you another favor and hold on to the money, too.@");
											chargeGold(75);
										}
									}
									else
										say("@Hey, what are you, a deadbeat? Come back when you can afford the map!@");
								}
								else
								{
									say("@What, are you nuts? But okay, how'sabout just 50 gold?@");
									if (askYesNo())
									{
										if (hasGold(50))
										{
											if (UI_add_party_items(1, SHAPE_TREASURE_MAP, QUALITY_ANY, FRAME_MAP3, false))
											{
												chargeGold(50);
												say("@Okay, here's the map, and may fortune bring you lotsa gold!@");
											}
											else
											{
												say("@Yeah, well, you've got a lot to carry right now. I do you a favor and just hold on to the map for you until you got room for it. I do you another favor and hold on to the money, too.@");
												chargeGold(50);
											}
										}
										else 
											say("@Hey, what are you, a deadbeat? Come back when you can afford the map!@");
									}
									else 
										say("@Thank you! You have asaved me from amaking a big mistake! You're right, I better hold on to this valuable map myself. No way is it worth less than 100 gold.@");
								}//user input
							}
						}
						else 
							say("@Thank you! You have asaved me from amaking a big mistake! You're right, I better hold on to this valuable map myself. No way is it worth less than 100 gold.@");
					}
					else
						say("@Nah, I didn't think so. What for would anybody want to buy it, ah?@");
				}
					case "title"(remove):
				say("@You cana just call me 'Uncle Arthur' if you like.@");
				add(["Uncle Arthur"]);

			case "fortune"(remove):
				say("@I gota this fine set of fortune telling cards. These werea hand painted by Musgrave himself.@*");
				if (UI_get_item_flag(item, SI_ZOMBIE)) 
					say("@For justa five gold, maybe I can help you finda this silver tablet. And I'll tell you the rest of your future as well. What a bargain! Whadda you say?@");
				else
					say("@I'll tella you your future. Whadda you say?@");
				if (askYesNo())
				{
					if (hasGold(5))
					{
						chargeGold(5);
						say("He takes out a deck of cards, shuffles it, and has you pick one.*");
						say("@Okay, thisa card, she'sa the Tower. That means you'rea going to go into a real big building soon, like maybe a castle.@*");
						say("@Pretty good, huh? Maybe you want a better card, though. Do you want to pick again?@");
						if (askYesNo())
						{
							UI_set_npc_id(item, 1);
							card_count = UI_get_npc_id(item);
							arturos_card_price = (card_count * 5);
							say("You pick another card. @This here isa the Wheel of Fortune.@*");
							say("@Wheels, they go 'round and 'round, so that means you'rea gonna have some good luck, and some bad luck.@*");
							say("@That doesn't tell you so much. Try for another card?@");
							if (askYesNo())
							{
								UI_set_npc_id(item, 2);
								card_count = UI_get_npc_id(item);
								arturos_card_price = (card_count * 5);
								say("@Oh, hey, you picked the Lovers this time.@");
								if (player_is_female)
									say("@ I thinka maybe you should go talk to Andreas, you know what I mean?@");
								else
									say("@ I thinka maybe you should go talk to Wanda, you know what I mean?@");
								say("@That'sa pretty good card. How about another one?@");
								if (askYesNo())
								{
									UI_set_npc_id(item, 3);
									card_count = UI_get_npc_id(item);
									arturos_card_price = (card_count * 5);
									say("@This here's Temperance. Thata means that you shouldn't lose your temper. I cana find you a better card than that, here, wait a minute.@*");
									say("He picks out a card. @This is Justice, that'sa one of what they call the 'court cards.' Let me try again.@ He picks another.*");
									say("@Okay, this isa better. This is the Hierophant. That'sa like an elephant, but taller and without the trunk.@*");
									say("@That means you'rea gonna see one of them someday. Pretty interesting, huh? Another card?@");
									if (askYesNo())
									{
										UI_set_npc_id(item, 6);
										card_count = UI_get_npc_id(item);
										arturos_card_price = (card_count * 5);
										say("@Uh-oh, you justa drew the Death card. That means eithera you're going to kill somebody soon, ora somebody's gonna kill you.@*");
										say("@I can never geta that part straight. One more card?@");
										if (askYesNo())
										{
											UI_set_npc_id(item, 7);
											card_count = UI_get_npc_id(item);
											arturos_card_price = (card_count * 5);
											say("@Allaright, now we're talking. You pickeda the Crow card. That'sa telling you adventuring isa for the birds.@*");
											say("@You should open a little shop somewhere and settle down, you know?@");
											say("@The cards didn't say nothin' about the silver tablet. Guess that means you're not gonna find it.@*");
											say("@That's life, you know?@*");
											say("@Okay, that'sa " + card_count + " extra cards at 5 gold apiece. That makes " + arturos_card_price + " total.@");
											if (partyGold >= arturos_card_price)
											{
												chargeGold(arturos_card_price);
											}
											else 
											{    //not enough money
												say("@Since you don'ta have that much, I'll just settle for what you've got.@");
												chargeGold(partyGold);
											}
											say("@It was a pleasure doinga business with you.@");
											UI_clear_item_flag(item, NAKED);
													
										} //
										else 
										{
											say("@Okay, that'sa " + card_count + " extra cards at 5 gold apiece. That makes " + arturos_card_price + " total.@");
											if (partyGold >= arturos_card_price)
											{
												chargeGold(arturos_card_price);
											}
											else
											{
												say("@Since you don'ta have that much, I'll just settle for what you've got.@");
												chargeGold(partyGold);
											}
											say("@It was a pleasure doinga business with you.@");
											UI_clear_item_flag(item, NAKED);
											UI_set_npc_id(item, 0);
										} 
									}////////
									else
									{	
										say("@Okay, that'sa " + card_count + " extra cards at 5 gold apiece. That makes " + arturos_card_price + " total.@");
										if (partyGold >= arturos_card_price)
										{
											chargeGold(arturos_card_price);
										}
										else 
										{
											say("@Since you don'ta have that much, I'll just settle for what you've got.@");
											chargeGold(partyGold);
										}
											say("@It was a pleasure doinga business with you.@");
											UI_clear_item_flag(item, NAKED);
											UI_set_npc_id(item, 0);
									} 
										 
								}/////
								else
								{
									say("@Okay, that'sa " + card_count + " extra cards at 5 gold apiece. That makes " + arturos_card_price + " total.@");
									if (partyGold >= arturos_card_price)
									{
										chargeGold(arturos_card_price);
									}
									else
									{
										say("@Since you don'ta have that much, I'll just settle for what you've got.@");
										chargeGold(partyGold);
									}
									say("@It was a pleasure doinga business with you.@");
									UI_clear_item_flag(item, NAKED);
									UI_set_npc_id(item, 0);
								} 
							}/////
							else 
							{
								say("@Okay, that'sa " + card_count + " extra cards at 5 gold apiece. That makes " + arturos_card_price + " total.@");
									
								if (partyGold >= arturos_card_price)
								{
									chargeGold(arturos_card_price);
								}
								else 
								{
									say("@Since you don'ta have that much, I'll just settle for what you've got.@");
									chargeGold(partyGold);
								}
								say("@It was a pleasure doinga business with you.@");
								UI_clear_item_flag(item, NAKED);
								UI_set_npc_id(item, 0);
							}	 
						}
						else say("@Okay.@");
						UI_clear_item_flag(item, NAKED);
					}
					else say("@Come back whena you have the money.@");
				}
				else
				{
					say("@Ok, have it your way.@*");
					say("@But ifa some maniac with an axe catches you in a dark alley somewhere, don'ta blame me for not warning you.@");
				}
	
			case "Uncle Arthur"(remove):
				say("@That'sa nice and friendly. I like you too.@ He comes over and gives you a big hug.");
				if (avatar_gold > 15)
				{
					UI_add_cont_items(ARTUROS, steal_amount, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
					UI_remove_cont_items(AVATAR, steal_amount, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
					UI_set_item_flag(item, NAKED); //has stolen from you. Prompts Shamino to complain
				}
				
			case "'Arturosis'"(remove):
				say("@You knowa about that eh? It was delicious!@ He licks his lips and grins."); 
			
			case "Zoltan"(remove):
				say("@He's a whadda you call, an impostor. You shouldn'ta listen to him.@");
				
			case "silver tablet"(remove):
				say("@The silver tablet? I don't know anything about that.@*");
				say("@But hey, maybe there's something in the cards about it, ah?@");
				if (!UI_get_item_flag(item, SI_ZOMBIE))
				{
					UI_set_item_flag(item, SI_ZOMBIE); //for fortune
				}
				
				
			case "bye":
				say("@Hey, you come again soon, okay?@");
				UI_set_npc_id(item, 0);
				if (UI_get_item_flag(item, NAKED) && (isNearby(SHAMINO)))
				{
					SHAMINO.say("Shamino whispers to you, @Best check your coinpouch. I think I saw something when that gypsy hugged you.@");
					SHAMINO.hide();
						
				}
							
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}