	const int DRUDGEWORTH_MIRROR = 1266;

void closeMirror (var mirror)
{
		script mirror after 3 ticks
		{
	
			
			frame 9; wait 1;
			frame 6; wait 1; 
			frame 4; wait 1;
			frame 3; wait 1; 
			frame 2; wait 1;
			frame 0; wait 1;
			
			
		
		};


}

void Drudgeworth shape# (1266) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var pronoun;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	if (player_is_female) //
	{
		pronoun = "her";
	//	title = "madame";
	}
	else 
	{
		pronoun = "him";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		script item after 3 ticks
		{
			frame 2;
			wait 1;
			frame 3;
			wait 1;
			frame 4;
			wait 1;
			frame 5;
			wait 1;
			frame 6; 
			wait 1;
			frame 7;
			wait 1;
			frame 8;
			wait 1; 
			frame 9; wait 1;
			frame 10; wait 1;
			frame 11; wait 1;
			frame 12; wait 1;
			call Drudgeworth;
			
		
		}
	
	
	}//end doubleclick
	
	
	if (event == SCRIPTED) //drudgeworth called from mirror
	{
		var chuckles_urn = UI_find_object(PARTY, SHAPE_URN, QUALITY_ANY, FRAME_CHUCKLES);
		UI_show_npc_face(172, 0);		
				
		//offered to help drudgeworth		
		if (gflags[HELP_DRUDGEWORTH])
		{
			if (gflags[CHUCKLES_KILLED] && chuckles_urn > 0) //Killed Chuckles in front of the mirror and cremated him and have urn
			{
				
				item.say("@At last, I can inflict mine vengeance upon the soul of the swine who hath caused me so much anguish!@");
				item.say("@And now, I shall hold up mine end of the bargain...@");
				item.say("He focuses his energy and dims, and a key materializes in your pack!"); 
				item.say("@It be the key to me treasure trove. In it, ye will find the Chaos sword, purloined from the ruins of Blackthorn's castle.@");
				item.say("@After mine escape, I stole it from an oaf I met in a tavern who looted it and tried to sell it for rum money. There be a strange hex upon it though, be warned!@");
				item.say("@I reckon it's dark magic gave me the illness I eventually succumbed to. I had to stash it away in hopes that I could plunge it into Chuckles' belly if I were to recover!@");
				item.say("@Ye will find it hidden in a chest behind an old tree, in a swamp southeast of 'ere. Didn't wanna keep it too close, because of the hex. I hope it serves ye well...@ A sly smile stretches upon his lips.");
				item.say("@As for me...I shall catch up with an old friend of mine...@, Drudgeworth says wickedly. You think you can hear Chuckles screaming in the backround, but you aren't sure...@");
			
				UI_add_party_items(1, SHAPE_KEY, QUALITY_DRUDGEWORTH, FRAME_DRUDGEWORTH, false);
			
				//find mirror then give sprite effects
				var mirror = UI_find_object(FIND_ON_SCREEN, DRUDGEWORTH_MIRROR, QUALITY_ANY, FRAME_ANY);
				UI_set_item_frame(mirror, 13); //cracked frame
				UI_obj_sprite_effect(mirror, 7, 10, 1, 0, 0, 0, -1);   //26
				
				subtractKarma(20); //massive karma hit
				
				script mirror after 10 ticks
				{
					sfx 37;
				
				}
				return;
			}
			item.say("The spectre within the mirror appears to be impatient and agitated.");
			if (!gflags[CHUCKLES_KILLED]) //offered help but haven't killed Chuckles yet
				item.say("@Tarry not! Lure Chuckles to the mirror at the Blue Boar and slay him at the appointed hour...@");
			item.say("@Bring his ashes back to me here and I shall reward thee with great treasure..go on now!@");
			closeMirror(item);
			return;
		
		
		}
		
		item.say("You see the form of an eerily familiar ghostly pirate slowly materialize in the mirror before you. He stares at you warily.");
		if (!gflags[MET_DRUDGEWORTH])
			gflags[MET_DRUDGEWORTH] = true;
	
		if (UI_get_item_flag(DRUDGEWORTH, SI_ZOMBIE))
		{
			item.say("@Have ye changed yer mind? Whilst thou help me? Or are you a yellow dog not worthy of the title 'Avatar'?@");
			if (askYesNo())
			{
				say("@Slay Chuckles at the 'Blue Boar Tavern'! I will be waiting at the mirror within. Slay him in front of it. As he utters his death cry I will concentrate all my energies and tear his spirit through it to my side that I may finally wreak vengence upon him!@"); 
				say("@Since he never leaves the castle, thou mayest have to 'convince' him to meet you at the Blue Boar.  Ask him of 'Lucy' and tell him that thou knowest of his crimes and abuse of power..@");
				say("@Can I count on ye to extract me revenge? Do we have an accord?@");
				if (askYesNo())
				{
					if (UI_get_item_flag(DRUDGEWORTH, SI_ZOMBIE)) //clear angry flag
						UI_clear_item_flag(DRUDGEWORTH, SI_ZOMBIE);
						
					say("@Consider it doing the Honourable thing to rid the realm of this miscreant! I shall be waiting for thee at the Blue Boar, in the mirror after everyone has left...@"); 
					say("@Once the deed is done, you must carry his corpse with you and consign his body to the flames by journeying to the crematory near Emapth Abbey.@");
					say("@However, thou must takest care to bring the urn containing the ashes back to me that I may know not even Lord British can bring him back to the realm of the living and from my grasp!@");
					say("@Farewell.. and as a man of me word, I shall give you the location and key to me treasure trove. It has a weapon thou mayest be interested in...@");
					subtractKarma(15); //massive karma hit
					
					if (!gflags[HELP_DRUDGEWORTH]) //opens up convo flag on Chuckles
						gflags[HELP_DRUDGEWORTH] = true;
					
					if (isNearby(IOLO))
					{
						IOLO.say("Iolo speaks in a hushed tone, " + polite_title + ", I beg thee not to consider this insane offer. Now I know why we left him to rot in the dungeons! Even if we are talking about this pirates untold wealth; ridding the kingdom of Chuckles once and for all can't possibly be virtuous!@");
						IOLO.say("@I mean, granted; tis Chuckles and all, but still... @");	
						IOLO.hide();
					}
					closeMirror(item);
					return;
				
				}
				else
				{
					say("@Then begone with ye, wretch!@"); 
					UI_set_item_flag(DRUDGEWORTH, SI_ZOMBIE); //pissed him off
					closeMirror(item);
					return;
				
				}
			}
			else
			{
				say("@Then begone with ye, wretch!@"); 
				UI_set_item_flag(DRUDGEWORTH, SI_ZOMBIE); //pissed him off
				closeMirror(item);
				return;


			}
		
		}
		//standard conversation options
		var options = ["name", "job", "bye"];
		var options2 = ["I'm listening..", "no thanks"];
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@If ye hath already read me manifesto you would already know my bloody name ye damnedable fool! I be Drugeworth, the pirate lord!@");				
				add(["Drudgeworth"]);


			case "job"(remove):
				say("@I was an 'ard workin businessman until that cowardly wretch Chuckles interfered and stripped me to the bone of all that I was!@");
				add(["Chuckles"]); 

			case "Drudgeworth"(remove):
				say("@Aye ye dimwit! My name be Drugeworth.@");
				say("@Wait... Your face... I remember you!! The Great Paragon of virtue " + pronoun + "self! The Avatar of Legend! You left me to ROT in that wretched dungeon, lit only by the magically locked door that kept me within! All I begged ye for was me freedom, and ye wouldn't even do that!@");
				say("@I even offered to show ya where she was buried in return! NOW LOOK AT ME! This is all your fault for thou hast no honor!@");
				if (isNearby(DUPRE))
				{
					DUPRE.say("@Avatar, if memory serves me correctly, we ran across this poor sod in the Royal Dungeons whilst in the midst of our quest to rescue Lord British from the underworld. We did not trust him enough to release him.@*");
					DUPRE.say("@Even I must admit it odd though that Chuckles pretended to have never heard of the man. Tis now obvious they know each other.@");
					DUPRE.hide();
				}				
				add(["dungeon", "buried"]); 

			case "dungeon"(remove):
				say("@I spent nigh 20 miserable years rotting in the Royal Dungeon! I mean to avenge myself upon him. I'd have him on THIS side of the mirror that I may torture him for eternity for all the wrongs he's perpertrated upon my person and the people of Britannia.@");
				say("Drudgeworth angrily gestures at the mirror encasing him. @It seems that recently however, I've simply traded one prison for another!@");
 				say("He howls with a burst of sudden unbridled rage.");
				

			case "Chuckles"(remove): 
				say("@My dear Avatar. What you -think- you know about Chuckles is irrelevant! The truth about him is... far darker than you can imagine...@*");
				say("@He is hardly the beneficient bufoon that he portrays himself to be! What you have read in me manifesto is the side of the vicious tyrant that you have -not- known throught the ages! He'd sell 'is own muther out if he thought it'd benefit 'im!@");
			
			case "buried"(remove): 
				say("@At any rate.. Lucy was me most prized possession. Her beauty attracted the attention of men from all over, and our coffers were overflowing with gold...@*");
				say("@She was the goose that laid me the golden egg... that is until she attracted the attention of that depraved lunatic, Chuckles!@*");
				say("@He racked up quite a tab on her, and then refused mine attempts to collect up on the debt!@*");
				say("@His insatiable lust for her kept him coming back for more, with promises he would one day pay his balance. I devised a plan to extort him...@*");
				add("extort");
			
			case "extort"(remove): 			
				say("@I slipped her some green potion in her drink before she met with Chuckles at her arrainged rendevous, just enough to make her become violently ill.@*");
				say("@I swear I did not mean to kill 'er! Only make Chuckles think he did...but alas, his salacious behavior sent her over the edge and she perished. He came to me in a panic..@");
				say("@He promised he would find a way to convince Lord British to revive her upon his return, if I could help him move her body. I helped him move her to his cold storage room.@");
				say("@I immediately demanded her tab be paid, lest I reveal to the populace how Lord British's faithful servant hath behaved in his absense...@");
				add(["Lucy", "payment"]); 	
	
	
			case "payment"(remove): 
				say("@In his panic, Chuckles devised a scheme to get me the gold he owed me...@*");
				say("@He swore that he would use his authority to arrange for the guards to be absent to let us into the Royal Mint and I would have me gold..@*");
				say("@I was told to meet him there that night in the wee hours of early morning - that the doors to the Mint would be unlocked.@*");
				say("@I slipped in unnoticed, but Chuckles was nowhere to be found - only the butt of a guard's halberd at the back of mine skull, and I awoke in prison cell thou didst find me in...@*");
				say("@The coniving bastard betrayed me to the guards, and I was jailed for plotting to rob the Royal Mint!!@*");
				say("@I spent YEARS rotting in that rat infested prison because of that evil daemon spawn! Once I escaped, I swore I would have me revenge!@*");
				add(["escaped"]); 


			case "Lucy"(remove): 
				say("@Ah Lucy...her beauty attracted many men and made me quite the coin...@*");
				say("@Tis all Chuckles' fault she died! She was a victim to his depravity!@*");
				
			case "escaped"(remove): 
				say("@Aye lad. Tis a long tale indeed. Dost thou wish to hear it?@");
				if(askYesNo())
				{
					say("@I did indeed escape about 15 years or so after thou didst leave me to rot in me cell. A massive sewer system 'neath the city had started construction during that time and it was apparently decided that the basement level under the royal castle was to be sacrificed to make way for it@");
					say("@Unbeknownst to me at the time, the bloody fool Chuckles went absoultely mad finding a way to further keep me a secret from his liege until he could kill me outright.@");
					say("@I was within my cell, trying to get some sleep when I was startled by the main door to the dungeon swinging open. I made out two sets of footfalls that stopped short of my cell.. I peered through my food slot and strained to see...@*");
					say("@Though I could only see two shadowy silhouettes I immediately recognized one of them as Chuckles. The other I deduced to be a member of the royal guard.@"); 
					//say("@What amazed me was that he was there at all! Chuckles was so afraid of being associated with me that he never came down there. He likely also ensured that only one or two people at best knew my situation.@");
					say("@Chuckles spoke in a very hushed voice, stating to the guard that by Lord Britishes orders, I was to be transferred to the prisons in Yew immediately. After which he handed him some sort of leaflet.@");
					say("@Whatever was in it, I knew that it most cetainly was NOT authorized by the King. Else why would they be down here of all places discussing the matter under such secrecy?@");
					say("@I was thrown into an armoured transport cage with another prisoner...He called himself Saduj. In any event neither of us were happy with the prospect of rotting in yet another dank, rat infested prison cell.@");
					add(["Saduj"]); 
					
				}
				else
				{

					say("@Ya putrid dog, respect is earned, not given! Waste my time no further!@"); 
					closeMirror(item);
					return;
				}
			case "Saduj"(remove): 
				say("@Aye. We were ferried out in a transport cage in the night, under much secrecy. @*");
				say("@Some time had passed in route to Yew when by chance we noticed a tiny metallic strip on the floor glinting in the moonlight. Saduj reasoned it could be used to pick the cage lock. We plotted to quietly open the cage, climb topside, and jump our captors from behind!@");
				say("@My newfound friend worked the lock, and with some doing finally picked it and swung the door open. We managed to slay the guards by surprise.@*");
				say("@We plucked anything of value from the transport, and we both spied a golden locket upon the corpse of one of the guards. I reached for it, and so did Saduj. We got into a scuffle over the trinket, and he wrest it away from mine hands. The vermin ran off towards the Deep Woods.");
				say("@I took a dagger I found and threw it at him. It missed it's mark but hit him in the back of the leg and he limped off into the darkness. I never saw 'em again, but I surmise he must 'ave died a horrible death! heh heh..@*");
				say("@I wandered in the woods and made camp, and watched my first sunrise in decades...Eventually I built a cabin near the edge of the Deep Woods, where I plotted my revenge against Chuckles!@*");
				add(["revenge"]); 


			case "revenge"(remove): 
				say("@I tried all manner of getting him outside of the castle when I'd sneak into town. I couldn't enter the castle outright lest the guards butcher me on sight.@*");
				say("@Chuckles never left the damn castle, must 'ave been scared of me!!@*");
				say("@Eventually, I succumbed to an illness in mine cabin, my last thoughts revolved around what dark magic Chuckles employed to maintain his seemingly eternal youth...@");
				say("@I awoke seconds later astonished to find myself hovering above the corpse that had once been my home. Now a ghost, I resolved there and then that since I had given Chuckles the gift of a scarred psyche in life, I would drive him absolutely insane by haunting him for eternity in death!@");
				add(["haunt"]); 


			case "haunt"(remove): 
				say("@I manifested in the castle day in, day out. I wailed his name. Rattled my chains ceaselessly, banged on his door as he slept, tortured his thoughts...@*");
				say("@I invaded his dreams and turned them into living nightmares, and disrupted his job by appearing behind him as he entertained small children to scare them away!@");
				say("@He deserved no less! I vowed to never let him forget that he had killed me greatest prize possession, Lucy.@");
				say("@It was soon after that I found meself trapped in this damned mirror..@");
				add("trapped"); 


			case "trapped"(remove): 
				say("@In all truth, I'm not exactly sure how it happened...perhaps it was the enchanter.@");
				say("@I was traversing the castle grounds searching for the tyrannical Chuckles when I felt a sudden rush of wind and a feeling as if though I was being drawn downwards at high speed into a long dark tunnel, and lost consciouness, even in spirit form...@");
				say("@When I awoke, I found myself not only removed from the castle grounds, but also plunged into complete darkness, save for small slivers of light.@");
				say("@As I wandered the darkness, I found that the slivers of light were coming from mirrors I could look out from, at anyone gazing upon them!@");
				add(["mirror", "enchanter"]);
				
			case "mirror"(remove): 
				say("@It wasn't hard at that point to deduce that I was in a mirror dimension. Tis all Chuckles fault! Now thanks to him I'm only able to interact with the world of the living by communicating through mirrors.@*");
				say("@All, save those in the royal castle as it is barred to me! I am unable to extract revenge upon the wretch Chuckles myself whilst being trapped here.  Unless...@*");
				add("unless what?");
				
			case "enchanter"(remove): 
				say("@Surely Chuckles appealed to the enchanter Nystul to put a hex upon me, to banish me to this mirror prison!@*");
			
			case "unless what?"(remove): 
				say("Drudgeworth stares intently at you with a sudden look of hope in his eyes. I have a proposition for thee. I mentioned to thee that I was once a pirate. I still have untold wealth buried around the world. I would bequeath it to thee for a small favor.@");
				converse(options2)
				{
					case "I'm listening.."(remove): 
						say("@I can no longer dispense justice by haunting Chuckles as long as he remains confined within the safety of the castle walls.@"); 		
						say("@Whatever enchantment he had wove keeps me permanently at bay... It also unfortunately protects him.@");
						say("@For that I must ask thee a favor...Whilst thou help me?@*");
						if(askYesNo())
						{
							say("@Slay him at the 'Blue Boar Tavern'!!! I will be waiting at the mirror within. Slay him in front of it. As he utters his death cry I will concentrate all my energies and tear his spirit through it to my side that I may finally wreak vengence upon him!@"); 
							say("@Since he never leaves the castle, thou mayest have to 'convince' him to meet you at the Blue Boar.  Ask him of 'Lucy' and tell him that thou knowest of his crimes and abuse of power..@");
							say("@Can I count on ye to extract me revenge? Do we have an accord?@");
							if (askYesNo())
							{
								say("@Consider it doing the Honorable thing to rid the realm of this miscreant! I shall be waiting for thee at the Blue Boar, in the mirror after everyone has left...@"); 
								say("@Once the deed is done, you must carry his corpse with you and consign his body to the flames by journeying to the crematory near Empath Abbey.@");
								say("@However, thou must takest care to bring the urn containing the ashes back to me that I may know not even Lord British can bring him back to the realm of the living and from my grasp!@");
								say("@And my last request... kill him with me rusty cutlass!@ He fades slightly as he focuses his energy. An old rusty cutlass materlalizes in your hand.");
								UI_add_party_items(1, SHAPE_RUSTY_CUTLASS, QUALITY_ANY, FRAME_ANY, false);
								say("@Farewell.. and as a man of me word, I shall give you the location and key to me treasure trove. It has a powerful weapon thou mayest be interested in...@");
								subtractKarma(25); //massive karma hit
								if (isNearby(IOLO))
								{
									IOLO.say("Iolo speaks in a hushed tone, " + polite_title + ", I beg thee not to consider this insane offer. Now I know why we left him to rot in the dungeons! Even if we are talking about this pirates untold wealth; ridding the kingdom of Chuckles once and for all can't possibly be virtuous!@");
									IOLO.say("@I mean, granted; tis Chuckles and all, but still... @");	
									IOLO.hide();
								}
								if (!gflags[HELP_DRUDGEWORTH]) //opens up convo flag on Chuckles
									gflags[HELP_DRUDGEWORTH] = true;
								closeMirror(item);
								break;
								break;
							
							}
							else
							{
								say("@Then begone with ye, wretch!@"); 
								UI_set_item_flag(DRUDGEWORTH, SI_ZOMBIE); //pissed him off
								closeMirror(item);
								break;
							
							}
						}
						else
						{
							say("@Then begone with ye, wretch!@"); 
							UI_set_item_flag(DRUDGEWORTH, SI_ZOMBIE); //pissed him off
							break;
						}
					case "no thanks"(remove): 
						say("@You stand there giving me false hope that ye'd help me and all I get instead are false promises and shattered dreams! Ye aren't worthy of the title of Avatar, dog!*");
						UI_set_item_flag(DRUDGEWORTH, SI_ZOMBIE); //pissed him off
						closeMirror(item);
						break;
				}//end converse 2


			case "bye":
				say("@Thou wilt be back...@ He stares at you with a sardonic grin on his face.@");
				closeMirror(item);
				break;
		
		}//end converse                               
	}//end scripted
}
