
void Guard object# (0x326) () //"trinsic guard"
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	
	if (event == PROXIMITY)
	{
		var barks = UI_get_random(3);
		
		if (barks == 1)
			delayedBark(item, "@Beware of gargoyles!@", 0);
			
		else if (barks == 2)
			delayedBark(item, "@Is it lunch time yet?@", 0);
		else
			delayedBark(item, "@Be careful whilst traveling!@", 0);
	}
		

	if (event == DOUBLECLICK)
	{
		UI_show_npc_face(2, 0);
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hold, guard!@";
		npc_1st_greet = "@Yes, " + polite_title + "?@";
				
		av_2nd_greet  = "@Hold, guard!@";
		npc_2nd_greet = "@Yes, " + polite_title + "?@";
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		UI_show_npc_face(2, 0);
		item.say("A muscular, well armored guard.*");
		item.say("@Hello. Can I help you with something?@");
		if (askYesNo())
		{
			item.say("@Well, what can I help you with?@");
		}
		else	
		{
			item.say("@If that is all, then I'll be back about my duties.@");
			sayGoodbyeAbrupt(item, "Beware of the gargoyles!");
			return;
		}
	
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I'm not allowed to give out that information.@*");
			
			case "job"(remove):
				say("@I am one of Lord British's elite guards. We keep order throughout Britannia.@");
				add(["order", "Britannia"]); 

			case "order"(remove): 
				say("@Lately our ranks have thinned. Many have been lost in the war against the gargoyles.@*");
				add("gargoyles"); 

			case "Britannia"(remove): 
				say("@Hail Lord British! Hail Britannia! Hail the glorious Avatar!@*");
				
			case "gargoyles"(remove): 
				say("@Few of us are left to patrol the cities, and those may be sent to the shrines soon.@*");
				say("@I fear we may lose this war.@*");
				add(["patrol", "lose"]); 


			case "patrol"(remove): 
				say("@That is our only job, in times of peace.@*");
				add(["peace"]); 


			case "lose"(remove): 
				say("@Not a single shrine have we liberated. The gargoyles fight like daemons!@*");
				add(["daemons"]); 


			case "daemons"(remove): 
				say("@I have noticed a certain resemblance...@*");
			
			case "peace"(remove): 
				say("@May we see such times again!@*");
			
			case "bye":
				say("@If that is all, then I'll be back about my duties.@");
				
				avatar_goodbye = "@Carry on..@";
				npc_goodbye = "@Stay safe!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}