
void Mandrake object# (0x468) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, bard!@";
		var npc_1st_greet = "@Welcome! Welcome!@";
				
		var av_2nd_greet  = "@Hello, Mandrake!@";
		var npc_2nd_greet = "@Salutations, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A charming fellow with a peacock feather in his cap.");
			item.say("@Welcome, welcome! 'Tis always a pleasure to see a new face.@");
   			item.say("@My name is Mandrake. And what may I call thee?@");
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
			if (player_is_female)
				item.say("@A pleasure, to be sure, " + polite_title + ". I hope I'll be seeing a lot more of you.@ He gives you a sly wink.");
			else
				item.say("@Well met, sirrah!@");
			item.say("@You look like the sort who knows how to enjoy a good story.@");	
			add("story");
			
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@" + player_name + "! It's been too long. What brings you to this part of the realm?*");
			item.say("@Well, never mind that for the moment. Let me sing thee a song!@");
			add("song");
		}
		
		
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[VIRTUE_STONES])
			add("Virtue stones");
			
		if (UI_get_item_flag(item, SI_ZOMBIE) && !UI_get_item_flag(item, PETRA)) //virtue stone flag is set but haven't foudn them yet
			add("found stones");
		
	////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Mandrake, my friend, Mandrake. Like the root, but taller, handsomer, and louder.@*");
				add(["root", "louder"]); 

			case "job"(remove):
				say("@I travel all over to spread important news throughout the realm - and tales and songs as well.@");
				say("@If you have time enough, I'll favor you with all three.@");
				add(["news", "story", "song"]); 

			case "root"(remove): 
				say("@It grows in swamps, but I'm found mostly in taverns.@*");
				add(["taverns"]); 

		
			case "louder"(remove): 
				say("@So I've heard.@*");
				
			case "taverns"(remove): 
				say("@I visit them all. The Fallen Virgin and the Sword and Keg are rowdy and rough.@*");
				say("@The Blue Bottle serves Frasier's Folly - the finest ale in all Britannia.@*");
				say("@But the Cat's Lair is still my favorite.@*");
				add(["The Fallen Virgin", "The Sword and Keg", "The Blue Bottle", "Frasier's Folly", "The Cat's Lair"]); 


			case "The Fallen Virgin"(remove): 
				say("@'Tis in Buccaneer's @Den - no place for the timid.@*");
				add(["Buccaneer's Den"]); 


			case "The Sword and Keg"(remove): 
				say("@Over in Jhelom, it is. They always love a good brawl.@*");
				add(["Jhelom"]); 


			case "The Blue Bottle"(remove): 
				say("@'Tis in Moonglow.@*");
				say("@Derydlus often drinks there - the man can put away more ale than any other I've met.@*");
				say("@Many's the time he's drunk me under the table.@*");
				add(["Derydlus", "Moonglow"]); 


			case "Frasier's Folly"(remove): 
				say("@You should try some! 'Twill do thee a world of good.@*");
		
			case "The Cat's Lair"(remove): 
				say("@A wonderful place! Dr. Cat gives me free drinks just for singing.@");
                say("@He loves games of all kinds too. Mention my name to him and he'll be sure to treat thee well.@*");


			case "Buccaneer's Den"(remove): 
				say("@If thou knowest not where it is, I'll not be the one to say.@*");
		
			case "Jhelom"(remove): 
				say("@Lots of warriors there. They fight just about every night, but they don't mean anything by it. 'Tis all in fun.@*");
				
			case "Derydlus"(remove): 
				say("@Give him my regards if you see him.@*");
			
			case "Moonglow"(remove): 
				say("@Too honest a town to be much fun, but some fine people live there.@*");
				say("@You should have Penumbra tell your fortune sometime.@*");
				add(["Penumbra"]); 


			case "Penumbra"(remove): 
				say("@I hear she has strange powers.@*");
				add(["powers"]); 


			case "powers"(remove): 
				say("@Yes, the gift of prophecy.@*");
				add(["prophesy"]); 


			case "prophesy"(remove): 
				say("@So I hear.@*");
	
			case "news"(remove): 
				say("@My travels were interrupted recently in a most fearsome manner.@*");
				say("@I was captured by the gargoyles, and taken down to the other side of the world, where they held me prisoner.@*");
				say("@But such was my good fortune that one of them helped me to escape. He spoke but little of our tongue, but I believe he said his name was 'Beh Lem.@*");
				add(["gargoyles"]); 


			case "gargoyles"(remove): 
				say("@I've seen their handiwork many a time in my travels.@*");
				say("@I believe they have taken over all of the shrines of the eight virtues.@*");
				add(["virtues"]); 


			case "virtues"(remove): 
				say("@Oh, you know: honesty, compassion, valour, justice, sacrifice, honor, spirituality, and humility.@*");
				say("@That's what you get for choosing such stuffy principles as a basis.@*");
				add(["stuffy principles"]); 


			case "stuffy principles"(remove): 
				say("@Truth, love and courage... hah!@*");
				say("@If it had been up to me, I'd have chosen wine, women and song instead.@*");
				say("@Think of the virtues those would lead to!@*");
				add(["which virtues?"]); 


			case "which virtues?"(remove): 
				say("@I've thought it over...@*");
				say("@The principles of wine, women and song would lead to the eight virtues of drunkenness, sensuality, harmony, lust, laziness, dance, indulgence, and happiness.*");
				say("@Now there would be the foundation for a fine world to live in!@*");
				
			case "story"(remove):
				say("@Perhaps my stories would be worth a few coins?@*");
					if (askYesNo())
					{
						var donate = UI_input_numeric_value(1, 20, 1, 1);
						if (hasGold(donate))
						{
							chargeGold(donate);
							say("@You're too kind.@");
						}
						say("@You don't have that much.@");
					
					}
					else say("@As you wish.@*");
				say("Mandrake tells you tales for quite a while, yet listening to them you lose track of time.");
				say("He tells you of ships sailing off the edge of the world, of earthquakes, and mad wizards, and fierce battles.");
				say("He speaks of spells that halt the flow of time, a man who found a way to fly, and the strange secret of the wisps.");
				say("He tells you that there are two bands of gypsies who travel the King's Way, who are often mistaken for each other.");   
				say("He speaks of the pirate ship Empire, which was much dreaded in its day, and of the giant ants that can be found in the Dry Land.");
				say("Your head is filled with wondrous visions.");
				if (isNearby(DUPRE) && inParty(DUPRE))
					say("But finally he notices that Dupre has begun to doze off, and decides to bring his tales to an end.");
				else
					say("But finally his tales come to an end.");
   	
			case "song"(remove): 
				say("@I sing better if I keep my belly full, and my wineskin as well.@");
				say("@Would you care to donate a coin or two?@*");
					if (askYesNo())
					{
						var donate = UI_input_numeric_value(1, 20, 1, 1);
						if (hasGold(donate))
						{
							chargeGold(donate);
							say("@Thank you kindly.@");
						}
						say("@You don't have that much.@");
					
					}
					else say("@As you wish.@*");
				say("@Ok, here we go!@");
				say("@The dragon is a scaly sort, Who spouts flame when he sneezes..@");
				say("@Many a bold knight has he fought, For he goes where e'er he pleases.@*");
				say("@Mister Porcupine's naught but spines, To the dismay of him and his missus..@");
				say("@For that for which he truly pines, Is one of her sweet kisses.@");	
				say("@A gypsy girl and a butterfly, Were out in the woods at play..@");
				say("@And when I saw them I said 'Oh my! What a perfect sunny day!'@");
				
			//ADDED FOR MANDRAKE QUEST
			case "Virtue stones"(remove):
				if (!UI_get_item_flag(item, PETRA))
				{
					say("@So Kytyn told you about the Virtue Stones? Funny you should mention that...@");
					say("@...I'm afraid I no longer have them.@");
					add("where are they?");
					
				}	
				else
				{
					say("@Are you finished with the Virtue stones and ready to return them?@");
					if (askYesNo())
					{
						var stones = UI_count_objects(PARTY, SHAPE_VIRTUE_STONE, QUALITY_ANY, FRAME_ANY);
						if (stones < 1)
							say("@I don't see any Virtue stones, I hope you didn't misplace them?@");
						else if (stones > 1 && stones < 8)
							say("@Where are the rest of them? Please bring all eight of them back when you are done using them.@");
						else
						{	
							say("@Much abliged, " + polite_title + ", I cannot thank thee enough for helping me recover them from those thieves.@");
							say("@I shall return them to Kytyn as soon as I can.@"); 
							UI_remove_party_items(8, SHAPE_VIRTUE_STONE, QUALITY_ANY, FRAME_ANY);
							giveExperience(100);
						}
					}

				}				
				
			case "where are they?"(remove):
				say("@Have a seat and a drink, and I'll tell you all about it..@");
				say("@So there I was, in the Blue Bottle having a Frasier's Folly with Derydlus, to celebrate successfully making the transaction for the stones.@");
				say("@Derydlus, bless his soul, was feeling a little tipsy and pulled out one of the stones from my pack to inquire what they do. @Perhaps they are for teleportation@, says I, @ and I put them back into my backpack.@");
				say("@Unfortunately, a few ruffians were listening in from behind us. A mage named Morwyn, and a warrior named Daglar. I've had a few run ins with them in the past..@");
				say("@They must have been in Moonglow to rob the antiquities dealer. At the time, I didn't think anything of it so I continued making merry well into the night.@");
				say("@As I was leaving the Blue Bottle, they waylaid me in my inebriated state and took the Virtue stones! I suspect they delivered them to the mage who lives somewhere in the Dungeon Deciet, doing unspeakable experimentations.@"); 
				say("@I've been traveling all over Britannia in hopes of hiring some warriors to get them back for me so I can deliver them to Kytyn...@");
				add("mage");
				
			case "mage"(remove):
				say("@Aye, I belive he is called Morgoth. I know Morwyn and Daglar purloin items and things for his experimentations. I stumbled upon them once whilst exploring Hythloth.@");
				say("@I'd hate to go back to Kytyn empty handed, will you help me?@");
				if (askYesNo())
				{
					say("@I drink to thy honor, " + polite_title + "!@");
					say("@Bring them back here and I will tell you their secret. If thou dost promise to return them after thy quest is over, thou mayest use them.@");
					say("@Morgoth lives somewhere deep into the Dungeon Deceit. It is located on an island north of Moonglow. I would guarantee those daft thugs Morwyn and Daglar took them to him in hopes of making a little coin.@");
					say("@I hope he doublecrosses them someday - they would surely deserve it!@");
					say("@Good luck, and return here once you have found them to ease my mind!@");
					if (!UI_get_item_flag(item, SI_ZOMBIE))
						UI_set_item_flag(item, SI_ZOMBIE); //agreed to quest
					sayGoodbyeAbrupt(item, "Safe journey to thee!");
					break;
				}
				else 
					say("@Oh. Well, I'm sure I can find someone else, then.@");
					
			case "found stones"(remove):
				say("@You found them? Well done, " + polite_title + "!@");
				if (UI_count_objects(PARTY, SHAPE_VIRTUE_STONE, QUALITY_ANY, FRAME_ANY) > 0)
				{
					say("@Since they are safely in thy possession, thou mayest use them. I believe when the 'Recall' and 'Mark' spells are used upon them, one can teleport to the marked location.@");
					say("@I am sure that Kytyn wouldn't mind loaning them out to the Avatar, as long as you return them before your quest is over.@");
					UI_set_item_flag(MANDRAKE, PETRA); //set so you can't ask him about the quest again
					giveExperience(100);
				
				}
				else
					say("@Maybe I'm daft, but I don't see any stones in thy possession.@");
				
			case "bye":
				if (player_is_female)
					say("@Leaving so soon, " + polite_title + "? And I was enjoying your company so.@ He bows and kisses your hand.");
				else
					say("@Well, " + player_name + ", I'm glad you stopped by to chat with me. We must do it again sometime.@");
				say("I'll be glad to play another song for you when next we meet.@");
				
				var avatar_goodbye = "@Bye Mandrake!@";
				var npc_goodbye = "@Safe travels to thee, Avatar!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}