
void Myles object# (0x46d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (UI_get_schedule_type(item) == HOUND)
	{
		//reorganised to make it easier to add barks
		var barks = [
			"@Wow, neat! Two-eyes!@",
			"@Whats your name?@",
			"@Where are you from?@",
			"@You look like me!@",
			"@You are a human!@",
			"@Would you like to play?@",
			"@Come play in the castle with me!@"
		];

		var rand = UI_get_random(UI_get_array_size(barks));
		UI_item_say(item, barks[rand]);
	}

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, little one!@";
		npc_1st_greet = "@Wow!@";
				
		av_2nd_greet  = "@Hello, Myles!@";
		npc_2nd_greet = "@Yay, you're back!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A young human child.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Wow! Two-eyed people like me! You gotta go see my folks!@");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Hi again!@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[TOLD_ABOUT_CUBE])
			add("vortex cube");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I'm Myles. But Mama and Papa aren't good with names.@*");
				say("@They just call me 'tiny one'!@*");
				add(["Mama and Papa"]); 

			case "job"(remove):
				say("@Oh, I help Mama and Papa!@");
				say("@Though sometimes I think Papa wishes I were big and strong like a cyclops, so I could help more.@");

			case "vortex cube"(remove): 
				say("@There's a whole lot of junk lying around the castle.@*");
	
			case "Mama and Papa"(remove): 
				say("@They're not my real parents. Mama and Papa found me on the beach.@*");
				say("@I guess my real parents drowned or something. That was long ago. I don't remember much about it.@*");
				say("@Mama and Papa said they used to have a son of their own, but he died. So they adopted me!@*");
				add(["adopted"]); 


			case "adopted"(remove): 
				say("@We all live in that big old castle!@*");
				say("@It's a real neat place, with all sorts of rooms and cellars and stairs and stuff.@*");
				add(["cellar", "stuff"]); 
				
			case "stuff"(remove):
				say("@There's a whole lot of junk lying around the castle. Ask Mama or Papa about it.@");
				say("@Papa doesn't let me play with much of it.@");


			case "cellar"(remove): 
				say("@A lot of places are locked. Papa keeps the keys.@*");
				if (!gflags[PAPA_HAS_CUBE]) //will set cellar option on Papa
					gflags[PAPA_HAS_CUBE] = true;
	
			case "bye":
				
				
				avatar_goodbye = "@Goodbye, Myles!@";
				npc_goodbye = "@See you later!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}