
void Papa object# (0x46b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	var gave_fish_already = UI_get_item_flag(item, FREEZE);
	
	const int QUALITY_FRESHFISH	= 1;	//the quality of freshly-caught fish
	const int FRAME_FRESHFISH	= 31; //used since quality doesn't work
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, Cyclops!@";
		npc_1st_greet = "@Hoh! You human!@";
				
		av_2nd_greet  = "@Greetings..@";
		npc_2nd_greet = "@Human back!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A huge male cyclops.*");
			item.say("@Who you?@");
			UI_set_item_flag(item, MET);
		}
		else if (UI_get_item_flag(item, PETRA)) // asked about fish
		{
			if (gave_fish_already)
				item.say("@Hoh! You bring fish?@");
			else
				item.say("@You bring good fish. Bring more?@");
				
			if (askYesNo())
			{	
				if (UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_FRESHFISH) > 0) //has fresh fish
				{
						
					if (!UI_get_item_flag(item, NAKED)) //hasn't given key yet
					{
						say("@Good fish! Here, key.@");
						say("The cyclops hands you a large, rusted key.");
						UI_add_party_items(1, SHAPE_KEY, QUALITY_BASEMENT, FRAME_BASEMENT);
						UI_set_item_flag(item, NAKED); //set to prevent giving key again
						UI_set_item_flag(item, FREEZE); //gave fish already
					}
					else
						say("@Good fish! Good friend!@");
					UI_remove_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_FRESHFISH);								

				}
				else if (UI_count_objects(PARTY, SHAPE_FOOD, QUALITY_ANY, FRAME_FRESHFISH) > 0) //has fish
				{
					say("@Fish not fresh!@");
				}
				else
					say("@Where fish? No smell fish.@");
			}
			else 
				say("@No fish?@ The cyclops seems sad.");
			
		}
		else 
			item.say("@Hoh, hoh. You back!@*");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[PAPA_HAS_CUBE]) //have asked Myles or Mama bout the vortex cube
		{
			add("cellar");  
		}
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Me cyclops.@");
				say("@Tiny one say me 'Papa'.@");
				add(["Tiny one"]); 

			case "job"(remove):
				say("@Live here! Eat, hunt!@");
  				
			case "Tiny one"(remove): 
				say("@Find him on shore.@");
				say("@One-eye little one die long ago. Female want little one, so keep tiny one.@");
				say("@Not strong like one-eye little one.@");
	
			case "cellar"(remove): 
				say("@Cellar no go. Locked.@");
				add(["locked"]); 

			case "locked"(remove): 
				if (!UI_get_item_flag(item, NAKED)) //if you havne't gotten key yet
				{
					say("@Got key. Want key?@");
					if (askYesNo())
					{
						say("@Want fish!@*");
						say("@Want key, bring fish!@");
						add(["fish"]);
						UI_set_item_flag(item, PETRA); //will always ask about fish now
					}
					else 
						say("@Why ask no want?@");
				}
				else 
					say("@No got key.@");


			case "fish"(remove): 
				say("@Fish good. Like eat much fish!@");
				
			case "bye"(remove): 
				
				avatar_goodbye = "@Goodbye for now..@";
				if (!UI_get_item_flag(item, NAKED)) //if you havne't gotten key yet
					npc_goodbye = "Come back, bring fish!";
				else
					npc_goodbye = "Come back, bring more fish!";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
				
				
				
		}                               
	}
	else scheduleBarks(item);
}