
void Zoltan object# (0x42c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var USER_INPUT;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var zoltan_stiffed = UI_get_item_flag(item, PETRA);
	var kador_sad = UI_get_item_flag(KADOR, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hail, gypsy!@";
		var npc_1st_greet = "@Huzzah!@";
				
		var av_2nd_greet  = "@Might we speak again, Zoltan?@";
		var npc_2nd_greet = "@Huzzah!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (gflags[KADOR_SAD])
		{
			item.say("@Anyone who would mistreat a dog has no business with Zoltan.@");	
			sayGoodbyeAbrupt(item, "Shame!");
			return;
		}
		
		if (zoltan_stiffed)
		{
			item.say("@Hah! You again! You are no friend to Zoltan.@*");
			item.say("@I dance for you, and how do you repay me?@");
			item.say("@Perhaps a few coins might ease the sting of your insult.@");
			item.say("Do you give him any money?");		
			if(askYesNo())
			{
				var USER_INPUT = (UI_input_numeric_value(0, 20, 1, 1));
				if (hasGold(USER_INPUT))
				{
					chargeGold(USER_INPUT);
					item.say("Zoltan pockets the money. @Thanks.@");
					UI_clear_item_flag(item, PETRA); //all is well.
				}
				else  //don't have the money
				{
					item.say("@You don't have that much. I should know better than to expect a gorgio to appreciate a fine gypsy dance.@*");
					item.say("Proudly, he turns his back on you.");
					sayGoodbye2(item);
					return;
				}
			} //refuse to pay
			else 
			{
				item.say("@So be it. Leave me before I place a gypsy curse on you!@");
				sayGoodbyeAbrupt(item, "Flee my wrath!");
				return;
			}
				
		}
		
		
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A lively soul of a gypsy, with a bit of a wild look to him.*");
			item.say("@Huzzah! I am Zoltan, king of the gypsies!@");
		}
		else
			item.say("@Huzzah! I am still Zoltan, king of the gypsies!@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(ZOLTAN, NAKED)) //"met" Zoltan
			add ("Zoltan", "dance");
			
		if (UI_get_item_flag(ARTUROS, MET)) //met Arturous
			add ("Arturos");	
			
		if (gflags[ASKED_MARIAH_ABOUT_TABLET]) //asked Mariah about book and silver tablet
			add ("silver tablet");
			
		if (gflags[ASK_ABOUT_DUCK]); //asked Taynith about duck / Dr Cat
			add(["duck"]); 			


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@As I said, I am Zoltan, king of the gypsies!@");
				add(["king", "gypsies"]);
      
			case "job"(remove):
				say("@As I said, I am Zoltan, king of the gypsies!@");
				add(["king", "gypsies"]);

			case "Zoltan"(remove): 
				say("@Yes, Zoltan, king of the gypsies!@");
				add(["king", "gypsies"]);
		  
			case "king"(remove):
				say("@I have no lands nor castles, as most rulers do. Nay, for I am the king of the open road.@");
				add(["castles", "road"]);
		  
			case "Arturos"(remove):
				say("@Arturos? Never heard of him.@");
		  
			case "duck"(remove):
				say("@He licks his lips and smiles. A duck? No, haven't seen any around here.@");

			case "castles"(remove):
				say("@You cannot tie a gypsy down to a single place. We are free spirits, and must roam like the wind throughout the land.@");
				add(["free spirit", "wind"]);
      
			case "road"(remove): 
				say("@The roads wander everywhere, just like a gypsy!@");
				add(["wander"]);
      
			case "wind"(remove):
				say("@The four winds - they are gypsies too!@");
       
			case "wander"(remove):
				say("@As a gypsy's body wanders, so does his mind. Just now I am thinking of what you might buy from me today.@");
				add(["buy"]);
		  
			case "free spirit"(remove): 
				say("@Aye, my spirit is free, but my advice is not.@");
				add(["advice"]);
		  
			case "gypsies"(remove):
				say("@Ask my people for advice, or what they have to sell. Gypsies see and hear much, and occasionally happen across items of interest...@");
				add(["advice", "buy"]);
		 
			case "advice"(remove): 
			   say("@Tell you what. Since I'm in a good mood, I'll only charge you two gold coins. Is it a deal?@");
				if(askYesNo())
				{
					if (hasGold(2))
					{
						chargeGold(2);
						say("@I'll tell you this: Powder kegs are useful for persuading uncooperative doors to open.@");
					}
					else
						say("@Come back when you're not so down on your luck.@");
				}
				else
					say("@Whatever you say.@");


     
			case "silver tablet"(remove): 
				say("@I'd be glad to help you out. But 'tis a hard life, sometimes, being a gypsy.@*");
				say("@You'd be willing to pay ten gold for the information, would you?@");
				if(askYesNo())
				{
					if (hasGold(10))
					{
						chargeGold(10);
						say("@Some gorgio called 'Captain Johne' brought us the silver tablet and paid us to take it to the Lycaeum.@*");
						say("@While we were on the way there, we were ambushed by Captain Hawkins and his crew. The tablet was broken in two during the scuffle. The pirates got away with the bigger half.@*");
						say("@Hawkins took my finest earring as well - I spit on his mother's grave!@*");
						say("@Most likely they went to Buccaneer's Den with their loot. We took the corner of the tablet that they missed to the Lycaeum and sold it to Mariah.@");
					if (!gflags[LEARNED_ABOUT_CAPT_JOHNE])
						gflags[LEARNED_ABOUT_CAPT_JOHNE] = true;
					if (!gflags[LEARNED_ABOUT_TABLET])
						gflags[LEARNED_ABOUT_TABLET] = true;	
					add(["gorgio", "Captain Johne", "Hawkins", "Buccaneer's Den", "Lycaeum", "Mariah"]);
				}
				else
					say("@Come back when you have the money.@");
			}
			else 
				say("@Let me know if you change your mind.@");   

			case "Hawkins"(remove): 
				say("@He's the lowest scum I ever met.@");
       
			case "Buccaneer's Den"(remove): 
				say("@It's no place for an honest soul like you.@*");
				say("@But if you're determined to go, I hear it's on an island due east of Paws.@");
				add(["Paws"]);
     
			case "Paws"(remove):
				say("@We pass Paws often in our travels. Taynith likes to go drinking there.@");
				add(["Taynith"]);
      
			case "Lycaeum"(remove): 
				say("@It's on the same island as Moonglow.@");
				add(["Moonglow"]);

			case "Moonglow"(remove):
				say("@It's on the same island as the Lycaeum.@");
				add(["Lycaeum"]);
      
			case "Mariah"(remove):
				say("@She knows how to be generous to poor wandering gypsies. You should follow her example!@");

			case "Captain Johne"(remove):
				say("@Captain Johne? I talked to him when he gave us the silver tablet for Mariah.@*");
				say("@He's madder than a gremlin! Claims as he's been living with the gargoyles.@*");
				say("@He talks as if there's nothing evil about them. He said the tablet had something to do with translating.@");
				add(["Mariah"]);
      
			case "gorgio"(remove):
				say("@Either you're a gorgio or my name's not Zoltan!@");
				add(["Zoltan"]);
    
			case "Taynith"(remove):
				say("@There are no women like gypsy women!@");

			case "Karina"(remove):
				say("@There are no women like gypsy women!@"); 

			case "dance"(remove):
				say("Karina produces a fiddle from somewhere and begins to play a tune at a very high tempo.*");
				say("Zoltan dances a wild dance for you, leaping and capering about frantically. His chest glistens with sweat as he walks up to you expectantly.*");
				add(["Karina"]);
				say("Do you give him any money?");
					if(askYesNo())
					{
						USER_INPUT = (UI_input_numeric_value(0, 20, 1, 1));
						if (hasGold(USER_INPUT))
						{
							chargeGold(USER_INPUT);
							say("Zoltan pockets the money. @Thanks.@");
						}
						else 
						{
							say("@You don't have that much. I should know better than to expect a gorgio to appreciate a fine gypsy dance.@*");
							say("Proudly, he turns his back on you.");
							UI_set_item_flag(item, PETRA); //Zoltan Pissed.
							sayGoodbye2(ZOLTAN);
							break;
						}
			     
					}
					else 
					{
						say("@Hah! I should know better than to expect a gorgio to appreciate a fine gypsy dance.@*");
						say("Proudly, he turns his back on you.");
						UI_set_item_flag(item, PETRA); //Zoltan Pissed.
						sayGoodbye2(ZOLTAN);
						break;
					}
					
					
			case "buy":
				buyReagents(ZOLTAN);

			case "bye":
			
				var avatar_goodbye = "@Safe travels, Zoltan!@";
				var npc_goodbye = "@Farewell!@";
				
				if (!UI_get_item_flag(item, NAKED))
				{
					say("@Farewell! My fellow gypsies and I will dance to your health and good fortune!@");
					UI_set_item_flag(item, NAKED);  //"met him"
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
				}
				else	
				{
					//function that is called, do not change this:
					sayGoodbye(item, npc_goodbye, avatar_goodbye);
					break;
				}
		}                               
	}
	else
		scheduleBarks(item);
}