
void Aganar object# (0x49c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, milord.@";
		npc_1st_greet = "@Could it be..?@";
				
		av_2nd_greet  = "@Hello, milord.@";
		npc_2nd_greet = "@Ah, hello again Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A gentleman with an air of leadership about him.");
			item.say("@Thou art the Avatar! I saw thy portrait in Lord British's castle. If there be any assistance I can offer, thou needst but ask it.@");
		}
		else 
			item.say("@Good " + time_of_day + ", Avatar. Is there ought else I can aid thee with?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am Lord Aganar of Moonglow.@");
				add(["Moonglow"]);

			case "job"(remove):
				say("@I keep things running smoothly here. 'Tis not difficult in a town of such honesty.@");
  				add(["honesty"]); 

			case "Moonglow"(remove):
				say("@Verily, 'tis a fine town. Hast thou ever thought of moving here?@");
				if (askYesNo())
				{
					say("@Thou wouldst not regret it. There's good fishing off our shores, and plenty of merriment to be found over at the Blue Bottle.@");
					say("@It just so happens, there is a house for sale, on the north side of town. The previous owner...well, he had an unfortunate incident.@");
					say("@We can have the house ready for thee, if thou wishest. 300 gold pieces and it's yours. What say you?@");
					if (askYesNo())
					{
						if (hasGold(300))
						{
							chargeGold(300);
							if (UI_add_party_items(1, SHAPE_KEY, QUALITY_MOONGLOWHOUSE, FRAME_MOONGLOWHOUSE, true))
							{
								say("Aganar gives you the key. @I'll send someone to clean it up for thee. Enjoy thy new house in our fine city!@");
								sayGoodbyeAbrupt(item, "...can't believe I sold it...");
								return;
							}
							else
								say("@Come back when thou hast the room in thy pack.@");
						}
						else
							say("@Thou art short in thy funds. Come back when thou hast enough to purchase it.@");
					}
					else 
						say("@Oh well, let me know if thou dost change your mind.@");
				}
				else
					say("@Thou wouldst not regret it. There's good fishing off our shores, and plenty of merriment to be found over at the Blue Bottle.@");
				add(["fishing", "Blue Bottle"]); 


			case "fishing"(remove):
				say("@Aye, indeed.@");

			case "Blue Bottle"(remove):
				say("@Thou wilt see much drinking at the Blue Bottle Tavern, and singing, and revelry, and telling of tales. But mostly drinking.@");
				add(["drinking"]);

			case "drinking"(remove):
				say("@If thou art curious, why not go pay a visit? Thou cannot miss it - 'tis the biggest building in town.@");

			case "honesty"(remove):
				say("@Honesty is the virtue we prize most highly here in Moonglow. We are closest to the Shrine of Honesty, and indeed, the Rune of Honesty was entrusted into my care some years ago.@");
				add(["shrine", "rune"]);

			case "shrine"(remove):
				say("@Tis north of here, on Dagger Isle.@");
				add(["Dagger Isle"]);

			case "Dagger Isle"(remove):
				say("@Aye, just a ways to the north.@");
				
			case "rune"(remove):
				say("@I had it once, but I entrusted it to Beyvin's care, as he is the most honest man I know. He lives with Penumbra.@");
				if (!gflags[ASK_ABOUT_BEYVIN])
					gflags[ASK_ABOUT_BEYVIN] = true;
				add(["Beyvin", "Penumbra"]);

			case "mantra"(remove):
				say("@Penumbra might be able to help you with that.@");

			case "Beyvin"(remove):
				say("@Haven't seen him around lately. Penumbra should be able to tell you where to find him.@");

			case "Penumbra"(remove):
				say("@I can't imagine what Beyvin sees in her!@");

			case "bye":
								
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Until next we meet, then.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}