
void Ephemerides object# (0x497) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
		//Shopkeeper options
	const int FRAME_GOLD_SEXTANT = 1;
	var item_options =["nothing", "crystal ball", "sextant"];
	var item_shapes = [SHAPE_CRYSTAL_BALL, SHAPE_SEXTANT];
	var item_frames = [0, FRAME_GOLD_SEXTANT];
	var item_prices = [50, 30];

	var	initial_choice_question = "@Which of these?@";
	var	askIfInterested1 = "@It will cost you "; //split into two to capture price
	var askIfInterested2 = " gold coins, okay?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "Ephemerides looks at you. @That costs more gold than you have.@";
	var	cant_hold = "@You don't have enough room to carry it.@";
	var	saidNo = "@That was a good price.@";
	var	success = "He hands you the "; 
	var success2 = "@I hope it serves you well.@";	
	var nothing = "@As you wish..@";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		av_2nd_greet  = "@Might we speak again?@";
				
		if (UI_get_schedule_type(item) == STANDTHERE)
		{
			npc_2nd_greet = "@Shh!@";	
			npc_1st_greet = "@Shh!@";
		}
		else
		{
			npc_1st_greet = "@Ahem, yes?@";
			npc_2nd_greet = "@Ah, you've returned.@";	
			
		
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (UI_get_schedule_type(item) == STANDTHERE) //if at telescope
		{
			item.say("@The old man never turns away from his telescope.*");
			item.say("@Shhh! Can't you see I'm busy?! Whoever you are, come back in the morning.@");
			item.say("The old man adjusts the telescope, exclaims @Aha!@ and starts scribbling on a scroll.");
			sayGoodbyeAbrupt(item, "Aha!");
			return;
		}
		else

		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("A solemn man, constantly dusting and polishing the items in his shop.");
			item.say("@Ahem. Yes, what can I help you with, " + polite_title + "?@");
			
		}
		else 
			item.say("@Ahem. Yes, what can I help you with, " + polite_title + "?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(item, PETRA))
			add("glass sword");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am Ephemerides.@");

			case "job"(remove):
				say("@I am an astronomer. More precisely, I calculate movements of the stars, phases of the moons...@");
				say("@My field of specialization is tidal predictions. I also make various glasswares and instruments.@");
  				add(["moons", "instruments", "glassware", "tidal predictions"]); 

			case "instruments"(remove):
				say("@Yes, sextants mostly.@");
				add(["buy"]);

			case "glassware"(remove):
				say("@Lenses and the like.@");
				if (gflags[START_CODEX_QUEST]) //have asked Naxitalor about which type of lens to make
					add("lens");
				add("buy");

			case "tidal predictions"(remove):
				say("@Lord British has requested the publication of an almanac for use by the general populace. It will contain high tides, low tides, ebb tides, flood tides, spring tides, and neap tides.@");
				add(["tides", "neap tides", "spring tides"]);

			case "tides"(remove):
				say("@Britannia's tides are a function of the two moons, Felucca and Trammel, interacting with our world, Sosaria.@");

			case "moons"(remove):
				say("@I plan to publish a paper about how the world is flat, to dispel all this foolish talk to the contrary. Afterwards, I will construct a model of how it all works: an orrery.@");
				add(["orrery", "round"]);

			case "orrery"(remove):
				say("Pleased with your interest, Ephemerides shows you papers with plans for a clockwork model of the Sosarian system.");
				say("@This, ahem, flat piece is Britannia. Each moon would exert a pull on the oceans thus, resulting in the tides. You turn that little handle there to get it to go!@");
				say("The normally staid Ephemerides is practically giggling with glee.");

			case "round"(remove):
				say("@Absurd!@");

			case "neap tides"(remove):
				say("@Low and high tide marks are close together. The planets are in quadrature.@");
				add(["quadrature"]);

			case "quadrature"(remove):
				say("@Angular separation of two celestial bodies -as measured from a third- being ninety degrees, of course. A very safe tide.@");
				add(["tides"]);

			case "spring tides"(remove):
				say("@The opposite of a neap tide- the sun, earth and moons are all aligned. Thus, lines of low and high tide are far apart. Once I construct my orrery, I'd be able to demonstrate the principles involved.@");
				add(["orrery"]);

			case "lens"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE)) //hasn't made lense yet
				{
					if (!UI_get_item_flag(item, NAKED)) //hasn't asked to make lense yet
					{
						say("@What sort of lens do you want?@");
						if (UI_count_objects(PARTY, SHAPE_LENS, QUALITY_ANY, FRAME_GARGISH_LENS) >= 1) //look for gargish lens
						{
							say("@Ooooh, let me see it... That's a very interesting lens. You need a concave copy of it? Let me think...@*");
							say("@It would be very tricky to duplicate, being magical in nature, but I believe I might be able to do it.@*");
							say("@The material and the nature of the enchantment appear similar to those involved in the making of glass swords. If I could keep this to analyze while you go get me a glass sword, I'll try and make a copy for you.@*");
							say("Before you can protest, he pockets the lens.");
							
							//can now ask Dale in Minoc about glass swords
							if (!UI_get_item_flag(DALE, SI_ZOMBIE))
								UI_set_item_flag(DALE, SI_ZOMBIE);
							
							say("@Let me know when you have the glass sword.@");
							UI_remove_party_items(1, SHAPE_LENS, QUALITY_ANY, FRAME_GARGISH_LENS);
							UI_set_item_flag(item, NAKED); //asked to make lens
							UI_set_item_flag(item, PETRA); //need glass sword
							add(["glass sword"]);
						}
					}
					else
						say("@When you bring me a glass sword, I should be able to duplicate your lens for you.@");		
					add(["glass sword"]);

				}
				else
					say("@I hope the lens I made you will prove suitable.@");
	
			case "glass sword"(remove):
				if (!UI_count_objects(PARTY, SHAPE_GLASS_SWORD, QUALITY_ANY, FRAME_ANY) >= 1)
				{
					say("@I once heard of a master glassblower who could make glass swords...@");
					add(["master glassblower"]);
				}
				else  //has glass sword
				{
					say("@Ah, you've brought me a glass sword! Let me just get your lens...@*");
					say("He fumbles through his pockets. @Oh no! I seem to have lost the lens!@*");
					say("@Just kidding... Here it is. Now I'll melt down the glass sword and try to cast a lens for you.@");
					say("You watch as he works, intently focused on his task. Finally he pronounces the job a success.*");
					say("@Here's your lens back, and the duplicate. There's no charge - the challenge of the task was reward enough. I don't know what you need these lenses for, but I wish you luck!@");
					UI_set_item_flag(item, SI_ZOMBIE); //made lense
					UI_add_party_items(1, SHAPE_LENS, QUALITY_ANY, FRAME_GARGISH_LENS);
					UI_add_party_items(1, SHAPE_LENS, QUALITY_ANY, FRAME_HUMAN_LENS);
					
					//soy ou can't ask about glass sword
					UI_clear_item_flag(item, PETRA);
				}

	

			case "master glassblower"(remove):
				say("@Minoc is the logical place to look. That town is filled with master craftsmen. Why, I once heard of a man from Minoc who built a flying machine!@");
				if (!gflags[LEARNED_ABOUT_FLYING])
					gflags[LEARNED_ABOUT_FLYING] = true; //set for asking people in minoc about balloon
				add(["flying machine"]);

			case "flying machine"(remove):
				say("@Must have been a fairy tale, of course.@");

			
			case "buy":
				
				if (shop_is_open)
					buyItems(item, item_options, item_prices, item_shapes, item_frames, dialog);
				else
					say("@Come to my shop when its open!@");


			case "bye":
								
				avatar_goodbye = "@Thanks..@";
				npc_goodbye = "@It was nice talking with you.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}