
void Manrel object# (0x49d) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		npc_1st_greet = "@Ah, hello there.@";
				
		av_2nd_greet  = "@Hi again..@";
		npc_2nd_greet = "@@Yes, " + polite_title + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A pipe-smoking gentleman with the symbol of the Codex tattooed on his forehead.*");
		item.say("@Greetings to you, " + polite_title + ".@*");
		
		//standard conversation options
		var options = ["name", "job", "bye", "tattoo"];
		
		if (gflags[ASK_ABOUT_BEYVIN]) //asked Penumbra or Aganar about Beyvin
			add ("Beyvin");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@My name is Manrel.@");

			case "job"(remove):
				say("@I'm a woodworker. I also dabble in alchemy from time to time.@");
  				add(["woodworker", "alchemy"]); 

			case "woodworker"(remove):
				say("@I make furniture, cabinets, walking sticks, and the like. Perhaps I can make something for you someday.@");

			case "alchemy"(remove):
				say("@I'm trying to learn how to make healing potions, but I don't have the formula right yet. I did stumble across a wicked recipe for red mead, though.@");
				add(["red mead"]);

			case "red mead"(remove):
				say("@Alas, there's little call for my brew in this town, with the Blue Bottle serving Frasier's Folly.@");
				add(["Frasier's Folly", "Blue Bottle"]);

			case "Blue Bottle"(remove):
				say("@A fine establishment.@");

			case "Frasier's Folly"(remove):
				say("@One of the finest libations you'll find anywhere.@");
				add(["libations"]);

			case "libations"(remove):
				say("@Libation or liability - take your pick.@");
				
			case "tattoo"(remove):
				say("@I went drinking with some friends the night we heard of the discovery of the Codex. When I woke up the next morning, I had this tattoo.@");
				
			case "Beyvin"(remove):
				if (!UI_get_item_flag(item, NAKED)) //hasn't given key yet
				{
					say("@Oh, have you been to visit my cousin's grave?@");
					if (askYesNo())
					{
						say("He looks at you suspiciously. @You wouldn't be wanting the key to his crypt, would you?@");  
						if (askYesNo())
						{
							if ((UI_add_party_items(1, SHAPE_KEY, QUALITY_BEYVIN_CRYPT, 9, true) && (UI_add_party_items(1, SHAPE_PLANT, 1, FRAME_DAFFODIL, true))))
							{
								say("@Well, perhaps you have your reasons... Okay, you can have the key. But you have to take these flowers and leave them there.@");
								UI_set_item_flag(item, NAKED); //gave key and flowers
								add(["flowers"]);
							}
							else
								say("@You're carrying too much right now. Come back for it later.@");
						}
						else
							say("@Well, alright then.@");
					}
					else 
						say("@My mistake.@");
				}
				else 
				{
					say("@I hope you got a chance to deliver the flowers.@");
					add(["flowers"]);
				}

			case "flowers"(remove):
				say("@Daffodils were always his favorites... It's too bad I couldn't find any.@");
				add(["daffodils"]);

			case "daffodils"(remove):
				say("@Yes, daffodils.@");

			case "bye"(remove):
				if (player_is_female)
					say("@Take care, my dear. I hope I'll see you again soon.@");
				else
					say("@It was a pleasure speaking with you.@");
						
				avatar_goodbye = "@Goodbye, Manrel.@";
				npc_goodbye = "@Take care.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}