void Mariah object# (0x499) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, old friend.@";
		npc_1st_greet = "@Avatar, thou hast returned!@";
				
		av_2nd_greet  = "@Hello again, Mariah..@";
		npc_2nd_greet = "@Greetings, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A freckled young lady with an enchanting smile.*");
			item.say("@" + player_name + ", it has been a long time since thou wert in our realm! How can I help thee in thy noble quest?@*");

		}
		else 
			item.say("@Good " + time_of_day + ", " + polite_title + ", can I help thee?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	
		if (gflags[ASKED_NYSTUL_ABOUT_BOOK]) 
			add ("book");
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@They call me Mariah, as thou knowest.@");
				
			case "job"(remove):
				say("@I'm the newest member of the Council of Wizards. Somebody has to keep things running smoothly.*@");
				say("@In my spare time I use the library to pursue my own studies.@");
  				add(["Council of Wizards", "library"]); 

			case "Council of Wizards"(remove): 
				say("@They get so caught up in their work sometimes that they forget even to eat and sleep!@");
				add(["eat and sleep"]);

			case "library"(remove):
				say("@'Tis the finest library in all Britannia. I study many different things, but I find learning old languages the most interesting.@*");
				say("@One can learn so much about how our own language developed!@");

			case "eat and sleep"(remove):
				say("@Such things matter little to them. They often dwell apart from the realm of the senses.@");
				add(["senses"]);

			case "senses"(remove):
				say("@Aye, indeed.@");
			
			case "book"(remove):
				say("@Nystul sent word to me that thou hast a book written in a strange tongue.@");
				if (UI_count_objects(PARTY, SHAPE_BOOKOFPROPHESIES, QUALITY_ANY, FRAME_ANY) > 0) //checks party for item
				{
					say("@I'd be glad to look at it for thee.@ She examines the book.*");
					say("@Oh! I've seen this script before! I have part of an ancient silver tablet in my study with writing both in our language and this. I have learned only a little from studying it, but I can make out a few words.@");
					say("@The title is 'The Book of Prophecies,' and it says something about 'the end of our world.'@*");
					say("@If only I had the other half of the tablet, perhaps I'd be able to decipher the rest of the book.@");
					gflags[ASKED_MARIAH_ABOUT_BOOK] = true;
					UI_clear_item_flag(NYSTUL, SI_ZOMBIE); //allows regular convos with Nystul.
					add(["silver tablet", "decipher book"]);
				}
				else 
					say("@I'd not mind looking at it for thee...But I'd find the task much easier if thou wouldst bring it here!@"); //oops, lost the book



			case "silver tablet"(remove):
				if (!gflags[ASKED_MARIAH_ABOUT_TABLET])  //haven't asked about it yet
				{
					say("@I got my piece of the tablet from some gypsies whom I met at a pub. Mayhap they can tell thee where to look for the other piece.@");
					say("@Bring both pieces of the tablet here and I will tell thee what I can.@");
					gflags[ASKED_MARIAH_ABOUT_TABLET] = true; //asked Mariah about tablet, can now ask Zoltan about it. 
				}
				else if (UI_count_objects(PARTY, SHAPE_SILVER_TABLET, QUALITY_ANY, FRAME_PIRATE) > 0) //checks party for item
				{
					if (UI_count_objects(PARTY, SHAPE_SILVER_TABLET, QUALITY_ANY, FRAME_MARIAH) > 0) //checks party for item
					{
						say("@Ah, thou hast found the rest of the tablet! With the two of them together I should be able to tell you more.@");
						UI_set_item_flag(item, PETRA);
						add(["decipher book"]);
					}
					else 
						say("@Ah, thou hast found the rest of the tablet! Go get the other half from my study and bring it here. With the two of them together I should be able to tell you more.@"); //doesn't have Mariah's tablet
				}
				else
				{
					if (UI_count_objects(PARTY, SHAPE_SILVER_TABLET, QUALITY_ANY, FRAME_MARIAH) > 0) //has Mariah's tablet, but not Pirate one
					{
						say("@I must have both halves of the tablet before I can tell you any more. This piece I have had for quite some time, and I've learned all I can from it.@");
					}
					else
						say("@I must have both halves of the tablet before I can tell you any more.@"); //no tablets								
				}
	
				


			case "decipher book"(remove):
				if (UI_count_objects(PARTY, SHAPE_BOOKOFPROPHESIES, QUALITY_ANY, FRAME_ANY) > 0) //checks party for item
				{
					if ((UI_count_objects(PARTY, SHAPE_SILVER_TABLET, QUALITY_ANY, FRAME_MARIAH) > 0) && (UI_count_objects(PARTY, SHAPE_SILVER_TABLET, QUALITY_ANY, FRAME_PIRATE) > 0)) //has both pieces of Mariah's tablet
					{
						if (!gflags[MARIAH_READ_TABLET])
							gflags[MARIAH_READ_TABLET] = true;
						say("@With both pieces of the tablet, I should be able to work out a translation.@ She studies the tablet for a while, and then starts reading, haltingly, from the book.*");
						say("@An ancient prophecy tells of the final days, when the end of our world shall come.@*");
						say("@Three signs will precede the end.*@");
						say("@Thrice shall a being of great evil come unto our land, and by this it shall be known that the end is nigh.@*");
						say("@This evil one is of another race, who consider the evil one a great prophet.@*");
						say("@Yet this false prophet follows not the principles of Control, Passion and Diligence.@*");
						say("@One day the false prophet will come and desecrate our most holy shrine.@*");
						say("@And the false prophet will steal our most holy artifact, the Codex of Ultimate Wisdom.@*");
						say("@This shall be the first sign of the end.@*");
						say("@Then, it is written, the false prophet shall descend deep into the bowels of the earth.@*");
						say("@And the false prophet will cause the underworld to collapse.@*");
						say("@This will cause great earthquakes to tear our world asunder, and there will be a time of plague and famine.@*");
						say("@This shall be the second sign of the end.@*");
						say("@One last time shall the false prophet come.@*");
						say("@This time, the false prophet will come with a band of warriors.@*");
						say("@And they will destroy all that remains of the gargoyle race.@*");
						say("@There is only one way that this prophecy may be averted: That is by the sacrifice of the false prophet...@*");
						say("Mariah pauses for a while, deep in thought. @When they refer to 'the false prophet,' they must mean you.@ she says.");
						say("@It would seem that they have reason to think you evil, from their perspective. This is a difficult matter to resolve. I think you'd better seek out more information.@*");
						say("@There's a gargoyle named Sin'Vraal living out in the desert. He speaks our language. Perhaps he could tell you more about this book, and of how the gargoyles view us.@");
						if (!UI_get_item_flag(item, SI_ZOMBIE))
						{
							UI_set_item_flag(item, SI_ZOMBIE);
							giveExperience(75);
						} 							

					}
					else
						say("@I must have both halves of the tablet before I can tell you any more.@"); //no tablets								
				}
				else 
					say("@I'd not mind looking at it for thee...But I'd find the task much easier if thou wouldst bring it here!@"); //oops, lost the book

			case "bye":
											
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Fare thee well!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}