
void Rob object# (0x498) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	const int FRAME_FRASIERS_FOLLY = 14; //frothy mug
	
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

				
				
				
	//Shopkeeper options
	//sellFood(var npc, var food_drink_options, var prices, dialog)
	
	var food_drink_options =["nothing", "mead", "ale", "wine", "Frasier's Folly", "baked brie","bread" ];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_FRASIERS_FOLLY, FRAME_BRIE, "FRAME_BREAD"];
	var prices = [5, 7, 6, 7, 6, 3];

	var	initial_choice_question = "@I sell mead, wine, bread, baked brie, and the house brew, Frasier's Folly.@";
	var	askIfInterested1 = "@That'll be "; //split into two to capture price
	var askIfInterested2 = " crowns, okay?@";
	var ask_quantity = "@How many do you want?@";
	var	cant_afford = "@You can't afford it right now.@";
	var	cant_hold = "@You haven't any room in your pack.@";
	var	saidNo = "@Suit yourself.@";
	var	success = "He gives you the "; 
	var success2 = "@. Enjoy!@";	
	var nothing = "@Anything else you need?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];				
				
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me, barkeep..@";
		npc_1st_greet = "@Coming, " + polite_title + ".@";
				
		av_2nd_greet  = "@Hello again.@";
		npc_2nd_greet = "@Welcome back, " + polite_title + ".@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A short, congenial fellow.*");
			item.say("@Welcome to the Blue Bottle Tavern.@");

		}
		else 
			item.say("@Anything else I can do for you?@");

		
		//standard conversation options
		var options = ["name", "job", "bye"];


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I'm Rob Frasier.@");

			case "job"(remove):
				if (!shop_is_open)
				{
					say("@I sell mead, wine, bread, baked brie, and the house brew, Frasier's Folly.@");
					say("@Come by the Blue Bottle Tavern during business hours and I'll be glad to serve you.@");
				}
				else
					sellFood(ROB, food_drink_options, prices, food_drink_frames, dialog);


			case "bye":
				
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@See you later.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}