
void Thariand object# (0x49e) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//determine if npc chosen can train in magic at all
	var can_npc_train; 
				
				
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Excuse me..@";
		npc_1st_greet = "@Just a moment...@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@Hello again, " + polite_title + ".";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A busy looking man wearing a blue robe.");
		item.say("@So many books to keep organized, it's a wonder I have any time for my own studies...@");
		item.say("@Can I help you with something?@*");

		
		//standard conversation options
		var options = ["name", "job", "bye"];
		if (gflags[ASK_THARIAND_ABOUT_SHRINE]) //asked Xiao about shrine
			add ("shrine");
		
		var options2 = ["fiction", "non-fiction", "reference", "nothing"];
		
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I am Thariand, of the blue star.@");
				add(["blue star"]); //if another convo branch opens up

			case "job"(remove):
				say("@I'm the librarian. I prefer to spend my time studying magic, but I also teach it on the side, for a fee of course. I can also help you find some books if you keep it quick.@");
  				add(["magic", "books", "teach magic"]); 

			case "blue star"(remove): //replace "blank" in the case with the 
				say("@All the students of Nicodemus bear this sign.@");
				if (!gflags[LEARNED_ABOUT_NICODEMUS]) //lets you ask others about Nicodemus
					gflags[LEARNED_ABOUT_NICODEMUS] = true;
				add(["Nicodemus"]);
				
			case "teach magic":
				say("@I charge 55 gold for each training session, since my time is valuable and I am a very busy man. Which of you wishes to learn?@");
				//choose party member to train
				var party_member = 	selectWhoTrains();
				
				//get party member name, training points, int, and magic
				var party_member_name = UI_get_npc_name(party_member);
				var training_points = UI_get_npc_prop(party_member, TRAINING);
				var npc_magic = UI_get_npc_prop(party_member, MAX_MANA);
				var npc_int = UI_get_npc_prop(party_member, INTELLIGENCE);
				
				//get player gold 
				var player_gold = UI_count_objects(PARTY, SHAPE_GOLD, QUALITY_ANY, FRAME_ANY);
				
				if (training_points < 3)
					say("@I sense you aren't ready to learn yet. Come back when you have more experience with spellcasting.@");
				else if (npc_magic < 1)
					say("@I sense that you haven't any magical abilities! I cannot help you.@");
				else if (npc_magic > 29)
					say("I sense that your abilities have surpassed even mine!@");
				else
				{
					if (hasGold(55))
					{
						chargeGold(55);
						say("You pay 55 gold and the training session begins.");
						if (party_member == AVATAR)
							say("You and Thariand dive into the pages of several tomes. Following an extensive study session, you find the ability to comprehend and dissiminate much more information than ever before. In addition, you have a better grasp at the theory behind spellcasting.");
						else	
							say("" + party_member_name + " and Thariand dive into the pages of several tomes. Following an extensive study session, " + party_member_name + " finds the ability to comprehend and dissiminate much more information than ever before. In addition, " + party_member_name + " has a better grasp at the theory behind spellcasting.");
							
						//add magic points
						var npc_int = UI_get_npc_prop(party_member, INTELLIGENCE);
						var mana_bonus = (npc_int - npc_magic + 1) / 2;
					
						UI_error_message("Magic points added to npc " + mana_bonus);						
						UI_set_npc_prop(party_member, MAX_MANA, mana_bonus); //should make it full	
						
						//subtract training points:
						if (mana_bonus >= 3)
							UI_set_npc_prop(party_member, TRAINING, -3);
						else if (mana_bonus == 2)
							UI_set_npc_prop(party_member, TRAINING, -2);
						else if (mana_bonus == 1)
							UI_set_npc_prop(party_member, TRAINING, -1);
							
							
					}
					else
						say("@Sorry, but you only have " + player_gold + " coins. I am much too busy to teach it for free.@");
				}
					
				

			case "Nicodemus"(remove):
				say("@He lives southeast of Yew.@");
				add(["Yew"]);

			case "Yew"(remove):
				say("@Somebody there should be able to give you directions.@");
				
			case "magic"(remove):
				say("@Were I to master all the arcane lore contained within these volumes, I'd be the greatest sorcerer of all time!@*");
				say("@Of course, finding all the right books is no small task...@");
				
				
			case "books"(remove):
				say("@Were you interested in: A. Fiction B. Non-fiction C. Reference?@");
				converse(options2)
				{

					case "fiction"(remove):
						say("@In that category I can recommend- The Caverns of Freitag...@*");
						say("@Around the World in a Washtub...@*");
						say("@The Wizard of Oz@");


					case "non-fiction"(remove):
						say("@In that category I can recommend- Mating Rituals of the Northern Plains Centaur...@*");
						say("@Of Dreams and Visions...@*");
						say("@The Lost Art of Ballooning...@");
						say("@Summoning Incubi for Fun and Profit.@");
						

					case "reference"(remove):
						say("@In that category I can recommend- Dilzal's Almanac of Good Advice...@*");
						say("@Priliwig's Universal Compendium of Knowledge...@*");
						say("@The Lost Book of Mantras.@");
	 

					case "nothing"(remove):
						say("@Fine. You should have no trouble finding what you want once you have the call number.@*");
						say("@You do understand how our books are organized, don't you?@");
						if (askYesNo())
						{
							say("@Good. I have more important things to do than explain it to you.@");
							break;
						}
						else 
						{
							say("@Well then, I'd suggest you look it up in The Beginner's Guide to the Dewey Decimal System. Its call number is T17 0035 r16RL.5 v43.@");
							add(["Beginner's Guide to Dewey Decimal System"]);
						}



					case "Beginner's Guide to Dewey Decimal System"(remove):
						say("@Oh, I'm sorry, I just remembered. That book was checked out last week. Try coming back for it later.@");
						break;

				}//end options2

			case "shrines"(remove):
				say("@We have a book that tells the history of the shrines. If only I could remember the title...@");


			case "bye"(remove):
				say("@Remember, any books you take out of here are due back before the next bipolar lunar conjunction!@");
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@Must get back to work..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}