void Antonio object#(0x486) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	

    if (event == DOUBLECLICK)
    {
        var av_1st_greet = "@Greetings, milord.@";
        var npc_1st_greet = "@Greetings!@";
        var av_2nd_greet = "@Might we speak again?@";
        var npc_2nd_greet = "@Greetings, " + player_name + "!@";

        //call convo script
        startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet);
    }

    if (started_talking)
    {
        //reset schedule for after convo
        UI_run_schedule(item);

		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A gentleman of slight build and refined manners.*");
			item.say("@Greetings! I am Lord Antonio. Might I ask thy name? " + player_name + ", the pleasure is all mine.@*");

		}
		else
			item.say("@Greetings, " + player_name + "! What brings thee here this " + time_of_day + "?@");

		//standard conversation options
		var options = ["name", "job", "bye"];
		var options2 = ["don't know"];
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			add("humility");

		if (UI_get_item_flag(CHARLOTTE, SI_ZOMBIE))
			options2 = options2 & "Charlotte";

		if (UI_get_item_flag(WILLIAM, SI_ZOMBIE))
			options2 = options2 & "William";

		if (UI_get_item_flag(CONOR, SI_ZOMBIE))
			options2 = options2 & "Conor";

		if (UI_get_item_flag(KATRINA, SI_ZOMBIE))
			options2 = options2 & "Katrina";

		if (UI_get_item_flag(DUNBAR, SI_ZOMBIE))
			options2 = options2 & "Dunbar";

		if (UI_get_item_flag(AURENDIR, SI_ZOMBIE))
			options2 = options2 & "Aurendir";

		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))
			options2 = options2 & "Antonio";

	
////////////////////////////////////////////////////////////////////
// Main conversation thread                                         
////////////////////////////////////////////////////////////////////

        converse(options)
        {
			case "name"(remove):
				say("@My name is Antonio.@");

			case "job"(remove):
				say("@I govern New Magincia. Fortunately the fine people of this town have few disputes to settle, leaving me plenty of time for my hobby.@");
  				add(["New Magincia",  "hobby"]); 

		
			case "New Magincia"(remove):
				say("@The city of humility is a lovely place to live.@");
				if (!UI_get_item_flag(ANTONIO, NAKED)) //haven't got rune yet
					add(["humility"]);
					

			
			case "hobby"(remove):
				say("@I do magic tricks. It brings a bit of cheer into this imperfect world.@");
				add(["magic tricks"]);

			case "magic tricks"(remove):
				say("@Wouldst thou like to see one?@");  // yes/no question
				if (askYesNo())
				{
					say("@Splendid!@ Antonio reaches into his pocket and takes out a balloon. He blows it up until it bursts, and four doves appear from inside it, flying off towards the four points of the compass.");
					say("@Did you enjoy that?@");  
					if (askYesNo())
					{
						say("@I knew you would. That's my favorite trick!@");
					}
					else say("@Too bad. Perhaps I should learn a better trick.@");

				}
				else say("@As you wish@");  // if answered no

			case "humility"(remove):
				say("@The most humble one amongst us knows the mantra. If thou canst find out who that is, tell me, and I will give thee the rune.@");
				if (!UI_get_item_flag(item, SI_ZOMBIE))//set so you can ask him if he is the most humble
					UI_set_item_flag(item, SI_ZOMBIE);
				
				say("@Dost thou know who is the most humble person in this town?@"); 
					if (askYesNo())
					{
						say("@Then what is that person's name?@");
						converse(options2)
						{
							case "don't know"(remove):
								say("@Keep asking around.@"); 
								break;
							
							case "Conor"(remove):
								say("@Very astute of thee! Here is the rune, and I wish thee success on thy mission.@");
								UI_add_party_items(1, SHAPE_RUNE, QUALITY_ANY, FRAME_HUMILITY);
								UI_set_item_flag(ANTONIO, NAKED); //got rune flag
								sayGoodbyeAbrupt(item, "Good luck, Avatar!");
								return;
								break;

							case "Katrina"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@"); 
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;
								
							case "Aurendir"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@"); 
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;
								
							case "Charlotte"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@"); 
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;	
								
							case "Dunbar"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@"); 
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;	
								
							case "William"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@"); 
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;
							case "Antonio"(remove):
								say("@Tis not fitting that thou shouldst guess. Make sure thou dost know the answer before you speak with me again.@");  //  sub_karma(5);
								subtractKarma(5);
								sayGoodbye2(item);	
								break;
								return;
				
						}//end convo option 2

					} 
					else
						say("@Keep asking around.@"); 
			case "bye":
				say("@Until we meet again, may your road be short and your fortunes long.@");
							
				npc_goodbye = "@Until we meet again..@";
				avatar_goodbye = "@Goodbye!@";
				
			//function that is called, do not change this:
			   sayGoodbye(item, npc_goodbye, avatar_goodbye);
			   break;
        }
	}
	else
		scheduleBarks(item);
}

