
void Charlotte object# (0x485) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	var FRAME_RAND = UI_die_roll(0, 4);

	const int WOOL_BUY_PRICE = 10;
	const int CLOTH_SELL_PRICE = 25;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == SEW)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@A moment, milady..@";
		npc_1st_greet = "@Yes " + polite_title + "?@";
				
		av_2nd_greet  = "@Greetings, Charlotte..@";
		npc_2nd_greet = "@Hello again..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A pretty young woman with downcast eyes.*");
			item.say("@Good " + time_of_day + ", " + polite_title + ".@*");
		}
		else 
			item.say("@Hello again, " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[READ_BALLOON_PLANS] || UI_get_item_flag(item, PETRA)) //read plans OR asked Fyodor in Britain about silk
			add("silk");

		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE)) //ask if most humble
			add ("humility");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{	
			case "name"(remove):
				say("@I am called Charlotte Weaver, " + polite_title + ".@");
										
			case "job"(remove):
				say("@I am but a humble weaver, " + polite_title + ".@");
  				add(["weaver"]); 

			case "weaver"(remove):
				say("@I turn wool into cloth. I am not very good, but some people take pity on me and buy my cloth anyway.@");
				add(["wool", "buy"]);

			case "buy":
				if (shop_is_open)
				{
					say("@Wouldst thou like some cloth? My cloth costs 25 gold. Interested, " + player_name + "?@");
					if (askYesNo())
					{
						if (hasGold(CLOTH_SELL_PRICE))
						{
							if (UI_add_party_items(1, SHAPE_CLOTH, QUALITY_ANY, FRAME_RAND, true))
							{
								chargeGold(CLOTH_SELL_PRICE);
								say("@Many thanks!@ After accepting your gold, Charlotte hands over the cloth.@");
							}
							else 
								say("@But 'twould make thee o'erburdened, " + player_name + "!@");
						}
						else 
							say("@But thou hast not enough gold, " + player_name + "!@");
					}
					else
						say("@As you wish, " + polite_title + ".@");
				}
				else
					say("@Come to my shop when I'm open!@");

			case "wool":
				if (shop_is_open)
				{
					say("@Hast thou some wool to sell?@"); 
					if (askYesNo())
					{
						if ((UI_count_objects(PARTY, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY) > 0))
						{
							say("@Will you take 10 gold crowns for a bale of wool, " + player_name + "?@");					
							if (askYesNo())
							{
								giveGold(10);
								say("@Done!@ Charlotte hands you 10 gold pieces and takes the wool.@");
								UI_remove_party_items(1, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY);
							}
							else
								say("@Perhaps some other time, then.@");
						}
						else
							say("@Begging thy pardon, but I see no wool!@");
					}
					else
						say("@Perhaps some other time, then.@");
				}
				else 
					say("@Come to my shop when I'm open!@");



/////Balloon quest references-cross reference with Paws npcs


			case "silk"(remove):    
				if (shop_is_open)
				{
					if ((UI_count_objects(PARTY, SHAPE_SILK_THREAD, QUALITY_ANY, FRAME_ANY) > 0))
					{
						say("@Aye, " + player_name + ", I can weave thy silk thread into cloth. It will cost thee 10 gold. Interested?@");					
						if (askYesNo())
						{
							if (hasGold(10))
							{
								chargeGold(10);
								say("Turning to her loom, Charlotte soon weaves the thread into fine silk cloth.");
								say("@Finished!@ She takes your gold and hands over the cloth.");
								UI_add_party_items(1, SHAPE_SILK_CLOTH, QUALITY_ANY, FRAME_ANY);
								UI_remove_party_items(1, SHAPE_SILK_THREAD, QUALITY_ANY, FRAME_ANY);
								add("silk bag");
							}
							else 
								say("@Begging thy pardon, " + player_name + ", but thou dost not have 10 gold!@");  // not enough gold on party								

						}
						else
							say("@Thou knowest best, " + player_name + "@.");
					}
					else
						say("@Begging thy pardon, " + polite_title + ", but I see no silk!@");
				}
				else 
					say("@Come to my shop when I'm open!@");

			case "silk bag"(remove):  
				say("@I'm not sure what you mean.@");  // check to see if object 241 is in party
				if ((UI_count_objects(PARTY, SHAPE_SILK_CLOTH, QUALITY_ANY, FRAME_ANY) > 0)) //checks for silk cloth
				{
					say("@Take the cloth to Marissa. Mayhap she can sew it into a bag for thee.@");  //has cloth
					add(["Marissa"]);
				}
				else if ((UI_count_objects(PARTY, SHAPE_SILK_THREAD, QUALITY_ANY, FRAME_ANY) < 1)) //has no silk thread
				{
					say("@If you had some silk thread, I could help thee. Go ask Arbeth if he has any to spare.@");
					add(["silk thread", "Arbeth"]);
				}						
				else
				{
					say("@I can weave that silk for thee... Then thou should speak with Marissa.@"); //has silk thread
					add(["silk thread", "Marissa"]);
				}


			case "Marissa"(remove):
				say("@She lives in Paws.@");

			case "Arbeth"(remove):
				say("@He lives in Paws.@");
			
	
			case "humility"(remove):			
				if (!UI_get_item_flag(item, SI_ZOMBIE)) //ask about humility
				{
					say("@Tis really not my place to speak of that, " + polite_title + ". But honesty is a virtue too, and honesty forces me to admit that I am the humblest person in New Magincia.@");
					giveExperience(5);
					UI_set_item_flag(item, SI_ZOMBIE);
				}
				else
				{
					say("@Tis really not my place to speak of that, " + polite_title + ". But honesty is a virtue too, and honesty forces me to admit that I am the humblest person in New Magincia.@"); 
				}
	
			case "bye":
							
				avatar_goodbye = "@Goodbye for now..@";
				npc_goodbye = "@Farewell, " + polite_title + "!@";
								
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}