void BehLem object# (0x4bf) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var PARTYMEMBER = getSixth(party);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, NAKED); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo


	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, gargoyle.@";
		if (!gflags[READ_GARGISH_SCROLL])
			npc_1st_greet = "@Are.. human!@";
		else if (!UI_get_item_flag(item, PETRA))
			npc_1st_greet = "@To greet you, False Prophet.@";
		else
			npc_1st_greet = "@Yes, Avatar?@";
			
		av_2nd_greet  = "@Beh Lem..@";
		npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		
		item.say("A small, light-skinned gargoyle.*");

		if (!gflags[READ_GARGISH_SCROLL]) //haven't met Beh lem yet, haven't read scroll. 
		{
			item.say("The gargoyle greets you enthusiastically, but you can't understand him!*");
			item.say("Seeing your confusion, he switches to the human language. It's obviously a strain for him.");
			item.say("@Hello. I little human speak.@");
			add ("speak");	
			if (isNearby(DUPRE))
			{
				DUPRE.say("@" + player_name + ", let's away from here.  There's naught of use this creature can tell us. Agreed?@");
				if (askYesNo())
				{
					item.say("The confused gargoyle waves good-bye.");
					UI_clear_item_flag(item, MET);
					sayGoodbye2(item);
					return;
				}
				else
				{
					DUPRE.say("@As you wish, " + polite_title + ".@");
					DUPRE.hide();
				}
			}
			else
			{
				
				if (isNearby(IOLO))
				{
					IOLO.say("@" + player_name + ", let's away from here.  There's naught of use this creature can tell us. Agreed?@");
					if (askYesNo())
					{
						item.say("The confused gargoyle waves good-bye.");
						sayGoodbye2(item);
						UI_clear_item_flag(item, MET);
						return;
					}
					else 
						IOLO.say("@As you wish, " + polite_title + ".@");
					IOLO.hide();
				}

			}
			
			var options = ["name", "job", "bye"];
		
			converse(options)
			{
			
				case "name"(remove):
					say("@No name. I Beh Lem.@");

				case "job"(remove):
					say("@I wait here. Captain Johne come.@");
				
				case "speak"(remove): 
					say("@Captain Johne teach I human speak,@ the gargoyle says haltingly.");


				case "bye":
					say("The confused gargoyle waves good-bye.");
					UI_clear_item_flag(item, MET);
					sayGoodbye2(item);
					break;	
			}

		}
		else //has read gargish scroll already
		{	
			if (inParty(BEHLEM))
			{
				item.say("@To ask how I can help, mighty " + player_name + ",@ Beh Lem asks.");
				if (!UI_get_item_flag(VALKADESH, MET))
					add("directions");
			
			}
			else if (!UI_get_item_flag(BEHLEM, PETRA)) //PETRA flag used to denote first time talked to after using scroll
			{			
				item.say("@To greet you, human. To recognize you as the False Prophet!@");
				add(["False Prophet"]); 
				UI_set_item_flag(BEHLEM, PETRA); //sets PETRA flag as met. 
			}
			else 
			{
				item.say("@Good " + time_of_day + ", my " + greeting + ".@");
				if (!UI_get_item_flag(VALKADESH, MET))
				{
					item.say("@To have met Valkadesh yet?@");
					add("directions");
				}	
					 
			}
			
			var options = ["name", "job", "bye"];
			
			if (joined_party_before)
				add (["join", "leave"]);
/////////////////////////////////////////////////// after scroll has been read 				
			converse(options)
			{
				// After Avatar has read the gargoyle scroll set by gflag READ_GARGISH_SCROLL
				case "name"(remove):
					say("@To be called Beh Lem, which means 'just one.' To have not received a true name.@");
					add(["true"]);

				case "Captain Johne"(remove): 
					say("@To know Captain Johne! To help him and Valkedesh in their work,@ the youngster says proudly.");
					add(["Valkadesh"]); 

				case "true"(remove): 
					say("@To not receive a true name until I have proved myself worthy.@");
					add(["worthy"]); 

				case "worthy"(remove): 
					say("@To not deserve a name yet. But to get one someday, just like my father Valkadesh!@");
					add(["Valkadesh"]); 

		
				case "job"(remove): 
					if (inParty(BEHLEM))
					{
						say("@To be here to help you, noble " + player_name + ".@");
					}
					else
					{
						say("@To be here to wait for Captain Johne.@");
						add(["Captain Johne"]); 
					}

				case "False Prophet"(remove): 
					say("@To be feared by everybody - everybody except me and Valkadesh, my father!@");
					add(["Valkadesh"]); 

				case "Valkadesh"(remove): 
						say("@To very much respect Valkadesh my father.@*");
						say("@To want to be a scholar someday just like him!@");
					if (!inParty(BEHLEM) && (!UI_get_item_flag(VALKADESH, MET)))
					{
						say("@To wish to meet Valkadesh?@");
						if(askYesNo())
						{
							say("@To go with you and guide you there!@");
							if (partynum > 7 )
							{
								say("@To wish very much to join you. But to not have enough room in your party for another.@");
								PARTYMEMBER.say("@Avatar, I'll return to the surface and let everyone know of our progress.@");//interject with someone to leave
								PARTYMEMBER.hide();
								//add code to drop goods at feet
								UI_remove_from_party(PARTYMEMBER);	
								say("The little gargoyle eagerly joins your group.");
								UI_add_to_party(item);
										
								script PARTYMEMBER after 3 ticks say "@Farewell!@";
													
								UI_set_schedule_type(PARTYMEMBER, PATROL);
								UI_set_item_flag(PARTYMEMBER, SI_LIZARD_KING); //"brand" the party member so egg can find it to move back to mainland. 
								gflags[SIXTH_MEMBER_LEAVES] = true;
														
							}
							else
							{
								say("The little gargoyle eagerly joins your group.");
								UI_add_to_party(item);
							}		
							add(["guide"]);							

						}
						else
							say("@Oh.@ The little gargoyle seems saddened.");
					}
					
				case "directions"(remove):
					say("@To go from the entrance to Hythloth westward, following the @mountains.@*");
					say("@Then to turn north, at the Hall of Knowledge.@*");
					say("@To walk east along the mountains until you come to a narrow pass.@*");
					say("@To find the house of Valkadesh through the pass!@*");
					say("@To see it at 42 degrees south, 88 degrees east by the sextant.@*"); //changed with actual coords
					say("@But to take care! To avoid the lava pits and the Hall of Knowledge!@*");
					say("@To understand these directions?@*");
						if(askYesNo())
						{
							say("@Good!@");
						}
						else say("@To ask what was unclear?@");
					add(["mountains", "Hall of Knowledge", "house","lava pits"]);

				case "guide"(remove): 
					say("@To go from the entrance to Hythloth westward, following the @mountains.@*");
					say("@Then to turn north, at the Hall of Knowledge.@*");
					say("@To walk east along the mountains until you come to a narrow pass.@*");
					say("@To find the house of Valkadesh through the pass!@*");
					say("@To see it at 40 degrees south, 65 degrees east by the sextant.@*"); //change with actual coords!
					say("@But to take care! To avoid the lava pits and the Hall of Knowledge!@*");
					say("@To understand these directions?@*");
					if(askYesNo())
					{
						say("@Good!@");
					}
					else 
						say("@To ask what was unclear?@");
					add(["mountains", "Hall of Knowledge", "house","lava pits"]);

				case "mountains"(remove): 
					say("@To walk clockwise around the mountains from Hythloth to reach my father's house.@");
					
				case "Hall of Knowledge"(remove): 
					if (!gflags[WEARING_AMULET_SUBMISSION]) //not yet submitted to Draxinusom
						say("@To avoid the Hall! To talk to Valkadesh first!@");
					else 
						say("@To find the Hall of Knowledge to the south of the city.@");

				case "house"(remove): 
					say("@To find the house of Valkadesh my father through the pass east of the Hall.@");

				case "lava pits"(remove): 
					say("@To be in danger from the lava! To stay far away!@");

				case "join"(remove):
					if (!inParty(BEHLEM))
					{
						if (partynum > 7 )
						{
							say("@To wish very much to join you. But to not have enough room in your party for another.@");
							PARTYMEMBER.say("@Avatar, I'll return to the surface and let everyone know of our progress.@");//interject with someone to leave
							PARTYMEMBER.hide();
							//get party member's position
							var pos = UI_get_object_position(PARTYMEMBER);
							//add code to drop goods at feet
							dropAllItems(PARTYMEMBER, pos);
							PARTYMEMBER->leaveParty();
							sayGoodbyeAbrupt(PARTYMEMBER, "@Farewell!@");
							say("The little gargoyle eagerly joins your group.");
							UI_add_to_party(item);
							
							UI_set_item_flag(item, NAKED); //so you can ask him join/leave 
																			
						//	UI_set_schedule_type(PARTYMEMBER, PATROL);
						//	UI_set_item_flag(PARTYMEMBER, SI_LIZARD_KING); //"brand" the party member so egg can find it to move back to mainland. 
							gflags[SIXTH_MEMBER_LEAVES] = true;
								
													
						}
						
					}
					else
						say("@To already be in your party.@");
					
				case "leave"(remove):
					say("@To wish to stay with you!@*");
					say("@To not leave until there is peace between our races!@");


				case "bye":
					var npc_goodbye;
					if (inParty(BEHLEM))
						npc_goodbye = "@May our persistence and precision lead to success!@";
					else
						npc_goodbye = "@May your persistence and precision lead to success!@";
	
					avatar_goodbye = "@Thanks, Beh Lem.@";
					
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);	
					break;
			
			}

		}  //has read garg scroll                             
	}
	else scheduleBarks(item);
}