
void Gorn object# (0x48a) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, warrior.@";
		npc_1st_greet = "@Ho, dere!@";
				
		av_2nd_greet  = "@Greetings, Gorn..@";
		npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (inParty(GORN))
		{
			item.say("@Vy talk ven dere's fighting to do?@");
			add("leave");
		}
		else if (!UI_get_item_flag(item, MET))
		{
			item.say("A burly barbarian warrior.*");
			item.say("@Hail, " + polite_title + "! I haf heard of thy deeds, Avatar!@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Ho, Avatar, thou hast returned!@.");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(SUTEK, MET))
			add("Sutek");



	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@I be named Gorn, " + polite_title + ".@*");
		
			case "job"(remove):
				if (inParty(GORN))
					say("@I follow thee, " + polite_title + ". I haf no other job now.@");
				else
				{
					say("@I be a fighter, a homeless vanderer.@");
					say("@Here I vait until I find somevun else to trafel mit.@");
				}
				add(["trafel"]); 

			case "trafel"(remove): 
				say("@Ya, I like to trafel!@*");
				if (!inParty(GORN))
				{
					say("@Much vould I like to vander again, but I haf no vun to trafel mit now.@*");
					say("@Somevun vill ask me to join mit them zooner or later.@*");
					add(["join"]); 
				}
				


			case "join"(remove): 
				if (partynum < 8)
				{
					say("@I vould be much happy to join mit thee, " + polite_title + ".@*");
					UI_add_to_party(item);
					script item after 3 ticks say "@Vet us be ov!@";
					break;
				}
				else
					say("@I vould be much happy to join mit thee, " + polite_title + ", but I dislike such large groups.@*");
			

			case "leave"(remove): 
				
				if (!inParty(item))
					say("@But I vas here first, ya?@*");
				
				else
				{
					say("@You vant me to leave? Shall I vait here or go home?@");
					converse(["wait here", "go home"])
					{
						case "wait here":
							say("@Very vell, I shall wait here for you to return.@");
							UI_remove_from_party(item);
							UI_set_schedule_type(item, WAIT);
							sayGoodbyeAbrupt2(item, "I shall wait here for thee.");
							return;
						
						case "go home":
							say("@Ok, if that's vat you vant. Maybe I'll zee you later.@*");
							if (isEquipped(item, SHAPE_ANY))
							{
								var pos = UI_get_object_position(item);
								say("@You keep all zis stuff meanwhile, ya?@*");
								item.say("He leaves everything he was carrying in a pile on the ground.");
								dropAllItems(item, pos);
							}
							
							//function to make sure he goes back to proper map
							script item
								call leaveParty, MOVE_NPC2;				
									
							avatar_goodbye = "@Goodbye, Gorn.@";
							npc_goodbye = "@Safe trafels, Avatar!@";
							sayGoodbye2(item);		
			
							return;
					}
				}							
				


			case "Sutek"(remove): 
				say("@Sutek is mad.@*");
				say("@He is very dangerous. I vould avoid him if I vere thee.@*");
				say("@But he does know many tings, und is sometimes helpful.@*");


			case "bye":
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@It is alvays a pleasure to talk mit thee.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;

		}                               
	}
	else scheduleBarks(item);
}