void Jaana object# (0x405) ()
{
	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var avatar_goodbye = "@Replace with Avatar's goodbye bark@";
	var npc_goodbye = "@Replace with npc's goodbye bark@";
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var janna_left = UI_get_item_flag(item, SI_ZOMBIE);
	var janna_in_party = UI_get_item_flag(item, IN_PARTY);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, my friend..@";
		var npc_1st_greet = "@Avatar! Thou hast returned!@";
				
		var av_2nd_greet  = "@Jaana..@";
		var npc_2nd_greet = "@Yes, " + polite_title + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (inParty(JAANA))
		{
			item.say("@I fear I know little that would help in this situation, " + polite_title + ".@");
		
		}
		else if (janna_left)//already told her to leave
		{
			item.say("@Good " + time_of_day + ", " + polite_title + ". Hast thou need of my services again?@");
			if (askYesNo())
				item.say("@Ask me to join and I will, gladly, " + polite_title + "!@");
			else
				item.say("@Very well. Thou needst but ask...@");
                  
		}
		
		else if (!UI_get_item_flag(item, MET))
		{
			item.say("You see the druidess Jaana.");
			item.say("@Avatar! 'Tis a great joy and relief to see thou hast returned to Britannia!@");
			if (partynum > 1)
				item.say("She greets your other traveling companions. Everyone seems pleased to be reunited, albeit under tense circumstances.");
			item.say("@Mayhap I can help thee in thy struggle against the gargoyles. Thou needst but ask and I will gladly join.@");
			UI_set_item_flag(item, MET);
		}
		else 
		{
			item.say("@Good " + time_of_day + ", " + polite_title + "! Hast thou fared well in thy travels?@");
			if (askYesNo())
				item.say("@Joyous news! Thou must tell me of it sometime.@");
			else 
				item.say("@Mayhap I could help. Ask me to join thy band, " + polite_title + ", and gladly I will!@");
			
		}
		
		//standard conversation options
		var options = ["name", "job", "join", "bye"];
		
	//	if (UI_get_item_flag(item, IN_PARTY))
	
		if (inParty(JAANA))
			add ("leave");
	
		if (UI_get_item_flag(NICODEMUS, MET) || gflags[LEARNED_ABOUT_NICODEMUS]) //asked Thairand about him
			add ("Nicodemus");
			
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Why, my name's Jaana, " + polite_title + ". Surely my help in thy previous quests was not so insignificant that thou hast forgotten it!@");
				

			case "job"(remove):
				say("@Since thy last visit to Britannia, I have lived in Yew, blessing crops and tending to sick animals.@");
				say("@Though I know 'tis unbecoming of a simple druid to do so, I miss the excitement of our quests together!@*");
				if (!janna_in_party)
				{
					say("@I would gladly join thee, " + player_name + ", if thou had a use for my skills.@");
				}
				
			case "Nicodemus"(remove):
				say("@I've heard that Nicodemus the enchanter lives between two rivers.@");
				
			case "gargoyles"(remove):
				say("@I know little of the gargoyles, Avatar, save what rumors I hear. But I know that the gargoyles are fierce fighters, and a great threat to the land!@");


			case "join" (remove):
				if (!inParty(JAANA))
				{
					if (partynum < 6)	
					{
						say("@Gladly, " + player_name + "!@");
						say("@I look forward to the many adventures we will share.@");
						UI_add_to_party(item);
						UI_set_item_flag(item, IN_PARTY);
						add(["leave"]);
					}
					else 
						say("@Nay, " + player_name + ", thou seemst to have enough companions as it is. Mayhap if one of them left your band, thou might have more need of me.@");
				}
				else
					say("@Surely I misunderstand thee, " + polite_title + ". Am I not already a member of thy band?@");

			case "leave" (remove):
				
				if (inParty(JAANA))
				{
					
					say("@Whatever thou thinkest best, " + player_name + ".@");
					say("@Dost thou want me to wait here or should I go home?@");
					converse(["wait here", "go home"])
					{
						case "wait here":
							say("@Very well. I shall wait here until thou dost return.@");
							UI_remove_from_party(item);
							UI_set_schedule_type(item, WAIT);
							UI_clear_item_flag(item, READ); 
							sayGoodbyeAbrupt2(item, "I shall wait here for thee.");
							return;
						
						case "go home":
							say("@I shall be waiting in Yew if thou needest my help later.@");
							if (isEquipped(item, SHAPE_ANY))
							{
								var pos = UI_get_object_position(item);
								say("@Thou mayst keep my supplies.@ She leaves everything he was carrying in a pile on the ground.");
								dropAllItems(item, pos);
								
								//function to make sure she goes back to proper map
								script item
									call leaveParty, MOVE_NPC2;
								
								avatar_goodbye = "@Goodbye Jaana.@";
								npc_goodbye = "@Farewell, Avatar!@";	
								sayGoodbye2(item);		
								
							}
							return;
					}			
					
				}
				else
					say("@Perhaps I misunderstand, " + polite_title + ". I cannot leave thy party since I am not in it!@");
	
			case "bye":
				if (!janna_in_party)
				{
					say("@Farewell! Return when thou hast more news of thy quest!@");
					avatar_goodbye = "@Goodbye, Jaana!@";
					npc_goodbye = "@Safe travels to thee!@";
				
				}
				else
				{
					avatar_goodbye = "@Let us be going now..@";
					npc_goodbye = "@May the virtues guide us in our quest!@";
					
				}
		
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}