void Katrina object# (0x409) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, PETRA); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
		pronoun = "her";
	//	title = "madame";
	}
	else 
	{
		pronoun = "him";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello, dear friend..@";
		npc_1st_greet = "@Avatar, thou hast returned!@";
				
		av_2nd_greet  = "@Katrina..@";
		npc_2nd_greet = "@Yes, " + player_name + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (item in party) 
		{
			item.say("@I'm but a simple peasant, " + polite_title + ".@");
			item.say("@I doubt I could help in this situation.@");
		}
		else if (joined_party_before)
		{
			item.say("@Good " + time_of_day + ", " + polite_title + ". Wilt thou allow me to follow you again?@*");   
			if (askYesNo())
			{
				item.say("@Command me to join and I will, " + polite_title + ".@");
				add(["join"]);
			}
			else 
				item.say("@As thou deem best, " + polite_title + ".@");
	
		}
		else if(UI_get_item_flag(item, MET))
		{
			item.say("The humble peasant Katrina.*");
			item.say("@" + player_name + "! I had heard that thou hadst returned to our land, but I dared not believe it! Hast thou returned to save our land from the gargoyles?@");
			if (askYesNo())
			{
				item.say("@Then surely we are saved already!@");
			}
			else
				item.say("@Then perhaps the crisis is not so severe as rumors say. If there is aught a humble peasant might do to aid thy quest, " + polite_title + ", I am yours to command.@"); 	
		}
		else 
		{
			item.say("@Good " + time_of_day + ", " + polite_title + "! I hope thou hast fared well in thy travels?@");
			if (askYesNo())
			{
				item.say("@The land rejoices when all is well with the Avatar.@");
			}	
			else
				item.say("@If there is aught a humble peasant can do to help, I am yours to command.@");
		}


		//standard conversation options
		var options = ["name", "job", "bye"];
	
		if (joined_party_before)
			add (["join", "leave"]);
	
		if (UI_get_item_flag(ANTONIO, SI_ZOMBIE))
			add ("humility");
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am called Katrina, " + polite_title + ", as I was the last time we met.@");

			case "job"(remove):
				say("@Times have changed, " + polite_title + ". Where once I grazed sheep, now I till the land. All work is the same to a peasant, " + polite_title + ". We all do what is expected of us.@");
				say("@If thou wouldst have me join thy quest, thou needst but ask.@");
				add(["join"]);

			case "join"(remove):
				if (!inParty(item))
				{						
					if (UI_get_array_size(party) < 8)	
					{
						say("@Since thou dost think it wise, I wilt join. I hope I can aid thy quest.@");
						UI_add_to_party(item);
						sayGoodbyeAbrupt(item, "Glad to adventure with thee again!");
						if (!UI_get_item_flag(item, PETRA)) //to allow join / leave options again
							UI_set_item_flag(item, PETRA); 
						break;
					}
					else 
					{
						say("@I hesitate to deny any request thou might have.@");
						say("@But thou seemst to have enough companions as it is. Mayhap if one of them left your band, thou might have more need of me..@");
          			}
				}
				else
					say("@Surely I misunderstand thee, " + polite_title + ". Am I not already a member of thy band?@");
				
		
			case "leave"(remove):
				item.say("@Should I wait here thee here, or go home to New Magincia?@");
				var choice = chooseFromMenu2(["wait here", "go home"]);
				if (choice == "wait here")
				{
					say("@Very well, I shall wait here for you to return.@");
					UI_remove_from_party(item);
					UI_set_schedule_type(item, WAIT);
					sayGoodbye2(item);
				}
				else
				{
					if (isEquipped(item, SHAPE_ANY))
					{
						var pos = UI_get_object_position(item);
						say("@Whatever thou thinkest best, " + polite_title + ". I'll leave my equipment with thee.@");
						say("She sets down everything she was carrying before walking off.");  
						dropAllItems(item, pos);
					}
					else
						say("@Whatever thou thinkest best, " + polite_title + ".@");
					
					script item
						call leaveParty, MOVE_NPC2;
					sayGoodbye2(item);					
				}
				break;
		
		
			case "gargoyles"(remove):
				say("@The gargoyles are a grave threat to the land, " + polite_title + ". Many brave soldiers have died defending us from the invaders!@");

			case "humility"(remove):
				say("@I am most sorry, " + polite_title + ", but I cannot answer thy question. 'Twould be vain of me to answer truthfully, and 'twould be worse to lie.@");
				if (!UI_get_item_flag(item, SI_ZOMBIE))
					UI_set_item_flag(item, SI_ZOMBIE);

			case "bye"(remove):
				if (inParty(item))
				{
					say("@May we live up to the trust placed in us.@"); 
					avatar_goodbye = "@Thanks, friend.@";
					npc_goodbye = "@Anytime, Avatar.@";
				}
				else
				{
					say("@Farewell! The Avatar carries with " + pronoun + " the hopes of all the land.@");

					avatar_goodbye = "@Thanks, friend.@";
					npc_goodbye = "@Anytime, Avatar.@";
				}
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}