
void Seggallion object# (0x4e8) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var av_2nd_greet;
	var npc_1st_greet;
	var npc_2nd_greet;
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	var in_party = UI_get_item_flag(item, IN_PARTY);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	//given it's own function leaveParty
	//if (event == SCRIPTED)
	//{
	//	//Should be called if you try to make him leave on another map
	//	UI_move_object(item, [2883, 2826, 0, 0], true);
	//	UI_error_message("SCRIPTED event should be called");
	//	return;
	
	//}
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, Knight!@";
		npc_1st_greet = "@Yes?@";
				
		av_2nd_greet  = "@Segallion..@";
		
		if (in_party)
			npc_2nd_greet = "@Am I standing in your light? Sorry.@";
		else
			npc_2nd_greet = "@Yes, " + polite_title + "?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		if (!UI_get_schedule_type(item, WAIT))
			UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A huge, muscled warrior with a sad look in his eyes.*");
			item.say("He looks at you imploringly. @What is it?@");
			UI_set_item_flag(item, MET);
		}
		else if (in_party)
			item.say("@You have a question?@");
		else
			item.say("He looks at you imploringly. @What is it?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
				
		if (in_party)
			add (["leave", "join"]);
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				if (in_party)
					say("@Seggallion. You can call me 'Segg' though.@");
				else
					say("@Seggallion of...well now that won't mean anything to you.@");

			case "job"(remove):
				if (in_party)
					say("He looks at you puzzled. @The same as yours now.@");
				else
					say("@If you mean my profession, I would have to say a knight of Ashtalarea.@");
  				add(["Ashtalarea"]); 

			case "Ashtalarea"(remove):
				if (in_party)
					say("@Ask me again sometime. It is quite a story.@");
				else
				{
					say("@A land unfamiliar to you, I'm sure. Just as unfamiliar as yours is to me.@");
					add(["unfamiliar"]);
				}
			case "unfamiliar"(remove):
				say("@Yes, I was walking in the mountains of Tyme when suddenly I heard a noise. It was dark and I heard this low growling. Having just been released from Pildar's clutches, I was tired and hungry.@");
				add(["Tyme", "Pildar"]);

			case "Tyme"(remove):
				say("@That is a great range of mountains in my land. Wherever that is now.@");

			case "Pildar"(remove):
				say("@From what I hear, he is not unlike your Mondain. Anyway, I peered into the darkness but could see nothing. Suddenly a huge wall of blue flame appeared behind me.@");
				add(["blue flame"]);

			case "blue flame"(remove):
				say("@Yes, blue like nothing I had seen in any spell. Anyway, just as I turned, the creature leapt from the woods. It hit me with such force, we both entered the blue flame together.@");
				add(["entered"]);

			case "entered"(remove):
				say("@Well, it didn't burn us, we just fell through to the ground beyond it. After struggling for a while, I finally managed to kill it. That's when I wandered into this community.@");
				add(["community"]);

			case "community"(remove):
				say("@The people of this land are brave and honorable. They fed and clothed me when I discovered that my gold was not the same as yours. I know it is a queer story, but true none the less.@");
				add(["queer"]);

			case "queer"(remove):
				say("@Yes it is. Still, if I could I would like to join you on your quest. Perhaps one of the people in your land will know how to get me back to mine. If not, at least I can thank your people by assisting you.@");
				add(["join"]);

			case "join"(remove):
				if (!in_party)
				{
					if (partynum < 8)
					{
						say("He bows low. @Seggallion at your service.@");
						say("You can see by his broad smile and large physique, he would be a worthy opponent. @Shall we be off then?@");			
 						UI_add_to_party(item);
						sayGoodbyeAbrupt(item, "Lead on!");
						break;
					}	
					else say("@I wish I could, however, you seem to have enough strong arms already. If any should leave though, seek me out.@");
				}	
				else
					say("@You don't look seperated to me.@ He laughs heartily.");










			case "leave"(remove):
				say("@Do you want me to wait here, or go home?@");
				
				converse(["wait here", "go home"])
				{
					case "wait here":
						say("@Very well, I shall wait here for you to return.@");
						UI_remove_from_party(item);
						UI_set_schedule_type(item, WAIT);
						UI_clear_item_flag(item, READ); 
						sayGoodbyeAbrupt2(item, "I shall wait here for thee.");
						return;
					
					case "go home":
						if (isEquipped(item, SHAPE_ANY))
						{
							var pos = UI_get_object_position(item);
							item.say("@I'll leave all these things with you.*@");
							item.say("He leaves everything he was carrying in a pile on the ground.");
							dropAllItems(item, pos);
						}
						say("@It is hard to say goodbye, but I see your path leads elsewhere, so...@");
						
						//function to make sure he goes back to proper map
						script item
							call leaveParty, MOVE_NPC2;				
								
						avatar_goodbye = "@Goodbye, Segallion.@";
						npc_goodbye = "@Good luck, Avatar..@";
						sayGoodbye2(item);		
								
							
						return;
				}							
				
				
				
			case "bye":
				if (!in_party)	
				{
					avatar_goodbye = "@Good luck, Seggallion!@";
					npc_goodbye = "@Farewell.@";
				}
				else
				{
					avatar_goodbye = "@Let's get going..@";
					npc_goodbye = "@Lead on!@";
				}
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}