void Shamino object# (0x403) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var joined_party_before = UI_get_item_flag(item, PETRA); //allows join/leave
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
//delete if not needed:	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Shamino..@";
		npc_1st_greet = "@Yes, Avatar?@";
				
		av_2nd_greet  = "@Shamino..@";
		npc_2nd_greet = "@Yes, Avatar?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a quiet man, who almost seems to be a creature of the forest.");
			item.say("@Yes, my friend?@");
		
		}
		item.say("@Yes, my friend?@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
	
		if (!inParty(SHAMINO))
			add("join");
	
	
	
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Shamino Salle' Dacil.@");

			case "job"(remove):
				say("@I help my friends when they need it. The rest of my time I prefer to spend exploring the woods.@");
  				add(["friends", "woods"]); 

			case "friends"(remove):
				say("@Though we have spent much time apart between your several visits to our realm, still I consider you one of my closest friends.@");

			case "woods"(remove):
				say("@I prefer the Deep Forest. Spiritwood isn't as dense, and it has those strange wisps everywhere.@");
				add(["wisps", "Deep Forest"]);

			case "wisps"(remove):
				say("@I know little of their nature. I believe there are some mages who have investigated them, however.@");
				add(["mages"]);

			case "Deep Forest"(remove):
				say("@It is home to me. I love walking in the dark shadows of the trees, and studying the nature of the forest creatures.@");
				add(["home", "creatures"]);

			case "home"(remove):
				say("@A home needs not walls to make it so.@");
				add(["walls"]);

			case "creatures"(remove):
				say("@Those that dwell in the woods have lives of their own, more interesting to me than the ways of townfolk. There is much to be learned from the animals, if you will but listen.@");
				if(isNearby(DUPRE))
				{
					DUPRE.say("@Now Shamino's going on about talking to animals... The whole world's going batty!@");
					DUPRE.hide();
				}

			case "walls"(remove):
				say("@When folk ask why I have no walls in my home, I ask where are the trees in theirs!@ He smiles.");
				add(["trees"]);

			case "trees"(remove):
				say("@In many ways they are the lifesblood of the realm. Without trees, we could not long endure.@");
				
			case "mages"(remove):
				say("@Perhaps one of the members of the council could tell you more.@");
				
			case "gargoyles"(remove):
				say("@I feel that Lord British does not understand their true nature.@");
				add(["Lord British"]);

			case "Lord British"(remove):
				say("@I know him better than you might think.@");

			case "leave"(remove):
				say("@I feel you need my guidance through the wild parts of Britannia. I'd best stay with you.@");
				add(["insist"]);

			case "insist":
				say("@If you insist...Shall I wait for you here, or go home?@");
				converse(["wait here", "go home"])
				{
					case "wait here":
						say("Very well, " + player_name + ", I shall wait here until thy return.@");
							UI_remove_from_party(item);
							UI_set_schedule_type(item, WAIT);
							sayGoodbyeAbrupt(item, "I'll be right here..");
							return;			
							
					case "go home":
						say("@Perhaps I'll just wait for thee at the Blue Boar. I wouldn't want you to go through some unnecessary trouble finding me in the woods. Do thou return soon, who knows what the gargoyles will do next.@");
						script item
							call leaveParty, MOVE_NPC2;
						sayGoodbyeAbrupt(item, "I will head to the Blue Boar..");					
							return;			

				}
			case "join" (remove):
				say("@Gladly, " + player_name + "!@");
				if (UI_get_array_size(party) < 8)	
				{
						say("@Gladly, " + player_name + ". Let's get going then.@");
						UI_add_to_party(item);
						add(["leave"]);
				}
				else
					say("@Nay, " + player_name + ", thou seemst to have enough companions as it is.@");
				
			
			case "bye"(remove):
					avatar_goodbye = "@That is all, friend.@";
					npc_goodbye = "@A pleasure.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}