
void Arbeth object# (0x478) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == SEW)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	if (UI_get_schedule_type(item) == EAT_AT_INN)
	{
		UI_set_item_flag(item, IS_EATING);
		UI_error_message("Is eating");
	}
	var is_eating = UI_get_item_flag(item, IS_EATING);
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Well met, milord..@";
		npc_1st_greet = "@Y-y-yes, " + polite_title + "?@";
				
		av_2nd_greet  = "@Hello, Arbeth.@";
		npc_2nd_greet = "@Oh, 'tis only you. Hello again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A frightened little man who never looks you in the eye.*");
		if (is_eating)
		{
			item.say("He looks up from his mug of ale.");
			if (UI_get_item_flag(item, MET_2))
				item.say("@Oh, it's you. Hello.@");
			else 
				item.say("@Hello.@");
			
		}
		else 
		{
			if (!UI_get_item_flag(item, MET_2))
			{
				item.say("@Yes?@ he asks, looking like he expects to be beaten any minute.");
				UI_set_item_flag(item, MET_2);
			}
			else
				item.say("@Yes? Oh, it's you.@ He almost looked you in the eyes then.");
		}
	
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(MORTUDE, MET))
			add ("Mortude");

		if (UI_get_item_flag(TIMOTHY, MET))
			add ("Timothy");

		if (UI_get_item_flag(MARISSA, MET))
			add ("Marissa");

		if (UI_get_item_flag(GRISON, MET))
			add ("Grison");

		if (UI_get_item_flag(DORIS, MET))
			add ("Doris");

		if (UI_get_item_flag(HENDLE, MET))
			add ("Hendle");

		if (UI_get_item_flag(UBERMON, MET))
			add ("Ubermon");

		if (UI_get_item_flag(MERIDETH, MET))
			add ("Merideth");

		if (gflags[READ_BALLOON_PLANS])
			add("silk thread");		
		
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{

			case "name"(remove):
				say("He looks around at the ground and mumbles @Arbeth.@");
				add(["Arbeth"]);

			case "job"(remove):
				say("@Well,@ he says so quietly you have to lean close to hear, @I make wool into thread.@");
  				add(["wool", "thread"]); 

			case "Arbeth"(remove):
				say("@Arbeth,@ he repeats quietly.");

			case "thread"(remove):
				say("@Yes,@ he says, wringing his hands together.");

			case "weaver"(remove):
				say("@I'm not a weaver, " + polite_title + ", just a spinner. Talk to Thindle.@");
				add(["Thindle"]);

			case "Thindle"(remove):
				say("@He lives here in Paws and is a fine weaver.@");

			case "silk thread"(remove):		

				if (shop_is_open)
				{	
					say("@What? Oh, yes, I could spin spider silk into thread. Do you want me to?@");
					if (askYesNo())
					{
						say("@Tis a most difficult job, " + player_name + ". It'll cost thee 20 gold!@");
						say("@Still interested?@");
						if (askYesNo())
						{
							if (hasGold(20))
							{
								if ((UI_count_objects(PARTY, SHAPE_REAGENT, QUALITY_ANY, FRAME_SPIDER_SILK) >= 40))			
								{
									chargeGold(20);			
									UI_remove_party_items(40, SHAPE_REAGENT, QUALITY_ANY, FRAME_SPIDER_SILK, true);
									say("Arbeth takes your gold and silk and starts spinning...*");
									say("Soon he has finished a spool of fine silk thread! @There it is, " + player_name + ", my finest work! A true pleasure!@ Arbeth hands you the spool of silk. @You'll have to find a weaver, of course...@");
									UI_add_party_items(1, SHAPE_SILK_THREAD, QUALITY_ANY, FRAME_ANY, true);
									add(["weaver"]);
								}
								else
									say("@Oh, but I'll need twoscore bits of spider silk to do it! Come back when thou hast 40 pieces of SPIDER_SILK and I'll make thy thread then.@");
							}
							else
								say("@You haven't the gold.@");
						}
						else
							say("@Oh. Sorry,@ he mumbles.");
					}
					else 
						say("@Oh. Sorry,@ he mumbles.");							
				}
				else
					say("@Not now, " + polite_title + ",@ he says timidly. @My shop is closed.@");
			




			case "wool"(remove):
				if (!shop_is_open)
				{	
					say("@Not now, " + polite_title + ",@ he says timidly. @My shop is closed.@");
				}
				else 
				{
					if (UI_count_objects(PARTY, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY) > 0)
					{
						say("@Will you take 6 gold for that wool?@");
						if (askYesNo())
						{
							UI_remove_party_items(1, SHAPE_WOOL, QUALITY_ANY, FRAME_ANY, true);
							say("He hands you 6 gold pieces and takes the bale of wool.");
							giveGold(6);
						}
						say("@Nevermind, then.@");
					}
					else 
						say("@None of you has any wool,@ he mutters.");
				}

			case "Timothy"(remove):
				say("@He is nice to me.@ he stops wringing his hands and seems to relax momentarily.");

			case "Mortude"(remove):
				say("@He's much too loud.@ He looks up suddenly and his face goes ashen.");
				add(["loud"]);
			
			case "loud"(remove):
				say("@But...I mean...maybe not too loud.@ He whips his head around as if he's looking for someplace to hide.");

			case "Marissa"(remove):
				say("@She's alright, I guess.@");

			case "Doris"(remove):
				say("@She's alright, I guess.@");

			case "Grison"(remove):
				say("@He's alright, I guess.@");
				
			case "Hendle"(remove):
				say("@He's alright, I guess.@");

			case "Ubermon"(remove):
				say("@He's alright, I guess.@");
			
			case "Merideth"(remove):
				say("A smile crosses his face. @I like her. She brought me cookies once.@");


			case "bye":
				say("@Bye,@ he whispers.");
				
				avatar_goodbye = "@Goodbye..@";
				npc_goodbye = "@..Bye..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}