void Grison object# (0x479) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	//shopkeeper stuff
	
	const int SHAPE_SACK = 677;

	//SHOP PRICES
	const int FLOUR_SELL_PRICE = 4;
	const int GRAIN_BUY_PRICE = 3;
	

	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hail, milord..@";
		npc_1st_greet = "@Ptuh, what's that, " + polite_title + "?@";
				
		av_2nd_greet  = "@Greetings.@";
		npc_2nd_greet = "@Ptuh, ptuh..just a moment.@";	
		
		
		if (UI_get_schedule_type(item) == TEND_SHOP)
		{
			UI_set_item_flag(item, SHOP_IS_OPEN);
			UI_error_message("Shop is open");
		}
			
		//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
		var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
			
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!shop_is_open)
		{
			item.say("A figure covered from head to toe with flour.*");
			item.say("@Ach, I'd like to talk with ya, but I've no time!@*");
			item.say("@Come see me at my gristmill some other time.@*");
			item.say("@'Tis hard work, but it gives me plenty of time to talk!@*");
			sayGoodbye2(item);
			return;
		}
		else 
		{
			if (!UI_get_item_flag(item, MET))
			{
				item.say("A figure covered from head to toe with flour.*");
				item.say("@Ptuh... ptuh... hello..@");
				UI_set_item_flag(item, MET);
			}
			else
				item.say("@Hrmph... ptuh... hello again.@");
		}

		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(MORTUDE, MET))
			add ("Mortude");

		if (UI_get_item_flag(TIMOTHY, MET))
			add ("Timothy");

		if (UI_get_item_flag(MARISSA, MET))
			add ("Marissa");

		if (UI_get_item_flag(ARBETH, MET))
			add ("Arbeth");

		if (UI_get_item_flag(DORIS, MET))
			add ("Doris");

		if (UI_get_item_flag(HENDLE, MET))
			add ("Hendle");

		if (UI_get_item_flag(UBERMON, MET))
			add ("Ubermon");

		if (UI_get_item_flag(MERIDETH, MET))
			add ("Merideth");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Grison Fairfleth, at your service.@");
				add(["Grison Fairfleth"]);

			case "job"(remove):
				say("@As you can see, I turn grain into flour. It's a pretty demanding job...and a bit messy too.@");
  				add(["buy flour", "sell grain"]); 

			case "Grison Fairfleth"(remove):
				say("@You can call me 'Gris' if ya prefer.@");


			case "buy flour":
				say("@I'll sell you a sack of flour for 4 gold. Is that okay?@");
				if (askYesNo())
				{
					if (hasGold(FLOUR_SELL_PRICE))
					{
						if (UI_add_party_items(1, SHAPE_KITCHEN_ITEMS, QUALITY_ANY, FRAME_FLOUR, true))
						{
							chargeGold(FLOUR_SELL_PRICE);
							say("@Excellent!@ Grison hands over the flour.");
						}
						else 
							say("@You look pretty full to me.@");
					}
					else
						say("@You can't afford it.@");
				}
				else
					say("@Suit yourself.@");
				



			case "sell grain":
				say("@I'd buy some grain, if you had any.@"); 
				if (askYesNo())
				{
					if ((UI_count_objects(PARTY, SHAPE_SACK, QUALITY_ANY, FRAME_ANY) > 0))
					{
						say("@I'll pay you 3 crowns for that sack of grain, ok?@");					
						if (askYesNo())
						{
							giveGold(3);
							say("@Done!@ He hands you 3 gold pieces and takes the sack.@");
							UI_remove_party_items(1, SHAPE_SACK, QUALITY_ANY, FRAME_ANY);
						}
						else
							say("@Perhaps some other time, then.@");
					}
					else
						say("@But ya don't have any grain!@");
				}
				else
					say("@Suit yourself.@");
	
			case "Timothy"(remove):
				say("@He's a good fellow. I grew up with him.@");
				add(["grew up"]);

			case "grew up"(remove):
				say("@Yep. We were mates.@ He continues to wipe the dust from his eyes.");

			case "Mortude"(remove):
				say("@Shorty, ya mean? He's got a fair temper, I'll tell you that!@");

			case "Marissa"(remove):
				say("@She's one with a nose to the air instead of the grindstone.@ He chuckles to himself.");

			case "Arbeth"(remove):
				say("@Scared of his own shadow, he is.@");

			case "Dorin"(remove):
				say("@She's baked many a pie with my flour.@");

			case "Merideth"(remove):
				say("@Meri the wisp, eh? She's sure a cutey.@");
				
			case "Hendle"(remove):
				say("@One o' the nicest gents I know. Always has a good tale.@");

			case "Ubermon"(remove):
				say("@A good, hard worker, that man. Has quite a strong grip too.@");

			case "bye":
			
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Well, if that's all you need, goodbye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}