void Hendle object# (0x47c) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	const int FRAME_STEAK = 9;
	
	//Shopkeeper options
	//Function:  sellFood(var npc, var food_drink_options, var prices, dialog)
	//[11, 7, 13, 9, 23];
	var food_drink_options =["nothing", "ham", "sausage", "steak", "ribs"];
	var food_drink_frames = [FRAME_HAM, FRAME_SAUSAGE, FRAME_STEAK, FRAME_RIBS];
	var prices = [3, 4, 8, 9];

	//dialog options
	var	initial_choice_question = "@Which of these?@";
	var	askIfInterested1 = "@Hendle smiles at you. @That will cost you "; //split into two to capture price
	var askIfInterested2 = " gold coins, interested?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "@You don't have enough gold, " + polite_title+".@";
	var	cant_hold = "@You look pretty full to me, "+ polite_title +".@";
	var	saidNo = "@Whatever.@";
	var	success = "Excellent!@ After accepting your gold, Hendle hands over the "; 
	var success2 = ".";	
	var nothing = "@Perhaps some other time, then.@";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	
	//Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "strangers"; 
	else 
		greeting = "stranger"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@whew, hello!@";
		npc_1st_greet = "@Smells, don't it?@";
				
		av_2nd_greet  = "@Might we speak again?@";
		npc_2nd_greet = "@'Ello, welcome back.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A man whose pungent smell greets you before he can.*");
			item.say("@Well, hello there " + greeting + "! Come for some meat?@");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@Back for more meat?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Hendle the Slaughterman.@");
				add(["Hendle"]);

			case "job"(remove):
				if (shop_is_open)
					say("@As ya can see, I slaughter the beef and pork which you can then buy.@");
				else
					say("@I slaughter beef and pork. Makes me a bit unpopular 'ere in the pub!@ he laughs.@");
				add(["buy meat"]); 

			case "buy meat"(remove): 
				if (!shop_is_open)
				{
					say("@Strewth! If I carried it around with me, I'd be even more unpopular!@*");
					say("He laughs, then continues, @Nay, friend, come to my shop later.@");
					say("@I'll fix ya up then.@");
				}
				else
					sellFood(item, food_drink_options, prices, food_drink_frames, dialog);

			case "bye":
			
				avatar_goodbye = "@Farewell!@";
				npc_goodbye = "@Be careful out there..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}