void Merideth object# (0x47b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello there!@";
		npc_1st_greet = "@..gulp...hello..@";
				
		av_2nd_greet  = "@Hi Meredith!@";
		npc_2nd_greet = "@Oh, hello again!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
			
		item.say("A little girl with a doll in her hands.*");
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Now you be still, they won't hurt us.@ She hugs her doll close");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@See, Becky, they've come back.@ she says to her doll.");
		
		item.say("@What do you want?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(MORTUDE, MET))
			add ("Mortude");

		if (UI_get_item_flag(TIMOTHY, MET))
			add ("Timothy");

		if (UI_get_item_flag(MARISSA, MET))
			add ("Marissa");

		if (UI_get_item_flag(GRISON, MET))
			add ("Grison");

		if (UI_get_item_flag(HENDLE, MET))
			add ("Hendle");

		if (UI_get_item_flag(UBERMON, MET))
			add ("Ubermon");

		if (UI_get_item_flag(ARBETH, MET))
			add ("Arbeth");



	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Merideth Cassandra Lamby!@");
				add(["great aunt"]); 

			case "job"(remove):
				say("@Oh, I don't work. My Memah can help you though.@");
  				add(["Memah"]); 

			case "great aunt"(remove): 
				say("@She lives far away.@");
				
			case "Memah"(remove): 
				say("@My grandma. She's around here somewhere.@");

			case "Timothy"(remove): 
				say("@He's a nice man. He got me this doll.@ She displays it proudly.");
	
			case "Mortude"(remove): 
				say("@He put a rope in a tree for me to swing on.@");
				
			case "Marissa"(remove): 
				say("@She's a mean woman. Never plays dolls or nothin'.@");
				
			case "Arbeth"(remove): 
				say("@He is my secret friend. He tells me stories.@");
				
			case "Grison"(remove): 
				say("@I think he is a ghost. He's scary.@ She hugs her doll.");
				
			case "Hendle"(remove): 
				say("She wrinkles up her face. @He doesn't smell too good.@");
				
			case "Ubermon"(remove): 
				say("@He brings my Memah flowers sometimes.@");
				
			case "bye":
				say("She waves her doll's hand at you and says @Bye.@");
				
				avatar_goodbye = "@Goodbye, Meredith!@";
				npc_goodbye = "@Bye-bye.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}