void Mortude object# (0x476) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var pronoun;
	
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == TEND_SHOP)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings..@";
		npc_1st_greet = "@Yeah?@";
				
		av_2nd_greet  = "@Excuse me..@";
		npc_2nd_greet = "@Eh, it's you again..@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(MORTUDE, MET))
		{
			item.say("A man nearly as wide as he is tall.*");
			item.say("@What?@ he grumbles.");
			UI_set_item_flag(MORTUDE, MET);
		}
		
		else 
			item.say("@What now?@ he sighs.");
	
	//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(THINDLE, MET))
			add ("Thindle");



	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@As the sign on my door reads, 'Mortude the Ropemaker'.@");
				add(["Mortude"]);
				
			case "job"(remove):
				say("He looks at you and raises one eyebrow. @I said I makes rope.@");
				add("rope");
				
			case "rope"(remove):
				say("@The strongest you'll ever tug!@ he says, pushing out his chest.");
				if (shop_is_open)
				{
					say("Mortude smiles at you, @For my fine rope it will cost you 5 gold. Interested?@");
					if (askYesNo())
					{
						if (hasGold(5))
						{
							if (UI_add_party_items(1, SHAPE_ROPE, QUALITY_ANY, FRAME_ANY, true))
							{
								chargeGold(5);
								say("@Fine, fine!@ After accepting your gold, Mortude hands over the rope.");
							}
							else
								say("@You can't carry it!@");
						}
						else
							say("@You don't have enough gold.@");
					}	
					else 
						say("@Too bad. You'll never find better rope.@");  
				}
				else
					say("@Come to my shop when I'm open and I'll show you!@");  
				
			case "Thindle"(remove):
				say("@He's a pretty good flippits, player.@");
				add(["flippits"]);

			case "Mortude"(remove):
				say("@What?@ He snorts a bit then clears his throat.");
				
			case "flippits"(remove):
				say("@You have a bone on ya? We'll play.@");
				
			case "bone"(remove):
				say("@An old dog bone or somethin'?@");
				add(["dog bone"]);

			case "dog bone"(remove):
				say("@The smaller, the better. And maybe a hat. @");
				add(["hat"]);

			case "hat"(remove):
				say("@A haaat,@ he repeats, mockingly. @Never played 'ave ya?@");
					if (askYesNo())
						say("@Doesn't seem like it.@");	
					else 
						say("@Too bad.@");  // if answered no

			case "bye":
				
				avatar_goodbye = "@So long..@";
				npc_goodbye = "@..yeah yeah..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}