void Timothy object# (0x47e) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	var TIMOTHY_PRICE = 5;
	var charge = (TIMOTHY_PRICE * partynum);
	
	var pronoun;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, milord..@";
		npc_1st_greet = "@Welcome, welcome " + greeting + ".@";
				
		av_2nd_greet  = "@Hello again.@";
		npc_2nd_greet = "@Welcome back, my " + greeting + "@.";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A man with sea-blue eyes and a warm smile.*");
		item.say("Here for lodging this fine " + time_of_day +"?@");
				
		//standard conversation options
		var options = ["name", "job", "bye", "lodging"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Timothy.@ He flashes a friendly smile and nods.@");
				add(["Timothy"]);

			case "job"(remove):
				say("@It is a busy one - this job, that is. I find it rewarding, though, meeting friendly faces. Maybe you want a room, eh?@");

  			case "lodging"(remove):
				say("@" + charge + "  gold for you to stay and have a meal, good?@");  // Yes/No Question
				if (askYesNo())
				{
					if (hasGold(charge))
					{
						chargeGold(charge);			
						say("@Your room is upstairs on the right. Breakfast will be served in the morning and checkout time is 9am.@ Timothy hands you the key to your room.");
						UI_add_party_items(1, SHAPE_KEY, QUALITY_TIMOTHY_INN, 3);
							
					}
					else
						say("@I'm sorry, but we require cash in advance for our rooms.@");
				}
				else
					say("@Perhaps some other time, then.@");  
	
			case "Timothy"(remove):
				say("@I'm named after my uncle. He was a kind soul.@");
				add(["uncle"]);

			case "uncle"(remove):
				say("@Sir Timothy Enders Daverstock. He was a famous knight in these parts.@");
				add(["knight"]);

			case "knight"(remove):
				say("@He is perhaps best known for his courage in battle.@");
				add(["battle"]);

			case "battle"(remove):
				say("@He once held off a score of men while his own fled to safety across a bridge.@");

			case "bye":
			
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Farewell, " + greeting + ". Travel safely.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}