
void Caradon object# (0x4ef) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
				
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);


	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Well met, Sir Knight..@";
		npc_1st_greet = "@Hello.@";
				
		av_2nd_greet  = "@@Sir Caradon..@";
		npc_2nd_greet = "@Hello, friend.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		item.say("A paladin with a longsword on his back.*");
		item.say("@Good " + time_of_day + ", " + polite_title + ". How art thou?@*");
		item.say("@I am pleased to hear that thou art well. I wish I were healthy again.@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Sir Caradon of Trinsic, at thy service.@");
				
			case "job"(remove):
				say("@I am a knight. Currently, though, I am recovering from a battle.@");
  				add(["battle"]); 

			case "battle"(remove):
				say("@I've just come home from fighting in Yew. I fought gargoyles near the shrine.@");
				add(["shrine"]);

			case "shrine"(remove):
				say("@There I was, with ten companions. Outside the Shrine of Justice stood two gargoyles. I saw them drink from little vials right before they charged us. Large, clumsy brutes they were. They should have been easy to dispatch...But they fought like cyclones!@*");
				say("@My captain ordered me to go to town for help when only we two and the gargoyles were left standing. Just as I was returning with some guards, I saw the monsters throwing my friends' dead bodies onto a fire. Then the gargoyles looked up at us and fell over, both dead.@");
				add(["dead"]);

			case "dead"(remove):
				say("@Yes, just like that: all of a sudden! I only wish I could have killed them myself, for vengeance!@");
				add(["vengeance"]);

			case "vengeance"(remove):
				say("@If they had not burned his body, my captain might have been resurrected. For a moment, Caradon looks ready to weep. The beasts!@");
				add(["beasts"]);

			case "beasts"(remove):
				say("@Monsters with eyes like coals and skin like rock.@");

			case "bye":
				
				
				avatar_goodbye = "@Get well soon, friend.@";
				npc_goodbye = "Farewell, " + polite_title + ".";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}