void Koranada object# (0x4eb) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
				
	const int FRAME_GHERICK = 3; //for shield			
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "adventurers"; 
	else 
		greeting = "adventurer"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Might we speak?@";
		npc_1st_greet = "@Of course..@";
				
		av_2nd_greet  = "@Greetings, Sir..@";
		npc_2nd_greet = "@Greetings, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (gflags[JOINED_OSS])
			item.say("@As guildmaster, I welcome thee in the name of the Order of the Silver Serpent.@");
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A dignified man wearing a loose jacket decorated with a serpent.*");
			item.say("@Hello " + greeting + "! As guildmaster, I welcome thee in the name of the Order of the Silver Serpent.@");
			item.say("@What is thy name?@*");
			var avatar_or_name = chooseFromMenu(["I am the Avatar", ("I am " + player_name)]);
			if (avatar_or_name == "I am the Avatar")
				say("@Well met, " + polite_title + " Avatar!@");
			else if (avatar_or_name == ("I am " + player_name))
				say("@Well met, " + polite_title + " " + player_name + "!@");
						
		}
		else
			item.say("@It is good to see thee again, " + player_name + ".@");

		var options = ["name", "job", "bye", "rune"];
		
		if (gflags[ASK_JOIN_OSS])
			add("join Order");
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am Koranada, son of Kulebra. My father was a brave lighthouse keeper.@");

			case "job"(remove):
				say("@An earthquake destroyed the lighthouse, else I would have inherited the position of keeper in Greyhaven. I traveled to Serpent's Hold to join the Order instead.@");
  				add(["Order", "join"]); 

			case "Order"(remove):
				say("@We stand for the principle of Courage.@");
				if (!gflags[JOINED_OSS]) //haven't joined OSS
				{
					if (gflags[ASK_JOIN_OSS]) //haven't asked to join yet
					{
						say("@Dost thou wish to join the Order of the Silver Serpent?@");
						if (askYesNo())
						{
							say("@We would be greatly honored if thou wouldst join us, Avatar.@*");
							say("@Thy deeds speak well of thee, " + player_name + ". I shall waive the usual requirements since thy adventures are more than sufficient proof of thy courage.@*");
							say("@However, thou must still create thine own shield.@");	
							gflags[ASK_JOIN_OSS] = false;
							
							//can ask Gherick to make the shield now
							if (!gflags[MAKE_SERPENT_SHIELD])
								gflags[MAKE_SERPENT_SHIELD] = true; 
								
							add(["Serpent shield", "courage"]);
						}
						else 
							say("@There will always be a place here for thee, " + polite_title + ".@");
					}
					else
						say("@Acquire a Silver Serpent shield and thou wilt be admitted to the order, " + polite_title + " " + player_name + ".@");
				}
				
			case "join Order"(remove):
				if (gflags[JOINED_OSS]) 
					say("@We are honored by thy membership, worthy Avatar!@");
				
				else
				{
					if (UI_count_objects(PARTY, SHAPE_MAGIC_SHIELD, QUALITY_ANY, FRAME_ANY) > 0)
					{
						if (UI_count_objects(PARTY, SHAPE_MAGIC_SHIELD, QUALITY_ANY, FRAME_GHERICK) > 0)
						{
							say("@We are honored by thy membership, worthy Avatar!@");
							giveExperience(30);
							gflags[JOINED_OSS] = true;
						}
						else
							say("Koranada glances at your shield. @Avatar, thou must aquire thine own Serpent shield from Gherick. Someone else's won't suffice...@");	
					}
					else
					{
						say("@Acquire a Silver Serpent shield and thou wilt be admitted to the order, " + polite_title + " " + player_name + ".@");
						add(["Serpent shield"]);
					}
				
				}

	
			case "courage"(remove):
				say("@Go and speak to de Hugh. Observe what he believes to be courage. Though he is a fine fighter, he has yet to prove himself worthy of our order.@");
				
			case "Serpent shield"(remove):
				say("@The Serpent Shield of our order is a sacred symbol of our brotherhood of bravery.@");
				if (UI_count_objects(PARTY, SHAPE_MAGIC_SHIELD, QUALITY_ANY, FRAME_GHERICK) < 1 || !gflags[JOINED_OSS])
				{
					say("@Its making is a magical process. Gherick the Smithy will help thee make one.@");
					//can ask Gherick to make the shield now
					if (!gflags[MAKE_SERPENT_SHIELD])
						gflags[MAKE_SERPENT_SHIELD] = true; 
					add(["magical process", "Gherick"]);
				}
				else
					say("@Carry it with pride!@");
			
			case "magical process"(remove):
				say("@Tis secret, as well.@");

			case "Gherick"(remove):
				say("@You will most likely find him at Siege Crafters.@");

			case "join"(remove):
				say("@I have responsibilities here, " + polite_title + ". But I am honored by the offer.@");
				if (!gflags[JOINED_OSS])
				{
					say("@However...Dost thou wish to join the Order of the Silver Serpent?@");
					add(["Order"]);
				}

			case "rune"(remove):
				say("@Without the meaning, such a symbol is just a meaningless scratching. We meditate on valour here.@");
				add(["mantra"]);

			case "mantra"(remove):
				say("@A mantra is a concept, a special word to be turned over and over in the mind. When we meditate on a mantra, we do so in order to find the meaning of that virtue.@");
				add(["meaning"]);

			case "meaning"(remove):
				say("@It is not enough just to know a mantra or possess a rune. In order to be virtuous, one must act virtuously.@");
				add(["virtuous"]);

			case "virtuous"(remove):
				say("@Sometimes one virtue conflicts with another, though both be numbered amongst the virtues of the Avatar. The hero seeks to act with an awareness of these conflicts instead of merely following instinct. My teacher Conor taught me this.@");
				add(["Conor"]);

			case "Conor"(remove):
					say("@A dear friend. He was guildmaster here when I was in training. He lives humbly in New Magincia now.@");
					
		
			case "bye":
				
				avatar_goodbye = "@Goodbye!@";
				npc_goodbye = "@Fare thee well!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}