
void LadyTessa object# (0x4e9) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Might we speak, milady?@";
		npc_1st_greet = "@Why, 'tis the Avatar!@";
				
		av_2nd_greet  = "@Hello again, Lady Tessa.@";
		npc_2nd_greet = "@Welcome again, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A well dressed woman.*");
			item.say("@Ah, " + polite_title + " " + player_name + "! A sailor from Britain said thou had returned to the land! How glad I am to see that it is true!@");

		}
		else 
			item.say("@Welcome again to Serpent's Hold, Avatar!@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I'm Tessa. We met during thy last quest, Avatar! Strange that thou didst not recognize me. I would have hoped that the past years had not taken that much toll on me!@");

			case "job"(remove):
				say("@I'm the keeper of the Flame of Courage. I also help my husband Simon run this town. How fortunate we were to come here after the earthquake!@");
  				add(["Flame of Courage", "earthquake", "Simon"]); 

			case "Simon"(remove):
				say("@He is the lord of this hold.@");

			case "Flame of Courage"(remove):
				say("@You'll find many courageous fighters here!@");
				
			case "earthquake"(remove):
				say("@After thy last quest, there were many great earthquakes. The island of Bordermarch sank into the sea, along with our keep! Only through great fortune did Simon and I make it off the island alive!@");

			case "bye"(remove):
				avatar_goodbye = "@Goodbye, milady!@";
				npc_goodbye = "@Farewell, Avatar! Be brave in thy quest!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}