void Shubin object# (0x4f1) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var barks;
	var rand;
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	
	if (event == PROXIMITY)
	{
		if (UI_get_schedule_type(item) == BAKE)
		{
			//reorganised to make it easier to add barks
			barks = [
				"@Bread fit for a king!@",
				"@Where is my rolling pin??@",
				"@Yum!@",
				"@Wish I had a dragon's egg..@",
				"@Mmm, pastry!@",
				"@Smells good!@"
				
			];

			rand = UI_get_random(UI_get_array_size(barks));
			UI_item_say(item, barks[rand]);
		}
		//Otherwise, say generic NPC barks
		else scheduleBarks(item);
	}
				
	else 
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Hello, milord..@";
		npc_1st_greet = "@Hello!@";
				
		av_2nd_greet  = "@Greetings..@";
		npc_2nd_greet = "@Hello, again!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A man with a wide bottom. His voice is almost like a woman's*");
			item.say("@Ooh, you look so thin! Here, have a bite of bread.@ He gives you a roll; it is still warm from the oven.*");
			UI_add_party_items(1, SHAPE_FOOD, QUALITY_ANY, FRAME_ROLL, true);
			add(["roll"]);
		}
		else
			item.say("@Why, hello there, " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		
		if (UI_get_item_flag(SANDY, MET))
			add ("Sandy");
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Shubin, " + polite_title + ".@");

			case "job"(remove):
				say("@I'm a cook, " + polite_title + ".@");
  				add(["cook"]); 

			case "Sandy"(remove):
				say("@He is my friend.@");
				add(["mantra"]);

			case "mantra"(remove):
				say("@Sandy says the mantra of eating is 'yum,' " + polite_title + ". Hee, hee!@"); 
				if (isNearby(IOLO))
				{
					IOLO.say("Your friend Iolo rolls his eyes. @Such wisdom we can surely do without!@"); 
					IOLO.hide();
				}

			case "roll"(remove):
				if (!UI_get_item_flag(item, TATTOOED)) //flag used to avoid using globals - haven't given rolls yet
				{
					say("He ask anxiously @Do you like it, " + polite_title + "?@");
					if (askYesNo())
					{
						say("@Have a whole tray, then.@");
						UI_add_party_items(6, SHAPE_FOOD, QUALITY_ANY, FRAME_ROLL, true);
						UI_set_item_flag(item, TATTOOED); //sets 'already gave rolls' flag 
					}
					else say("@Such a picky eater. No wonder you're so skinny, " + polite_title + ".@");
				}
				else 
					say("@I have no more rolls, " + polite_title + ".@");  
					
			case "cook"(remove):
				say("@Being a cook is like being an adventurer, " + polite_title + ".@");
				add(["adventurer"]);

			case "adventurer"(remove):
				say("@Yes, " + polite_title + ". I must gather up all my ingredients with care.@");
				add(["care"]);

			case "care"(remove):
				say("@So that I have the right ingredients, " + polite_title + ".@");
				add(["ingredients"]);

			case "ingredients"(remove):
				say("@Adventurers are always searching for this or that, " + polite_title + ". So are cooks. Do you know of Magincian Pastry?@");
				if (askYesNo())
				{
					say("@It is a marvellous dish, " + polite_title + ". My friend Sandy gave me the recipe...I'm only missing one ingredient...@");  
				}
				else
				{
					say("@Well, I'd like to make it, " + polite_title + ", but I cannot get one of the ingredients...@");
					say("@I sure would appreciate it if you brought it back for me if you came across one in your travels, " + polite_title + "...If you could find time for old Shubin, that is...@*");
					say("@Would it be too much trouble to bring me back a dragon's egg, " + polite_title + "?@");
					if (askYesNo())
					{
						say("He sighs. @Well, " + polite_title + ", it did no harm to ask, I suppose.@");
					}
					else say("@I just know you will remember Shubin, " + polite_title + ". Thank you.@");
				}
				add("dragon's egg");
				if (!UI_get_item_flag(SANDY, MET))
					add("Sandy");

			case "dragon's egg"(remove):
				say("@Have you one with you?@");
				if(askYesNo())
				{
					if (UI_count_objects(PARTY, SHAPE_DRAGONS_EGG, QUALITY_ANY, FRAME_ANY) > 0)
					{
						say("@Oh, thank you, thank you, thank you!@");  
						UI_remove_party_items(1, SHAPE_DRAGONS_EGG, QUALITY_ANY, FRAME_ANY, true);
						if (!UI_get_item_flag(item, FREEZE))
						{	
							addKarma(5);
							UI_set_item_flag(item, FREEZE);
						}
					}
					else
						say("@Oh, do not tease old Shubin so, " + polite_title + "!@");
				}
				else
					say("@Oh, do not tease old Shubin so, " + polite_title + "!@");

			
			case "bye":
								
				avatar_goodbye = "@Must be going now..@";
				npc_goodbye = "@Goodbye, " + polite_title + ".@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}