void Simon object# (0x4ea) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	var av_1st_greet;
	var npc_1st_greet;
				
	var av_2nd_greet;
	var npc_2nd_greet;	
	
	var avatar_goodbye;
	var npc_goodbye;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else 
		greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		av_1st_greet = "@Greetings, milord.@";
		npc_1st_greet = "@Avatar! It's been ages..@";
				
		av_2nd_greet  = "@Greetings, Sir Simon.@";
		npc_2nd_greet = "@Welcome, Avatar!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
	
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); //sets met flag
			item.say("A muscular knight. He speaks in a raspy voice.*");
			item.say("@Greetings, " + polite_title + " Avatar! Thou art most welcome in my castle, Avatar.@ He bows deeply to you.");

		}
		else 
			item.say("@Good " + time_of_day + ", " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye", "mantra"];
		
		
		if (UI_get_item_flag(CULHAM, MET))
			add ("Culham");
	


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread
	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Call me Simon, " + polite_title + ".@");

			case "job"(remove):
				say("@I am the lord of Serpent's Hold.@");
				
			case "mantra"(remove):
				say("@I personally favor the mantra of Valour. I taught it to the bard Culham in a song.@");
				if (!UI_get_item_flag(CULHAM, MET))
					add("Culham");
				add("rune");
				
			case "Culham"(remove):
				say("@He spends much time in Jhelom, though he be a traveling bard.@");
				add(["traveling bard"]);

			case "traveling bard"(remove):
				say("@Yes, there's no telling where one might find him. As I said, though, Jhelom is a good guess.@");

			case "rune"(remove):
				say("@If I had a rune, I'd wear it proudly. But others fear for the safety of such important talismans, hiding them in some peculiar places. I wonder if 'tis considered theft to seize a rune laid out for all to see...@");

			case "bye":
				say("@Goodbye. I hope thou wilt visit me again when thou hast time, friend.@");
							
				avatar_goodbye = "@Farewell!@";
				npc_goodbye = "@Come back soon, friend!";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}