void Marney object# (0x44b) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var avatar_goodbye;
	var npc_goodbye;
	
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	if (event == DOUBLECLICK)
	{
		//check to see if timer has passed, maybe 12 hours
		if ((gflags[MARNEY_SAVED]) && (UI_get_item_flag(item, SI_ZOMBIE)))
		{
			UI_error_message("Timer for Marney is " + UI_get_timer(MARNEY_TIMER));
			if (UI_get_timer(MARNEY_TIMER) > 12 || gflags[QUENTON_MURDER_SOLVED]) //timer runs out or you solve the quest, clear flag
				UI_clear_item_flag(item, SI_ZOMBIE); //enough time has lapsed, she's better
					
		}
		
		if (gflags[MARNEY_GONE]) //semi-bad ending, she's scarred for life
		{
			item.say("Marney looks up at you, her face puffy and red from crying, tears rolling down her eyes.");
			item.say("@Please, go away. I do not wish to speak to you again. I have been traumatized enough.@");
			sayGoodbye2(MARNEY);
			return;		
					
		}	
		else 
		if (UI_get_item_flag(item, SI_ZOMBIE))
		{	
			item.say("Marney looks up at you from sobbing, her eyes red from the tears.");
			item.say("@Please, " + polite_title + ", come back later when I've had some time to deal with everything that has come to pass recently.@");
			item.say("@It's all so overwhelming. I hope you understand.@");
			delayedBark(AVATAR, "Take care, Marney..", 3);
			delayedBark(MARNEY, "Sorry..", 8);
			sayGoodbye2(MARNEY);
			return;		
		}		
		
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@A moment, milady.@";
		var npc_1st_greet = "@Hello.@";
				
		var av_2nd_greet  = "@Marney..@";
		var npc_2nd_greet = "@Hello again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a tall, delicate looking female. Her smile puts you at ease.*");
			item.say("@Hello " + polite_title + ", welcome to my home.@ Her eyes are as blue as the ocean and her movements as rythmic as the tide.");
			UI_set_item_flag(item, MET);
		}
		else 
			item.say("@I recognize you from before.@ She winks at you.");
		item.say("@What can I do for you?");
		
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//set when you use Seance on Quenton
		if (gflags[LEARNED_MICHAEL_NAME])
			add("Michael");
		
		//set by Trenton when you ask him about the rune's whereabouts	
		if (UI_get_item_flag(MARNEY, PETRA))
			add ("rune");	
		
		if (UI_get_item_flag(LORD_BRITISH, MET))
			add ("Lord British");
		
		if (UI_get_item_flag(TRENTON, MET))
			add ("Trenton Bell");

		if (UI_get_item_flag(DEZANA, MET))
			add ("Dezana");

		if (UI_get_item_flag(MICHAEL, MET))
			add ("Michael");

		if (UI_get_item_flag(STIVIUS, MET))
			add ("Stivius");
		
		if (UI_get_item_flag(HORANCE, MET))
			add ("Horance");


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name" (remove):
				say("@My father chose an ancient word for my name. It means the cool breeze after a storm has passed. Marney.@");
					add(["Marney", "father"]); 

			case "job" (remove):
				say("@I look after the dock.@");
					add(["dock"]); 

			case "Marney" (remove):
				say("@It is in a poem my mother wrote to him when they first met.@ She grabs a locket that hangs around her neck and opens it. Inside is a folded piece of cloth with words printed on it. She begins to read. @At first we met and dark clouds gathered, the thunder sounding your approach. Then comes the storm of our hearts pounding and in the end the marney's touch.@");
					add(["poem", "locket"]); 

			case "poem" (remove):
				say("@Certainly you can look at it.@ She hands the tiny cloth to you. Looking at it, you discover that she has read only the first verse of the poem. The second reads, @If I should leave and you are lonely, Remember where my love is kept: Inside a basket made of promise, You'll find my dreams of us have slept.@");
					add(["basket"]); 

			case "father" (remove):
				say("@My father? He was a brave man and very strong. That he died in such a violent way was so wrong. But I am sure there is a reason for it.@*");
				say("Her blue eyes glisten with new-formed tears.");
				add(["ghost", "died"]); 

			case "locket" (remove):
				say("@My mother gave me this just before she was taken by those evil men. My mother told me to give it to father when he returned from the sea. Yorl gave it back to me after he was killed.@");
				add(["sea"]); 

			case "ghost" (remove):
				say("She bows her head a moment and with a shaky voice begins to speak. @It is something I care not to talk about. His memory brings only sadness to me.@");
                                
			case "died" (remove):
				if (!gflags[MARNEY_SAVED])
				{
					say("She rubs her nose with the knuckle of her hand. @I can not see why those beasts would kill him, but perhaps it was just unfortunate.@*");
					say("@Still, I can't see why he was at the inn that late. Had he been drinking, Yorl would have been with him.@");
				}
				else
					say("@I would rather not talk about this if you don't mind, it's still a lot to process.@");
                add(["Yorl", "inn", "gargoyles"]); 

			case "basket" (remove):
				say("@A basket? I have one in my hope chest. Feel free to look for yourself.@");

			case "sea" (remove):
				say("@My father had gone out to help Yorl bring in the catch that afternoon.@");
                                
			case "Yorl" (remove):
				say("@Oh, Yorl.@ She smiles to herself. @He and father were never apart. After my mother was kidnapped, Yorl helped my father get back on his feet. They were always together.@");
				say("Her gaze returns to you. @If my father had been drinking at the inn, Yorl would have been there.@");
				add(["inn"]); 

			case "inn" (remove):
				say("@My father and Yorl would go there after a good catch. Gideon had been a friend of theirs since youth. The three would would drink and reminisce together.@");
				add(["Gideon"]); 

			case "Gideon" (remove):
				say("@He and his wife are very kind to me. They have taught me so much about how to treat others.@");
                                
			case "gargoyles" (remove):
				if (!gflags[MARNEY_SAVED])
					say("She looks at you and swallows. @I cannot talk about these creatures.@");
                else
					say("@All this time we thought my father died at their hands. I hope that maybe they are just misunderstood, and not as evil as they are believed to be.@");
					
			case "dock" (remove):
				say("@Oh, you're probably wanting a skiff to get out to old Horance's island. Well, we have none for sale, but feel free to borrow the one at the dock. Be sure to return it, though!@");
                add(["Horance"]); 

			case "Horance" (remove):
				say("@Ah, now, Horance is much wiser than most know. He is also my mentor when it comes to poetry.@*");
				say("@He has a way of reminding me that I am too concerned with myself. It is a gentle way, but a firm reminder.@");

			case "Lord British" (remove):
				say("@I saw him once when I was a little girl. We had gone to his castle for a celebration and there he sat on a great white charger. What a sight he was.@");
                                
			
			case "Michael" (remove):
									
				if (!gflags[MARNEY_SAVED]) //haven't saved her from Michael yet, she's still smitten
				{
					say("Her eyes brighten at the mention of his name. @He is a very handsome man. I see him only occasionally when he comes into town.@*");
					say("She looks absently out the window. @Yorl would never let me see him though.@");
				}	
				else
					say("She looks down at the floor listlessly. @I still cannot believe he killed my father over a debt. I hope, however, that my father can finally be at rest.@");
				
			case "Stivius" (remove):
				say("@He is a sweet little man. He brought me wine on my sixteenth birthday. I'm quite fond of him.@");

			case "Dezana" (remove):
				say("@She has done as much as she can to heal my wounded heart. She bakes for me and we have long talks about almost everything.@*");
				say("@I wish I were as beautiful as she.@");

			case "Trenton Bell" (remove):
				say("@I believe he has done all he can for me. When my father was murdered, he took charge to find the gargoyles. None were found though.@");


			case "rune"(remove): 
				say("@I am sorry for our town. You see, my father was the caretaker of the rune stone.@*");
				say("@After he died, we had no way of finding out where he put it.@*");
	
				case "bye":
				if (!gflags[MARNEY_SAVED])
				{
					say("@I am sorry that I wept. It is not your fault. Goodbye.@");
					avatar_goodbye = "@Goodbye..@";
					npc_goodbye = "@Sorry..@";
					
				}	
				else
				{
					say("@I am sorry that I am still emotional. Thanks to thee, I have some closure, and my heart is on the mend.@"); 
				
					avatar_goodbye = "@Take care, Marney.@";
					npc_goodbye = "@Thank thee, farewell.@";
				
				}
				
				//prevent more talking				
			//	UI_set_schedule_type(item, LOITER);
				UI_run_schedule(item);
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}