
void Marta object# (0x490) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	
	
//	if (event == DEATH)
//		subtractKarma(15);

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Hello.@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@AHH! Whew, thou didst scare me.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			UI_set_item_flag(item, MET); 
			item.say("A rather plump woman with darting eyes.");
			item.say("@Hello. How are you this fine day? What is it you need?@");
		}
		else
			item.say("@Hello again. Are you well " + polite_title + "?@");
	
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (gflags[LEARNED_ABOUT_QUENTON])
			add(["haunted", "ghost"]);

		if (UI_get_item_flag(DEZANA, MET))
			add (["Dezana"]);

		if (UI_get_item_flag(GIDEON, MET))
			add (["Gideon"]);

		if (UI_get_item_flag(MARNEY, MET))
			add (["Marney"]);

		if (UI_get_item_flag(YORL, MET))
			add (["Yorl"]);

		if (UI_get_item_flag(HORANCE, MET))
			add (["Horance"]);

		//set when you use Seance on Quenton
		if (gflags[LEARNED_MICHAEL_NAME])
			add("Michael");

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Marta.@");
				add(["Marta"]);

			case "job"(remove):
				say("@Oh dear, my husband runs the inn. I tend my garden.@");
  				add(["garden"]); 

			case "Marta"(remove):
				say("@It is a plain name, but I must live with it.@");
				
			case "garden"(remove):
				say("@You've not seen it? I have the loveliest roses.@");
				add(["roses"]);

			case "roses"(remove):
				say("@Red as the evening sun on the sea.@");
				
			case "Yorl"(remove):
				say("@He's a messy person - and smelly too.@");
			
			case "Marney"(remove):
				say("@My dear little one? She is an angel - well minded, kind, thoughtful. She's a dear.@");
				 
			case "gargoyles"(remove):
				say("@Nasty creatures, or so I hear. Can stomp a garden to pieces in minutes.@");
				
			case "Gideon"(remove):
				say("@My husband talks a bit too much, but I love him.@");

			case "haunted"(remove):
				say("@I want to move from this house as soon as we can.@");
				  
			case "Dezana"(remove):
				say("@I cut myself one time in the garden. She healed it.@");
				
			case "Horance"(remove):
				say("@Another strange man. We have so many here.@");

			case "Michael"(remove):
				say("@He never comes into town.@");
			
			case "ghost"(remove):
				say("@It was the scariest thing I ever saw! I'm sure it's still lurking about somewhere...@");
		
			case "bye":
				var avatar_goodbye = "@Take care, Marta.@";
				var npc_goodbye = "@Goodbye and watch out for that ghost..@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
		}                               
	}
	else scheduleBarks(item);
}