void Michael object# (1100) ()
{
	
	var rand_npc;

	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var party = UI_get_party_list();

	if (event == DEATH) 
	{
		if (inParty(RENTHAR))
		{
			RENTHAR.say("@Thy reign of murder and crime is over, Michael. You'll have the luxury of sitting in a cell awaiting the fate you deserve.@");
			MICHAEL.say("@You vile worm!@ He spits up blood. @There's no hole you can hide in that the captain won't find you! Not even running behind the Avatar's skirt will save thee from his wrath!@");
			RENTHAR.say("@I'm not afraid of death Michael, I will be seeking the virtues and trying to make amends for the wrongs I have committed over the years. The captain is running out of time, and eventually, you will too...@");
			MICHAEL.say("Michael seems to momentarily recoil, then yells: @The Captain will send aid for me, I am his chosen one! And then, I'll find you.. and make sure you suffer!@");
			RENTHAR.say("Renthar bounds Michael's hands with some rope. @Avatar, I will transport this swine to the jail in Yew and Rinaldo will decide his fate.@");
			if (gflags[MARNEY_GONE])
				RENTHAR.say("@I will try to loosen his tongue on the whereabouts of the girl on the long journey to Yew..@");
			UI_remove_from_party(RENTHAR);
			
			//Talk to Rinaldo to wrap things up
			gflags[MICHAEL_CAPTURED] = true;
			
			//if Marney is gone and the Avatar let her go (worst ending), Renthar will have been killed by Michael's associates
			if (gflags[FAILED_QUENTON_QUEST])
			{
				RENTHAR->move_object([0822, 1876]);//move him to holding area
				
				//set DEAD flag
				UI_set_item_flag(RENTHAR, DEAD);
			
			}
			
			else
			{
			
				//send Renthar to Skara Brae
				RENTHAR->move_object([0712, 0518]);//move him to Yew but change his schedules
				RENTHAR->set_schedule_type(LOITER);
				UI_set_new_schedules(RENTHAR, 0, SLEEP, [0253, 1610]);
				UI_set_new_schedules(RENTHAR, 3, WANDER, [0199, 1674]);
				UI_set_new_schedules(RENTHAR, 6, EAT, [0232, 1597]);
			}
			//set Michael's new schedules
			MICHAEL->move_object([0722, 0549]);//move michael to cell
			UI_set_new_schedules(MICHAEL, 2, TEND_SHOP, [0722, 0549]); 
			UI_set_new_schedules(MICHAEL, 6, PACE_HORIZONTAL, [0722, 0549]); //
			UI_set_new_schedules(MICHAEL, 7, SLEEP, [0722, 0549]); 
			UI_run_schedule(MICHAEL);
			return;
		}

	}
	if (gflags[QUENTON_MURDER_SOLVED] || gflags[MICHAEL_CAPTURED])
	{
		item.say("Michael looks up as you approach, and stares a hole through you.");
		item.say("@I have nothing to say to thee, Avatar. May the gargoyles tear thee into shreds!@");
		item.say("Michael spits at you, and turns away.");
		script item after 3 ticks say "@Damn thee!@";
		return;
	}

	if (gflags[FAILED_QUENTON_QUEST])
	{
		item.say("Michael looks up as you approach, and sneers at you.");
		item.say("@Avatar, thou dost look like you've lost something. Pray tell, what is it?@");
		var convo = chooseFromMenu(["Marney", "nothing"]);
		if (convo == "Marney")
		{
			say("@Don't worry about her, " + polite_title + ". She's in good hands now and fetched a fair price for the captain.@");
			say("Michael pulls out a trinket and lets it dangle between his fingers... you then realize it's Marney's locket!");
			say("@Renthar will be dealt with in good time as well, I assure you that!!@");
			say("Michael grins and turns away from you.");
			return;
		}
		if (convo == "nothing")
		{
			say("@Well then, run along Avatar...@");
			say("Michael pulls out a trinket and lets it dangle between his fingers... you then realize it's Marney's locket!");
			say("He grins at you through clenched teeth.");
			return;
		}
	}

	if (event == DOUBLECLICK)
	{
		player_name = getAvatarName();
		polite_title = getPoliteTitle();
		party = UI_get_party_list();

		if (gflags[MICHAEL_PISSED])
		{
			item.say("Seeing you, Michael's eyes narrow with rage. @Leave here at once!@ he says, with clenched teeth. @Begone!!@");
			script item after 3 ticks say "@Begone!@";
			return;
		}
		else 	
			item.say("You see a tall man with muscles looking like huge snakes. @Speak,@ he growls at you, his voice as rough and cold as stone.");
				
				

		var options = ["name", "job", "bye"];
				
				if (UI_get_item_flag(QUENTON, MET))
					add ("ghost", "Quenton");

				if (UI_get_item_flag(TRENTON, MET))
					add ("Trenton Bell");

				if (UI_get_item_flag(GIDEON, MET))
					add ("Gideon");

				if (UI_get_item_flag(MARNEY, MET))
					add ("Marney");

				if (UI_get_item_flag(YORL, MET))
					add ("Yorl");

				if (UI_get_item_flag(HORANCE, MET))
					add ("Horance");
					
				if (UI_get_item_flag(LORD_BRITISH, MET))
					add ("Lord British");

				//learned when you cast seance on Quenton		
				if (gflags[LEARNED_MICHAEL_NAME])	
					add("Michael");
					
				//Start of regular conversation tree
				converse(options)
				{
					case "name":
						say("@Are you taking a census?@ His powerful gaze is fixed on you.");
						add(["census"]); 

					case "job":
						say("He ignores the question and you think it wise not to ask again.");
						
					case "census"(remove):
						say("@Yes, you know, counting people, taking down names...@");
					
					case "Michael"(remove):
						say("@That name is given to friends so that they may feel they are close to me. Since I have none, refrain from its use.@");
						add("murderer!");
										
					case "ghost"(remove):
						say("@That is a concern of the town, not mine@");
						add(["murder"]);

					case "Quenton"(remove):
						say("@He was not fortunate. It is written that it is better to be fortunate than skilled. He, I'm sure, would agree.@ His face betrays a slight grin.");
			
					case "murder"(remove):
						say("@All men have enemies. A debt needed to be settled. He hadn't the strength to settle it, so someone decided to take the initiative.@ He pulls out a knife and begins to pick at his nails.");
						add(["debt"]);

					case "debt"(remove):
						say("@Surely you don't buy the fable of the gargoyle. There wouldn't be enough left to bury if this were the case. This was no monster who settled the debt, it was the work of man's hands.@ He brings the knife to his teeth and delicately works it between them.");
						add(["gargoyle"]);				

					case "gargoyle"(remove):
						say("@Have you ever seen one? If you had you would not believe the fairy tales being told by that incompetent mayor.@ He grabs the knife and holds it aloft. @See this blade? Their fangs are twice as long and thrice as sharp.@");

					case "Stivius"(remove):
						say("@An annoying little man. Makes good wine though.@");
						
					case "Horance"(remove):
						say("@Perhaps the wisest of us all..@");
					
					case "Marney"(remove):
						say("@She is kind to me, and yet I believe this is genuine.@");

					case "Gideon"(remove):
						say("@Too kind for his own good.@");
			
					case "Lord British"(remove):
						say("@He is one to be respected. I have seen him fight, firsthand. He is a mighty warrior, as well as a just opponent.@");

					case "Trenton Bell"(remove):
						say("@He is a fool. The perfect man for his job.@");


					case "Yorl"(remove):
						say("@I don't know him.@");
						
		//quest
					case "murderer!"(remove):
						say("Michael looks at you sternly, almost amused.");
						say("@I have no idea what you're talking about...@ he says, with a slow, condescending voice.");
						add(["lie"]);

					case "lie"(remove):
						say("Michael steps forward, staring you in the eyes. @Maybe you shouldn't be going around trying to drag people into the town's affairs...@");
						say("@Perhaps you should be careful of throwing around wild accusations...@"); 
						say("@I suggest you run along and go play with the gargoyles. Do not return here!@");
						gflags[MICHAEL_PISSED] = true;
						if (UI_get_array_size(party) > 1)
						{
							rand_npc = randomPartyMember();
							rand_npc.say("As you depart, " + UI_get_npc_name(rand_npc) + " whispers to you. @Perhaps we should go speak with Lady Lenora of Yew " + player_name + ", and bring this fiend to justice!@");
							rand_npc.hide();
									
						}
						script item after 3 ticks say "@Do not return!@";
						break;


					case "bye":
						say("He resumes cleaning his nails with his knife.");
						sayGoodbye2(item);
						break;


				}                                         
	}                               
}