

void Renthar object# (0x465) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female;
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var avatar_goodbye;
	var npc_goodbye;
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	noun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	noun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Hold!@";
		var npc_1st_greet = "@Not now.@";
				
		var av_2nd_greet  = "@Excuse me..@";
		var npc_2nd_greet = "@I have a moment now.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		
		if (gflags[MICHAEL_CAPTURED] && !UI_get_item_flag(item, NAKED) )
		{
			
			avatar_goodbye = "@Goodbye, Renthar.@";
			npc_goodbye = "@Go in Spirituality!@";
		
			item.say("@Greetings Avatar.  Michael has been brought to justice finally and is awaiting his fate. I have given Rinaldo all of the information I know on the other pirates.@");
			item.say("@Now that he is safely behind bars, I have something that might interest you. After I left the crew, I managed to steal a great treasure from one of the Captain's hoards.@");
			item.say("@I hid it in a safe place, lest Michael managed to slay me, to keep it out of their hands. It's a powerful artifact.@");
			item.say("@I believe it to be the Mystic Armour, created by the legendary blacksmith, Zircon. I would like thee to have it.@");
			item.say("@It will serve thee well in thy quest. It will be safe with the Avatar.@");
			item.say("He hands you the Mystic Armour");
			item.say("@Farewell, Avatar, I have much to learn from the townsfolk here.@"); 
			UI_set_item_flag(item, NAKED);//prevent more armour
			UI_add_party_items(1, SHAPE_MYSTIC_ARMOUR, QUALITY_ANY, FRAME_ANY, true);
			
			sayGoodbye(item, npc_goodbye, avatar_goodbye);
			return;
		
		}
		
		
		
		
		
		
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A solemn looking man, who looks as if the weight of the world was on his shoulders.*");
			item.say("@Not now, " + polite_title + ", I must speak with Rinaldo about an important matter.@");
			UI_clear_item_flag(item, MET);
			UI_set_schedule_type(item, LOITER);
			return;
		}
		else 
			item.say("@Greetings, " + polite_title + ", how might I assist thee?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (!gflags[QUENTON_MURDER_SOLVED])
			add("Rinaldo");
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	//Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@My name is Renthar, " + polite_title + ".@*");
	
			case "job"(remove):
				say("@Formerly, I was an assassin.@");
				say("@I am trying to put those days behind me, and become more virtuous.@");
		
			case "Rinaldo"(remove): 
				say("@My apologies for my shortness earlier. It was urgent that I spoke with him.@*");
				add(["urgent"]); 

			case "urgent"(remove): 
				say("@Yes, " + polite_title + ", I had to inform him of the whereabouts of my former crew...@*");
				add(["former crew"]); 


			case "former crew"(remove): 
				say("@Aye, I used to be an assassin for my Captain. I have since been reformed. Rinaldo has agreed to give me a pardon for my former life, in return for information leading to their capture.@*");
				add(["reformed", "Captain", "pardon"]); 

			case "reformed"(remove): 
				say("@My former Captain sent his latest protege' to kill me, thinking I was plotting his demise.@");
				say("@Michael almost succeeded...but I was able to jump from the ship and make it to shore.@");
				say("@As I lay on that shore dying, darkness surrounded my mind and I could see the Void opening up to consume me...@");
				say("@But then...it came to me in the form of a vision... an Ankh glowing in the clouds.@*");
				say("@It vanquished the darkness in my mind, then I knew I had to seek out redemption through the virtue of Spirituality.@*");
				say("@It gave me the strength to keep fighting, and I've recovered, but the scars will always remain.@*");
				add(["Michael", "Spirituality"]); 

			case "Michael"(remove): 
				say("@He was recruited at a young age, and the Captain trained him well.@*");
				say("@Michael was often sent to the mainland to collect debts from the Captain's 'legitimate businesses'@*");
				say("@Or assassinate those who didn't pay, or tried to evade us.@*");
				say("@He is very cunning, and sought my position as the Captain's most trusted henchman.@*");
				say("@The seeds of discontent were sown within the Captain's mind, that I was plotting against him.. thus Michael betrayed me and was ordered to kill me.@*");
				if (gflags[MICHAEL_CAPTURED])
					say("@Thanks to thee, his reign of murder is over. The guillotine is a proper fate for him.@");
				else
				{
					add(["Michael's whereabouts"]); 
				}

			case "Spirituality"(remove): 
				if (gflags[MICHAEL_CAPTURED])
					say("@With the guidance of the people of Skara Brae, my journey of Spiritual enlightenment will continue to grow.@");
				else				
				{				
					say("@When I recovered, I traveled to the nearby city of Skara Brae to learn more and seek out the Shrine. The townsfolk were in mourning.@*");
					say("@I learned some pirates landed in a ship, bearing the crest of Mondain on it's sails. My former crew.@*");
					say("He looks down at the floor. @They had abducted and killed the woman, and were only there because of me.@*");
					say("@They must have knew I was still alive, and assumed I had sought out the healer there.@*");
					add(["Mondain", "pirates"]); 
				}

			case "Mondain"(remove): 
				say("@Aye, the black sails, skull and glowing gem.@*");
				say("@The Captain's ship, 'The Revenge', was rumored to be the finest and most feared vessel in Mondain's fleet.@");
				say("@It was rumored to have a magical protection hex put upon it by either Mondain himself, or Minax...@");
								
			case "pirates"(remove): 
				say("@They're the meanest, most cutthroat pirates the Captain could find.@*");
				say("@I am hoping Rinaldo can bring them to justice, with everything I know about them.@*");
			
			case "pardon"(remove): 
				say("@The other woman, Lady Lenora, scoffed at my request for a pardon in exchange for information on the arrests of the pirates and my former Captain.@*");
				say("@She tried to have me arrested! I evaded and lived in solitude until I found that Rinaldo had returned.@*");
				say("@Rinaldo was skeptical at first, but the Captain never had any defections, and the Royal Navy had been searching for 'The Revenge' for many years.@*");

			case "Captain"(remove): 
				say("@Captain Zagros...many pirates believe him to be a myth... but he's no myth.@*");
				say("@He was the Captain of Mondain's Black Fleet. It was believed his proximity to Mondain and the Gem of Immortality gave him an unnaturally long life.@*");
				say("@Zagros served under Minax, and Exodus as well during the golden age of piracy.*");
		
			case "Michael's whereabouts"(remove): 
				say("@I watched Michael for a while, from a safe distance.@*");
				say("@The scars and pain I was feeling from the attempt on my life screamed at me to kill him...@*");
				say("@But my quest for Spirituality would have been all for naught.@*");
				add(["Michael gone"]); 


			case "Michael gone"(remove): 
				if (gflags[MARNEY_SAVED])
					say("You tell him that Michael has escaped when confronted about his crimes and his whereabouts unknown.*");
				else
					say("You tell him that Michael has escaped with Marney when confronted about his crimes and his whereabouts unknown.");
				say("@I see...@*");
				say("@I know where Michael might be. And as tempting as it might be to have thee to slay him...@*");
				say("@I want him to truly face justice for his crimes, and dread the fate that will await him.@*");
				say("@I will take you to the place he is most likely hiding, and we will bring him back -alive- and let him contemplate his fate and his actions...@");
				say("@What say you?@");
					if (askYesNo())
					{
						if (partynum < 8)
						{
							say("Renthar joins your party. @I will lead you to the safehouse Michael is probably hiding. We must hurry because he won't be there for long.@");
							say("@We need to journey southeast of Skara Brae, where the river Maelstrom splits and empties into the sea. There is a small strip of land where a safehouse was built.@");
							say("@Michael is most likely staying there until he moves on. Let us be off, shall we?@");
							gflags[RENTHAR_IN_PARTY] = true; //flag set to keep Renthar from going too far with the party
							UI_add_to_party(item);
							sayGoodbye2(item);
							return;
						}
						else say("@You have too many following you at the moment. Have one of them stay behind and we will continue, but make haste!@");
						sayGoodbye2(item);
						return;
					}
					else say("@Time is running out, Avatar. You must reconsider if catching Michael is a priority to thee...@");
					sayGoodbye2(item);
					return;
				
		//		say("@I will tell Rinaldo of where Michael is hiding. But I will ask thee a favor in return.@*");
		//		add(["favor"]); 

/*	
			case "favor"(remove): 
				say("@The Captain is one not to be trifled with. No cell will hold him, he'll only escape.@*");
				say("@Thou wilt have to stop him yourself.@*");
				say("@The last of the Black Fleet, 'The Revenge' still sails.. but it's magical protection is wearing off.@*");
				say("@He's vulnerable now, but all the more dangerous.@*");
				say("@If thou art brave enough to face him, I shall tell thee his location.@*");
				
				//Disabled for now, will be in a future patch
			
				if (askYesNo())
				{
					say("@Thou art brave indeed, " + polite_title + ". There is a mountain range near Spiritwood, where the River Maelstrom flows to the south.@");
					say("@Sail due east straight towards the mountains, - but do not be afraid!@");
					say("@Zagros' witch, Evanora, placed an illusion there. It hath protected him for a long time, and only Zagros' closest followers know about it.@");
					say("@You'll sail through the illusionary mountainside, and go through the tunnel. Be aware! His most zealous fighters will protect him at all cost!@");
					say("@You can find me later in Skara Brae, I have much to learn about Spirituality. I will ensure that any witnesses to Michael's crimes will be protected.@");
					UI_set_item_flag(item, SI_ZOMBIE); //to change 'bye' line
					add(["Evanora"]); 
				}
				else
					say("@Then thou aren't as brave as the stories hath said.@*");
			*/		
			
			case "Evanora"(remove): 
				say("@She likens herself to be the second coming of Minax...her loyalty to him is only outmatched by her sheer insanity.@*");
				say("@She's a dangerous one though, not to be trifled with. Do thou be careful, and don't let her put a hex upon thee.@*");
				say("@Thou wilt surely encounter her magical traps, so stay alert!@");
			
			case "bye":
								
				if (UI_get_item_flag(item, SI_ZOMBIE))
				{	
					avatar_goodbye = "@Goodbye, Renthar.@";
					npc_goodbye = "@Good luck!@";
				}
				else
				{
					avatar_goodbye = "@So long..@";
					npc_goodbye = "@Farewell to thee.@";
				
				}
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}