
void Sandy object# (0x450) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
		
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var mentioned_pastry = UI_get_item_flag(item, NAKED);
	var gave_dragon_egg = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, milord.@";
		var npc_1st_greet = "@Welcome, stranger.@";
				
		var av_2nd_greet  = "@Greetings.@";
		var npc_2nd_greet = "@Hello, again.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		
		
		
		item.say("A shifty-eyed man with a strange smile. He smells of rancid grease and cooking smoke.");
		if ((UI_count_objects(PARTY, SHAPE_DRAGONS_EGG, QUALITY_ANY, FRAME_ANY) >= 1) && (!UI_get_item_flag(item, SI_ZOMBIE)))
		{
			item.say("@That big, carefully wrapped bundle could only be a dragon's egg!@");
			say("@Will you give it to me?@");
			if (askYesNo())
			{
				UI_remove_party_items(1, SHAPE_DRAGONS_EGG, QUALITY_ANY, FRAME_ANY, true);
				item.say("@Now I can make Humble Pie!@ Overjoyed, he gives you a hug.");
				
				if (!UI_get_item_flag(item, SI_ZOMBIE))
				{
					UI_set_item_flag(item, SI_ZOMBIE); //so you can ask him about pirates again
					giveExperience(50);
				}

				item.say("@So, does the subject of pirates interest you?@");
				if (askYesNo())
				{
					item.say("@Well, first, there is one in Serpent's Hold. I cannot recall her name, but she has a piece of the map with her.@*");
					item.say("@Second, there is one on Dagger Isle. A hermit.@");
					item.say("@Third, I know of a pirate at Empath Abbey, or thereabouts. Nathaniel Moorehead was his name.@");
					item.say("@The fourth... but then maybe I've said too much already.@");
					add(["fourth"]);
				}
				else
					item.say("He shrugs. @As you wish.@");
			}
			else
				item.say("@I guess I cannot help you much, then.@");
		}
		else 
			item.say("@Hello there, " + polite_title + ".@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		
			if (UI_get_item_flag(item, NAKED))
				add ("Magincian pastry");
				
			if (gflags[TALKEDTOHOMERABOUTMAP])
				add("pirate");
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Sandstone Angus. Most folks call me Sandy.@");
				
			case "job"(remove):
				say("@I cook for Lord Whitsaber. He especially likes my recipe for fish in a white wine sauce.@");
  				add(["Lord Whitsaber", "sauce"]); 

			case "sauce"(remove):
				say("@It's my specialty!@");
				

			case "Lord Whitsaber"(remove):
				if (!gflags[LEARNED_WHITSABERS_SECRET])
				{
					say("@Hmmm. I'd better get back to cooking... Excuse me.@*");
					say("He walks away mumbling.");
					
					if (!mentioned_pastry)
						UI_set_item_flag(item, NAKED);
						
					sayGoodbyeAbrupt(item, "..Magincian pastry..");
					break;
				}
				else
				{
					say("@Before Lord Whitsaber came to Trinsic to be our mayor, he had another job...@*");
					say("@As first mate to Captain Hawkins himself! His real name is Alastor Gordon.@");
				}

			case "pirate"(remove):
				
				if (!UI_get_item_flag(item, SI_ZOMBIE)) //has not given him dragon egg
				{		
					say("@Hmmm. I'd better get back to cooking... Excuse me.@*");
					say("He walks away mumbling.");
				
					if (!mentioned_pastry)
						UI_set_item_flag(item, NAKED);
					
					sayGoodbyeAbrupt(item, "..Magincian pastry..");
					break;
				
				}
				else
				{
					say("@So, does the subject of pirates interest you?@");
					if (askYesNo())
					{
						say("@Well, first, there is one in Serpent's Hold. I cannot recall her name, but she has a piece of the map with her.@*");
						say("@Second, there is one on Dagger Isle. A hermit.@");
						say("@Third, I know of a pirate at Empath Abbey, or thereabouts. Nathaniel Moorehead was his name.@");
						say("@The fourth... but then maybe I've said too much already.@");
						add(["fourth"]);
					}
					else say("He shrugs. @As you wish.@");

				}

			case "favor"(remove):
				say("@Let's see...@");
				say("@'A golden orb on a crystal sea, in a box sans hinges, lid, or key.'@*");				
				say("@I'll give you one guess to this riddle.@");
				
				var guess = chooseFromMenu(["an egg?", "the sun?", "I don't know"]);
				if (guess == "an egg?")
					say("@Very good! To make Magincian pastry, I require one dragon's egg.@");
				else 
					say("@It's an egg, of course. To make Magincian pastry, I require one dragon's egg.@");
				add("egg");
		
			case "egg" (remove):
				say("@Only a dragon's will do.@");
				add(["dragon"]);
			
			case "dragon" (remove):
				say("@There's a lair in the dungeon Destard, to the northwest. It's not far.@");

			case "fourth"(remove):
				say("@Before Lord Whitsaber came to Trinsic to be our mayor, he had another job...@*");
				say("@As first mate to Captain Hawkins himself! His real name is Alastor Gordon.@");
				if (!gflags[LEARNED_WHITSABERS_SECRET])
					gflags[LEARNED_WHITSABERS_SECRET] = true;


			case "Magincian pastry"(remove):
				if (!UI_get_item_flag(item, SI_ZOMBIE)) //haven't give him the egg yet
				{
					say("@I could do you a favor if you did one for me first.@");
					add("favor");
				}
				else
					say("@Truly it shall be a magnificent desert!@");
            
			case "bye":
				
				var avatar_goodbye = "@Take care..@";
				var npc_goodbye = "@Farewell! May thy quest succeed, Avatar!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}