
void Tobatha object# (0x456) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//for healers - delete if npc is not a healer
	
	var npc;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		var npc_1st_greet = "@Eh? Speak up!";
				
		var av_2nd_greet  = "@Excuse me, ma'am..@";
		var npc_2nd_greet = "@Eh? Speak up!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A doddering old woman.");
		item.say("@Who are you and what d'ye want?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		if (UI_get_item_flag(item, SI_ZOMBIE))
			add("thanks");
		
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			
			case "name"(remove):
				say("@My name's Tobatha.@*");
				say("@But you can call me ma'am, youngster.@");
				add(["Tobatha", "ma'am"]);
			
			case "job" (remove):
				say("@Job? I'm a mender of the inflicted!@*");
				say("@If I weren't, why would you be here?@*");
				say("@Now stop this foolishness and tell me what you want, youngster.@");
  				add(["inflicted"]); 

			case "Tobatha"(remove):
				say("@That's ma'am to you, youngster. Respect your elders!@");
				add("ma'am");
				
			case "ma'am"(remove):
				say("@That's better. Now, what did you want?@");
				
			case "inflicted"(remove):
				say("@I can heal, cure, and even raise dead!@");
				add(["heal", "cure", "raise dead"]);
				
			case "heal":
				npc = populatePartyNames(party);
				healScript(npc, TOBATHA, 30);
				add("thanks");
				
			case "cure":
				npc = populatePartyNames(party);
				cureScript(npc, TOBATHA, 10);
				add("thanks");
				
			

			case "raise dead": 
				say("@Well, ain't that just like youngsters? Makin' mistakes and expecting their elders to bail them out.@");
				say("@Well, today's your lucky day.@");
				resurrectScript(TOBATHA, 400);
				add("thanks");

			case "thanks"(remove):
				say("@Oh, sure! Thou art just trying to get on my good side.@*");
				say("@Well, it won't work!@");

			case "bye":
				say("@Hmph! And not so much as a thank-you.@*");
				say("@Well, that's kids today for ye! No manners, the lot of 'em!@");
				if (!UI_get_item_flag(item, SI_ZOMBIE))
					UI_set_item_flag(item, SI_ZOMBIE);
					
				
				var avatar_goodbye = "@Must be going now..@";
				var npc_goodbye = "@..lousy youngsters!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}