
void Brandon object# (0x453) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var price;
	var item_choice;
	
	
	var armor_options = ["nothing", "great helm", "kite shield", "plate armor", "plate leggings", "magic armor", "magic gorget", "magic leggings", "magic helm", "magic gauntlets", "magic boots"];
	var armor_shapes = [SHAPE_GREAT_HELM, SHAPE_KITE_SHIELD, SHAPE_PLATE_ARMOR, SHAPE_PLATE_LEGGINGS, SHAPE_MAGIC_ARMOR, SHAPE_MAGIC_GORGET, SHAPE_MAGIC_LEGGINGS, SHAPE_MAGIC_HELM, SHAPE_MAGIC_GAUNTLETS, SHAPE_BOOTS];
	var armor_prices = [25, 25, 100, 75, 350, 100, 250, 200, 150, 75];
	//
	
	var weapon_options =["nothing", "sword", "mace", "main gauche", "two-handed axe", "two-handed hammer", "two-handed sword"];
	var weapon_shapes = [SHAPE_SWORD, SHAPE_MACE, SHAPE_MAIN_GAUCHE, SHAPE_2H_AXE, "SHAPE_2H_HAMMER, SHAPE_2H_SWORD];
	var weapon_prices = [75, 35, 20, 80, 60, 175];	
	
	var sell_rate = 2; //integer to divide by when selling items back to npc 
	var sell_options = ["nothing", "great helm", "kite shield", "plate armor", "plate leggings", "magic armor", "magic gorget", "magic leggings", "magic helm", "magic gauntlets", "magic boots", "sword", "mace", "main gauche", "two-handed axe", "two-handed hammer", "two-handed sword"];
	var sell_shapes = [SHAPE_GREAT_HELM, SHAPE_KITE_SHIELD, SHAPE_PLATE_ARMOR, SHAPE_PLATE_LEGGINGS, SHAPE_MAGIC_ARMOR, SHAPE_MAGIC_GORGET, SHAPE_MAGIC_LEGGINGS, SHAPE_MAGIC_HELM, SHAPE_MAGIC_GAUNTLETS, SHAPE_BOOTS, SHAPE_SWORD, SHAPE_MACE, SHAPE_MAIN_GAUCHE, SHAPE_2H_AXE, SHAPE_2H_HAMMER, SHAPE_2H_SWORD];
	var sell_prices = [25, 25, 100, 75, 350, 100, 250, 200, 150, 75, 75, 35, 20, 80, 60, 175];	 
			
	//Dialog options
	var initial_choice_question = "@Which of these?@"; //arms or armor? etc
	var askIfInterested1 = "@That costs "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Interested, " + polite_title + "?@";
	var cant_afford = "@But thou hast not enough gold, " + polite_title + "!@"; 
	var cant_hold = "@But 'twould make thee o'erburdened, " + polite_title + "!@";
	var saidNo = "@What else can I do for thee?@";
	var nothing = "@Changed your mind, eh?@";
	var success = "@Excellent!@ After accepting your gold, Brandon hands over the ";
	var success2; //"I hope this item works well for you!" etc if needed
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
	//buyArmor(item, armor_options, prices, shapes, dialog);
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	
	//************************************/
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Zounds! The Avatar!@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Zounds!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("@Hey! The Avatar! Good morning, " + polite_title + "!@");
			item.say("@You've come to me to aid thee in thy quest! What an honor!@");
			UI_set_item_flag(item, MET);
		}
		else
			item.say("@Avatar! Good " + time_of_day + ", " + polite_title + "! How has thy quest gone?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//if you asked about weapons/armor before:
		if (UI_get_item_flag(item, SHOPPED_BEFORE))
			add(["buy", "sell"]);
			


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name's Brandon, " + polite_title + ", and I'm honored to meet thee!@");
				
			case "job"(remove):
				say("@Oh, I'm not important like you. I'm just a weaponsmith--and only a journeyman at that.@");
  				add(["journeyman", "join"]); 

			case "journeyman"(remove):
				say("@Aye, just a few years ago I was a simple apprentice. Now I supply arms to all Trinsic!@");
				//automatically add buy/sell to options next time
				if (!UI_get_item_flag(item, SHOPPED_BEFORE))
					UI_set_item_flag(item, SHOPPED_BEFORE);
				add(["buy", "sell"]);

			case "now"(remove):
				say("@I have to make weapons to help fight the gargoyles!@");
				add(["weapons"]);

			case "weapons"(remove):
				say("@Perhaps you'd like to buy some. I'd be honored to have thee as a customer@");
				add(["buy", "sell"]);

			case "join"(remove):
				say("@That would be a great honor! I'd love to!@*");
				say("The man comes to his senses.*");
				say("@But no, I can't. I've responsibilites here, especially now.@");
				add(["now"]);

			case "buy"(remove):
				if (UI_get_schedule_type(item) != BLACKSMITH)
					say("@Come by my shop when I'm open!@");
				
				else
				{
					say("@I have a large inventory, so be more specific: Dost thou want arms or armor?@");
					add(["arms", "armor"]);
				}
	
			case "arms": 
				buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
			
			case "armor": 
				buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);	
				
			case "sell":
				if (shop_is_open)
					sellBackItems(sell_shapes, sell_options, sell_prices, sell_rate);
				else		
					say("@Come to me shop when it's open!@");	

				
	
			case "bye":
								
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Farewell! May thy quest succeed, Avatar!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}