
void Harold object# (0x455) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//Used if special barks needed, otherwise delete
	/*
	if (event == PROXIMITY)
	{
		//barks = UI_get_random(3);
		
		if (barks == 1)
		{
			delayedBark(item, "@Insert line here..@", 0);
			delayedBark(item, "@Insert line here@", 8);
			delayedBark(item, "@Insert line here@", 16);
		}
		else if (barks == 2)
			delayedBark(item, "@Other lines...@", 2);
		else
			delayedBark(item, "@Other lines...@", 3);
	}
	*/	

	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Welcome.@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Welcome back.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A tall, muscular man with a solemn look on his face.");
		item.say("@Welcome, " + polite_title + ".@");
		item.say("@What can I do for you?@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	
	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@My name is Harold.@");
				
			case "job"(remove):
				say("@Horseshoes are my living.@");
  				add(["horseshoes"]); 

			case "horseshoes"(remove):
				say("@It'll cost you 2 gold for the horseshoes, interested?@");
				if (askYesNo())
				{
					if (hasGold(2))
					{
						if (UI_add_party_items(1, SHAPE_HORSESHOES, QUALITY_ANY, FRAME_ANY, true))
						{
							chargeGold(2);
							say("@Here you go.@");
						}
						else say("@You look pretty full to me.@");
					}
					else say("@Best check your coinpouch again.@");
				}
				else say("@Very well.@");			

			case "bye":
					
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Farewell.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}