
void Andrea object# (0x40f) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var petname;
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var arm_wrestled = UI_get_item_flag(item, SI_ZOMBIE);
	var arm_wrestled_won = UI_get_item_flag(item, PETRA);
	var arm_wrestled_lost = UI_get_item_flag(item, FREEZE);
	
	var current_strength = UI_get_npc_prop(UI_get_avatar_ref(), STRENGTH);
	
	
	//Shopkeeper options
	//sellFood(var npc, var food_drink_options, var prices, dialog)
	
	var food_drink_options =["nothing", "mead", "ale", "wine", "rations", "ribs"];
	var food_drink_frames = [FRAME_MEAD, FRAME_ALE, FRAME_WINE, FRAME_RATIONS, FRAME_RIBS];
	var prices = [4, 3, 6, 4, 6];

	var	initial_choice_question = "@Which of these?@";
	var	askIfInterested1 = "@That'll be "; //split into two to capture price
	var askIfInterested2 = " gold coins, okay?@";
	var ask_quantity = "@How many?@";
	var	cant_afford = "@You can't afford it, sweetie.@";
	var	cant_hold = "@You haven't any room in your pack.@";
	var	saidNo = "@Anything else?@";
	var	success = "She gives you the "; 
	var success2 = "@That aught to hold you.@";	
	var nothing = "@Anything else you need?";
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, ask_quantity, cant_afford, cant_hold, saidNo, nothing, success, success2];
	
	if (UI_get_schedule_type(item) == WAITER)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
	
	
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);

	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
		petname = "dears";
		if (partynum == 1)
			petname = "my dear";
	//	title = "madame";
	}
	else 
	{
		petname = "fellas";
		if (partynum == 1)
			petname = "handsome";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings..@";
		var npc_1st_greet = "@Hello there!@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Welcome back, dear!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see an enormous woman, both in size and personality.");
			item.say("@Hello, " + petname + "!@ she screams as she strides over to you with beer mugs in her hands.");
			UI_set_item_flag(item, MET);
		}
		else 		
			item.say("@Hello again, " + petname + "!@ she screams as she strides over to you with beer mugs in her hands.");
		
		item.say("@Welcome to the Slaughtered Lamb. What can I get you?@");
			
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		
			if (gflags[ASK_ANDREA_ABOUT_DRUDGEY])
				add("Drudgeworth and Saduj");
		
			if (UI_get_item_flag(LENORA, MET))
				add ("Lenora");
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove): 
				say("@Andrea! And yours, my fine friend?@");
				var AvatarOrName = chooseFromMenu(["The Avatar", "" + player_name + ""]);
				if (player_is_female)
					say("@Pleased to meet you, dear.@");	
				else 
					say("@I'm very pleased to meet you,@ she purrs.");
				add(["Andrea"]);        

			case "job"(remove):
				say("@Honey, I've had many jobs in my time. But runnin' this pub is the best, 'cause I get to meet the strongest men.*@");
				say("@I sell ale, mead, wine, and rations.@");
				add(["men", "buy"]); 

			case "Andrea"(remove): 
				say("@Yes. Them's who I beat at arm wrestling call me Miss Barlap, though. Out of respect.@ She laughs.");
				add(["arm wrestling"]);
				
			case "men"(remove):
				say("@Look around. Here you'll find the men whose lives have lead them to many dangerous places.@");
				say("Someone in a dark corner shouts @Like this pub!@ and all the patrons laugh.");
				
			case "Drudgeworth and Saduj"(remove):
				say("@Honey, I've not heard those names spoken since the former Mayor would come in for a drink, rest his soul.@");
				say("@The story that the former Mayor told me was that they were to be transported here in secret to be put in solitary confinement.@");
				say("@Only they never made it here. They overpowered the guards and killed the poor souls, and ran off into the night.@");
				say("@The mayor asked me to keep an ear out for any talk amongst the menfolk about the two, and I just love chattin' up the men!@");
				add("talk");
				
		    case "talk"(remove):
				say("@I meet all kinds of men here, but one in particular during that time would stop in every few weeks or so for drinks and supplies.@");
				say("She sighs dreamily. @He sure knew how to sweet talk a woman! Of course he told me I was the prettiest thing he'd seen since his departed wife, Lucy.@");
				say("@...or maybe he just wanted the free drinks!@ she laughs.");
				say("@Just like a man though, he offered to come back to take me to his home and then I never heard from him again. He said he lived alone as a hermit somewhere in the eastern edge of the Deep Forest.@");
				say("@I didn't say anything to the mayor though, he couldn't have been Drudgeworth or Saduj, he said his name was Chuck.@");
				
	
			case "arm wrestling"(remove):
				if (!arm_wrestled) //SI Zombie
				{	
					say("She looks you up and down and then feels your arm. @Care for a match?@");
					if (askYesNo())
					{
						say("@Yer on!@ She grabs your arm and the contest begins!*");
						say("@Arrghh!!!@*");
						say("@'Nnghhh!!!@*");
						say("@Unghhh!!!@*");
						if (current_strength < 20)
						{
							say("And the winner is...Andrea!!!");
							say("@Now don't feel bad, sugar, lots of folks lose to Andrea!@ She laughs heartily.");
							delayedBark(DUPRE, "Thou needest to work on your biceps, Avatar.", 12);
							UI_set_item_flag(item, FREEZE); //Andrea won
						}
						else
						{
							say("And the winner is..." + player_name + "!!!");
							UI_get_item_flag(item, PETRA); //Avatar won
						}
						
					}	
					else	
						say("@Well, maybe some other time, sugar...@");
				
					
				}
				else
				{
					if (arm_wrestled_won)
						say("@Alright, alright, I admit it - ya won fair an' square. No need to gloat about it...@");
					else
						say("@Now don't feel bad, sugar, lots of folks lose to Andrea!@ She laughs heartily.");
				
				}


			case "Lenora"(remove): //was 'chan' in files? Don't know who that is..
				if (!isNearby(LENORA))
				{
					say("@That old witch? She may not have hit the bottle, but I believe a few have hit her.@*");
					say("The patrons around you chuckle.");
				}	
				else
					say("@She is around here somewhere..@");
					
		
			case "Ben"(remove):
				say("@Now there's a man.@ She looks into a beer mug and fixes her hair. @I wish he'd come into town more often.@");
			
			case "gargoyles"(remove):
				say("@I've never seen any creature that could scare me. I say if they want trouble, come in this pub!@"); 
				say("The men around her let out a cheer and she turns, acknowledging them with a bow.");
				
			case "Lenard"(remove):
				say("@A little girlie-man. But he does make some fine clothes.@");

			case "Lord British"(remove):
				say("@He's never been in here. Can't imagine why--it seems like his kind of establishment.@");
				
			case "buy": 
				if (!shop_is_open)
					say("@Come back when my shop is open.@*");
				else
					sellFood(ANDREA, food_drink_options, prices, food_drink_frames, dialog);


			case "bye":
				say("@So long. Come back when you're thirsty. And if you see that cutie Utomo, tell him Andrea says hi...@");
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Come back again!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}