
void Ben object# (0x474) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var npc_1st_greet;
	var npc_2nd_greet;
	var av_2nd_greet;
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var ben_friend = UI_get_item_flag(item, SI_ZOMBIE); //Ben is your friend now
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Excuse me..@";
		if (!ben_friend) 
		{
			if (UI_get_schedule_type(item) == EAT)
			{
				npc_1st_greet = "@What?! Get out!!@";
				npc_2nd_greet = "@What?! Get out!!@";
			}
			else
			{
				npc_1st_greet = "@Hah! Caught ya!@";
				npc_2nd_greet = "@You again?!@";
			
			}
		}
		else
		{		
			npc_1st_greet = "@Ah, you're welcome here.@";
			npc_2nd_greet = "@Ah, you're welcome here.@";
			av_2nd_greet  = "@Hello Ben..@";
			
		}
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("You see a man as large as the trees that surround his cottage.");
			item.say("@Hah, sneakin' around in my forest, huh? I told the last one of ya that came by that I'll have nothin' t'do with yer wars, so shove off!@.");
			UI_set_item_flag(item, MET);
			sayGoodbyeAbrupt(BEN, "Get outta here!");
		}
		else 
		{
			if (!ben_friend)
			{
				
				if (UI_get_schedule_type(item) == EAT)
				{
					item.say("@Why you bargin' inta my house?@ he shouts.*");
					item.say("Hefting his large axe, he prepares to defend his home.");
					
					sayGoodbyeAbrupt(BEN, "Get outta here!");
					UI_set_schedule_type(item, IN_COMBAT);
					return;
				}
				else
					item.say("@I told ya once already that I want to be left alone!@");
			}
			else
				item.say("@Hullo again, friend.@");
		}
		//standard conversation options
		var options = ["name", "job", "wars", "forest", "bye"];
		
		/*Variable conversation options based on global flags or people met. Remove if none/////	
			if (gflags[GLOBAL_FLAG_HERE])
				add("Insert Convo topic here");
		*/	

		/* Conversation options based on MET flag of other npc's - delete all if not used
			if (UI_get_item_flag(NPCNAME, MET))
				add ("NPC name");
		*/


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
			if (!ben_friend)
			{
				say("@Ben. My friends call me Big Ben.@");
				say("@But you ain't one of my friends.@");
			
			}
			else 
				say("@I guess you can call me 'Big Ben'.@ He smiles broadly."); 
			add(["friends", "Big Ben"]);

			
			case "job"(remove):
				say("@Have ya never seen a lumberman before? Look around. Those stacks o' wood don't cut themselves.@");
  				add(["wood"]); 
				
			case "wars"(remove):
				say("@Ever since I won that choppin' contest, the king's had a notion I'd be good at wittlin' on men the same way.@");
				say("@Well, you can tell him I'm not interested.@");
				add(["king"]);
				
			case "forest"(remove):
				say("@Aye, this is where I cut trees, and I don't like strangers wanderin' through!@"); 
				if (ben_friend)
					say("@You're welcome here, though.@");
			

			case "Big Ben"(remove):
				if (!ben_friend)
					say("He fires a look at you. @I said only my friends call me that.@");
				
				else
					say("@'Tis my name. Don't wear it out.@ He laughs resoundingly at his wit.");


			case "friends"(remove):
				say("@It surprises you that I would have some. Sometimes it surprises me too.@ He laughs.");

			case "king"(remove):
				say("@You are from the king, ain't ya?@");
				if (askYesNo())
				{
					say ("@I knew it!@");
					if (ben_friend)
						UI_clear_item_flag(item, SI_ZOMBIE); //Ben doesn't like you anymore
				}
				else 
				{
					say("@Oh.@ He seems friendlier now.");
					if (!ben_friend)
						UI_set_item_flag(item, SI_ZOMBIE); //Ben likes you
				}	
					
			case "wood"(remove):
				say("@Aye, are ya here to buy a log?@");
				say("@Logs is 5 gold apiece. Ya still want one?@");
				if (askYesNo())
				{
					if (hasGold(5))
					{
						if (UI_add_party_items(1, SHAPE_YEW_LOG, QUALITY_ANY, FRAME_ANY, true))
						{
							chargeGold(5);
							say("He takes your gold and hands over a fine yew log. Ben seems friendlier now.");
							if (!ben_friend)
								UI_set_item_flag(item, SI_ZOMBIE); //Ben likes you
						}
						else say("@But you can't carry a log!@");
					}
					else say("@But you don't have 5 gold!@");
				}
				else say("@Well, come back sometime and I'll cut one for ya.@");				

			case "bye":
				say("@Careful in those woods now...@");
				
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@...Accidents happen...@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}