
void Nicodemus object# (0x466) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	if (UI_get_schedule_type(item) == LAB)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak, mage?@";
		var npc_1st_greet = "@Ah the Avatar, come in!@";
				
		var av_2nd_greet  = "@Nicodemus..@";
		var npc_2nd_greet = "@Welcome back, Avatar.@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		item.say("A wizened old man with a ready smile.*");
		item.say("@Good " + time_of_day + ", Avatar. For what purpose hast thou come?*@");
		
		//standard conversation options
		var options = ["name", "job", "bye"];
	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////// //////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@I am Nicodemus.@");
				
			case "job"(remove):
				say("@Why, bless me, I work here!@");
				say("@I sell reagents, teach spells, and craft magic staves.@");
				say("@I also do a little experimenting.@");
  				add(["reagents", "spells", "spellbook", "staves", "experimenting"]); 

			case "experimenting"(remove):
				say("@Oh, nothing a great adventurer such as yourself would be interested in.@");
				add(["interested"]); 

			case "interested"(remove):
				say("@He gets a suspicious look in his eyes.@*");
				if(player_is_female)
					say("@Don't be too nosy, girlie!@");
				else
					say("@Don't be too nosy, sonny!@");

			case "spellbook"(remove):
				if (!shop_is_open)
					say("@Come to my shop when it's open!@");
				else
					buySpellbook(NICODEMUS, 45);
					
					

			case "spells": 
				if (!shop_is_open)
					say("@Come to my shop when it's open!@");
				else
					magicShopkeeper(NICODEMUS);
		
			case "reagents"(remove): 
				if (!shop_is_open)
					say("@Come to my shop when it's open!@");
				else
					buyReagents(NICODEMUS);
						
			case "staves"(remove):
				say("@Yes, I make magical yew staves. If thou knowest the Enchant spell, thou canst lock a spell within the staff for quick use!@*");
				say("@A yew staff costs 100 gold pieces, but it's worth twice that!@*");
				say("@Wouldst thou like to buy one?@");
				if (askYesNo())
				{
					if (hasGold(100))
					{
						if (UI_add_party_items(1, SHAPE_YEW_STAFF, QUALITY_ANY, FRAME_ANY, true))
						{
							chargeGold(100);
							say("@The old man hands over a yew staff.@*");
						}
						else say("@But thou cannot carry the staff!@");
					}
					else say("@But thou cannot afford a staff!@");
				}
				else say("@Perhaps some other time, then.@");
					
			case "bye":
								
				var avatar_goodbye = "@Farewell, Nicodemus!@";
				var npc_goodbye = "@Come back anytime!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}