
void Pridgarm object# (0x413) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var example = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	//if (UI_get_item_flag(item, DEAD))
	//	subtractKarma(10);
	
	if (event == DEATH)//doesn't work currently
	{
		subtractKarma(10);
		UI_error_message("DEATH event called on Pridgarm");
	}
		
	if (event == DOUBLECLICK)
	{
		//Avatar is in jail
		if (UI_get_item_flag(item, SI_ZOMBIE)) //set by Arrest function
		{
			item.say("@Say, you looking to get the keys to my jail cells?@");
			if (askYesNo())
			{
				item.say("@Well, ya know, I shouldn't do this. But Her Ladyship is a little too strict about who she puts in here.@*");
				item.say("@So I make up fer it by being a little careless with the keys, if you take my meaning.@*");
				item.say("He tosses you some keys, then turns his back on you.");
				UI_add_party_items(1, SHAPE_KEY,  QUALITY_BOSKIN_CELL_KEY, FRAME_BOSKIN_CELL_KEY); 
				UI_clear_item_flag(item, SI_ZOMBIE);
				sayGoodbye2(item);
				return;
			}
			else
				item.say("@Okay. Never had nobody sound so interested in jest hearing about the jail before.@");
				
			sayGoodbye2(item);
			return;
        }
	
	
	
	
	
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Greetings, jailer..@";
		var npc_1st_greet = "@Greetin's to ya.@";
				
		var av_2nd_greet  = "@Might we speak again?@";
		var npc_2nd_greet = "@Yup? Watcha need?@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		

		
		if (gflags[GOT_BOSKIN_CELL_KEY])
		{
			item.say("@Good " + time_of_day + "," + player_name + ". Done with the key yet?@");
			if (askYesNo())
			{
				if (UI_count_objects(PARTY, SHAPE_KEY, QUALITY_BOSKIN_CELL_KEY, FRAME_ANY) >= 1)
				{
					item.say("@Much obliged,@ the taciturn jailer says as he takes the key.");
					UI_remove_party_items(1, SHAPE_KEY, QUALITY_BOSKIN_CELL_KEY, FRAME_BOSKIN_CELL_KEY, true);
					gflags[GOT_BOSKIN_CELL_KEY] = false;
					giveExperience(20);
					sayGoodbye2(item);
					return;
				}
				else
				{
					item.say("@Well, where is it?@");
					item.say("@Well, that does me no good. Need it here.@");
					item.say("Without another word, the jailer returns to his carving.");
					sayGoodbye2(item);
					return;
				}
			}		
			else 
			{
				item.say("@Well, bring it back to me when you are.@ Without another word, the jailer returns to his carving.");
				sayGoodbye2(item);
				return;
			
			}
		}
		if (!UI_get_item_flag(item, MET))
		{
			item.say("An old man, tall and thin. He spends all his time whittling.*");
			
			UI_set_item_flag(item, MET);
		}
		item.say("@Good " + time_of_day + ", " + polite_title + ". What can I do for you?@");	
		
		//standard conversation options
		var options = ["name", "job", "bye"];
		
		//read leaflet found in royal dungeon
		if (gflags[READ_LEAFLET])
			add("Drudgeworth and Saduj");
		
		//BOskin asks you to free him
		if (gflags[FREEBOSKIN])
			add("free thief");

	

	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				say("@Name's Pridgarm.@");

			case "job"(remove):
				say("@I mind the jail. Got a prisoner in solitary right now.@");
  				add(["jail", "prisoner", "solitary"]); 

			case "jail"(remove):
				say("@Got four of the cleanest cells you could ask fer.@");
				
			case "prisoner"(remove):
				say("@Feller broke into the grave of His Lordship, the late Mayor.@");
				add(["grave", "thief"]);

			case "solitary"(remove):
				say("@You'll need my key to get in there.@");
				add(["key"]);

			case "thief"(remove):
				say("@He's in solitary, right over there.@");
				add(["solitary"]);

			case "key"(remove):
				say("@Yup, I could give you the key.... But not without Her Ladyship's permission.@");
				if (!gflags[ASKEDABOUTPERMISSION])
					gflags[ASKEDABOUTPERMISSION] = true;
				add(["permission", "bribe"]);

			case "permission"(remove):
				say("@You got a letter of permission from Her Ladyship?@");
				if (askYesNo())
				{
					if (UI_count_objects(PARTY, SHAPE_SCROLL, QUALITY_LENORASLETTER, 3) >= 1)
					{
						if (UI_add_party_items(1, SHAPE_KEY, QUALITY_BOSKIN_CELL_KEY, FRAME_BOSKIN_CELL_KEY, false))
						{			
							say("@Okay, here's the key. Give it back when you're done.@");
							UI_remove_party_items(1, SHAPE_SCROLL, QUALITY_LENORASLETTER, FRAME_ANY);//to prevent circular xp
							gflags[GOT_BOSKIN_CELL_KEY] = true;
						}
						else 
							say("@Ask again when you have room to carry the key@");
					}
					else
						say("@Gotta have a letter if you want to see the thief.@");
				}
				else
					say("@Well, gotta have a letter if you want to see the thief.@");
					


			case "bribe"(remove):
				say("@You offering me a bribe?@");
				if (askYesNo())
					say("He thinks for a moment. @Nope. Sorry, not interested.@");
				else
					say("@Pity. Never been offered a bribe before.@");
					

			case "free thief"(remove):
				say("@'Taint my place to talk about that. You should go see Her Ladyship, the Mayor.@");

			case "grave"(remove):
				say("@'Taint my place to talk about that. You should go see Her Ladyship, the Mayor.@");

		

			//Drudgeworth quest
			case "Drudgeworth and Saduj"(remove):
				say("@Drudgeworth and Saduj?@ He thinks a moment.  @Doesn't ring a bell. We got lotsa prisoners 'round here these days.@");
				add(["leaflet"]);


			case "leaflet"(remove):
				if (UI_count_objects(PARTY, SHAPE_SCROLL, QUALITY_LEAFLET, FRAME_ANY) > 0)
				{
					say("You hand him the leaflet. @Hmm, come to think of it.. this all sounds familiar now. I was a younger lad just starting out here as the jailer. Them prisoners never made it here.@");
					say("@They somehow escaped the transport cart and murdered the guards.@");
					say("@Seems like they found the abandoned cart and the guards some ways down the road from the Abbey. The former mayor led the investigation, but the two were never found.@");
					say("@They musta made their escape in the Deep Forest. Probably long gone now as that was years ago.@");
					say("@Maybe Her Ladyship could tell ya more.@"); 
					if (!gflags[ASKED_PRIDGARM_ABOUT_DRUDGEY])
						gflags[ASKED_PRIDGARM_ABOUT_DRUDGEY] = true;
				}
				else
					say("@Well, where is it?@");

			case "bye":
				say("The jailer nods and says g'" + time_of_day + ".@");
				
				var avatar_goodbye = "@That is all..@";
				var npc_goodbye = "@Be seein' ya.@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}