
void Utomo object# (0x414) ()
{

	var party = UI_get_party_list();
	var player_name = getAvatarName();
	var polite_title = getPoliteTitle();
	var hour = UI_game_hour();
	var partynum = UI_get_array_size(party);
	var bark;
	var player_is_female = UI_is_pc_female();
	var greeting; //When addressing party as plural or singular
	var avatar_bark;
	var npc_bark;
	var time_of_day = timeFunction(hour);
	var schedule = UI_get_schedule_type(item); //use for schedule specific convos
	var current_schedule = schedule; 
	var price;
	var item_choice;
	var armor_options = ["nothing", "brass helm", "leather helm", "ring mail", "swamp boots"];
	var armor_shapes = [SHAPE_CRESTED_HELM, SHAPE_LEATHER_HELM, SHAPE_RING_MAIL, SHAPE_SWAMP_BOOTS];
	var armor_prices = [20, 7, 40, 10];
	//
	
	var weapon_options =["nothing", "club", "dagger", "spear", "throwing axe", "two-handed axe"];
	var weapon_shapes = [SHAPE_CLUB, SHAPE_DAGGER, SHAPE_SPEAR, SHAPE_THROWING_AXE, SHAPE_2H_AXE];
	var weapon_prices = [10, 10, 12, 12, 45];	
	
	var sell_rate = 2; //integer to divide by when selling items back to npc 
	var sell_shapes = [SHAPE_CRESTED_HELM, SHAPE_LEATHER_HELM, SHAPE_RING_MAIL, SHAPE_SWAMP_BOOTS, SHAPE_CLUB, SHAPE_DAGGER, SHAPE_SPEAR, SHAPE_THROWING_AXE, SHAPE_2H_AXE];
	var sell_options = ["nothing", "crested helm", "leather helm", "ring mail", "swamp boots", "club", "dagger", "spear", "throwing axe", "2-handed axe"];
	var sell_prices = [20, 7, 40, 10, 10, 10, 12, 12, 45];	 
		
	//Dialog options
	var initial_choice_question = "@Which of these?@"; //arms or armor? etc
	var askIfInterested1 = "@Sell for "; //needs to be split into array to capture price
	var askIfInterested2 = " gold. Okay?@";
	var cant_afford = "@Cost too much for you!@"; 
	var cant_hold = "@It is too heavy for you!@";
	var saidNo = "@Which item?@";
	var nothing = "@No more, ah? Okay.@";
	var success = "@Good!@ After accepting your gold, he hands over the ";
	var success2; //"I hope this item works well for you!" etc if needed
	
	//group together dialog options in array for cleaner look
	var dialog = [initial_choice_question, askIfInterested1, askIfInterested2, cant_afford, cant_hold, saidNo, nothing, success, success2];
	//buyArmor(item, armor_options, prices, shapes, dialog);
	
	//For schedule specific behavior - Change WAITER with the 'working' schedule of the npc (BLACKSMITH/ TEND SHOP / etc)
	if (UI_get_schedule_type(item) == BLACKSMITH)
	{
		UI_set_item_flag(item, SHOP_IS_OPEN);
		UI_error_message("Shop is open");
	}
		
	//this makes sure you can talk to them still if their shop is open (convo function turns it to TALK)
	var shop_is_open = UI_get_item_flag(item, SHOP_IS_OPEN);
	
	//************************************/
	//Flags used for conversation flags 
	// use PETRA, SI_ZOMBIE, FREEZE, NAKED, POLYMORPH
	var met_utomo = UI_get_item_flag(item, SI_ZOMBIE);
	
	
	//READ flag used to initiate conversations via TALK
	var started_talking = UI_get_item_flag(item, READ);

	if (player_is_female) //
	{
	//	pronoun = "  ";
	//	title = "madame";
	}
	else 
	{
	//	pronoun = " ";
	//	title = " ";
	}
	
	//determine single/plural greeting - change as needed
	if (partynum > 1)
		greeting = "friends"; 
	else greeting = "friend"; //Avatar is solo
	
	
	if (event == DOUBLECLICK)
	{
		//Avatar and NPC greeting barks
		var av_1st_greet = "@Might we speak?@";
		var npc_1st_greet = "@Ombogo dono.@";
				
		var av_2nd_greet  = "@Hello again..@";
		var npc_2nd_greet = "@Ombogo sano!@";	
		
		//call convo script
		startConvo(item, av_1st_greet, npc_1st_greet, av_2nd_greet, npc_2nd_greet); 
	}
	
	if (started_talking)
	{
		//reset schedule for after convo
		UI_run_schedule(item);
		
		if (!UI_get_item_flag(item, MET))
		{
			item.say("A huge, dark-skined man with a close-set face.*");
			item.say("@Ombogo dono,@ he grunts at you from behind a large forge.@");
			UI_set_item_flag(item, MET);
		}
		else
		{		
			item.say("@Ombogo sano!@ he says, smiling widely.");
			add(["sano", "Omdu Yaf"]);
			
		}
		
		//standard conversation options
		var options = ["name", "job", "bye", "Ombogo", "dono"];
			
	
		if (UI_get_item_flag(ANDREA, MET))
			add ("Andrea");
		


	/////////////////////////////////////////////////////////////////////
	// Main conversation thread

	/////////////////////////////////////////////////////////////////////
		converse(options)
		{
			case "name"(remove):
				if (!UI_get_item_flag(UTOMO, SI_ZOMBIE))
				{
					say("@Utomo, from island.");
					UI_set_item_flag(UTOMO, SI_ZOMBIE);
				}  	 	
				else
					say("@Utomo remember you, how you not remember Utomo? Utomo, from island.@");
				add(["Utomo"]);

 
			case "job"(remove):
				say("@Utomo make good weapons. Make one for you if you like.@");
				add(["weapons", "buy", "sell"]); 
 

			case "Ombogo"(remove):
				say("@That mean 'hello.'@"); 

		 

			case "dono"(remove):
				say("@That mean 'person I don't know.'@");


			case "sano"(remove):
				say("@That mean 'friend.'@");


			case "Utomo"(remove):
				say("@Utomo mean 'island' in my language. I also from island. Bring magic fan from island. This town new home for Utomo now.@");
				add(["fan", "home"]);

			case "weapons"(remove):
				say("@Learn to make as boy. I live on island then.@");
		  
			case "fan"(remove):
				say("@Lady on island make magic fans. They make big wind, blow ships all around.@");
		  
			case "home"(remove):
				say("@I come here from many days away. My home burned by evil man.@");
				add(["many", "evil"]);

			case "many"(remove):
				say("@I not sure where. Got ride on big ship.@");
				add(["ship"]);

			case "evil"(remove):
				say("@He say to me, 'You man, you leave home and kill good people with me.' I ran from him.@");
				add(["kill"]);

			case "ship"(remove):
				say("@I stow away when night come. After long time we land and I jump off.@");
			
			case "kill"(remove):
				say("@Like people in town. Like Lord British.@");
	
			case "Andrea"(remove):
				say("@Utomo go and drink at her home. She try kiss Utomo. Utomo say, 'I no want you' but she kiss anyway. Utomo not go back there.@");
				add(["kiss"]);

			case "kiss"(remove):
				say("@Utomo have girl back home. She not thin like Andrea. Someday Utomo go back and get her. Someday.@ He plays the poker over the hot coals and looks absently into the fire.");
				add(["girl"]);

			case "girl"(remove):
				say("@Her name Yuna. She good tree climber. I not see her for long time.@");
		   
			case "Omdu Yaf"(remove):
				say("@In my land it mean 'You have good meal in sun.' It is goodbye in my land.@");
		 
			case "buy"(remove):
				if (!shop_is_open)
					say("@You come to shop when it open.@*");
				else
				{
					say("@I have many things here. You want arms or armor.@");
					add(["arms", "armor"]);
				}
				
			case "sell":
				if (!shop_is_open)
					say("@You come to shop when it open.@*");
				else
				{
					sellBackItems(sell_shapes, sell_options, sell_prices, sell_rate);
				}				
		
			case "arms": 
				buyWeapons(item, weapon_options, weapon_prices, weapon_shapes, dialog);
			
			case "armor": 
				buyArmor(item, armor_options, armor_prices, armor_shapes, dialog);	
				
			case "bye":
								
				var avatar_goodbye = "@Goodbye..@";
				var npc_goodbye = "@Omdu Yaf!@";
				
				//function that is called, do not change this:
				sayGoodbye(item, npc_goodbye, avatar_goodbye);
				break;
	
		}                               
	}
	else scheduleBarks(item);
}