

void Dr_CatFirst (var wager) 
{
/*In this scenario, Dr. Cat always chooses 2.
* In the original, he'd always choose 2 if you beat him 
* for a bet when a flag was set and there was no way to win 
* back your money. 
*/

	var avatar_beads;
	var dr_cat_beads;
	var remaining = 10;
	var max;

	if (remaining > 3)
	{
		max = 3;
	}
	else
		max = remaining;
	
//Round 1	
	say("@I'll play first this time.@"); //Dr Cat always takes 2 on first try
	say("@I'll take 2 beads.@");
	remaining = 8;
	
//Round 2
	say("@There are " + remaining + " beads left. How many do you take?@");
	avatar_beads = (UI_input_numeric_value(1, max, 1, 1));
	if (avatar_beads == 1)
		dr_cat_beads = 3;
	if (avatar_beads == 2)
		dr_cat_beads = 2;
	if (avatar_beads == 3)
		dr_cat_beads = 1;
	remaining = remaining - avatar_beads;

//Round 3	
	say("@I'll take " + dr_cat_beads + ".@"); //should be 4 beads left here.
	remaining = remaining - dr_cat_beads;
	
	say("@There are " + remaining + " beads left. How many do you take?@");
	avatar_beads = (UI_input_numeric_value(1, max, 1, 1));
	remaining = remaining - avatar_beads;
	
	say("@I'll take " + remaining + " beads.@");	
	say("@I won!@");
	say("@Don't take it too hard... I've had a lot of practice.@");
	say("@I'll put your money someplace safe, in case you want to come and win it back later.@");
	chargeGold(wager);
	UI_set_item_flag(DR_CAT, SI_ZOMBIE); //set to keep playing
	return;

}


void DrCatRandom (var wager)
{

/*In the original, Dr. Cat mostly chooses 2 at first,
* but sometimes chooses something random like 1. 
* In these cases he can be beaten, but we'll make it rare. 
* If the Avatar wins money from Dr. Cat, a flag was set
* to where Dr. Cat would ALWAYS go first and choose 2, 
* therefore making it impossible to win again. We're going for 
* a bit more randomness - he'll allow you to bet the farm, but
* he won't always go first this time. 
*/

//For NIM
	var avatar_beads;
	var dr_cat_beads;
	var remaining = 10;
	var max;
	var round; //for debugging

	say("@I'll play first this time.@");
	UI_error_message("Remaining equals " + remaining + ".");
	while (remaining > 0)
	{
		round = round + 1; 
		UI_error_message("Round = " + round + " Dr Cat's turn");
		
		if (remaining >= 8)
			dr_cat_beads = UI_get_random(3);
		if (remaining == 7)
			dr_cat_beads = 3;
		if (remaining == 6)
			dr_cat_beads = 2;
		if (remaining == 5) 
			dr_cat_beads = 1;
		if (remaining == 4) 
			dr_cat_beads = UI_get_random(3); 
		if (remaining <= 3)
			dr_cat_beads = remaining;
		
	//Dr Cat Picks
		UI_error_message("Dr Cat picks " + dr_cat_beads + "");
		say("@I'll take " + dr_cat_beads + ".@");
		remaining = remaining - dr_cat_beads;
		UI_error_message("Remaining equals " + remaining + ".");
		
	//check for win condition for Dr. Cat
		if (remaining == 0)
		{
			say("@I won! Don't take it too hard... I've had a lot of practice.@");
			if (wager > 0) say("@I'll put your money someplace safe, in case you want to come and win it back later.@");
			chargeGold(wager);
			UI_set_item_flag(item, SI_ZOMBIE); //set to keep playing
			return;
		}

	//First, recalculate max beads Avatar can take
		if (remaining > 3)
		{
			max = 3;
		}
		else max = remaining;
		
		
	
	//Avatar picks. While loop required to prevent Avatar from taking 0. Resets avatar beads til assigned again.
		avatar_beads = 0; 
		while (avatar_beads == 0) 
		{		
			say("@There are " + remaining + " beads left. How many do you take?@");
			avatar_beads = (UI_input_numeric_value(0, max, 1, 1));
		}
		remaining = remaining - avatar_beads;
	

	//check for win condition for Avatar
		if (remaining == 0)
		{
			say("@Well done! You got the last bead.@");
			
			if (wager > 0) 
			{
				say("He takes some money out of a pouch and pays off your wager.");
				giveGold(wager);
				
				//If you beat him for a wager, he'll allow you to wager the farm next. 
				if (!UI_set_item_flag(item, PETRA))
					UI_set_item_flag(item, PETRA); // 
			}
			
			//remaining = 0; //remaining - avatar_beads;
			UI_set_item_flag(item, SI_ZOMBIE); //set to keep playing
			return;
		}
	
	}
	
	
}


void AvatarFirst (var wager) //this seems to be the highest probability he'll be beaten. 
{

/*In the original, Dr. Cat mostly chooses 2 at first,
* but sometimes chooses something random like 1. 
* In these cases he can be beaten, but we'll make it rare. 
* If the Avatar wins money from Dr. Cat, a flag was set
* to where Dr. Cat would ALWAYS go first and choose 2, 
* therefore making it impossible to win again. We're going for 
* a bit more randomness - he'll allow you to bet the farm, but
* he won't always go first this time. 
*/

	//For NIM
	var avatar_beads;
	var dr_cat_beads;
	var remaining = 10;
	var max;
	var round; //for debugging

	say("@I'll let you play first this time.@");
	UI_error_message("Remaining equals " + remaining + ".");
	while (remaining > 0)
	{
	//First, recalculate max beads Avatar can take
		if (remaining > 3)
		{
			max = 3;
		}
		else 
			max = remaining;
			
	//Avatar picks. While loop required to prevent Avatar from taking 0. Resets avatar beads til assigned again.
		avatar_beads = 0; 
		while (avatar_beads == 0) 
		{		
			say("@There are " + remaining + " beads left. How many do you take?@");
			avatar_beads = (UI_input_numeric_value(0, max, 1, 1));
		}
		remaining = remaining - avatar_beads;
	

	//check for win condition for Avatar
		if (remaining == 0)
		{
			say("@Well done! You got the last bead.@");
			
			if (wager > 0) 
			{
				say("He takes some money out of a pouch and pays off your wager.");
				giveGold(wager);
			
				//If you beat him for a wager, he'll allow you to wager the farm next. 
				if (!UI_set_item_flag(DR_CAT, PETRA))
				{
					UI_set_item_flag(DR_CAT, PETRA); // 
				}
			
			
			}
			
			//remaining = 0; //remaining - avatar_beads;
			UI_set_item_flag(DR_CAT, SI_ZOMBIE); //set to keep playing
			return;
		}
	
		round = round + 1; 
		UI_error_message("Round = " + round + " Dr Cat's turn");
		if (remaining >= 8)
			dr_cat_beads = UI_get_random(3);
		if (remaining == 7)
			dr_cat_beads = 3;
		if (remaining == 6) 
			dr_cat_beads = 2;
		if (remaining == 5)
			dr_cat_beads = 1;
		if (remaining == 4)
			dr_cat_beads = UI_get_random(3); 
		if (remaining <= 3)
			dr_cat_beads = remaining;
		
	//Dr Cat Picks
		UI_error_message("Dr Cat picks " + dr_cat_beads + "");
		say("@I'll take " + dr_cat_beads + ".@");
		remaining = remaining - dr_cat_beads;
		UI_error_message("Remaining equals " + remaining + ".");
		
	//check for win condition for Dr. Cat
		if (remaining == 0)
		{
			say("@I won! Don't take it too hard... I've had a lot of practice.@");
			if (wager > 0)
				say("@I'll put your money someplace safe, in case you want to come and win it back later.@");
			chargeGold(wager);
			UI_set_item_flag(DR_CAT, SI_ZOMBIE); //set to keep playing
			return;
		}


	
	}

}
