void balloonHandling object# () ()
{
	
	enum balloon_levels
	{
    	UNPACK_BALLOON			= 1,
		BOARD_BALLOON			= 2,
		BALLOON_RISE			= 3,
		LAND_BALLOON			= 4,
		RENDER_PARTY			= 5,
		CHECK_VOID				= 6,
		PACK_BALLOON 			= 7
		
    
	};
	
	
	if (event == UNPACK_BALLOON)
	{
		UI_error_message("Event UNPACK_BALLOON called.");
		if (UI_get_item_frame(item) == 0) //Balloon is freshly placed and ready to ride
		{
			var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
			
			if ((UI_get_container(item) == 0))  //checks if on the ground and not in container
			{
				if (!UI_is_pc_inside()) //checks if no roof above
				{
					if (!UI_find_nearby(basket_pos, 961, 10, MASK_EGG)) //will create barge if one not found 		
					{
						UI_create_barge_object(7, 7, NORTH);		
						UI_update_last_created([basket_pos]);

					}
					
					if (UI_on_barge()) //everyone should be on barge
					{
						var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
							
						UI_remove_item(barge); //removes barge to create new one at proper z level
						UI_set_polymorph(AVATAR, 639); //death vortex
						
						//attempt to put Avatar in the middle of the barge
						UI_si_path_run_usecode(AVATAR, [basket_pos[X] -1, basket_pos[Y] -1]);
						
						item->balloonHandling, BALLOON_RISE;
						
						
		
					}//on barge
					else
					{				//UI_si_path_run_usecode(actor npc, int pos[], int event, object obj, function fun, bool flag)
						UI_si_path_run_usecode(AVATAR, [basket_pos[X] -1, basket_pos[Y] -1], DOUBLECLICK, item, balloonbasket, false);
						//AVATAR->path_run_usecode([basket_pos[X] -1, basket_pos[Y] -1], balloonbasket, item, DOUBLECLICK, false);
						UI_error_message("Avatar should walk to balloon and call doubldlick");
						for (npc in party)
						{
							UI_error_message("Attempting to move " + npc);
						
							UI_si_path_run_usecode(npc, [basket_pos[X] -1, basket_pos[Y] -1], SCRIPTED, item, balloonbasket, false);		
						}
						
						
						
					}
												
				}
				else randomPartyBark("@The balloon can't be used here.@");
			}
			else randomPartyBark("@Place it on the ground first..@");
    	
		}
		else //packing the balloon
		{
			UI_set_item_frame(item, 0); //to make sure the packed balloon renders
			
			var item_frame = UI_get_item_frame(item);
			//var location = UI_get_object_position(item);
			UI_set_item_shape(item, SHAPE_PACKED_BALLOON); //landed, packed balloon
			UI_set_item_frame(item, 0); //to correct the frame
			
			
			//UI_move_object(item, location, false);
			
			var item_shape = UI_get_item_shape(item);
			UI_error_message("Balloon should be packed.  Item frame is " + item_frame + " and item shape is now: " + item_shape);
		}
	}
	
	
	if (event == BOARD_BALLOON)
	{
		UI_error_message("Event BOARD_BALLOON called.");
		var barge = get_barge();
		var party = UI_get_party_list();
		var balloon = UI_find_nearest(AVATAR, SHAPE_BALLOON, 31); //
		var quality = UI_get_item_quality(item);
		var basket_pos = UI_get_object_position(item);

	
		if (UI_get_item_frame(item) == 0) //Balloon is freshly placed and ready to ride
		{
			var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
			
			if ((UI_get_container(item) == 0))  //checks if on the ground and not in container
			{
				if (!UI_is_pc_inside()) //checks if no roof above
				{
					if (!UI_find_nearby(basket_pos, 961, 10, MASK_EGG)) //will create barge if one not found 		
					{
						UI_create_barge_object(7, 7, NORTH);		
						UI_update_last_created([basket_pos]);

					}
					
					if (UI_on_barge()) //everyone should be on barge
					{
						var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
							
						UI_remove_item(barge); //removes barge to create new one at proper z level
						UI_set_polymorph(AVATAR, 639); //death vortex
						
						//attempt to put Avatar in the middle of the barge
						UI_si_path_run_usecode(AVATAR, [basket_pos[X] -1, basket_pos[Y] -1]);
						
						
					
						

		
					}//on barge
	
		
	}
	
	if (event == BALLOON_RISE)
	{
		UI_error_message("Event BALLOON_RISE called.");
		script item
		{
			repeat 9
			{
				rise; //should lift item on z level 8
				//add sfx
				//sfx 
			};

			wait 3;
			call AddBarge;

		}



		script AVATAR
		{
			repeat 9
			{
				rise; //should lift item on z level 9
			};
				
			
				

		}

		for (npc in party)
		{
			script npc
			{
				repeat 9
				{
					rise; //should lift item on z level 9
				};

			}

			UI_set_item_flag(npc, DONT_RENDER);
			UI_clear_item_flag(AVATAR, DONT_RENDER);
			

		}
		//carpet theme
		UI_play_music(25);
		
		call balloonHandling, CHECK_VOID;
	
	
	
	}
	
	if (event == CHECK_VOID)
	{
		var warningLevel = UI_get_npc_id(BALLOON_DOG);
		//var balloon = UI_find_nearby_avatar(SHAPE_BALLOON);
		var balloon = UI_find_object(FIND_ON_SCREEN, SHAPE_BALLOON, QUALITY_ANY, FRAME_ANY);
		
		if (balloon)
			UI_error_message("Balloon found.");
		else
			UI_error_message("Balloon NOT found.");
		//get current position and map
		var current_pos = UI_get_object_position(AVATAR);
		var currentX = current_pos[X];
		var currentY = current_pos[Y];
		var top_left = [0923, 0678, 0];
		var bottom_right = [2230, 2099, 0];
		var current_map = UI_get_map_num(AVATAR);
		
		
		if (warningLevel > 2) //have been warned several times already to go back to land
		{
			randomPartyBark("@The balloon is falling into the void!!@");
		//	script AVATAR after 10 ticks
		//	{
		//		call balloonSinking; //falling into the void
		//	
		//	}
		
		
		}
			
		//if map is not 3, do nothing
		if (current_map == 3)
		{
			if (currentX > top_left[X] && currentX < bottom_right[X] && currentY > top_left[Y] && currentY < bottom_right[Y]) //in bounds, do nothing
				UI_error_message("Balloon is in bounds of the gargoyle world");
			else
			{
				//balloon is out of bounds, give warning
				UI_error_message("Balloon OUT of bounds of the gargoyle world - warning level " + warningLevel);
				
				//set ID level for balloon dog (holder for warning level)
				UI_set_npc_id(BALLOON_DOG, warningLevel + 1);
				
				//give party warning
				randomPartySay("@We should probably turn back, it feels like the balloon is getting sucked into the void!@");
				

				
			}
			
			script AVATAR after 30 ticks
			{
				call balloonHandling, CHECK_VOID;
			}
		}
		
		if (gflags[BALLOON_IS_LANDED])
		{
			UI_error_message("Balloon is landed, call off the script");
			UI_halt_scheduled(balloon);
			UI_set_npc_id(BALLOON_DOG, 0); // reset warning level
		}	

		
		
		
		
	}
	
	





}	







//packed balloon
void balloonbasket shape#(1201) ()
{	
	
	var barge = get_barge();
	var party = UI_get_party_list();
	var balloon = UI_find_nearest(AVATAR, SHAPE_BALLOON, 31); //
	var quality = UI_get_item_quality(item);
	var basket_pos = UI_get_object_position(item);

	if (event == DOUBLECLICK)
	{
		UI_error_message("Balloon event called from Doubleclick from new_balloon.uc");
		item->balloonHandling();
		
		
	}
		
		
		
		
		
		
		if (UI_get_item_frame(item) == 0) //Balloon is freshly placed and ready to ride
		{
			var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
			
			if ((UI_get_container(item) == 0))  //checks if on the ground and not in container
			{
				if (!UI_is_pc_inside()) //checks if no roof above
				{
					if (!UI_find_nearby(basket_pos, 961, 10, MASK_EGG)) //will create barge if one not found 		
					{
						UI_create_barge_object(7, 7, NORTH);		
						UI_update_last_created([basket_pos]);

					}
					
					if (UI_on_barge()) //everyone should be on barge
					{
						var barge = UI_find_nearby(basket_pos, 961, 10, MASK_EGG); //hopefully find the barge before placing
							
						UI_remove_item(barge); //removes barge to create new one at proper z level
						UI_set_polymorph(AVATAR, 639); //death vortex
						
						//attempt to put Avatar in the middle of the barge
						UI_si_path_run_usecode(AVATAR, [basket_pos[X] -1, basket_pos[Y] -1]);
						
						//call check void function to test how far in void Avatar is
						AVATAR->checkVoid();


						script item
						{
							repeat 9
							{
								rise; //should lift item on z level 8
								//add sfx
								//sfx 
							};

							wait 3;
							call AddBarge;
		
						}



						script AVATAR
						{
							repeat 9
							{
								rise; //should lift item on z level 9
							};
								
							
								
				
						}

						for (npc in party)
						{
							script npc
							{
								repeat 9
								{
									rise; //should lift item on z level 9
								};
				
							}

							UI_set_item_flag(npc, DONT_RENDER);
							UI_clear_item_flag(AVATAR, DONT_RENDER);
							
			
						}
						//carpet theme
						UI_play_music(25);
						
						

		
					}//on barge
					else
					{				//UI_si_path_run_usecode(actor npc, int pos[], int event, object obj, function fun, bool flag)
						UI_si_path_run_usecode(AVATAR, [basket_pos[X] -1, basket_pos[Y] -1], DOUBLECLICK, item, balloonbasket, false);
						//AVATAR->path_run_usecode([basket_pos[X] -1, basket_pos[Y] -1], balloonbasket, item, DOUBLECLICK, false);
						UI_error_message("Avatar should walk to balloon and call doubldlick");
						for (npc in party)
						{
							UI_error_message("Attempting to move " + npc);
						
							UI_si_path_run_usecode(npc, [basket_pos[X] -1, basket_pos[Y] -1], SCRIPTED, item, balloonbasket, false);		
						}
						
						
						
					}
												
				}
				else randomPartyBark("@The balloon can't be used here.@");
			}
			else randomPartyBark("@Place it on the ground first..@");
    	
		}
		else //packing the balloon
		{
			UI_set_item_frame(item, 0); //to make sure the packed balloon renders
			
			var item_frame = UI_get_item_frame(item);
			//var location = UI_get_object_position(item);
			UI_set_item_shape(item, SHAPE_PACKED_BALLOON); //landed, packed balloon
			UI_set_item_frame(item, 0); //to correct the frame
			
			
			//UI_move_object(item, location, false);
			
			var item_shape = UI_get_item_shape(item);
			UI_error_message("Balloon should be packed.  Item frame is " + item_frame + " and item shape is now: " + item_shape);
		}
	}
	else
		return;
	
	if (event == SCRIPTED)
	{
		UI_error_message("Balloon event called from Scripted from new_balloon.uc");
		if (UI_on_barge()) //should wait til everyone is on barge before running the script
		{
		
			script item
			{
				repeat 9
				{
					rise; //should lift item on z level 8
					//add sfx
					//sfx 
				};

				wait 3;
				call AddBarge;

			}
			
			script AVATAR
			{
				repeat 9
				{
					rise; //should lift item on z level 9
				};
					
					
	
			}

			for (npc in party)
			{
				script npc
				{
					repeat 9
					{
						rise; //should lift item on z level 9
					};
	
				}

				UI_set_item_flag(npc, DONT_RENDER);
				UI_clear_item_flag(AVATAR, DONT_RENDER);
				UI_set_polymorph(AVATAR, 639); //death vortex
			
			}
			
			//carpet theme
			UI_play_music(25);
			UI_error_message("Scripted event called on balloon");
		}
	}

}


void packed_balloon shape#(1232) ()
{	
	
	
	var barge = get_barge();
	var party = UI_get_party_list();
	var newballoon = UI_find_nearest(AVATAR, SHAPE_NEW_BALLOON, 31); //
	var quality = UI_get_item_quality(item);
	var basket_pos = UI_get_object_position(item);

	if ((event == DOUBLECLICK) &&  (get_distance(AVATAR) < 6))
	{
		
		if ((UI_get_container(item) == 0))  //checks if on the ground and not in container
		{
			if (!UI_is_pc_inside(item)) //checks if no roof above
			{
				UI_set_item_shape(item, SHAPE_BALLOON); 
				UI_set_item_frame(item, 0); 
				//play SFX ?
				UI_play_sound_effect(88);
				//add animations - Avatar bowing
				
				UI_error_message("Packed balloon clicked");
				
				script item
				{
					call balloonHandling, UNPACK_BALLOON;
					
				}
				
			}		
			else randomPartyBark("@The balloon can't be used here.@");
		}
		else randomPartyBark("@Place it on the ground first..@");


	}
	else randomPartyBark("@Get a little closer to it..@");
	

}




