


void basicSell(var npc, var shape, var quantity, var quality, var frame, var price, var cant_hold, var cant_afford, var success, var askIfInterested, var saidNo)
{
	say(askIfInterested);
	if (askYesNo())
	{
		if (hasGold(price * quantity))
		{
			if (UI_add_party_items(quantity, shape, quality, frame, true))
			{
				chargeGold(price * quantity);
				say(success);
				//For special case npcs who give a freebie:
				if (npc == CULLEN)
					UI_add_party_items(1, shape, quality, frame, true);
				
			}
			else say(cant_hold);
		}
		else
		say(cant_afford);
	}	
	else
		say(saidNo);
} 

//Used if the player will get a discount or credit based on who they are or karma (ex: Gwenneth giving a free credit)
void basicSellGwenneth(var npc, var shape, var quantity, var quality, var frame, var price, var cant_hold, var cant_afford, var success, var askIfInterested, var saidNo)
{
	var player_name = getAvatarName();
	say(askIfInterested);
	if (askYesNo())
	{
		if (hasGold(price * quantity))
		{
			if (UI_add_party_items(quantity, shape, quality, frame, true))
			{
				chargeGold(price * quantity);
				say(success);
				//For special case npcs who give a freebie:
				if (npc == CULLEN)
					UI_add_party_items(1, shape, quality, frame, true);
				
			}
			else say(cant_hold);
		}
		else if(isNearby(IOLO))
		{
			//Haven't gotten a freebie yet
			if (!UI_get_item_flag(GWENNETH, SI_ZOMBIE))
			{
				say("@Thou hast not enough gold, " + player_name + ".@");
				say("She winks at Iolo. @But I think I can trust thee with credit, just this once!@");
				//chargeGold(0);
				UI_add_party_items(1, shape, quality, frame, true);
				
				//set Gwenneth's flag to prevent more freebies
				UI_set_item_flag(npc, SI_ZOMBIE);
			}
			else say("@I'm sorry, " + player_name + ", but I cannot offer more credit, even to thee. The gargoyle wars make my wares much in demand!@");
		
		}
		else say(cant_afford);
	}	
	else
		say(saidNo);
} 

