
//takes spell name, converts it to actual spell variables
var convertSpell(var spellname)
{
	var spell;
	switch(spellname)
	{
		//Linear
		case "Awaken":
			spell = AWAKEN;
			break;

		case "Weather":
			spell = WEATHER;
			break;
			
		case "Douse":	
			spell =  DOUSE;
			break;
		
		case "Fireworks":		
			spell =  FIREWORKS;
			break;

		case "Glimmer":
			spell =  GLIMMER;
			break;
		
		case "Help":
			spell = HELP;
			break;
			
		case "Ignite":
			spell =  IGNITE;
			break;

		case "Thunder":	
			spell = THUNDER;
			break;
			

		//First circle
		case "Create Food":
			spell = CREATE_FOOD;
			break;
		
		case "Cure":
			spell = CURE;
			break;
			
		case "Detect Trap":
			spell =	DETECT_TRAP;
			break;

		case "Great Douse":
			spell = GREAT_DOUSE;
			break;
		
		case "Great Ignite":
			spell = GREAT_IGNITE;
			break;
			
		case "Light":	
			spell = LIGHT;
			break;
		
		case "Locate":
			spell =  LOCATE;
			break;
			
		case "Awaken All":
			spell = AWAKEN_ALL;
			break;


	//Second circle 
		case "Destroy Trap":
			spell =  DESTROY_TRAP;
			break;
			
		case "Enchant":		
			spell = ENCHANT;
			break;
			
		case "Fire Blast":			
			spell = FIRE_BLAST;
			break;
			
		case "Great Light":		
			spell =  GREAT_LIGHT;
			break;
		
		case "Mass Cure":		
			spell = MASS_CURE;
			break;
		
		case "Protection":					
			spell = PROTECTION_SPELL;
			break;
			
		case "Telekinesis":					
			spell = TELEKINESIS;
			break;
			
		case "Wizard Eye":					
			spell = WIZARD_EYE;
			break;

//Third Circle
		case "Curse":				
			spell = 24;
			break;

		case "Heal":					
			spell = 25;
			break;
			
		case "Swarm":					
			spell = SWARM;
			break;
			
		case "Protect All":					
			spell = 27;
			break;
			
		case "Paralyze":					
			spell = PARALYZE;
			break;
		
		case "Peer":		
			spell = PEER_SPELL;
			break;
		
		case "Poison":				
			spell = POISON;
			break;

		case "Sleep":					
			spell = SLEEP_SPELL;
			break;

//Fourth Circle
		case "Conjure":			
			spell = CONJURE;
			break;

		case "Lightning":					
			spell = LIGHTNING;
			break;
		
		case "Mark":		
			spell = MARK;
			break;
			
		case "Mass Curse":					
			spell = MASS_CURSE;
			break;
			
		case "Recall":					
			spell = RECALL;
			break;
			
		case "Reveal":					
			spell = REVEAL;
			break;
			
		case "Seance":				
			spell = SEANCE;
			break;
		
		case "Unlock Magic":				
			spell = UNLOCK_MAGIC;
			break;
			

//Fifth Circle
		case "Charm":		
			spell = CHARM;
			break;

		case "Pickpocket":		
			spell = DANCE_SPELL; //DANCE replaced with PICKPOCKET
			break;
			
		case "Dispel Field":					
			spell = DISPEL_FIELD;
			break;
		
		case "Explosion":					
			spell = EXPLOSION;
			break;
		
		case "Greater Heal":							
			spell = GREAT_HEAL;
			break;
			
		case "Invisibility":					
			spell = INVISIBILITY;
			break;

		case "Fire Field":					
			spell = FIRE_FIELD;
			break;

		case "Mass Sleep":		
			spell = MASS_SLEEP;
			break;

//Sixth Circle
		case "Cause Fear":		
			spell = CAUSE_FEAR;
			break;

		case "Clone":		
			spell = CLONE;
			break;

		case "Fire Ring":		
			spell = FIRE_RING;
			break;

		case "Flamestrike":		
			spell = FLAMESTRIKE;
			break;

		case "Magic Storm":					
			spell = MAGIC_STORM;
			break;
			
		case "Poison Field":					
			spell = POISON_FIELD;
			break;
		
		case "Sleep Field":					
			spell = SLEEP_FIELD;
			break;

		case "Tremor":		
			spell = TREMOR;
			break;

//Seventh Circle
		case "Create Gold":		
			spell = CREATE_GOLD;
			break;

		case "Death Bolt":					
			spell = DEATH_BOLT;
			break;

		case "Delayed Blast":					
			spell = DELAYED_BLAST;
			break;
			
		case "Energy Field":					
			spell = ENERGY_FIELD;
			break;

		case "Energy Mist":			
			spell = ENERGY_MIST;
			break;
		
		case "Mass Charm":
			spell = MASS_CHARM;
			break;
			
		case "Mass Might":					
			spell = MASS_MIGHT;
			break;
			
		case "Restoration":					
			spell = RESTORATION;
			break;

//Eighth Circle
		case "Armageddon":		
			spell = ARMAGEDDON;
			break;

		case "Death Vortex":		
			spell = DEATH_VORTEX;
			break;
			
		case "Mass Death":					
			spell = MASS_DEATH;
			break;
			
		case "Invisible All":
			spell = INVISIBLE_ALL;
			break;
			
		case "Resurrect":					
			spell = RESURRECT;
			break;
			
		case "Summon":					
			spell = SUMMON;
			break;
			
		case "Swordstrike":						
			spell = SWORDSTRIKE;
			break;
		
		case "Time Stop":					
			spell = TIME_STOP;
			break;
	
	}

	return spell;

}