void dropAllItems (var npc, var pos) // Newly assigned number
{
	// Here, we drop only objects directly held by the character:
	var spots = [BG_WEAPON_HAND, BG_OFF_HAND, BG_BACKPACK, BG_CLOAK, BG_AMULET, BG_HEAD, BG_GLOVES,
				 BG_RIGHT_RING, BG_LEFT_RING, BG_QUIVER, BG_BELT, BG_TORSO, BG_FEET,
				 BG_LEGS, BG_BACK_SHIELD, BG_BACK_2H];

	for (spot in spots)
	{
		
		var obj = npc->get_readied(spot);
		var object_shape = UI_get_item_shape(obj);
		
		//if item is amulet of submission, cannot take off
		if (object_shape == SHAPE_AMULET_SUBMISSION)
			continue;
		else
		{
			if (obj->set_last_created())
				UI_update_last_created(pos);
		}
	}
}