var magicShopkeeper(var npc)
{
	var spellbook = AVATAR->find_object(761, QUALITY_ANY, FRAME_ANY); //makes sure Avatar has spellbook
	var Avatar_Level = getExpLevel(AVATAR); //used for Rudyom's level sensing
	var npcname = UI_get_npc_name(npc);
	var spell;

	//empty array to determine spell circles npc can sell. 0 no, 1 yes
	var circleOptions = [""];
	
	//options for circle
	var spellOptions = [];
	
	var price;
	
	//empty array to determine which spells in that circle they can cast
	var first_circle = [];
	var second_circle = [];
	var third_circle = [];
	var fourth_circle = [];
	var fifth_circle = [];
	var sixth_circle = [];
	var seventh_circle = [];
	var eighth_circle = [];
	
	//spell prices
	var first_circle_price = 0;
	var second_circle_price = 0;
	var third_circle_price = 0;
	var fourth_circle_price = 0;
	var fifth_circle_price = 0;
	var sixth_circle_price = 0;
	var seventh_circle_price = 0;
	var eighth_circle_price = 0;
	

	if (npc == RUDYOM)
	{
		//circles they offer
		circleOptions = ["nothing", "First", "Third", "Fourth", "Fifth", "Eighth"];
		
		//spells in each circle
		first_circle = ["Create Food", "Douse", "Great Douse", "Great Ignite", "Awaken All", "nothing"];
		third_circle = ["Heal", "nothing"];
		fourth_circle = ["Recall", "Mark", "nothing"];
		fifth_circle = ["Greater Heal", "Pickpocket", "nothing"];
		eighth_circle = ["Resurrect", "nothing"];
		
		//spell prices per circle
		first_circle_price			= 20;
		third_circle_price			= 60;
		fourth_circle_price			= 75;
		fifth_circle_price			= 100;
		eighth_circle_price			= 160;
	}
	
	if (npc == HORANCE)
	{
		//circles they offer
		circleOptions = ["nothing", "Second", "Third", "Fourth", "Fifth", "Seventh", "Eighth"];
		
		//spells in each circle
		second_circle = ["Fire Blast", "nothing"];
		third_circle = ["Curse", "Paralyze", "Poison", "nothing"];
		fourth_circle = ["Conjure", "Lightning", "Mass Curse", "Unlock Magic", "nothing"];
		fifth_circle = ["Charm", "Explosion", "nothing"];
		sixth_circle = ["Fire Ring", "Flamestrike", "Magic Storm", "nothing"];
		seventh_circle = ["Death Bolt", "Delayed Blast", "Energy Mist", "nothing"];
		eighth_circle = ["Death Vortex", "Mass Death", "Swordstrike", "nothing"];
		
		//spell prices per circle
		first_circle_price			= 20;
		second_circle_price 		= 60;
		third_circle_price			= 90;
		fourth_circle_price			= 120;
		fifth_circle_price			= 150;
		sixth_circle_price			= 180;
		seventh_circle_price		= 210;
		eighth_circle_price			= 240;
	}	
	
	if (npc == NICODEMUS)
	{
		//circles they offer
		circleOptions = ["nothing", "First", "Second", "Third", "Fourth", "Fifth", "Sixth", "Seventh", "Eighth"];
		
		//spells in each circle
		first_circle = ["Detect Trap", "Great Douse", "nothing"];
		second_circle = ["Destroy Trap", "Enchant", "Sleep", "Protection", "Telekenisis", "nothing"];
		third_circle = ["Protect All", "Swarm", "nothing"];
		fourth_circle = ["Conjure", "Unlock Magic", "nothing"];
		fifth_circle = ["Charm","nothing"];
		sixth_circle = ["Cause Fear", "nothing"];
		seventh_circle = ["Create Gold", "Restoration", "nothing"];
		eighth_circle = ["Invisible All", "nothing"];
		
		//spell prices per circle
		first_circle_price			= 20;
		second_circle_price 		= 40;
		third_circle_price			= 60;
		fourth_circle_price			= 80;
		fifth_circle_price			= 100;
		sixth_circle_price			= 120;
		seventh_circle_price		= 140;
		eighth_circle_price			= 160;
	}		
	
	if (npc == XIAO)
	{
		//circles they offer
		circleOptions = ["nothing", "First", "Second", "Third", "Fourth", "Fifth", "Sixth", "Seventh", "Eighth"];
	
		//spells in each circle
		first_circle = ["Detect Trap", "Light", "Cure", "Locate", "nothing"];
		second_circle = ["Great Light", "Wizard Eye", "Mass Curse", "Telekinesis", "nothing"];
		third_circle = ["Reveal", "Peer", "nothing"];
		fourth_circle = ["Recall", "Mark", "nothing"];
		fifth_circle = ["Dispel Field", "Fire Field", "Invisibility","nothing"];
		sixth_circle = ["Poison Field", "Sleep Field", "Clone", "Magic Storm", "Cause Fear", "Tremor", "nothing"];
		seventh_circle = ["Energy Field", "Energy Mist", "Mass Charm", "nothing"];
		eighth_circle = ["Death Vortex", "Mass Death", "Summon", "Time Stop", "Swordstrike", "nothing"];
	
		//spell prices per circle
		first_circle_price			= 25;
		second_circle_price 		= 50;
		third_circle_price			= 75;
		fourth_circle_price			= 100;
		fifth_circle_price			= 125;
		sixth_circle_price			= 150;
		seventh_circle_price		= 175;
		eighth_circle_price			= 200;
	
	
	
	
	}
	
	
	
	//ask what circle
	say("@In which Circle dost thou wish to study?@");
	var circle = chooseFromMenu(circleOptions);

	if (circle == "First")
	{
		
		spellOptions = first_circle;
		price = first_circle_price;	
	}	
	else if (circle == "Second")
	{
		if (Avatar_Level < 2)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
			
		spellOptions = second_circle;
		price = second_circle_price;	
	}	
	else if (circle == "Third")
	{
		if (Avatar_Level < 3)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = third_circle;
		price = third_circle_price;		
	}	
	else if (circle == "Fourth")
	{
		if (Avatar_Level < 4)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = fourth_circle;	
		price = fourth_circle_price;		
	}	
	else if (circle == "Fifth")
	{
		if (Avatar_Level < 5)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = fifth_circle;		
		price = fifth_circle_price;
	}	
	else if (circle == "Sixth")
	{
		if (Avatar_Level < 6)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = sixth_circle;	
		price = sixth_circle_price;	
	}	
	else if (circle == "Seventh")
	{
		if (Avatar_Level < 7)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = seventh_circle;
		price = seventh_circle_price;		
				
	}	
	else if (circle == "Eighth")	
	{
		if (Avatar_Level < 8 && npc != XIAO)
			say("@I sense that you are not yet ready for this Circle. But such matters are not my concern...@");
		spellOptions = eighth_circle;
		price = eighth_circle_price;
	}
	else //nothing
	{
		spellOptions = "nothing";
	}

	//choose spell from circle menu
	
	if (spellOptions != "nothing")
	{
		say("@Which of these?@");
		spell = chooseFromMenu(spellOptions);
		
		if (circle == "Eighth" && npc == XIAO && !gflags[GOT_ARMAGEDDON])
		{
			say("@Thou art not yet ready for such knowledge.@");
			say("@Seek out and speak with the wisps, and learn their secrets. Then wilt thou will be prepared to enter the Eighth Circle.@");
					
		}
		else if (spell != "nothing")
		{
			say("That " + spell + " spell costs " + price + ". Interested?@");
			if (askYesNo())
			{
				//convert spell to useable SPELL format
				var spell_converted = convertSpell(spell);
				UI_error_message("spell converted is: " + spell_converted);
				
				if (spellbook > 0)
				{
					if (hasGold(price))
					{		
						if (!hasSpell(spell_converted))
						{
							chargeGold(price);
							UI_add_spell(spell_converted, 0, spellbook);
							say(npcname + " hands you a piece of rune-covered parchment which you transcibe into your spellbook.");
							
							
						}
						else
							say("@You already have the spell!@");
					}
					else
						say("@You lack the gold required.@");	
				}
				else
					say("@But thou hast not a spellbook!@");
			}	
			else 
				say("@As you wish.@");
		}
		else
			say ("@As you wish.@");

	}
	else say("@Anything else?@");
}

var buyReagents(var npc)
{
	var npcname = UI_get_npc_name(npc);
	var reagent;
	var reg_frame;
	var price;
	
	// Reagents they offer: 
	var regOptions = ["Mandrake Root", "Ginseng", "Nightshade", "Spider Silk", "Sulfur Ash", "Garlic", "Bloodmoss", "Black Pearl", "nothing"];
	
	//Reagent prices standard
	var MANDRAKE_ROOT_PRICE = 0;
	var GINSENG_PRICE = 0;
	var NIGHTSHADE_PRICE = 0;
	var SPIDER_SILK_PRICE = 0;
	var SULFUR_ASH_PRICE = 0;
	var GARLIC_PRICE = 0;
	var BLOOD_MOSS_PRICE = 0;
	var BLACK_PEARL_PRICE = 0;
	
	
	//******************Info for individual mages:********************\\
	
	if (npc == HORANCE)
	{
		//Regs they offer
		regOptions = ["Mandrake Root", "Nightshade", "Spider Silk", "Sulfur Ash", "Bloodmoss", "Black Pearl", "nothing"];

		//Reagent prices for mage
		MANDRAKE_ROOT_PRICE = 5;
		NIGHTSHADE_PRICE = 2;
		SPIDER_SILK_PRICE = 1;
		SULFUR_ASH_PRICE = 2;
		BLOOD_MOSS_PRICE = 3;
		BLACK_PEARL_PRICE = 3;
		
	}
	
	if (npc == ZOLTAN)
	{
		//Regs they offer
		regOptions = ["Bloodmoss", "Garlic", "Ginseng", "Nightshade", "Spider Silk", "Sulfur Ash", "nothing"];

		//Reagent prices for mage
		BLOOD_MOSS_PRICE = 3;
		GARLIC_PRICE = 2;
		GINSENG_PRICE = 1;
		NIGHTSHADE_PRICE = 1;
		SPIDER_SILK_PRICE = 2;
		SULFUR_ASH_PRICE = 3;
		
		
		
	}
	
	
	if (npc == RUDYOM)
	{
		//Regs they offer
		regOptions = ["Ginseng", "Nightshade", "Spider Silk", "Sulfur Ash", "Garlic", "Bloodmoss",  "nothing"];

		//Reagent prices sfor mage
		
		GINSENG_PRICE = 2;
		NIGHTSHADE_PRICE = 2;
		SPIDER_SILK_PRICE = 2;
		SULFUR_ASH_PRICE = 1;
		GARLIC_PRICE = 1;
		BLOOD_MOSS_PRICE = 3;
		
	}	
	if (npc == NICODEMUS)
	{
		regOptions = ["Ginseng", "Spider Silk", "Sulfur Ash", "Garlic", "Bloodmoss", "nothing"];
	
		//Reagent prices standard
		MANDRAKE_ROOT_PRICE = 0;
		GINSENG_PRICE = 1;
		NIGHTSHADE_PRICE = 0;
		SPIDER_SILK_PRICE = 1;
		SULFUR_ASH_PRICE = 2;
		GARLIC_PRICE = 1;
		BLOOD_MOSS_PRICE = 2;
		BLACK_PEARL_PRICE = 0;
	
	}
	
	if (npc == XIAO)
	{
		regOptions = ["Mandrake Root", "Ginseng", "Nightshade", "Spider Silk", "Sulfur Ash", "Garlic", "Black Pearl", "nothing"];
	
		//Reagent prices standard
		MANDRAKE_ROOT_PRICE = 6;
		GINSENG_PRICE = 3;
		NIGHTSHADE_PRICE = 6;
		SPIDER_SILK_PRICE = 3;
		SULFUR_ASH_PRICE = 3;
		GARLIC_PRICE = 3;
		BLACK_PEARL_PRICE = 4;
	
	}	
	
	
	
	
	
	
	
	
	
	/*
	if (npc == DEFAULT)
	{
		regOptions = ["Mandrake Root", "Ginseng", "Nightshade", "Spider Silk", "Sulfur Ash", "Garlic", "Bloodmoss", "Black Pearl", "nothing"];
	
		//Reagent prices standard
		MANDRAKE_ROOT_PRICE = 0;
		GINSENG_PRICE = 0;
		NIGHTSHADE_PRICE = 0;
		SPIDER_SILK_PRICE = 0;
		SULFUR_ASH_PRICE = 0;
		GARLIC_PRICE = 0;
		BLOOD_MOSS_PRICE = 0;
		BLACK_PEARL_PRICE = 0;
	
	}	
	*/
	
	//*****************************************************************
	
	//ask what reagent
	say("@Which of these?@");
	reagent = chooseFromMenu(regOptions);

	if (reagent == "Mandrake Root")
	{
		reg_frame = FRAME_MANDRAKE_ROOT;
		price = MANDRAKE_ROOT_PRICE;	
	}	
	else if (reagent == "Nightshade")
	{
		reg_frame = FRAME_NIGHTSHADE;
		price = NIGHTSHADE_PRICE;	
	}	
	else if (reagent == "Spider Silk")
	{
		reg_frame = FRAME_SPIDER_SILK;
		price = SPIDER_SILK_PRICE;	
	}	
	else if (reagent == "Sulfur Ash")
	{
		reg_frame = FRAME_SULFUR_ASH;
		price = SULFUR_ASH_PRICE;	
	}	
	else if (reagent == "Bloodmoss")
	{
		reg_frame = FRAME_BLOOD_MOSS;
		price = BLOOD_MOSS_PRICE;	
	}	
	else if (reagent == "Black Pearl")
	{
		reg_frame = FRAME_BLACK_PEARL;
		price = BLACK_PEARL_PRICE;	
	}	
	else if (reagent == "Ginseng")
	{
		reg_frame = FRAME_GINSENG;
		price = GINSENG_PRICE;	
	}	
	else if (reagent == "Garlic")
	{
		reg_frame = FRAME_GARLIC;
		price = GARLIC_PRICE;	
	}	
	else //nothing
	{
		reagent = "nothing";
	}
	
	
	//reagent choice selected, now buy
	if (reagent != "nothing")
	{
		say("@" + reagent + " costs " + price + " gold per portion. How many dost thou want?@");
		var USER_INPUT = (UI_input_numeric_value(0, 20, 1, 1));
		if (hasGold(USER_INPUT * price))
		{
			if (UI_add_party_items(USER_INPUT, SHAPE_REAGENT, QUALITY_ANY, reg_frame, true))
			{
				chargeGold(USER_INPUT * price);
				say("@" + npcname + " hands you the " + reagent + ".@*");			
				
			}
			else say("@Thou cannot carry that much!@");
		}
		else say("@Thou cannot afford that much!@");	

	}
	else
		say("@As you wish.@");
	
}

var buySpellbook(var npc, var price)
{
	var npcname = UI_get_npc_name(npc);
	
	say("A spellbook costs " + price + " gold pieces. Interested?@");
	if (askYesNo())
	{
		if (hasGold(price))
		{		
			if (UI_add_party_items(1, SHAPE_SPELLBOOK, QUALITY_ANY, FRAME_ANY, true))
			{
				chargeGold(price);
				say(npcname + " hands you a spellbook.");
			}
			else say("@But thou cannot carry a spellbook!@");
		}								
		else say("@But thou cannot afford a spellbook!@");	
	}
	else say("@As you wish.@");

}




